/* A Bison parser, made by GNU Bison 3.0.1.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2013, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 240 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FIRST_P = 398,
    FLOAT_P = 399,
    FOLLOWING = 400,
    FOR = 401,
    FORCE = 402,
    FOREIGN = 403,
    FORWARD = 404,
    FREEZE = 405,
    FROM = 406,
    FULL = 407,
    FUNCTION = 408,
    FUNCTIONS = 409,
    GLOBAL = 410,
    GRANT = 411,
    GRANTED = 412,
    GREATEST = 413,
    GROUP_P = 414,
    HANDLER = 415,
    HAVING = 416,
    HEADER_P = 417,
    HOLD = 418,
    HOUR_P = 419,
    IDENTITY_P = 420,
    IF_P = 421,
    ILIKE = 422,
    IMMEDIATE = 423,
    IMMUTABLE = 424,
    IMPLICIT_P = 425,
    IN_P = 426,
    INCLUDING = 427,
    INCREMENT = 428,
    INDEX = 429,
    INDEXES = 430,
    INHERIT = 431,
    INHERITS = 432,
    INITIALLY = 433,
    INLINE_P = 434,
    INNER_P = 435,
    INOUT = 436,
    INPUT_P = 437,
    INSENSITIVE = 438,
    INSERT = 439,
    INSTEAD = 440,
    INT_P = 441,
    INTEGER = 442,
    INTERSECT = 443,
    INTERVAL = 444,
    INTO = 445,
    INVOKER = 446,
    IS = 447,
    ISNULL = 448,
    ISOLATION = 449,
    JOIN = 450,
    KEY = 451,
    LABEL = 452,
    LANGUAGE = 453,
    LARGE_P = 454,
    LAST_P = 455,
    LATERAL_P = 456,
    LC_COLLATE_P = 457,
    LC_CTYPE_P = 458,
    LEADING = 459,
    LEAKPROOF = 460,
    LEAST = 461,
    LEFT = 462,
    LEVEL = 463,
    LIKE = 464,
    LIMIT = 465,
    LISTEN = 466,
    LOAD = 467,
    LOCAL = 468,
    LOCALTIME = 469,
    LOCALTIMESTAMP = 470,
    LOCATION = 471,
    LOCK_P = 472,
    MAPPING = 473,
    MATCH = 474,
    MATERIALIZED = 475,
    MAXVALUE = 476,
    MINUTE_P = 477,
    MINVALUE = 478,
    MODE = 479,
    MONTH_P = 480,
    MOVE = 481,
    NAME_P = 482,
    NAMES = 483,
    NATIONAL = 484,
    NATURAL = 485,
    NCHAR = 486,
    NEXT = 487,
    NO = 488,
    NONE = 489,
    NOT = 490,
    NOTHING = 491,
    NOTIFY = 492,
    NOTNULL = 493,
    NOWAIT = 494,
    NULL_P = 495,
    NULLIF = 496,
    NULLS_P = 497,
    NUMERIC = 498,
    OBJECT_P = 499,
    OF = 500,
    OFF = 501,
    OFFSET = 502,
    OIDS = 503,
    ON = 504,
    ONLY = 505,
    OPERATOR = 506,
    OPTION = 507,
    OPTIONS = 508,
    OR = 509,
    ORDER = 510,
    OUT_P = 511,
    OUTER_P = 512,
    OVER = 513,
    OVERLAPS = 514,
    OVERLAY = 515,
    OWNED = 516,
    OWNER = 517,
    PARSER = 518,
    PARTIAL = 519,
    PARTITION = 520,
    PASSING = 521,
    PASSWORD = 522,
    PLACING = 523,
    PLANS = 524,
    POSITION = 525,
    PRECEDING = 526,
    PRECISION = 527,
    PRESERVE = 528,
    PREPARE = 529,
    PREPARED = 530,
    PRIMARY = 531,
    PRIOR = 532,
    PRIVILEGES = 533,
    PROCEDURAL = 534,
    PROCEDURE = 535,
    PROGRAM = 536,
    QUOTE = 537,
    RANGE = 538,
    READ = 539,
    REAL = 540,
    REASSIGN = 541,
    RECHECK = 542,
    RECURSIVE = 543,
    REF = 544,
    REFERENCES = 545,
    REFRESH = 546,
    REINDEX = 547,
    RELATIVE_P = 548,
    RELEASE = 549,
    RENAME = 550,
    REPEATABLE = 551,
    REPLACE = 552,
    REPLICA = 553,
    RESET = 554,
    RESTART = 555,
    RESTRICT = 556,
    RETURNING = 557,
    RETURNS = 558,
    REVOKE = 559,
    RIGHT = 560,
    ROLE = 561,
    ROLLBACK = 562,
    ROW = 563,
    ROWS = 564,
    RULE = 565,
    SAVEPOINT = 566,
    SCHEMA = 567,
    SCROLL = 568,
    SEARCH = 569,
    SECOND_P = 570,
    SECURITY = 571,
    SELECT = 572,
    SEQUENCE = 573,
    SEQUENCES = 574,
    SERIALIZABLE = 575,
    SERVER = 576,
    SESSION = 577,
    SESSION_USER = 578,
    SET = 579,
    SETOF = 580,
    SHARE = 581,
    SHOW = 582,
    SIMILAR = 583,
    SIMPLE = 584,
    SMALLINT = 585,
    SNAPSHOT = 586,
    SOME = 587,
    STABLE = 588,
    STANDALONE_P = 589,
    START = 590,
    STATEMENT = 591,
    STATISTICS = 592,
    STDIN = 593,
    STDOUT = 594,
    STORAGE = 595,
    STRICT_P = 596,
    STRIP_P = 597,
    SUBSTRING = 598,
    SYMMETRIC = 599,
    SYSID = 600,
    SYSTEM_P = 601,
    TABLE = 602,
    TABLES = 603,
    TABLESPACE = 604,
    TEMP = 605,
    TEMPLATE = 606,
    TEMPORARY = 607,
    TEXT_P = 608,
    THEN = 609,
    TIME = 610,
    TIMESTAMP = 611,
    TO = 612,
    TRAILING = 613,
    TRANSACTION = 614,
    TREAT = 615,
    TRIGGER = 616,
    TRIM = 617,
    TRUE_P = 618,
    TRUNCATE = 619,
    TRUSTED = 620,
    TYPE_P = 621,
    TYPES_P = 622,
    UNBOUNDED = 623,
    UNCOMMITTED = 624,
    UNENCRYPTED = 625,
    UNION = 626,
    UNIQUE = 627,
    UNKNOWN = 628,
    UNLISTEN = 629,
    UNLOGGED = 630,
    UNTIL = 631,
    UPDATE = 632,
    USER = 633,
    USING = 634,
    VACUUM = 635,
    VALID = 636,
    VALIDATE = 637,
    VALIDATOR = 638,
    VALUE_P = 639,
    VALUES = 640,
    VARCHAR = 641,
    VARIADIC = 642,
    VARYING = 643,
    VERBOSE = 644,
    VERSION_P = 645,
    VIEW = 646,
    VOLATILE = 647,
    WHEN = 648,
    WHERE = 649,
    WHITESPACE_P = 650,
    WINDOW = 651,
    WITH = 652,
    WITHOUT = 653,
    WORK = 654,
    WRAPPER = 655,
    WRITE = 656,
    XML_P = 657,
    XMLATTRIBUTES = 658,
    XMLCONCAT = 659,
    XMLELEMENT = 660,
    XMLEXISTS = 661,
    XMLFOREST = 662,
    XMLPARSE = 663,
    XMLPI = 664,
    XMLROOT = 665,
    XMLSERIALIZE = 666,
    YEAR_P = 667,
    YES_P = 668,
    ZONE = 669,
    NULLS_FIRST = 670,
    NULLS_LAST = 671,
    WITH_TIME = 672,
    POSTFIXOP = 673,
    UMINUS = 674
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 178 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 737 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 765 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  715
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   75726

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  437
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  557
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2316
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4451

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   674

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   426,     2,     2,
     431,   432,   424,   422,   435,   423,   433,   425,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   436,   434,
     419,   418,   420,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   429,     2,   430,   427,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   421,   428
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   680,   680,   687,   694,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   746,   747,   748,
     749,   750,   751,   752,   753,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   778,
     779,   780,   781,   782,   783,   784,   785,   786,   787,   788,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   813,   814,   815,   816,   817,   819,
     829,   840,   841,   850,   851,   855,   856,   860,   865,   869,
     874,   879,   883,   887,   892,   896,   950,   952,   956,   960,
     964,   968,   982,  1000,  1011,  1012,  1016,  1024,  1042,  1054,
    1075,  1082,  1101,  1108,  1125,  1143,  1154,  1155,  1167,  1174,
    1191,  1204,  1214,  1232,  1250,  1251,  1255,  1262,  1270,  1271,
    1272,  1273,  1274,  1275,  1289,  1295,  1301,  1310,  1318,  1326,
    1330,  1338,  1346,  1353,  1360,  1368,  1379,  1387,  1395,  1406,
    1414,  1422,  1429,  1438,  1448,  1449,  1456,  1457,  1460,  1462,
    1466,  1467,  1468,  1469,  1473,  1474,  1475,  1481,  1493,  1497,
    1501,  1516,  1539,  1540,  1541,  1545,  1546,  1547,  1551,  1552,
    1556,  1563,  1570,  1577,  1584,  1594,  1595,  1600,  1601,  1606,
    1612,  1618,  1624,  1630,  1640,  1650,  1651,  1655,  1656,  1664,
    1679,  1685,  1691,  1697,  1715,  1724,  1733,  1742,  1751,  1760,
    1769,  1778,  1787,  1796,  1808,  1809,  1814,  1822,  1830,  1839,
    1847,  1855,  1864,  1873,  1882,  1891,  1901,  1914,  1928,  1937,
    1945,  1953,  1963,  1973,  1980,  1987,  1995,  2003,  2011,  2019,
    2027,  2034,  2041,  2049,  2056,  2063,  2071,  2079,  2087,  2095,
    2103,  2111,  2121,  2128,  2136,  2144,  2152,  2159,  2169,  2170,
    2174,  2175,  2176,  2180,  2188,  2192,  2193,  2197,  2200,  2201,
    2205,  2206,  2211,  2215,  2219,  2224,  2239,  2252,  2253,  2258,
    2267,  2277,  2287,  2312,  2318,  2348,  2377,  2399,  2400,  2404,
    2405,  2414,  2415,  2416,  2419,  2420,  2425,  2426,  2430,  2434,
    2438,  2442,  2446,  2450,  2454,  2458,  2462,  2466,  2470,  2474,
    2478,  2487,  2491,  2495,  2499,  2503,  2507,  2511,  2512,  2517,
    2521,  2528,  2535,  2536,  2537,  2538,  2539,  2543,  2547,  2555,
    2566,  2581,  2597,  2613,  2642,  2643,  2644,  2645,  2646,  2653,
    2660,  2661,  2665,  2666,  2670,  2671,  2675,  2679,  2686,  2690,
    2697,  2698,  2699,  2703,  2704,  2707,  2727,  2747,  2748,  2752,
    2760,  2761,  2762,  2793,  2800,  2807,  2818,  2829,  2839,  2848,
    2881,  2888,  2895,  2902,  2913,  2923,  2924,  2925,  2929,  2930,
    2931,  2932,  2933,  2934,  2943,  2951,  2955,  2968,  2983,  2997,
    3012,  3026,  3044,  3065,  3066,  3070,  3071,  3075,  3076,  3079,
    3085,  3089,  3097,  3102,  3108,  3109,  3113,  3118,  3125,  3126,
    3136,  3138,  3140,  3142,  3145,  3148,  3151,  3155,  3156,  3157,
    3158,  3159,  3162,  3163,  3168,  3169,  3170,  3171,  3174,  3175,
    3176,  3177,  3180,  3181,  3184,  3185,  3188,  3203,  3218,  3232,
    3233,  3234,  3246,  3261,  3274,  3275,  3287,  3306,  3318,  3326,
    3337,  3338,  3341,  3342,  3345,  3349,  3353,  3357,  3361,  3365,
    3369,  3373,  3377,  3381,  3385,  3389,  3395,  3396,  3400,  3401,
    3406,  3409,  3410,  3422,  3434,  3449,  3450,  3458,  3459,  3463,
    3464,  3468,  3469,  3473,  3474,  3478,  3489,  3502,  3503,  3513,
    3523,  3524,  3537,  3544,  3561,  3569,  3580,  3583,  3587,  3591,
    3595,  3607,  3617,  3620,  3624,  3637,  3647,  3657,  3666,  3675,
    3684,  3694,  3703,  3713,  3723,  3733,  3742,  3751,  3760,  3769,
    3778,  3787,  3796,  3805,  3814,  3823,  3832,  3841,  3850,  3868,
    3879,  3880,  3881,  3882,  3886,  3887,  3891,  3892,  3902,  3913,
    3933,  3941,  3953,  3954,  3958,  3962,  3970,  3974,  3978,  3985,
    3989,  3994,  3999,  4006,  4013,  4018,  4028,  4042,  4043,  4048,
    4049,  4053,  4054,  4064,  4075,  4095,  4104,  4112,  4129,  4144,
    4169,  4178,  4196,  4208,  4209,  4210,  4220,  4228,  4245,  4264,
    4284,  4309,  4310,  4311,  4315,  4317,  4339,  4341,  4343,  4345,
    4347,  4352,  4357,  4367,  4368,  4372,  4373,  4377,  4378,  4382,
    4383,  4384,  4388,  4394,  4395,  4396,  4400,  4401,  4406,  4407,
    4434,  4435,  4436,  4437,  4438,  4439,  4444,  4455,  4478,  4488,
    4502,  4504,  4509,  4514,  4516,  4521,  4531,  4532,  4533,  4534,
    4546,  4566,  4589,  4599,  4610,  4620,  4630,  4641,  4650,  4657,
    4664,  4673,  4682,  4691,  4700,  4709,  4720,  4723,  4724,  4727,
    4731,  4738,  4739,  4740,  4741,  4742,  4745,  4746,  4749,  4752,
    4753,  4761,  4768,  4769,  4772,  4774,  4785,  4795,  4805,  4817,
    4818,  4834,  4849,  4850,  4854,  4864,  4875,  4884,  4894,  4903,
    4904,  4907,  4908,  4911,  4912,  4913,  4916,  4930,  4935,  4945,
    4954,  4966,  4967,  4971,  4979,  4991,  5002,  5016,  5027,  5050,
    5060,  5078,  5089,  5100,  5111,  5125,  5126,  5127,  5128,  5129,
    5130,  5131,  5132,  5133,  5134,  5135,  5136,  5137,  5138,  5139,
    5140,  5141,  5145,  5146,  5149,  5150,  5153,  5155,  5168,  5179,
    5180,  5181,  5213,  5222,  5231,  5240,  5249,  5258,  5267,  5277,
    5286,  5295,  5304,  5313,  5322,  5334,  5335,  5336,  5337,  5338,
    5339,  5340,  5341,  5342,  5343,  5344,  5345,  5346,  5347,  5348,
    5349,  5350,  5351,  5352,  5353,  5354,  5355,  5356,  5360,  5361,
    5375,  5386,  5397,  5408,  5419,  5432,  5433,  5437,  5438,  5439,
    5440,  5441,  5442,  5443,  5444,  5445,  5446,  5447,  5448,  5449,
    5452,  5453,  5463,  5469,  5477,  5485,  5493,  5501,  5509,  5517,
    5525,  5533,  5541,  5549,  5557,  5565,  5573,  5581,  5589,  5597,
    5607,  5608,  5611,  5612,  5622,  5638,  5652,  5678,  5680,  5682,
    5684,  5691,  5700,  5701,  5704,  5711,  5718,  5725,  5739,  5747,
    5755,  5763,  5771,  5779,  5787,  5795,  5803,  5811,  5819,  5827,
    5835,  5843,  5851,  5859,  5871,  5872,  5875,  5885,  5899,  5900,
    5904,  5905,  5910,  5926,  5939,  5949,  5961,  5962,  5965,  5966,
    5976,  5986,  5987,  5991,  5995,  5999,  6010,  6023,  6037,  6054,
    6055,  6056,  6057,  6069,  6096,  6097,  6101,  6102,  6106,  6107,
    6111,  6112,  6115,  6116,  6124,  6135,  6146,  6159,  6160,  6163,
    6164,  6165,  6168,  6169,  6170,  6173,  6174,  6175,  6191,  6203,
    6216,  6231,  6232,  6235,  6236,  6240,  6241,  6249,  6250,  6254,
    6255,  6270,  6279,  6288,  6297,  6306,  6318,  6319,  6320,  6321,
    6322,  6328,  6332,  6347,  6348,  6354,  6364,  6368,  6373,  6383,
    6384,  6391,  6395,  6399,  6403,  6407,  6411,  6415,  6419,  6423,
    6427,  6431,  6435,  6439,  6443,  6447,  6455,  6459,  6463,  6467,
    6473,  6474,  6481,  6482,  6485,  6497,  6501,  6516,  6527,  6528,
    6533,  6534,  6549,  6560,  6574,  6585,  6599,  6610,  6624,  6632,
    6634,  6636,  6641,  6643,  6656,  6665,  6666,  6670,  6674,  6686,
    6697,  6708,  6721,  6722,  6723,  6727,  6740,  6741,  6755,  6763,
    6773,  6786,  6787,  6790,  6791,  6801,  6811,  6820,  6829,  6838,
    6847,  6857,  6866,  6876,  6885,  6894,  6904,  6914,  6923,  6932,
    6942,  6952,  6962,  6972,  6982,  6992,  7002,  7012,  7022,  7032,
    7042,  7052,  7063,  7074,  7085,  7096,  7106,  7117,  7128,  7138,
    7148,  7156,  7165,  7174,  7183,  7192,  7201,  7210,  7219,  7228,
    7237,  7246,  7260,  7261,  7264,  7265,  7275,  7285,  7294,  7303,
    7312,  7321,  7331,  7341,  7351,  7361,  7370,  7379,  7388,  7397,
    7406,  7415,  7424,  7433,  7442,  7451,  7460,  7469,  7478,  7487,
    7504,  7513,  7521,  7529,  7537,  7545,  7554,  7562,  7570,  7579,
    7588,  7597,  7605,  7613,  7621,  7629,  7637,  7645,  7653,  7670,
    7687,  7688,  7689,  7694,  7700,  7709,  7710,  7711,  7712,  7713,
    7717,  7718,  7721,  7722,  7723,  7724,  7728,  7729,  7730,  7735,
    7746,  7768,  7778,  7779,  7782,  7791,  7797,  7816,  7823,  7830,
    7837,  7844,  7851,  7858,  7866,  7874,  7882,  7890,  7898,  7905,
    7912,  7921,  7922,  7923,  7927,  7930,  7933,  7936,  7939,  7946,
    7948,  7950,  7955,  7957,  7969,  7981,  7993,  8005,  8020,  8026,
    8032,  8038,  8048,  8064,  8074,  8075,  8079,  8083,  8087,  8091,
    8095,  8099,  8103,  8107,  8111,  8115,  8119,  8123,  8127,  8131,
    8135,  8139,  8149,  8150,  8161,  8168,  8179,  8190,  8191,  8195,
    8209,  8216,  8233,  8246,  8255,  8263,  8271,  8280,  8291,  8302,
    8312,  8313,  8324,  8334,  8344,  8354,  8364,  8374,  8382,  8403,
    8426,  8434,  8443,  8454,  8455,  8467,  8481,  8495,  8507,  8519,
    8536,  8537,  8541,  8542,  8543,  8544,  8548,  8560,  8575,  8576,
    8580,  8581,  8584,  8585,  8588,  8589,  8593,  8594,  8607,  8614,
    8624,  8631,  8641,  8642,  8643,  8644,  8645,  8646,  8647,  8648,
    8649,  8653,  8657,  8664,  8671,  8672,  8676,  8677,  8678,  8688,
    8698,  8699,  8703,  8704,  8705,  8706,  8716,  8723,  8741,  8742,
    8752,  8758,  8764,  8770,  8786,  8796,  8802,  8808,  8817,  8819,
    8824,  8835,  8836,  8847,  8861,  8862,  8873,  8884,  8885,  8888,
    8889,  8890,  8891,  8892,  8893,  8894,  8895,  8898,  8899,  8910,
    8928,  8929,  8933,  8934,  8938,  8946,  8974,  8985,  8986,  8996,
    9007,  9010,  9011,  9012,  9013,  9014,  9017,  9018,  9019,  9067,
    9068,  9072,  9073,  9088,  9089,  9096,  9104,  9112,  9120,  9128,
    9136,  9147,  9148,  9175,  9190,  9191,  9210,  9214,  9218,  9233,
    9240,  9250,  9251,  9254,  9266,  9267,  9271,  9283,  9291,  9296,
    9301,  9306,  9311,  9319,  9327,  9332,  9337,  9344,  9345,  9348,
    9349,  9350,  9357,  9358,  9359,  9360,  9364,  9365,  9369,  9373,
    9374,  9377,  9386,  9399,  9400,  9401,  9402,  9406,  9407,  9411,
    9413,  9423,  9428,  9431,  9436,  9437,  9445,  9455,  9456,  9457,
    9465,  9469,  9470,  9473,  9474,  9479,  9480,  9484,  9485,  9489,
    9490,  9494,  9495,  9499,  9500,  9504,  9515,  9516,  9517,  9518,
    9522,  9523,  9528,  9534,  9552,  9553,  9557,  9558,  9564,  9569,
    9578,  9587,  9622,  9647,  9651,  9677,  9681,  9693,  9706,  9720,
    9731,  9746,  9752,  9757,  9763,  9770,  9771,  9779,  9783,  9787,
    9793,  9800,  9805,  9806,  9807,  9808,  9812,  9813,  9825,  9826,
    9831,  9838,  9845,  9852,  9863,  9864,  9877,  9881,  9888,  9898,
    9903,  9904,  9909,  9910,  9918,  9923,  9924,  9928,  9932,  9938,
    9967,  9972,  9979,  9984,  9990,  9995, 10004, 10006, 10009, 10013,
   10014, 10015, 10016, 10017, 10018, 10023, 10053, 10054, 10055, 10056,
   10067, 10073, 10081, 10082, 10088, 10093, 10098, 10103, 10108, 10113,
   10118, 10123, 10129, 10135, 10141, 10148, 10170, 10179, 10183, 10191,
   10195, 10203, 10215, 10236, 10240, 10246, 10250, 10263, 10282, 10305,
   10307, 10309, 10311, 10313, 10315, 10320, 10321, 10325, 10326, 10333,
   10342, 10350, 10359, 10370, 10378, 10379, 10380, 10384, 10386, 10388,
   10390, 10392, 10394, 10396, 10401, 10406, 10412, 10420, 10425, 10432,
   10439, 10443, 10447, 10477, 10478, 10480, 10488, 10510, 10512, 10514,
   10516, 10518, 10520, 10522, 10524, 10526, 10528, 10530, 10533, 10535,
   10537, 10540, 10542, 10544, 10547, 10549, 10562, 10564, 10577, 10579,
   10592, 10594, 10608, 10621, 10634, 10647, 10670, 10677, 10684, 10691,
   10698, 10702, 10709, 10716, 10723, 10730, 10737, 10744, 10748, 10756,
   10760, 10770, 10777, 10784, 10797, 10810, 10829, 10850, 10860, 10867,
   10883, 10888, 10906, 10908, 10910, 10912, 10914, 10916, 10918, 10920,
   10922, 10924, 10926, 10928, 10930, 10932, 10934, 10936, 10938, 10942,
   10947, 10951, 10955, 10960, 10977, 10978, 10979, 10994, 11006, 11008,
   11010, 11020, 11043, 11053, 11063, 11071, 11090, 11103, 11116, 11129,
   11142, 11155, 11172, 11185, 11208, 11221, 11242, 11252, 11265, 11282,
   11295, 11305, 11318, 11328, 11341, 11354, 11367, 11380, 11393, 11406,
   11419, 11421, 11434, 11452, 11466, 11482, 11504, 11520, 11533, 11546,
   11559, 11563, 11570, 11578, 11586, 11590, 11594, 11598, 11602, 11606,
   11621, 11625, 11634, 11638, 11642, 11647, 11661, 11663, 11667, 11669,
   11671, 11674, 11677, 11680, 11681, 11684, 11692, 11702, 11703, 11706,
   11707, 11708, 11713, 11717, 11721, 11725, 11736, 11737, 11741, 11742,
   11747, 11755, 11757, 11771, 11774, 11801, 11802, 11805, 11806, 11817,
   11835, 11842, 11851, 11868, 11913, 11921, 11929, 11937, 11945, 11966,
   11967, 11968, 11971, 11972, 11973, 11976, 11977, 11980, 11981, 11982,
   11983, 11984, 11985, 11986, 11987, 11988, 11991, 11993, 11998, 12000,
   12005, 12007, 12009, 12011, 12013, 12015, 12027, 12031, 12038, 12042,
   12048, 12052, 12063, 12064, 12067, 12071, 12075, 12081, 12082, 12087,
   12091, 12098, 12099, 12100, 12101, 12102, 12103, 12104, 12105, 12115,
   12119, 12126, 12133, 12134, 12150, 12154, 12159, 12163, 12178, 12183,
   12187, 12190, 12193, 12194, 12195, 12198, 12205, 12215, 12229, 12230,
   12234, 12245, 12246, 12249, 12250, 12253, 12257, 12264, 12268, 12272,
   12279, 12289, 12290, 12294, 12295, 12298, 12299, 12310, 12311, 12320,
   12321, 12329, 12340, 12341, 12344, 12360, 12368, 12376, 12398, 12399,
   12410, 12414, 12441, 12443, 12448, 12451, 12454, 12456, 12458, 12460,
   12470, 12472, 12483, 12487, 12491, 12495, 12499, 12508, 12515, 12540,
   12544, 12550, 12567, 12571, 12575, 12581, 12582, 12583, 12585, 12586,
   12587, 12603, 12604, 12605, 12610, 12611, 12612, 12617, 12618, 12619,
   12620, 12626, 12627, 12628, 12629, 12630, 12650, 12651, 12652, 12653,
   12654, 12655, 12656, 12657, 12658, 12659, 12660, 12661, 12662, 12663,
   12664, 12665, 12666, 12667, 12668, 12669, 12670, 12671, 12672, 12673,
   12674, 12675, 12676, 12677, 12678, 12679, 12680, 12681, 12682, 12683,
   12684, 12685, 12686, 12687, 12688, 12689, 12690, 12691, 12692, 12693,
   12694, 12695, 12696, 12697, 12698, 12699, 12700, 12701, 12702, 12703,
   12704, 12705, 12706, 12707, 12708, 12709, 12710, 12711, 12712, 12713,
   12714, 12715, 12716, 12717, 12718, 12719, 12720, 12721, 12722, 12723,
   12724, 12725, 12726, 12727, 12728, 12729, 12730, 12731, 12732, 12733,
   12734, 12735, 12736, 12737, 12738, 12739, 12740, 12741, 12742, 12743,
   12744, 12745, 12746, 12747, 12748, 12749, 12750, 12751, 12752, 12753,
   12754, 12755, 12756, 12757, 12758, 12759, 12760, 12761, 12762, 12763,
   12764, 12765, 12766, 12767, 12768, 12769, 12770, 12771, 12772, 12773,
   12774, 12775, 12776, 12777, 12778, 12779, 12780, 12781, 12782, 12783,
   12784, 12785, 12786, 12787, 12788, 12789, 12790, 12791, 12792, 12793,
   12794, 12795, 12796, 12797, 12798, 12799, 12800, 12801, 12802, 12803,
   12804, 12805, 12806, 12807, 12808, 12809, 12810, 12811, 12812, 12813,
   12814, 12815, 12816, 12817, 12818, 12819, 12820, 12821, 12822, 12823,
   12824, 12825, 12826, 12827, 12828, 12829, 12830, 12831, 12832, 12833,
   12834, 12835, 12836, 12837, 12838, 12839, 12840, 12841, 12842, 12843,
   12844, 12845, 12846, 12847, 12848, 12849, 12850, 12851, 12852, 12853,
   12854, 12855, 12856, 12857, 12858, 12859, 12860, 12861, 12862, 12863,
   12864, 12865, 12866, 12867, 12868, 12869, 12870, 12871, 12872, 12873,
   12874, 12875, 12876, 12877, 12878, 12879, 12880, 12881, 12882, 12883,
   12884, 12885, 12886, 12887, 12888, 12889, 12890, 12891, 12892, 12893,
   12894, 12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902, 12903,
   12917, 12918, 12919, 12920, 12921, 12922, 12923, 12924, 12925, 12926,
   12927, 12928, 12929, 12930, 12931, 12932, 12933, 12934, 12935, 12936,
   12937, 12938, 12939, 12940, 12941, 12942, 12943, 12944, 12945, 12946,
   12947, 12948, 12949, 12950, 12951, 12952, 12953, 12954, 12955, 12956,
   12957, 12958, 12959, 12960, 12961, 12962, 12963, 12977, 12978, 12979,
   12980, 12981, 12982, 12983, 12984, 12985, 12986, 12987, 12988, 12989,
   12990, 12991, 12992, 12993, 12994, 12995, 12996, 12997, 12998, 12999,
   13009, 13010, 13011, 13012, 13013, 13014, 13015, 13016, 13017, 13018,
   13019, 13020, 13021, 13022, 13023, 13024, 13025, 13026, 13027, 13028,
   13029, 13030, 13031, 13032, 13033, 13034, 13035, 13036, 13037, 13038,
   13039, 13040, 13041, 13042, 13043, 13044, 13045, 13046, 13047, 13048,
   13049, 13050, 13051, 13052, 13053, 13054, 13055, 13056, 13057, 13058,
   13059, 13060, 13061, 13062, 13063, 13064, 13065, 13066, 13067, 13068,
   13069, 13070, 13071, 13072, 13073, 13074, 13075, 13076, 13077, 13078,
   13079, 13080, 13081, 13082, 13083, 13084, 13085
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,    61,    60,
      62,   673,    43,    45,    42,    47,    37,    94,   674,    91,
      93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4027

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4027)))

#define YYTABLE_NINF -2223

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2223)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    4671,   -16,  7836, -4027, -4027,   -16, -4027, 49845,   539,   701,
      35,   141,  4982, 50257, 57261,   466,   285, 10208,   -16, 57261,
    1639, 37897, 47373, 57261,  1006,   678, 37897, 57261, 57673,   777,
    1026,   806, 58085, 50669, 46137,  1097, 57261,  1103,   944, 58497,
   51081,  1054, 51493,   678, 35033,   109,   955, 58909,  1315,  1423,
    1202, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027,   539, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027,   219, -4027,   892,
     387,   998,   715,  1137, -4027, -4027, -4027, 42841, 57261, 57261,
   57261,  1372, 57261,  1306, 57261,   164, 42841, 43253, 59321,  1415,
    1299, 31657, -4027, 41193, 57261, 57261, 59733, 57261, 51905, 57261,
    1363, 57261, 57261, 43665, 60145,  1500,  1448, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, 57261,  7318,  1006, -4027,
   -4027, 57261,  1381, 42841, 57261,  1338, 57261,  1429, 57261, -4027,
   57261,  1451, 60557,   504,  1172, 43253,  1239, 32082,  1551, 43253,
   60969, 57261, 57261, -4027, -4027,  1540, 57261, 57261, -4027,  1653,
   44077,  1474,  1669,  1796,  1688,   748, -4027, 52317, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, 41605,   285, -4027, -4027, 44489,
   57261,  1752, -4027, -4027, 61381, -4027,  1565, -4027,   709, 44901,
   61793,  1833,  1579, 32507,  1907, 62205, 62617, -4027, -4027, 63029,
   -4027, 63441,  1660, 63853, -4027, 64265, -4027,  1815, 64677, -4027,
    1563,  1692,  1358, 28306, -4027, -4027, -4027,   539, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027,   309,   864,   213,   189,
     270, -4027, -4027,   190,   230,   245,   309,  2024,  2024, -4027,
   57261, -4027, -4027,   864,    23,  1612,  1612,  1612,  1800,   602,
   -4027,  1612, -4027, -4027, -4027, -4027, 51493, -4027,  1651,  1006,
    1643,  2044,  1717, 57261, -4027, 57261, -4027, 57261, 57261, -4027,
   -4027,  2076,  1705,  1929,  1716, -4027,  1912,  1925,  1910,   129,
    1006,  1824, -4027,  2062, -4027,  1963, 18962,  1006, 52729, 65089,
     327, 41605,  1006, 53141,  1806,  1138,  1990, -4027, -4027,   661,
   -4027,  2217,  1856,  2080,  1716,  1448, 29560, -4027,  1865,  1390,
   51493, -4027, -4027, -4027,   400,  2140, 19391, -4027, 57261,  1864,
   -4027,  1874,  1875,  1879,   998, -4027,  4671, 57261,  1116,  1116,
    2268,  1116,  1307,  1492, -4027,  1546, -4027,  2187,  2154, 51493,
     955,   178, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027,  1921,  1390, -4027,   238, -4027,
    1152,  1928,  1252,  1543, -4027, -4027,   842, 57261,  2073,   208,
      -1,  1978, 53553,  2631,  1988, -4027,   804, -4027, -4027, -4027,
   -4027,  2250,  3290,   365, 65501, -4027, 57261, 57261, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027,  2001, -4027, -4027,
    1958,  2249,   940,  2188,    93,  2301,  8710,  1533,  2314,  3844,
    1652,   151,  2202,   934,  2309,  1411,  2321,  4608, 57261, -4027,
    2259,  2380,   677, -4027,   135, -4027,  2107,  2238,   643, 42841,
    2058, -4027, -4027, 57261, -4027, -4027, -4027,  2136, -4027,   812,
   42841, -4027,  2264,  2126, 32932, -4027, 57261, -4027, -4027, -4027,
   -4027, -4027,  2207, 57261, -4027, -4027,  2328, 57261, -4027,  1612,
    2246,  2098,  2470, 74109,    69, 57261,  2137,  2502, 57261,  2300,
    2137,  2142, 65913, -4027, -4027,  2137, -4027, -4027, 57261, 57261,
    2105,  1828,  2137,  2302,  2505,  2507,  2174,  2284,   764,  1027,
     176,  2401,  2137,  2157, 57261, 66325, 57261,  2160, 57261,  2480,
   42841, 57261, -4027,  2275, -4027, -4027,   995, -4027, -4027, -4027,
   -4027,  2420,  1921,   759,  2421,  2129,  2422, -4027, -4027,  2162,
   -4027,  2431,  1988,  2432,  2134, -4027, 66737, -4027, 67149, 67561,
    2436,  2001, 57261,  2438,  2134,  2441,  2330,  2445,   759,  2448,
   -4027,   769,  2449,  2337,  2452,  1489,  2134, 42017,  2458,   148,
   -4027, 21107, -4027,  2247, -4027,   955, -4027,   -59, -4027, 37485,
   -4027,  1358,   864, -4027, 57261,   864, 57261,   864, 57261,   864,
   57261,   864, 57261, 57261, 57261,   864, -4027, -4027, -4027, 57261,
    2164, 57261, 57261, -4027, -4027, -4027, 47785, 57261, 48197, -4027,
   -4027,    81,  1006, -4027, -4027, 74109,  2565, 57261, 57261,  2450,
    2450,  2450, -4027, -4027, -4027,  2390, 57261,  2454,  2455, 47785,
   57261, -4027, 67973, 41605,  2354,  2177, -4027, -4027, -4027, -4027,
   -4027,  1534,  2604,   198,  2605, 21107,  2190,   183,   183,  2192,
    2473, -4027, -4027, -4027,   243,  2197,  2201, -4027,   187,   187,
    2352,  2203,  2206, -4027,   232,  2208,  2626,  2628,   250,  2209,
    2211,  2213,  1234,   183, 21107, -4027,  2219,   187,  2220,  2221,
    2222,  2643,  2224, -4027,  2651,  2226,   278,   308,  2228,  2229,
   -4027,  2203, -4027,   200,  2230,  2231,  2232,  2234,  2236,  2239,
    2240,  2257, 21107, 21107, -4027, 18104,  1390,  1006, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027,   150, -4027,   254,  5464, -4027,
   -4027,  2376, 21107, -4027, -4027,    60, -4027,   259, -4027, -4027,
   -4027,  1390, -4027, -4027,  1413,  2254, -4027,  1545, -4027, -4027,
   -4027, -4027, -4027, -4027, 39957,  2660, -4027,   344,  1006,   135,
    1479,  2608, 36661, 37073, -4027, -4027,  2490, -4027, 57261, -4027,
   -4027, 21107, 34621, -4027,  1390,   131, -4027, -4027, -4027,  1289,
   -4027, -4027, -4027,   539, -4027, 11798, -4027,  1510,  1864, 57261,
   57261,  2668, -4027, -4027, -4027,  1874, -4027, -4027,   998,   998,
   21107,   998,   838,  1154, 19820, 21107,  2554,  2457,  1069,  1080,
    2555, -4027,  2461,  1307,  1492, 51493, 57261, 68385,  2378, -4027,
   35857,  1418,  1390,  2351,  2357,  2397, 38721,  2287,  2360,  2364,
    2411,  2367,  2369, 68797, -4027, -4027, -4027, -4027,  1280,  1469,
     222,  2371,   353,   870,  2653, -4027,  1216,  2419, -4027, -4027,
   -4027,  3203, 57261,  2595,  4715,  2484,   365,  2423, -4027, -4027,
    2529,  2379,  2381,  2500,   365,   237, 69209, -4027, -4027, -4027,
   -4027, -4027, -4027,  4328, 16873, -4027,  2385,  2365, 57261, 45313,
    2677,  2499,    47,   304,   162, 57261,  2573,  2506, 57261,  2322,
    2395,  2398,  2323,  1619,  2680,  2324, -4027, -4027, -4027,   358,
    2495, -4027,  2623,  5577,  2382,  2386, 72895,  1305, 33357,  2663,
    1134,  2410, -4027,  1134, 57261,  2414,  2415, 57261,   365, -4027,
    2720,   365,   365,  1345,  2725,  2417,   386,  1488,  2137,  2324,
    1787, -4027,  2424,  2426,   277, -4027,  2522, 51493,   380,  1531,
    2324,  2427,  2430,  2323,  2323, 57261, 57261, 57261, 57261, 57261,
     165,  2739,  2743,  2434,   191,  2483,  2361, -4027, 40369,  2435,
   65089, -4027, -4027, 57261,  2442,  1541,  2324,  1135,  1286, -4027,
   -4027, -4027,  1448, -4027, 57261, -4027, 57261,  1921, 74109,  2549,
   -4027,  2403, -4027,  1988,   365, -4027, 57261, 57261,  2001,  1139,
     805,  2558, 57261,  2617,  2413, -4027,   239, 36259,  2105, -4027,
    2383, -4027, -4027,  2425, -4027,  2425,  2425,  2384,  2384,  2387,
   -4027, -4027, -4027,  1234,  2425,  2384, -4027, 74911, -4027,  1441,
    1461, -4027,  2780,  2782, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027,   120,  1559, -4027, 57261, 38721, -4027,  2806,
   -4027, -4027, 74109,  2583,  2698, -4027, 57261,  2599,  2406, -4027,
    2737,  2462, -4027, -4027,   556, -4027,  2707, 43253,   827,  1006,
    2453, 57261,  2632, 57261, 57261, 57261, 57261, -4027, -4027,  2601,
     121,    94, -4027, 40369, -4027, 57261,  1787,  2612,  2820,    42,
    1612, 57261,  2706, -4027, 57261,  2428,  2822,  2658, -4027,  1093,
   -4027,  2547, -4027, 42841,   759, -4027, -4027, -4027, -4027, 74109,
   57261, 69621, 42841,   759, 57261, 57261,  2726,   148,  2727,  2485,
    2728,  2488, 33357,   759,   158, 57261, 57261, 57261, 57261, -4027,
   57261, -4027, -4027, -4027, -4027, 57261, 57261, 57261, 40369,  2735,
    2736,   759, 57261, 57261, -4027, 11798,  1571, 57261,  1358, 40781,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, 57261, -4027,
   57261, -4027, 57261, -4027, 57261, -4027, 57261, -4027, -4027, -4027,
   57261, -4027, 57261,  1577, -4027, -4027,  1590,   676, 57261, 57261,
     166, 42841, 57261,  2629, 57261, 57261, 57261, 57261, 57261,  2517,
    2254,   928, -4027,   218, 51493,  2636, -4027, -4027,  1597,  1315,
     931,  2479, -4027, -4027, -4027, -4027, -4027, -4027, 48197, 47373,
    2733,   132, 57261, -4027, -4027,  4538, 21107,  1390, 18533, -4027,
   -4027, -4027,  2446, 11798,  2486, 21107, -4027, -4027, 21107,  2447,
    2024,  2024, 21107, -4027, -4027, -4027, -4027,   317,  2024, -4027,
   21107, 21107,  2024,  2024,  2425,  2425, -4027,  2570, 21107, -4027,
   33357, 21107, 23681, 16033, 21107,  2530,  2472,  2024, -4027,  2024,
   -4027, 21107, 17675, -4027, 21107,  2661, 24533, 21107,  1479,  2662,
   21107,  1479,  2876,  2876,  2193,  5501,  2456,  1390, -4027,  2566,
    2024, -4027,  2024,   697, -4027,   202, 74109, 21107, 38721,  2537,
     203, 57261, 21107,  2463,  1564, -4027, 21107,   735, -4027,  2464,
   21107,  2539, 21107, 21107, 21107, 21107, 21107, 21107, 21107, 21107,
   21107, -4027, 25369,   244,   597,  1471, 53965, 18962,  2748, 15603,
   -4027,   177, -4027, -4027, -4027, 57261,  2660, -4027, -4027,  2541,
   -4027, -4027, -4027, -4027, -4027,   266, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027,  2466, -4027, -4027, -4027, -4027,  2466, -4027,
    2474,  4223, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,  2740,  2742,
     759, 57261,   400, 48609, -4027, 19391, -4027,  1656,  2471, -4027,
    2721, -4027,  2475, -4027,  9614,  2721, -4027, -4027,   305,  2582,
    2716,  2664, -4027, -4027, -4027,  2478, 11798, -4027,  1730, 11798,
    1792, -4027, -4027, -4027, -4027, -4027, -4027,   855, -4027, 57261,
    2636,  2554,  1080,  2536,   963, 57261, -4027, 29978,  2487,  1667,
    2559,  2560,  2606, 43253, 57261, 57261, -4027, 38721, 43253, 57261,
   57261, 43253, 57261, 57261, -4027,  2845,    21, 47373,  2609, 46549,
   -4027, -4027,  2491, 57261,  2546,  2731,  2732,   -27, -4027, -4027,
   70033, -4027,  2684, 43253, 57261, 57261, 21107,  2689, 57261, 57261,
   -4027,   221,  2575,  2576, -4027, 57261,  2579, 42841,  2508, 57261,
   57261, 57261,  2577,   818, 42841,  2550, 33782, 57261, 57261, 57261,
   57261,  2634, 57261, 57261,  2744,    97, 51493,   240,  1587,  2324,
    2703, -4027,   858, -4027, 43253, 57261,  2696, -4027, -4027, -4027,
   54377,  2908,  2618, -4027, -4027, 70445, -4027, -4027,  2694, -4027,
   -4027, 74911, -4027, -4027,  1677, -4027, 74510, 70857, -4027, -4027,
     809, 43253, 57261,  5793, 57261,   569, -4027, -4027, 74109, -4027,
   57261, 57261, 57261, 49021, 71258, 71670,    61,   645, 57261, 49433,
   -4027, 57261, -4027, -4027, 39133, 43253, 57261, 38721, -4027, 57261,
    2704,   205, -4027, 57261,  6389, -4027,  2594, 57261,   384,  1707,
    2324, 57261, 57261,  2518,  1689,  2597,  2644, -4027, 57261, -4027,
   43253,  1061, -4027,  2665, 43253, 57261, 10746, -4027, -4027,   365,
   -4027, -4027, -4027, -4027, -4027, 57261, 57261,   365, 57261,   365,
    1121, -4027, 43253, 57261, -4027, -4027, -4027,  5832, 57261, 57261,
   57261, 57261, 43253, 57261, -4027, -4027,  1241,  1014,  1416,  1490,
    2666, 57261,  2791, 57261, 72082, 43253, 57261, 57261, 57261,  1517,
   -4027, -4027,  2638, -4027, 43253,  1061,  6296, 57261, 57261,  2610,
    2611,   223,  2678, -4027, -4027, -4027, -4027, -4027, -4027,  2777,
    2940, 57261, -4027,  2781,  2783,  2600,  2607,  2784,   815, 57261,
   -4027, -4027, -4027, -4027, 57261,  2786,   815,  2750,   820, -4027,
   -4027,  2137, -4027,  2556,  1728, -4027, -4027, 21107,  2950, 74109,
    2562,  2571,  2627,  2642,  2645, -4027,  2552,  2646,  2024, -4027,
   -4027,  1773, -4027, -4027,  1738, -4027,  2567,   121,  1399, -4027,
   38721, 57261,   663,   690,  2852, 45725,  2204,  2855, 57261,  2621,
   57261,  2204, 57261, -4027,  2200, 47373, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027,  2865, -4027,  1006,  2105,  2105,
    2105,  2105, -4027, -4027, -4027, -4027,  2769,  1326, -4027,  2585,
    2105, 57261,  2697,  2204,  2586, -4027,  1787,  2885,   571, 57261,
   45725,  1684,  2633,  2994,  1612,  1006,  2779, -4027, 17274,  2394,
    2785, 41605,  2863,  2866,  2886, -4027,  1921, -4027,  3002, -4027,
    2900,   759,  1988, -4027,  2134, -4027, 57261, -4027, 57261, 57261,
   57261, 57261,  2001, -4027, -4027,  2134,  2790,   759,   759, -4027,
    2795,   759,  2134,  2719,  2899, 41605, -4027,   148, -4027, -4027,
   21107,  1612, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
    1740, -4027, 57261, -4027,  2875,  2887,  2888,  2134,  2637,  2647,
   57261,  2640, -4027,  2134,   365,  2134,  2254,  2254,  2134,  2637,
   42429,  3043,  2906,   167, -4027,   173,   621,  2840, -4027, -4027,
   -4027, -4027, 74109, -4027, -4027, -4027, -4027, -4027, 57261,   952,
   -4027,   359,  2816,  2641, 42429,  3018,   759, -4027, 42841, -4027,
   -4027, -4027,  2712,  2730, 42841,  2823,  2688, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027,  2883, 57261,  1750, -4027, -4027,  1290,
   -4027,  1376, 21107, 21107,   682, -4027, 10517,  1751, 21107,  2652,
    2655,  1758, -4027, -4027, -4027, -4027, -4027, -4027, -4027,  2657,
    2934, -4027,  2659,  1765,  1778,  2667,  2669, -4027, -4027,  4943,
    2670, 10637,  2672, 23681, 23681,   782, -4027, -4027, 23681,  2674,
   -4027,  1782,  9754,  2673,  2675,  2682, -4027,  2679,  2681, 10785,
   20249, 21107, 20249, 20249, 11084,  2673,  2683,  1803, 38721,  2826,
   11190,  1804, -4027, 21107, 38721,  5012, 21107, -4027, 21107, 57261,
    2685,  2686, -4027, -4027,  2570, -4027,  2695, -4027, 23681, 23681,
   -4027,  2191, 18104, -4027, -4027,  2943, -4027, -4027,  1858, -4027,
    2690, -4027, -4027,  3878,   363, 21107,  2463, 21107,  2741, 33357,
    2260, 21107,  2630,  3468,  3468,   402,   402,   231,   231,   231,
    1661,  1471, -4027, -4027, -4027,  2691,  2224, 21107, -4027,  1839,
    1878, 57261,  2944,  3446,  3622, -4027, -4027, -4027, 26634,  2718,
   21107, 21107, 21107,  2687,  2839,  3097, 11798,   658, -4027,  3103,
   -4027,  1448,  2024,   697, 37485, -4027, -4027, 21107, -4027, -4027,
   -4027,  1874, -4027, -4027, -4027, -4027, -4027,  1315, 21107, -4027,
   -4027,   471,  1726, 21107,  1730, -4027, -4027,  2747, -4027, 21107,
   -4027, -4027, -4027,  2254, -4027, -4027, -4027, 26634,  2734,  2745,
   29142,  2818, -4027, -4027, 57261,   573, -4027, -4027, -4027,  2708,
   -4027, -4027, -4027, 43253, 57261, 57261, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027,  2915, -4027, 57261, 57261,
    2878, 57261,  2877,  2882, 21107,   255, 57261,  2702,  2709,  1125,
    2963, 57261, -4027,  3003,   759, -4027, -4027,  2787, -4027, 11798,
   -4027, -4027, -4027, -4027, -4027, 43253, 57261, -4027, 41605, -4027,
    1921, 74109, -4027, -4027, -4027, 57261,  2749, 57261, -4027, 57261,
   57261, 57261,  2001, -4027, -4027, -4027, -4027,   904, -4027, -4027,
   57261, 57261,   108,  2788,  2793, 57261, -4027,  1211,  2522,  6650,
   57261, 57261, 57261,  2959, -4027, -4027, -4027, -4027,  2902, -4027,
   -4027,  1559, -4027, 70857, 74510, -4027, 74510, -4027,  1559,  1515,
   -4027,  2134,  2796,  2324, -4027,  2890,  1164, -4027, -4027, -4027,
   -4027, -4027,  3012,   759,  3013,   759, 57261, 57261, 57261, 57261,
   -4027, -4027, -4027, -4027, -4027, 38721, 38721, 38721,  1805, -4027,
   -4027,  1006, -4027, -4027, -4027,  1811, -4027,   -55, -4027, -4027,
   -4027, -4027, -4027, -4027, 43253,  6906, 57261, 57261, 57261,  1663,
   -4027,   767, 74109, -4027, 73296, 43253, 57261, -4027, -4027, -4027,
    2942,  2891, -4027,   895,  2892, 57261,  2792, -4027,  2800, -4027,
   -4027,  2807,  1709,  2324,  1787, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027,   395,  1748,  2324,  2809, -4027,  2810, -4027,
   -4027, -4027,  2945,  2951,  2952,  2814,  2815,  2861,  2819,  2827,
    2867, -4027,  2828,  2880,  2830,  2889,  2831,   759, 74109,  2954,
    1006,  2851,  3042,   759, -4027,  2838, -4027, -4027,  3160, -4027,
   57261, -4027,  2841,  1798,  2324, -4027, -4027, 43253, 57261, -4027,
   -4027, -4027,   815, 74109,  3008,   815,   815, 57261, 57261,   815,
   -4027, -4027, -4027,  3010,  3014,   815, -4027, -4027, -4027, -4027,
    2246,  2773, 31232, -4027,  3202,  5512,  2778,  2571,  2776,  2024,
     207,   143,  1039,  2894,  2024,  2985,  2789, -4027, -4027, 38721,
   31232,  1630,  3001,  2794,  2794,  2794,  2794,  2794,  2794,  2794,
   -4027,  2248,   119,  2137, 41605, 57261, 41605, -4027,   690,  2890,
   57261, 57261,  2798,  2797, -4027, -4027, -4027, -4027, 57261,   137,
   57261,  2024, -4027, -4027,  2847, -4027, 57261,  1612,  3176,  2507,
     827,  2919,  1586,  3122, -4027, -4027, -4027, -4027, -4027, 57261,
   57261,   121,  1006, -4027,  2801,  2799, -4027, 57261, 57261, 57261,
   57261,  2479,  2811,  2812, 74109,   638,  2971,  2974,  2323,  3189,
    1315,  2633,  2868, 57261, -4027,  1812,   112, -4027,  1006, 41605,
   72494, -4027,  1885, -4027, -4027,   725,  3066, -4027, -4027,  1315,
     759, 74109, 57261, -4027,   759,   148,  2862,   759,  2864,   759,
     759, 57261, -4027, -4027, 57261, -4027, 57261, 40369,   759, -4027,
   11798, -4027, -4027,  2933,  2935,  2936, 57261,  2134, 42841, -4027,
    2817, 43253,  1019, -4027, -4027,  2997, -4027, -4027, -4027, -4027,
   -4027,  3117,  3118, -4027, -4027, -4027, -4027,  3159, 57261, 47785,
     163, 43253, -4027,  1921, -4027, -4027,  1988,   365, -4027, 57261,
    3064, -4027, -4027, -4027,  2829,  1818, 11304, 21107, -4027,  3133,
   74109, -4027,  5932, -4027, -4027, -4027, -4027, 21107, -4027, -4027,
   -4027, -4027, -4027, 21107, -4027, 21107,  3109, -4027,  3250,  3250,
   74109, 23681,  1242,  2220, 23681, 23681, 23681, 23681, 23681, 23681,
   23681, 23681, 23681, 25798,   509, -4027, -4027, 21107, 21107,  3116,
    3109, -4027, -4027,   -32,   -32, 74109,  2832,  2673,  2833,  2846,
   21107, -4027, -4027,  1852, 24951,  2850, 38721, -4027, 21107, 10059,
    1859,  2873, 11762,  1390,  5959, -4027,  3213,  1006, 21107,  1075,
    1341, 21107,  1863, 21107,  3128, -4027, -4027, -4027,  2853, -4027,
   -4027, 74109, 21107, 23681, 23681,  4120, -4027,  5656, 21107,  2857,
    6392, 18104, -4027,   678,   678,   678,   678, -4027, 57261, 57261,
   57261, 27052, 26216, 54789,  2860,  1519, -4027, 54789, 55201, -4027,
    2869,  1390, 21107,  3138,   665,   665,  2870,  2839, 30396, -4027,
   21107,   792, 20678,  2871,   135,  2874, -4027, -4027,  6452, -4027,
    2879, -4027,  2881, -4027,  1726, -4027, -4027, -4027,  6419,  3049,
   -4027, -4027,  2860, 21536,  2818, -4027,  1871, -4027, -4027, 18962,
   -4027, -4027,  1877, 29978,  2734, 19391,  1390, -4027, -4027, -4027,
    2794,  2134,  2134,   127,  2134,  3146,   127,  7412, -4027, -4027,
   27470, 57261, 57261, -4027, 57261,  1883,  1250, 57261, -4027, 57261,
   -4027, -4027, -4027, -4027,  3270, -4027, 57261, -4027, -4027,  2926,
    2928, -4027, 57261, 57261, 57261, 57261, -4027, -4027,  1928, -4027,
   -4027, 43253, 57261, -4027, -4027, -4027,   397,  1827,  2324, -4027,
    2953, -4027, -4027,  3127,  1640, -4027, -4027, -4027,  2947, 57261,
    2893, -4027,   216,  2323,   744, -4027, -4027,  2956, 57261, -4027,
   57261, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   39133, -4027, -4027, -4027, 38721, 31232, 38721, -4027,   416,  1903,
    2324, -4027,  2960, -4027,  2962,  2966,  3004,   706,   861,  2968,
    2969,  3016,  2898,  2905,  2907, -4027, -4027,   309,  1006, -4027,
   -4027,  1006,  2134,  1006, 57261, 57261, 57261, 57261, 57261, 57261,
   57261, 57261,  3185,   799,  1605, 43253, 57261, 57261, 43253, 57261,
   57261, 57261, 57261, 57261, 57261, 57261, -4027,  3276,  3210,  1754,
    3251,  2983, 57261, -4027, 57261,  2522, 57261, 57261, -4027, -4027,
   -4027,  2920,   815, -4027, -4027,  3161,  3163, -4027,   815,   815,
   -4027,   239, 38721, -4027,  2545,  2881,  2024,   358, -4027, -4027,
   -4027, -4027, -4027, -4027,  2556, -4027, -4027,  2024,  1866,  2927,
   -4027,  2929, -4027, -4027, -4027, -4027, -4027, -4027,  2931, -4027,
     697, -4027, -4027, 57261,  2794, -4027,   330,   321,  1261,  1264,
   55613, 56025, 56437,  2930, 57261, 57261, 23681, -4027,  1473,   199,
   -4027,  3162, 57261,  2967, -4027, -4027, -4027,  3080, 57261, -4027,
   -4027, -4027, -4027, -4027,  2937, -4027,  3044, 45725,  2134, 57261,
   57261,  2134, -4027, 74109,  2939,  2633, 43253,   827,  1180, 66325,
    2972,  2932,  3220, -4027,  2949,  2955, -4027, -4027, 57261,  2890,
    1893,    46,  1563, -4027, 46961,  1684,  3194, -4027, -4027, -4027,
    3303,  3026, -4027,  1315,  2479,  3026,  1006,  2546, -4027, 70857,
   21107, 21107, -4027,  2957, -4027,  2948,  4172, -4027,  2105, -4027,
   -4027, -4027, -4027, -4027, -4027,  3025, 57261, -4027, -4027,  2970,
     759, -4027, -4027, 57261, -4027, 57261, -4027, -4027,   759,   759,
   -4027,  3063, -4027, 57261, 57261, 57261,  2134, -4027,   365, -4027,
    3230, 42429, -4027, -4027, -4027, -4027, -4027,   132,  3240, -4027,
   -4027,  3206,  3208,  3212,  3214,   899, -4027, -4027, 21107, 11798,
   -4027,  2973, -4027, 11798,  7785, 11798,  3116, -4027,  1357,  3243,
   -4027,  1350,  2976,  1357,  1923,  1923,   431,   431,   275,   275,
     275,  3250,   509, 11798, 11798, -4027, -4027, -4027, -4027,  2977,
   -4027, -4027, -4027,  2673, -4027, 21965,  3119,  3363, -4027, -4027,
   -4027,  3017,  3019,  2986, -4027, 21107, 22394,  2980, 74911, -4027,
   -4027,   697,   323, 23681, 23681,  4153, -4027,  1187, 21107, 74109,
    1895,  4153,  1407,  1708, 21107, 21107,  7466,   256, 21107,  7812,
   57261, 57261, 57261, 57261, -4027, -4027, -4027, 54789, 55201, 16454,
    1519,  2987, 57261, -4027, -4027,  2989, 26634,  3229,  3168, -4027,
   26634,  3168,  1453,  3168,  3232, -4027, 30814, -4027, -4027,  2998,
   15603,  1549, 11798,  3380,  3269, 21107,  3005, -4027,  3007,  2839,
   -4027, 73697, -4027, -4027, 11798, -4027, -4027, 21107, -4027,  2839,
    1006, -4027, -4027, 33357, -4027, -4027, -4027,  3190, 11798, -4027,
    1315, 57261,  1390,  3006,  3029, 57261, -4027,  2818, -4027,   309,
   -4027, -4027, -4027, -4027,  3086, 47373,  3293, -4027, 21107,  1901,
   -4027,  3051,  3383,   341,  1905,  1922,  1250, -4027,  2967, -4027,
    1514,  3275,   134, -4027,   759, -4027, 74109, -4027, 57261, 57261,
   -4027, -4027, -4027, -4027,  2287, -4027, -4027, 57261, 57261, 57261,
   57261, -4027,  3087, -4027, -4027, 38721,  2248,  3215, -4027, -4027,
    3217,   309, 57261, -4027, 74109,   759,   759, -4027, -4027, -4027,
    3041, 57261, 57261, 57261, 57261, 43253, 57261, 57261,  2024,  2024,
   74109,  3027, -4027,  2024,  2024,  3028, -4027, 43253, 57261, 57261,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027,  3107, -4027, -4027, -4027, 57261, 57261, 57261, 57261,  3325,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, 57261, -4027, -4027,  1006,  1006, 74109,   759,   759, -4027,
   -4027, -4027,  3273, -4027,   815,   815, -4027, -4027,   722,  1924,
   -4027, 27888, -4027, -4027,  2502,  1006,  2502,   915, -4027, -4027,
    2502, -4027,  2502, -4027,  1250,  3037,  1068,  3316, -4027, -4027,
   -4027, -4027,  3319,   309, -4027, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, -4027, 21107,
   -4027,  1244,  1357, -4027, -4027, -4027, -4027,  2967,  1612,  3092,
   42841,   289, -4027,  3301,   663, 45725,  1354, 57261, -4027,  2134,
    2134,  3094, 57261,  3443, -4027,   603, 57261,  3354,  3084, -4027,
    1006, -4027, -4027,  2633, 57261, 45725,  2479,  1941, -4027, -4027,
   -4027,  3081,  2974,  3050,  1684,   201, 57261, -4027,  3083, -4027,
   -4027,  3332,  3053, -4027, 11798, 11798,  1006, 75312,  1885, -4027,
   57261,  3306,   759, -4027,   759,   759, -4027, -4027, 57261,  2134,
    2134,  2134, -4027,  3234, -4027,   759, 42429,   899,   899,   899,
     899, -4027, -4027, -4027, 11798, -4027, -4027, -4027, 23681,  3336,
   -4027,  3057, 74109, -4027,  3058,  1954,  1955, 24533,  3201, -4027,
   -4027, -4027,  7845,  3108, 11798,  3157,  3061,  3062, -4027,   768,
     768,  1187,  1960, -4027, 23681, 23681,  4153,  4153, 21107,  4153,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027, 54789,  3067, 57261,
    1519, 26634, -4027, -4027,  1391, -4027, 26634,  3300, -4027, 26634,
   57261,  3068, 57261,   785, 21107, 21107,  3101,  2839,  2839, -4027,
    3236, -4027,  3070, -4027,   697,  3071, 57261, -4027, -4027,   955,
   -4027, -4027, -4027, 42429,  3256, 42429,  1250,  8086,  2967, 27470,
   34207, 57261, 56849, 56849,  3216,  2967,  3092, -4027, -4027, -4027,
   -4027, -4027, -4027,  3075, -4027, -4027, -4027,  3151, -4027, -4027,
   -4027,  1966, -4027, -4027, -4027, -4027, -4027,  3276, -4027, -4027,
   31232, -4027,  3152, -4027, -4027, -4027, -4027, -4027, 28724, 33357,
   -4027,   706,  3082,  3085,   861, -4027, -4027, -4027, 57261,  1298,
    1037,  3114,  2134,  3366, -4027, -4027, -4027,  3276, -4027, -4027,
     815, -4027, -4027, -4027,  2137,  3404, -4027, 38721, -4027, 39545,
   -4027, -4027, -4027,  1006, -4027,  1006,  3277, 35445,  1006,  1006,
   -4027, 42841,  3487,  3487, 57261, -4027, -4027,  8331,  3279, -4027,
    3092,  3307,  3348, -4027,  3096, 57261,  3248,  3099,  3100,   776,
     776,  2890, 57261,  1967,  1315,   827, 45725,  2890, -4027,  1393,
    3102,  3397, -4027,  3505,  2811,  3105, -4027, -4027, 46961,  3286,
    3026, 57261,  2974,  3233, -4027,  3237, -4027,   957, -4027, 57261,
   27470, -4027, 74510, -4027,  1972, -4027, -4027,  2718, 57261,   790,
   -4027, -4027, -4027, -4027, -4027, -4027,   163, -4027, -4027, -4027,
   -4027,   516, 23681, 74109,  1973, 21107, -4027, 21107, -4027,  3497,
   -4027, -4027, -4027,   693, -4027, -4027, -4027,   768,   768,  4153,
   -4027, 57261,  1977, -4027, 21107,  3120, -4027, -4027, 26634,  1391,
    1979, 57261,  1989, 74109,  2839,  2673, 11798, 57261, -4027, -4027,
   -4027,  3499,  3294,  2839, -4027, -4027, -4027, -4027,  1019,   127,
     163,  3383,  3092, -4027,  3123, -4027, -4027, 57261, -4027,   280,
     280, 57261,  3092, -4027, -4027, 57261, -4027, 38721,  3169, -4027,
   57261, 74109,  1988,    66, -4027, 74109, 74109, -4027, -4027, 57261,
   57261, 57261, 57261, 57261,   759, -4027,  2773,  1006, -4027, -4027,
    1998, -4027, -4027, -4027, 57261, -4027,  2932, -4027, -4027,  3487,
     887, -4027, -4027, -4027,  1642,  3320, -4027,  1047,  3308,  3209,
    3129, -4027, 42841,  3550,  3238, -4027, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027,  3419,  2633,  3083, -4027, -4027, -4027,
   -4027, 21107,  3282,  1315,  1684,  3194, -4027, -4027, -4027,  2006,
    3026, -4027, -4027,  3504,  3313,  3506, -4027,  2011, -4027, -4027,
    4172, 75312,  3452, -4027,  3187, 57261, -4027, -4027, -4027,   516,
    2033, -4027,  2043,  2047,  3284,  3191, -4027,  2049, -4027, 11798,
   57261, -4027, -4027, -4027,  2059, -4027,  3136, -4027,  3543, 21107,
    1406, -4027, -4027,  3427, -4027, 56849,  3186, 33357, -4027,  1726,
    1726,  1612, -4027,  1250, -4027, -4027, 21107, -4027, -4027,  2061,
   -4027,    83,  3292,  3435,  2067,  2069,  2637,  3193,  2637, -4027,
    2134, -4027, -4027, -4027, -4027, 39545,  2932, -4027, -4027, -4027,
    3461,  3407, -4027, -4027, -4027, -4027,   733, -4027,  3337,  3338,
   57261, -4027,  3164, -4027,  2077, 57261, 57261,  3560,  3562, -4027,
    8384, 42841, -4027,  2974,  1684,  2248, -4027, -4027,  3346, -4027,
    3347,  2633, 27470,  1885, -4027,   252, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027,  2081, -4027, 57261,  3170,  2673, 22823,
   22823,  3172, 42429,   280,  3175, -4027,  3177, -4027, -4027,  3307,
    1250, 11798, 42841,  3552, -4027, -4027, -4027,  3292, -4027, -4027,
   57261, -4027,  3302, -4027,   946,   946,  3500, -4027,  3235, -4027,
   -4027,  3179, -4027,  3608,  2890, -4027,   706,  1315, -4027,  3184,
    3026,  2974, -4027, -4027,  3026, -4027, -4027, -4027, -4027,   871,
   -4027, -4027, -4027, 24110,  3310,   179, 10183, -4027, -4027, -4027,
   -4027,   163,  1726, 21107,  1250, -4027,  3308,  1988, 57261, -4027,
   -4027,  3084, -4027,  3599, -4027,   196, -4027, -4027, -4027, -4027,
   -4027,  3027, -4027, 38309, -4027,  3026,  2718, -4027,  2173, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027,  3591, -4027, -4027, -4027,
   -4027, -4027, -4027, -4027,  9245, -4027, -4027, -4027,  3486, -4027,
   -4027, -4027, -4027,  2083, -4027, -4027, -4027, -4027, -4027, -4027,
    1822, -4027, -4027,  1851,  1879, 23252, -4027,  1250,  3341, -4027,
   38309, -4027,  2173, -4027, 42841, -4027, -4027,  3192, 38309,  2090,
   -4027
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1375,  1173,   528,  1259,  1258,  1173,   239,     0,  1261,     0,
    1173,   352,   942,     0,     0,     0,     0,   528,  1173,     0,
    1375,     0,     0,     0,     0,  1388,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1173,     0,     0,  1395,     0,
       0,     0,     0,  1388,     0,  1263,     0,     0,     0,     0,
       2,     4,    59,    60,    24,    23,    29,    28,    82,    83,
      47,    17,    73,    53,   116,   115,   117,    35,    31,    67,
      21,    22,    32,    36,    55,    37,    48,    94,    54,    20,
      52,    77,    56,    80,    42,    11,    12,    43,    71,    13,
      44,    72,    14,    45,    15,    61,    84,    27,    57,    81,
      58,     5,    38,    69,    65,    10,    49,    50,    51,    74,
      75,    76,    99,    79,   111,    34,   108,    88,    89,   105,
      90,   106,     8,    91,    46,    16,   102,   101,   103,    68,
      39,    70,   100,   104,    18,    19,   107,    78,    97,    93,
     112,   110,   118,    95,    62,     6,     7,    85,    41,     9,
      26,    25,    40,    33,   114,    30,  1261,    87,    98,    86,
      63,    92,    66,    96,   113,    64,   109,  1362,  1349,  1397,
    1361,  1374,     0,  1364,  1172,  1171,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   527,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1183,  1901,  1916,  1917,
    1918,  1919,  1920,  1921,  1922,  1923,   324,  1924,  1925,  1926,
    1927,  1928,  1929,  1930,  1931,  1932,  1933,  2170,  2171,  2172,
    2173,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  2174,  2175,
    1941,  1942,  1943,  1944,  1945,  2176,  1946,  1947,  1948,  1949,
    1950,  1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,
    1960,  1961,  1962,  1963,  1964,  1965,  2177,  2178,  1966,  1967,
    1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,  1977,
    1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,  1987,
    1988,  1989,  1990,  2179,  1991,  1992,  1993,  2180,  1994,  1995,
    2181,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2182,  2003,
    2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,
    2014,  2015,  2016,  2017,  2018,  2183,  2019,  2020,  2021,  2022,
    2184,  2185,  2186,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2187,  2033,  2034,  2035,  2036,  2037,  2038,
    2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,
    2049,  2188,  2189,  2050,  2051,  2190,  2052,  2053,  2054,  2191,
    2055,  2192,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2193,
    2194,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2195,
    2071,  2196,  2074,  2072,  2073,  2075,  2076,  2077,  2078,  2079,
    2080,  2081,  2082,  2197,  2083,  2084,  2085,  2086,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2198,  2102,  2103,  2104,  2105,  2106,  2107,
    2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2199,  2116,
    2117,  2118,  2200,  2119,  2120,  2121,  2122,  2123,  2124,  2125,
    2126,  2127,  2128,  2129,  2201,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2202,  2203,  2138,  2204,  2139,  2205,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2206,  2207,  2157,  2158,
    2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2216,  2167,  2168,  2169,
     323,  1340,  1874,  1902,  1903,  1260,  1241,   528,     0,  1160,
     351,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     165,     0,     0,   375,   374,     0,     0,     0,   914,   380,
       0,     0,     0,     0,     0,   516,  1302,  2072,  1300,  1341,
     240,   243,   241,   242,  1896,     0,  1014,  1015,  1017,     0,
       0,  1027,   754,   755,     0,   753,     0,   757,     0,     0,
       0,   749,     0,     0,     0,     0,     0,   756,   746,     0,
     745,     0,     0,     0,   752,     0,   747,     0,     0,  1161,
    1299,   381,  1375,     0,  1277,  1278,  1279,  1261,  1268,  1280,
    1273,  1275,  1274,  1276,  1272,  1895,  1917,   853,   853,   853,
     853,   850,   851,   853,   853,   853,  2089,     0,     0,   832,
       0,   834,  1898,   853,   858,   436,   436,   436,     0,   857,
     862,   436,  1154,  1192,  1879,  1387,     0,   833,  1153,  2138,
    1291,     0,     0,     0,  1031,     0,  1032,     0,  2104,  1165,
     224,  2114,  2202,  2138,   220,   194,  1921,     0,     0,   857,
       0,  1162,  1163,   816,  1394,  1392,     0,  1939,  1952,  2036,
     217,  2100,  2105,  2114,  2202,  2138,  2166,   174,   179,     0,
     233,  2114,  2202,  2138,   229,  1183,     0,  1365,  1480,  1870,
       0,  1156,  1155,  1262,     0,  1265,     0,  1442,  2085,  1369,
    1371,  1267,  1362,     0,     0,     1,  1375,  1256,  1391,  1391,
       0,  1391,     0,  1354,  1362,  1357,  1361,     0,     0,     0,
       0,  1901,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
    2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,  2237,  2238,  2239,     0,     0,  1880,  1902,  1906,
       0,   764,     0,   122,  1875,   902,     0,     0,     0,     0,
    1874,     0,     0,     0,     0,  1907,     0,  1897,  1908,  1909,
    1910,  2008,     0,     0,     0,  1775,  1943,  1994,  1785,  1783,
    1784,  1777,  1778,  1779,  1780,  1781,  1782,     0,  1012,  1776,
       0,   144,   122,     0,     0,  2008,     0,     0,  2008,     0,
       0,     0,     0,     0,  2039,   122,  2008,     0,     0,  1177,
       0,     0,     0,  1179,  1182,  1158,  1244,     0,  1870,     0,
       0,   795,   785,     0,   796,   786,   791,     0,   798,     0,
       0,   788,     0,     0,     0,   799,     0,   787,   789,   801,
     790,   797,     0,     0,   792,   793,     0,     0,  1169,   436,
     330,     0,     0,     0,     0,     0,   122,  1231,     0,  2008,
     122,     0,     0,   379,   378,   122,   377,   376,  1943,  1994,
       0,   941,   122,  2008,     0,   167,   598,   531,     0,     0,
     676,  2039,   122,     0,     0,     0,     0,     0,     0,   917,
       0,     0,   515,   528,  1303,  1301,     0,  1018,   219,   218,
    1016,  2008,     0,   302,     0,     0,  2008,  1220,   751,     0,
     750,  2008,     0,  2008,   158,  1872,     0,   748,  1943,  1994,
    2008,     0,     0,  2008,   150,  2008,     0,  2008,   302,  2008,
     532,     0,  2008,     0,  2008,  2039,   152,     0,  2008,   302,
     762,     0,  1296,     0,  1270,  2206,  1285,     0,  1281,  1288,
    1284,  1375,   853,   852,     0,   853,     0,   853,     0,   853,
       0,   853,     0,     0,     0,   853,  1899,  1900,   835,     0,
     859,     0,     0,   866,   865,   864,     0,     0,     0,   867,
    1484,  1318,     0,  1151,  1168,     0,     0,     0,     0,  1034,
    1034,  1034,  1164,   223,   221,     0,     0,     0,     0,     0,
       0,  1170,     0,     0,     0,     0,  1883,  1885,  1886,  1786,
    1853,     0,  2171,  2172,  2173,  1844,     0,  2174,  2175,  2176,
    2219,  1698,  1685,  1694,  1699,  1686,  1688,  1695,  2177,  2178,
    1978,  2179,  2180,  1893,  2181,  2182,  2184,  2185,  2186,  2187,
    1690,  1692,  2188,  2189,     0,  1894,  2191,  2192,  2060,  2194,
    2195,  2197,  2198,  1696,  2200,  2201,  2202,  2203,  2204,  2205,
    1892,     0,  1697,  2207,  2209,  2210,  2211,  2212,  2213,  2214,
    2215,  2216,     0,     0,  1867,     0,  1670,     0,  1516,  1517,
    1539,  1540,  1518,  1545,  1546,  1558,  1519,     0,  1866,  1583,
    1669,  1675,     0,  1668,  1664,  1377,  1862,     0,  1665,  1882,
    1884,  1845,   186,   235,     0,   236,  1868,  2114,   175,   216,
     188,   215,   189,   187,     0,  1941,   176,     0,     0,   177,
       0,     0,     0,     0,   232,   230,     0,  1159,     0,  1482,
    1481,     0,     0,  1851,  1871,   771,  1254,  1255,  1253,     0,
    1250,  1252,  1264,  1261,  1858,  1857,  1859,     0,  1370,     0,
       0,     0,  1352,  1351,     3,  1267,  1389,  1390,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,  1405,  1406,  1408,
    1429,  1433,  1441,     0,  1358,     0,     0,  1486,     0,  1443,
       0,     0,  1881,     0,     0,     0,     0,   765,     0,     0,
       0,     0,     0,     0,   121,  1218,   226,  1216,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,   156,   157,
     543,   528,     0,  2008,     0,     0,     0,     0,   974,   981,
       0,     0,     0,     0,     0,     0,     0,   975,   973,   976,
     228,   985,   998,  1001,     0,   892,     0,     0,     0,     0,
    1083,     0,     0,  1083,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   246,   254,   297,   508,     0,
       0,   510,  2008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   126,     0,     0,     0,     0,     0,     0,   495,
     507,     0,     0,     0,     0,     0,   504,     0,   122,   248,
     488,   492,     0,     0,     0,   607,   606,     0,  1083,     0,
     244,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   316,   317,     0,     0,
       0,   126,   149,     0,     0,     0,   250,     0,     0,  1178,
    1175,  1176,     0,  1181,     0,  1240,     0,     0,     0,     0,
     803,     0,   800,     0,     0,   794,  1943,  1994,     0,     0,
       0,     0,     0,     0,   354,   329,     0,     0,     0,   673,
       0,  1904,  1527,  1556,  1534,  1556,  1556,  1523,  1523,  1536,
    1524,  1525,  1563,     0,  1556,  1523,  1528,     0,  1526,  1566,
    1566,  1551,     0,  1508,  1509,  1510,  1511,  1537,  1538,  1512,
    1543,  1544,  1513,  1580,  1523,  1905,     0,     0,   684,     0,
    1195,  1230,     0,     0,     0,   537,     0,  2008,     0,   124,
     720,     0,   674,   380,     0,   124,     0,     0,   161,     0,
     602,     0,     0,     0,     0,     0,     0,   622,   621,     0,
       0,     0,   675,     0,   124,     0,   491,  2008,     0,   436,
     436,     0,     0,   916,   919,     0,     0,     0,  1344,  1346,
    1345,     0,  1343,     0,   302,   300,   301,   671,  1026,     0,
       0,     0,     0,   302,     0,     0,  2008,   302,  2008,     0,
    2008,     0,     0,   302,   302,     0,     0,     0,     0,   603,
       0,   761,   759,   758,   760,     0,     0,     0,     0,     0,
    2008,   302,     0,     0,   742,  1796,     0,     0,  1375,     0,
     205,   206,   204,  1286,   207,  1287,  1283,  1269,     0,   843,
       0,   847,     0,   838,     0,   844,     0,   839,   836,   837,
       0,   842,     0,     0,   437,   439,     0,     0,  1963,  1977,
       0,  1999,  2027,  2028,  2105,  2110,     0,  2133,  2142,     0,
     868,   897,   863,     0,     0,  1328,  1152,  1802,     0,  1375,
       0,   481,  1033,  1030,  1029,  1028,   222,   195,     0,     0,
       0,   899,  2104,  1167,   815,   528,     0,  1666,     0,  1673,
    1674,  1555,  1542,  1843,     0,     0,  1550,  1549,     0,     0,
       0,     0,     0,  1532,  1531,  1530,  1672,  1810,     0,  1529,
       0,     0,     0,     0,  1556,  1556,  1554,  1603,     0,  1533,
       0,     0,  1823,     0,  1829,     0,     0,     0,  1562,     0,
    1560,     0,     0,  1639,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,  1588,  1670,  1796,     0,  1671,  1889,     0,
       0,  1548,     0,  1580,  1865,  1786,     0,     0,     0,     0,
    1856,     0,  1794,     0,     0,  1617,  1792,     0,  1619,     0,
       0,     0,  1785,  1783,  1784,  1777,  1778,  1779,  1780,  1781,
    1782,  1790,  1600,     0,     0,  1599,     0,     0,  1445,     0,
    1887,  1846,   237,   238,   234,     0,     0,   191,   190,     0,
     209,   213,   214,   185,   212,     0,   208,   193,  1738,  1737,
     192,   184,   182,   180,   196,   198,   199,   183,   181,   231,
       0,     0,  1911,  2240,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,
    1848,  1847,  1877,  1912,  1913,  1914,  1915,  1852,     0,     0,
     302,  1248,     0,  1245,  1861,     0,  1372,     0,     0,  1257,
    1368,  1367,  1398,  1399,   934,  1366,  1423,  1424,  1419,     0,
       0,     0,  1438,  1436,  1415,  1409,  1414,  1412,     0,  1416,
    1583,  1431,  1356,  1403,  1404,  1407,  1355,     0,  1434,     0,
    1328,  1432,  1408,  1315,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   766,     0,     0,     0,
       0,     0,     0,  2133,   225,  1214,     0,     0,     0,     0,
     901,   900,     0,     0,   921,     0,     0,     0,  1226,   425,
       0,   299,     0,     0,     0,     0,     0,     0,     0,     0,
     669,   666,     0,     0,   665,     0,   541,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   577,     0,  1083,     0,   610,
       0,   983,     0,   982,     0,     0,     0,   984,   979,   980,
    2105,  2114,  2138,   227,  1000,     0,   999,   997,   956,   958,
     957,     0,   960,   944,     0,   945,     0,     0,   955,   963,
     961,     0,     0,     0,     0,  1987,   256,   269,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     289,     0,   292,   291,     0,     0,     0,     0,   296,     0,
       0,     0,   295,     0,     0,   509,     0,     0,  1083,     0,
     252,     0,     0,     0,     0,     0,     0,  1013,     0,   147,
       0,   143,   146,     0,     0,     0,     0,   494,   506,     0,
     498,   499,   496,   500,   501,     0,     0,     0,     0,     0,
       0,   493,     0,     0,   600,   599,   605,     0,     0,     0,
       0,     0,     0,     0,  1075,  1074,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
     613,   614,     0,   615,     0,   148,     0,     0,     0,     0,
       0,     0,     0,   203,  1174,  1180,  1243,  1878,  1242,     0,
       0,     0,   802,     0,     0,     0,     0,     0,     0,     0,
     804,   805,   806,   807,     0,     0,     0,     0,     0,   332,
     333,   122,   331,  1904,     0,   699,   672,     0,  1508,     0,
    1504,  1500,  1569,  1570,  1571,  1568,  1581,  1567,     0,  1514,
    1572,  1523,  1520,   685,     0,   687,   690,     0,  1193,   398,
       0,     0,   534,   577,     0,   383,   154,     0,     0,     0,
       0,   120,   165,   167,   381,     0,   166,   168,   170,   171,
     172,   169,   173,   597,   601,     0,   530,     0,     0,     0,
       0,     0,   623,   627,   626,   630,   628,     0,   624,     0,
       0,  1496,     0,   142,     0,   487,   490,     0,     0,     0,
     383,   467,   309,     0,   436,     0,     0,   918,     0,     0,
       0,     0,     0,     0,     0,  1342,     0,  1004,     0,  1221,
    2008,   302,     0,  1002,   159,  1873,     0,   743,     0,     0,
       0,     0,     0,  1006,   739,   151,     0,   302,   302,   533,
       0,   302,   153,     0,     0,     0,   525,   302,   763,  1298,
       0,   436,  1271,  1282,   840,   849,   848,   846,   845,   841,
       0,   860,     0,   435,     0,     0,     0,   874,   875,     0,
       0,   873,   890,   876,     0,   878,   870,   869,   879,   880,
       0,     0,   899,     0,  1325,     0,  1323,     0,  1485,  1327,
    1316,  1290,     0,  1289,  1293,  1295,  1294,  1292,     0,     0,
     486,     0,     0,   857,     0,     0,   302,  1166,     0,   817,
     818,   824,     0,     0,     0,     0,     0,   825,   821,   822,
     823,   826,   827,   828,     0,     0,     0,  1854,  1806,     0,
    1807,     0,     0,     0,  1842,  1838,     0,     0,     0,     0,
       0,     0,  1811,  1814,  1815,  1816,  1813,  1817,  1812,     0,
       0,  1818,     0,     0,     0,     0,     0,  1553,  1552,     0,
       0,     0,     0,     0,     0,     0,  1642,  1675,     0,     0,
    1770,     0,  1796,  1828,     0,     0,  1564,     0,     0,     0,
       0,     0,     0,     0,  1796,  1834,     0,     0,     0,     0,
    1736,     0,  1733,     0,     0,     0,     0,  1853,     0,     0,
       0,     0,  1890,  1584,  1601,  1864,     0,  1855,     0,     0,
    1585,  1608,     0,  1835,  1635,     0,  1640,  1623,     0,  1616,
       0,  1621,  1625,  1604,  1856,  1795,     0,  1793,     0,     0,
    1602,     0,  1597,  1595,  1596,  1589,  1590,  1591,  1592,  1593,
    1594,  1598,  1774,  1772,  1773,     0,     0,     0,  1620,  2001,
    2036,     0,  1388,  1388,  1388,  1376,  1386,  1863,     0,  1491,
       0,     0,     0,     0,  1753,     0,  1800,     0,  1798,  1880,
    1869,     0,     0,  1580,     0,  1483,  1849,     0,   769,   770,
     768,  1267,  1251,  1247,  1246,  1860,  1266,  1375,     0,   932,
     933,     0,   937,     0,     0,  1417,  1439,     0,  1430,     0,
    1421,  1422,  1413,  1440,  1435,  1360,  1359,     0,  1494,     0,
       0,  1312,  1305,  1488,     0,  1445,  1330,  1332,  1333,     0,
    1853,   697,   696,     0,     0,     0,  1111,  1036,  1087,   767,
    1112,  1037,  1088,  1113,  1038,  1215,     0,  1217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   648,  2008,   302,  1224,  1114,     0,  1039,   298,
    1225,  1089,  1229,   668,   667,     0,     0,  1090,     0,   542,
       0,     0,   547,   548,   549,     0,     0,     0,   550,     0,
    1943,  1994,     0,   555,   562,   567,   557,     0,   568,   563,
       0,     0,     0,     0,     0,     0,   574,   581,     0,     0,
       0,     0,     0,     0,   977,   978,  1115,  1042,     0,  1091,
     959,  1523,   943,     0,     0,   954,     0,   953,  1523,  1523,
    1043,   155,     0,   247,   257,   583,  1085,   275,   288,   283,
     284,   282,  2008,   302,  2008,   302,     0,     0,     0,     0,
     285,   280,   281,   277,   290,  1920,  1979,  2115,     0,   587,
     589,     0,   594,   293,  1057,     0,   310,   313,   294,   273,
     276,   274,   270,   255,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,  1008,     0,     0,     0,   145,  1071,   135,
       0,     0,   131,     0,     0,     0,     0,   125,     0,  1121,
    1047,     0,     0,   249,   489,   497,   502,  1051,   505,  1101,
     503,  1127,  1048,  1083,     0,   245,     0,  1049,     0,  1095,
    1123,  1073,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1232,     0,     0,     0,     0,     0,   302,     0,     0,
       0,  1085,  2008,   302,  1122,     0,  1080,  1109,     0,   318,
       0,  1072,     0,     0,   251,  1053,  1103,     0,     0,   201,
     200,   202,     0,     0,     0,     0,     0,     0,     0,     0,
     809,   778,   808,     0,     0,     0,   772,   353,   327,   328,
     330,   337,     0,   698,     0,     0,  1505,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1521,   686,     0,
       0,     0,     0,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1194,  1222,     0,   122,     0,     0,     0,   536,   576,   583,
       0,     0,     0,   382,   386,   390,   391,   392,     0,     0,
       0,     0,   136,   123,     0,   728,     0,   436,     0,   167,
     160,     0,     0,     0,   529,   683,   681,   680,   682,     0,
       0,     0,   703,   679,     0,  1495,  1497,     0,     0,     0,
       0,   481,   385,     0,   439,     0,     0,   471,     0,     0,
       0,   309,     0,     0,   948,     0,   966,   949,     0,     0,
       0,   988,   993,   989,   969,     0,   513,  1347,  1348,     0,
     302,     0,     0,   578,   302,   302,     0,   302,     0,   302,
     302,     0,  1149,   604,     0,   656,     0,     0,   302,   741,
    1797,   861,   438,     0,     0,     0,     0,   872,     0,   511,
     877,     0,   889,   884,   886,     0,   893,  1326,  1319,  1321,
    1320,     0,     0,  1317,  1803,   740,   479,     0,     0,     0,
     302,     0,   894,     0,   819,   820,     0,     0,   829,     0,
       0,  1393,  1804,  1805,     0,     0,     0,     0,  1839,     0,
       0,  1711,     0,  1687,  1689,  1522,  1701,     0,  1535,  1712,
    1713,  1691,  1693,     0,  1787,     0,     0,  1702,  1644,  1645,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1657,  1656,  1703,  1769,     0,     0,  1826,
    1827,  1704,  1565,  1566,  1566,     0,     0,  1833,     0,     0,
       0,  1709,  1714,     0,     0,     0,     0,  1720,     0,  1741,
       0,     0,     0,  1667,  1797,  1557,  1558,     0,     0,     0,
       0,     0,     0,     0,     0,  1641,  1624,  1618,     0,  1622,
    1626,     0,     0,     0,     0,  1610,  1636,  1606,     0,     0,
    1612,     0,  1637,  1388,  1388,  1388,  1388,  1385,     0,     0,
       0,     0,     0,  1466,  1444,  1446,  1453,  1466,  1471,  1489,
       0,  1870,     0,  1426,  1397,  1397,     0,  1753,     0,  1676,
       0,  1753,     0,     0,   178,     0,   210,   197,     0,  1249,
       0,  1400,     0,  1788,   937,   935,   936,  1402,     0,     0,
    1437,  1410,  1314,     0,  1312,  1307,     0,  1308,  1853,     0,
    1304,  1337,     0,     0,  1494,     0,  1336,  1110,  1035,  1086,
    1213,   904,   905,     0,   903,     0,     0,     0,   424,   920,
       0,     0,     0,   648,     0,     0,   428,     0,  1227,     0,
    1128,  1070,   544,   545,     0,   556,     0,   565,   564,     0,
       0,   552,     0,     0,     0,     0,   551,   570,   517,   571,
     573,     0,     0,   572,   575,   580,  1083,     0,   611,  1059,
       0,  1107,   971,     0,  1523,   946,   951,   952,     0,     0,
       0,   398,     0,     0,     0,   258,   268,     0,     0,   272,
       0,   266,   286,   278,   287,   279,   591,   592,   590,   586,
       0,   593,   595,   307,     0,     0,     0,  1117,  1083,     0,
     253,  1055,     0,  1105,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1118,  1092,     0,     0,   128,
     127,     0,   134,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   319,   304,     0,   706,
       0,     0,     0,   321,     0,     0,     0,     0,  1116,  1044,
     773,     0,     0,   774,   782,     0,     0,   775,     0,     0,
     784,     0,     0,   326,   334,  2060,  1777,  1778,   694,   701,
     691,   693,   695,   692,     0,   700,   648,     0,     0,     0,
    1506,     0,  1574,  1575,  1576,  1577,  1578,  1579,     0,  1573,
    1580,   688,   689,     0,  1213,  1212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   410,     0,     0,
     404,     0,     0,   993,   397,   400,   401,     0,     0,   537,
     540,   538,   539,   569,     0,   417,     0,     0,   138,     0,
       0,   139,   137,     0,     0,   309,     0,   163,   381,     0,
       0,   629,   632,   625,     0,   702,   704,   677,     0,   583,
       0,     0,  1299,   477,     0,   467,   463,   465,   464,   466,
       0,   473,   308,     0,   481,   473,     0,   921,   947,     0,
       0,     0,   986,   990,   987,     0,     0,   962,     0,   970,
     940,  1144,  1145,  1142,  1143,     0,     0,  1339,  1005,     0,
     302,  1003,   744,     0,   735,     0,   737,  1007,   302,   302,
     616,     0,   526,     0,     0,     0,   871,   891,     0,   887,
       0,     0,   854,   896,  1324,  1322,   480,   899,     0,   855,
     898,     0,     0,     0,     0,     0,  1808,  1541,     0,  1841,
    1837,     0,  1684,  1809,     0,  1821,  1820,  1643,  1822,     0,
    1662,     0,     0,  1654,  1652,  1653,  1646,  1647,  1648,  1649,
    1650,  1651,  1655,  1831,  1830,  1824,  1825,  1561,  1559,     0,
    1706,  1707,  1708,  1832,  1715,     0,  1934,  1742,  1719,  1735,
    1734,     0,     0,     0,  1722,     0,     0,  1731,     0,  1771,
    1547,  1580,  1586,     0,     0,  1609,  1836,  1627,     0,     0,
       0,  1605,     0,     0,     0,     0,  1614,  1787,     0,     0,
       0,     0,     0,     0,  1379,  1378,  1384,  1466,  1471,  1362,
       0,  1453,     0,  1465,  1451,  1464,     0,     0,  1477,  1475,
       0,  1477,     0,  1477,     0,  1448,     0,  1467,  1449,  1464,
       0,  1871,  1490,     0,  1428,     0,     0,  1396,     0,  1753,
    1683,  1756,  1751,  1752,  1801,  1677,  1888,     0,  1799,  1753,
       0,  1850,  1373,     0,  1401,  1418,  1411,  1959,  1492,  1313,
       0,     0,  1310,  1311,     0,     0,  1331,  1312,  1334,     0,
     910,   911,   909,   912,     0,     0,     0,   648,     0,     0,
     444,     0,   928,   928,     0,     0,   430,   476,   993,   651,
       0,     0,     0,   649,   302,  1040,     0,   566,     0,     0,
     561,   559,   558,   560,   518,  1126,  1041,     0,     0,     0,
       0,   972,     0,   964,  1058,     0,   395,     0,   263,  1084,
       0,     0,     0,   262,     0,   302,   302,   588,   311,   312,
     315,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   712,     0,     0,   730,   731,     0,     0,     0,
    1010,  1011,  1009,   132,   129,   130,   133,  1068,  1052,  1102,
    1050,     0,  1096,  1065,  1061,     0,     0,     0,     0,     0,
    1125,  1079,  1100,  1124,  1077,  1098,  1076,  1097,  1078,  1099,
    1069,     0,  1499,   709,     0,     0,     0,   302,   302,   618,
    1054,  1104,     0,   776,     0,     0,   777,   779,   356,     0,
     359,   366,   338,   343,  1231,     0,  1231,     0,   340,   344,
    1231,   339,  1231,   336,   670,     0,     0,     0,  1502,  1507,
    1582,  1515,   647,     0,  1204,  1203,  1202,  1206,  1205,  1208,
    1207,  1199,  1198,  1211,  1210,  1197,  1196,  1201,  1200,     0,
     402,     0,   408,   412,   413,   411,   403,   993,   436,   475,
       0,     0,   660,     0,   535,   383,   414,     0,   387,   141,
     140,     0,     0,     0,   167,     0,     0,   634,   638,   678,
       0,  1498,   612,   309,     0,   383,   481,     0,   388,   393,
     394,     0,   471,     0,   467,     0,     0,   478,  1191,   482,
     483,     0,     0,   950,   967,   968,     0,     0,   993,   992,
       0,   520,   302,   579,   302,   302,  1150,   657,     0,   883,
     882,   881,   512,     0,   885,   302,     0,     0,     0,     0,
       0,   831,   810,   830,  1840,  1700,  1710,  1819,     0,     0,
    1663,     0,     0,  1705,  2208,     0,     0,     0,     0,  1739,
    1740,  1721,     0,  2051,  1726,     0,     0,     0,  1891,  1633,
    1631,  1628,     0,  1629,     0,     0,  1611,  1607,     0,  1613,
    1638,  1383,  1382,  1381,  1380,  1452,  1450,  1455,  1462,     0,
    1447,     0,  1476,  1472,     0,  1473,     0,     0,  1474,     0,
       0,  1462,     0,     0,     0,     0,  1747,  1753,  1753,  1678,
    1758,  1755,     0,  1680,  1580,     0,     0,  1306,  1309,     0,
    1338,  1329,  1219,     0,     0,     0,   426,     0,   993,     0,
       0,     0,   931,   931,     0,   993,   475,   653,   652,   655,
     650,   654,  1228,     0,   553,   554,  1060,     0,  1108,  1066,
     965,     0,   584,   259,   260,   261,   264,   304,   271,   265,
       0,  1056,     0,  1106,  1063,  1119,  1045,  1093,     0,     0,
     718,     0,     0,     0,     0,  1120,  1046,  1094,     0,     0,
       0,     0,  1237,     0,   303,   708,   707,   304,   320,  1081,
       0,   780,   781,   357,   122,     0,   335,     0,   364,     0,
     362,   361,   363,     0,   350,     0,     0,     0,     0,     0,
    1503,     0,  1024,  1024,     0,   648,  1209,     0,     0,   399,
     475,   443,     0,   405,     0,     0,     0,     0,     0,     0,
       0,   583,     0,     0,     0,   162,   383,   583,   633,     0,
       0,     0,   705,     0,   385,     0,  1297,   384,     0,     0,
     473,     0,   471,     0,   468,     0,   472,     0,  1184,     0,
       0,   991,     0,   995,     0,   961,   938,  1491,     0,   524,
    1025,   736,   738,   617,   888,   895,   302,   811,   812,   813,
     814,  1658,     0,     0,     0,     0,  1716,     0,  1717,  1744,
    1743,  1723,  1727,     0,  1724,  1725,  1630,  1634,  1632,  1615,
    1454,     0,     0,  1456,     0,     0,  1458,  1460,     0,     0,
       0,     0,     0,  1874,  1753,  1425,  1427,     0,  1363,  1681,
    1682,     0,  1397,  1753,   211,  1789,  1493,  1335,   889,     0,
     302,   928,   475,   445,  2060,   446,   927,     0,   929,   934,
     934,     0,   475,   648,   546,     0,   582,     0,   306,   314,
       0,     0,     0,   725,   713,     0,     0,   732,  1062,     0,
       0,     0,     0,     0,   302,   783,   337,     0,   360,   369,
       0,   367,   341,   346,     0,   348,   347,   342,   345,  1024,
       0,  1021,  1020,   646,     0,   434,   406,     0,   454,     0,
       0,   661,     0,     0,     0,   423,   422,   419,   418,   420,
     421,   416,   415,   608,   722,   309,  1191,   596,   635,   636,
     631,     0,     0,     0,   467,   463,   389,   398,   372,     0,
     473,   469,   470,     0,     0,     0,  1239,     0,   922,   994,
       0,     0,     0,   519,     0,     0,   523,   514,   856,  1659,
       0,  1660,     0,     0,     0,  1729,  1728,     0,  1463,  1479,
       0,  1459,  1457,  1468,     0,  1470,  1746,  1748,     0,     0,
    1761,  1679,   906,     0,   907,   931,   449,     0,   930,   937,
     937,   436,   648,   427,  1067,   585,     0,   267,  1064,     0,
     716,     0,   727,   725,     0,     0,  1233,     0,  1234,  1235,
    1238,   322,   325,   355,   365,     0,   349,  1019,  1023,  1022,
       0,     0,   407,   440,   441,   442,     0,   409,   450,   451,
       0,   658,     0,   663,     0,     0,     0,     0,     0,  1185,
       0,     0,  1186,   471,   467,   396,   462,   370,     0,  1188,
       0,   309,     0,   993,   996,  1148,   522,   521,  1661,  1732,
    1718,  1745,  1730,  1461,     0,  1469,     0,     0,  1757,     0,
       0,     0,     0,   934,     0,   648,     0,   925,   924,   443,
     429,   305,     0,     0,   723,   726,   714,   727,   734,   733,
       0,   368,     0,   433,     0,     0,     0,   452,     0,   453,
     474,     0,   662,     0,   583,   721,     0,     0,   637,     0,
     473,   471,  1189,  1190,   473,   923,   939,  1147,  1146,  1375,
    1478,  1749,  1750,  2170,  1959,  2144,     0,  1759,  1762,  1760,
    1754,   302,   937,     0,   431,   447,   454,     0,     0,   715,
    1236,   638,   459,     0,   458,     0,   456,   455,   659,   664,
     609,   711,  1187,   641,   373,   473,  1491,  1130,  1375,  1129,
    1131,  1139,  1136,  1138,  1137,  1135,     0,  1766,  1765,  1764,
    1768,  1767,   908,   926,     0,   648,   717,   724,     0,   457,
     461,   460,   643,     0,   639,   642,   644,   645,   371,   913,
       0,  1140,  1134,  1362,  1349,     0,   448,   432,     0,   619,
       0,  1132,  1375,  1763,     0,   640,  1133,     0,   641,     0,
     620
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4027, -4027, -4027,  2911, -4027,  -774,   347,  2293, -1086, -4027,
   -4027, -4027,  2834, -4027, -4027, -4027, -4027, -4027, -4027, -4027,
    2854, -4027, -4027,  1496, -2053, -4027, -4027,   124, -1068,  1763,
    2498,  1188, -4027,  -935, -4027, -4027,  -507,   115,  -615, -4027,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027,  -720,  1649,  1041,
    -702, -2293, -4027, -1200, -2740, -4027,   474, -4027, -4027,  1591,
   -4027, -4027, -4027,   901,   401,  -483, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027,  -313, -4027, -4027,  -607,   133,    27, -2048,
    -355, -4027, -4027,   343,  -350, -1080, -4027, -3020, -4027,   -68,
   -4027, -4027, -4027,  -331, -1183,  1147, -4027,  -605,  -948,  1431,
    -653, -4027,  -222, -4027,  -708,  -599,  -595,  -661,  -499, -3210,
   -3587, -3208, -3647,  1159,   136, -4027, -2695,   146, -4027, -4027,
     147,   152, -4027, -4027, -1280, -1196, -4027,  -666, -4027, -4027,
   -4027, -2501, -4027, -4027, -4027, -4027,    82, -4027, -4027, -4027,
   -4027,   381, -4027, -4027, -4027, -4027, -4027, -4027, -2302,  1556,
    1558, -4027, -4027, -2651, -4027,  -761, -4027,   522, -2530,  1067,
   -4027, -4027, -4027,  2255, -4027, -4027, -4027, -4027, -4027, -4027,
   -1349, -4027, -4027,   153, -4027,  1569,   876, -4027, -4027, -4027,
    -693,  -758,  -749, -4027, -2945, -4027, -4027, -4027, -4027,  -291,
   -4027, -4027, -4027, -4027, -4027, -4027,  -827, -4027,   936, -2660,
    -809, -4027, -4027,   953, -4027, -4027, -4027, -4027, -4027,  -650,
    -231,  2282, -4027,  -540,  -623, -4027, -4027, -4027,  -226, -4027,
   -4027, -4027, -4027, -4027, -4027,  -882,   -44, -1331, -4027, -4027,
   -4027, -4027, -1957, -4027, -4027, -4027, -1720, -4027,  3688,  1943,
    2418,   154, -4027,   -17,    59,  2729,  -950, -2199,   324,  -372,
   -4027, -1498, -4027, -4027, -4027, -2145, -4027, -4027, -4027, -4027,
   -2955,   155, -4027, -4027, -4027,   371, -4027, -3240, -3393, -3689,
   -3823, -2952, -4027, -4027,  -909, -4027, -4027, -4027, -1162,  1774,
   -1187, -4027, -1835,   374, -3214,  -601, -2768, -4027, -3148,  -471,
   -4027, -4027, -4027, -4027, -4027, -4027, -4027,  -896,  -528, -4027,
   -4027,  3158, -4027, -3670, -4027, -4027, -4027, -4027,  1248, -4027,
   -1202,  1024, -4027, -4027, -4027, -4027, -4027,  -633,  -715, -4027,
   -4027, -4027,   156, -4027, -4027, -4027, -4027,  2054,  -779,  -625,
    3033,   157,  -437, -4027, -4027, -4027, -4027, -2571, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -1629, -4027, -4027, -4027, -4027,
   -4027, -4027, -4027,  1930,  1931,    49,   -34, -4027, -4027, -1070,
   -4027,  -472, -4027,  2227, -4027, -4027, -4027, -4027,  1276,   159,
     403, -4027,     3, -4027, -4027,   197, -2888,     4, -4027, -4027,
   -4027, -4027,  1899,     5, -4027,   668, -4027, -4027, -2365, -4027,
     161,    20, -4027, -4027,     1,     0,   -41,   -28,   -20,     2,
    3034,  2584, -4027, -4027, -4027,    -6,  1658, -4027,  -713,  -151,
   -4027,  1287,  -549,  1902,  2569,  2572, -4027,  1281, -4027, -4027,
    1291, -4027, -4027, -4027,  -543,  1913, -4027,  2578, -4027, -4027,
   -4027,  1266,  1279, -2855,   731, -2901, -2849,   269,   257, -1056,
    -309,    34,  3065,  2587,   741, -3800,   695, -4027, -3045, -1943,
    1468,  1665, -1340, -4027, -4027,  -967,  5608, -4027, -4027, -4027,
   10026, 10429, -4027, -4027, 10628, 11272, -4027,  -847,   781, 11519,
    7548, -1011, -1601,  -842,  9069, -1820,  -581, -2266, -4027, -4027,
   -4027,  -274,   796,   689, -4027, -4027, -4027, -4027,  -530, -2355,
    -522, -4027, -4027, -4027,  -531, -4026, -1542, -4027,  -183, -4027,
   10152,  1325, -4027,  -901, -2321, -2312,  -955, -1490, -4027, -4027,
   -4027, -4027, -4027, -4027, -4027, -2578, -2773,  -257,  1396, -4027,
   -4027,  1491, -4027, -4027, -4027, -1076,  -718, -2202,  1403, -1700,
   -4027,  -705,   729,  2122,  -663,  6496,  -249,  9142,  -450, -1927,
   -1032, -1277, -4027,  -167, -4027,    28,   -10,   -43,    -5,  3254,
    8134,  -542, -1113,  6102,    30,  5312, -2619
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1205,  2126,  2001,  2792,  2793,
      53,    54,  1280,    55,    56,    57,    58,    59,    60,    61,
    1221,    62,    63,   884,  1428,  2136,    64,  1864,   688,   689,
    1703,  1704,  2064,  1705,  1693,  1120,  1514,  1240,  1207,  1241,
      66,    67,  1114,  1684,    68,    69,    70,  1265,  1266,  1215,
    1467,  3662,  4237,  1982,  2829,  2625,  2626,    71,  1326,  1327,
      72,    73,  2740,  1366,  2091,  3243,  3244,  3693,   521,  2088,
    3954,  3955,  3679,  3680,  3961,  4130,  4131,  2137,  1424,  2823,
    3335,  2783,  3757,  2784,  3758,  2785,  3759,  2771,  3294,  3295,
    3296,  2786,  3736,  4161,  2787,  1879,  4262,  2171,  1536,  1534,
    4148,  3559,  3560,  4315,  4267,  4268,  4269,  4386,  3764,  2827,
    3341,  3767,  3983,  2522,   604,  1448,  2270,   605,  2173,   552,
     606,  2138,    79,  2165,  1300,  1301,  2009,  3248,  2880,    80,
     903,  3117,  4029,  4196,  4197,    81,   205,    82,  1432,    83,
      84,  2122,  2777,    85,  1896,  2539,    86,    87,  2566,  2567,
    2568,    88,    89,  3141,  3911,  1267,  2618,  2619,  2620,  2621,
    3161,    90,  1430,  1306,  2145,    91,    92,    93,    94,    95,
    2052,    96,    97,  2139,  1440,  2157,  2158,  3748,  3999,  4170,
    4001,  4423,  4424,  3975,  3096,  3573,    99,   100,  3731,  3732,
    4274,   101,  1894,   102,   103,   104,  1408,  2114,  2115,  3249,
    1191,  1369,  2094,  2095,  3324,  3325,   105,  2700,   106,  3621,
    3622,   553,  4277,  4242,  4326,   107,   108,  3625,  3626,   109,
     110,   111,   112,   113,   598,   949,   950,  1197,   114,  1800,
     115,   857,  2731,   116,  1014,  2295,  3802,   117,   629,   963,
     964,  2140,   119,   638,  2273,   640,  1549,  2882,  2883,  3392,
    2241,   773,   120,   121,  2252,  2276,   122,  1208,  1870,  1871,
    3554,  2141,   554,  1454,  2176,  2517,  4187,  3561,  3892,  4099,
    2462,  3057,   124,   555,  1245,  1944,  2179,  2835,  2836,  1946,
    2435,  3356,  1948,  2837,  2842,  2843,  2844,  3352,  3360,  4023,
    4024,   125,  1243,  1937,   126,   127,   128,  1277,   797,   129,
     566,   567,   130,  4141,   131,   915,   132,   657,  1563,   133,
    1960,  3147,   134,   135,   136,  4399,  4430,  4431,  4432,  3365,
    4359,   137,  4401,   993,   139,   140,   141,   176,   823,   824,
     825,  2142,  4018,   143,   144,  2118,  2770,  3276,   145,   146,
    1865,  2507,   147,   148,   149,  1412,   150,   151,   152,   153,
    1345,   154,  1149,  1150,   155,   156,   516,   705,  1153,  1161,
     157,   608,   957,   958,   959,  1516,   158,   996,  2263,   609,
     952,   160,   610,  2481,  3066,  3067,  3070,   611,  2478,   163,
    1555,  2257,  2260,   612,  2485,  2486,  2487,  2488,  2489,  3072,
     613,   631,   906,  2184,   614,  1086,   168,   169,   170,   714,
     709,   710,   172,  1678,  2425,   646,  1168,   676,   722,  3517,
    1812,  1813,  1835,  1836,  1177,  1178,  1825,  1827,  2464,  1828,
    2472,  1818,  3514,  3866,  1831,  1832,  1180,  1181,  1182,  1840,
     173,  2429,  3024,  3025,  3026,  3493,  3494,  3508,  3504,  3853,
    4066,  3027,   991,  1188,  3028,  3033,  3064,  2814,  2815,  2816,
    1949,  2101,  1393,  1087,  1394,  2112,  1088,  1599,  1396,  1089,
    1090,  1091,  1399,  1092,  1093,  1094,  1095,  1582,  1641,  1096,
    1097,  1618,  2109,  2110,  1505,  2335,  1099,  1100,  3457,  3826,
    3815,  2361,  2362,  1700,  3453,  2975,  4078,  4216,  4217,  3525,
    3522,  3870,  4082,  4311,  4367,  4368,  1101,  2415,  1671,   799,
    1102,  3251,  1673,  2355,  2437,  2438,  1849,  1580,  2301,  2319,
    2320,  2332,  2936,  2339,  2344,  2959,  2960,  2356,  2384,  1103,
    2304,  2305,  2919,  1584,  1104,  1143,  1144,  1577,  2379,  1156,
    1157,   707,  1105,  1106,  1550,   698,  4062,   925,   763,  2639,
    1791,   827,   643,  1107,  1108,  1109,  1110,  2884,  1271,   512,
     757,   777,  2622,   513,   514,   759,  1796
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     167,   166,   171,   161,   162,   164,   568,   713,   798,   880,
     755,   522,  1183,  1473,   644,  1115,   633,   668,   723,   774,
     167,   633,   171,   909,  1513,  1189,  1878,   510,  1282,  1792,
     983,   984,   985,  1533,   559,  1483,   989,   700,  1192,   551,
    1558,  1331,  2372,  2242,  1477,  1343,  1305,  2098,   712,   632,
    1506,  1965,  1368,  1422,   632,   931,  1620,  1947,   907,  1570,
    1129,   960,  1978,  1442,  3123,  2641,  1957,  2066,  1797,   607,
    2337,  1593,  1594,  2111,  3359,  2900,   697,  2782,   866,  3039,
    2800,   639,  1945,  1792,  2337,  3156,  1299,  3158,  2300,  1310,
    1609,  3345,  1410,   669,  2162,  1809,  1415,  1336,  2697,   597,
    3272,  1419,  3534,  1464,  2021,  2455,  2030,  2886,  1425,  3034,
    3035,  2585,  2587,  2034,  2035,    65,  1797,  1270,  1444,  3071,
    3036,  3596,   717,  3253,   917,  3762,  3333,  3507,  3303,  2736,
     954,  3556,  2418,    74,   760,   762,    75,  3770,   766,   909,
     768,  3253,  3778,   725,   776,  3729,    76,    77,  3566,  2213,
     802,   726,    78,    98,   118,   123,   138,   142,   813,   159,
     815,   165,  3029,   687,  1856,  2983,  2166,  3490,  1933,  1956,
    3893,   724,  1242,  1176,  1122,  4010,  3539,  2177,  3505,  1179,
    1586,  1587, -1881, -1904,  1636,   520,  3435,  1966, -1556, -1995,
   -2029, -1904, -1523,  3277,  3278,  3279,  3280,  3281,  3282,  1465,
    1332,  2795,  2041, -1556,  4100, -1551,  1606,  1441,  1639,  1465,
    1798,  3029,  4241, -1931,  1465,  3350,   615,   779,  2102, -1350,
    1406,  2159,   615,   779, -1775,  1315,  1218,  4192,  2046,  2153,
   -2050, -1775,   809,   779,  2253,   965,  1489, -1536,  2377,  3900,
     819, -1556,  1646, -1905,   564, -2075,  2533,  1504, -2222,  4103,
    1676, -1905,  1553,  3297,  1364, -1563, -2222,  2561, -1551,   564,
     771,   703,  2239,  1316,   564,  3124,  2412,  1649,  3119,  2630,
   -1998,   564,  2857,  2413,  2859,  4357,  4229,  4230, -1791,   615,
    1010,  3550,   564, -1566,  2103, -1791,  2940,  2169,  3076,  2275,
     564,  3754,   969,  1515,  2116,  2719,  3309,  1651,  1880,  4420,
    2887,   980, -1350,  4142,  3725,  2154,  2889,  3262,  1959,  4013,
     518,  3694,  2459, -1566,   615,  1872,  1358,  3985,   615,  1881,
    2312,  4014,   564,  -764,  4408,  1881,   564,  2508,  1219,   820,
    2562,   924,   564,  4146,  1646,   564,   934,  4406,  4323,   615,
     621,   621,  2104,   174,  1928,  2105,   946,  1690,  1268,   564,
    1343,  2254,  2520,   615,   798,  1285,   861,  1962,  3416,  2563,
     622,   622,  1985,  3165,   621,  3263,  1615,   615,  1637,  1268,
     821,  2606,  1959,  1508,   615, -1350,  1509,  2160,  3166,  1620,
    1964,   621,  3436,   175,   622,  1616,  1874, -1353,  1286,  1651,
    -122,  2460,  2564,  1681,   174,  -122,   621,  4324,  2377,  2509,
     798,   622,   912,  1875,  2521,   909,  2548,  3891,  1963,  4443,
    1593,  1594,   922,  1646,  1317,  2313,   622,   909,  1609,   822,
    3896,   621,  2607,  3986,  3707,  4180,     3,     4,  1929,  1884,
    1119,  1799,  1196,  3704,   175,  2106,  4421,  4358,  1649,  3726,
    1501,   622,  2940,  3310,  2073,  4226,  3551,  1691,  1959,  1466,
    4409,  3597,  1959,  2631,   981,  4232,  2028,  1882,  2106,  1466,
    1967,  1694,  2077,  1959,  1466,  1959,  1706,  1706,  1651,  4257,
   -1353,   909,  1968,  2170,  4015,  3552,  3124,  3755, -2049,   785,
    2565,  2314,   864,   565,  1959,  2155,   867,  2240,   560,  1517,
    4372,  3120,   875,  2888,  3553,  1677,   882,  1276,  2156,  2890,
    1407,  2297,  1318,   890,  1919,  3609,  1574,   892,   858,  3549,
    2898,   772,  3298,  2938,  2939,  3901,  1554,  2024,  2954,  2534,
    2940, -1350,  2017,  1969,  2019,  2161,  2255,  2940,  1586,  1587,
    3351,  1876,  2107,  1382, -1775,  2375,  4313,  1606,  2069,  2315,
     704,  2096,  2316, -1353,  2256,  2026,  3253,  2378,  2047,  2042,
    1146,  2108,  1147,  1990,  4012,   908,   568,  1692,  2989,  2990,
    1921,  1797,   713,  2065,   988,   779,  1554,  1475,  1927,   779,
    1342,  1581,    48,   961,  1184,  3743,  2414,  2089,  2090,  3980,
     779,  1640,   909,  1503,  2230,  1220,  1581,  3507, -1791,  3089,
     909,   909,  2720,  1475,  1830,   779,  4429,  2570,  3391,   856,
     871,  2098,   167,   712,   171,  1797,  1141,  1407, -1881, -1904,
    1142,   962,  3886,   967, -1556,   971, -1350,  1688,  1592,  2589,
    2217,   975,  2007, -1995, -2029,  2010,  2011,  1877,   953, -1556,
    4026, -1551,  2317,   779,  1841,   627,   628,  3260,  3845,   994,
    1842,  3850,  1936,  3807,   632,  3854,   632, -1931,   632,  3769,
     978, -1350,   956, -1350,   632,   976,   977,  2238,  1670,  3881,
    1011,   798,  1347,  1598, -2050,  1999,  2249,  1112,  2002, -1905,
    1121,   908,  1123,  1353, -2222,  2296,  1615,  2299,  3752, -2075,
     990, -1563,  3520,  1484, -2049,  1642,   725,  2307,  2074, -1353,
    1679,  2311,   627,   628,   726,  1616,  4350,  2442,  4225,  2323,
    2324,  2942,  2952,  3703, -1998,  2820,  1615,  3003, -2223,  1617,
    1885,   779,  2341,  2343,   724,  2571,   167,   166,   171,   161,
     162,   164,  3052,  2357,  2428,  1616,  2664,   627,   628,  2318,
    3528,   627,   628,  1455,   990,   561,  2463,  2029,  1551,  1619,
    4092,  2636,  1274,  1275,  1792, -2049,  3317,  4102,  1560,  3136,
    1997,  3137,  3197,  1151,  3587,  3029,  3029,  2327,  2328,  2584,
   -2049,  1571,  2187,  1187,  4395,  3230,   627,  1269,  3233,  3234,
    1141,  2193,  3237,  3611,  1142,  2197,  1019,  2394,  3240,  2940,
    4188,  2203,  2204,  1204, -1353,  3177,  2637,   627,  1269,  1148,
    1019,  2337,  2337,  2940,   988,  2102,  2337,   564,  4155,  2216,
    3235,  3236,  4178,  1118,  2917,   919,  1224,  1126,  -122,  -122,
    1465,   632,  1131,  1363,  2774,  4070,   562,  4072,   563, -1353,
     564, -1353,  1218,   727,  3562,  2499,  1667,  1668,  1669,  1670,
    2234,    65,  -358,  3361,  1420,  1421,  2337,  2337,  1433, -1523,
    3599,  4334,  3046,  1491,  2129,  2172,  4156,  1886,  2169,    74,
    2561,   872,    75,  4157,  1452,  2949,  2950,  2951,  2952,  3618,
    1209,  2103,    76,    77,  2627,  3781,  3542,  1933,    78,    98,
     118,   123,   138,   142,  2594,   159,  1434,   165,  1206,  2080,
    4158,  1492,  2246,  2247,  1479,  1481,  3337,  3178,    38,   788,
     789,   790, -1878,   791,   792,   793,   794,   795,   796,   728,
     564,   900,  2395,   653,   564,  2416,  2396,  3250,  1351,  3362,
    2134,  1807, -1523,   720,  2546,  2657,  1637,  2081,    42,  2104,
     720,  4258,  2105,  2562,  1219,  3250,  4205,  1340,   515,  2891,
    1206,  2947,  2948,  2949,  2950,  2951,  2952,   908,  2947,  2948,
    2949,  2950,  2951,  2952,  2397,  3646,  4060,  2130,  2516,   908,
     517,  4159,  1320,  2941,  2202,  2608,    46,  3619,  1321,   987,
    2942,   167,  1210,   171,  4283,  2574,   674,   960,    47,  2657,
    2021,  2738,  4287,  1886,  2942,  2775,  4293,   779,  3112,  3600,
     654,  1816,  1556,  2135,  1519,  1457,  1521,   632,  1523,   779,
    1525,  1947,  1527,  1528,  1529,  2235,  4063,  4382,  2892,  1531,
    -921,  4067,    48,   908,  4069,  3357,  2609,  2772,  3073,  4183,
    3359,   564,  2106,  4003,  3623,   621,  3113,  4184,  1132,  2943,
    2189,  1579,   718,  4194,  2236,   645,  4214,  1435,  2417,  3179,
    4144,  2336,  1493,  2943,  3996,   622,  2222,   988,   651,  1458,
     720,  1596,  3363,   779,   713,  2359,  3620,  1437,  2896,  2575,
    3038,  1819,  4355,  2776,  1322,  2730,   920,  4259,   901,   675,
    1466,  4006,  3180,  2398,  2649,  3912,  2479,  1438,  2082,  1977,
    1817,  1623,  1141,  2565,  4351,  2303,  1142,  1638,  1341,  1133,
     719,  3601,  2330,  1019,  3602,  1634,  2940,  1643,  1820,  1459,
    3041,  3181,   729,  3042,  1006,   798,  3647,  1680,  2450,  1246,
    3515,  3953,  3364,  3463,  1211,  1887,  4206,  4397,    27,  2107,
    4335,  1279,  3624,   902,   908,  1436,  4160,  1696,  1697,  1803,
    1494,  3418,   908,   908,  3423,  3424,  3425,  3426,  3427,  3428,
    3429,  3430,  3431,  3432,  4223,  3189,  2650,  1212,  1166,  3801,
    1810,  1811,  4394,  1815,  2757,  4356,  4396,   720,   726,   726,
    3966,   726,   655,   656,   779,   632,  2083,  4285,  4233,  1352,
     632,   632,   779,   779,  3869,  2547,  1213,  3114,   724,   724,
    4185,   724,  1794,  4195,  3873,  1977,  2473,  2739,  1460,  4383,
    3880,  1822,  1888,  3472,  3473,  2897,  2651,  4428,    38,  3863,
    2947,  2948,  2949,  2950,  2951,  2952,  1323,  3967,  1646,  4263,
    2944,  2945,  2946,  3528,  2947,  2948,  2949,  2950,  2951,  2952,
    2691,  1172,  1439,  4211,  1973,  3872,  2012,  4074,    42,  1187,
    3042,  3971,  1172,  1649,  1214,  2194,  1794, -1523,  1461,  1324,
    3029,  1167,  1823,  2593,  3029,  1281,  2205,  2652, -1523,  -144,
    1592, -1523,  1196,   819, -1523,  2973,   652,  4384,  2212,  3972,
    3134,  2980,  3795,  1651,   632,  3115,    46,  2589,  1325,  2682,
    4109,  3265,   632,   721,  -144,  2683,   564,  2942,    47,   564,
    4385,  2036,  2037,  2038,  2039,  3673,  2688,  4317,  4318,  1174,
      38,  3676,  3677,  2854,  3142,  2053,  2663,  4320,  2268,  2237,
    1174,  1604,  1605,  2243,  2025,  2245,  2186,   977,  2248,   798,
     673,  3253,  4398,  1914,  3283,  2192,  2860,  2675,  1462,  2689,
      42,  4264,  2075,  2076,  2855,    38,   632,  2741,  2085,   632,
     632,  2805,  2806,  2807,  2808,  2251,  2943,  1175,  2653,  1890,
    3250,  2078,   820,  2813,  4120,   534,  2714,  1204,  2690,  1891,
    4163,  2027,  2013,  2665,  2014,    42,  4167,  3286,    46,  1019,
    1819,  2668,  2940,  2670,  2106,  3569,  2092,  3419,   779,  3420,
      47,  2684,  2113,  1475,  3709,  1019,  1475,  3711,  2940,  3464,
    4374,  2561,   670,   821,   774,  3548,  4265,  2850,  2552, -2223,
    3387,  3049,   632,    46,  2133,  3751,   706,  1820,  2079,  2148,
    2149,  2150,  2151,   536,  2480,  1206,  1947,  2059,  1206,  2337,
    2053,  2915,  2337,  2337,  2337,  2337,  2337,  2337,  2337,  2337,
    2337,  2337,  2504,   695,  1193,  1019,  3390,  1259,  2940,  2143,
    4413,  3135,   822,   715,  3406,  4278,  1866,   798,  3570,    48,
    2060,  2654,  2337,    33,  4121,  3834,  1867,  1794,  1821,  2655,
    2012,   601,  2656,  2207,  2562,  1407,  3784,  1194,  3785,  1172,
    2967,  1868,  2211,  1173,  3391,  2053,   174,   779,  1330,  2218,
      14,  2337,  2337,  3143,  -576,  3809,  3722,  3810,  2021,  1128,
    4437,  3198,  1475,   779,  2762,  3497,  1195,  3421,  1892,  3978,
    1822,  2992,  1646,  3571,  3290,  3572,  3989,  3422,  3144,  2853,
    2182,  2183,    19,  2944,  2945,  2946,   175,  2947,  2948,  2949,
    2950,  2951,  2952,  2685,  2520,  2862,  2863,  1649,   167,  2865,
     171,  1893,  4079,  4080,  1198,  2869,  1636,  1174,  3381,  1682,
    3291,  1971,   873,  2763,   874,  3359,  3990,  4193,   779,  1872,
     543,  1823,   544,  2942,  3292,  2708,  2686,  1651,  2224,   779,
    2225,  1321,  2226,  3498,  2227,  1873,  2228,  1199,  2647,  2942,
    2229,  4354,  2272,   819,  1175,  1423,  3092,  1698,   956,   167,
    2267,   171,  2264,  2265,  2266,  2687,  2013,  1995,  2014,  2831,
    2061,  3499,   730,  3095,  2902,  2810,  1200,  4235,  2879,  3723,
    2811,  1683,  2062,  1124,  1869,  3029,  3500,  2321,  2258,   876,
    3029,   877,  2943,  3029,  2565,  3811,  1699,  4036,  3501,  2942,
    1874,  2764,  2765,  3497,  1686,  3498,  2063,  2380,  2943,  1665,
    1666,  1667,  1668,  1669,  1670,  2766,  3293,  1875,  2309,  2310,
    3897,  3502,  2757,  3562,  4108,  3338,  2322,  2271,  3342,  1996,
    2325,  2326,    38,  3499, -1396,  1498,   716,  1322, -1396,   909,
    4064,  3724,   820,  3829,  3830,  2347,  2116,  2348,  3856,    30,
     765,  3904,  3905,  2383,  4124,  1499,  3111,  2294,  2943,   783,
    3501,  2767,    42,  1654,  1655,     3,     4,   767,  2370,  3701,
    2371,  3498,  1646,   909,  2846,    38,   718,   811,  1794,  2385,
    1850,  2386,  3898,   821,  4088,  2443,  4090,  3988, -1397,  4309,
     784,  3995, -1397,  4390,  4297,  4119,  3503,  1649,   818,  3499,
      46,  4168, -1396,  2591,  2387,    42,  1329,  4005,  2868,  1658,
      33,  2692,    47,  1851,  3500,  4310,  1019,  3951,  3952,  2940,
    2912,  1801,   601,   798,  1802,  2220,  3501,  1651,  4221,  4169,
    2540,  3103,   822,  1475,   719,  1330,  3835,   774,   860, -1396,
    2693,    14,  1852,    46,  2337,  1876,    48,  3569,  2768,  3502,
    2769,  3648,  2336,  2336,  3562,    47, -1397,  2336,  3503,  2944,
    2945,  2946,   893,  2947,  2948,  2949,  2950,  2951,  2952,   863,
    4065,  3649,  2131,    19,  3664,  2944,  2945,  2946,  1706,  2947,
    2948,  2949,  2950,  2951,  2952,  2694,  1259,  3584,  4260,    48,
     865,  2163,   894, -1397,  3665,  1302,   664,  2336,  2336,  2388,
    2018,   720,  3029,   694,  2389,  1201,  2913,  3125,  1204,  2390,
    2496,  2914,   868,  2465,  2695,  2500,  3044,  3567,  2503,  1141,
    3570,   895,  3098,  1142,  3503,  2944,  2945,  2946,  1303,  2947,
    2948,  2949,  2950,  2951,  2952,  3146,  1288,  1979,  1202,  1615,
    2526,  1877,    33,  2031,   167,  2482,   632,   534,   881,  3128,
    2510,  1151,  2513,  2058,   888,  2542,  2543,  2544,  1616,  1615,
    3828,  3321,   899,  3449,  2554,   896,  2556,  1203,  2558,  2559,
    3330,  3009,  1617,  -484,   893,  3571,   898,  3572,  1616,  3273,
    1979,  2576,  1289,   779,  2811,  1980,  1981,  1794,   779,   897,
    1979,   779,  1619,  1665,  1666,  1667,  1668,  1669,  1670,  2572,
    2942,  3149,   909,  3151,   894,   536,   926,  2297,  2590,  3264,
    3266,  3267,  -485,   779,  1311,  3170,  2838,   721,   914,  1977,
    1123,  2337,  2337,  1304,  3588,  3174,   918,  2391,  1980,  1981,
      30,  1019,  2623,  3319,  2940,  1225,  1979,  2392,  1980,  1981,
    1204,  3138,  1804,  3598,  3603,  1805,  1592,  1312,  1857,  3398,
    2569,  1313,  3437,  3438,   779,   932,    38,  2648,  3175,  2943,
    1290,  2659,  1977,  1578,   630,    48,  3612,  1226,  1979,   630,
     927,  2666,  1977,  2994,   941,  2995,  1314,   896,  1141,  2671,
   -1881,   779,  1142,   534,  1980,  1981,    42,  3176,  4041,  2680,
    1592,  2877,  1196,  4125,   951,  3216,   909,  3402,  2996,  3299,
    2297,  3223,  2704,  2219,  1794,   779,  2220,  1794,  1291,  2231,
    1292,  2711,  2232,   947,  4057,  4058,  1980,  1981,  1977,  2638,
    2020,  3196,  2233,  1227,    46,  2232,  3562,  2724,   602,  2261,
     779,  3102,  2262,   615,   779,  2733,    47,   632,  2470,  2471,
    2734,   536,   543,   982,   544,   632,  3470,   632,  1294,   986,
    1977,  2627,   779,  3610,  1228,  3963,  1979,  3965,  1979,   206,
    3199,  3968,   779,  3969,   519,  4164,  3592,   549,  2732,  3443,
     603,  1592,   599,  1857,   995,   779,  2732,  4037,  4038,  4039,
    4040,  2825,  2826,  2839,   779,  3250,   992,  1296,  2456,   671,
    1229,  1475,   997,  2966,  3401,  2968,  2969,  1979,  2997,  2492,
   -1420, -1420,  2262,  2998,  1980,  1981,  1980,  1981,   998,  2582,
    3227,  2903,  2583,  4371,  1003,  2942,  -381,  2906,  3827,  1004,
    1230,  2643,  1298,  1005,  2644,  2822,  2944,  2945,  2946,  3681,
    2947,  2948,  2949,  2950,  2951,  2952,  2756,  2804,  1977,  3589,
    1977,  3055,  3056,  3564,  3565,  1980,  1981,  1979,  3368,  1006,
    1794,  3760,  3371,  3372,  2856,  3374,  2858,  3376,  3377,  1009,
    2743,  2802,  1947,  2744,  1007,  2832,  3382,  2757,   167,  2821,
    2758,   908,  2871,  2759,  2943,  2232,  1979,  1008,   543,  1977,
     544,  1012,  2911,  2921,    33,  2220,  2220,  4189,  1233,  3013,
    2925,  3014,  3315,  2220,  1234,  1980,  1981,  2929,  3399,  1645,
    2220,  1235,  1646,  1423,  1592,   908,  1857,  2649,  1013,  1935,
    2930,   779,  1015,  2220,  2956,  3613,   798,  2220,  1237,  -381,
    1127,  2999,  4199,  2788,  1980,  1981,  1238,  1649,  3015,  1977,
    3016,  3000,   909,  1650,   909,  2972,  2977,  3159,  2220,  2978,
    3160,  3403,  1130,  3163,  3348,   779,  3164,  3349,  1564,  1565,
    3407,  2910,  1979,  2220,  4441,  1134,  4442,  1651,  1977,  3081,
    3082,  3030,  3084,  3696,  3697,  1343,  2337,  3300,  1645,  3302,
    1135,  1646,   632,  4084,  1136,  2337,   527,  1239,  3053,  2650,
     779,  2841,  3358,  1162,  3444, -1350,  3043,  3445,  1647,  1140,
    1152,  3454,  2337,  2337,  3455,  3466,  1649,   909,  2220,  1159,
    1980,  1981,  1650,  3540,   779,  1160,  3541,  1162,  3283,  3544,
    3030,  1163,  3545,  3511,  3284,  3568,  1170,  2363,  2232,  2991,
    2366,  3516,  3518, -1362,  3285,  3753,  1651,  3833,  2232,  2651,
    2262,  1392,  3354,  3888,  1977, -1362,  3889,  3894,  1185, -1362,
    2232,   713, -2223, -2223,  1186,  2947,  2948,  2949,  2950,  2951,
    2952,  3286,  1190,  3287,  3895,   534,  3956,  2232, -2223,  3957,
    2336,  1196,  1653,  2336,  2336,  2336,  2336,  2336,  2336,  2336,
    2336,  2336,  2336,  4007,  -915,  2789,  4008,  1169,  1222,  1171,
    2652, -1362,  1634,  1654,  1655,  1248,  4046,  4048,  1794,  4047,
    2220,  1278,  4056,  3447,  1794,  2262,  2383,  1217,  4106,  4165,
   -2223,  4107,  2232, -1362,  4190,  4201,  3192,  4191,  2262,  4208,
      27,  4213,  1475,   536,  3328,  3012,  3018,  3019,  3020,  1244,
    1279,  4215,  2336,  2336,  3328,  2838,  3288,  1652,  3023,  1658,
    4254,  1653,  1276,  4255,   908,  1797,  1287,  1284,  4286,   713,
   -1362,  1685,  1659,  4291,  1225,  3855,  4292,  3858, -1362,  1307,
    3077,  1319,  1654,  1655,  2801,  1328,  1333,   167,  2267,   171,
    2264,  2265,  2266,  1557,  3669,  4298,  2297,  1338,  2262,  1656,
    3045,  2653,   632,  4139,   779,  4299,  1226,  3023,  2978,  4300,
     712,  4303,  2220,  3289,  1475,  1339,  1344,  1346,  3290,  1348,
      38,  4305,  3100,  4322,  3328,  1657,  2262,  1350,  1658,  4328,
    2337,  4329,  2262,  3107,  2262,  3108,  3109,  3110,  1354,  4342,
    2790,  1659,  4343,  4360,  3832,  4439,  1475,  1355,  4440, -2223,
      42,  1360,  4450,   779,  3291,  4440,  1362,  1365,   908,  1367,
    1370,  3779,  1227,  1411,  1204,  1414,  1407,  1426,  3292,  3308,
    1429,  3311,  1416,  1427,  3816,  -164,  1431,  1443,  1445,  2791,
     543,  1451,   544,  1453,   192,  1463,  1468,  1470,    46,  3053,
    1469,   546,  1471,  1228, -1362,   779,  1472,  1474,   779,  1475,
      47,  1482,   548,  1485,  2654,  1423,  1486,  3053,  1645,  1487,
    1488,  1646,  2655,  1490,  1495,  2656,  1496,  1497,  1661,  3682,
    4022,  3167,  2839,  1502,  1507,  1532,  1559,  1562,  1566,  1229,
    1568,  1569,  3185,  1575,    48, -1141,  1649, -1141,  1576, -1527,
   -1534,  3162,  1650,  1665,  1666,  1667,  1668,  1669,  1670,  1589,
    3293,  1585,  1141,  1588,  1595,  1162,  1142,  3386,  1590,  1230,
    3683, -1524,  1591, -1525,    48,  1674,  1651,  1597,  1645,  1600,
    1601,  1646,  1602,  3190,  1603,  1794,  1794,  1794, -1528,  3397,
    1608,  1610,  1611,  1612,  3684,  1613, -1526,  1614,  1557,  1621,
    1622,  1624,  1625,  1626,   779,  1627,  1649,  1628,  3783,  3685,
    1629,  1630,  1650,  3686,  3228,   779,  3786,  3787,  1662,  1663,
    1664,  1225,  1665,  1666,  1667,  1668,  1669,  1670,  1631,  1685,
    3219,  1689,  3687,    33,  1701,  3688,  1651,  2840,  1709,  1808,
    1173,  1837,  1847,  1234,  1175,  2336,  1839,  3689,  1853,  1855,
    1235,   774,  2732,  1226,  1854,  2732,  2732,  1858,  1935,  2732,
    1857,  1859,  3792,  1860,  1861,  2732,  1862,  1237,  1883,  1889,
    1916,  1895,  3252,  1920,  1923,  1238,  1924,  1652,  1925,  1922,
    1926,  1653,  1951,  1952,  1994,  1959,  3960,   779,  1961,  1971,
    3252,  1972,  1975,  1974,  1977,  1976,  1983,  1986,  1987,  1984,
    1998,  1991,  1654,  1655,   908,  1992,   908,  2000,  2008,  1227,
     632,  2004,  2005,  2015,  2016,  1259,  2043,  3259,  3261,  1656,
    2044,  2022,  3268,  2023,  2032,  3690,  1239,  2033,   632,  1794,
    2841,  2045,  2054,  3691,  3993,  2048,  2049,  1652,  2071,  2057,
    1228,  1653,  3326,  2072,   779,  1657,   779,  2084,  1658,  2086,
    2087,  2099,  2100,  1581,  2097,  1592,  2070,  3378,  1598,  3312,
    3379,  1659,  1654,  1655,  2053,  3760,  2117,  3692,  3353,   908,
     167,  3344,  2120,  2121,  2124,  1557,  1229,  2125,  3389,  1656,
     529,  2128,  2132,  1304,  3681,  1192,  2152,  2167,  2147,   167,
    3367,  2168,  2175,  2180,  3030,  3030,  2181,  4044,  3400,  2178,
    2185,  2196,  2198,  2200,  2199,  3404,  1230,  2201,  1658,   779,
    2214,  2215,  3902,  2244,  2250,  2259,  2269,  2302,  2308,  2303,
    2119,  1659,  2336,  2336,  2274,  2345,  2346,  1646,  2358,  2364,
    2369,  2368,  2376,  1231,  2382,  2399,  2401,   779,  1661,  2428,
    2441,  2444,  2457,  3918,  3919,  2448,  2445,  2449,  2466,   719,
    2458,   779,  2467,  2469,  2468,  2477,  2493,  2494,  2495,  2491,
    2506,  2511,  2514,  3030,  2525,  2516,  1232,  2518,  2519,  2530,
      33,   779,  2535,  2536,  1233,   632,  2538,  2188,  2545,  2541,
    1234,  2549,  2560,  2573, -2134,  2578,  1124,  1235,  2557,  1128,
    2580,  2634,  2629,  2642,  2645,  1236,  2646,  2699,  1661,  2710,
    2658,  2696,  2721,  4075,  1237,  3948,  3949,  2717,  2718,  2722,
     713,  2723,  1238,  2725,  2742,  2726,  2729,  3461,  2735,  2727,
    2746,   713,  3053,  2754,  2751,  2760,  2728,  2780,  1662,  1663,
    1664,  2749,  1665,  1666,  1667,  1668,  1669,  1670,  2737,  2752,
    2750,  2794,  2753,  2755,  4022,  3875,  1794,  3480,  3481,  3482,
    3483,  1634,  2796,  2803,  2809,  3962,  2812,  2818,  2817,  4136,
    2819,  3487,  3489,  1239,  4129,  2830,  2847, -2134,  2833,  2848,
    2828,  3526,  2849,  2851,  2845,  2852,   966,   968,   970,  2861,
    2866,   972,   973,   974,  2864,  2867,  2873,  2876,  1662,  1663,
    1664,   979,  1665,  1666,  1667,  1668,  1669,  1670,  2874,  2875,
    3739,  3740,  2885,  2275,  2893,  2899,  2901,  2907,  3580,  3581,
    3582,  3583,  1503,  2904, -2134,  2878,   988,  2905,  3585,  2908,
    4030,  2909,  4031,  4032,  2923,  2927, -2134,  2924,  4200,  2926,
   -2134,  2928,  2974,  4035,  2993, -2134,  2962,  3038,  3008,  2931,
   -2134,  2932,  2934, -2134,  2937, -2134,  2955,  2961,  2220,  2988,
    3040,  2963,  3032,  2964,  2373,  2971,  -961,  2986,  2987,  3037,
    3069,  3001,  3011,  3981,  3060,  3080,  3075,  3083,  3063,  3085,
    3065,  3086, -2134,  3090,  3789,  3790,  3791,  3094,  3097,   909,
    3091,  3132,  3133,  3140,  3099,  3121,  4203,  3148,  3150,  3106,
    3122,   779,  3187,  3139, -2134,  3252,  4239,  3194,  3188,  3191,
    4244,  4245,  3650,  3202,  3195,  3653,  3200,  3201,  3193,  3203,
    3204,  3205,  3206,  3207,  4087,  3220,  3208,  3222,  3634,  3210,
    4126,  3635,  3633,  3636,  3209,  3211,  4256,  3213,  3215,  3218,
    1794, -2134,  3212,   632,  1794,  3224,  1794,  2041,  3226, -2134,
    3232,  3214,  3238,  4240,  3242,  3254,  3239,  3257,  3258,  2106,
    3269,  3274,  3275,  3313,  3316,   632,  3318,  4243,  3320,  3339,
    3343,  3270,  2732,  3340,  1897,  3346,  3366,  2336,  2732,  2732,
    3306,  2092,  3307,  3327,  3328,   779,  4049,  4246,   779,  4248,
    3720,  3373,  3334,  3375,  3336,  3383, -2134,  3384,  3385,  3393,
    3394,  3395,  3388,  2336,  2336,  3396,  3405,  1898,  1578,  3410,
    2958,  2940,  2957,  3456,  3440,  3441,  3706,  3708,  3710,  3712,
    1899,  1639,  1794,  3744,   976,   977,   641,   642,  3442,  3468,
    4427,   648,  3448,  1900,  3469,  3695,   659,   665,   641,  3477,
     672,   645,  3555,   665,   665,  3496,   699,  3513,   702,  3536,
    3510,  3576,  3519,  3529,  3705,  3578,  3530,  3579,  1249,  3591,
    3590,  3532,  3533,  3593,  1250, -2134,  3617,  3614,  4308,  3615,
    4129,  1901,  3604,  3616,  3595,  3627,  3628,  4427,  3629,  3030,
    3630,  3645,  1902,  3030,  4198,  4427,  3771,  3631, -2134,  3632,
   -2134, -2134,  3661,   167,  3768,  3663,   779,  3599,  4179,  3666,
     798,  1903,  3672,  3674,  1251,  3675,  1904,  3698,  3727,  3699,
    3730,  3719,  4095,  3700,  3358,  3737,  3747,  2232,  3735,  4220,
    3742,  3763,  3746, -2134,  3765,  3766, -2134, -2134, -2134,  3777,
    1518,  3749,  3780,  1520,  3788,  1522,  3793,  1524,  4224,  1526,
    3750,  3796,  3776,  1530,  3808,  3803,  3939,  3940,  3797,  3942,
    3798,  4113,  3782,  1252,  3799,  3805,  3800,  3812,  3817,  3813,
    1253,  3818,  3819,  1254,  3820,  3825,   632,   909,  3821,  3847,
    3849,   779,  4251,  1905,  3851,  3852,  2595,  3859,  3864,  3862,
    3865,   756,   761,   761,   764,  3876,   761,  3867,   770,  3868,
     756,  1677,   699,  3883,  3885,   800, -2136,  3879,  3890,  3891,
     699,  3899,   699,  3910,  1906,  3913,   761,  3914,   699,  3920,
    3943,  2336,  3931,  3934,  3938,  3950,  1255,  3970,  4416,  3973,
    3974,  3982,  3987,  3992,  3994,  3998,  1645,  4000,  4009,  1646,
    4017,  4011,   192,  4019,  4020,  4028,  4034,  4042,  4043,  4045,
    4050,  4053,  4052,  4054,  4055,  4068,  3023,  4077,  4061,  4071,
    3023,  4081,  4083,  4085,  1649,  4089,  4101,  4104,  4105,  4110,
    1650,  4122,  4123,  4115,  4127,  1907,  4116,  4134,  4140,  3726,
    3874,  1908,  4149,  1256,  1909,  1257,  4147,  4150,  4152, -2136,
    4153,  4172,  4154,  4171,  1651,  1258,  4173,  4175,  3884,  4177,
     167,  3877,  4181,  1259,  3882,  4204,  4182,  4219,  4236,   720,
    1910,  4210,  1260,  4261,  4227,  4273,  1911,  4266,  4270,  4275,
    4276,  4271,  4281,  3984,  4288,  4289,  4290,  2748,  4295,  1912,
    4296,  4306,  3925,  4301,  4307,  4302, -2136,   632,  4312,  4325,
    4314,  4241,  4332,  4333,  3935,  1261,  4336,  4338, -2136,  1262,
    4330,  4346, -2136,  4347,  1913,  4341,  3915, -2136,  4352,  4353,
    4378,  3521, -2136,  3941,  4370, -2136,  4373, -2136,  4334,  4375,
    4381,  4388,  4335,  4389,  1263,  4393,  4419,  3944,  4407,  4435,
    4438,  4444, -2149,  4448,  2055,  1794,  4319,  1164,  2798,   632,
    1247,  1708,  3047,  2633, -2136,  1652,  1283,  3145,  3608,  1653,
    2709,  3241,  3678,  4252,  4128,   779,  3928,  3929,  4331,  4174,
    3738,  3932,  3933,  3979,  3945,  3946, -2136,   779,  4176,  4162,
    1654,  1655,  3088,  2872,  2732,  2732,  4376,  4093,  4415,  4412,
    4339,   908,  1264,  4337,  4387,  3964,  4284,  1656,  3093,  2778,
    3734,  2779,  3607,  3157,  3030,  2144,  2761,  3323,  4418,  3030,
    4449,  4445,  3030, -2136,  4151,  3271,  4391,  3255,  3976,  4316,
    4114, -2136,  2127,  4327,  4379, -2149,  1658,   798,  4117,   632,
    4004,   779,  3043,   909,   647,  3794,  4222,  1552,  3772,  1659,
    4294,  2586,  3030,  3773,   910,  3221,  4400,  4446,  1137,  4279,
    2894,   632,  2452,  3050,  2453,  3756,  2223,  3053,  3878,  2474,
    4002,  3546,  1158,  1806,  2476,  3051,   798,  1834, -2136,  1833,
    3061,  3074, -2149,  3491,  2475,  3059,  3062,  3846,  1838,  3857,
    4212,  4112,  3488,  2747, -2149,  1145,  4021,  3460, -2149,  3547,
     828,  4202,  1843, -2149,  3450,   699,  4361,   756, -2149,  4369,
     761, -2149,   764, -2149,   761,  4362,  3054,  3803,  3803,  3803,
    3803,   800,  3006,   645,   885,  2918,  1661,  3004,  3543,  2427,
       0,   761,     0,     0,   774,     0,     0,     0,     0,     0,
   -2149,     0,  4207,     0,     0,     0,     0, -2136,     0,     0,
       0,     0,  4207,   756,     0,     0,   779,     0,   764,     0,
       0,     0, -2149,   756,     0,     0,     0,   800,     0,     0,
   -2136,     0, -2136, -2136,     0,     0,     0,  4096,  4098,  4098,
       0,  3023,   761,  3030,     0,     0,  3023,     0,     0,  3023,
       0,     0,  1249,     0,     0,     0,     0,     0,  1250, -2149,
       0,     0,     0,     0,  4250, -2136,     0, -2149, -2136, -2136,
   -2136,     0,     0,     0,     0,     0,  1645, -2223, -2223,  1646,
    1665,  1666,  1667,  1668,  1669,  1670,  4086,     0,     0,     0,
     699,  3030,     0,     0,     0,     0,     0,     0,  1251,     0,
    3252,   699,  1002,   779,  1649,   779,     0,     0,     0,     0,
    1650,     0,     0,     0, -2149,     0,     0,     0,     0,     0,
    1111,     0,   699,   665,     0,     0,     0,   665,     0,     0,
    2732,     0,     0,     0,  1651,     0,     0,     0,   632,   908,
     699,     0,     0,  4132,   699,  4133,     0,  1252,  4137,  4138,
    1111,  4304,     0,     0,  1253,     0,     0,  1254,     0,   645,
       0,   699,     0,     0,     0,  4186,     0,     0,     0,     0,
       0,     0,     0,   699,     0,  4272,     0,  1794,     0,   779,
       0,     0,     0, -2149,   167,  4166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3002,     0,     0,  3104,
       0,     0,     0,     0,     0,     0, -2149,     0, -2149, -2149,
    1255,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
     761,   761,     0,     0,   798, -2223,     0,     0,     0,  1653,
       0, -2149,     0,  4228, -2149, -2149, -2149,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3023,     0,
    1654,  1655,     0,     0,     0,     0,  4247,  1256,  4249,  1257,
       0,     0,     0,   756,     0,     0,     0, -2223,     0,  1258,
       0,     0,     0,     0,   756,     0,     0,  1259,   800,     0,
       0,     0,     0,     0,     0,     0,  1260,     0,     0,     0,
    3182,   761,  3184,     0,  4349,     0,  1658,  4253,     0,     0,
       0,     0,     0,     0,     0,  3030,   699,     0,  1645,  1659,
       0,  1646,   761,   761,     0,     0,     0,  1794,     0,  1308,
       0,     0,     0,  1262,     0,     0,     0,     0,   699,   699,
     699,     0,   761,     0,   756,  4377,  1649,     0,     0,     0,
       0,  1645,  1650,     0,  1646,     0,  3217,     0,  1309,     0,
       0,     0,     0,   167,  4282,     0,     0,     0,     0,     0,
     761,  4098,   761,   761,     0,     0,  1651,     0,     0,  1649,
       0,  3231,     0,     0,     0,  1650,     0,     0,     0,     0,
       0,     0,     0,  2838,     0,  1111, -2223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1651,
       0,     0,  1225,     0,     0,     0,  1264,     0,     0,     0,
       0,  1645,  4345,     0,  1646,  1535,  1535,     0,     0,     0,
     699,     0,   641,     0,     0,   908,     0,     0,  3474,     0,
       0,  1647,   699,     0,  1226,     0,     0,     0,     0,  1649,
    1567,     0,     0,   699,     0,  1650,  1573,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4447,     0,  1111,
       0,     0,     0,     0,     0,   779,  4380, -2223,     0,  1651,
       0,  1653,  2595,     0,     0,     0,     0,     0,     0,     0,
    1665,  1666,  1667,  1668,  1669,  1670,     0,     0,  1111,     0,
    1227,     0,  1654,  1655,     0,     0,     0,     0,     0,  3369,
       0,     0,     0,     0,  1653,     0,     0,     0,     0, -2223,
       0,     0,     0,     0,  4417,     0,  1111,  1111,     0,  1111,
       0,  1228,   779,     0,     0,  1654,  1655,   167,  4392,     0,
       0,     0,     0,     0,     0,     0,  1111,  4434,  1658,   167,
    4405,   171,  4402,  4403,  4404,     0,     0,     0,     0,     0,
    2839,  1659,     0,     0,     0,     0,     0,  1229,  1225,     0,
       0,     0,     0,  4426,     0,     0,     0,     0,  3411,     0,
    1652,  1658,   699,     0,  1653,  1111,     0,     0,  4433,  4405,
     171,  4402,  4403,  4404,  1659,     0,     0,  1230,  3417,     0,
    1226,     0,     0,     0,     0,  1654,  1655,     0,     0,     0,
       0,  4425,     0,  1794,  1111,     0,     0,     0,  1111,  1111,
    4426,     0,  1656,  3439,     0,     0,     0,     0,  4426,   699,
     699,  1846,   167,  4405,   171,  4402,  4403,  4404, -2223,     0,
       0,     0,     0,     0,     0,     0,     0,   665,  1657,     0,
       0,  1658,     0,     0,     0,     0,  1227,     0,  4425,  1557,
    1794,    33,     0,     0,  1659,  1233,  4425,  1660,  1794,     0,
       0,  1234,     0,     0,     0,     0,     0,     0,  1235,     0,
     665,     0,     0,     0,     0,     0,  1935,  1228,     0,     0,
       0,     0,   699,  1958,     0,  1237,     0,     0,     0,   699,
       0,     0,   761,  1238,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   800,  1229,     0,     0,     0,     0,   699,     0,
       0,   699,  1665,  1666,  1667,  1668,  1669,  1670,     0,     0,
       0,  1661,     0,     0,     0,     0,     0,     0,     0,  2278,
       0,   699,     0,  1230,  1239,     0,     0,     0,  2841,   761,
     761,   761,   761,   699,     0,  1665,  1666,  1667,  1668,  1669,
    1670,     0,     0,     0,   665,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2067,     0,
     699,     0,     0,     0,     0,     0,  2279,     0,     0,     0,
     761,   761,     0,     0,     0,     0,   761,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1249,    33,     0,  1934,
       0,  1233,  1250,     0,     0,  2280,     0,  1234,     0,     0,
       0,  1662,  1663,  1664,  1235,  1665,  1666,  1667,  1668,  1669,
    1670,     0,  1935,  2446,     0,     0,  2281,     0,     0,  2447,
     761,  1237,     0,     0,     0,     0,     0,  2282,     0,  1238,
       0,  -119,  1251,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     1,  2283,   761,   761,   761,
     761,  2284,     0,     0,     0,     2,     0,     3,     4,   699,
       0,     0,     0,     0,     0,   699,     0,     0,  2067,     0,
       0,     0,     5,     0,     0,     0,     0,   756,     0,     0,
    1239,  1252,     0,     0,   764,     0,   756,     0,  1253,     0,
       0,  1254,     6,  1249,     7,     8,   800,  2285,     0,  1250,
       9,   761,    10,     0,     0,     0,     0,     0,     0,     0,
     761,     0,    11,     0,    12,     0,   761,   761,  2286,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
      13,     0,     0,    14,     0,     0,     0,     0,     0,  1251,
       0,  3741,     0,     0,  1255,    15,  1535,    16,     0,     0,
       0,    17,     0,   761,     0,   756,     0,    18,     0,   699,
     699,     0,   761,     0,     0,    19,     0,    20,   699,     0,
       0,     0,     0,    21,     0,     0,     0,   192,     0,     0,
       0,     0,   641,   641,     0,     0,  2277,    22,  1252,     0,
    1111,     0,  1111,     0,     0,  1253,     0,     0,  1254,  1111,
       0,  1256,  1111,  1257,  2287,     0,  1111,     0,     0,     0,
    2288,     0,     0,  1258,  1111,  1111,  2289,     0,     0,     0,
       0,  1259,  1111,     0,   800,  1111,  1111,  1111,  1111,     0,
    1260,     0,     0,     0,     0,  1111,  1111,     0,  1111,     0,
    1111,  1111,    23,    24,  1111,  2290,     0,  2291,    25,     0,
       0,  1255,     0,     0,     0,     0,     0,    26,     0,     0,
       0,  1111,     0,  1334,  2292,   761,  1111,  1262,    27,     0,
    1111,     0,     0,     0,  1111,     0,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,     0,  1111,     0,     0,  2293,
     699,  1111,  1335,  1111,     0,     0,     0,  1557,     0,   699,
       0,     0,     0,     0,     0,    28,     0,     0,  1256,     0,
    1257,  1645,     0,     0,  1646,     0,     0,    29,     0,     0,
    1258,     0,    30,    31,     0,    32,     0,     0,  1259,     0,
      33,  1647,     0,     0,     0,    34,     0,  1260,    35,  1649,
       0,     0,    36,     0,     0,  1650,     0,    37,    38,     0,
    1264,     0,     0,     0,     0,    39,     0,     0,    40,     0,
       0,     0,     0,   523,     0,     0,    41,     0,     0,  1651,
    1917,     0,     0,     0,  1262,   524,     0,     0,    42,     0,
    1645,     0,     0,  1646,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    43,   525,     0,     0,  1918,
    1647,     0,     0,     0,  3903,    44,     0,     0,  1649,   526,
       0,    45,     0,     0,  1650,   699,    46,   699,   527,  1111,
       0,     0,  -720,     0,     0,     0,     0,     0,    47,     0,
       0,     0,  3917,     0,     0,     0,     0,     0,  1651,   528,
       0,     0,     0,     0,     0,   529,     0,     0,  3930,     0,
       0,     0,     0,   699,     0,     0,     0,  1264,     0,  2483,
     530,  2490,    48,     0,     0,  -119,     0,     0,     0,     0,
    1652,   531,     0,     0,  1653,     0,   764,     0,     0,   532,
       0,   641,     0,   641,     0,     0,     0,     0,     0,     0,
     533,     0,     0,     0,  3947,  1654,  1655,   534,     0,     0,
    1111,   535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   756,  1656,   761,   761,   761,  -915,     0,   756,     0,
     800,     0,   761,     0,   761,     0,   761,   761,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,  1657,  1652,
       0,  1658,     0,  1653,     0,     0,     0,     0,     0,   665,
       0,     0,     0,     0,  1659,   536,     0,  1660,     0,     0,
       0,     0,  -485,     0,  1654,  1655,     0,     0,  1958,     0,
       0,     0,     0,     0,  2596,     0,     0,     0,     0,  2605,
       0,  1656,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,     0,   537,     0,     0,   538,     0,     0,     0,
       0,   699,     0,     0,     0,  2640,  2640,  1657,     0,     0,
    1658,     0,   764,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1659,     0,     0,  1660,     0,     0,   761,
    -381,  1661,     0,     0,     0,     0,     0,     0,     0,     0,
    1557,     0,     0,     0,     0,     0,     0,     0,   539,     0,
       0,     0,     0,     0,   540,  2698,     0,  2701,  2703,     0,
    -381,     0,     0,   541,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   761,     0,     0,     0,  -381,
       0,   542,   543,   761,   544,   545,     0,     0,   761,     0,
    1661,     0,     0,   546,     0,     0,     0,     0,   547,     0,
       0,  1111,     0,     0,   548,     0,     0,   549,     0,     0,
     550,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,
    1670,     0,     0,  -381,     0,     0,     0,     0,  2933,  1958,
       0,     0,  2640,     0,   699,     0,  2799,     0,     0,   641,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2698,     0,     0,     0,     0,
       0,     0,     0,   761,  2824,     0,     0,     0,     0,     0,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
       0,     0,     0,     0,     0,     0,     0,  2981,     0,     0,
     761,     0,   761,  2640,   761,  2640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1644,     0,     0,
       0,     0,  1645,     0,  1111,  1646,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1535,     0,     0,     0,
       0,     0,  1647,     0,     0,  1648,     0,     0,     0,   780,
    1649,     0,     0,     0,     0,   780,  1650,     0,     0,  1645,
       0,  1557,  1646,     0,     0,   780,     0,     0,     0,     0,
    1645,     0,     0,  1646,     0,     0,     0,     0,     0,  1647,
    1651,     0,   756,     0,     0,     0,     0,  1649,   756,     0,
    1647,  3217,     0,  1650,     0,     0,     0,     0,  1649,   761,
       0,     0,     0,     0,  1650,     0,  1111,  1111,     0,     0,
       0,     0,  1111,     0,     0,     0,     0,  1651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1651,  1557,
       0,     0,     0,  1557,  1557,     0,     0,  1111,  1111,     0,
       0,     0,  1111,     0,     0,  1249,     0,     0,     0,     0,
       0,  1250,     0,     0,  1111,  1111,  1111,  1111,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1111,     0,     0,
    1111,     0,  1111,  2985,     0,     0,     0,     0,     0,     0,
       0,  1652,  1111,  1111,     0,  1653,  1111,     0,     0,     0,
       0,  1251,     0,     0,     0,     0,     0,     0,     0,  1111,
       0,  1111,     0,   800,     0,  1111,  1654,  1655,     0,     0,
       0,     0,     0,     0,  1645,     0,     0,  1646,  1652,     0,
       0,  1111,  1653,  1656,     0,   699,     0,     0,     0,  1652,
       0,     0,  3031,  1653,  1111,  1111,  1111,     0,     0,     0,
    1252,     0,  1649,  1654,  1655,     0,     0,  1253,  1650,  1657,
    1254,  1111,  1658,     0,  1654,  1655,     0,     0,     0,     0,
    1656,     0,  1111,     0,     0,  1659,     0,  1111,  1660,     0,
       0,  1656,  1651,  1111,     0,     0,     0,     0,     0,     0,
       0,  3031,     0,     0,  3068,     0,  1657,     0,  2490,  1658,
       0,     0,     0,     0,     0,     0,     0,  1657,     0,     0,
    1658,     0,  1659,  1255,     0,  1660,     0,     0,     0,     0,
       0,     0,     0,  1659,     0,     0,  1660,     0,  1111,     0,
    2640,     0,     0,     0,     0,  1535,     0,     0,     0,     0,
       0,     0,     0,     0,  3475,     0,     0,     0,     0,     0,
       0,     0,  1661,     0,     0,     0,     0,     0,     0,     0,
       0,   761,     0,   761,   761,   761,     0,     0,     0,     0,
    1256,  1249,  1257,     0,     0,     0,     0,  1250,     0,     0,
       0,     0,  1258, -2223,     0,     0,     0,  1653,     0,  1661,
    1259,     0,     0,     0,     0,     0,     0,     0,     0,  1260,
    1661,     0,     0,     0,     0,     0,     0,   780,  1654,  1655,
    1249,   780,     0,     0,     0,     0,  1250,  1251,     0,     0,
       0,     0,   780,     0,     0, -2223,     0,     0,     0,     0,
       0,     0,  1988,     0,     0,     0,  1262,   780,     0,     0,
       0,     0,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,
    1669,  1670,     0,     0,  1658,     0,  1251,     0,     0,     0,
       0,  1989,     0,     0,     0,     0,  1252,  1659,     0,     0,
       0,     0,     0,  1253,     0,   780,  1254,     0,     0,  1662,
    1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,     0,
    1662,  1663,  1664,  2367,  1665,  1666,  1667,  1668,  1669,  1670,
    1645,     0,     0,  1646,  3256,  1252,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,  1254,     0,     0,     0,  1264,
    1647,     0,     0,     0,     0,     0,     0,  1645,  1649,  1255,
    1646,     0,     0,     0,  1650,     0,     0,     0,     0,     0,
       0,  2640,  2640,     0, -2223,     0,     0,  1647,     0,     0,
       0,     0,     0,   780,     0,  1649,     0,     0,  1651,     0,
       0,  1650,     0,     0,     0,     0,     0,     0,  1255,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1651,  1256,     0,  1257,     0,
       0,     0,     0,     0,   699,   699,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,  1259,     0,     0,     0,
     699,     0,     0,     0,     0,  1260,     0,     0,     0,     0,
       0,     0,     0,  1535,   699,  1256,     0,  1257,     0,     0,
       0,     0,  1535,   699,     0,     0,     0,  1258,  1665,  1666,
    1667,  1668,  1669,  1670,     0,  1259,     0,   699,  2592,     0,
       0,     0,  1262,     0,  1260,     0,     0,     0,     0,  1652,
       0,     0,     0,  1653,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   761,     0,  1263,   761,     0,
       0,     0,     0,     0,  1654,  1655,  1652,  2673,     0,     0,
    1653,  1262,   756,     0,     0,     0,     0,     0,     0,     0,
       0,  1656,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1654,  1655,   699,     0,     0,  2674,     0,     0,     0,
       0,     0,     0,   761,     0,     0,     0,  1657,  1656,     0,
    1658,  1111,     0,     0,     0,  1264,     0,     0,     0,     0,
       0,  1111,     0,  1659,     0,     0,  1660,  1111,     0,  1111,
       0,     0,     0,     0,  1657,  1111,     0,  1658,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,     0,     0,
    1659,  1111,  1111,  1660,  1264,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1111,     0,     0,     0,  1111,     0,
       0,     0,  1111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1111,     0,     0,  1111,     0,  1111,     0,     0,
       0,     0,     0,     0,     0,     0,  1111,  1111,  1111,   780,
    1661,     0,  1111,     0,     0,  1111,     0,     0,     0,     0,
       0,   780,   699,   699,   699,   756,  3031,  3495,     0,   758,
       0,  3495,  3509,     0,     0,     0,  1111,  1661,   758,   778,
       0,     0,  3523,     0,  1111,   778,  1111,     0,     0,     0,
       0,     0,     0,     0,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,  1249,     0,     0,  1111,     0,     0,
    1250,     0,     0,  1111,     0,   780,     0,  2490,     0,  1111,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3563,  1535,  1535,     0,  2067,     0,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1251,     0,     0,     0,  3412,     0,   761,   761,   761,   761,
       0,     0,     0,     0,     0,     0,     0,  1662,  1663,  1664,
       0,  1665,  1666,  1667,  1668,  1669,  1670,     0,     0,     0,
       0,  3459,     0,     0,     0,     0,     0,     0,     0,     0,
    1645,     0,     0,  1646,  3606,     0,     0,  1249,     0,  1252,
       0,     0,     0,  1250,     0,     0,  1253,     0,     0,  1254,
       0,     0,     0,     0,     0,     0,     0,  1645,  1649,     0,
    1646,     0,     0,     0,  1650,     0,   780,     0,     0,     0,
       0,     0,     0,     0,   780,   780,     0,  1647,     0,     0,
       0,     0,     0,  1251,  1795,  1649,     0,     0,  1651,     0,
    1645,  1650,     0,  1646,     0,     0,     0,     0,     0,     0,
       0,  1395,  1255,     0,     0,     0,  3667,     0,     0,     0,
    1647,     0,     0,     0,     0,  1651,     0,     0,  1649,     0,
       0,     0,     0,     0,  1650,     0,     0,     0,     0,     0,
       0,     0,  1252,     0,     0,     0,     0,     0,  1795,  1253,
       0,     0,  1254,     0,     0,     0,     0,     0,  1651,     0,
    3478,     0,     0,     0,     0,     0,     0,   699,     0,  1256,
       0,  1257,     0,     0,     0,     0,     0,     0,   761,     0,
    1111,  1258,     0,     0,     0,     0,   699,     0,     0,  1259,
       0,     0,  3733,     0,     0,     0,     0,     0,  1260, -2223,
       0,  1958,     0,  1653,     0,  1255,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,  2698,     0,  1654,  1655,  1652,     0,  3761,     0,
    1653,  2712,     0,     0,     0,  1262,     0,     0,     0,     0,
       0, -2223,     0,  1395,  1111,  1111,     0,     0,     0,     0,
       0,  1654,  1655,     0,     0,     0,     0,     0,     0,  1652,
    2713,     0,  1256,  1653,  1257,   758,     0,  2640,  1656,  2640,
    1658,     0,     0,     0,  1258,     0,     0,   778,     0,     0,
     780,   778,  1259,  1659,  1654,  1655,     0,     0,     0,     0,
       0,  1260,   778,     0,  1657,     0,     0,  1658,     0,     0,
       0,  1656,  1111,     0,     0,     0,     0,   778,  1249,     0,
    1659,   758,     0,  1660,  1250,     0,     0,     0,  1264,     0,
       0,   758,     0,     0,   782,     0,     0,  1657,  1262,     0,
    1658,     0,   806,     0,     0,     0,     0,     0,     0,  1111,
     817,     0,     0,  1659,     0,   778,  1660,     0,     0,  1111,
    1111,     0,     0,  1263,  1251,     0,     0,  1111,  1111,  1795,
   -2223,     0,  1111,     0,     0,     0,     0,     0,  1111,  1111,
       0,     0,  1111,     0,   699,   699,   699,   699,     0,   780,
       0,  3495,  3509,  3495,     0,     0,  3848,  1661,     0,     0,
    3031,     0,     0,     0,  3031,   780,     0,     0,     0,     0,
    3861,     0,     0,  1252,  1111,     0,     0,     0,     0,  1111,
    1253,  1264,     0,  1254,     0,  3871,     0,     0,   758,     0,
    1661,  1111,     0,   778,     0,     0,     0,   800,     0,     0,
       0,     0,     0,     0,     0,  3068,     0,     0,  1395,  2490,
       0,     0,     0,     0,     0,     0,     0,     0,   758,   641,
     780,     0,  1111,     0,  1665,  1666,  1667,  1668,  1669,  1670,
       0,   780,     0,     0,     0,     0,  1255,     0,     0,     0,
       0,     0,  2640,  2640,     0,     0,     0,  1662,  1663,  1664,
       0,  1665,  1666,  1667,  1668,  1669,  1670,     0,     0,     0,
       0,  3535,  1395,     0,     0,     0,  3916,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
       0,     0,  3531,  1256,  1395,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,   761,     0,  1259,     0,     0,     0,     0,     0,     0,
       0,     0,  1260,     0,     0,   761,     0,     0,     0,     0,
       0,     0,     0,     0,  1249,     0,     0,     0,     0,     0,
    1250,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,  3126,     0,     0,     0,  1262,
       0,     0,     0,     0,     0,     0,  1395,     0,     0,     0,
    1795,     0,     0,     0,     0,  1405,     0,     0,     0,     0,
    1251,     0,     0,  1111,  3127,  1395,     0,     0,     0,     0,
       0,     0,     0,     0,   756,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,  1395,  1535,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,   761,  1958,
       0,     0,   826,     0,     0,     0,     0,   859,     0,  1252,
    1395,     0,     0,     0,     0,     0,  1253,     0,     0,  1254,
       0,     0,  1264,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   778,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,   778,  1111,     0,     0,     0,     0,     0,     0,     0,
       0,  1111,     0,     0,     0,     0,     0,  1395,     0,     0,
       0,     0,  1255,     0,     0,     0,     0,     0,  1111,  1111,
       0,     0,  1111,     0,     0,     0,     0,  1405,     0,     0,
       0,  3495,     0,     0,     0,  3031,     0,     0,     0,     0,
    3031,     0,     0,  3031,  2698,   778,  4073,     0,  1111,  1111,
       0,     0,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1256,
       0,  1257,     0,  3563,   800,   761,   761,   761,     0,     0,
       0,  1258,     0,  1001,     0,     0,   758,     0,     0,  1259,
       0,     0,     0,     0,     0,   780,     0,     0,  1260,  1795,
     780,     0,     0,   780,  1116,     0,     0,     0,     0,     0,
       0,     0,   756,   800,   758,   758,     0,   758,     0,     0,
       0,     0,  1139,     0,     0,   780,     0,     0,     0,     0,
       0,  3168,     0,     0,   758,  1262,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,     0,     0,   756,   778,     0,   699,     0,
    3169,     0,     0,     0,   778,   778,   780,     0,     0,  3733,
       0,     0,     0,   758,  1793,     0,  2640,     0,     0,     0,
    1958,     0,     0,     0,  1395,     0,     0,     0,     0,     0,
       0,     0,  3761,   780,     0,   699,     0,     0,     0,     0,
       0,     0,   758,   761,  3563,     0,   758,   758,     0,     0,
    1273,     0,     0,     0,     0,     0,  1795,   780,  1264,  1795,
       0,     0,  1405,     0,     0,     0,  1111,     0,  1793,  1111,
       0,  1111,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,   780,     0,  1111,     0,
       0,     0,  3031,     0,     0,  4073,     0,     0,     0,     0,
       0,  4218,     0,     0,   780,     0,     0,     0,     0,   829,
       0,     0,     0,     0,   780,     0,  1405,     0,     0,     0,
       0,   761,     0,     0,     0,   699,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,  1418,     0,
       0,     0,   830,   761,   761,   761,   761,     0,  1405,     0,
       0,     0,     0,     0,     0,   831,   832,     0,  1535,     0,
    1446,  1449,  1450,     0,   833,     0,     0,     0,   834,     0,
       0,     0,     0,     0,     0,     0,   756,     0,     0,     0,
       0,     0,     0,     0,     0,   835,     0,     0,     0,     0,
    1645,     0,     0,  1646,     0,  1111,     0,     0,     0,     0,
     778,     0,  1795,     0,     0,     0,   836,     0,     0,     0,
    1647,     0,     0,     0,     0,     0,     0,   837,  1649,     0,
    1405,     0,     0,     0,  1650,   838,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   839,     0,     0,  1405,
       0,   840,     0,  1111,  1645,     0,     0,  1646,  1651,   761,
       0,   800,  1116,     0,     0,     0,     0,     0,     0,  1405,
    1111,     0,   841,   780,  1561,     0,     0,     0,     0,     0,
       0,     0,  1649,     0,     0,  1116,     0,     0,  1650,  1793,
       0,     0,     0,     0,  1405,     0,     0,   842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,   778,
     761,     0,  1651,     0,     0,   756,     0,     0,   843,     0,
       0,     0,     0,     0,     0,   778,  3563,     0,     0,  1395,
       0,     0,     0,     0,  1395,  1395,     0,     0,     0,     0,
    4218,     0,   780,  1111,  1111,   758,  1395,     0,     0,   844,
       0,  1405,     0,     0,   758,     0,   756,     0,     0,  1652,
       0,     0,     0,  1653,   761,     0,   780,     0,     0,     0,
       0,     0,     0,     0,  3838,     0,     0,   192,     0,     0,
     778,     0,     0,     0,  1654,  1655,     0,     0,     0,     0,
       0,   778,     0,     0,     0,     0,     0,  1111,     0,     0,
       0,  1656,     0,     0,   845,     0,     0,  1111,   846,     0,
     847,     0,   761, -2223,  1710,     0,   848,  1653,     0,   849,
       0,     0,     0,   758,     0,     0,     0,  1657,     0,     0,
    1658,     0,     0,     0,     0,     0,     0,     0,  1654,  1655,
       0,     0,     0,  1659,     0,   850,  1660,   851,     0,     0,
    1795,   852,     0,     0,     0, -2223,  1795,     0,   758,   853,
     758,     0,  1844,     0,   854,     0,     0,   758,     0,  1111,
     758,     0,     0,     0,   758,     0,     0,     0,   756,     0,
       0,     0,   758,   758,  1658,     0,     0,  1395,     0,   855,
     758,     0,     0,   758,   758,   758,   758,  1659,     0,     0,
       0,     0,     0,   758,   758,     0,   758,     0,   758,   758,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
    1661,     0,     0,     0,  1953,     0,     0,     0,  1405,   758,
    1793,  1970,     0,     0,   758,     0,   780,     0,   758,     0,
       0,     0,   758,     0,   758,   758,   758,   758,   758,   758,
     758,   758,   758,     0,   758,     0,     0,     0,     0,   758,
    2003,   758,     0,  2006,     0,     0,  1395,     0,     0,     0,
       0,     0,     0,  1645, -2223,     0,  1646,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,  1647,     0,  2040,     0,     0,     0,     0,
    1645,  1649,     0,  1646,     0,     0,     0,  1650,     0,  2056,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1647,     0,  2068,     0,  3557,     0,     0,   780,  1649,     0,
     780,  1651,     0,  1645,  1650,     0,  1646,   177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,  1647,     0,     0,     0,     0,  1651,     0,
       0,  1649,     0,     0,     0,     0,     0,  1650,  1665,  1666,
    1667,  1668,  1669,  1670,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   178,     0,     0,     0,   758,     0,     0,
       0,  1651,     0,     0,     0,     0,   179,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1795,  1795,  1795,
       0,     0,     0,   180,     0,     0,     0,     0,     0,   181,
       0,  2164,     0,     0,     0,     0,   780,  2174,     0,     0,
       0,     0,  1652,     0,   182,   778,  1653,   780,     0,  1793,
     778,     0,     0,   778,     0,   183,     0,     0,     0,     0,
       0,     0,     0,   184,     0,     0,     0,  1654,  1655,  1652,
       0,     0,     0,  1653,   185,   778,     0,     0,   758,   186,
       0,     0,     0,     0,  1656,   187,     0,     0,     0,   758,
       0,     0,     0,  2221,  1654,  1655,   758,     0,     0,     0,
     188,     0,  1652,     0,     0,     0,  1653,     0,     0,     0,
    1657,  1656,     0,  1658,     0,     0,   778,     0,     0,   780,
       0,     0,     0,     0,     0,   189,  1659,  1654,  1655,  1660,
       0,  1116,  1116,  1405,     0,     0,     0,  1657,  1405,  1405,
    1658,     0,     0,   778,  1656,     0,   190,     0,     0,     0,
    1405,     0,     0,  1659,     0,     0,  1660,     0,     0,     0,
       0,  1795,     0,     0,     0,     0,  1793,   778,     0,  1793,
    1657,     0,     0,  1658,     0,     0,   780,   191,   780,     0,
       0,     0,     0,     0,  1645,     0,  1659,  1646,     0,  1660,
       0,     0,   778,     0,     0,     0,   778,     0,     0,     0,
       0,     0,     0,  1661,  1647,   192,     0,     0,     0,     0,
       0,     0,  1649,     0,   778,     0,     0,     0,  1650,     0,
       0,     0,     0,     0,   778,     0,     0,     0,     0,     0,
    1661,     0,   193,     0,     0,     0,   194,   778,   195,  1395,
       0,   780,  1651,     0,   196,     0,   778,   197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2426,  1661,     0,     0,     0,     0,     0,   780,
       0,  2440,     0,   198,     0,   199,     0,     0,     0,   200,
       0,  1395,  1395,   780,  1395,     0,     0,   201,     0,   758,
       0,  1405,   202,  1662,  1663,  1664,     0,  1665,  1666,  1667,
    1668,  1669,  1670,   780,   203,     0,     0,  3806,     0,     0,
       0,     0,  1793,     0,     0,     0,     0,   204,     0,     0,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
       0,     0,     0,     0,  3840,     0,     0,     0,     0,     0,
    1395,     0,  1395,  1652,     0,     0,     0,  1653,     0,     0,
       0,     0,     0,  1662,  1663,  1664,     0,  1665,  1666,  1667,
    1668,  1669,  1670,     0,     0,     0,     0,  4051,  1654,  1655,
    1405,     0,     0,   778,     0,     0,     0,     0,  1795,     0,
       0,     0,     0,     0,     0,  1656,     0,  2451,     0,  2454,
       0,     0,     0,     0,     0,     0,  1395,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   778,     0,     0,
       0,  1657,   758,     0,  1658,     0,     0,     0,     0,     0,
       0,  1395,     0,     0,     0,  1116,     0,  1659,     0,  1645,
    1660,     0,  1646,     0,     0,     0,     0,     0,     0,     0,
    1395,     0,   778,     0,     0,     0,     0,     0,     0,  1647,
       0,     0,     0,     0,  1405,     0,     0,  1649,  1395,     0,
       0,     0,     0,  1650,     0,     0,   778,     0,     0,     0,
     758,     0,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,  1645,     0,     0,  1646,     0,  1651,     0,     0,
       0,     0,     0,     0,   758,   758,     0,     0,     0,     0,
     758,  1403,  1647,     0,  1661,     0,     0,     0,     0,     0,
    1649,     0,     0,     0,     0,     0,  1650,     0,     0,     0,
       0,     0,  1395,   780,     0,   758,   758,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,  1395,     0,
    1651,     0,   758,   758,   758,   758,     0,     0,     0,  1395,
    1793,     0,     0,     0,     0,   758,  1793,  2614,   758,     0,
     758,     0,  1795,     0,     0,     0,  1795,     0,  1795,     0,
     758,   758,     0,  2635,   758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,  1652,   758,
       0,     0,  1653,   758,  1662,  1663,  1664,     0,  1665,  1666,
    1667,  1668,  1669,  1670,     0,     0,     0,   780,  4091,   758,
     780,     0,     0,  1654,  1655,     0,     0,     0,  1395,     0,
     758,     0,   758,   758,   758,     0,     0,     0,     0,     0,
    1656,     0,     0,  1403,     0,     0,   778,     0,  1395,   758,
       0,  1652,     0,     0,  1795,  1653,     0,     0,     0,     0,
     758,     0,     0,     0,     0,   758,  1657,     0,     0,  1658,
       0,   758,     0,  1395,     0,     0,  1654,  1655,     0,   758,
       0,     0,  1659,     0,     0,  1660,     0,     0,     0,     0,
       0,     0,     0,  1656,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1395,
       0,     0,     0,     0,     0,     0,   758,     0,     0,  1657,
       0,     0,  1658,     0,     0,     0,  2797,     0,   780,     0,
       0,     0,     0,     0,     0,  1659,     0,   778,  1660,     0,
     778,     0,     0,  1405,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1695,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1405,  1405,     0,  1405,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,  1661,     0,     0,     0,     0,  1793,  1793,  1793,
       0,     0,     0,     0,     0,     0,     0,     0,  1249,     0,
       0,     0,     0,     0,  1250,     0,   778,     0,  1403,     0,
       0,     0,     0,     0,  1405,     0,  1405,   778,     0,  1662,
    1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1288,
       0,     0,     0,  4145,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1395,  1251,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
    1405,     0,  1662,  1663,  1664,  1289,  1665,  1666,  1667,  1668,
    1669,  1670,     0,     0,     0,     0,  4348,     0,     0,   778,
       0,     0,     0,  1252,  1403,  1405,     0,     0,     0,     0,
    1253,     0,     0,  1254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1405,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1793,  1405,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   778,     0,   778,     0,
       0,     0,     0,  1290,     0,     0,  1255,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1795,     0,     0,
       0,     0,     0,     0,     0,  1403,     0,  3017,     0,     0,
       0,  1395,     0,     0,     0,     0,  1405,   780,     0,     0,
       0,  1291,     0,  1292,     0,  1403,     0,     0,     0,   780,
       0,   778,  1405,  1293,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1405,     0,  1258,     0,  1395,     0,     0,
    1403,     0,     0,  1259,     0,     0,     0,     0,     0,   778,
       0,  1294,  1260,     0,     0,     0,     0,     0,     0,     0,
     758,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,   778,     0,  1295,     0,     0,     0,  1262,
    1296,     0,     0,     0,     0,     0,     0,  1403,     0,   758,
       0,     0,  1405,     0,     0,     0,     0,     0,     0,   758,
       0,     0,     0,     0,  1297,   758,     0,   758,     0,     0,
       0,     0,  1405,   758,     0,  1298,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,     0,     0,     0,   758,
     758,     0,     0,     0,     0,     0,  1395,  1405,     0,     0,
       0,     0,   758,     0,     0,     0,   758,  1395,  1793,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     758,     0,  1264,   758,     0,   758,     0,     0,     0,     0,
       0,     0,     0,  1405,   758,   758,   758,     0,   780,     0,
     758,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,   758,     0,     0,     0,     0,  1404,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,   758,     0,   758,     0,     0,     0,     0,   511,
       0,     0,     0,     0,     0,   558,   511,     0,     0,     0,
       0,   600,     0,   511,     0,   758,     0,     0,   511,     0,
     650,   758,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,  1395,     0,     0,     0,     0,   711,
       0,     0,   758,     0,  1403,   780,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   778,     0,     0,     0,     0,  1395,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1645,     0,     0,  1646,     0,     0,     0,
       0,     0,  1793,     0,     0,     0,  1793,  1405,  1793,  1795,
       0,   780,     0,  1647,  1395,     0,  3304,  3305,     0,     0,
       0,  1649,     0,     0,     0,     0,     0,  1650,     0,     0,
       0,     0,  3314,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3322,   778,     0,     0,
     778,  1651,     0,     0,     0,  3331,     0,     0,     0,     0,
       0,     0,     0,     0,  1404,     0,   769,     0,     0,  3347,
       0,     0,     0,     0,     0,     0,   803,   804,     0,   807,
       0,   810,     0,   812,  1793,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,  1116,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,     0,  1652,     0,     0,  1405,  1653,     0,   778,  1795,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1654,  1655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1405,   758,   758,  1656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1657,     0,  1404,  1658,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,   778,  1403,  1403,  1659,     0,     0,  1660,
       0,  1404,     0,     0,     0,     0,  1403,     0,     0,     0,
     758,     0,     0,     0,  3484,  3485,  3486,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,  1395,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1404,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,   758,     0,
    1405,     0,     0,     0,     0,   758,   758,   780,     0,     0,
     758,  1405,     0,  1661,     0,     0,   758,   758,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   758,     0,
       0,     0,   758,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,   758,     0,     0,
       0,     0,  1645,     0,   780,  1646,     0,     0,     0,   758,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1647,     0,     0,     0,  2459,  1403,     0,     0,
    1649,  1395,     0,     0,     0,     0,  1650,     0,     0,     0,
     758,     0,     0,  1662,  1663,  1664,   862,  1665,  1666,  1667,
    1668,  1669,  1670,     0,   870,     0,     0,  4436,  1405,     0,
    1651,  1395,     0,   886,   887,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,     0,  1793,     0,   905,
       0,     0,     0,     0,     0,  1795,  1405,     0,     0,     0,
       0,     0,   913,     0,     0,     0,     0,   778,     0,  1395,
       0,     0,  1405,  1395,  1395,  2460,  1403,     0,   936,   778,
       0,   938,     0,   940,     0,   943,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,  1795,     0,     0,     0,     0,     0,     0,     0,
    1795,     0,  1645,     0,     0,  1646,     0,     0,  1405,  3702,
       0,     0,   511,     0,     0,  1155,     0,     0,     0,     0,
    1404,  1652,  1647,   778,     0,  1653,     0,     0,  3728,     0,
    1649,     0,     0,     0,     0,   999,  1650,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,  1654,  1655,     0,     0,
    1403,     0,     0,  2439,     0,  3745,     0,     0,     0,     0,
    1651,   758,     0,  1656,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1657,
     711,     0,  1658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,     0,     0,  1660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1405,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   778,     0,
    2957,     0,     0,     0,     0,  2958,     0,     0,     0,  1216,
     758,     0,     0,     0,  1405,     0,     0,     0,     0,   758,
       0,  1652,     0,     0,     0,  1653,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,   758,     0,     0,
     758,     0,  1661,     0,     0,     0,  1654,  1655,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,   758,     0,
    1337,   758,     0,  1656,     0,     0,   758,   758,     0,     0,
       0,     0,     0,     0,     0,  1349,  3841,  3842,  3843,  3844,
       0,     0,     0,     0,     0,   778,     0,   778,  1359,  1657,
       0,   758,  1658,  2461,     0,  1361,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,     0,  1409,  1660,     0,
    1413,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1405,     0,     0,     0,     0,     0,     0,     0,
     758,     0,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,
    1669,  1670,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1793,
       0,   778,     0,     0,     0,     0,     0,  1645,     0,     0,
    1646,     0,     0,   758,     0,  2581,     0,     0,     0,     0,
    1950,  2588,  1661,     0,     0,     0,     0,  1647,     0,  1403,
       0,     0,  1404,     0,  1583,  1649,     0,     0,     0,     0,
       0,  1650,     0,     0,     0,     0,   511,     0,   511,     0,
     511,     0,   511,     0,   511,   511,   511,     0,     0,     0,
       0,   511,   758,  1607,  1405,  1651,     0,     0,     0,     0,
       0,  1403,  1403,     0,  1403,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,  1405,     0,   758,     0,   758,
       0,  1632,  1633,     0,  1635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,     0,     0,
     758,  1675,  1662,  1663,  1664,  1405,  1665,  1666,  1667,  1668,
    1669,  1670,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,  1645,  1403,     0,  1646,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1793,
    1711,  1647,     0,  1405,     0,     0,     0,  1405,  1405,  1649,
       0,     0,     0,     0,     0,  1650,  1652,     0,     0,   569,
    1653,     0,     0,  1404,     0,     0,     0,     0,     0,  1814,
       0,   570,     0,  1826,  1829,     0,  1403,     0,     0,  1651,
       0,  1654,  1655,     0,   758,     0,     0,     0,     0,     0,
       0,     0,   571,     0,     0,     0,     0,     0,  1656,     0,
       0,  1403,     0,   758,     0,   572,  4027,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   573,     0,
    1403,     0,     0,  1405,  1657,     0,     0,  1658,     0,     0,
       0,   711,     0,     0,     0,   574,     0,     0,  1403,     0,
    1659,     0,  1950,  1660,     0,     0,     0,     0,     0,     0,
       0,   758,     0,     0,     0,     0,   575,     0,  4410,     0,
       0,     0,  3451,     0,     0,     0,     0,   576,   758,     0,
       0,     0,     0,     0,     0,   577,     0,     0,     0,     0,
    1652,     0,     0,     0,  1653,     0,   578,   778,     0,     0,
       0,   579,     0,     0,  1915,     0,     0,   580,     0,     0,
       0,     0,  1403,     0,     0,  1654,  1655,     0,     0,     0,
       0,     0,   581,   758,     0,     0,     0,  1661,  1403,     0,
       0,     0,  1656,     0,   758,     0,  1404,     0,     0,  1403,
       0,  3452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   758,   758,     0,   778,     0,     0,     0,  1657,     0,
       0,  1658,     0,     0,   758,     0,     0,     0,   582,     0,
       0,     0,     0,     0,  1659,     0,     0,  1660,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4411,     0,     0,     0,     0,   583,
       0,     0,     0,     0,     0,   758,     0,     0,  1403,   584,
    4143,     0,     0,     0,     0,   758,     0,  1662,  1663,  1664,
       0,  1665,  1666,  1667,  1668,  1669,  1670,   192,  1403,     0,
       0,     0,     0,     0,     0,  1793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1116,     0,     0,
       0,  1661,     0,  1403,   585,     0,     0,     0,   586,     0,
     587,     0,     0,     0,     0,  1645,   588,     0,  1646,   589,
       0,     0,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,  1793,     0,     0,  1647,   758,     0,  2920,  1403,
    1793,     0,     0,  1649,     0,   590,     0,   591,  2123,  1650,
       0,   592,     0,     0,  2439,  2439,  2439,     0,     0,   593,
       0,     0,     0,  2146,   594,     0,     0,     0,     0,     0,
       0,     0,     0,  1651,     0,     0,   595,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4231,     0,   596,
       0,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,
    1670,     0,     0,  2191,     0,     0,     0,  2195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2206,     0,
    2208,     0,  2209,     0,     0,     0,     0,  2210,     0,     0,
       0,     0,     0,     0,     0,  1645,     0,     0,  1646,     0,
       0,     0,     0,     0,  2306,     0,     0,     0,     0,     0,
     511,     0,   511,     0,   511,  1647,   511,     0,   511,     0,
       0,     0,   511,  1649,     0,  1404,     0,  2329,     0,  1650,
    2331,     0,     0,  2342,  1652,     0,     0,     0,  1653,     0,
    2349,  2354,     0,     0,     0,     0,  2360,     0,     0,  2365,
       0,     0,     0,  1651,     0,     0,     0,     0,     0,  1654,
    1655,     0,     0,  1403,     0,     0,  2374,  1950,  2588,     0,
    2588,  2381,     0,     0,     0,  2393,  1656,     0,     0,  2400,
       0,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2410,
       0,  2411,     0,     0,     0,     0,  1098,     0,  2436,     0,
       0,     0,  1657,     0,     0,  1658,     0,     0,     0,     0,
       0,     0,     0,     0,  1249,     0,     0,     0,  1659,     0,
    1250,  1660,     0,     0,     0,     0,  1404,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1645,     0,  1288,  1646,     0,     0,     0,
       0,     0,     0,     0,  1652,     0,     0,     0,  1653,     0,
    1251,     0,     0,  1647,     0,     0,  2965,     0,     0,     0,
       0,  1649,     0,     0,     0,     0,     0,  1650,     0,  1654,
    1655,     0,  1404,     0,     0,     0,     0,     0,     0,     0,
       0,  1289,     0,     0,     0,  1661,  1656,     0,     0,     0,
       0,  1651,     0,     0,     0,     0,     0,  1404,     0,  1252,
       0,  1403,     0,     0,     0,     0,  1253,     0,     0,  1254,
       0,     0,  1657,     0,  1155,  1658,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1659,  1397,
       0,  1660,     0,     0,  2588,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,  2935,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1290,
       0,     0,  1255,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1662,  1663,  1664,     0,  1665,
    1666,  1667,  1668,  1669,  1670,     0,     0,     0,     0,     0,
       0,     0,  1652,     0,     0,  2529,  1653,     0,  1404,     0,
       0,     0,     0,     0,     0,  1661,     0,  1291,     0,  1292,
       0,     0,     0,     0,  2588,     0,     0,  1654,  1655,  1293,
       0,  1257,     0,     0,     0,  1404,     0,     0,     0,     0,
       0,  1258,     0,     0,  1656,     0,  2497,  2498,     0,  1259,
       0,  2501,  2502,     0,     0,  2505,  1403,  1294,  1260,     0,
       0,     0,     0,     0,     0,  2515,     0,  1403,     0,     0,
    1657,  1397,  2524,  1658,     0,     0,  2527,  2528,     0,     0,
    2531,  2532,     0,     0,     0,     0,  1659,  2537,     0,  1660,
       0,  2661,     0,     0,     0,  1262,  1296,     0,     0,  2553,
       0,  2555,     0,     0,  1404,  1662,  1663,  1664,     0,  1665,
    1666,  1667,  1668,  1669,  1670,     0,     0,  2577,     0,     0,
    2662,     0,  2579,     0,  1404,     0,     0,     0,     0,     0,
       0,  1298,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1645,     0,     0,  1646,     0,     0,     0,  1404,
       0,     0,     0,  2597,  2598,  2601,  2603,     0,     0,     0,
    2610,  2613,  1647,  1661,     0,     0,     0,     0,  2624,     0,
    1649,  2628,     0,     0,  1403,  2632,  1650,     0,  1264,     0,
       0,     0,     0,     0,     0,  1404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2660,     0,     0,
    1651,     0,  1403,     0,     0,     0,     0,     0,  2667,     0,
    2669,     0,     0,     0,     0,  2672,  2745,     0,  1403,     0,
    2676,  2677,  2678,  2679,     0,  2681,  2439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2705,  2706,
    2707,     0,     0,     0,     0,     0,     0,     0,  1645,  2715,
    2716,  1646,     0,  1662,  1663,  1664,     0,  1665,  1666,  1667,
    1668,  1669,  1670,     0,  1403,     0,  1397,     0,  1647,     0,
       0,  2976,     0,     0,     0,     0,  1649,     0,     0,     0,
       0,     0,  1650,     0,     0,  2970,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1672,  1652,     0,     0,     0,  1653,  1651,     0,     0,     0,
       0,     0,     0,  2773,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,     0,  1654,  1655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2870,
       0,     0,  1398,  1656,     0,     0,     0,     0,     0,  2588,
       0,     0,  1397,     0,     0,     0,     0,  1672,     0,     0,
       0,     0,  1645,     0,     0,  1646,     0,     0,     0,  1657,
       0,     0,  1658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1647,     0,     0,  1659,     0,     0,  1660,     0,
    1649,     0,     0,     0,     0,     0,  1650,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1652,     0,     0,
    1403,  1653,     0,     0,     0,     0,     0,     0,     0,     0,
    1651,     0,  2916,     0,  1397,     0,     0,  2922,     0,     0,
       0,     0,  1654,  1655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,  1656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2895,     0,  1661,  1397,     0,     0,     0,     0,     0,  2354,
       0,  2354,  2354,     0,  1398,  1657,     0,     0,  1658,     0,
       0,     0,  2979,     0,     0,  2982,     0,  2984,  1397,     0,
       0,  1659,     0,     0,  1660,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3005,     0,  3007,     0,  1403,     0,
    3010,  1652,     0,     0,     0,  1653,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,  1397,  1654,  1655,     0,  2436,
    2436,  2436,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,
    1669,  1670,     0,  1656,     0,     0,  3048,     0,  1661,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,  3058,     0,     0,     0,     0,     0,  1829,  1657,
       0,     0,  1658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1659,     0,     0,  1660,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3087,     0,     0,     0,     0,     0,     0,
       0,  1403,  1404,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1404,     0,     0,     0,     0,  1662,  1663,
    1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,     0,  1398,
       0,  1403,     0,  1400,     0,     0,     0,     0,     0,     0,
       0,     0,  1661,     0,     0,     0,  3078,  3079,     0,     0,
       0,     0,     0,     0,  2439,     0,     0,     0,     0,  2439,
       0,     0,     0,     0,     0,     0,     0,  1672,  3408,  1403,
       0,  2439,     0,  1403,  1403,     0,     0,     0,     0,     0,
       0,     0,  1397,  1398,     0,     0,     0,     0,  3101,     0,
       0,     0,     0,     0,     0,     0,     0,  3105,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3116,  3118,     0,  1398,     0,  3118,     0,     0,
    1404,     0,  3129,  3130,  3131,     0,     0,     0,     0,     0,
       0,     0,  1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,
    1669,  1670,     0,     0,     0,  1672,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3152,  3153,
    3154,  3155,     0,     0,  1404,     0,     0,     0,     0,  1672,
       0,     0,     0,     0,  2338,     0,     0,     0,     0,     0,
    1645,     0,     0,  1646,     0,     0,     0,  1398,  3171,  3172,
    3173,     0,     0,     0,  1672,  1672,     0,  1672,  3186,     0,
    1647,     0,     0,  3458,     0,     0,  1398,     0,  1649,     0,
    1404,     0,     0,     0,  1650,     0,  1645,     0,     0,  1646,
       0,     0,     0,     0,     0,     0,  1398,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,  1647,  1672,  1651,     0,
       0,     0,     0,     0,  1649,     0,     0,     0,     0,     0,
    1650,  1398,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3225,     0,     0,     0,     0,     0,     0,     0,
    3229,     0,     0,  1672,  1651,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,  4025,     0,     0,     0,     0,     0,  3301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1652,
       0,     0,     0,  1653,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1404,     0,     0,     0,
       0,     0,     0,     0,  1654,  1655,     0,     0,     0,  3329,
       0,     0,  3332,     0,     0,  1652,  1672,  1397,     0,  1653,
       0,  1656,  1397,  1397,     0,     0,  1400,     0,  1672,     0,
       0,  1672,     0,     0,  1397,     0,  3409,     0,     0,     0,
    1654,  1655,     0,     0,  3370,  1400,  3413,  1657,     0,     0,
    1658,     0,  3414,     0,  3415,     0,     0,  1656,  3380,     0,
       0,     0,     0,  1659,     0,  1400,  1660,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3433,  3434,     0,     0,
       0,     0,     0,  1657,     0,     0,  1658,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,  2360,     0,  1659,
       0,     0,  1660,     0,  2588,     0,     0,  3462,     0,     0,
    3465,     0,  3467,     0,     0,     0,     0,     0,     0,     0,
       0,  3471,     0,     0,     0,  1398,     0,  3476,     0,     0,
    3479,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1661,     0,     0,     0,     0,     0,     0,  1400,     0,     0,
       0,  3512,     0,     0,     0,     0,     0,     0,     0,  3524,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1397,  1661,     0,     0,     0,
       0,     0,  3538,     0,     0,  1401,     0,     0,  1098,     0,
       0,     0,     0,     0,  1155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
    1662,  1663,  1664,     0,  1665,  1666,  1667,  1668,  1669,  1670,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,  1662,  1663,  1664,     0,
    1665,  1666,  1667,  1668,  1669,  1670,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3574,
       0,  3575,     0,     0,     0,  1404,     0,     0,  3577,  1404,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3586,     0,     0,  1401,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,  3594,     0,     0,     0,     0,     0,     0,  1397,     0,
    3605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3637,  3638,  3639,  3640,
    3641,  3642,  3643,  3644,     0,     0,     0,     0,  3651,  3652,
       0,  3654,  3655,  3656,  3657,  3658,  3659,  3660,     0,     0,
       0,     0,     0,     0,     0,     0,  3668,     0,  3670,  3671,
    1398,     0,     0,     0,     0,  1398,  1398,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3774,
    3775,     0,  3714,  3716,  3718,     0,     0,  3721,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
       0,     0,  1401,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3804,     0,     0,
       0,  1672,     0,  1672,     0,  2338,  2338,  2953,     0,     0,
    2338,     0,     0,     0,  1672,     0,     0,     0,     0,     0,
       0,  1672,     0,     0,     0,     0,  1672,     0,  3118,     0,
       0,     0,  1672,     0,  1402,     0,  1401,  1672,     0,     0,
       0,     0,     0,     0,  3822,  3824,  1672,     0,  1398,     0,
    2338,  2338,     0,  1672,     0,     0,     0,  3831,     0,     0,
       0,     0,     0,  3836,  3837,  1672,     0,  3839,  1401,     0,
       0,     0,  1672,     0,  1672,  1672,  1672,  1672,  1672,  1672,
    1672,  1672,  1672,  1672,     0,     0,     0,  1397,     0,  1400,
       0,     0,     0,     0,  1400,  1400,     0,     0,     0,  2436,
       0,     0,     0,     0,  2436,     0,  1400,     0,  1672,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,  1397,
    1397,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,     0,     0,  3887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1401,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1401,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1672,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,  1398,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,  1400,     0,  3906,
    3907,  3908,  3909,     0,     0,     0,     0,     0,     0,     0,
       0,  1401,     0,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,     0,  3921,  3922,  3923,  3924,     0,  3926,  3927,
       0,     0,     0,  1402,     0,     0,     0,     0,  1397,     0,
    3936,  3937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,  3977,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1397,     0,  3991,
       0,     0,     0,     0,     0,     0,  1402,     0,  3997,     0,
    1400,     0,     0,     0,     0,     0,     0,  1672,     0,     0,
       0,     0,     0,     0,     0,     0,  1402,  4059,  4016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4033,  1402,     0,     0,  4076,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
    1398,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,  1398,     0,  1398,     0,     0,   511,     0,
       0,     0,  1672,     0,     0,     0,     0,  1397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
       0,  1398,     0,  1398,  1672,     0,     0,     0,     0,     0,
    4118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2953,  2953,     0,  2338,     0,     0,  2338,  2338,  2338,  2338,
    2338,  2338,  2338,  2338,  2338,  2338,  2953,     0,     0,     0,
       0,     0,     0,     0,  2360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
       0,  1672,     0,  4209,  1672,     0,  1672,     0,     0,     0,
       0,  2953,  2953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,  2338,  2338,  1672,     0,  1672,
       0,     0,  1672,     0,     0,  1402,     0,     0,     0,  1400,
    3118,  1398,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
    1672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1672,  1400,  1400,  1401,  1400,     0,     0,     0,  1401,  1401,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,     0,     0,     0,     0,  1672,
    4280,     0,     0,     0,     0,     0,     0,  4234,     0,     0,
       0,     0,  4238,  1398,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
    1400,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
    1398,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4321,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3118,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1398,
    1400,  1401,     0,     0,     0,  1397,     0,     0,  4366,  4366,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,  1398,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4340,     0,     0,     0,     0,  4344,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1398,     0,  4366,     0,     0,     0,     0,     0,  2338,     0,
       0,     0,  4414,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,  1402,  1402,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,  1400,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1397,     0,     0,     0,     0,
       0,     0,     0,     0,  4366,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1672,     0,     0,     0,  1672,  1672,  1672,  1400,     0,
    2953,     0,     0,     0,     0,  2953,  2953,  2953,  2953,  2953,
    2953,  2953,  2953,  2953,  2953,  1672,  1672,     0,     0,     0,
       0,     0,     0,  1400,  1398,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1672,  2338,  2338,  1672,  1402,  1672,
       0,     0,     0,  1672,  2953,  2953,     0,     0,  1672,  1400,
    1397,  1672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1672,     0,  1397,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1400,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1401,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,  1401,     0,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,  1401,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1672,  1672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1672,     0,     0,     0,
    2338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,  1672,     0,  1672,  1400,     0,     0,
       0,  2953,  2953,  1672,     0,     0,  2338,  2338,  1672,  1672,
       0,  1672,     0,     0,     0,  1401,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1398,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1401,  1398,     0,     0,     0,     0,     0,  1672,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,  1398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,  1398,  1401,  1400,     0,  1397,
       0,     0,  1402,  1402,     0,  1402,     0,     0,     0,     0,
       0,     0,  1401,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1401,     0,     0,     0,     0,     0,  1672,
       0,     0,     0,     0,     0,     0,     0,  1397,     0,     0,
       0,  1397,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1401,  2953,  2338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,  2953,
    2953,  1672,  1401,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
       0,     0,  1400,     0,     0,     0,     0,  1401,     0,     0,
       0,  1398,  1402,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1401,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,  1398,
       0,  2953,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,  1672,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1672,     0,     0,     0,     0,  1401,     0,  1402,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1398,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,  1672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1398,     0,     0,     0,  1398,  1398,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1401,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,     0,     0,     0,     0,  1400,
       0,  1401,     0,  1400,  1400,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,     0,     0,  1401,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1401,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,  1401,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1401,     0,     0,     0,  1401,  1401,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   731,  1016,   564,  1017,
    1018,  1019,   615,  1020,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,  2430,   217,   218,   219,     0,
    1402,     0,     0,  1021,  1402,  1402,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1022,   733,  1023,  1024,
       0,   231,   232,   233,   234,   235,  1025,  1026,   236,   237,
    1027,  1028,   240,     0,   241,   242,   243,   244,  1029,     0,
    1030,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,
     263,   264,   265,  1038,  1039,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,  2431,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1041,   294,
     295,   296,  1042,  1043,   298,     0,   299,  1044,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1045,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1046,
    1047,     0,  1048,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1049,
     745,   344,   746,     0,   345,   346,   347,  1050,  1051,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1052,   747,  1053,   363,   364,   365,  1054,   366,
     367,   748,   368,  1055,  1056,   370,  1057,   372,   373,   374,
       0,   375,     0,     0,  1058,   377,   378,     0,     0,   379,
     749,   750,   751,  1059,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1060,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1061,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1062,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1063,   437,   438,   439,
     440,   753,   441,  1064,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1065,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1066,  1067,
       0,     0,   465,  1068,   467,  1069,  1070,   469,   470,   471,
     472,   473,   474,   475,     0,  1071,   476,   477,   478,   479,
     480,  1072,     0,   481,   482,   483,   484,   485,   486,  1073,
    2432,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1082,  1083,  2433,     0,     0,
       0,     0,     0,     0,  1085,  2434,   731,  1016,   564,  1017,
    1018,  1019,   615,  1020,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1021,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1022,   733,  1023,  1024,
       0,   231,   232,   233,   234,   235,  1025,  1026,   236,   237,
    1027,  1028,   240,     0,   241,   242,   243,   244,  1029,     0,
    1030,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,
     263,   264,   265,  1038,  1039,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1041,   294,
     295,   296,  1042,  1043,   298,     0,   299,  1044,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1045,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1046,
    1047,     0,  1048,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1049,
     745,   344,   746,     0,   345,   346,   347,  1050,  1051,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1052,   747,  1053,   363,   364,   365,  1054,   366,
     367,   748,   368,  1055,  1056,   370,  1057,   372,   373,   374,
       0,   375,     0,     0,  1058,   377,   378,     0,     0,   379,
     749,   750,   751,  1059,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1060,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1061,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1062,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1063,   437,   438,   439,
     440,   753,   441,  1064,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1065,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1066,  1067,
       0,     0,   465,  1068,   467,  1069,  1070,   469,   470,   471,
     472,   473,   474,   475,     0,  1071,   476,   477,   478,   479,
     480,  1072,     0,   481,   482,   483,   484,   485,   486,  1073,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1082,  1083,   207,     0,     0,
       0,     0,     0,     0,  1085,  2340,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,  3492,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0, -1466,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0, -1466,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324, -1466,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334, -1466,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343, -1466,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361, -1466,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420, -1466,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1371,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,     0,  1372,   733,  1373,  1374,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
    1375,  1376,   240,     0,   241,   242,   243,   244,     0,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,  1377,  1378,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,     0,   294,
     295,   296,     0,     0,   298,     0,   299,  1379,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,     0,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,  1938,   318,   319,   320,   321,   322,
     323,     0,   324,   741,  1939,   326,   327,   328,   329,  1380,
    1381,     0,  1382,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,     0,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1383,   747,  1384,   363,   364,     0,     0,   366,
     367,   748,   368,     0,     0,   370,  1385,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,  1940,
     749,   750,   751,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   390,     0,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1386,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,  1941,   439,
     440,   753,   441,  1388,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,     0,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1389,  1390,
       0,     0,   465,     0,   467,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1391,
    1942,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,     0,  1371,     0,     0,
       0,     0,     0,     0,     0,   507,   508,   509,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,  1943,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,     0,  1372,   733,  1373,
    1374,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,  1375,  1376,   240,     0,   241,   242,   243,   244,     0,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,  1377,  1378,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1040,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,     0,
     294,   295,   296,     0,     0,   298,     0,   299,  1379,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,     0,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,  1938,   318,   319,   320,   321,
     322,   323,     0,   324,   741,  1939,   326,   327,   328,   329,
    1380,  1381,     0,  1382,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
       0,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1383,   747,  1384,   363,   364,     0,     0,
     366,   367,   748,   368,     0,     0,   370,  1385,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
    1940,   749,   750,   751,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   390,     0,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1386,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,     0,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,  1941,
     439,   440,   753,   441,  1388,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1389,
    1390,     0,     0,   465,     0,   467,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1391,  1942,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,     0,   731,  1016,
     564,  1017,  1018,  1019,   615,  1020,   507,   508,   509,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1021,  2834,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1022,   733,
    1023,  1024,  2350,   231,   232,   233,   234,   235,  1025,  1026,
     236,   237,  1027,  1028,   240,     0,   241,   242,   243,   244,
    1029,     0,  1030,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,
     261,   262,   263,   264,   265,  1038,  1039,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1040,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1041,   294,   295,   296,  1042,  1043,   298,     0,   299,  1044,
     301,     0,   302,     0,   303,   738,  2351,   739,   304,   305,
     306,     0,   307,  1045,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1046,  1047,     0,  1048,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,  2352,
     342,  1049,   745,   344,   746,     0,   345,   346,   347,  1050,
    1051,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1052,   747,  1053,   363,   364,   365,
    1054,   366,   367,   748,   368,  1055,  1056,   370,  1057,   372,
     373,   374,     0,   375,     0,     0,  1058,   377,   378,     0,
       0,   379,   749,   750,   751,  1059,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1060,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1061,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1062,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1063,   437,
     438,   439,   440,   753,   441,  1064,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1065,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1066,  1067,     0,  2353,   465,  1068,   467,  1069,  1070,   469,
     470,   471,   472,   473,   474,   475,     0,  1071,   476,   477,
     478,   479,   480,  1072,     0,   481,   482,   483,   484,   485,
     486,  1073,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1074,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1082,  1083,     0,
       0,     0,     0,     0,     0,     0,  1085,   731,  1016,   564,
    1017,  1018,  1019,   615,  1020,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1021,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1022,   733,  1023,
    1024,     0,   231,   232,   233,   234,   235,  1025,  1026,   236,
     237,  1027,  1028,   240,     0,   241,   242,   243,   244,  1029,
       0,  1030,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,
     262,   263,   264,   265,  1038,  1039,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1040,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1041,
     294,   295,   296,  1042,  1043,   298,     0,   299,  1044,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1045,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1046,  1047,     0,  1048,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1049,   745,   344,   746,     0,   345,   346,   347,  1050,  1051,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1052,   747,  1053,   363,   364,   365,  1054,
     366,   367,   748,   368,  1055,  1056,   370,  1057,   372,   373,
     374,     0,   375,     0,     0,  1058,   377,   378,     0,     0,
     379,   749,   750,   751,  1059,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1060,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1061,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1062,   424,   425,   426,   427,   428,   429,   430,
     431,    38,   432,   433,   434,   435,   436,  1063,   437,   438,
     439,   440,   753,   441,  1064,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1065,     0,   455,
     456,    42,   457,   458,   459,   460,   461,   462,     0,  1066,
    1067,     0,     0,   465,  1068,   467,  1069,  1070,   469,   470,
     471,   472,   473,   474,   475,     0,  1071,   476,   477,   478,
     479,   480,  1072,     0,   481,   482,   483,   484,   485,   955,
    1073,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,    47,   493,   494,   495,   496,   497,   498,  1074,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1082,  1083,     0,     0,
       0,     0,     0,     0,     0,  1085,   731,  1016,   564,  1017,
    1018,  1019,   615,  1020,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1021,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1022,   733,  1023,  1024,
       0,   231,   232,   233,   234,   235,  1025,  1026,   236,   237,
    1027,  1028,   240,     0,   241,   242,   243,   244,  1029,     0,
    1030,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,
     263,   264,   265,  1038,  1039,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1041,   294,
     295,   296,  1042,  1043,   298,     0,   299,  1044,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1045,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1046,
    1047,     0,  1048,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1049,
     745,   344,   746,     0,   345,   346,   347,  1050,  1051,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1052,   747,  1053,   363,   364,   365,  1054,   366,
     367,   748,   368,  1055,  1056,   370,  1057,   372,   373,   374,
       0,   375,     0,     0,  1058,   377,   378,     0,     0,   379,
     749,   750,   751,  1059,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1060,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1061,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1062,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1063,   437,   438,   439,
     440,   753,   441,  1064,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1065,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1066,  1067,
       0,     0,   465,  1068,   467,  1069,  1070,   469,   470,   471,
     472,   473,   474,   475,     0,  1071,   476,   477,   478,   479,
     480,  1072,     0,   481,   482,   483,   484,   485,   486,  1073,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1082,  1083,     0,     0,     0,
       0,     0,  1578,  2298,  1085,   731,  1016,   564,  1017,  1018,
    1019,   615,  1020,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1021,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1022,   733,  1023,  1024,     0,
     231,   232,   233,   234,   235,  1025,  1026,   236,   237,  1027,
    1028,   240,     0,   241,   242,   243,   244,  1029,     0,  1030,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1031,
    1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,
     264,   265,  1038,  1039,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1040,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1041,   294,   295,
     296,  1042,  1043,   298,     0,   299,  1044,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1045,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1046,  1047,
       0,  1048,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1049,   745,
     344,   746,     0,   345,   346,   347,  1050,  1051,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1052,   747,  1053,   363,   364,   365,  1054,   366,   367,
     748,   368,  1055,  1056,   370,  1057,   372,   373,   374,     0,
     375,     0,     0,  1058,   377,   378,     0,     0,   379,   749,
     750,   751,  1059,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1060,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1061,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1062,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1063,   437,   438,   439,   440,
     753,   441,  1064,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1065,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1066,  1067,     0,
       0,   465,  1068,   467,  1069,  1070,   469,   470,   471,   472,
     473,   474,   475,     0,  1071,   476,   477,   478,   479,   480,
    1072,     0,   481,   482,   483,   484,   485,   486,  1073,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1082,  1083,  1084,     0,     0,     0,
       0,     0,     0,  1085,   731,  1016,   564,  1017,  1018,  1019,
     615,  1020,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1021,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1022,   733,  1023,  1024,     0,   231,
     232,   233,   234,   235,  1025,  1026,   236,   237,  1027,  1028,
     240,     0,   241,   242,   243,   244,  1029,     0,  1030,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,
     265,  1038,  1039,   268,  1154,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1040,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1041,   294,   295,   296,
    1042,  1043,   298,     0,   299,  1044,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1045,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1046,  1047,     0,
    1048,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1049,   745,   344,
     746,     0,   345,   346,   347,  1050,  1051,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1052,   747,  1053,   363,   364,   365,  1054,   366,   367,   748,
     368,  1055,  1056,   370,  1057,   372,   373,   374,     0,   375,
       0,     0,  1058,   377,   378,     0,     0,   379,   749,   750,
     751,  1059,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1060,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1061,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1062,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1063,   437,   438,   439,   440,   753,
     441,  1064,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1065,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1066,  1067,     0,     0,
     465,  1068,   467,  1069,  1070,   469,   470,   471,   472,   473,
     474,   475,     0,  1071,   476,   477,   478,   479,   480,  1072,
       0,   481,   482,   483,   484,   485,   486,  1073,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1082,  1083,     0,     0,     0,     0,     0,
       0,     0,  1085,   731,  1016,   564,  1017,  1018,  1019,   615,
    1020,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1824,   217,   218,   219,     0,     0,     0,     0,
    1021,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1022,   733,  1023,  1024,     0,   231,   232,
     233,   234,   235,  1025,  1026,   236,   237,  1027,  1028,   240,
       0,   241,   242,   243,   244,  1029,     0,  1030,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1031,  1032,  1033,
    1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,   265,
    1038,  1039,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1040,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1041,   294,   295,   296,  1042,
    1043,   298,     0,   299,  1044,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1045,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1046,  1047,     0,  1048,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1049,   745,   344,   746,
       0,   345,   346,   347,  1050,  1051,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1052,
     747,  1053,   363,   364,   365,  1054,   366,   367,   748,   368,
    1055,  1056,   370,  1057,   372,   373,   374,     0,   375,     0,
       0,  1058,   377,   378,     0,     0,   379,   749,   750,   751,
    1059,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1060,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1061,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1062,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1063,   437,   438,   439,   440,   753,   441,
    1064,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1065,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1066,  1067,     0,     0,   465,
    1068,   467,  1069,  1070,   469,   470,   471,   472,   473,   474,
     475,     0,  1071,   476,   477,   478,   479,   480,  1072,     0,
     481,   482,   483,   484,   485,   486,  1073,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  1082,  1083,     0,     0,     0,     0,     0,     0,
       0,  1085,   731,  1016,   564,  1017,  1018,  1019,   615,  1020,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,  1021,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,  1022,   733,  1023,  1024,     0,   231,   232,   233,
     234,   235,  1025,  1026,   236,   237,  1027,  1028,   240,     0,
     241,   242,   243,   244,  1029,     0,  1030,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,   260,   261,   262,   263,   264,   265,  1038,
    1039,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1040,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1041,   294,   295,   296,  1042,  1043,
     298,     0,   299,  1044,   301,     0,   302,     0,   303,   738,
    2351,   739,   304,   305,   306,     0,   307,  1045,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1046,  1047,     0,  1048,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1049,   745,   344,   746,     0,
     345,   346,   347,  1050,  1051,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1052,   747,
    1053,   363,   364,   365,  1054,   366,   367,   748,   368,  1055,
    1056,   370,  1057,   372,   373,   374,     0,   375,     0,     0,
    1058,   377,   378,     0,     0,   379,   749,   750,   751,  1059,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1060,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1061,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1062,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1063,   437,   438,   439,   440,   753,   441,  1064,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1065,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1066,  1067,     0,     0,   465,  1068,
     467,  1069,  1070,   469,   470,   471,   472,   473,   474,   475,
       0,  1071,   476,   477,   478,   479,   480,  1072,     0,   481,
     482,   483,   484,   485,   486,  1073,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1082,  1083,     0,     0,     0,     0,     0,     0,     0,
    1085,   731,  1016,   564,  1017,  1018,  1019,   615,  1020,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1021,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,  1022,   733,  1023,  1024,     0,   231,   232,   233,   234,
     235,  1025,  1026,   236,   237,  1027,  1028,   240,     0,   241,
     242,   243,   244,  1029,     0,  1030,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1031,  1032,  1033,  1034,  1035,
    1036,  1037,   260,   261,   262,   263,   264,   265,  1038,  1039,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1040,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,  1041,   294,   295,   296,  1042,  1043,   298,
       0,   299,  1044,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,  1045,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1046,  1047,     0,  1048,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1049,   745,   344,   746,     0,   345,
     346,   347,  1050,  1051,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1052,   747,  1053,
     363,   364,   365,  1054,   366,   367,   748,   368,  1055,  1056,
     370,  1057,   372,   373,   374,     0,   375,     0,     0,  1058,
     377,   378,     0,     0,   379,   749,   750,   751,  1059,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1060,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1061,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1062,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1063,   437,   438,   439,   440,   753,   441,  1064,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1065,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1066,  1067,     0,     0,   465,  1068,   467,
    1069,  1070,   469,   470,   471,   472,   473,   474,   475,     0,
    1071,   476,   477,   478,   479,   480,  1072,     0,   481,   482,
     483,   484,   485,   486,  1073,  3527,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1082,  1083,     0,     0,     0,     0,     0,     0,     0,  1085,
     731,  1016,   564,  1017,  1018,  1019,   615,  1020,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1021,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
    1022,   733,  1023,  1024,     0,   231,   232,   233,   234,   235,
    1025,  1026,   236,   237,  1027,  1028,   240,     0,   241,   242,
     243,   244,  1029,     0,  1030,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1031,  1032,  1033,  1034,  1035,  1036,
    1037,   260,   261,   262,   263,   264,   265,  1038,  1039,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1040,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,  1041,   294,   295,   296,  1042,  1043,   298,     0,
     299,  1044,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1045,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1046,  1047,     0,  1048,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1049,   745,   344,   746,     0,   345,   346,
     347,  1050,  1051,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1052,   747,  1053,   363,
     364,   365,  1054,   366,   367,   748,   368,  1055,  1056,   370,
    1057,   372,   373,   374,     0,   375,     0,     0,  1058,   377,
     378,     0,     0,   379,   749,   750,   751,  1059,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1060,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1061,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1062,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1063,   437,   438,   439,   440,   753,   441,  1064,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1065,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1066,  1067,     0,     0,   465,  1068,   467,  1069,
    1070,   469,   470,   471,   472,   473,   474,   475,     0,  1071,
     476,   477,   478,   479,   480,  1072,     0,   481,   482,   483,
     484,   485,   486,  1073,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,  1082,
    1083,     0,     0,     0,     0,     0,     0,     0,  1085,   731,
    1016,   564,  1017,  1018,  1019,   615,  1020,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1021,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1022,
     733,  1023,  1024,     0,   231,   232,   233,   234,   235,  1025,
    1026,   236,   237,  1027,  1028,   240,     0,   241,   242,   243,
     244,  1029,     0,  1030,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,  3537,  1031,  1032,  1033,  1034,  1035,  1036,  1037,
     260,   261,   262,   263,   264,   265,  1038,  1039,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1040,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1041,   294,   295,   296,  1042,  1043,   298,     0,   299,
    1044,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1045,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1046,  1047,     0,  1048,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1049,   745,   344,   746,     0,   345,   346,   347,
    1050,  1051,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1052,   747,  1053,   363,   364,
     365,  1054,   366,   367,   748,   368,  1055,  1056,   370,  1057,
     372,   373,   374,     0,   375,     0,     0,  1058,   377,   378,
       0,     0,   379,   749,   750,   751,  1059,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1060,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1061,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1062,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,  1063,
     437,   438,   439,   440,   753,   441,  1064,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1065,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1066,  1067,     0,     0,   465,  1068,   467,  1069,  1070,
     469,   470,   471,   472,   473,   474,   475,     0,  1071,   476,
     477,   478,   479,   480,  1072,     0,   481,   482,   483,   484,
     485,   486,  1073,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
    1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1082,  1083,
       0,     0,     0,     0,     0,     0,     0,  1085,   731,  1016,
     564,  1017,  1018,  1019,   615,  1020,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1021,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1022,   733,
    1023,  1024,     0,   231,   232,   233,   234,   235,  1025,  1026,
     236,   237,  1027,  1028,   240,     0,   241,   242,   243,   244,
    1029,     0,  1030,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,
     261,   262,   263,   264,   265,  1038,  1039,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1040,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1041,   294,   295,   296,  1042,  1043,   298,     0,   299,  1044,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1045,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1046,  1047,     0,  1048,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1049,   745,   344,   746,     0,   345,   346,   347,  1050,
    1051,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1052,   747,  1053,   363,   364,   365,
    1054,   366,   367,   748,   368,  1055,  1056,   370,  1057,   372,
     373,   374,     0,   375,     0,     0,  1058,   377,   378,     0,
       0,   379,   749,   750,   751,  1059,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1060,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1061,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1062,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1063,   437,
     438,   439,   440,   753,   441,  1064,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1065,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1066,  1067,     0,     0,   465,  1068,   467,  1069,  1070,   469,
     470,   471,   472,   473,   474,   475,     0,  1071,   476,   477,
     478,   479,   480,  1072,     0,   481,   482,   483,   484,   485,
     486,  1073,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,  3814,  1074,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1082,  1083,     0,
       0,     0,     0,     0,     0,     0,  1085,   731,  1016,   564,
    1017,  1018,  1019,   615,  1020,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1021,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1022,   733,  1023,
    1024,     0,   231,   232,   233,   234,   235,  1025,  1026,   236,
     237,  1027,  1028,   240,     0,   241,   242,   243,   244,  1029,
       0,  1030,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,
     262,   263,   264,   265,  1038,  1039,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1040,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1041,
     294,   295,   296,  1042,  1043,   298,     0,   299,  1044,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1045,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1046,  1047,     0,  1048,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1049,   745,   344,   746,     0,   345,   346,   347,  1050,  1051,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1052,   747,  1053,   363,  3823,   365,  1054,
     366,   367,   748,   368,  1055,  1056,   370,  1057,   372,   373,
     374,     0,   375,     0,     0,  1058,   377,   378,     0,     0,
     379,   749,   750,   751,  1059,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1060,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1061,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1062,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1063,   437,   438,
     439,   440,   753,   441,  1064,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1065,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1066,
    1067,     0,     0,   465,  1068,   467,  1069,  1070,   469,   470,
     471,   472,   473,   474,   475,     0,  1071,   476,   477,   478,
     479,   480,  1072,     0,   481,   482,   483,   484,   485,   486,
    1073,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1074,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1082,  1083,     0,     0,
       0,     0,     0,     0,     0,  1085,   731,  1016,   564,  1017,
    1018,  1019,   615,  1020,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1021,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,  4363,  1022,   733,  1023,  1024,
       0,   231,   232,   233,   234,   235,  1025,  1026,   236,   237,
    1027,  1028,   240,     0,   241,   242,   243,   244,  1029,     0,
    1030,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,  4364,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,
     263,   264,   265,  1038,  1039,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1041,   294,
     295,   296,  1042,  1043,   298,     0,   299,  1044,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1045,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1046,
    1047,     0,  1048,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1049,
     745,   344,   746,     0,   345,   346,   347,  1050,  1051,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1052,   747,  1053,   363,   364,   365,  1054,   366,
     367,   748,   368,  1055,  1056,   370,  1057,   372,   373,   374,
       0,   375,     0,     0,  1058,   377,   378,     0,     0,   379,
     749,   750,   751,  1059,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1060,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1061,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1062,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1063,   437,   438,   439,
     440,   753,   441,  1064,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1065,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1066,  1067,
       0,     0,   465,  1068,   467,  1069,  1070,   469,   470,   471,
     472,  4365,   474,   475,     0,  1071,   476,   477,   478,   479,
     480,  1072,     0,   481,   482,   483,   484,   485,   486,  1073,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1082,  1083,     0,     0,     0,
       0,     0,     0,     0,  1085,   731,  1016,   564,  1017,  1018,
    1019,   615,  1020,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1021,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1022,   733,  1023,  1024,     0,
     231,   232,   233,   234,   235,  1025,  1026,   236,   237,  1027,
    1028,   240,     0,   241,   242,   243,   244,  1029,     0,  1030,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,  4364,  1031,
    1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,
     264,   265,  1038,  1039,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1040,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1041,   294,   295,
     296,  1042,  1043,   298,     0,   299,  1044,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1045,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1046,  1047,
       0,  1048,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1049,   745,
     344,   746,     0,   345,   346,   347,  1050,  1051,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1052,   747,  1053,   363,   364,   365,  1054,   366,   367,
     748,   368,  1055,  1056,   370,  1057,   372,   373,   374,     0,
     375,     0,     0,  1058,   377,   378,     0,     0,   379,   749,
     750,   751,  1059,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1060,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1061,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1062,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1063,   437,   438,   439,   440,
     753,   441,  1064,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1065,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1066,  1067,     0,
       0,   465,  1068,   467,  1069,  1070,   469,   470,   471,   472,
    4365,   474,   475,     0,  1071,   476,   477,   478,   479,   480,
    1072,     0,   481,   482,   483,   484,   485,   486,  1073,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1082,  1083,     0,     0,     0,     0,
       0,     0,     0,  1085,   731,  1016,   564,  1017,  1018,  1019,
     615,  1020,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1021,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1022,   733,  1023,  1024,     0,   231,
     232,   233,   234,   235,  1025,  1026,   236,   237,  1027,  1028,
     240,     0,   241,   242,   243,   244,  1029,     0,  1030,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,
     265,  1038,  1039,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1040,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1041,   294,   295,   296,
    1042,  1043,   298,     0,   299,  1044,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1045,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1046,  1047,     0,
    1048,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1049,   745,   344,
     746,     0,   345,   346,   347,  1050,  1051,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1052,   747,  1053,   363,   364,   365,     0,   366,   367,   748,
     368,  1055,  1056,   370,  1057,   372,   373,   374,     0,   375,
       0,     0,  1058,   377,   378,     0,     0,   379,   749,   750,
     751,  1059,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1060,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1061,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1062,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1063,   437,   438,   439,   440,   753,
     441,  1064,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1065,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1066,  1067,     0,     0,
     465,  1068,   467,  1069,  1070,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1072,
       0,   481,   482,   483,   484,   485,   486,  1073,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  2333,  2334,     0,     0,     0,     0,     0,
       0,     0,  1085,   731,  1016,   564,  1017,  1018,  1019,   615,
    1020,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1021,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226, -2223,  1022,   733,  1023,  1024,     0,   231,   232,
     233,   234,   235,  1025,  1026,   236,   237,  1027,  1028,   240,
       0,   241,   242,   243,   244,  1029,     0,  1030,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,  4364,  1031,  1032,  1033,
    1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,   265,
    1038,  1039,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1040,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1041,   294,   295,   296,  1042,
    1043,   298,     0,   299,  1044,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1045,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1046,  1047,     0,  1048,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1049,   745,   344,     0,
       0,   345,   346,   347,  1050,  1051,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1052,
     747,  1053,   363,   364,   365,     0,   366,   367,   748,   368,
    1055,  1056,   370,  1057,   372,   373,   374,     0,   375,     0,
       0,  1058,   377,   378,     0,     0,   379,   749,   750,   751,
    1059,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1060,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1061,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1062,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1063,   437,   438,   439,   440,     0,   441,
    1064,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1065,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1066,  1067,     0,     0,   465,
    1068,   467,  1069,  1070,   469,   470,   471,   472,  4365,   474,
     475,     0,  1071,   476,   477,   478,   479,   480,  1072,     0,
     481,   482,   483,   484,   485,   486,  1073,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  1082,  1083,     0,     0,   731,  1016,   564,  1017,
    1018,  1085,   615,  1020,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1021,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1022,   733,  1023,  1024,
       0,   231,   232,   233,   234,   235,  1025,  1026,   236,   237,
    1027,  1028,   240,     0,   241,   242,   243,   244,  1029,     0,
    1030,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,
     263,   264,   265,  1038,  1039,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1040,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1041,   294,
     295,   296,  1042,  1043,   298,     0,   299,  1044,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1045,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1046,
    1047,     0,  1048,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1049,
     745,   344,   746,     0,   345,   346,   347,  1050,  1051,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1052,   747,  1053,   363,   364,   365,     0,   366,
     367,   748,   368,  1055,  1056,   370,  1057,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,  1059,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1060,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1061,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1062,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1063,   437,   438,   439,
     440,   753,   441,  1064,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1065,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1066,  1067,
       0,     0,   465,  1068,   467,  1069,  1070,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,  1072,     0,   481,   482,   483,   484,   485,   486,  1073,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   731,  1016,   564,  1017,  1018,     0,
     615,  1020,     0,     0,  1085,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1021,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1022,   733,  1023,  1024,     0,  3446,
     232,   233,   234,   235,  1025,  1026,   236,   237,  1027,  1028,
     240,     0,   241,   242,   243,   244,  1029,     0,  1030,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,
     265,  1038,  1039,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1040,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1041,   294,   295,   296,
    1042,  1043,   298,     0,   299,  1044,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1045,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1046,  1047,     0,
    1048,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1049,   745,   344,
     746,     0,   345,   346,   347,  1050,  1051,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1052,   747,  1053,   363,   364,   365,     0,   366,   367,   748,
     368,  1055,  1056,   370,  1057,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,  1059,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1060,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1061,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1062,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1063,   437,   438,   439,   440,   753,
     441,  1064,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1065,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1066,  1067,     0,     0,
     465,  1068,   467,  1069,  1070,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1072,
       0,   481,   482,   483,   484,   485,   486,  1073,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   731,  1016,   564,  1017,  1018,  1019,   615,  1020,
       0,     0,  1085,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,  1021,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1022,   733,  1023,  1024,     0,   231,   232,   233,
     234,   235,  1025,  1026,   236,   237,  1027,  1028,   240,     0,
     241,   242,   243,   244,  1029,     0,  1030,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1031,  1032,  1033,  1034,
    1035,  1036,  1037,   260,   261,   262,   263,   264,   265,  1038,
    1039,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1040,   281,
     282,     0,   283,   284,   285,     0,   286,     0,   288,     0,
     289,   290,   291,   292,  1041,   294,   295,   296,  1042,  1043,
     298,     0,   299,  1044,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1045,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1046,  1047,     0,  1048,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1049,   745,   344,     0,     0,
     345,   346,   347,  1050,  1051,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1052,   747,
    1053,   363,   364,   365,     0,   366,   367,   748,   368,  1055,
    1056,   370,  1057,   372,   373,   374,     0,   375,     0,     0,
    1058,   377,   378,     0,     0,   379,   749,   750,   751,  1059,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1060,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1061,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1062,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1063,   437,   438,   439,   440,     0,   441,  1064,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1065,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1066,  1067,     0,     0,   465,  1068,
     467,  1069,  1070,   469,   470,   471,   472,   473,   474,   475,
       0,  1071,   476,   477,   478,   479,   480,  1072,     0,   481,
     482,   483,   484,   485,   486,  1073,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1082,  1083,     0,     0,     0,     0,     0,     0,     0,
    1085,   731,  1016,   564,  1017,  1018,  1019,   615,  1020,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1021,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1022,   733,  1023,  1024,     0,   231,   232,   233,   234,
     235,  1025,  1026,   236,   237,  1027,  1028,   240,     0,   241,
     242,   243,   244,  1029,     0,  1030,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1031,  1032,  1033,  1034,  1035,
    1036,  1037,   260,   261,   262,   263,   264,   265,  1038,  1039,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1040,   281,   282,
       0,   283,   284,   285,     0,   286,     0,   288,     0,   289,
     290,   291,   292,  1041,   294,   295,   296,  1042,  1043,   298,
       0,   299,  1044,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,  1045,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1046,  1047,     0,  1048,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1049,   745,   344,     0,     0,   345,
     346,   347,  1050,  1051,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1052,   747,  1053,
     363,   364,   365,     0,   366,   367,   748,   368,  1055,  1056,
     370,  1057,   372,   373,   374,     0,   375,     0,     0,  1058,
     377,   378,     0,     0,   379,   749,   750,   751,  1059,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1060,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1061,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1062,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1063,   437,   438,   439,   440,     0,   441,  1064,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1065,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1066,  1067,     0,     0,   465,  1068,   467,
    1069,  1070,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,  1072,     0,   481,   482,
     483,   484,   485,   486,  1073,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
     507,   508,   509,     0,     0,     0,     0,     0,     0,   731,
    2333,  2334,     0,     0,     0,     0,     0,     0,     0,  1085,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
    1026,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,  1029,     0,  1030,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,  1042,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1045,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,  3021,   340,   341,
       0,   342,  1049,   745,   344,   746,     0,   345,   346,   347,
    1050,  1051,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,  1056,   370,   371,
     372,   373,   374,     0,   375,     0,   696,   376,   377,   378,
       0,     0,   379,   749,   750,   751,  1059,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1060,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    38,   432,   433,   434,   435,   436,  1063,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1065,
       0,   455,   456,    42,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,  1068,   467,  1069,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,  1072,     0,   481,   482,   483,   484,
     485,   955,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,    47,   493,   494,   495,   496,   497,   498,
    1074,  1075,  1076,  1077,  1078,  1079,  1080,  1081,   507,   508,
     509,     0,     0,     0,     0,     0,     0,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3022,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,  1026,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,  1029,
       0,  1030,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1031,  1032,  1033,  1034,  1035,  1036,  1037,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,  1042,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1045,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,  3021,   340,   341,     0,   342,
    1049,   745,   344,   746,     0,   345,   346,   347,  1050,  1051,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,  1056,   370,   371,   372,   373,
     374,     0,   375,     0,   696,   376,   377,   378,     0,     0,
     379,   749,   750,   751,  1059,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1060,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1063,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1065,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,  1068,   467,  1069,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,  1072,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1074,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,   507,   508,   509,     0,
       0,     0,     0,     0,     0,   731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3022,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,  1026,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,  1029,     0,  1030,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1031,
    1032,  1033,  1034,  1035,  1036,  1037,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,  1042,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1045,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1049,   745,
     344,   746,     0,   345,   346,   347,  1050,  1051,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,  1056,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,  1059,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1060,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1063,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1065,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,  1068,   467,  1069,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    1072,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1074,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,   507,   508,   509,     0,     0,     0,
       0,     0,     0,   731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,  1026,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,  1029,     0,  1030,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1031,  1032,  1033,
    1034,  1035,  1036,  1037,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,  1042,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1045,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1049,   745,   344,   746,
       0,   345,   346,   347,  1050,  1051,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,  1056,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
    1059,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1060,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1063,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1065,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
    1068,   467,  1069,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  1072,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,   507,   508,   509,     0,     0,     0,     0,     0,
       0,   775,  1268,   564,     0,     0,     0,   615,     0,     0,
       0,  3558,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,  1510,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,  1511,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,  1512,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     0,     0,     0,     0,     0,     0,   775,
     627,  1269,  3958,     0,     0,     0,     0,     0,     0,  3959,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     3,     4,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,    38,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,    42,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   955,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,    47,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,     0,     0,     0,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4111,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,    38,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,    42,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   955,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,    47,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     0,     0,     0,
       0,     0,     0,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     0,     0,     0,     0,     0,
       0,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1138,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     0,     0,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2484,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,     0,     0,     0,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3521,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,  1371,  1268,   564,     0,     0,
     785,   615,     0,     0,     0,  3860,   208,   209,   210,   211,
     212,   213,   214,   215,  1713,   217,   218,   219,  1714,  1715,
    1716,  1717,  1718,  1719,  1720,   220,   221,  1721,   222,   223,
     732,   224,   225,   226,     0,  1372,   733,  1373,  1374,  1722,
     231,   232,   233,   234,   235,  1723,  1724,   236,   237,  1375,
    1376,   240,  1725,   241,   242,   243,   244,     0,  1726,   734,
    1727,   246,   247,   248,   249,   735,   250,   251,  1728,   252,
     253,   254,   255,   256,   257,  1729,   736,   258,   259,  1730,
    1731,  1732,   737,  1733,  1734,  1735,   260,   261,   262,   263,
     264,   265,  1377,  1378,   268,  1736,   269,  1737,   270,   271,
     272,   273,   274,  1738,   275,   276,   277,  1739,  1740,   278,
     279,  1040,   281,   282,  1741,   283,   284,   285,  1742,   286,
     287,   288,  1743,   289,   290,   291,   292,     0,   294,   295,
     296,     0,  1744,   298,  1745,   299,  1379,   301,  1746,   302,
    1747,   303,   738,  1748,   739,   304,   305,   306,  1749,   307,
       0,  1750,   309,  1751,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1752,   318,   319,   320,   321,   322,   323,
    1753,   324,   741,     0,   326,   327,   328,   329,  1380,  1381,
    1754,  1382,  1755,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,  1756,   340,   341,  1757,   342,     0,   745,
     344,   746,  1758,   345,   346,   347,  1759,  1760,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1383,   747,  1384,   363,   364,     0,  1761,   366,   367,
     748,   368,  1762,     0,   370,  1385,   372,   373,   374,  1763,
     375,  1764,  1765,  3245,   377,   378,  1766,  1767,     0,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
    1768,   388,     0,   390,     0,   392,   393,   394,  1769,   395,
     396,   397,   398,   399,   400,   401,   402,  1386,   404,   405,
     406,   407,  1770,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,  1771,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,  1772,
     432,   433,   434,   435,   436,  1773,   437,  1941,   439,   440,
     753,   441,  1388,   443,  1774,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,  1775,   455,   456,  1776,
     457,   458,   459,   460,   461,   462,  1777,  1389,  1390,  1778,
    1779,   465,     0,   467,     0,  1780,   469,   470,   471,   472,
     473,   474,   475,  1781,  1782,   476,   477,   478,   479,   480,
    1783,  1784,   481,   482,   483,   484,   485,     0,  1391,  1785,
     488,   754,   489,   490,   491,  1786,  1787,   492,  1788,  1789,
     493,   494,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509,     0,     0,     0,
     788,   789,   790,     0,  3246,  3247,   793,   794,   795,   796,
     207,     0,     0,     0,     0,   785,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   786,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   787,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   207,     0,     0,     0,     0,
     785,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   878,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   879,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     0,     0,     0,
     788,   789,   790,     0,   791,   792,   793,   794,   795,   796,
     207,     0,     0,     0,     0,   785,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   928,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   929,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   930,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   207,     0,     0,     0,     0,
     785,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,  1356,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,  1357,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     0,     0,     0,
     788,   789,   790,     0,   791,   792,   793,   794,   795,   796,
     207,     0,     0,     0,     0,   785,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   207,     0,     0,     0,     0,
     785,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,  2550,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,  2551,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     0,     0,     0,
     788,   789,   790,     0,   791,   792,   793,   794,   795,   796,
     207,     0,     0,     0,     0,   785,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,  4094,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,  1712,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   208,   209,   210,   211,   212,
     213,   214,   215,  1713,   217,   218,   219,  1714,  1715,  1716,
    1717,  1718,  1719,  1720,   220,   221,  1721,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,  1722,   231,
     232,   233,   234,   235,  1723,  1724,   236,   237,   238,   239,
     240,  1725,   241,   242,   243,   244,   245,  1726,   734,  1727,
     246,   247,   248,   249,   735,   250,   251,  1728,   252,   253,
     254,   255,   256,   257,  1729,   736,   258,   259,  1730,  1731,
    1732,   737,  1733,  1734,  1735,   260,   261,   262,   263,   264,
     265,   266,   267,   268,  1736,   269,  1737,   270,   271,   272,
     273,   274,  1738,   275,   276,   277,  1739,  1740,   278,   279,
     280,   281,   282,  1741,   283,   284,   285,  1742,   286,   287,
     288,  1743,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  1744,   298,  1745,   299,   300,   301,  1746,   302,  1747,
     303,   738,  1748,   739,   304,   305,   306,  1749,   307,   308,
    1750,   309,  1751,   310,   311,   312,   313,   314,   740,   315,
     316,   317,  1752,   318,   319,   320,   321,   322,   323,  1753,
     324,   741,   325,   326,   327,   328,   329,   330,   331,  1754,
     332,  1755,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,  1756,   340,   341,  1757,   342,   343,   745,   344,
     746,  1758,   345,   346,   347,  1759,  1760,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,  1761,   366,   367,   748,
     368,  1762,   369,   370,   371,   372,   373,   374,  1763,   375,
    1764,  1765,   376,   377,   378,  1766,  1767,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,  1768,
     388,   389,   390,   391,   392,   393,   394,  1769,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,  1770,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,  1771,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,  1772,   432,
     433,   434,   435,   436,  1773,   437,   438,   439,   440,   753,
     441,   442,   443,  1774,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1775,   455,   456,  1776,   457,
     458,   459,   460,   461,   462,  1777,   463,   464,  1778,  1779,
     465,   466,   467,   468,  1780,   469,   470,   471,   472,   473,
     474,   475,  1781,  1782,   476,   477,   478,   479,   480,  1783,
    1784,   481,   482,   483,   484,   485,   486,   487,  1785,   488,
     754,   489,   490,   491,  1786,  1787,   492,  1788,  1789,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,  1790,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
    1371,     0,     0,     0,     0,     0,     0,     0,     0,  4135,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
    1372,   733,  1373,  1374,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,  1375,  1376,   240,     0,   241,   242,
     243,   244,     0,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,  1377,  1378,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1040,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,     0,   294,   295,   296,     0,     0,   298,     0,
     299,  1379,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,     0,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,     0,   326,
     327,   328,   329,  1380,  1381,     0,  1382,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,     0,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1383,   747,  1384,   363,
     364,     0,     0,   366,   367,   748,   368,     0,     0,   370,
    1385,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,     0,   749,   750,   751,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   390,     0,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1386,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,  1387,   439,   440,   753,   441,  1388,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1389,  1390,     0,     0,   465,     0,   467,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,     0,  1391,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
       0,     0,  2093,     0,     0,     0,     0,     0,     0,   507,
     508,   509,     0,   208,   209,   210,   211,   212,   213,   214,
     215,  1848,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1372,   733,  1373,  1374,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,  1375,  1376,   240,     0,
     241,   242,   243,   244,     0,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,  1377,
    1378,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1040,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,     0,   294,   295,   296,     0,     0,
     298,     0,   299,  1379,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,     0,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
       0,   326,   327,   328,   329,  1380,  1381,     0,  1382,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,     0,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1383,   747,
    1384,   363,   364,     0,     0,   366,   367,   748,   368,     0,
       0,   370,  1385,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,     0,   749,   750,   751,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     390,     0,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1386,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,  1387,   439,   440,   753,   441,  1388,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1389,  1390,     0,     0,   465,     0,
     467,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1391,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,     0,     0,   775,  1268,   564,     0,     0,     0,
     615,   507,   508,   509,     0,   208,   209,   210,   211,   212,
     213,   214,   215,  1848,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,  1702,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  1510,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
    1511,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,  1512,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   775,  1268,   564,     0,
       0,     0,   615,   627,  1269,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,  1707,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,  1510,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,  1511,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,  1512,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   775,  1268,
     564,     0,     0,     0,   615,   627,  1269,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,  1510,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,  1511,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,  1512,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,   615,   627,  1269,     0,
       0,   208,   616,   210,   211,   212,   213,   214,   215,   617,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   618,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     619,   300,   301,     0,   302,     0,   620,     0,   621,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,   622,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   623,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   624,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   625,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     626,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,  1712,  4422,   564,     0,     0,     0,   615,   627,
     628,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,  1713,   217,   218,   219,  1714,  1715,  1716,  1717,  1718,
    1719,  1720,   220,   221,  1721,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,  1722,   231,   232,   233,
     234,   235,  1723,  1724,   236,   237,   238,   239,   240,  1725,
     241,   242,   243,   244,   245,  1726,   734,  1727,   246,   247,
     248,   249,   735,   250,   251,  1728,   252,   253,   254,   255,
     256,   257,  1729,   736,   258,   259,  1730,  1731,  1732,   737,
    1733,  1734,  1735,   260,   261,   262,   263,   264,   265,   266,
     267,   268,  1736,   269,  1737,   270,   271,   272,   273,   274,
    1738,   275,   276,   277,  1739,  1740,   278,   279,   280,   281,
     282,  1741,   283,   284,   285,  1742,   286,   287,   288,  1743,
     289,   290,   291,   292,   293,   294,   295,   296,   297,  1744,
     298,  1745,   299,   300,   301,  1746,   302,  1747,   303,   738,
    1748,   739,   304,   305,   306,  1749,   307,   308,  1750,   309,
    1751,   310,   311,   312,   313,   314,   740,   315,   316,   317,
    1752,   318,   319,   320,   321,   322,   323,  1753,   324,   741,
     325,   326,   327,   328,   329,   330,   331,  1754,   332,  1755,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
    1756,   340,   341,  1757,   342,   343,   745,   344,   746,  1758,
     345,   346,   347,  1759,  1760,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,  1761,   366,   367,   748,   368,  1762,
     369,   370,   371,   372,   373,   374,  1763,   375,  1764,  1765,
     376,   377,   378,  1766,  1767,   379,   749,   750,   751,   380,
     381,   382,   383,   384,   385,   386,   387,  1768,   388,   389,
     390,   391,   392,   393,   394,  1769,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,  1770,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,  1771,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,  1772,   432,   433,   434,
     435,   436,  1773,   437,   438,   439,   440,   753,   441,   442,
     443,  1774,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  1775,   455,   456,  1776,   457,   458,   459,
     460,   461,   462,  1777,   463,   464,  1778,  1779,   465,   466,
     467,   468,  1780,   469,   470,   471,   472,   473,   474,   475,
    1781,  1782,   476,   477,   478,   479,   480,  1783,  1784,   481,
     482,   483,   484,   485,   486,   487,  1785,   488,   754,   489,
     490,   491,  1786,  1787,   492,  1788,  1789,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,  1712,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,  1713,   217,   218,   219,  1714,  1715,  1716,
    1717,  1718,  1719,  1720,   220,   221,  1721,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,  1722,   231,
     232,   233,   234,   235,  1723,  1724,   236,   237,   238,   239,
     240,  1725,   241,   242,   243,   244,   245,  1726,   734,  1727,
     246,   247,   248,   249,   735,   250,   251,  1728,   252,   253,
     254,   255,   256,   257,  1729,   736,   258,   259,  1730,  1731,
    1732,   737,  1733,  1734,  1735,   260,   261,   262,   263,   264,
     265,   266,   267,   268,  1736,   269,  1737,   270,   271,   272,
     273,   274,  1738,   275,   276,   277,  1739,  1740,   278,   279,
     280,   281,   282,  1741,   283,   284,   285,  1742,   286,   287,
     288,  1743,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  1744,   298,  1745,   299,   300,   301,  1746,   302,  1747,
     303,   738,  1748,   739,   304,   305,   306,  1749,   307,   308,
    1750,   309,  1751,   310,   311,   312,   313,   314,   740,   315,
     316,   317,  1752,   318,   319,   320,   321,   322,   323,  1753,
     324,   741,   325,   326,   327,   328,   329,   330,   331,  1754,
     332,  1755,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,  1756,   340,   341,  1757,   342,   343,   745,   344,
     746,  1758,   345,   346,   347,  1759,  1760,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,  1761,   366,   367,   748,
     368,  1762,   369,   370,   371,   372,   373,   374,  1763,   375,
    1764,  1765,   376,   377,   378,  1766,  1767,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,  1768,
     388,   389,   390,   391,   392,   393,   394,  1769,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,  1770,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,  1771,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,  1772,   432,
     433,   434,   435,   436,  1773,   437,   438,   439,   440,   753,
     441,   442,   443,  1774,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1775,   455,   456,  1776,   457,
     458,   459,   460,   461,   462,  1777,   463,   464,  1778,  1779,
     465,   466,   467,   468,  1780,   469,   470,   471,   472,   473,
     474,   475,  1781,  1782,   476,   477,   478,   479,   480,  1783,
    1784,   481,   482,   483,   484,   485,   486,   487,  1785,   488,
     754,   489,   490,   491,  1786,  1787,   492,  1788,  1789,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,  1712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,  2615,   213,   214,   215,  1713,   217,   218,   219,  1714,
    1715,  1716,  1717,  1718,  1719,  1720,   220,   221,  1721,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
    1722,   231,   232,   233,   234,   235,  1723,  1724,   236,   237,
     238,   239,   240,  1725,   241,   242,   243,   244,   245,  1726,
     734,  1727,   246,   247,   248,   249,   735,   250,   251,  1728,
     252,   253,   254,   255,   256,   257,  1729,   736,   258,   259,
    1730,  1731,  1732,   737,  1733,  1734,  1735,   260,   261,   262,
     263,   264,   265,   266,   267,   268,  1736,   269,  1737,   270,
     271,   272,   273,   274,  1738,   275,   276,   277,  1739,  1740,
     278,   279,   280,  2616,   282,  1741,   283,   284,   285,  1742,
     286,   287,   288,  1743,   289,   290,   291,   292,   293,   294,
     295,   296,   297,  1744,   298,  1745,   299,   300,   301,  1746,
     302,  1747,   303,   738,  1748,   739,   304,   305,   306,  1749,
     307,   308,  1750,   309,  1751,   310,   311,   312,   313,   314,
     740,   315,   316,   317,  1752,   318,   319,   320,   321,   322,
     323,  1753,   324,   741,   325,   326,   327,   328,   329,   330,
     331,  1754,   332,  1755,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,  1756,   340,   341,  1757,   342,   343,
     745,   344,   746,  1758,   345,   346,   347,  1759,  1760,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,  1761,   366,
     367,   748,   368,  1762,   369,   370,   371,   372,   373,   374,
    1763,   375,  1764,  1765,   376,   377,   378,  1766,  1767,   379,
     749,   750,   751,   380,   381,   382,   383,   384,   385,   386,
     387,  1768,   388,   389,   390,   391,   392,   393,   394,  1769,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,  1770,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,  1771,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
    1772,   432,   433,   434,   435,   436,  1773,  2617,   438,   439,
     440,   753,   441,   442,   443,  1774,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1775,   455,   456,
    1776,   457,   458,   459,   460,   461,   462,  1777,   463,   464,
    1778,  1779,   465,   466,   467,   468,  1780,   469,   470,   471,
     472,   473,   474,   475,  1781,  1782,   476,   477,   478,   479,
     480,  1783,  1784,   481,   482,   483,   484,   485,   486,   487,
    1785,   488,   754,   489,   490,   491,  1786,  1787,   492,  1788,
    1789,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   775,     0,
     564,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,  1510,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,  1511,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,  1512,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     775,     0,   564,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
    1687,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,  2050,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,  2051,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   775,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     3,     4,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,   801,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   775,     0,
     564,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     775,     0,   564,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,  1500,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,   308,  2881,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   775,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   814,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     775,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   891,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   731,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   911,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   921,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,  1872,   241,   242,   243,   244,   245,     0,
       0,  1954,   246,   247,   248,   249,     0,   250,   251,  1873,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,  1955,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,  1875,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,  1876,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,  1877,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,  1872,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,  1873,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,  1955,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,  1875,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,  2781,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,  1876,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,  1877,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   666,   214,   215,   634,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
     635,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,   667,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   636,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   637,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,   634,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,   635,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,  2512,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   636,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   637,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,  1872,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,  1873,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,  1955,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,  1875,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,  1876,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,  1877,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,   634,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,   635,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   636,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     637,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,  1537,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,  1538,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,  1539,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,  1540,   303,     0,     0,     0,  1541,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,  1542,  1543,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,  1544,   428,   429,
     430,   431,     0,  1545,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1546,   457,  1547,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,  1548,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
     635,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   636,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   637,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     3,     4,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,  2599,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  2600,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,  2611,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,  2612,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,   556,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   557,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,   660,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   661,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   662,   464,     0,     0,   663,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,   690,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   691,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   692,   464,     0,     0,
     693,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,   696,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   808,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,   696,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,   904,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,  1113,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,  1124,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   677,   237,   238,   239,
    1125,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   680,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   681,   422,   423,
     424,   425,   426,   682,   428,   429,   430,   431,     0,   432,
     433,   434,   435,  1117,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   684,   464,     0,     0,
     685,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   686,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,  1223,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,   696,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
    2419,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,  2420,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  2421,   457,   458,  2422,   460,  2423,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
    2424,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,   564,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
    3492,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,  3506,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,  3713,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,  3715,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
    3717,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,  4097,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   649,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   658,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   677,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   678,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     679,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   680,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   681,   422,   423,   424,   425,   426,   682,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   683,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   684,   464,     0,     0,   685,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   686,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   708,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   781,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   805,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   816,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   869,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   883,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   916,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   923,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   933,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   935,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   937,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   939,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   942,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   944,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   945,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   948,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   677,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   680,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   681,   422,   423,   424,   425,
     426,   682,   428,   429,   430,   431,     0,   432,   433,   434,
     435,  1117,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   684,   464,     0,     0,   685,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   686,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,  1272,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,  1417,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,  1447,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,  1476,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,  1478,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,  1480,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,  1572,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,  1845,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,     0,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   677,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   680,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   681,   422,   423,   424,   425,   426,   682,
     428,   429,   430,   431,     0,   432,   433,   434,   435,  1117,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,  1863,   459,   460,   461,
     462,     0,   684,   464,     0,     0,   685,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   686,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   677,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   680,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   681,   422,   423,   424,   425,
     426,  1930,   428,   429,   430,   431,     0,   432,   433,   434,
     435,  1931,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   684,   464,     0,     0,  1932,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   686,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,  2190,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,  2523,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     677,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   680,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   681,   422,   423,   424,   425,   426,   682,   428,   429,
     430,   431,     0,   432,   433,   434,   435,  1931,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     684,   464,     0,     0,  1932,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   686,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
    1371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
    1372,   733,  1373,  1374,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,  1375,  1376,   240,     0,   241,   242,
     243,   244,     0,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,  1377,  1378,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1040,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,     0,   294,   295,   296,     0,     0,   298,     0,
     299,  1379,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,     0,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,  1938,   318,
     319,   320,   321,   322,   323,     0,   324,   741,  1939,   326,
     327,   328,   329,  1380,  1381,     0,  1382,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,     0,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1383,   747,  1384,   363,
     364,     0,     0,   366,   367,   748,   368,     0,     0,   370,
    1385,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,  1940,   749,   750,   751,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   390,     0,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1386,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,  1941,   439,   440,   753,   441,  1388,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1389,  1390,     0,     0,   465,     0,   467,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,     0,  1391,  1942,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
       0,   207,     0,     0,     0,     0,     0,     0,     0,   507,
     508,   509,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  2602,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  2604,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  2702,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,  1371,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,     0,  1372,   733,  1373,
    1374,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,  1375,  1376,   240,     0,   241,   242,   243,   244,     0,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,  1377,  1378,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1040,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,     0,
     294,   295,   296,     0,     0,   298,     0,   299,  1379,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,     0,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,     0,   326,   327,   328,   329,
    1380,  1381,     0,  1382,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
       0,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1383,   747,  1384,   363,   364,     0,     0,
     366,   367,   748,   368,  1926,     0,   370,  1385,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
       0,   749,   750,   751,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   390,     0,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1386,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,     0,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,  1941,
     439,   440,   753,   441,  1388,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   455,
     456,  3355,   457,   458,   459,   460,   461,   462,     0,  1389,
    1390,     0,     0,   465,     0,   467,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1391,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,     0,  1371,     0,
       0,     0,     0,     0,     0,     0,   507,   508,   509,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,     0,  1372,   733,
    1373,  1374,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,  1375,  1376,   240,     0,   241,   242,   243,   244,
       0,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,  1377,  1378,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1040,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
       0,   294,   295,   296,     0,     0,   298,     0,   299,  1379,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,     0,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,     0,   326,   327,   328,
     329,  1380,  1381,     0,  1382,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,     0,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1383,   747,  1384,   363,   364,  1993,
       0,   366,   367,   748,   368,     0,     0,   370,  1385,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,     0,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   390,     0,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1386,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
    1387,   439,   440,   753,   441,  1388,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1389,  1390,     0,     0,   465,     0,   467,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
       0,  1391,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,     0,  1371,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1372,
     733,  1373,  1374,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1375,  1376,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1377,  1378,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1040,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1379,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,     0,   326,   327,
     328,   329,  1380,  1381,     0,  1382,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1383,   747,  1384,   363,   364,
    3183,     0,   366,   367,   748,   368,     0,     0,   370,  1385,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,     0,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1386,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,  1387,   439,   440,   753,   441,  1388,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1389,  1390,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1391,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
     207,     0,     0,     0,     0,     0,     0,     0,   507,   508,
     509,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,     0,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
       0,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,     0,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,  1371,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1372,   733,  1373,  1374,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,  1375,  1376,   240,     0,
     241,   242,   243,   244,     0,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,  1377,
    1378,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1040,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,     0,   294,   295,   296,     0,     0,
     298,     0,   299,  1379,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,     0,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
       0,   326,   327,   328,   329,  1380,  1381,     0,  1382,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,     0,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1383,   747,
    1384,   363,   364,     0,     0,   366,   367,   748,   368,     0,
       0,   370,  1385,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,     0,   749,   750,   751,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     390,     0,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1386,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,  1387,   439,   440,   753,   441,  1388,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1389,  1390,     0,     0,   465,     0,
     467,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1391,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,     0,  1371,     0,     0,     0,     0,     0,     0,
       0,   507,   508,   509,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,     0,  1372,   733,  1373,  1374,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,  1375,  1376,   240,
       0,   241,   242,   243,   244,     0,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
    1377,  1378,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1040,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,     0,   294,   295,   296,     0,
       0,   298,     0,   299,  1379,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,     0,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,     0,   326,   327,   328,   329,  1380,  1381,     0,  1382,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,     0,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1383,
     747,  1384,   363,   364,     0,     0,   366,   367,   748,   368,
       0,     0,   370,  1385,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,     0,   749,   750,   751,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   390,     0,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1386,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,  1941,   439,   440,   753,   441,
    1388,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1389,  1390,     0,     0,   465,
       0,   467,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1391,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,     0,  1371,     0,     0,     0,     0,     0,
       0,     0,   507,   508,   509,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,     0,  1372,   733,  1373,  1374,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,  1375,  1376,
     240,     0,   241,   242,   243,   244,     0,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,  1377,  1378,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1040,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,     0,   294,   295,   296,
       0,     0,   298,     0,   299,  1379,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,     0,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,     0,   326,   327,   328,   329,  1380,  1381,     0,
    1382,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,     0,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1383,   747,  1384,   363,   364,     0,     0,   366,   367,   748,
     368,     0,     0,   370,  1385,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,     0,   749,   750,
     751,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   390,     0,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1386,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,     0,   439,   440,   753,
     441,  1388,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,     0,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1389,  1390,     0,     0,
     465,     0,   467,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,     0,  1391,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,     0,  1371,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   509,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,     0,   733,     0,     0,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,     0,
       0,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,     0,     0,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,     0,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,     0,   326,   327,   328,   329,     0,     0,
       0,     0,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,     0,   747,     0,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,     0,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,     0,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,     0,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,     0,   439,   440,
     753,   441,     0,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,     0,     0,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,     0,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,    48,   191,   537,
     177,    11,   725,   922,    24,   678,    21,    34,   169,   186,
      20,    26,    20,   565,   959,   730,  1209,     7,   802,  1142,
     635,   636,   637,   981,    14,   931,   641,    43,   756,    12,
     995,   815,  1643,  1541,   926,   824,   807,  1387,    48,    21,
     951,  1253,   861,   880,    26,   583,  1067,  1244,   565,  1009,
     685,   603,  1262,   890,  2565,  1992,  1249,  1344,  1144,    20,
    1612,  1038,  1039,  1404,  2842,  2274,    42,  2125,   528,  2434,
    2133,    22,  1244,  1196,  1626,  2615,   806,  2617,  1578,   809,
    1057,  2831,   866,    34,  1443,  1165,   870,   817,  2041,    17,
    2760,   875,  3054,   912,  1300,  1805,  1308,  2252,   882,  2430,
    2431,  1946,  1947,  1313,  1314,     0,  1192,   783,   892,  2484,
    2432,  3141,   156,  2742,   574,  3335,  2821,  3028,  2779,  2086,
     602,  3086,  1674,     0,   178,   179,     0,  3345,   182,   681,
     184,  2760,  3356,   171,   187,  3293,     0,     0,  3093,  1498,
     193,   171,     0,     0,     0,     0,     0,     0,   202,     0,
     203,     0,  2428,    39,  1196,  2367,  1446,  3022,  1236,  1249,
    3563,   171,   773,   722,   681,  3762,  3064,  1454,  3027,   722,
    1027,  1028,     5,     5,  1085,    44,  2959,    25,     5,     0,
       0,    13,     5,  2764,  2765,  2766,  2767,  2768,  2769,    51,
     815,  2128,    37,     5,  3893,     5,  1053,    31,    58,    51,
      79,  2477,   146,     0,    51,   103,     9,   187,    98,     0,
     151,   127,     9,   193,    22,    74,    18,  4027,    37,   108,
       0,    29,   198,   203,    16,    22,   938,     5,    35,   105,
     105,    58,    11,     5,     5,     0,    25,   949,     5,  3896,
     190,    13,   171,   134,   859,     5,    13,   160,    58,     5,
      96,   152,    96,   112,     5,  2567,    22,    36,   160,    64,
       0,     5,  2199,    29,  2201,    23,  4099,  4100,    22,     9,
     151,   154,     5,     5,   164,    29,    11,   245,  2490,   157,
       5,   245,    22,   959,  1407,    72,   159,    66,    76,   103,
     133,   278,    83,  3973,   105,   184,   133,   164,    68,   108,
     275,  3256,    32,     5,     9,    60,   844,    28,     9,   103,
       3,   120,     5,   324,   145,   103,     5,   306,   120,   194,
     233,   580,     5,  3980,    11,     5,   585,  4363,   255,     9,
     151,   151,   222,   359,   107,   225,   595,     3,     4,     5,
    1129,   133,   379,     9,   537,   262,   523,   310,  2936,   262,
     171,   171,     4,   418,   151,   222,   398,     9,  1086,     4,
     235,   310,    68,   432,     9,   156,   435,   283,   433,  1390,
      76,   151,  2960,   399,   171,   417,   131,     0,   295,    66,
       4,   111,   295,  1111,   359,     9,   151,   314,    35,   378,
     583,   171,   569,   148,   431,   947,  1904,    66,   361,  4435,
    1377,  1378,   579,    11,   263,    98,   171,   959,  1385,   284,
    3568,   151,   361,   134,   103,  4012,    26,    27,   191,    76,
     103,   300,   433,   103,   399,   315,   240,   185,    36,   240,
     947,   171,    11,   306,  1353,  4092,   319,   103,    68,   301,
     271,   235,    68,   248,   431,  4102,    76,   235,   315,   301,
     298,  1127,  1358,    68,   301,    68,  1132,  1133,    66,  4139,
      83,  1013,   310,   431,   273,   348,  2778,   431,   151,     8,
     383,   164,   526,   198,    68,   364,   530,   321,    22,   961,
    4313,   383,   535,   326,   367,   435,   539,   431,   377,   326,
     431,  1577,   351,   547,  1224,  3165,  1013,   550,   518,  3080,
     151,   347,   393,  2333,  2334,   381,   435,   240,  2338,   298,
      11,   302,  1296,   361,  1298,   431,   308,    11,  1375,  1376,
     418,   276,   412,   189,   332,  1648,  4225,  1384,  1347,   222,
     431,  1368,   225,   156,   326,  1306,  3165,   344,   357,   384,
     150,   431,   152,  1273,  3764,   565,   566,   213,  2378,  2379,
    1226,  1637,   603,  1342,   435,   535,   435,   435,  1234,   539,
     435,   388,   431,   607,   725,  3315,   332,   338,   339,  3727,
     550,   431,  1124,   435,  1532,   377,   388,  3488,   332,  2516,
    1132,  1133,   369,   435,  1175,   565,  4396,   357,   435,   517,
      96,  1941,   602,   603,   602,  1681,   429,   431,   431,   431,
     433,   616,  3557,   618,   431,   620,   397,  1124,   431,  1950,
    1502,   626,  1288,   434,   434,  1291,  1292,   372,   601,   431,
    3778,   431,   315,   603,  1183,   422,   423,   430,  3487,   649,
    1183,  3496,  1243,  3416,   616,  3500,   618,   434,   620,  3344,
     630,   432,   603,   434,   626,   627,   628,  1539,   427,  3547,
     670,   844,   829,   431,   434,  1280,  1548,   677,  1283,   431,
     680,   681,   682,   840,   431,  1576,   398,  1578,  3329,   434,
     646,   431,  3037,   932,   357,   431,   714,  1588,  1354,   302,
     431,  1592,   422,   423,   714,   417,  4283,   431,  4091,  1600,
    1601,   192,   427,  3274,   434,   134,   398,   344,   192,   431,
     357,   681,  1613,  1614,   714,  1917,   716,   716,   716,   716,
     716,   716,   251,  1624,   151,   417,  2006,   422,   423,   412,
    3042,   422,   423,   900,   700,   269,   431,   357,   987,   431,
    3888,   357,   786,   787,  1857,   418,  2799,  3895,   997,  2584,
    1278,  2586,   357,   704,   357,  3021,  3022,  1604,  1605,  1946,
     433,  1010,  1464,   729,  4351,  2722,   422,   423,  2725,  2726,
     429,  1473,  2729,   357,   433,  1477,     8,    42,  2735,    11,
    4020,  1483,  1484,   397,   397,    18,  1988,   422,   423,   389,
       8,  2333,  2334,    11,   435,    98,  2338,     5,    22,  1501,
    2727,  2728,  4010,   679,   122,    96,   772,   683,   422,   423,
      51,   783,   151,   857,   151,  3860,   350,  3862,   352,   432,
       5,   434,    18,   108,  3090,  1857,   424,   425,   426,   427,
     154,   716,   110,   108,   878,   879,  2378,  2379,    74,    30,
      96,   108,  2443,    74,   288,  1450,    70,   103,   245,   716,
     160,   347,   716,    77,   898,   424,   425,   426,   427,   153,
      18,   164,   716,   716,  1977,  3366,  3068,  1935,   716,   716,
     716,   716,   716,   716,  1954,   716,   112,   716,   763,    74,
     104,   112,  1545,  1546,   928,   929,   248,   120,   317,   418,
     419,   420,   249,   422,   423,   424,   425,   426,   427,   184,
       5,   153,   167,    97,     5,   308,   171,  2742,    96,   184,
      83,  1160,   103,   255,    96,  2001,  1634,   112,   347,   222,
     255,    34,   225,   233,   120,  2760,   233,   250,   389,   308,
     815,   422,   423,   424,   425,   426,   427,   947,   422,   423,
     424,   425,   426,   427,   209,   146,  3847,   391,   379,   959,
     249,   175,    18,   171,  1482,   310,   385,   251,    24,   357,
     192,   961,   120,   961,  4174,   107,    22,  1509,   397,  2055,
    2166,   151,  4180,   103,   192,   312,  4190,   947,    74,   235,
     174,   143,   992,   156,   964,   903,   966,   959,   968,   959,
     970,  2178,   972,   973,   974,   319,  3851,    51,   377,   979,
     431,  3856,   431,  1013,  3859,  2840,   361,  2120,   435,    52,
    3778,     5,   315,  3753,   153,   151,   112,    60,   357,   251,
    1470,  1021,   130,   233,   348,   347,  4071,   263,   431,   262,
    3975,  1612,   263,   251,   431,   171,  1508,   435,   261,    44,
     255,  1041,   317,  1013,  1085,  1626,   340,    20,    96,   191,
     258,   196,  4292,   390,   120,   240,   347,   170,   310,   115,
     301,  3756,   295,   328,     3,  3595,   103,    40,   263,   431,
     232,  1071,   429,   383,  4284,   393,   433,  1087,   401,   418,
     188,   337,  1610,     8,   340,  1085,    11,  1097,   233,    94,
     432,   324,   377,   435,   433,  1278,   297,  1107,  1800,   295,
     435,   379,   377,    28,   262,   235,   413,   236,   237,   412,
     377,   171,   251,   365,  1124,   351,   340,  1127,  1128,  1153,
     351,  2941,  1132,  1133,  2944,  2945,  2946,  2947,  2948,  2949,
    2950,  2951,  2952,  2953,  4089,   240,    75,   295,    22,   240,
    1168,  1169,  4350,  1171,  2111,  4293,  4354,   255,  1168,  1169,
     235,  1171,   346,   347,  1124,  1127,   351,  4177,  4103,   347,
    1132,  1133,  1132,  1133,  3519,   347,   324,   263,  1168,  1169,
     213,  1171,  1142,   383,  3529,   431,  1839,   357,   183,   233,
    3545,   326,   312,  3003,  3004,   233,   125,  4395,   317,  3510,
     422,   423,   424,   425,   426,   427,   262,   282,    11,   152,
     418,   419,   420,  3515,   422,   423,   424,   425,   426,   427,
    2037,   142,   185,  4068,  1258,  3527,    95,   432,   347,  1185,
     435,   153,   142,    36,   382,  1474,  1196,   418,   233,   295,
    3496,   115,   377,  1953,  3500,   295,  1485,   176,   429,   299,
     431,   432,   433,   105,   435,  2358,   220,   301,  1497,   181,
    2581,  2364,  3397,    66,  1226,   351,   385,  2588,   324,    18,
    3920,   222,  1234,   371,   324,    24,     5,   192,   397,     5,
     324,  1315,  1316,  1317,  1318,  3232,   262,  4229,  4230,   210,
     317,  3238,  3239,  2192,   120,  1328,  2006,  4232,   357,  1538,
     210,    57,    58,  1542,  1304,  1544,  1463,  1269,  1547,  1482,
     197,  3920,   431,  1221,    60,  1472,  2202,  2027,   313,   295,
     347,   264,  1356,  1357,  2196,   317,  1288,  2091,  1362,  1291,
    1292,  2148,  2149,  2150,  2151,   397,   251,   247,   267,   113,
    3165,   192,   194,  2160,   297,   155,  2056,   397,   324,   123,
    3991,  1307,   221,  2009,   223,   347,  3997,   103,   385,     8,
     196,  2017,    11,  2019,   315,   105,  1366,   115,  1328,   117,
     397,   120,  1406,   435,   103,     8,   435,   103,    11,    28,
    4315,   160,   275,   235,  1541,  3075,   329,  2186,  1906,   192,
    2878,  2451,  1354,   385,  1427,  3328,   431,   233,   249,  1433,
    1434,  1435,  1436,   213,   431,  1280,  2583,   262,  1283,  2941,
    1443,  2302,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,
    2952,  2953,  1862,   359,   262,     8,   397,   253,    11,  1429,
    4372,  2583,   284,     0,  2914,  4165,   146,  1610,   178,   431,
     295,   370,  2974,   299,   397,    28,   156,  1407,   284,   378,
      95,    83,   381,  1487,   233,   431,  3373,   295,  3375,   142,
    2351,   171,  1496,   146,   435,  1498,   359,  1427,   324,  1503,
     102,  3003,  3004,   299,   253,   115,  3286,   117,  2664,   331,
    4415,  2673,   435,  1443,    75,    84,   324,   235,   262,   235,
     326,  2382,    11,   233,   240,   235,   132,   245,   324,  2191,
     397,   398,   134,   418,   419,   420,   399,   422,   423,   424,
     425,   426,   427,   262,   379,  2207,  2208,    36,  1508,  2211,
    1508,   295,  3867,  3868,   262,  2217,  2417,   210,  2867,   106,
     276,   176,   350,   124,   352,  4293,   172,  4028,  1498,    60,
     350,   377,   352,   192,   290,    18,   295,    66,  1518,  1509,
    1520,    24,  1522,   152,  1524,    76,  1526,   295,  1998,   192,
    1530,  4291,  1569,   105,   247,   375,   431,    78,  1509,  1559,
    1559,  1559,  1559,  1559,  1559,   324,   221,   262,   223,  2174,
     284,   180,   435,  2521,  2276,   249,   324,  4107,  2244,   106,
     254,   168,   296,    38,   304,  3851,   195,  1597,  1554,   350,
    3856,   352,   251,  3859,   383,   245,   117,  3796,   207,   192,
     131,   202,   203,    84,    59,   152,   320,  1651,   251,   422,
     423,   424,   425,   426,   427,   216,   372,   148,  1590,  1591,
     106,   230,  2589,  3889,  3917,  2825,  1598,  1568,  2828,   324,
    1602,  1603,   317,   180,   142,   146,   434,   120,   146,  2181,
     249,   168,   194,  3463,  3464,  1617,  2759,  1619,   195,   291,
     278,  3578,  3579,  1653,  3947,   166,  2552,  1575,   251,   244,
     207,   262,   347,   192,   193,    26,    27,   361,  1640,  3270,
    1642,   152,    11,  2215,  2181,   317,   130,   314,  1648,   115,
     262,   117,   168,   235,  3883,  1695,  3885,  3735,   142,   283,
     391,  3744,   146,  4344,  4195,   397,   305,    36,   198,   180,
     385,   308,   210,  1952,   140,   347,   295,  3755,  2215,   238,
     299,   295,   397,   295,   195,   309,     8,  3674,  3675,    11,
     430,   432,    83,  1906,   435,   435,   207,    66,  4083,   336,
    1897,  2540,   284,   435,   188,   324,    28,  1904,   357,   247,
     324,   102,   324,   385,  3286,   276,   431,   105,   349,   230,
     351,   146,  2333,  2334,  4020,   397,   210,  2338,   305,   418,
     419,   420,   288,   422,   423,   424,   425,   426,   427,   431,
     379,   166,  1425,   134,    20,   418,   419,   420,  2444,   422,
     423,   424,   425,   426,   427,   295,   253,  3118,   146,   431,
     361,  1444,   318,   247,    40,   262,    33,  2378,  2379,   235,
     312,   255,  4068,    40,   240,   262,   430,  2568,   397,   245,
    1853,   435,   361,  1818,   324,  1858,  2441,  3094,  1861,   429,
     178,   347,  2524,   433,   305,   418,   419,   420,   295,   422,
     423,   424,   425,   426,   427,  2596,    49,   349,   295,   398,
    1883,   372,   299,   312,  1844,  1844,  1818,   155,   297,  2569,
    1867,  1802,  1869,   312,   314,  1899,  1900,  1901,   417,   398,
    3461,  2809,   174,  2976,  1908,   391,  1910,   324,  1912,  1913,
    2818,  2399,   431,   220,   288,   233,    80,   235,   417,   249,
     349,  1924,    95,  1853,   254,   397,   398,  1857,  1858,   220,
     349,  1861,   431,   422,   423,   424,   425,   426,   427,   312,
     192,  2603,  2444,  2605,   318,   213,    73,  2983,  1951,  2751,
    2752,  2753,   220,  1883,   262,  2635,    31,   371,   166,   431,
    1930,  3463,  3464,   390,  3126,   262,   361,   363,   397,   398,
     291,     8,  1975,   347,    11,    50,   349,   373,   397,   398,
     397,   426,   432,  3143,  3144,   435,   431,   295,   433,  2899,
    1916,   299,  2963,  2964,  1924,    48,   317,  2000,   295,   251,
     173,  2004,   431,   429,    21,   431,  3168,    82,   349,    26,
     391,  2015,   431,   115,   314,   117,   324,   391,   429,  2022,
     431,  1951,   433,   155,   397,   398,   347,   324,  3808,  2032,
     431,  2240,   433,  3950,   431,  2697,  2538,  2906,   140,  2773,
    3076,  2703,  2045,   432,  1974,  1975,   435,  1977,   221,   432,
     223,  2054,   435,   198,  3834,  3835,   397,   398,   431,   312,
     233,   312,   432,   138,   385,   435,  4292,  2071,   389,   432,
    2000,  2538,   435,     9,  2004,  2079,   397,  2009,   308,   309,
    2084,   213,   350,   431,   352,  2017,  3001,  2019,   261,   249,
     431,  3164,  2022,  3166,   169,  3684,   349,  3686,   349,     5,
     312,  3690,  2032,  3692,    10,  3992,   426,   375,  2078,  2970,
     431,   431,    18,   433,   431,  2045,  2086,  3797,  3798,  3799,
    3800,   397,   398,   198,  2054,  3920,   435,   300,   432,    35,
     205,   435,    48,  2350,  2903,  2352,  2353,   349,   240,   432,
     308,   309,   435,   245,   397,   398,   397,   398,   391,   432,
     312,  2278,   435,  4312,    38,   192,   288,  2284,  3458,   414,
     235,   432,   335,   194,   435,  2169,   418,   419,   420,  3242,
     422,   423,   424,   425,   426,   427,  2108,  2147,   431,   312,
     431,   415,   416,  3091,  3092,   397,   398,   349,  2850,   433,
    2120,  3334,  2854,  2855,  2198,  2857,  2200,  2859,  2860,   249,
     432,  2134,  3349,   435,   252,  2175,  2868,  3134,  2168,  2168,
     432,  2181,   432,   435,   251,   435,   349,   252,   350,   431,
     352,   357,   432,   432,   299,   435,   435,  4022,   303,   350,
     432,   352,  2797,   435,   309,   397,   398,   432,  2900,     8,
     435,   316,    11,   375,   431,  2215,   433,     3,   146,   324,
     432,  2181,   249,   435,   432,   312,  2399,   435,   333,   391,
     414,   363,  4042,    19,   397,   398,   341,    36,   350,   431,
     352,   373,  2774,    42,  2776,   432,   432,   432,   435,   435,
     435,  2907,   252,   432,   432,  2215,   435,   435,  1000,  1001,
     432,  2295,   349,   435,   432,    38,   434,    66,   431,  2508,
    2509,  2428,  2511,   397,   398,  3044,  3808,  2774,     8,  2776,
     414,    11,  2244,  3874,   194,  3817,    76,   392,  2461,    75,
    2250,   396,   397,   432,   432,   434,  2437,   435,    28,   424,
     150,   432,  3834,  3835,   435,   432,    36,  2839,   435,   435,
     397,   398,    42,   432,  2274,   431,   435,   432,    60,   432,
    2477,   432,   435,  3031,    66,   432,    48,  1628,   435,   128,
    1631,  3034,  3035,   130,    76,   432,    66,   432,   435,   125,
     435,   863,  2839,   432,   431,   142,   435,   432,   151,   146,
     435,  2382,   419,   420,   190,   422,   423,   424,   425,   426,
     427,   103,   431,   105,   432,   155,   432,   435,   167,   435,
    2941,   433,   171,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,   432,   174,   171,   435,   719,   400,   721,
     176,   188,  2382,   192,   193,   135,   432,   432,  2358,   435,
     435,   433,   432,  2974,  2364,   435,  2396,   324,   432,   432,
     209,   435,   435,   210,   432,   432,  2655,   435,   435,   432,
     237,   432,   435,   213,   435,  2415,  2422,  2423,  2424,   431,
     171,   432,  3003,  3004,   435,    31,   178,   167,  2428,   238,
     432,   171,   431,   435,  2444,  3511,   135,   249,   432,  2480,
     247,   435,   251,   432,    50,  3501,   435,  3503,   255,   135,
    2493,   249,   192,   193,   254,   146,   135,  2457,  2457,  2457,
    2457,  2457,  2457,   995,  3225,   432,  3542,   208,   435,   209,
    2442,   267,  2444,  3971,  2444,   432,    82,  2477,   435,   432,
    2480,   432,   435,   235,   435,   105,   379,   249,   240,   431,
     317,   432,  2535,   432,   435,   235,   435,   361,   238,   432,
    4042,   432,   435,  2547,   435,  2549,  2550,  2551,   244,   432,
     306,   251,   435,   432,  3469,   432,   435,   391,   435,   328,
     347,   314,   432,  2493,   276,   435,   198,   281,  2538,   431,
      60,  3358,   138,    31,   397,   235,   431,   235,   290,  2788,
     366,  2790,   400,    38,  3445,    38,   262,   146,   391,   345,
     350,   391,   352,    73,   279,   135,   135,   135,   385,  2742,
     431,   361,   400,   169,   371,  2535,   135,   135,  2538,   435,
     397,   135,   372,   135,   370,   375,   135,  2760,     8,   249,
     135,    11,   378,   135,   135,   381,   249,   135,   328,    44,
    3777,  2634,   198,   135,   347,   431,    31,   147,   208,   205,
     146,   146,  2645,   249,   431,   432,    36,   434,   431,     5,
       5,  2621,    42,   422,   423,   424,   425,   426,   427,   146,
     372,   431,   429,   431,   272,   432,   433,  2876,   431,   235,
      85,     5,   431,     5,   431,   259,    66,   431,     8,   431,
     431,    11,   431,  2653,   431,  2615,  2616,  2617,     5,  2898,
     431,   431,   431,   431,   109,   431,     5,   431,  1190,   431,
     431,   431,   431,   431,  2634,   431,    36,   431,  3370,   124,
     431,   431,    42,   128,  2717,  2645,  3378,  3379,   418,   419,
     420,    50,   422,   423,   424,   425,   426,   427,   431,   435,
    2700,    31,   147,   299,    86,   150,    66,   303,   208,    31,
     146,   146,   324,   309,   247,  3286,   245,   162,   357,   312,
     316,  2878,  2722,    82,   357,  2725,  2726,   357,   324,  2729,
     433,   357,  3388,   312,   357,  2735,   357,   333,   357,    76,
     135,   312,  2742,   249,   205,   341,   357,   167,   357,   316,
     240,   171,   357,   378,  1276,    68,  3681,  2717,   249,   176,
    2760,   245,   357,   431,   431,   357,    76,   262,   135,   435,
      97,   379,   192,   193,  2774,   379,  2776,   357,    48,   138,
    2742,   357,   357,    48,   357,   253,    37,  2749,  2750,   209,
      37,   357,  2754,   357,   357,   240,   392,   357,  2760,  2759,
     396,   357,   357,   248,  3742,   312,   435,   167,   249,   357,
     169,   171,  2812,   400,  2774,   235,  2776,   249,   238,   192,
     397,    31,    30,   388,   431,   431,  1348,  2861,   431,  2791,
    2864,   251,   192,   193,  2867,  4008,    20,   282,  2838,  2839,
    2830,  2830,   249,   135,   235,  1367,   205,   431,  2881,   209,
     103,   379,   135,   390,  3957,  3563,   245,   235,   216,  2849,
    2849,    31,   146,    31,  3021,  3022,   198,  3812,  2901,   431,
     313,   135,   135,   135,   379,  2909,   235,   379,   238,  2839,
     135,   135,  3574,   244,   357,   239,   397,   431,   431,   393,
    1412,   251,  3463,  3464,   151,   355,   414,    11,   227,   227,
     324,   435,   355,   262,   431,   431,   357,  2867,   328,   151,
     359,   435,   431,  3605,  3606,   165,   432,   165,   326,   188,
     435,  2881,   196,   435,   250,   379,   357,   357,   312,   432,
      75,   312,   431,  3090,   240,   379,   295,   196,   196,   240,
     299,  2901,   357,   357,   303,  2907,   357,  1469,   361,   431,
     309,   391,   198,   240,     0,   249,    38,   316,   314,   331,
     256,   357,   248,   435,   357,   324,   312,   166,   328,   321,
     295,   295,   284,  3864,   333,  3667,  3668,   357,   357,   192,
    3011,    31,   341,   192,   418,   192,   192,  2987,   192,   379,
      30,  3022,  3165,   431,   357,   418,   379,   135,   418,   419,
     420,   429,   422,   423,   424,   425,   426,   427,   248,   357,
     429,   146,   357,   357,  4191,  3533,  2976,  3013,  3014,  3015,
    3016,  3011,   391,   148,   245,  3681,   431,   431,   321,  3967,
     135,  3021,  3022,   392,  3959,    31,   163,    83,   249,   163,
     397,  3041,   146,    31,   249,   135,   618,   619,   620,   249,
     321,   623,   624,   625,   249,   146,   171,   400,   418,   419,
     420,   633,   422,   423,   424,   425,   426,   427,   171,   171,
    3309,  3310,    19,   157,   224,   249,    48,   244,  3112,  3113,
    3114,  3115,   435,   361,   130,   435,   435,   347,  3121,   391,
    3782,   198,  3784,  3785,   432,   151,   142,   432,  4043,   432,
     146,   432,   266,  3795,   151,   151,   414,   258,   357,   432,
     156,   432,   432,   159,   432,   161,   432,   432,   435,   414,
      13,   432,   394,   432,  1646,   432,    13,   432,   432,   432,
     302,   431,   431,  3728,   377,   210,   418,   249,   394,   252,
     385,   249,   188,   431,  3383,  3384,  3385,   174,   135,  3681,
     431,   182,   240,   253,   357,   357,  4047,   135,   135,   400,
     357,  3121,   210,   357,   210,  3165,  4111,   357,   267,   267,
    4115,  4116,  3205,   218,   357,  3208,   357,   357,   376,   218,
     218,   357,   357,   312,  3879,   324,   357,   135,  3188,   312,
    3954,  3191,  3187,  3193,   357,   357,  4134,   357,   357,   235,
    3160,   247,   312,  3165,  3164,   357,  3166,    37,   357,   255,
     192,   312,   192,  4112,   431,     3,   192,   429,   432,   315,
     225,   210,   418,   366,    38,  3187,   297,  4113,    96,   248,
      31,   432,  3232,   249,    21,   357,   160,  3808,  3238,  3239,
     432,  3241,   435,   432,   435,  3205,  3817,  4119,  3208,  4121,
    3284,   379,   431,   379,   432,   312,   302,   312,   312,   252,
     133,   133,   435,  3834,  3835,    96,   192,    54,   429,   126,
     151,    11,   146,   390,   432,   432,  3276,  3277,  3278,  3279,
      67,    58,  3242,  3316,  3246,  3247,    22,    23,   432,   151,
    4393,    27,   432,    80,   431,  3257,    32,    33,    34,   432,
      36,   347,   146,    39,    40,   435,    42,   159,    44,   250,
     431,    31,   432,   432,  3276,   379,   432,   379,    18,   182,
     357,   432,   431,   366,    24,   371,   312,   357,  4219,   357,
    4255,   118,   366,   357,   431,   357,   357,  4440,   312,  3496,
     432,   146,   129,  3500,  4036,  4448,  3346,   432,   394,   432,
     396,   397,    66,  3343,  3343,   135,  3316,    96,  4011,   366,
    3533,   148,   432,   192,    64,   192,   153,   430,   196,   430,
     280,   431,  3890,   432,   397,   321,   146,   435,   431,  4082,
     431,   177,   400,   429,    71,   349,   432,   433,   434,   431,
     962,   432,   357,   965,   321,   967,   156,   969,  4090,   971,
     435,   151,   435,   975,   151,  3405,  3645,  3646,   192,  3648,
     192,  3929,   432,   113,   192,   432,   192,   431,   289,   432,
     120,    48,   395,   123,   395,   435,  3388,  3959,   432,   432,
     431,  3391,  4124,   220,   195,   257,  1958,   195,    48,   431,
     161,   177,   178,   179,   180,   245,   182,   432,   184,   432,
     186,   435,   188,   357,   151,   191,     0,   418,   397,    66,
     196,   176,   198,   366,   251,   240,   202,   240,   204,   418,
     135,  4042,   435,   435,   357,   192,   176,   430,  4377,   153,
     151,   379,   171,   379,    31,   121,     8,   393,   397,    11,
     397,   431,   279,   151,   431,   179,   252,   151,   431,   431,
     289,   334,   384,   432,   432,   195,  3496,   396,   431,   431,
    3500,   265,   432,   432,    36,   249,   290,   432,   357,   357,
      42,   397,   146,   431,   110,   312,   431,   240,    31,   240,
    3530,   318,   174,   233,   321,   235,   219,   431,   280,    83,
     431,   134,   432,   431,    66,   245,    31,   432,  3555,   253,
    3540,  3540,   309,   253,  3549,    48,   309,    48,   379,   255,
     347,   431,   262,   233,   431,     5,   353,   249,   349,   321,
     141,   432,   280,  3730,    60,   252,    60,  2099,   116,   366,
     383,   435,  3615,   289,    31,   384,   130,  3549,   151,   287,
     394,   146,   121,   176,  3627,   295,   249,   249,   142,   299,
     397,    31,   146,    31,   391,   431,  3601,   151,   252,   252,
      48,   431,   156,  3647,   432,   159,   431,   161,   108,   432,
     308,   432,   377,     5,   324,   431,    17,  3661,   308,    28,
     134,   280,     0,   431,  1331,  3595,  4231,   716,  2132,  3601,
     776,  1133,  2444,  1984,   188,   167,   802,  2596,  3164,   171,
    2049,  2740,  3241,  4126,  3957,  3615,  3618,  3619,  4255,  4004,
    3307,  3623,  3624,  3721,  3664,  3665,   210,  3627,  4008,  3990,
     192,   193,  2515,  2232,  3674,  3675,  4319,  3889,  4376,  4371,
    4269,  3681,   382,  4268,  4335,  3685,  4175,   209,  2519,  2123,
    3299,  2123,  3160,  2616,  3851,  1430,  2117,  2811,  4381,  3856,
    4448,  4440,  3859,   247,  3985,  2759,  4346,  2744,  3703,  4227,
    3931,   255,  1420,  4243,  4327,    83,   238,  3890,  3934,  3681,
    3754,  3681,  3863,  4255,    26,  3391,  4088,   988,  3347,   251,
    4191,  1947,  3889,  3349,   566,  2701,  4359,  4442,   695,  4166,
    2262,  3703,  1802,  2457,  1803,  3332,  1509,  3920,  3541,  1840,
    3750,  3073,   708,  1159,  1842,  2458,  3929,  1178,   302,  1177,
    2469,  2485,   130,  3022,  1841,  2464,  2477,  3488,  1180,  3502,
    4069,  3928,  3021,  2098,   142,   700,  3776,  2986,   146,  3074,
     516,  4045,  1185,   151,  2978,   521,  4306,   523,   156,  4310,
     526,   159,   528,   161,   530,  4307,  2461,  3797,  3798,  3799,
    3800,   537,  2396,   347,   540,  2304,   328,  2394,  3069,  1677,
      -1,   547,    -1,    -1,  3971,    -1,    -1,    -1,    -1,    -1,
     188,    -1,  4061,    -1,    -1,    -1,    -1,   371,    -1,    -1,
      -1,    -1,  4071,   569,    -1,    -1,  3796,    -1,   574,    -1,
      -1,    -1,   210,   579,    -1,    -1,    -1,   583,    -1,    -1,
     394,    -1,   396,   397,    -1,    -1,    -1,  3891,  3892,  3893,
      -1,  3851,   598,  4020,    -1,    -1,  3856,    -1,    -1,  3859,
      -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,   247,
      -1,    -1,    -1,    -1,  4123,   429,    -1,   255,   432,   433,
     434,    -1,    -1,    -1,    -1,    -1,     8,   419,   420,    11,
     422,   423,   424,   425,   426,   427,  3876,    -1,    -1,    -1,
     646,  4068,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
    3920,   657,   658,  3883,    36,  3885,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
     676,    -1,   678,   679,    -1,    -1,    -1,   683,    -1,    -1,
    3950,    -1,    -1,    -1,    66,    -1,    -1,    -1,  3920,  3959,
     696,    -1,    -1,  3963,   700,  3965,    -1,   113,  3968,  3969,
     706,  4210,    -1,    -1,   120,    -1,    -1,   123,    -1,   347,
      -1,   717,    -1,    -1,    -1,  4019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   729,    -1,  4152,    -1,  3957,    -1,  3959,
      -1,    -1,    -1,   371,  3994,  3994,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,  2541,
      -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,   396,   397,
     176,    -1,    -1,    -1,    -1,    -1,   772,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   784,    -1,
     786,   787,    -1,    -1,  4227,   167,    -1,    -1,    -1,   171,
      -1,   429,    -1,  4097,   432,   433,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4068,    -1,
     192,   193,    -1,    -1,    -1,    -1,  4120,   233,  4122,   235,
      -1,    -1,    -1,   829,    -1,    -1,    -1,   209,    -1,   245,
      -1,    -1,    -1,    -1,   840,    -1,    -1,   253,   844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,
    2642,   857,  2644,    -1,  4281,    -1,   238,  4127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4292,   872,    -1,     8,   251,
      -1,    11,   878,   879,    -1,    -1,    -1,  4107,    -1,   295,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,   894,   895,
     896,    -1,   898,    -1,   900,  4322,    36,    -1,    -1,    -1,
      -1,     8,    42,    -1,    11,    -1,  2698,    -1,   324,    -1,
      -1,    -1,    -1,  4173,  4173,    -1,    -1,    -1,    -1,    -1,
     926,  4225,   928,   929,    -1,    -1,    66,    -1,    -1,    36,
      -1,  2723,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    31,    -1,   951,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    50,    -1,    -1,    -1,   382,    -1,    -1,    -1,
      -1,     8,  4276,    -1,    11,   981,   982,    -1,    -1,    -1,
     986,    -1,   988,    -1,    -1,  4255,    -1,    -1,   128,    -1,
      -1,    28,   998,    -1,    82,    -1,    -1,    -1,    -1,    36,
    1006,    -1,    -1,  1009,    -1,    42,  1012,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,    -1,  1025,
      -1,    -1,    -1,    -1,    -1,  4255,  4330,   167,    -1,    66,
      -1,   171,  2824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,  1054,    -1,
     138,    -1,   192,   193,    -1,    -1,    -1,    -1,    -1,  2851,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,  4378,    -1,  1082,  1083,    -1,  1085,
      -1,   169,  4312,    -1,    -1,   192,   193,  4347,  4347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1102,  4398,   238,  4359,
    4359,  4359,  4359,  4359,  4359,    -1,    -1,    -1,    -1,    -1,
     198,   251,    -1,    -1,    -1,    -1,    -1,   205,    50,    -1,
      -1,    -1,    -1,  4393,    -1,    -1,    -1,    -1,  2920,    -1,
     167,   238,  1138,    -1,   171,  1141,    -1,    -1,  4398,  4398,
    4398,  4398,  4398,  4398,   251,    -1,    -1,   235,  2940,    -1,
      82,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,
      -1,  4393,    -1,  4393,  1170,    -1,    -1,    -1,  1174,  1175,
    4440,    -1,   209,  2965,    -1,    -1,    -1,    -1,  4448,  1185,
    1186,  1187,  4442,  4442,  4442,  4442,  4442,  4442,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1203,   235,    -1,
      -1,   238,    -1,    -1,    -1,    -1,   138,    -1,  4440,  3001,
    4440,   299,    -1,    -1,   251,   303,  4448,   254,  4448,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,
    1236,    -1,    -1,    -1,    -1,    -1,   324,   169,    -1,    -1,
      -1,    -1,  1248,  1249,    -1,   333,    -1,    -1,    -1,  1255,
      -1,    -1,  1258,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1278,   205,    -1,    -1,    -1,    -1,  1284,    -1,
      -1,  1287,   422,   423,   424,   425,   426,   427,    -1,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,  1307,    -1,   235,   392,    -1,    -1,    -1,   396,  1315,
    1316,  1317,  1318,  1319,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,    -1,  1330,    -1,    -1,  1333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1344,    -1,
    1346,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
    1356,  1357,    -1,    -1,    -1,    -1,  1362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,   299,    -1,   301,
      -1,   303,    24,    -1,    -1,    97,    -1,   309,    -1,    -1,
      -1,   418,   419,   420,   316,   422,   423,   424,   425,   426,
     427,    -1,   324,   430,    -1,    -1,   118,    -1,    -1,   436,
    1406,   333,    -1,    -1,    -1,    -1,    -1,   129,    -1,   341,
      -1,     0,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,   148,  1433,  1434,  1435,
    1436,   153,    -1,    -1,    -1,    24,    -1,    26,    27,  1445,
      -1,    -1,    -1,    -1,    -1,  1451,    -1,    -1,  1454,    -1,
      -1,    -1,    41,    -1,    -1,    -1,    -1,  1463,    -1,    -1,
     392,   113,    -1,    -1,  1470,    -1,  1472,    -1,   120,    -1,
      -1,   123,    61,    18,    63,    64,  1482,   199,    -1,    24,
      69,  1487,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1496,    -1,    81,    -1,    83,    -1,  1502,  1503,   220,    -1,
      -1,  1507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      99,    -1,    -1,   102,    -1,    -1,    -1,    -1,    -1,    64,
      -1,  3313,    -1,    -1,   176,   114,  1532,   116,    -1,    -1,
      -1,   120,    -1,  1539,    -1,  1541,    -1,   126,    -1,  1545,
    1546,    -1,  1548,    -1,    -1,   134,    -1,   136,  1554,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,   279,    -1,    -1,
      -1,    -1,  1568,  1569,    -1,    -1,  1572,   156,   113,    -1,
    1576,    -1,  1578,    -1,    -1,   120,    -1,    -1,   123,  1585,
      -1,   233,  1588,   235,   306,    -1,  1592,    -1,    -1,    -1,
     312,    -1,    -1,   245,  1600,  1601,   318,    -1,    -1,    -1,
      -1,   253,  1608,    -1,  1610,  1611,  1612,  1613,  1614,    -1,
     262,    -1,    -1,    -1,    -1,  1621,  1622,    -1,  1624,    -1,
    1626,  1627,   211,   212,  1630,   347,    -1,   349,   217,    -1,
      -1,   176,    -1,    -1,    -1,    -1,    -1,   226,    -1,    -1,
      -1,  1647,    -1,   295,   366,  1651,  1652,   299,   237,    -1,
    1656,    -1,    -1,    -1,  1660,    -1,  1662,  1663,  1664,  1665,
    1666,  1667,  1668,  1669,  1670,    -1,  1672,    -1,    -1,   391,
    1676,  1677,   324,  1679,    -1,    -1,    -1,  3469,    -1,  1685,
      -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,   233,    -1,
     235,     8,    -1,    -1,    11,    -1,    -1,   286,    -1,    -1,
     245,    -1,   291,   292,    -1,   294,    -1,    -1,   253,    -1,
     299,    28,    -1,    -1,    -1,   304,    -1,   262,   307,    36,
      -1,    -1,   311,    -1,    -1,    42,    -1,   316,   317,    -1,
     382,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    21,    -1,    -1,   335,    -1,    -1,    66,
     295,    -1,    -1,    -1,   299,    33,    -1,    -1,   347,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    54,    -1,    -1,   324,
      28,    -1,    -1,    -1,  3576,   374,    -1,    -1,    36,    67,
      -1,   380,    -1,    -1,    42,  1801,   385,  1803,    76,  1805,
      -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,    66,    97,
      -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,  3620,    -1,
      -1,    -1,    -1,  1839,    -1,    -1,    -1,   382,    -1,  1845,
     118,  1847,   431,    -1,    -1,   434,    -1,    -1,    -1,    -1,
     167,   129,    -1,    -1,   171,    -1,  1862,    -1,    -1,   137,
      -1,  1867,    -1,  1869,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,  3666,   192,   193,   155,    -1,    -1,
    1886,   159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1897,   209,  1899,  1900,  1901,   174,    -1,  1904,    -1,
    1906,    -1,  1908,    -1,  1910,    -1,  1912,  1913,    -1,    -1,
    1916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,   167,
      -1,   238,    -1,   171,    -1,    -1,    -1,    -1,    -1,  1935,
      -1,    -1,    -1,    -1,   251,   213,    -1,   254,    -1,    -1,
      -1,    -1,   220,    -1,   192,   193,    -1,    -1,  1954,    -1,
      -1,    -1,    -1,    -1,  1960,    -1,    -1,    -1,    -1,  1965,
      -1,   209,    -1,    -1,    -1,  1971,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,
      -1,  1987,    -1,    -1,    -1,  1991,  1992,   235,    -1,    -1,
     238,    -1,  1998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,  2015,
     288,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,
      -1,    -1,    -1,    -1,   312,  2041,    -1,  2043,  2044,    -1,
     318,    -1,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2071,    -1,    -1,    -1,   347,
      -1,   349,   350,  2079,   352,   353,    -1,    -1,  2084,    -1,
     328,    -1,    -1,   361,    -1,    -1,    -1,    -1,   366,    -1,
      -1,  2097,    -1,    -1,   372,    -1,    -1,   375,    -1,    -1,
     378,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,   391,    -1,    -1,    -1,    -1,   435,  2125,
      -1,    -1,  2128,    -1,  2130,    -1,  2132,    -1,    -1,  2135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2169,  2170,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,    -1,    -1,
    2196,    -1,  2198,  2199,  2200,  2201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,     8,    -1,  2220,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    31,    -1,    -1,    -1,   187,
      36,    -1,    -1,    -1,    -1,   193,    42,    -1,    -1,     8,
      -1,  4043,    11,    -1,    -1,   203,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    28,
      66,    -1,  2278,    -1,    -1,    -1,    -1,    36,  2284,    -1,
      28,  4073,    -1,    42,    -1,    -1,    -1,    -1,    36,  2295,
      -1,    -1,    -1,    -1,    42,    -1,  2302,  2303,    -1,    -1,
      -1,    -1,  2308,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,  4111,
      -1,    -1,    -1,  4115,  4116,    -1,    -1,  2333,  2334,    -1,
      -1,    -1,  2338,    -1,    -1,    18,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,  2350,  2351,  2352,  2353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,
    2366,    -1,  2368,  2369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,  2378,  2379,    -1,   171,  2382,    -1,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2395,
      -1,  2397,    -1,  2399,    -1,  2401,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   167,    -1,
      -1,  2417,   171,   209,    -1,  2421,    -1,    -1,    -1,   167,
      -1,    -1,  2428,   171,  2430,  2431,  2432,    -1,    -1,    -1,
     113,    -1,    36,   192,   193,    -1,    -1,   120,    42,   235,
     123,  2447,   238,    -1,   192,   193,    -1,    -1,    -1,    -1,
     209,    -1,  2458,    -1,    -1,   251,    -1,  2463,   254,    -1,
      -1,   209,    66,  2469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2477,    -1,    -1,  2480,    -1,   235,    -1,  2484,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,   251,   176,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,    -1,  2514,    -1,
    2516,    -1,    -1,    -1,    -1,  2521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2547,    -1,  2549,  2550,  2551,    -1,    -1,    -1,    -1,
     233,    18,   235,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,   245,   167,    -1,    -1,    -1,   171,    -1,   328,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
     328,    -1,    -1,    -1,    -1,    -1,    -1,   535,   192,   193,
      18,   539,    -1,    -1,    -1,    -1,    24,    64,    -1,    -1,
      -1,    -1,   550,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,    -1,    -1,   299,   565,    -1,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,   238,    -1,    64,    -1,    -1,    -1,
      -1,   324,    -1,    -1,    -1,    -1,   113,   251,    -1,    -1,
      -1,    -1,    -1,   120,    -1,   603,   123,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
     418,   419,   420,   432,   422,   423,   424,   425,   426,   427,
       8,    -1,    -1,    11,   432,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,   382,
      28,    -1,    -1,    -1,    -1,    -1,    -1,     8,    36,   176,
      11,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,  2727,  2728,    -1,   328,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,   681,    -1,    36,    -1,    -1,    66,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,   233,    -1,   235,    -1,
      -1,    -1,    -1,    -1,  2780,  2781,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,
    2796,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2809,  2810,   233,    -1,   235,    -1,    -1,
      -1,    -1,  2818,  2819,    -1,    -1,    -1,   245,   422,   423,
     424,   425,   426,   427,    -1,   253,    -1,  2833,   295,    -1,
      -1,    -1,   299,    -1,   262,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2861,    -1,   324,  2864,    -1,
      -1,    -1,    -1,    -1,   192,   193,   167,   295,    -1,    -1,
     171,   299,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   192,   193,  2899,    -1,    -1,   324,    -1,    -1,    -1,
      -1,    -1,    -1,  2909,    -1,    -1,    -1,   235,   209,    -1,
     238,  2917,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,
      -1,  2927,    -1,   251,    -1,    -1,   254,  2933,    -1,  2935,
      -1,    -1,    -1,    -1,   235,  2941,    -1,   238,  2944,  2945,
    2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,    -1,    -1,
     251,  2957,  2958,   254,   382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2970,    -1,    -1,    -1,  2974,    -1,
      -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,    -1,  2991,    -1,  2993,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3002,  3003,  3004,   947,
     328,    -1,  3008,    -1,    -1,  3011,    -1,    -1,    -1,    -1,
      -1,   959,  3018,  3019,  3020,  3021,  3022,  3023,    -1,   177,
      -1,  3027,  3028,    -1,    -1,    -1,  3032,   328,   186,   187,
      -1,    -1,  3038,    -1,  3040,   193,  3042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,    -1,  3063,    -1,    -1,
      24,    -1,    -1,  3069,    -1,  1013,    -1,  3073,    -1,  3075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3090,  3091,  3092,    -1,  3094,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      64,    -1,    -1,    -1,   432,    -1,  3112,  3113,  3114,  3115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,    -1,
      -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,  3150,    -1,    -1,    18,    -1,   113,
      -1,    -1,    -1,    24,    -1,    -1,   120,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    36,    -1,
      11,    -1,    -1,    -1,    42,    -1,  1124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1132,  1133,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    64,  1142,    36,    -1,    -1,    66,    -1,
       8,    42,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   863,   176,    -1,    -1,    -1,  3222,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    66,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,  1196,   120,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    66,    -1,
     128,    -1,    -1,    -1,    -1,    -1,    -1,  3273,    -1,   233,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,  3284,    -1,
    3286,   245,    -1,    -1,    -1,    -1,  3292,    -1,    -1,   253,
      -1,    -1,  3298,    -1,    -1,    -1,    -1,    -1,   262,   167,
      -1,  3307,    -1,   171,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3328,    -1,   192,   193,   167,    -1,  3334,    -1,
     171,   295,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,   209,    -1,   995,  3350,  3351,    -1,    -1,    -1,    -1,
      -1,   192,   193,    -1,    -1,    -1,    -1,    -1,    -1,   167,
     324,    -1,   233,   171,   235,   523,    -1,  3373,   209,  3375,
     238,    -1,    -1,    -1,   245,    -1,    -1,   535,    -1,    -1,
    1328,   539,   253,   251,   192,   193,    -1,    -1,    -1,    -1,
      -1,   262,   550,    -1,   235,    -1,    -1,   238,    -1,    -1,
      -1,   209,  3408,    -1,    -1,    -1,    -1,   565,    18,    -1,
     251,   569,    -1,   254,    24,    -1,    -1,    -1,   382,    -1,
      -1,   579,    -1,    -1,   188,    -1,    -1,   235,   299,    -1,
     238,    -1,   196,    -1,    -1,    -1,    -1,    -1,    -1,  3445,
     204,    -1,    -1,   251,    -1,   603,   254,    -1,    -1,  3455,
    3456,    -1,    -1,   324,    64,    -1,    -1,  3463,  3464,  1407,
     328,    -1,  3468,    -1,    -1,    -1,    -1,    -1,  3474,  3475,
      -1,    -1,  3478,    -1,  3480,  3481,  3482,  3483,    -1,  1427,
      -1,  3487,  3488,  3489,    -1,    -1,  3492,   328,    -1,    -1,
    3496,    -1,    -1,    -1,  3500,  1443,    -1,    -1,    -1,    -1,
    3506,    -1,    -1,   113,  3510,    -1,    -1,    -1,    -1,  3515,
     120,   382,    -1,   123,    -1,  3521,    -1,    -1,   676,    -1,
     328,  3527,    -1,   681,    -1,    -1,    -1,  3533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,  1190,  3545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   706,  3555,
    1498,    -1,  3558,    -1,   422,   423,   424,   425,   426,   427,
      -1,  1509,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,  3578,  3579,    -1,    -1,    -1,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,    -1,
      -1,   432,  1244,    -1,    -1,    -1,  3602,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,   430,   233,  1276,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,  3647,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,  3661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,
      24,   829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   840,    -1,    -1,   295,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,  1348,    -1,    -1,    -1,
    1648,    -1,    -1,    -1,    -1,   863,    -1,    -1,    -1,    -1,
      64,    -1,    -1,  3719,   324,  1367,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3730,    -1,    -1,    -1,    -1,  3735,
      -1,    -1,    -1,    -1,    -1,  1387,  3742,    -1,    -1,    -1,
      -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,  3754,  3755,
      -1,    -1,   516,    -1,    -1,    -1,    -1,   521,    -1,   113,
    1412,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,
      -1,    -1,   382,    -1,  3780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   947,
      -1,    -1,    -1,   951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   959,  3808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3817,    -1,    -1,    -1,    -1,    -1,  1469,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,  3834,  3835,
      -1,    -1,  3838,    -1,    -1,    -1,    -1,   995,    -1,    -1,
      -1,  3847,    -1,    -1,    -1,  3851,    -1,    -1,    -1,    -1,
    3856,    -1,    -1,  3859,  3860,  1013,  3862,    -1,  3864,  3865,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,
      -1,   235,    -1,  3889,  3890,  3891,  3892,  3893,    -1,    -1,
      -1,   245,    -1,   657,    -1,    -1,  1054,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,  1853,    -1,    -1,   262,  1857,
    1858,    -1,    -1,  1861,   678,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3928,  3929,  1082,  1083,    -1,  1085,    -1,    -1,
      -1,    -1,   696,    -1,    -1,  1883,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,  1102,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3967,    -1,    -1,    -1,  3971,  1124,    -1,  3974,    -1,
     324,    -1,    -1,    -1,  1132,  1133,  1924,    -1,    -1,  3985,
      -1,    -1,    -1,  1141,  1142,    -1,  3992,    -1,    -1,    -1,
    3996,    -1,    -1,    -1,  1646,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4008,  1951,    -1,  4011,    -1,    -1,    -1,    -1,
      -1,    -1,  1170,  4019,  4020,    -1,  1174,  1175,    -1,    -1,
     784,    -1,    -1,    -1,    -1,    -1,  1974,  1975,   382,  1977,
      -1,    -1,  1190,    -1,    -1,    -1,  4042,    -1,  1196,  4045,
      -1,  4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2000,    -1,    -1,    -1,  2004,    -1,  4064,    -1,
      -1,    -1,  4068,    -1,    -1,  4071,    -1,    -1,    -1,    -1,
      -1,  4077,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    21,
      -1,    -1,    -1,    -1,  2032,    -1,  1244,    -1,    -1,    -1,
      -1,  4097,    -1,    -1,    -1,  4101,    -1,  2045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2054,    -1,   872,    -1,
      -1,    -1,    54,  4119,  4120,  4121,  4122,    -1,  1276,    -1,
      -1,    -1,    -1,    -1,    -1,    67,    68,    -1,  4134,    -1,
     894,   895,   896,    -1,    76,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,  4171,    -1,    -1,    -1,    -1,
    1328,    -1,  2120,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,   129,    36,    -1,
    1348,    -1,    -1,    -1,    42,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,  1367,
      -1,   153,    -1,  4219,     8,    -1,    -1,    11,    66,  4225,
      -1,  4227,   986,    -1,    -1,    -1,    -1,    -1,    -1,  1387,
    4236,    -1,   174,  2181,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    -1,    -1,  1009,    -1,    -1,    42,  1407,
      -1,    -1,    -1,    -1,  1412,    -1,    -1,   199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2215,    -1,  1427,
    4276,    -1,    66,    -1,    -1,  4281,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,  1443,  4292,    -1,    -1,  1941,
      -1,    -1,    -1,    -1,  1946,  1947,    -1,    -1,    -1,    -1,
    4306,    -1,  2250,  4309,  4310,  1463,  1958,    -1,    -1,   251,
      -1,  1469,    -1,    -1,  1472,    -1,  4322,    -1,    -1,   167,
      -1,    -1,    -1,   171,  4330,    -1,  2274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,    -1,    -1,   279,    -1,    -1,
    1498,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,
      -1,  1509,    -1,    -1,    -1,    -1,    -1,  4363,    -1,    -1,
      -1,   209,    -1,    -1,   306,    -1,    -1,  4373,   310,    -1,
     312,    -1,  4378,   167,  1138,    -1,   318,   171,    -1,   321,
      -1,    -1,    -1,  1541,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,   193,
      -1,    -1,    -1,   251,    -1,   347,   254,   349,    -1,    -1,
    2358,   353,    -1,    -1,    -1,   209,  2364,    -1,  1576,   361,
    1578,    -1,  1186,    -1,   366,    -1,    -1,  1585,    -1,  4435,
    1588,    -1,    -1,    -1,  1592,    -1,    -1,    -1,  4444,    -1,
      -1,    -1,  1600,  1601,   238,    -1,    -1,  2099,    -1,   391,
    1608,    -1,    -1,  1611,  1612,  1613,  1614,   251,    -1,    -1,
      -1,    -1,    -1,  1621,  1622,    -1,  1624,    -1,  1626,  1627,
      -1,    -1,  1630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,    -1,  1248,    -1,    -1,    -1,  1646,  1647,
    1648,  1255,    -1,    -1,  1652,    -1,  2444,    -1,  1656,    -1,
      -1,    -1,  1660,    -1,  1662,  1663,  1664,  1665,  1666,  1667,
    1668,  1669,  1670,    -1,  1672,    -1,    -1,    -1,    -1,  1677,
    1284,  1679,    -1,  1287,    -1,    -1,  2178,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   328,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,  1319,    -1,    -1,    -1,    -1,
       8,    36,    -1,    11,    -1,    -1,    -1,    42,    -1,  1333,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      28,    -1,  1346,    -1,   432,    -1,    -1,  2535,    36,    -1,
    2538,    66,    -1,     8,    42,    -1,    11,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2262,    -1,    -1,    28,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,   422,   423,
     424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    67,    -1,    -1,    -1,  1805,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2615,  2616,  2617,
      -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,   103,
      -1,  1445,    -1,    -1,    -1,    -1,  2634,  1451,    -1,    -1,
      -1,    -1,   167,    -1,   118,  1853,   171,  2645,    -1,  1857,
    1858,    -1,    -1,  1861,    -1,   129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,    -1,    -1,   192,   193,   167,
      -1,    -1,    -1,   171,   148,  1883,    -1,    -1,  1886,   153,
      -1,    -1,    -1,    -1,   209,   159,    -1,    -1,    -1,  1897,
      -1,    -1,    -1,  1507,   192,   193,  1904,    -1,    -1,    -1,
     174,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     235,   209,    -1,   238,    -1,    -1,  1924,    -1,    -1,  2717,
      -1,    -1,    -1,    -1,    -1,   199,   251,   192,   193,   254,
      -1,  1545,  1546,  1941,    -1,    -1,    -1,   235,  1946,  1947,
     238,    -1,    -1,  1951,   209,    -1,   220,    -1,    -1,    -1,
    1958,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,
      -1,  2759,    -1,    -1,    -1,    -1,  1974,  1975,    -1,  1977,
     235,    -1,    -1,   238,    -1,    -1,  2774,   251,  2776,    -1,
      -1,    -1,    -1,    -1,     8,    -1,   251,    11,    -1,   254,
      -1,    -1,  2000,    -1,    -1,    -1,  2004,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    28,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    -1,  2022,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,  2032,    -1,    -1,    -1,    -1,    -1,
     328,    -1,   306,    -1,    -1,    -1,   310,  2045,   312,  2541,
      -1,  2839,    66,    -1,   318,    -1,  2054,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1676,   328,    -1,    -1,    -1,    -1,    -1,  2867,
      -1,  1685,    -1,   347,    -1,   349,    -1,    -1,    -1,   353,
      -1,  2583,  2584,  2881,  2586,    -1,    -1,   361,    -1,  2097,
      -1,  2099,   366,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,  2901,   378,    -1,    -1,   432,    -1,    -1,
      -1,    -1,  2120,    -1,    -1,    -1,    -1,   391,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,
    2642,    -1,  2644,   167,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,    -1,   432,   192,   193,
    2178,    -1,    -1,  2181,    -1,    -1,    -1,    -1,  2976,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,  1801,    -1,  1803,
      -1,    -1,    -1,    -1,    -1,    -1,  2698,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2215,    -1,    -1,
      -1,   235,  2220,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,  2723,    -1,    -1,    -1,  1839,    -1,   251,    -1,     8,
     254,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,  2262,    -1,    -1,    36,  2760,    -1,
      -1,    -1,    -1,    42,    -1,    -1,  2274,    -1,    -1,    -1,
    2278,    -1,    -1,    -1,    -1,    -1,  2284,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,  2302,  2303,    -1,    -1,    -1,    -1,
    2308,   863,    28,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,  2824,  3121,    -1,  2333,  2334,    -1,    -1,    -1,
    2338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,    -1,
      66,    -1,  2350,  2351,  2352,  2353,    -1,    -1,    -1,  2851,
    2358,    -1,    -1,    -1,    -1,  2363,  2364,  1971,  2366,    -1,
    2368,    -1,  3160,    -1,    -1,    -1,  3164,    -1,  3166,    -1,
    2378,  2379,    -1,  1987,  2382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2395,   167,  2397,
      -1,    -1,   171,  2401,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    -1,    -1,    -1,  3205,   432,  2417,
    3208,    -1,    -1,   192,   193,    -1,    -1,    -1,  2920,    -1,
    2428,    -1,  2430,  2431,  2432,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,   995,    -1,    -1,  2444,    -1,  2940,  2447,
      -1,   167,    -1,    -1,  3242,   171,    -1,    -1,    -1,    -1,
    2458,    -1,    -1,    -1,    -1,  2463,   235,    -1,    -1,   238,
      -1,  2469,    -1,  2965,    -1,    -1,   192,   193,    -1,  2477,
      -1,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,  2493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,
      -1,    -1,    -1,    -1,    -1,    -1,  2514,    -1,    -1,   235,
      -1,    -1,   238,    -1,    -1,    -1,  2130,    -1,  3316,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,  2535,   254,    -1,
    2538,    -1,    -1,  2541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2583,  2584,    -1,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,    -1,    -1,    -1,  2615,  2616,  2617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    -1,
      -1,    -1,    -1,    -1,    24,    -1,  2634,    -1,  1190,    -1,
      -1,    -1,    -1,    -1,  2642,    -1,  2644,  2645,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    49,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3165,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2698,    -1,   418,   419,   420,    95,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,   432,    -1,    -1,  2717,
      -1,    -1,    -1,   113,  1276,  2723,    -1,    -1,    -1,    -1,
     120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2759,  2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2774,    -1,  2776,    -1,
      -1,    -1,    -1,   173,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1367,    -1,  2421,    -1,    -1,
      -1,  3313,    -1,    -1,    -1,    -1,  2824,  3615,    -1,    -1,
      -1,   221,    -1,   223,    -1,  1387,    -1,    -1,    -1,  3627,
      -1,  2839,  2840,   233,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2851,    -1,   245,    -1,  3349,    -1,    -1,
    1412,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,  2867,
      -1,   261,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2878,    -1,    -1,  2881,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3681,    -1,    -1,    -1,   863,    -1,    -1,
      -1,    -1,    -1,  2901,    -1,   295,    -1,    -1,    -1,   299,
     300,    -1,    -1,    -1,    -1,    -1,    -1,  1469,    -1,  2917,
      -1,    -1,  2920,    -1,    -1,    -1,    -1,    -1,    -1,  2927,
      -1,    -1,    -1,    -1,   324,  2933,    -1,  2935,    -1,    -1,
      -1,    -1,  2940,  2941,    -1,   335,  2944,  2945,  2946,  2947,
    2948,  2949,  2950,  2951,  2952,  2953,    -1,    -1,    -1,  2957,
    2958,    -1,    -1,    -1,    -1,    -1,  3458,  2965,    -1,    -1,
      -1,    -1,  2970,    -1,    -1,    -1,  2974,  3469,  2976,    -1,
    2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2988,    -1,   382,  2991,    -1,  2993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,  3002,  3003,  3004,    -1,  3796,    -1,
    3008,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3021,  3022,    -1,    -1,    -1,    -1,   995,
      -1,    -1,    -1,    -1,  3032,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3040,    -1,  3042,    -1,    -1,    -1,    -1,     7,
      -1,    -1,    -1,    -1,    -1,    13,    14,    -1,    -1,    -1,
      -1,    19,    -1,    21,    -1,  3063,    -1,    -1,    26,    -1,
      28,  3069,    -1,    -1,    -1,    -1,    -1,  3075,    -1,    -1,
      -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,    -1,    47,
      -1,    -1,  3090,    -1,  1646,  3883,    -1,  3885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,  3620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,  3160,    -1,    -1,    -1,  3164,  3165,  3166,  3957,
      -1,  3959,    -1,    28,  3666,    -1,  2780,  2781,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2810,  3205,    -1,    -1,
    3208,    66,    -1,    -1,    -1,  2819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1190,    -1,   184,    -1,    -1,  2833,
      -1,    -1,    -1,    -1,    -1,    -1,   194,   195,    -1,   197,
      -1,   199,    -1,   201,  3242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1276,    -1,   167,    -1,    -1,  3313,   171,    -1,  3316,  4107,
    3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3349,  3350,  3351,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     235,    -1,  1348,   238,    -1,    -1,    -1,    -1,    -1,  1941,
      -1,    -1,    -1,  3391,  1946,  1947,   251,    -1,    -1,   254,
      -1,  1367,    -1,    -1,    -1,    -1,  1958,    -1,    -1,    -1,
    3408,    -1,    -1,    -1,  3018,  3019,  3020,    -1,    -1,    -1,
      -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,  3920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1412,  3445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3455,  3456,    -1,
    3458,    -1,    -1,    -1,    -1,  3463,  3464,  4255,    -1,    -1,
    3468,  3469,    -1,   328,    -1,    -1,  3474,  3475,    -1,    -1,
    3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3496,    -1,
      -1,    -1,  3500,  1469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3510,    -1,    -1,    -1,    -1,  3515,    -1,    -1,
      -1,    -1,     8,    -1,  4312,    11,    -1,    -1,    -1,  3527,
    4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    32,  2099,    -1,    -1,
      36,  4043,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
    3558,    -1,    -1,   418,   419,   420,   524,   422,   423,   424,
     425,   426,   427,    -1,   532,    -1,    -1,   432,  3576,    -1,
      66,  4073,    -1,   541,   542,    -1,    -1,    -1,   546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3595,    -1,   557,
      -1,    -1,    -1,    -1,    -1,  4393,  3604,    -1,    -1,    -1,
      -1,    -1,   570,    -1,    -1,    -1,    -1,  3615,    -1,  4111,
      -1,    -1,  3620,  4115,  4116,   111,  2178,    -1,   586,  3627,
      -1,   589,    -1,   591,    -1,   593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   676,    -1,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4448,    -1,     8,    -1,    -1,    11,    -1,    -1,  3666,  3273,
      -1,    -1,   630,    -1,    -1,   706,    -1,    -1,    -1,    -1,
    1646,   167,    28,  3681,    -1,   171,    -1,    -1,  3292,    -1,
      36,    -1,    -1,    -1,    -1,   653,    42,   655,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
    2262,    -1,    -1,  1679,    -1,  3319,    -1,    -1,    -1,    -1,
      66,  3719,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
     708,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,
     146,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,   767,
    3808,    -1,    -1,    -1,  3812,    -1,    -1,    -1,    -1,  3817,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3834,  3835,    -1,    -1,
    3838,    -1,   328,    -1,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,  3851,    -1,    -1,    -1,    -1,  3856,    -1,
     818,  3859,    -1,   209,    -1,    -1,  3864,  3865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   833,  3480,  3481,  3482,  3483,
      -1,    -1,    -1,    -1,    -1,  3883,    -1,  3885,   846,   235,
      -1,  3889,   238,   379,    -1,   853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,   865,   254,    -1,
     868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3928,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,   901,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3957,
      -1,  3959,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,  3971,    -1,  1941,    -1,    -1,    -1,    -1,
    1946,  1947,   328,    -1,    -1,    -1,    -1,    28,    -1,  2541,
      -1,    -1,  1958,    -1,  1025,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,   964,    -1,   966,    -1,
     968,    -1,   970,    -1,   972,   973,   974,    -1,    -1,    -1,
      -1,   979,  4020,  1054,  4022,    66,    -1,    -1,    -1,    -1,
      -1,  2583,  2584,    -1,  2586,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4042,  4043,    -1,  4045,    -1,  4047,
      -1,  1082,  1083,    -1,  1085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4064,    -1,    -1,    -1,
    4068,  1102,   418,   419,   420,  4073,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2642,     8,  2644,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4107,
    1141,    28,    -1,  4111,    -1,    -1,    -1,  4115,  4116,    36,
      -1,    -1,    -1,    -1,    -1,    42,   167,    -1,    -1,    21,
     171,    -1,    -1,  2099,    -1,    -1,    -1,    -1,    -1,  1170,
      -1,    33,    -1,  1174,  1175,    -1,  2698,    -1,    -1,    66,
      -1,   192,   193,    -1,  4152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,  2723,    -1,  4171,    -1,    67,  3780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
    2742,    -1,    -1,  4191,   235,    -1,    -1,   238,    -1,    -1,
      -1,  1159,    -1,    -1,    -1,    97,    -1,    -1,  2760,    -1,
     251,    -1,  2178,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4219,    -1,    -1,    -1,    -1,   118,    -1,   145,    -1,
      -1,    -1,   273,    -1,    -1,    -1,    -1,   129,  4236,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,   148,  4255,    -1,    -1,
      -1,   153,    -1,    -1,  1222,    -1,    -1,   159,    -1,    -1,
      -1,    -1,  2824,    -1,    -1,   192,   193,    -1,    -1,    -1,
      -1,    -1,   174,  4281,    -1,    -1,    -1,   328,  2840,    -1,
      -1,    -1,   209,    -1,  4292,    -1,  2262,    -1,    -1,  2851,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4309,  4310,    -1,  4312,    -1,    -1,    -1,   235,    -1,
      -1,   238,    -1,    -1,  4322,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,  4363,    -1,    -1,  2920,   261,
    3974,    -1,    -1,    -1,    -1,  4373,    -1,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   279,  2940,    -1,
      -1,    -1,    -1,    -1,    -1,  4393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4011,    -1,    -1,
      -1,   328,    -1,  2965,   306,    -1,    -1,    -1,   310,    -1,
     312,    -1,    -1,    -1,    -1,     8,   318,    -1,    11,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4435,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    28,  4444,    -1,    31,  3001,
    4448,    -1,    -1,    36,    -1,   347,    -1,   349,  1416,    42,
      -1,   353,    -1,    -1,  2430,  2431,  2432,    -1,    -1,   361,
      -1,    -1,    -1,  1431,   366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,   378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,    -1,   391,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,  1471,    -1,    -1,    -1,  1475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1486,    -1,
    1488,    -1,  1490,    -1,    -1,    -1,    -1,  1495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,  1585,    -1,    -1,    -1,    -1,    -1,
    1518,    -1,  1520,    -1,  1522,    28,  1524,    -1,  1526,    -1,
      -1,    -1,  1530,    36,    -1,  2541,    -1,  1608,    -1,    42,
    1611,    -1,    -1,  1614,   167,    -1,    -1,    -1,   171,    -1,
    1621,  1622,    -1,    -1,    -1,    -1,  1627,    -1,    -1,  1630,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,   192,
     193,    -1,    -1,  3165,    -1,    -1,  1647,  2583,  2584,    -1,
    2586,  1652,    -1,    -1,    -1,  1656,   209,    -1,    -1,  1660,
      -1,  1662,  1663,  1664,  1665,  1666,  1667,  1668,  1669,  1670,
      -1,  1672,    -1,    -1,    -1,    -1,  1677,    -1,  1679,    -1,
      -1,    -1,   235,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,   251,    -1,
      24,   254,    -1,    -1,    -1,    -1,  2642,    -1,  2644,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    49,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      64,    -1,    -1,    28,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,   192,
     193,    -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    -1,    -1,    -1,   328,   209,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,  2723,    -1,   113,
      -1,  3313,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,
      -1,    -1,   235,    -1,  1805,   238,  2742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,   863,
      -1,   254,    -1,    -1,  2760,    -1,    -1,  3349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   173,
      -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,  1886,   171,    -1,  2824,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,   221,    -1,   223,
      -1,    -1,    -1,    -1,  2840,    -1,    -1,   192,   193,   233,
      -1,   235,    -1,    -1,    -1,  2851,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,   209,    -1,  1854,  1855,    -1,   253,
      -1,  1859,  1860,    -1,    -1,  1863,  3458,   261,   262,    -1,
      -1,    -1,    -1,    -1,    -1,  1873,    -1,  3469,    -1,    -1,
     235,   995,  1880,   238,    -1,    -1,  1884,  1885,    -1,    -1,
    1888,  1889,    -1,    -1,    -1,    -1,   251,  1895,    -1,   254,
      -1,   295,    -1,    -1,    -1,   299,   300,    -1,    -1,  1907,
      -1,  1909,    -1,    -1,  2920,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,  1925,    -1,    -1,
     324,    -1,  1930,    -1,  2940,    -1,    -1,    -1,    -1,    -1,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2965,
      -1,    -1,    -1,  1961,  1962,  1963,  1964,    -1,    -1,    -1,
    1968,  1969,    28,   328,    -1,    -1,    -1,    -1,  1976,    -1,
      36,  1979,    -1,    -1,  3576,  1983,    42,    -1,   382,    -1,
      -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,
      66,    -1,  3604,    -1,    -1,    -1,    -1,    -1,  2016,    -1,
    2018,    -1,    -1,    -1,    -1,  2023,  2097,    -1,  3620,    -1,
    2028,  2029,  2030,  2031,    -1,  2033,  3042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2046,  2047,
    2048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,  2057,
    2058,    11,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,  3666,    -1,  1190,    -1,    28,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,   151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1098,   167,    -1,    -1,    -1,   171,    66,    -1,    -1,    -1,
      -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,
    1244,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2220,
      -1,    -1,   863,   209,    -1,    -1,    -1,    -1,    -1,  3165,
      -1,    -1,  1276,    -1,    -1,    -1,    -1,  1155,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,   235,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,   251,    -1,    -1,   254,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
    3812,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,  2303,    -1,  1348,    -1,    -1,  2308,    -1,    -1,
      -1,    -1,   192,   193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1367,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2268,    -1,   328,  1387,    -1,    -1,    -1,    -1,    -1,  2350,
      -1,  2352,  2353,    -1,   995,   235,    -1,    -1,   238,    -1,
      -1,    -1,  2363,    -1,    -1,  2366,    -1,  2368,  1412,    -1,
      -1,   251,    -1,    -1,   254,    -1,    -1,  3313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2395,    -1,  2397,    -1,  3920,    -1,
    2401,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   863,    -1,    -1,    -1,  1469,   192,   193,    -1,  2430,
    2431,  2432,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,   209,    -1,    -1,  2447,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2458,    -1,    -1,
      -1,    -1,  2463,    -1,    -1,    -1,    -1,    -1,  2469,   235,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4043,  3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,  1190,
      -1,  4073,    -1,   995,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,    -1,    -1,    -1,  2494,  2495,    -1,    -1,
      -1,    -1,    -1,    -1,  3510,    -1,    -1,    -1,    -1,  3515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1505,   354,  4111,
      -1,  3527,    -1,  4115,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1646,  1244,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2560,  2561,    -1,  1276,    -1,  2565,    -1,    -1,
    3576,    -1,  2570,  2571,  2572,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,  1583,    -1,    -1,  3604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,  2607,
    2608,  2609,    -1,    -1,  3620,    -1,    -1,    -1,    -1,  1607,
      -1,    -1,    -1,    -1,  1612,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,  1348,  2636,  2637,
    2638,    -1,    -1,    -1,  1632,  1633,    -1,  1635,  2646,    -1,
      28,    -1,    -1,    31,    -1,    -1,  1367,    -1,    36,    -1,
    3666,    -1,    -1,    -1,    42,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,  1190,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,  1675,    66,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,  1412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2718,    -1,    -1,  1711,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1469,    -1,
      -1,    -1,    -1,    -1,  1276,    -1,    -1,    -1,    -1,    -1,
      -1,  3777,    -1,    -1,    -1,    -1,    -1,  2775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,  2817,
      -1,    -1,  2820,    -1,    -1,   167,  1814,  1941,    -1,   171,
      -1,   209,  1946,  1947,    -1,    -1,  1348,    -1,  1826,    -1,
      -1,  1829,    -1,    -1,  1958,    -1,  2917,    -1,    -1,    -1,
     192,   193,    -1,    -1,  2852,  1367,  2927,   235,    -1,    -1,
     238,    -1,  2933,    -1,  2935,    -1,    -1,   209,  2866,    -1,
      -1,    -1,    -1,   251,    -1,  1387,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2957,  2958,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,   238,    -1,    -1,    -1,
    1412,    -1,    -1,    -1,    -1,    -1,    -1,  2978,    -1,   251,
      -1,    -1,   254,    -1,  3920,    -1,    -1,  2988,    -1,    -1,
    2991,    -1,  2993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3002,    -1,    -1,    -1,  1646,    -1,  3008,    -1,    -1,
    3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,  1469,    -1,    -1,
      -1,  3032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,
      -1,  3042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2099,   328,    -1,    -1,    -1,
      -1,    -1,  3063,    -1,    -1,   863,    -1,    -1,  3069,    -1,
      -1,    -1,    -1,    -1,  3075,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4043,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2178,    -1,    -1,  4073,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3097,
      -1,  3099,    -1,    -1,    -1,  4111,    -1,    -1,  3106,  4115,
    4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3122,    -1,    -1,   995,    -1,    -1,
      -1,    -1,    -1,    -1,  1646,    -1,    -1,    -1,    -1,    -1,
      -1,  3139,    -1,    -1,    -1,    -1,    -1,    -1,  2262,    -1,
    3148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3194,  3195,  3196,  3197,
    3198,  3199,  3200,  3201,    -1,    -1,    -1,    -1,  3206,  3207,
      -1,  3209,  3210,  3211,  3212,  3213,  3214,  3215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,  3226,  3227,
    1941,    -1,    -1,    -1,    -1,  1946,  1947,    -1,    -1,    -1,
      -1,    -1,   863,    -1,    -1,    -1,    -1,  1958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3350,
    3351,    -1,  3280,  3281,  3282,    -1,    -1,  3285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,    -1,
      -1,    -1,  1190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3408,    -1,    -1,
      -1,  2329,    -1,  2331,    -1,  2333,  2334,  2335,    -1,    -1,
    2338,    -1,    -1,    -1,  2342,    -1,    -1,    -1,    -1,    -1,
      -1,  2349,    -1,    -1,    -1,    -1,  2354,    -1,  3366,    -1,
      -1,    -1,  2360,    -1,   995,    -1,  1244,  2365,    -1,    -1,
      -1,    -1,    -1,    -1,  3455,  3456,  2374,    -1,  2099,    -1,
    2378,  2379,    -1,  2381,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,  3474,  3475,  2393,    -1,  3478,  1276,    -1,
      -1,    -1,  2400,    -1,  2402,  2403,  2404,  2405,  2406,  2407,
    2408,  2409,  2410,  2411,    -1,    -1,    -1,  2541,    -1,  1941,
      -1,    -1,    -1,    -1,  1946,  1947,    -1,    -1,    -1,  3510,
      -1,    -1,    -1,    -1,  3515,    -1,  1958,    -1,  2436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2178,    -1,  2583,
    2584,    -1,  2586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1348,    -1,    -1,    -1,    -1,    -1,    -1,  3558,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,
    2644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2529,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2698,    -1,    -1,  2099,    -1,  3587,
    3588,  3589,  3590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2723,
      -1,    -1,    -1,  3611,  3612,  3613,  3614,    -1,  3616,  3617,
      -1,    -1,    -1,  1244,    -1,    -1,    -1,    -1,  2742,    -1,
    3628,  3629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,  3719,    -1,
      -1,    -1,    -1,    -1,    -1,  1276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2840,  1348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2851,    -1,  3737,
      -1,    -1,    -1,    -1,    -1,    -1,  1367,    -1,  3746,    -1,
    2262,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1387,  3838,  3766,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3788,  1412,    -1,    -1,  3865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,    -1,
    2541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1469,    -1,
      -1,  2965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2583,  2584,    -1,  2586,    -1,    -1,  3876,    -1,
      -1,    -1,  2870,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2916,    -1,
      -1,  2642,    -1,  2644,  2922,    -1,    -1,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2938,  2939,    -1,  2941,    -1,    -1,  2944,  2945,  2946,  2947,
    2948,  2949,  2950,  2951,  2952,  2953,  2954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2698,    -1,    -1,
      -1,  2979,    -1,  4064,  2982,    -1,  2984,    -1,    -1,    -1,
      -1,  2989,  2990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2723,    -1,    -1,  3003,  3004,  3005,    -1,  3007,
      -1,    -1,  3010,    -1,    -1,  1646,    -1,    -1,    -1,  2541,
    4028,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2760,
      -1,  3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3058,  2583,  2584,  1941,  2586,    -1,    -1,    -1,  1946,  1947,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,
    4171,    -1,    -1,    -1,    -1,    -1,    -1,  4105,    -1,    -1,
      -1,    -1,  4110,  2824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
    2642,    -1,  2644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2698,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4195,    -1,  3313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,
      -1,  2723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2940,
    2742,  2099,    -1,    -1,    -1,  3349,    -1,    -1,  4309,  4310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,
      -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,  4275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,    -1,  4363,    -1,    -1,    -1,    -1,    -1,  3286,    -1,
      -1,    -1,  4373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2178,    -1,  2824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1941,    -1,    -1,    -1,    -1,  1946,  1947,    -1,  2840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1958,    -1,  2851,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3409,    -1,    -1,    -1,  3413,  3414,  3415,  2940,    -1,
    3418,    -1,    -1,    -1,    -1,  3423,  3424,  3425,  3426,  3427,
    3428,  3429,  3430,  3431,  3432,  3433,  3434,    -1,    -1,    -1,
      -1,    -1,    -1,  2965,  3165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3462,  3463,  3464,  3465,  2099,  3467,
      -1,    -1,    -1,  3471,  3472,  3473,    -1,    -1,  3476,  3001,
    3604,  3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3538,    -1,  3666,    -1,    -1,    -1,    -1,  2178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,
      -1,  2262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2583,  2584,    -1,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2642,    -1,  2644,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3774,  3775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3313,    -1,    -1,    -1,    -1,  3920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3804,    -1,    -1,    -1,
    3808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2698,    -1,    -1,    -1,  3822,    -1,  3824,  3349,    -1,    -1,
      -1,  3829,  3830,  3831,    -1,    -1,  3834,  3835,  3836,  3837,
      -1,  3839,    -1,    -1,    -1,  2723,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2760,  3604,    -1,    -1,    -1,    -1,    -1,  3887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4022,  3620,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4043,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3666,  2824,  3469,    -1,  4073,
      -1,    -1,  2583,  2584,    -1,  2586,    -1,    -1,    -1,    -1,
      -1,    -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2851,    -1,    -1,    -1,    -1,    -1,  3977,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,
      -1,  4115,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2642,    -1,  2644,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2920,  4041,  4042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,    -1,  4057,
    4058,  4059,  2940,    -1,    -1,    -1,    -1,  2698,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4076,    -1,
      -1,    -1,  3604,    -1,    -1,    -1,    -1,  2965,    -1,    -1,
      -1,  3812,  2723,    -1,    -1,    -1,    -1,    -1,  3620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2824,    -1,    -1,    -1,    -1,    -1,  3920,
      -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
      -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4280,    -1,    -1,    -1,    -1,  3165,    -1,  2920,
    3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4043,  4321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4366,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4111,    -1,    -1,    -1,  4115,  4116,    -1,    -1,  3920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,
      -1,  3469,    -1,  4115,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3576,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3812,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3576,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3620,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,
      -1,    -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4073,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4111,    -1,    -1,    -1,  4115,  4116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
    4111,    -1,    -1,    30,  4115,  4116,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,   424,    -1,    -1,
      -1,    -1,    -1,    -1,   431,   432,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,     3,    -1,    -1,
      -1,    -1,    -1,    -1,   431,   432,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,    -1,   236,
     237,   238,   239,    -1,    -1,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,   432,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,    -1,
     236,   237,   238,   239,    -1,    -1,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,   412,   413,   414,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,   432,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,   429,   430,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,   424,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,    -1,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,     3,     4,     5,     6,
       7,   431,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,   250,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,   431,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     422,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,   431,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,
       8,     9,    -1,    -1,    -1,   431,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,     3,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,    -1,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   412,
     413,   414,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   424,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,    -1,   236,   237,   238,   239,    -1,
      -1,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,    -1,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,   412,   413,   414,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,   424,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,     4,     5,    -1,
      -1,    -1,     9,   422,   423,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,     4,
       5,    -1,    -1,    -1,     9,   422,   423,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,     9,   422,   423,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,   151,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,     4,     5,    -1,    -1,    -1,     9,   422,
     423,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      -1,    68,    69,    70,    71,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,    -1,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
     413,   414,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,    -1,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,    -1,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,    -1,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
      -1,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,    -1,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,    -1,   236,   237,   238,   239,    -1,
      -1,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,    -1,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,   413,   414,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,    -1,   236,   237,   238,   239,
      -1,    -1,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
      -1,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,    -1,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,    -1,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,    -1,   236,   237,   238,
     239,    -1,    -1,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,    -1,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,    -1,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    -1,    -1,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    -1,
      -1,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,    -1,    -1,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,    -1,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,   185,    -1,    -1,
      -1,    -1,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,    -1,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,    -1,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   156,   211,   212,   217,   226,   237,   274,   286,
     291,   292,   294,   299,   304,   307,   311,   316,   317,   324,
     327,   335,   347,   364,   374,   380,   385,   397,   431,   438,
     439,   440,   441,   447,   448,   450,   451,   452,   453,   454,
     455,   456,   458,   459,   463,   474,   477,   478,   481,   482,
     483,   494,   497,   498,   514,   551,   554,   557,   558,   559,
     566,   572,   574,   576,   577,   580,   583,   584,   588,   589,
     598,   602,   603,   604,   605,   606,   608,   609,   610,   623,
     624,   628,   630,   631,   632,   643,   645,   652,   653,   656,
     657,   658,   659,   660,   665,   667,   670,   674,   678,   679,
     689,   690,   693,   698,   709,   728,   731,   732,   733,   736,
     739,   741,   743,   746,   749,   750,   751,   758,   759,   761,
     762,   763,   768,   770,   771,   775,   776,   779,   780,   781,
     783,   784,   785,   786,   788,   791,   792,   797,   803,   806,
     808,   809,   814,   816,   820,   827,   831,   832,   833,   834,
     835,   836,   839,   867,   359,   399,   764,    21,    67,    80,
      97,   103,   118,   129,   137,   148,   153,   159,   174,   199,
     220,   251,   279,   306,   310,   312,   318,   321,   347,   349,
     353,   361,   366,   378,   391,   573,   764,     3,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      33,    34,    36,    37,    39,    40,    41,    42,    43,    45,
      46,    48,    49,    50,    51,    52,    55,    56,    57,    58,
      59,    61,    62,    63,    64,    65,    69,    70,    71,    72,
      74,    75,    77,    78,    79,    80,    81,    82,    85,    86,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   104,
     106,   107,   108,   109,   110,   112,   113,   114,   117,   118,
     119,   120,   121,   123,   124,   125,   127,   128,   129,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   141,   143,
     144,   145,   147,   149,   153,   154,   155,   157,   158,   160,
     162,   163,   164,   165,   166,   168,   169,   170,   172,   173,
     174,   175,   176,   177,   179,   181,   182,   183,   184,   185,
     186,   187,   189,   191,   194,   196,   197,   198,   199,   200,
     202,   203,   205,   206,   208,   211,   212,   213,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   231,   232,   233,   234,   236,   237,   239,   241,
     242,   243,   244,   245,   246,   248,   251,   252,   253,   256,
     260,   261,   262,   263,   264,   265,   266,   267,   269,   270,
     271,   272,   273,   274,   275,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   303,
     304,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   318,   319,   320,   321,   322,   324,   325,   326,
     327,   329,   330,   331,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   345,   346,   348,   349,   350,
     351,   352,   353,   355,   356,   359,   360,   361,   362,   364,
     365,   366,   367,   368,   369,   370,   373,   374,   375,   376,
     377,   380,   381,   382,   383,   384,   385,   386,   388,   390,
     391,   392,   395,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     828,   974,   986,   990,   991,   389,   793,   249,   275,   764,
      44,   505,   832,    21,    33,    54,    67,    76,    97,   103,
     118,   129,   137,   148,   155,   159,   213,   251,   254,   306,
     312,   321,   349,   350,   352,   353,   361,   366,   372,   375,
     378,   515,   556,   648,   699,   710,    22,   274,   974,   828,
      22,   269,   350,   352,     5,   198,   737,   738,   983,    21,
      33,    54,    67,    80,    97,   118,   129,   137,   148,   153,
     159,   174,   220,   251,   261,   306,   310,   312,   318,   321,
     347,   349,   353,   361,   366,   378,   391,   573,   661,   764,
     974,    83,   389,   431,   551,   554,   557,   792,   798,   806,
     809,   814,   820,   827,   831,     9,    15,    22,    39,   143,
     149,   151,   171,   200,   232,   277,   293,   422,   423,   675,
     676,   828,   982,   985,    22,    83,   290,   317,   680,   681,
     682,   986,   986,   979,   983,   347,   842,   675,   986,   359,
     974,   261,   220,    97,   174,   346,   347,   744,   311,   986,
      22,   322,   355,   359,   466,   986,    19,   156,   680,   681,
     275,   764,   986,   197,    22,   115,   844,    55,    77,   213,
     228,   306,   312,   322,   355,   359,   402,   464,   465,   466,
      22,   322,   355,   359,   466,   359,   250,   878,   972,   986,
     842,   424,   986,   152,   431,   794,   431,   968,   288,   837,
     838,   974,   832,   833,   836,     0,   434,   793,   130,   188,
     255,   371,   845,   846,   832,   834,   835,   108,   184,   377,
     435,     3,    38,    44,    67,    73,    84,    90,   150,   152,
     167,   180,   192,   193,   195,   207,   209,   230,   238,   257,
     258,   259,   305,   328,   389,   980,   986,   987,   990,   992,
     663,   986,   663,   975,   986,   278,   663,   361,   663,   974,
     986,    96,   347,   688,   980,     3,   984,   988,   990,   991,
     992,   166,   972,   244,   391,     8,    62,   141,   418,   419,
     420,   422,   423,   424,   425,   426,   427,   735,   935,   936,
     986,    22,   984,   974,   974,   166,   972,   974,   166,   878,
     974,   314,   974,   663,   218,   984,   166,   972,   198,   105,
     194,   235,   284,   765,   766,   767,   972,   978,   986,    21,
      54,    67,    68,    76,    80,    97,   118,   129,   137,   148,
     153,   174,   199,   220,   251,   306,   310,   312,   318,   321,
     347,   349,   353,   361,   366,   391,   573,   668,   983,   972,
     357,   980,   974,   431,   663,   361,   975,   663,   361,   166,
     974,    96,   347,   350,   352,   984,   350,   352,    62,   141,
     735,   297,   984,   166,   460,   986,   974,   974,   314,   974,
     663,   218,   984,   288,   318,   347,   391,   220,    80,   174,
     153,   310,   365,   567,    22,   974,   829,   473,   983,   988,
     738,   166,   980,   974,   166,   742,   166,   975,   361,    96,
     347,   166,   980,   166,   973,   974,    73,   391,    62,   141,
     166,   735,    48,   166,   973,   166,   974,   166,   974,   166,
     974,   314,   166,   974,   166,   218,   973,   198,   166,   662,
     663,   431,   807,   515,   798,   385,   792,   799,   800,   801,
     988,   793,   985,   676,   677,    22,   677,   985,   677,    22,
     677,   985,   677,   677,   677,   985,   982,   982,   828,   677,
     278,   431,   431,   534,   534,   534,   249,   357,   435,   534,
     878,   879,   435,   760,   983,   431,   804,    48,   391,   974,
     974,   972,   986,    38,   414,   194,   433,   252,   252,   249,
     151,   983,   357,   146,   671,   249,     4,     6,     7,     8,
      10,    30,    43,    45,    46,    53,    54,    57,    58,    65,
      67,    87,    88,    89,    90,    91,    92,    93,   100,   101,
     119,   135,   139,   140,   144,   158,   186,   187,   189,   206,
     214,   215,   229,   231,   235,   240,   241,   243,   251,   260,
     270,   285,   308,   323,   330,   343,   355,   356,   360,   362,
     363,   372,   378,   386,   404,   405,   406,   407,   408,   409,
     410,   411,   422,   423,   424,   431,   832,   890,   893,   896,
     897,   898,   900,   901,   902,   903,   906,   907,   911,   913,
     914,   933,   937,   956,   961,   969,   970,   980,   981,   982,
     983,   986,   983,    22,   479,   971,   972,   322,   464,   103,
     472,   983,   473,   983,    38,    59,   464,   414,   331,   766,
     252,   151,   357,   418,    38,   414,   194,   767,   431,   972,
     424,   429,   433,   962,   963,   879,   150,   152,   389,   789,
     790,   792,   150,   795,   103,   911,   966,   967,   837,   435,
     431,   796,   432,   432,   440,   972,    22,   115,   843,   843,
      48,   843,   142,   146,   210,   247,   849,   851,   852,   861,
     863,   864,   865,   845,   846,   151,   190,   878,   880,   968,
     431,   637,   963,   262,   295,   324,   433,   664,   262,   295,
     324,   262,   295,   324,   397,   442,   474,   475,   694,    18,
     120,   262,   295,   324,   382,   486,   974,   324,    18,   120,
     377,   457,   400,   166,   878,    50,    82,   138,   169,   205,
     235,   262,   295,   303,   309,   316,   324,   333,   341,   392,
     474,   476,   722,   729,   431,   711,   295,   457,   135,    18,
      24,    64,   113,   120,   123,   176,   233,   235,   245,   253,
     262,   295,   299,   324,   382,   484,   485,   592,     4,   423,
     564,   985,   166,   972,   663,   663,   431,   734,   433,   171,
     449,   295,   442,   449,   249,   262,   295,   135,    49,    95,
     173,   221,   223,   233,   261,   295,   300,   324,   335,   484,
     561,   562,   262,   295,   390,   592,   600,   135,   295,   324,
     484,   262,   295,   299,   324,    74,   112,   263,   351,   249,
      18,    24,   120,   262,   295,   324,   495,   496,   146,   295,
     324,   442,   475,   135,   295,   324,   484,   974,   208,   105,
     250,   401,   435,   765,   379,   787,   249,   980,   431,   974,
     361,    96,   347,   980,   244,   391,    62,   141,   735,   974,
     314,   974,   198,   663,   534,   281,   500,   431,   637,   638,
      60,     3,    43,    45,    46,    57,    58,   100,   101,   144,
     186,   187,   189,   229,   231,   243,   285,   325,   330,   355,
     356,   386,   887,   889,   891,   893,   895,   897,   898,   899,
     901,   902,   906,   907,   987,   990,   151,   431,   633,   974,
     442,    31,   782,   974,   235,   442,   400,   166,   972,   442,
     663,   663,   633,   375,   515,   442,   235,    38,   461,   366,
     599,   262,   575,    74,   112,   263,   351,    20,    40,   185,
     611,    31,   633,   146,   442,   391,   972,   166,   552,   972,
     972,   391,   663,    73,   700,   980,   974,   573,    44,    94,
     183,   233,   313,   135,   637,    51,   301,   487,   135,   431,
     135,   400,   135,   711,   135,   435,   166,   662,   166,   663,
     166,   663,   135,   734,   973,   135,   135,   249,   135,   487,
     135,    74,   112,   263,   351,   135,   249,   135,   146,   166,
     166,   473,   135,   435,   487,   911,   940,   347,   432,   435,
     140,   249,   363,   470,   473,   564,   802,   798,   677,   828,
     677,   828,   677,   828,   677,   828,   677,   828,   828,   828,
     677,   828,   431,   535,   536,   986,   535,    22,    97,   118,
     148,   153,   198,   199,   312,   318,   347,   349,   366,   683,
     971,   973,   682,   171,   435,   817,   983,   887,   943,    31,
     973,   972,   147,   745,   745,   745,   208,   986,   146,   146,
     683,   973,   311,   986,   473,   249,   431,   964,   429,   832,
     944,   388,   904,   911,   960,   431,   904,   904,   431,   146,
     431,   431,   431,   892,   892,   272,   832,   431,   431,   894,
     431,   431,   431,   431,    57,    58,   904,   911,   431,   892,
     431,   431,   431,   431,   431,   398,   417,   431,   908,   431,
     908,   431,   431,   832,   431,   431,   431,   431,   431,   431,
     431,   431,   911,   911,   832,   911,   940,   963,   983,    58,
     431,   905,   431,   983,     3,     8,    11,    28,    31,    36,
      42,    66,   167,   171,   192,   193,   209,   235,   238,   251,
     254,   328,   418,   419,   420,   422,   423,   424,   425,   426,
     427,   935,   937,   939,   259,   911,   190,   435,   840,   431,
     983,   963,   106,   168,   480,   435,    59,   103,   473,    31,
       3,   103,   213,   471,   564,   907,   983,   983,    78,   117,
     920,    86,   103,   467,   468,   470,   564,   103,   467,   208,
     972,   911,     3,    22,    26,    27,    28,    29,    30,    31,
      32,    35,    47,    53,    54,    60,    66,    68,    76,    83,
      87,    88,    89,    91,    92,    93,   103,   105,   111,   115,
     116,   122,   126,   130,   140,   142,   146,   148,   151,   156,
     159,   161,   171,   178,   188,   190,   201,   204,   210,   214,
     215,   235,   240,   247,   249,   250,   254,   255,   268,   276,
     290,   302,   317,   323,   332,   344,   347,   354,   357,   358,
     363,   371,   372,   378,   379,   387,   393,   394,   396,   397,
     424,   977,   989,   990,   991,   992,   993,   962,    79,   300,
     666,   432,   435,   793,   432,   435,   838,   973,    31,   796,
     834,   834,   847,   848,   911,   834,   143,   232,   858,   196,
     233,   284,   326,   377,    22,   853,   911,   854,   856,   911,
     913,   861,   862,   852,   851,   849,   850,   146,   864,   245,
     866,   849,   861,   880,   972,    31,   986,   324,   424,   943,
     262,   295,   324,   357,   357,   312,   977,   433,   357,   357,
     312,   357,   357,   349,   464,   777,   146,   156,   171,   304,
     695,   696,    60,    76,   131,   148,   276,   372,   531,   532,
      76,   103,   235,   357,    76,   357,   103,   235,   312,    76,
     113,   123,   262,   295,   629,   312,   581,    21,    54,    67,
      80,   118,   129,   148,   153,   220,   251,   312,   318,   321,
     347,   353,   366,   391,   573,   974,   135,   295,   324,   484,
     249,   564,   316,   205,   357,   357,   240,   564,   107,   191,
     312,   322,   359,   465,   301,   324,   722,   730,   171,   181,
     256,   325,   387,   432,   712,   715,   716,   717,   719,   887,
     987,   357,   378,   972,    68,   131,   522,   531,   986,    68,
     747,   249,   310,   361,    76,   747,    25,   298,   310,   361,
     972,   176,   245,   663,   431,   357,   357,   431,   490,   349,
     397,   398,   490,    76,   435,     4,   262,   135,   295,   324,
     484,   379,   379,   234,   887,   262,   324,   735,    97,   475,
     357,   444,   475,   972,   357,   357,   972,   564,    48,   563,
     564,   564,    95,   221,   223,    48,   357,   442,   312,   442,
     233,   562,   357,   357,   240,   983,   592,   878,    76,   357,
     747,   312,   357,   357,   490,   490,   663,   663,   663,   663,
     972,    37,   384,    37,    37,   357,    37,   357,   312,   435,
      93,   378,   607,   984,   357,   444,   972,   357,   312,   262,
     295,   284,   296,   320,   469,   765,   978,   986,   972,   637,
     887,   249,   400,   711,   564,   663,   663,   734,   192,   249,
      74,   112,   263,   351,   249,   663,   192,   397,   506,   338,
     339,   501,   983,     3,   639,   640,   633,   431,   889,    31,
      30,   888,    98,   164,   222,   225,   315,   412,   431,   909,
     910,   664,   892,   663,   634,   635,   989,    20,   772,   887,
     249,   135,   578,   974,   235,   431,   443,   648,   379,   288,
     391,   443,   135,   984,    83,   156,   462,   514,   558,   610,
     678,   698,   768,   983,   600,   601,   974,   216,   663,   663,
     663,   663,   245,   108,   184,   364,   377,   612,   613,   127,
     283,   431,   607,   443,   972,   560,   561,   235,    31,   245,
     431,   534,   534,   555,   972,   146,   701,   978,   431,   713,
      31,   198,   397,   398,   830,   313,   980,   487,   887,   975,
     166,   974,   980,   487,   973,   974,   135,   487,   135,   379,
     135,   379,   735,   487,   487,   973,   974,   663,   974,   974,
     974,   663,   973,   607,   135,   135,   487,   662,   663,   432,
     435,   972,   798,   800,   828,   828,   828,   828,   828,   828,
     535,   432,   435,   432,   154,   319,   348,   973,   662,    96,
     321,   687,   688,   973,   244,   973,   971,   971,   973,   662,
     357,   397,   691,    16,   133,   308,   326,   818,   878,   239,
     819,   432,   435,   805,   809,   814,   820,   831,   357,   397,
     553,   681,   680,   681,   151,   157,   692,   986,    21,    68,
      97,   118,   129,   148,   153,   199,   220,   306,   312,   318,
     347,   349,   366,   391,   573,   672,   940,   962,   430,   940,
     944,   945,   431,   393,   957,   958,   911,   940,   431,   982,
     982,   940,     3,    98,   164,   222,   225,   315,   412,   946,
     947,   983,   982,   940,   940,   982,   982,   904,   904,   911,
     735,   911,   948,   422,   423,   912,   913,   933,   937,   950,
     432,   940,   911,   940,   951,   355,   414,   982,   982,   911,
      47,   151,   204,   358,   911,   940,   954,   940,   227,   913,
     911,   918,   919,   920,   227,   911,   920,   432,   435,   324,
     982,   982,   909,   887,   911,   989,   355,    35,   344,   965,
     663,   911,   431,   832,   955,   115,   117,   140,   235,   240,
     245,   363,   373,   911,    42,   167,   171,   209,   328,   431,
     911,   357,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,    22,    29,   332,   934,   308,   431,   933,   155,
     213,   347,   350,   352,   375,   841,   972,   970,   151,   868,
      22,   115,   387,   424,   432,   717,   911,   941,   942,   987,
     972,   359,   431,   983,   435,   432,   430,   436,   165,   165,
     487,   972,   790,   791,   972,   966,   432,   431,   435,    32,
     111,   379,   707,   431,   855,   985,   326,   196,   250,   435,
     308,   309,   857,   971,   819,   862,   850,   379,   815,   103,
     431,   810,   831,   986,   431,   821,   822,   823,   824,   825,
     986,   432,   432,   357,   357,   312,   984,   974,   974,   977,
     984,   974,   974,   984,   975,   974,    75,   778,   306,   378,
     680,   312,   156,   680,   431,   974,   379,   702,   196,   196,
     379,   431,   550,   166,   974,   240,   984,   974,   974,   911,
     240,   974,   974,    25,   298,   357,   357,   974,   357,   582,
     980,   431,   663,   663,   663,   361,    96,   347,   688,   391,
      62,   141,   735,   974,   663,   974,   663,   314,   663,   663,
     198,   160,   233,   262,   295,   383,   585,   586,   587,   878,
     357,   747,   312,   240,   107,   191,   984,   974,   249,   974,
     256,   987,   432,   435,   717,   719,   716,   719,   987,   664,
     984,   973,   295,   484,   522,   887,   986,   974,   974,    22,
     378,   974,   166,   974,   166,   986,   310,   361,   310,   361,
     974,    22,   378,   974,   972,    18,   120,   324,   593,   594,
     595,   596,   989,   984,   974,   492,   493,   989,   974,   248,
      64,   248,   974,   485,   357,   972,   357,   747,   312,   976,
     986,   976,   435,   432,   435,   357,   312,   975,   984,     3,
      75,   125,   176,   267,   370,   378,   381,   445,   295,   984,
     974,   295,   324,   484,   561,   564,   663,   974,   564,   974,
     564,   984,   974,   295,   324,   484,   974,   974,   974,   974,
     984,   974,    18,    24,   120,   262,   295,   324,   262,   295,
     324,   633,   295,   324,   295,   324,   295,   886,   986,   166,
     644,   986,   166,   986,   984,   974,   974,   974,    18,   496,
     321,   984,   295,   324,   484,   974,   974,   357,   357,    72,
     369,   284,   192,    31,   663,   192,   192,   379,   379,   192,
     240,   669,   983,   663,   663,   192,   669,   248,   151,   357,
     499,   442,   418,   432,   435,   911,    30,   888,   887,   429,
     429,   357,   357,   357,   431,   357,   982,   892,   432,   435,
     418,   612,    75,   124,   202,   203,   216,   262,   349,   351,
     773,   524,   989,   974,   151,   312,   390,   579,   586,   587,
     135,   209,   516,   518,   520,   522,   528,   531,    19,   171,
     306,   345,   445,   446,   146,   976,   391,   972,   460,   986,
     461,   254,   515,   148,   983,   633,   633,   633,   633,   245,
     249,   254,   431,   633,   884,   885,   886,   321,   431,   135,
     134,   831,   663,   516,   986,   397,   398,   546,   397,   491,
      31,   534,   983,   249,   432,   714,   715,   720,    31,   198,
     303,   396,   721,   722,   723,   249,   473,   163,   163,   146,
     637,    31,   135,   487,   711,   662,   663,   976,   663,   976,
     734,   249,   487,   487,   249,   487,   321,   146,   473,   487,
     911,   432,   536,   171,   171,   171,   400,   973,   435,   564,
     565,   159,   684,   685,   984,    19,   692,   133,   326,   133,
     326,   308,   377,   224,   887,   974,    96,   233,   151,   249,
     684,    48,   487,   980,   361,   347,   980,   244,   391,   198,
     663,   432,   430,   430,   435,   940,   911,   122,   958,   959,
      31,   432,   911,   432,   432,   432,   432,   151,   432,   432,
     432,   432,   432,   435,   432,   268,   949,   432,   912,   912,
      11,   171,   192,   251,   418,   419,   420,   422,   423,   424,
     425,   426,   427,   937,   912,   432,   432,   146,   151,   952,
     953,   432,   414,   432,   432,    31,   954,   940,   954,   954,
     151,   432,   432,   989,   266,   922,    31,   432,   435,   911,
     989,   435,   911,   964,   911,   986,   432,   432,   414,   912,
     912,   128,   940,   151,   115,   117,   140,   240,   245,   363,
     373,   431,   128,   344,   965,   911,   955,   911,   357,   735,
     911,   431,   832,   350,   352,   350,   352,   972,   842,   842,
     842,   201,   431,   832,   869,   870,   871,   878,   881,   914,
     980,   986,   394,   882,   941,   941,   942,   432,   258,   926,
      13,   432,   435,   846,   766,   982,   909,   468,   911,   796,
     805,   848,   251,   935,   938,   415,   416,   708,   911,   857,
     377,   854,   869,   394,   883,   385,   811,   812,   986,   302,
     813,   825,   826,   435,   868,   418,   964,   984,   974,   974,
     210,   973,   973,   249,   973,   252,   249,   911,   532,   976,
     431,   431,   431,   550,   174,   535,   621,   135,   487,   357,
     984,   974,   473,   637,   887,   974,   400,   663,   663,   663,
     663,   734,    74,   112,   263,   351,   974,   568,   974,   160,
     383,   357,   357,   568,   585,   592,   295,   324,   484,   974,
     974,   974,   182,   240,   664,   715,   719,   719,   426,   357,
     253,   590,   120,   299,   324,   486,   592,   748,   135,   487,
     135,   487,   974,   974,   974,   974,   595,   596,   595,   432,
     435,   597,   983,   432,   435,   418,   433,   984,   295,   324,
     484,   974,   974,   974,   262,   295,   324,    18,   120,   262,
     295,   324,   887,   234,   887,   984,   974,   210,   267,   240,
     983,   267,   973,   376,   357,   357,   312,   357,   747,   312,
     357,   357,   218,   218,   218,   357,   357,   312,   357,   357,
     312,   357,   312,   357,   312,   357,   487,   887,   235,   983,
     324,   748,   135,   487,   357,   974,   357,   312,   984,   974,
     669,   887,   192,   669,   669,   976,   976,   669,   192,   192,
     669,   500,   431,   502,   503,   251,   422,   423,   564,   636,
     719,   938,   983,   993,     3,   640,   432,   429,   432,   982,
     430,   982,   164,   222,   910,   222,   910,   910,   982,   225,
     432,   635,   636,   249,   210,   418,   774,   774,   774,   774,
     774,   774,   774,    60,    66,    76,   103,   105,   178,   235,
     240,   276,   290,   372,   525,   526,   527,   134,   393,   442,
     473,   974,   473,   590,   972,   972,   432,   435,   973,   159,
     306,   973,   982,   366,   972,   534,    38,   461,   297,   347,
      96,   535,   972,   613,   641,   642,   983,   432,   435,   974,
     535,   972,   974,   553,   431,   517,   432,   248,   490,   248,
     249,   547,   490,    31,   831,   491,   357,   972,   432,   435,
     103,   418,   724,   983,   473,   347,   718,   719,   397,   723,
     725,   108,   184,   317,   377,   756,   160,   831,   487,   887,
     974,   487,   487,   379,   487,   379,   487,   487,   663,   663,
     974,   607,   487,   312,   312,   312,   973,   688,   435,   984,
     397,   435,   686,   252,   133,   133,    96,   973,   683,   487,
     984,   637,   711,   564,   663,   192,   944,   432,   354,   911,
     126,   887,   432,   911,   911,   911,   952,   887,   912,   115,
     117,   235,   245,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   911,   911,   953,   952,   908,   908,   887,
     432,   432,   432,   940,   432,   435,    48,   913,   432,   989,
     919,   273,   342,   921,   432,   435,   390,   915,    31,   432,
     905,   983,   911,    28,    28,   911,   432,   911,   151,   431,
     943,   911,   912,   912,   128,   128,   911,   432,   128,   911,
     842,   842,   842,   842,   972,   972,   972,   832,   881,   832,
     870,   871,    31,   872,   873,   986,   435,    84,   152,   180,
     195,   207,   230,   305,   875,   873,    31,   872,   874,   986,
     431,   963,   911,   159,   859,   435,   845,   846,   845,   432,
     926,   431,   927,   986,   911,   926,   983,   387,   942,   432,
     432,   430,   432,   431,   708,   432,   250,    86,   911,   813,
     432,   435,   964,   969,   432,   435,   822,   883,   966,   774,
     154,   319,   348,   367,   697,   146,   697,   432,   431,   538,
     539,   704,   914,   986,   535,   535,   621,   978,   432,   105,
     178,   233,   235,   622,   974,   974,    31,   974,   379,   379,
     663,   663,   663,   663,   664,   984,   974,   357,   747,   312,
     357,   182,   426,   366,   974,   431,   524,   235,   490,    96,
     235,   337,   340,   490,   366,   974,   986,   594,   493,   636,
     989,   357,   747,   312,   357,   357,   357,   312,   153,   251,
     340,   646,   647,   153,   251,   654,   655,   357,   357,   312,
     432,   432,   432,   985,   983,   983,   983,   974,   974,   974,
     974,   974,   974,   974,   974,   146,   146,   297,   146,   166,
     984,   974,   974,   984,   974,   974,   974,   974,   974,   974,
     974,    66,   488,   135,    20,    40,   366,   986,   974,   592,
     974,   974,   432,   669,   192,   192,   669,   669,   501,   509,
     510,   989,    44,    85,   109,   124,   128,   147,   150,   162,
     240,   248,   282,   504,   621,   982,   397,   398,   430,   430,
     432,   909,   972,   774,   103,   982,   983,   103,   983,   103,
     983,   103,   983,   103,   974,   103,   974,   103,   974,   431,
     663,   974,   912,   106,   168,   105,   240,   196,   972,   725,
     280,   625,   626,   986,   578,   431,   529,   321,   520,   973,
     973,   887,   431,   491,   984,   972,   400,   146,   614,   432,
     435,   886,   590,   432,   245,   431,   807,   519,   521,   523,
     531,   986,   546,   177,   545,    71,   349,   548,   831,   553,
     548,   983,   702,   720,   911,   911,   435,   431,   721,   633,
     357,   568,   432,   487,   976,   976,   487,   487,   321,   973,
     973,   973,   564,   156,   685,   692,   151,   192,   192,   192,
     192,   240,   673,   983,   911,   432,   432,   953,   151,   115,
     117,   245,   431,   432,   403,   917,   940,   289,    48,   395,
     395,   432,   911,   233,   911,   435,   916,   889,   909,   912,
     912,   911,   943,   432,    28,    28,   911,   911,   128,   911,
     432,   972,   972,   972,   972,   873,   874,   432,   986,   431,
     870,   195,   257,   876,   870,   876,   195,   875,   876,   195,
     431,   986,   431,   941,    48,   161,   860,   432,   432,   926,
     928,   986,   942,   926,   983,   735,   245,   831,   812,   418,
     825,   813,   985,   357,   680,   151,   621,   911,   432,   435,
     397,    66,   705,   705,   432,   432,   725,   106,   168,   176,
     105,   381,   487,   887,   976,   976,   974,   974,   974,   974,
     366,   591,   595,   240,   240,   985,   986,   887,   487,   487,
     418,   974,   974,   974,   974,   984,   974,   974,   982,   982,
     887,   435,   982,   982,   435,   984,   974,   974,   357,   973,
     973,   663,   973,   135,   663,   983,   983,   887,   487,   487,
     192,   669,   669,   379,   507,   508,   432,   435,   424,   431,
     470,   511,   564,   782,   983,   782,   235,   282,   782,   782,
     430,   153,   181,   153,   151,   620,   985,   911,   235,   526,
     725,   534,   379,   549,   980,    28,   134,   171,   516,   132,
     172,   974,   379,   535,    31,   461,   431,   974,   121,   615,
     393,   617,   983,   491,   663,   516,   553,   432,   435,   397,
     547,   431,   546,   108,   120,   273,   974,   397,   769,   151,
     431,   983,   717,   726,   727,   987,   725,   972,   179,   569,
     487,   487,   487,   974,   252,   487,   684,   673,   673,   673,
     673,   912,   151,   431,   943,   431,   432,   435,   432,   913,
     289,   432,   384,   334,   432,   432,   432,   912,   912,   911,
     872,   431,   973,   870,   249,   379,   877,   870,   195,   870,
     885,   431,   885,   986,   432,   940,   911,   396,   923,   926,
     926,   265,   929,   432,   909,   432,   828,   968,   684,   249,
     684,   432,   725,   539,   251,   735,   663,   379,   663,   706,
     706,   290,   725,   549,   432,   357,   432,   435,   488,   636,
     357,   431,   980,   735,   647,   431,   431,   655,   974,   397,
     297,   397,   397,   146,   488,   669,   442,   110,   510,   470,
     512,   513,   983,   983,   240,   424,   535,   983,   983,   688,
      31,   740,   740,   972,   621,   432,   549,   219,   537,   174,
     431,   626,   280,   431,   432,    22,    70,    77,   104,   175,
     340,   530,   530,   590,   976,   432,   831,   590,   308,   336,
     616,   431,   134,    31,   517,   432,   521,   253,   548,   971,
     547,   309,   309,    52,    60,   213,   663,   703,   704,   719,
     432,   435,   882,   568,   233,   383,   570,   571,   487,   912,
     943,   432,   918,   940,    48,   233,   413,   973,   432,   911,
     431,   870,   877,   432,   885,   432,   924,   925,   986,    48,
     845,   926,   686,   697,   487,   705,   549,   431,   663,   707,
     707,   972,   549,   621,   974,   595,   379,   489,   974,   943,
     711,   146,   650,   734,   943,   943,   662,   663,   662,   663,
     973,   487,   502,   983,   432,   435,   535,   740,    34,   170,
     146,   233,   533,   152,   264,   329,   249,   541,   542,   543,
     349,   432,   980,     5,   627,   321,   141,   649,   491,   769,
     911,   280,   831,   546,   545,   524,   432,   548,    60,   252,
      60,   432,   435,   721,   726,   116,   383,   568,   432,   432,
     432,   289,   384,   432,   973,   432,   435,    31,   940,   283,
     309,   930,   151,   706,   394,   540,   735,   708,   708,   534,
     621,   911,   432,   255,   314,   287,   651,   650,   432,   432,
     397,   513,   121,   176,   108,   377,   249,   543,   249,   542,
     974,   431,   432,   435,   974,   663,    31,    31,   432,   980,
     547,   546,   252,   252,   491,   704,   725,    23,   185,   757,
     432,   925,   927,    42,    86,   368,   911,   931,   932,   931,
     432,   684,   707,   431,   621,   432,   537,   980,    48,   651,
     663,   308,    51,   233,   301,   324,   544,   544,   432,     5,
     590,   646,   831,   431,   548,   547,   548,   236,   431,   752,
     754,   759,   809,   814,   820,   831,   932,   308,   145,   271,
     145,   271,   487,   708,   911,   541,   711,   663,   617,    17,
     103,   240,     4,   618,   619,   982,   983,   989,   548,   882,
     753,   754,   755,   832,   833,    28,   432,   621,   134,   432,
     435,   432,   434,   932,   280,   619,   755,   980,   431,   618,
     432
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   437,   438,   439,   439,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     441,   442,   442,   443,   443,   444,   444,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   446,   446,   446,   446,
     446,   446,   447,   448,   449,   449,   450,   450,   451,   452,
     453,   453,   454,   454,   455,   456,   457,   457,   458,   458,
     459,   459,   459,   459,   460,   460,   461,   461,   462,   462,
     462,   462,   462,   462,   463,   463,   463,   464,   464,   464,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   466,   466,   467,   467,   468,   468,
     469,   469,   469,   469,   470,   470,   470,   470,   471,   471,
     471,   471,   471,   471,   471,   472,   472,   472,   473,   473,
     474,   474,   474,   474,   474,   475,   475,   476,   476,   477,
     477,   477,   477,   477,   478,   479,   479,   480,   480,   481,
     482,   482,   482,   482,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   484,   484,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   486,   486,
     487,   487,   487,   488,   488,   489,   489,   490,   491,   491,
     492,   492,   493,   493,   493,   493,   494,   495,   495,   496,
     496,   496,   496,   497,   497,   498,   498,   499,   499,   500,
     500,   501,   501,   501,   502,   502,   503,   503,   504,   504,
     504,   504,   504,   504,   504,   504,   504,   504,   504,   504,
     504,   505,   505,   506,   506,   507,   507,   508,   508,   509,
     509,   510,   511,   511,   511,   511,   511,   512,   512,   513,
     514,   514,   514,   514,   515,   515,   515,   515,   515,   515,
     515,   515,   516,   516,   517,   517,   518,   518,   519,   519,
     520,   520,   520,   521,   521,   522,   523,   524,   524,   525,
     525,   525,   525,   526,   526,   526,   526,   526,   526,   526,
     527,   527,   527,   527,   528,   529,   529,   529,   530,   530,
     530,   530,   530,   530,   531,   531,   532,   532,   532,   532,
     532,   532,   532,   533,   533,   534,   534,   535,   535,   536,
     537,   537,   537,   537,   538,   538,   539,   539,   540,   540,
     541,   541,   541,   541,   541,   542,   543,   544,   544,   544,
     544,   544,   545,   545,   546,   546,   546,   546,   547,   547,
     547,   547,   548,   548,   549,   549,   550,   551,   552,   553,
     553,   553,   554,   555,   556,   556,   557,   558,   559,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   562,   562,
     562,   562,   562,   562,   562,   562,   563,   563,   564,   564,
     564,   565,   565,   566,   566,   567,   567,   568,   568,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   581,   581,   582,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   584,
     585,   585,   585,   585,   586,   586,   587,   587,   588,   588,
     589,   589,   590,   590,   591,   591,   592,   593,   593,   594,
     594,   594,   594,   595,   596,   597,   598,   599,   599,   600,
     600,   601,   601,   602,   602,   603,   603,   603,   604,   604,
     605,   605,   606,   607,   607,   607,   608,   608,   609,   610,
     610,   611,   611,   611,   612,   612,   613,   613,   613,   613,
     613,   614,   614,   615,   615,   616,   616,   617,   617,   618,
     618,   618,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   622,   622,   622,   622,   623,   623,   624,   624,
     625,   625,   626,   627,   627,   628,   629,   629,   629,   629,
     630,   631,   632,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   633,   634,   634,   635,
     635,   636,   636,   636,   636,   636,   637,   637,   638,   639,
     639,   640,   641,   641,   642,   642,   643,   643,   643,   644,
     644,   645,   646,   646,   647,   647,   647,   647,   647,   648,
     648,   649,   649,   650,   650,   650,   651,   651,   652,   653,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     659,   660,   660,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   662,   662,   663,   663,   664,   664,   665,   666,
     666,   666,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   669,   669,
     670,   670,   670,   670,   670,   671,   671,   672,   672,   672,
     672,   672,   672,   672,   672,   672,   672,   672,   672,   672,
     673,   673,   674,   674,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     676,   676,   677,   677,   678,   679,   679,   680,   680,   680,
     680,   680,   681,   681,   682,   682,   682,   682,   683,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   684,   684,   685,   685,   686,   686,
     687,   687,   688,   689,   690,   690,   691,   691,   692,   692,
     693,   694,   694,   695,   695,   695,   696,   696,   696,   697,
     697,   697,   697,   698,   699,   699,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   704,   705,   705,   706,
     706,   706,   707,   707,   707,   708,   708,   708,   709,   709,
     709,   710,   710,   711,   711,   712,   712,   713,   713,   714,
     714,   715,   715,   715,   715,   715,   716,   716,   716,   716,
     716,   717,   718,   719,   719,   719,   720,   720,   720,   721,
     721,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   723,   723,   723,   723,
     724,   724,   725,   725,   726,   727,   727,   728,   729,   729,
     730,   730,   731,   731,   732,   732,   733,   733,   734,   734,
     734,   734,   735,   735,   736,   737,   737,   738,   738,   739,
     739,   739,   740,   740,   740,   741,   742,   742,   743,   743,
     743,   744,   744,   745,   745,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   748,   748,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   751,
     752,   752,   752,   753,   753,   754,   754,   754,   754,   754,
     755,   755,   756,   756,   756,   756,   757,   757,   757,   758,
     758,   759,   760,   760,   761,   762,   762,   763,   763,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   764,   764,   764,   765,   765,   765,   765,   765,   766,
     766,   766,   767,   767,   768,   768,   768,   768,   769,   769,
     769,   769,   770,   771,   772,   772,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     779,   779,   780,   781,   781,   781,   781,   781,   781,   781,
     782,   782,   783,   784,   784,   784,   784,   784,   784,   785,
     786,   786,   786,   787,   787,   788,   788,   788,   788,   788,
     789,   789,   790,   790,   790,   790,   791,   791,   792,   792,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     797,   797,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   799,   799,   800,   801,   801,   802,   802,   802,   803,
     804,   804,   805,   805,   805,   805,   806,   806,   807,   807,
     808,   808,   808,   808,   809,   810,   810,   810,   811,   811,
     812,   813,   813,   814,   815,   815,   816,   817,   817,   818,
     818,   818,   818,   818,   818,   818,   818,   819,   819,   820,
     821,   821,   822,   822,   823,   824,   825,   826,   826,   827,
     828,   829,   829,   829,   829,   829,   830,   830,   830,   831,
     831,   832,   832,   833,   833,   833,   833,   833,   833,   833,
     833,   834,   834,   835,   835,   835,   835,   835,   835,   836,
     836,   837,   837,   838,   839,   839,   840,   840,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   842,   842,   843,
     843,   843,   844,   844,   844,   844,   845,   845,   846,   847,
     847,   848,   848,   849,   849,   849,   849,   850,   850,   851,
     851,   851,   852,   852,   853,   853,   854,   855,   855,   855,
     856,   857,   857,   858,   858,   859,   859,   860,   860,   861,
     861,   862,   862,   863,   863,   864,   865,   865,   865,   865,
     866,   866,   867,   867,   868,   868,   869,   869,   870,   870,
     870,   870,   870,   870,   870,   871,   871,   871,   871,   871,
     871,   872,   872,   872,   872,   873,   873,   874,   874,   874,
     874,   874,   875,   875,   875,   875,   876,   876,   877,   877,
     878,   878,   878,   878,   879,   879,   880,   880,   880,   881,
     882,   882,   883,   883,   883,   884,   884,   885,   885,   886,
     887,   887,   887,   887,   887,   887,   888,   888,   888,   889,
     889,   889,   889,   889,   889,   889,   890,   890,   890,   890,
     891,   891,   892,   892,   893,   893,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   894,   894,   895,   895,   896,
     896,   897,   898,   899,   899,   900,   900,   901,   902,   903,
     903,   903,   903,   903,   903,   904,   904,   905,   905,   906,
     906,   906,   906,   907,   908,   908,   908,   909,   909,   909,
     909,   909,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   910,   910,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   913,   913,   913,   913,   913,   913,
     913,   913,   913,   913,   913,   913,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   915,   915,   916,   916,
     916,   916,   917,   918,   918,   919,   919,   920,   920,   921,
     921,   921,   922,   922,   922,   922,   923,   923,   924,   924,
     925,   926,   926,   926,   927,   928,   928,   929,   929,   930,
     930,   930,   931,   931,   932,   932,   932,   932,   932,   933,
     933,   933,   934,   934,   934,   935,   935,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   937,   937,   938,   938,
     939,   939,   939,   939,   939,   939,   940,   940,   941,   941,
     942,   942,   943,   943,   944,   944,   944,   945,   945,   946,
     946,   947,   947,   947,   947,   947,   947,   947,   947,   948,
     948,   949,   950,   950,   951,   951,   951,   951,   951,   951,
     952,   953,   954,   954,   954,   955,   955,   956,   957,   957,
     958,   959,   959,   960,   960,   961,   961,   962,   962,   962,
     962,   963,   963,   964,   964,   965,   965,   966,   966,   967,
     967,   968,   969,   969,   970,   970,   970,   970,   971,   971,
     972,   972,   973,   973,   974,   975,   976,   977,   978,   979,
     980,   980,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   982,   983,   984,   985,   985,
     985,   986,   986,   986,   987,   987,   987,   988,   988,   988,
     988,   989,   989,   989,   989,   989,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     0,     3,     5,     5,     5,     4,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     5,     7,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       3,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     7,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     7,     5,     2,
       3,     0,     8,     4,     1,     0,     5,     5,     4,     6,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     6,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     5,     2,     0,     2,     7,    10,     6,     6,     6,
       6,     7,     7,     9,     9,     6,     7,     6,     8,     8,
       8,     8,     6,     6,     7,     7,     8,     6,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,    10,    13,
       5,     7,     8,     1,     1,     1,     7,     9,     8,    15,
      20,     1,     1,     2,     1,     3,     1,     1,     1,     3,
       1,     3,     0,     1,     0,     1,     1,     4,     0,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,     6,     8,    11,    13,
       1,     3,     5,     1,     3,     5,     1,     2,     2,     1,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     3,
       0,    13,     1,     3,     5,     6,     4,     7,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     5,     7,     1,     1,     1,     2,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     5,     2,
       2,     0,     6,     7,     7,     7,     8,     8,     6,     8,
       9,     9,     7,    10,     7,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     1,     3,     2,     3,     3,     3,     3,     1,     1,
       8,     9,     9,     9,     9,     2,     0,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     2,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     4,     4,     3,     4,     4,
       1,     1,     1,     0,     7,     7,    10,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     3,     2,     2,
       2,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       1,     3,     2,     6,     6,     9,     3,     0,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,    14,     1,     0,     1,     0,     1,     0,
       2,     0,     1,     3,     5,     5,     7,     2,     0,     1,
       2,     0,     1,     1,     0,     1,     1,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,     9,    11,     8,     8,
       7,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,     7,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    11,    13,     3,     4,
       4,     0,     2,     5,     2,     0,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     4,
       3,     3,     1,     0,     5,     6,     4,     2,     0,     4,
       3,     5,     6,     4,     6,     6,     5,     7,     9,     6,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     0,     5,
       3,     0,     1,     1,     1,     1,     3,     9,     3,     0,
       2,     3,     2,     3,     6,     1,     4,     2,     1,     3,
       2,     2,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     8,
       1,     3,     1,     1,     3,     5,     2,     1,     3,     7,
       1,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     1,     2,     4,     4,     4,     2,
       3,     1,     3,     6,     1,     0,     2,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     2,     3,     2,     0,     1,     3,     2,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     1,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     5,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 681 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 19525 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 688 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 19536 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 695 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 19547 "gram.c" /* yacc.c:1646  */
    break;

  case 119:
#line 819 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 19553 "gram.c" /* yacc.c:1646  */
    break;

  case 120:
#line 830 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19565 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 840 "gram.y" /* yacc.c:1646  */
    {}
#line 19571 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 841 "gram.y" /* yacc.c:1646  */
    {}
#line 19577 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19583 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19589 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19595 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19601 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19610 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 19618 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19627 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19636 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 19644 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19652 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 19660 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19668 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 897 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 19723 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 950 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 19729 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19737 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 957 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 19745 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19753 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19761 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 969 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19769 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 983 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19781 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1001 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19793 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1011 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 19799 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1012 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19805 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1017 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19817 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1025 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19829 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1043 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19841 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1055 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].str);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19853 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1076 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19864 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1083 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19875 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1102 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19886 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1109 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 19897 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1126 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19909 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1144 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 19922 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1154 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 19928 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1155 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 19934 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1168 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19945 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1175 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19956 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1192 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 19973 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1205 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 19987 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1215 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20009 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1233 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20028 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1250 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20034 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1251 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20040 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1256 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 20050 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1262 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20056 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1290 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20066 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1296 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 20076 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1302 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20086 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1311 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20098 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1319 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20110 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1331 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20122 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1339 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20134 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1347 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20145 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1354 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20156 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1361 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20167 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1369 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20182 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1380 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 20194 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1388 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20206 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1396 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20221 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1407 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20233 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1415 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20245 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1423 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 20256 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1430 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20268 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1439 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20280 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1448 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20286 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.str) = palloc(strlen((yyvsp[-2].str)) + strlen((yyvsp[0].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
				}
#line 20295 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20301 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1457 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20307 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1461 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 20313 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1463 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20319 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 20325 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1467 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 20331 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 20337 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1469 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 20343 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1473 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 20349 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 20355 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 20361 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20367 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20375 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20383 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1502 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20402 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1517 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20429 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20435 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1540 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20441 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20447 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1545 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20453 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1546 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20459 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1547 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20465 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1551 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20471 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20477 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1557 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20488 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1564 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20499 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1571 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20510 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1578 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20521 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1585 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20531 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1594 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20537 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1595 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20543 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1600 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20549 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1601 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20555 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20565 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1613 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20575 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20585 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1625 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20595 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1631 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 20605 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1641 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 20616 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1650 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20622 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1651 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 20628 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1655 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 20634 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1656 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 20640 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 20649 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1680 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20659 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1686 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20669 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1692 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20679 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1698 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 20689 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1716 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20702 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1725 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20715 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1734 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20728 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20741 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1752 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20754 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1761 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20767 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20780 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1779 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20793 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1788 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20806 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1797 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20819 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1808 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20825 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20831 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1815 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20842 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1823 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20853 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1831 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20865 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1840 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20876 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1848 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20887 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1856 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 20899 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1865 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20911 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20923 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 20935 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20948 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1902 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 20961 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1915 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20978 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1929 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20990 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1938 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21001 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1946 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21012 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1954 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21025 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1964 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21038 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1974 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 21048 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1981 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 21058 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1988 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21069 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1996 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21080 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2004 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21091 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2012 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21102 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2020 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21113 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2028 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21123 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2035 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21133 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2042 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21144 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2050 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21154 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2057 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21164 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2064 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21175 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2072 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21186 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2080 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21197 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2088 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21208 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2096 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21219 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21230 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2112 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 21243 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2122 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 21253 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2129 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21264 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2137 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21275 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2145 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21286 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2153 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21297 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2160 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 21308 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2169 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21314 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2170 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21320 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2174 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 21326 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2175 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 21332 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2176 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 21338 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2181 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 21350 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2188 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21356 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2192 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21362 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2193 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21368 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21374 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21380 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21386 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 21392 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2206 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 21398 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 21406 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 21414 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 21423 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 21431 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2240 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 21445 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21451 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2253 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21457 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2259 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 21469 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2268 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21482 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2278 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21495 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2288 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21513 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2313 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21523 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2319 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21533 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2350 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 21565 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2378 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 21588 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2399 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21594 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2400 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21600 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2404 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21606 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21612 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2414 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21618 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2415 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21624 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2416 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21630 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2419 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21636 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21642 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 21648 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21654 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21662 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21670 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 21678 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21686 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 21694 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 21702 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 21710 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 21718 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 21726 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 21734 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 21742 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 21750 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 21758 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21766 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2491 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21772 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21780 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2499 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21786 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21794 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2507 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21800 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2511 "gram.y" /* yacc.c:1646  */
    {}
#line 21806 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2512 "gram.y" /* yacc.c:1646  */
    {}
#line 21812 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 21820 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 21828 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2529 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 21836 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2535 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21842 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 21848 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 21854 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 21860 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21866 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 21874 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 21882 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2555 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21888 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2568 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21906 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2584 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21924 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2599 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21943 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2615 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21962 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2642 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21968 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2643 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21974 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2644 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21980 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21986 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2647 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 21997 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2654 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22008 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2660 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 22014 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2661 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 22020 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22026 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22032 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2670 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22038 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22044 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22052 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22060 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22068 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22076 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22082 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22088 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22094 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2703 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22100 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2704 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22106 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2708 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22128 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2728 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22149 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2747 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 22155 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22161 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2753 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22173 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2760 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22179 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22185 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2763 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22202 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2794 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22213 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22224 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2808 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22239 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22254 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2830 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22268 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2840 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22281 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2849 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 22300 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2882 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22311 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2889 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22322 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2896 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22333 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2903 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22344 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2914 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 22355 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2923 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 22361 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2924 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 22367 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2925 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 22373 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2929 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 22379 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2930 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 22385 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2931 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 22391 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2932 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 22397 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2933 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 22403 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2934 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 22409 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2944 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22421 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22427 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2956 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22444 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2970 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22462 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2984 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22480 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2999 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22498 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3013 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22516 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3029 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22536 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22558 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3065 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 22564 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3066 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 22570 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3070 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22576 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3071 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22582 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22588 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22594 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 22602 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3086 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 22610 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3090 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 22622 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3098 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 22630 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3102 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 22638 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 22644 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3110 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 22650 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3114 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 22658 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3119 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 22666 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3125 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 22672 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22678 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3137 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22684 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3139 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22690 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22696 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3143 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 22702 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3145 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22708 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3148 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22714 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22720 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3155 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 22726 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3156 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 22732 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3157 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 22738 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3158 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 22744 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3159 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 22750 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3162 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22756 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22762 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22768 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 22774 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 22780 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22786 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3174 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 22792 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3175 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 22798 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3176 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 22804 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3177 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 22810 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3180 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22816 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3181 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22822 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3184 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22828 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3185 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22834 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3188 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22840 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3204 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 22856 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 22871 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3232 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22877 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3233 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22883 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3234 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22889 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3247 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 22905 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 22920 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 22926 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 22932 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3288 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 22943 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3307 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 22956 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3319 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22968 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3327 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22980 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22986 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22992 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22998 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23004 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 23012 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 23020 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 23028 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3358 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 23036 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 23044 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 23052 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 23060 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 23068 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 23076 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3382 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 23084 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 23092 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 23100 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3395 "gram.y" /* yacc.c:1646  */
    {}
#line 23106 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3396 "gram.y" /* yacc.c:1646  */
    {}
#line 23112 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3400 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 23118 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 23127 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 23133 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 23139 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 23145 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3423 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 23161 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3436 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 23176 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3449 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23182 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3450 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23188 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 23194 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3459 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 23200 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23206 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23212 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3468 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23218 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23224 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3474 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23251 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3490 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23265 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3502 "gram.y" /* yacc.c:1646  */
    {}
#line 23271 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3503 "gram.y" /* yacc.c:1646  */
    {}
#line 23277 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3514 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-3].str);
					n->owner = (yyvsp[-2].str);
					n->location = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 23289 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3523 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23295 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3524 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23301 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3538 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 23312 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3545 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 23323 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3562 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23335 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3570 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23347 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3581 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23353 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3583 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23359 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 23367 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23375 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23383 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3608 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23394 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23400 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23406 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23414 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3638 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23428 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3648 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 23442 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3658 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23455 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3667 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23468 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3676 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23481 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3685 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 23495 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3695 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23508 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3704 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23522 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3714 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23536 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3724 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23550 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3734 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23563 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3743 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23576 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3752 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23589 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3761 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23602 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3770 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23615 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3779 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23628 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3788 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23641 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3797 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23654 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3806 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23667 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3815 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23680 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3824 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23693 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3833 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23706 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3842 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23719 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3851 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23732 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3869 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23744 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3879 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 23750 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3880 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 23756 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3881 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 23762 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3882 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 23768 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3886 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 23774 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23780 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23786 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23792 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3903 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23807 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3914 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23822 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3934 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23834 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3942 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 23846 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23852 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23858 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23866 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23874 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23880 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23888 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23896 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 23904 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3990 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 23913 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 23922 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 23930 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 23938 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4013 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23944 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4018 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23950 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4030 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23964 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4042 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23970 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4043 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23976 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4048 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23982 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4049 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23988 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4053 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23994 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24000 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4065 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24015 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4076 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24030 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4096 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24043 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4105 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24055 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4113 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24066 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4132 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24083 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4147 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24100 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4170 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24113 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4179 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24126 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4197 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24138 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4208 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24144 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4209 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24150 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4210 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 24156 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4221 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24168 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4229 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24180 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4246 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24192 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4267 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24214 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4288 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 24237 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4309 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 24243 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4310 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 24249 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4311 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 24255 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24261 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4318 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 24284 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 24290 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 24296 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 24302 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 24308 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 24314 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 24322 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4357 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 24334 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4367 "gram.y" /* yacc.c:1646  */
    {}
#line 24340 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4368 "gram.y" /* yacc.c:1646  */
    {}
#line 24346 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4372 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24352 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4373 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24358 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4377 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 24364 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4378 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24370 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24376 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24382 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24388 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4389 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 24398 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4394 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24404 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4395 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24410 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4396 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24416 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4400 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 24422 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4401 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 24428 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 24434 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4408 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 24462 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4434 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 24468 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4435 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 24474 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4436 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 24480 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4437 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 24486 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4438 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 24492 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4439 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 24498 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4445 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24513 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4456 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24528 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4480 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 24541 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4491 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 24554 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24560 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24566 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 24572 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24578 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 24584 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4522 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 24595 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4531 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 24601 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4532 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 24607 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4533 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 24613 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4534 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 24619 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4548 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 24639 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4567 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 24655 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4590 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24669 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4600 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24684 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4611 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24698 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4621 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24712 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4631 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 24727 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4642 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24740 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4651 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24751 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4658 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24762 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4665 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24775 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4674 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24788 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4683 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24801 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4692 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24814 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4701 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24827 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4710 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 24840 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24846 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24852 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24858 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4728 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 24866 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 24874 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4738 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 24880 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4739 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 24886 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4740 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 24892 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4741 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 24898 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4742 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 24904 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24910 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4746 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24916 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24922 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24928 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24934 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 24942 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4768 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24948 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4769 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24954 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24960 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 24966 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4786 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 24980 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4796 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 24994 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4806 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25008 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4817 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 25014 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4818 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25020 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4836 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25035 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25041 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25047 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4855 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25061 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4866 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25075 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4876 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 25088 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4885 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 25102 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4895 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 25113 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4903 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25119 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4904 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25125 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25131 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25137 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25143 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25149 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25155 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4917 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 25173 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4930 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25179 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4936 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25190 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4946 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25203 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4955 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25216 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25222 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25228 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4972 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25240 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4980 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25252 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4992 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25267 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5003 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25282 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5017 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25297 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5028 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25312 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5051 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25323 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5061 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25334 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5079 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25349 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5090 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25364 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5101 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25379 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25394 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5125 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25400 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5126 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25406 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5127 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25412 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5128 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 25418 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5129 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25424 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5130 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25430 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5131 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25436 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5132 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25442 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25448 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5134 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25454 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25460 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5136 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25466 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5137 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25472 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 25478 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 25484 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 25490 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5141 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 25496 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5145 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 25502 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 25508 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5149 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25514 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5150 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 25520 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25526 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25532 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5169 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25544 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5179 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25550 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5180 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 25556 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5181 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25562 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5214 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25575 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5223 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25588 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5232 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25601 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5241 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25614 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5250 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25627 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5259 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25640 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5268 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25654 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5278 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25667 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5287 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25680 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5296 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25693 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5305 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25706 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5314 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25719 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5323 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25732 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5334 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 25738 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5335 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 25744 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5336 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25750 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5337 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25756 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5338 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25762 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5339 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25768 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5340 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25774 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25780 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5342 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25786 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 25792 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25798 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5345 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25804 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5346 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 25810 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25816 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 25822 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25828 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 25834 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5351 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 25840 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5352 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25846 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 25852 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 25858 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 25864 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 25870 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25876 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25882 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5377 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25896 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5388 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25910 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5399 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25924 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5410 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25938 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5421 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25952 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5432 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5433 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25964 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5437 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 25970 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5438 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 25976 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5439 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25982 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25988 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5441 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25994 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5442 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26000 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5443 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26006 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5444 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26012 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26018 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26024 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26030 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26036 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5449 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26042 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26048 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26054 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5464 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26064 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5470 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26074 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5478 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26086 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5486 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26098 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5494 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26110 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5502 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26122 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5510 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26134 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5518 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 26146 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5526 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26158 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5534 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26170 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5542 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26182 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5550 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26194 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5558 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26206 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5566 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26218 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5574 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26230 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5582 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26242 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5590 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26254 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5598 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26266 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5607 "gram.y" /* yacc.c:1646  */
    {}
#line 26272 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5608 "gram.y" /* yacc.c:1646  */
    {}
#line 26278 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5611 "gram.y" /* yacc.c:1646  */
    {}
#line 26284 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5612 "gram.y" /* yacc.c:1646  */
    {}
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5624 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26306 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5640 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26323 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5654 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26340 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26346 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26352 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5683 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26358 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5685 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26369 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5692 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26380 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 26386 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 26392 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5705 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26403 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5712 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26414 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5719 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26425 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5726 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26436 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5740 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26448 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5748 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26460 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5756 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26472 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5764 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26484 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5772 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26496 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5780 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26508 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5788 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26520 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5796 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26532 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5804 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26544 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5812 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26556 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5820 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26568 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5828 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26580 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5836 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26592 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5844 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26604 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5852 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26616 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5860 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26628 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5871 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26634 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26640 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5876 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26654 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5886 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26668 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5899 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26674 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5900 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26680 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5904 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 26686 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 26692 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5911 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 26703 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5927 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 26717 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5940 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26731 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5950 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26745 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5961 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26751 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5962 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26757 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5965 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26763 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5966 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26769 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5977 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 26780 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26786 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26792 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5992 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 26800 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5996 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26808 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26816 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6012 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26832 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6025 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26849 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6039 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26866 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6054 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 26872 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6055 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 26878 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6056 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 26884 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6057 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 26890 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6072 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 26916 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6096 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26922 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6097 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26928 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6101 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26934 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6102 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26940 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6106 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26946 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6107 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26952 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6111 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26958 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6112 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 26964 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6115 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 26970 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 26976 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6125 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 26991 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27006 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27021 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27027 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27033 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27039 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27045 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27051 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6168 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 27057 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6169 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6170 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 27069 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 27075 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6174 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 27081 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6193 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27102 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6205 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27118 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6218 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27133 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6231 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27139 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6232 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27145 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27151 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27157 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27163 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27169 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27175 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27181 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27187 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27193 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6271 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27206 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6280 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6289 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27232 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6298 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27245 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6307 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27258 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6318 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 27264 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6319 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 27270 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6320 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27276 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6321 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27282 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6322 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 27288 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6333 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 27300 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 27306 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6349 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27316 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27327 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 27335 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27344 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6374 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27353 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27359 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27365 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 27373 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27381 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27389 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 27397 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 27405 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 27413 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27421 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27429 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27437 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27445 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 27453 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 27461 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 27469 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 27477 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6448 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 27486 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 27494 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27502 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 27510 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27518 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27524 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 27532 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27538 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27544 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6486 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 27565 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 27573 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6517 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 27584 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6527 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27590 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27596 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6550 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27611 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6561 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27626 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6575 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27641 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6586 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27656 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6600 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27671 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6611 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27686 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6625 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 27698 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 27704 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6635 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 27710 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 27716 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27722 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6644 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 27728 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6657 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27738 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27744 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27750 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 27758 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27766 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6688 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27780 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6699 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27794 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6710 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 27808 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 27814 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 27820 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 27826 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6728 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27841 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6740 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27847 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6741 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27853 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6756 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27865 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6764 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 27879 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6774 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 27893 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6786 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 27899 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6787 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27905 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6790 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 27911 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6791 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 27917 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6802 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27931 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6812 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27944 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6821 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27957 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6830 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27970 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6839 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27983 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6848 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27997 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6858 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28010 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6867 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28024 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6877 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28037 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6886 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28050 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6895 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28064 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6905 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28078 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6915 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28091 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6924 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28104 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6933 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28118 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6943 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28132 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6953 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28146 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6963 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28160 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6973 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28174 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6983 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28188 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6993 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28202 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7003 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28216 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7013 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28230 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7023 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28244 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7033 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28258 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7043 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28272 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7053 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28287 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7064 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28302 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7075 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28317 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7086 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7097 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28346 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7107 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28361 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7118 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28376 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7129 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28390 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7139 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28404 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28416 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7157 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28429 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7166 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28442 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7175 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28455 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7184 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 28468 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7193 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 28481 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7202 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28494 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7211 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28507 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7220 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28520 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7229 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28533 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7238 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28546 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7247 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28562 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7260 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 28568 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7261 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28574 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7264 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 28580 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7265 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28586 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7276 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28600 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7286 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28613 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7295 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28626 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7304 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28639 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7313 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28652 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7322 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28666 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7332 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28680 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7342 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28694 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7352 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28708 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7362 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28721 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7371 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28734 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7380 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28747 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7389 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28760 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7398 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28773 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7407 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7416 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28799 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7425 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28812 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7434 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28825 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7443 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28838 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7452 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28851 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7461 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28864 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7470 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28877 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7479 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28890 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7488 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28903 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7505 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28916 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7514 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28928 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7522 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28940 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28952 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7538 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28964 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7546 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28977 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7555 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28989 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7563 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29001 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7571 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29014 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7580 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29027 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7589 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29040 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7598 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29052 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7606 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29064 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29076 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7622 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29088 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7630 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7638 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29112 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7646 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29124 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7654 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29136 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7673 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29152 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29158 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29164 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29170 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7695 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 29180 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7701 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 29190 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29196 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7718 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29202 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 29208 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 29214 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 29220 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 29226 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7728 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29232 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7729 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29238 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7730 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29244 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7736 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29259 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7747 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29274 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7769 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29285 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7778 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29291 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7779 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29297 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7783 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29307 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7792 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29317 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7798 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7817 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29338 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29349 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29360 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29371 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7845 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29382 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7852 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29393 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29405 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7867 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29417 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7875 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29429 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7883 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29441 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7891 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29453 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29464 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7906 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29475 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7913 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29486 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7921 "gram.y" /* yacc.c:1646  */
    {}
#line 29492 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7922 "gram.y" /* yacc.c:1646  */
    {}
#line 29498 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7923 "gram.y" /* yacc.c:1646  */
    {}
#line 29504 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7928 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 29511 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7931 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7934 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 29525 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7937 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 29532 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7940 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 29539 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7947 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29545 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29551 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29557 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7957 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29563 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7971 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29593 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7995 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = false;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 29608 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8007 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = true;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 29623 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8021 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29633 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8027 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29643 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8033 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29653 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29659 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8049 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29669 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8065 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29680 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8074 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29686 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29692 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 29700 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 29708 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 29716 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8092 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 29724 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 29732 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 29740 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 29748 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8108 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29756 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8112 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 29764 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 29772 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 29780 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 29788 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8128 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 29796 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29804 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 29812 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 29820 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8149 "gram.y" /* yacc.c:1646  */
    {}
#line 29826 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8150 "gram.y" /* yacc.c:1646  */
    {}
#line 29832 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 29843 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 29855 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8180 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 29866 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29872 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29878 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29886 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8210 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29897 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8217 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29908 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8234 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29921 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8247 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29933 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8256 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 29944 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8264 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 29955 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8272 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29967 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8281 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29981 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8292 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29995 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8303 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30007 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8312 "gram.y" /* yacc.c:1646  */
    {}
#line 30013 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8313 "gram.y" /* yacc.c:1646  */
    {}
#line 30019 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8325 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30030 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8335 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30044 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8345 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30058 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8355 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8365 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30086 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8375 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 30098 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8383 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 30110 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30124 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8427 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30136 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8435 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30148 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8444 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30160 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8454 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30166 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8455 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30172 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8468 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30190 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8482 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30208 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8496 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 30224 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30240 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8520 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 30258 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8536 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30264 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8537 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8541 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 30276 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8542 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 30282 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8543 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 30288 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8544 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30310 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8561 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30326 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8575 "gram.y" /* yacc.c:1646  */
    {}
#line 30332 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8576 "gram.y" /* yacc.c:1646  */
    {}
#line 30338 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30344 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8581 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30350 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8584 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30356 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8585 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30362 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8588 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30368 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8589 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30374 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8593 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30380 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8608 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30397 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8615 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30411 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8625 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30422 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30433 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30441 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30449 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 30457 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8671 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30463 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8672 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8676 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30475 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 30481 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8678 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30487 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8689 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30499 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30505 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8717 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30522 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8725 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30541 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30547 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30553 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8753 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 30563 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8759 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 30573 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8765 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 30583 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8771 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 30593 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8787 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 30604 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 30614 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 30624 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8809 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 30634 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30640 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 30646 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 30658 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30664 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30670 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8849 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 30684 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30690 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30696 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8874 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30709 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8884 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 30715 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8885 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 30721 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8888 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 30727 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8889 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 30733 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 30739 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 30745 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8892 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 30751 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8893 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 30757 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8894 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 30763 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8895 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 30769 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8898 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8899 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30781 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8915 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 30796 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30802 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 30808 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30814 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30820 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 30829 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8947 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 30858 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 30870 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30876 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 30882 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8997 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30895 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9007 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30901 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30907 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9011 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 30913 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9012 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 30919 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9013 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 30925 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9014 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 30931 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9017 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30937 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9018 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 30943 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9019 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30949 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9072 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30955 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9073 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30961 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30967 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9090 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 30978 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9097 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9105 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31002 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9113 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9121 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 31026 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9129 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31038 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9137 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9147 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31056 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9148 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31062 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9178 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31079 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9190 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31085 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9192 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 31108 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31116 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31124 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31132 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9234 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 31143 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9241 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 31154 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31160 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31166 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9255 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 31179 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9266 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 31185 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9267 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 31191 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9272 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 31206 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9283 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 31212 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9292 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31221 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9297 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31230 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9302 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31239 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9312 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31260 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9320 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31272 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31290 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31299 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9344 "gram.y" /* yacc.c:1646  */
    {}
#line 31305 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9345 "gram.y" /* yacc.c:1646  */
    {}
#line 31311 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9348 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31317 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9349 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31323 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9350 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31329 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 31335 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31341 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31347 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31353 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 31359 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31365 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31371 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 31377 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 31383 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 31396 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9387 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 31409 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 31415 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9400 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 31421 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 31427 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 31433 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31439 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 31445 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9412 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31451 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9414 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9424 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 31470 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9429 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31476 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9432 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31482 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9436 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31488 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9438 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 31497 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9445 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31503 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9455 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 31509 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9456 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9457 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 31521 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31527 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9469 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31533 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9470 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31539 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9473 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9474 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31551 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31557 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31563 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9484 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31569 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9485 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31581 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31587 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9494 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31593 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9495 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31605 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9505 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 31629 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 31641 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 31647 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31653 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9529 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31669 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9535 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31679 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31685 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9553 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31691 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31697 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31703 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9565 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 31712 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9570 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31725 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9579 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = true;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31738 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9588 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9623 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same coment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 31806 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 31814 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9652 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 31823 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 31831 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9682 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 31847 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9694 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 31864 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9707 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 31882 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9721 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 31897 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9732 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 31913 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 31923 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9753 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 31932 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 31942 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9770 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 31957 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9771 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 31963 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 31971 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 31979 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9788 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 31989 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9794 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 31999 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 32007 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9805 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 32013 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9806 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 32019 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9807 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 32025 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9808 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 32031 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9812 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32037 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32043 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9825 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32049 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32055 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9832 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 32066 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9839 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 32077 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9846 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32088 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9853 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32099 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 32105 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 32111 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9878 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 32119 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9882 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 32130 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9889 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 32141 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9898 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32147 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9904 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32159 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32165 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9911 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 32177 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9918 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32183 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32189 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32195 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9929 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32203 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32211 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9939 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32232 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 32241 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9973 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 32251 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 32260 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 32270 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9991 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 32279 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9996 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 32289 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10005 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 32295 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10007 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 32301 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10009 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 32307 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10013 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32313 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10014 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32319 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10015 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32325 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10016 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32331 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10017 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32337 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10019 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 32346 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 32366 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10053 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32372 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10054 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32378 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10055 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32384 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10056 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32390 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 32410 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32416 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32431 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32440 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32449 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10109 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32467 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32476 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32485 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32495 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32505 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32515 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32524 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 32549 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 32557 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10180 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32565 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10184 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32573 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32581 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 32590 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10204 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32603 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10216 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32621 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32629 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32645 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10251 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 32660 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10264 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-4].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-4].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-4].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32681 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10283 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-1].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-1].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-1].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32706 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10306 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32712 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10308 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32718 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10310 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10312 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32730 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10314 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32736 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32742 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10320 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32748 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10321 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32754 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10325 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32760 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10326 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32766 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32779 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32791 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10351 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32804 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10360 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10378 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10379 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10380 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32843 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 32855 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 32861 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 32867 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 32873 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32879 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 32888 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 32897 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10407 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 32907 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32919 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 32928 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32949 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32955 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 32963 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 32972 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32978 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10479 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 32984 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10481 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32996 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10489 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[0].node), (yyvsp[-4].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10511 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33019 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10513 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 33025 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33031 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33037 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10519 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10521 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33049 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10523 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33055 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10525 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33061 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10527 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33073 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10531 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10534 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33085 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33091 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 33097 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33103 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33109 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33115 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10550 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33138 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33144 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10565 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33161 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33167 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10580 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33184 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33190 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10595 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33207 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10609 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10622 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33241 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10635 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33258 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10648 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 33275 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10671 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33286 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10678 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33297 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10685 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33308 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10692 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33319 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[-2].list), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10703 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33338 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33349 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10717 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33360 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10724 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10731 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33382 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10738 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33393 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 33401 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 33413 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 33421 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10761 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 33429 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33440 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10778 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10785 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33468 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10798 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 33485 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 33508 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10830 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 33533 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10851 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10861 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 33558 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10868 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 33578 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 33587 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10889 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 33598 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10907 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33604 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 33610 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33616 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10913 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 33622 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10915 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33628 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10917 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33634 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10919 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33640 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10921 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10923 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33658 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10927 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33664 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33670 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33676 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33682 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10935 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33688 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 33694 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 33702 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10943 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 33719 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 33727 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 33747 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33753 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33759 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10980 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 33778 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10995 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 33794 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11007 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33800 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11009 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33806 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11011 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33820 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11021 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 33847 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11044 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33861 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11054 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33875 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11064 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33887 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11072 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 33900 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11091 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-3].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11104 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33934 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11117 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = list_make1((yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 33951 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11130 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-7].list);
					n->args = lappend((yyvsp[-5].list), (yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *)n;
				}
#line 33968 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11143 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 33985 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11156 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34006 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11173 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34023 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11186 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34050 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11209 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34067 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11222 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[0]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
#line 34092 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11243 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[0]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
#line 34106 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11253 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[-3]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
#line 34123 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11266 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34144 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11283 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[-3]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11296 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[0]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
#line 34175 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11306 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[-3]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
#line 34192 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11319 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[0]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
#line 34206 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11329 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[-3]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
#line 34223 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11342 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34240 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11355 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34257 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11368 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34274 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11381 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34291 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11394 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34308 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11407 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34325 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11420 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 34331 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11422 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34348 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11435 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34370 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11453 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34388 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11467 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34408 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11483 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[-3].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34434 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11505 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34454 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11521 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34471 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11534 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34488 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11547 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34505 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 34513 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11564 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 34524 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11571 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 34536 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11579 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 34548 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 34556 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 34564 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 34572 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 34580 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 34588 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11607 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 34615 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11626 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 34628 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 34636 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 34644 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 34653 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11648 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34666 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11662 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34672 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11664 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 34678 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11668 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 34684 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11670 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 34690 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11672 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 34696 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11674 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 34702 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34708 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 34714 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 34720 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 34732 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 34744 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11702 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 34750 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11703 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 34756 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11706 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34762 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11707 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11708 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34774 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34782 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34790 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34806 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11736 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34812 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34818 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 34824 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 34830 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11748 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 34840 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11756 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 34846 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11758 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 34863 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11771 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 34869 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11776 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 34887 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11801 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34893 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34899 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34905 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34911 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11818 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 34933 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11836 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 34943 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11842 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34955 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11852 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 34976 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11869 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 35017 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11914 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35029 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11922 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35041 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11930 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35053 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11938 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35065 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11946 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35077 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35083 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35089 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 35095 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11971 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35101 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11972 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35107 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11973 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 35113 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11976 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35119 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11977 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35125 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11980 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 35131 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11981 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 35137 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11982 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 35143 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11983 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 35149 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11984 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 35155 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11985 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 35161 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11986 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 35167 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11987 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 35173 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11988 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 35179 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35185 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35191 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35197 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35203 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35209 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35215 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 35221 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 35227 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 35233 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 35239 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35247 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12032 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35255 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12039 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35263 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35271 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12049 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35279 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12053 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 35292 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35312 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12072 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35320 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 35328 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35340 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 35348 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12098 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35360 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 35372 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12101 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 35378 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12102 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 35384 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12103 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 35390 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12104 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 35396 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12105 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35402 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35410 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35418 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12127 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35424 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 35430 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12134 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35436 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35444 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12155 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 35453 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35461 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12164 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 35480 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12179 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 35488 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35494 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12187 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35500 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12190 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35506 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 35512 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35518 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35524 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12199 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 35535 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12205 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 35541 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12216 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 35555 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35561 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35567 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12235 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 35579 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12245 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35585 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35591 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12249 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35597 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35603 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 35611 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 35619 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 35627 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12269 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 35635 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12273 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 35646 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12280 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35663 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12290 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35669 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12294 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35675 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35681 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 35687 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12312 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 35697 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35703 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35709 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35715 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35721 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35727 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 35739 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35751 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 35763 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12377 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 35779 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 35785 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 35799 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12415 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 35828 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35834 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12444 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35840 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12448 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35846 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12451 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35852 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12454 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35858 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12456 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35864 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12458 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35870 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12460 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35876 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35882 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12473 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 35891 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 35899 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35907 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35915 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35923 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12500 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35936 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12509 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 35947 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12516 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-4].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[-2].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[-2].list);
					t->location = (yylsp[-4]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 35976 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 35984 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12545 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 35994 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12551 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36015 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12568 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 36023 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12572 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 36031 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36039 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12581 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36045 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12582 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36051 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36057 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12585 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36063 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12586 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 36069 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12587 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 36075 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12603 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36081 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12604 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36087 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12605 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36093 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12610 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36099 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12611 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36105 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12612 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36111 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36117 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12618 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36123 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12619 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36129 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12620 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36135 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12626 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36141 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36147 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12628 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36153 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12629 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36159 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12630 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36165 "gram.c" /* yacc.c:1646  */
    break;


#line 36169 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13088 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"
