/* A Bison parser, made by GNU Bison 3.0.1.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 630 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FIRST_P = 475,
    FLOAT_P = 476,
    FOLLOWING = 477,
    FOR = 478,
    FORCE = 479,
    FOREIGN = 480,
    FORWARD = 481,
    FREEZE = 482,
    FROM = 483,
    FULL = 484,
    FUNCTION = 485,
    FUNCTIONS = 486,
    GLOBAL = 487,
    GRANT = 488,
    GRANTED = 489,
    GREATEST = 490,
    GROUP_P = 491,
    HANDLER = 492,
    HAVING = 493,
    HEADER_P = 494,
    HOLD = 495,
    HOUR_P = 496,
    IDENTITY_P = 497,
    IF_P = 498,
    ILIKE = 499,
    IMMEDIATE = 500,
    IMMUTABLE = 501,
    IMPLICIT_P = 502,
    IN_P = 503,
    INCLUDING = 504,
    INCREMENT = 505,
    INDEX = 506,
    INDEXES = 507,
    INHERIT = 508,
    INHERITS = 509,
    INITIALLY = 510,
    INLINE_P = 511,
    INNER_P = 512,
    INOUT = 513,
    INPUT_P = 514,
    INSENSITIVE = 515,
    INSERT = 516,
    INSTEAD = 517,
    INT_P = 518,
    INTEGER = 519,
    INTERSECT = 520,
    INTERVAL = 521,
    INTO = 522,
    INVOKER = 523,
    IS = 524,
    ISNULL = 525,
    ISOLATION = 526,
    JOIN = 527,
    KEY = 528,
    LABEL = 529,
    LANGUAGE = 530,
    LARGE_P = 531,
    LAST_P = 532,
    LATERAL_P = 533,
    LC_COLLATE_P = 534,
    LC_CTYPE_P = 535,
    LEADING = 536,
    LEAKPROOF = 537,
    LEAST = 538,
    LEFT = 539,
    LEVEL = 540,
    LIKE = 541,
    LIMIT = 542,
    LISTEN = 543,
    LOAD = 544,
    LOCAL = 545,
    LOCALTIME = 546,
    LOCALTIMESTAMP = 547,
    LOCATION = 548,
    LOCK_P = 549,
    MAPPING = 550,
    MATCH = 551,
    MATERIALIZED = 552,
    MAXVALUE = 553,
    MINUTE_P = 554,
    MINVALUE = 555,
    MODE = 556,
    MONTH_P = 557,
    MOVE = 558,
    NAME_P = 559,
    NAMES = 560,
    NATIONAL = 561,
    NATURAL = 562,
    NCHAR = 563,
    NEXT = 564,
    NO = 565,
    NONE = 566,
    NOT = 567,
    NOTHING = 568,
    NOTIFY = 569,
    NOTNULL = 570,
    NOWAIT = 571,
    NULL_P = 572,
    NULLIF = 573,
    NULLS_P = 574,
    NUMERIC = 575,
    OBJECT_P = 576,
    OF = 577,
    OFF = 578,
    OFFSET = 579,
    OIDS = 580,
    ON = 581,
    ONLY = 582,
    OPERATOR = 583,
    OPTION = 584,
    OPTIONS = 585,
    OR = 586,
    ORDER = 587,
    OUT_P = 588,
    OUTER_P = 589,
    OVER = 590,
    OVERLAPS = 591,
    OVERLAY = 592,
    OWNED = 593,
    OWNER = 594,
    PARSER = 595,
    PARTIAL = 596,
    PARTITION = 597,
    PASSING = 598,
    PASSWORD = 599,
    PLACING = 600,
    PLANS = 601,
    POSITION = 602,
    PRECEDING = 603,
    PRECISION = 604,
    PRESERVE = 605,
    PREPARE = 606,
    PREPARED = 607,
    PRIMARY = 608,
    PRIOR = 609,
    PRIVILEGES = 610,
    PROCEDURAL = 611,
    PROCEDURE = 612,
    PROGRAM = 613,
    QUOTE = 614,
    RANGE = 615,
    READ = 616,
    REAL = 617,
    REASSIGN = 618,
    RECHECK = 619,
    RECURSIVE = 620,
    REF = 621,
    REFERENCES = 622,
    REFRESH = 623,
    REINDEX = 624,
    RELATIVE_P = 625,
    RELEASE = 626,
    RENAME = 627,
    REPEATABLE = 628,
    REPLACE = 629,
    REPLICA = 630,
    RESET = 631,
    RESTART = 632,
    RESTRICT = 633,
    RETURNING = 634,
    RETURNS = 635,
    REVOKE = 636,
    RIGHT = 637,
    ROLE = 638,
    ROLLBACK = 639,
    ROW = 640,
    ROWS = 641,
    RULE = 642,
    SAVEPOINT = 643,
    SCHEMA = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETOF = 657,
    SHARE = 658,
    SHOW = 659,
    SIMILAR = 660,
    SIMPLE = 661,
    SMALLINT = 662,
    SNAPSHOT = 663,
    SOME = 664,
    STABLE = 665,
    STANDALONE_P = 666,
    START = 667,
    STATEMENT = 668,
    STATISTICS = 669,
    STDIN = 670,
    STDOUT = 671,
    STORAGE = 672,
    STRICT_P = 673,
    STRIP_P = 674,
    SUBSTRING = 675,
    SYMMETRIC = 676,
    SYSID = 677,
    SYSTEM_P = 678,
    TABLE = 679,
    TABLES = 680,
    TABLESPACE = 681,
    TEMP = 682,
    TEMPLATE = 683,
    TEMPORARY = 684,
    TEXT_P = 685,
    THEN = 686,
    TIME = 687,
    TIMESTAMP = 688,
    TO = 689,
    TRAILING = 690,
    TRANSACTION = 691,
    TREAT = 692,
    TRIGGER = 693,
    TRIM = 694,
    TRUE_P = 695,
    TRUNCATE = 696,
    TRUSTED = 697,
    TYPE_P = 698,
    TYPES_P = 699,
    UNBOUNDED = 700,
    UNCOMMITTED = 701,
    UNENCRYPTED = 702,
    UNION = 703,
    UNIQUE = 704,
    UNKNOWN = 705,
    UNLISTEN = 706,
    UNLOGGED = 707,
    UNTIL = 708,
    UPDATE = 709,
    USER = 710,
    USING = 711,
    VACUUM = 712,
    VALID = 713,
    VALIDATE = 714,
    VALIDATOR = 715,
    VALUE_P = 716,
    VALUES = 717,
    VARCHAR = 718,
    VARIADIC = 719,
    VARYING = 720,
    VERBOSE = 721,
    VERSION_P = 722,
    VIEW = 723,
    VOLATILE = 724,
    WHEN = 725,
    WHERE = 726,
    WHITESPACE_P = 727,
    WINDOW = 728,
    WITH = 729,
    WITHOUT = 730,
    WORK = 731,
    WRAPPER = 732,
    WRITE = 733,
    XML_P = 734,
    XMLATTRIBUTES = 735,
    XMLCONCAT = 736,
    XMLELEMENT = 737,
    XMLEXISTS = 738,
    XMLFOREST = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    YEAR_P = 744,
    YES_P = 745,
    ZONE = 746,
    NULLS_FIRST = 747,
    NULLS_LAST = 748,
    WITH_TIME = 749,
    POSTFIXOP = 750,
    UMINUS = 751
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 564 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1182 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1211 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   107764

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  699
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2791
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5104

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1477,  1477,  1480,  1482,  1484,  1486,  1488,  1490,  1492,
    1494,  1496,  1498,  1500,  1502,  1504,  1506,  1508,  1510,  1512,
    1514,  1516,  1518,  1520,  1522,  1524,  1526,  1528,  1530,  1532,
    1534,  1552,  1554,  1556,  1558,  1560,  1562,  1564,  1566,  1568,
    1570,  1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,
    1590,  1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,
    1610,  1612,  1616,  1618,  1620,  1622,  1624,  1626,  1628,  1630,
    1632,  1634,  1636,  1638,  1640,  1642,  1644,  1646,  1648,  1650,
    1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,
    1672,  1674,  1676,  1678,  1680,  1682,  1684,  1691,  1693,  1695,
    1697,  1699,  1701,  1703,  1705,  1707,  1709,  1711,  1713,  1719,
    1721,  1723,  1725,  1727,  1729,  1731,  1733,  1735,  1741,  1751,
    1755,  1761,  1765,  1775,  1785,  1786,  1800,  1807,  1813,  1824,
    1830,  1839,  1846,  1852,  1861,  1868,  1876,  1881,  1889,  1894,
    1900,  1905,  1911,  1916,  1922,  1926,  1930,  1934,  1938,  1942,
    1946,  1950,  1954,  1962,  1966,  1970,  1974,  1978,  1982,  1990,
    1998,  2007,  2009,  2017,  2021,  2029,  2037,  2045,  2049,  2057,
    2061,  2069,  2077,  2085,  2089,  2097,  2101,  2109,  2113,  2117,
    2122,  2131,  2136,  2142,  2147,  2153,  2157,  2161,  2165,  2169,
    2173,  2181,  2185,  2189,  2197,  2201,  2205,  2213,  2217,  2221,
    2225,  2229,  2233,  2237,  2242,  2246,  2250,  2254,  2258,  2262,
    2266,  2274,  2278,  2286,  2290,  2298,  2302,  2316,  2320,  2324,
    2328,  2336,  2340,  2344,  2348,  2356,  2360,  2364,  2368,  2372,
    2376,  2380,  2388,  2392,  2397,  2403,  2407,  2415,  2419,  2423,
    2427,  2431,  2439,  2443,  2451,  2455,  2463,  2467,  2471,  2475,
    2479,  2488,  2496,  2500,  2508,  2512,  2520,  2528,  2532,  2536,
    2540,  2548,  2552,  2556,  2560,  2564,  2568,  2572,  2576,  2580,
    2584,  2592,  2596,  2604,  2608,  2612,  2616,  2620,  2624,  2628,
    2632,  2636,  2640,  2644,  2648,  2652,  2656,  2660,  2664,  2668,
    2672,  2676,  2680,  2684,  2688,  2692,  2696,  2700,  2704,  2708,
    2712,  2716,  2720,  2724,  2728,  2732,  2736,  2740,  2744,  2748,
    2752,  2756,  2760,  2764,  2768,  2776,  2780,  2788,  2792,  2797,
    2803,  2808,  2814,  2819,  2825,  2833,  2838,  2844,  2848,  2856,
    2860,  2864,  2868,  2876,  2884,  2888,  2896,  2900,  2904,  2908,
    2916,  2921,  2929,  2937,  2945,  2949,  2957,  2962,  2968,  2972,
    2976,  2984,  2988,  2996,  3001,  3007,  3011,  3015,  3019,  3023,
    3027,  3031,  3035,  3039,  3043,  3047,  3051,  3055,  3063,  3068,
    3074,  3079,  3085,  3090,  3096,  3101,  3107,  3111,  3119,  3127,
    3131,  3135,  3139,  3144,  3150,  3154,  3162,  3170,  3174,  3178,
    3182,  3190,  3194,  3198,  3202,  3206,  3210,  3214,  3219,  3225,
    3230,  3236,  3241,  3247,  3251,  3259,  3263,  3271,  3275,  3279,
    3287,  3291,  3299,  3307,  3315,  3320,  3326,  3330,  3334,  3338,
    3346,  3350,  3354,  3358,  3362,  3366,  3370,  3378,  3382,  3386,
    3390,  3398,  3406,  3410,  3415,  3421,  3425,  3429,  3433,  3437,
    3441,  3449,  3453,  3461,  3465,  3469,  3473,  3477,  3481,  3485,
    3493,  3498,  3504,  3509,  3515,  3519,  3527,  3535,  3539,  3544,
    3549,  3555,  3559,  3567,  3571,  3579,  3584,  3590,  3594,  3598,
    3602,  3607,  3613,  3621,  3629,  3633,  3637,  3641,  3645,  3653,
    3658,  3664,  3668,  3672,  3677,  3683,  3687,  3691,  3696,  3702,
    3707,  3713,  3718,  3724,  3732,  3740,  3744,  3749,  3755,  3763,
    3771,  3776,  3782,  3790,  3798,  3802,  3810,  3815,  3821,  3825,
    3833,  3837,  3841,  3845,  3849,  3853,  3857,  3861,  3865,  3869,
    3873,  3877,  3885,  3890,  3896,  3900,  3904,  3912,  3916,  3924,
    3928,  3936,  3941,  3947,  3951,  3959,  3964,  3970,  3974,  3982,
    3987,  3993,  3997,  4005,  4010,  4016,  4024,  4029,  4035,  4039,
    4047,  4051,  4059,  4064,  4070,  4074,  4078,  4086,  4094,  4099,
    4105,  4113,  4117,  4121,  4125,  4129,  4133,  4137,  4141,  4145,
    4149,  4153,  4157,  4161,  4165,  4169,  4173,  4177,  4181,  4185,
    4189,  4193,  4197,  4201,  4205,  4213,  4221,  4225,  4229,  4233,
    4241,  4245,  4253,  4258,  4264,  4268,  4276,  4280,  4288,  4293,
    4299,  4303,  4311,  4319,  4323,  4331,  4335,  4339,  4343,  4351,
    4359,  4367,  4375,  4383,  4388,  4394,  4398,  4406,  4411,  4417,
    4421,  4429,  4433,  4437,  4445,  4449,  4457,  4461,  4469,  4477,
    4481,  4485,  4493,  4497,  4505,  4513,  4517,  4525,  4529,  4533,
    4541,  4545,  4553,  4557,  4561,  4565,  4569,  4577,  4582,  4588,
    4593,  4599,  4603,  4611,  4616,  4622,  4626,  4631,  4637,  4641,
    4645,  4649,  4657,  4662,  4669,  4671,  4679,  4683,  4687,  4691,
    4695,  4699,  4707,  4711,  4719,  4723,  4731,  4735,  4743,  4751,
    4755,  4763,  4771,  4775,  4779,  4783,  4791,  4800,  4809,  4813,
    4817,  4821,  4825,  4829,  4833,  4837,  4841,  4845,  4849,  4853,
    4857,  4861,  4869,  4877,  4881,  4889,  4893,  4901,  4905,  4909,
    4913,  4917,  4925,  4929,  4937,  4945,  4949,  4957,  4965,  4970,
    4976,  4980,  4988,  4992,  4996,  5004,  5009,  5015,  5023,  5027,
    5035,  5039,  5043,  5047,  5051,  5059,  5064,  5070,  5075,  5081,
    5085,  5090,  5096,  5102,  5108,  5116,  5120,  5128,  5132,  5140,
    5144,  5152,  5156,  5164,  5168,  5176,  5184,  5192,  5196,  5200,
    5204,  5212,  5216,  5220,  5224,  5228,  5232,  5236,  5240,  5244,
    5248,  5252,  5256,  5260,  5264,  5268,  5272,  5276,  5284,  5288,
    5296,  5300,  5308,  5312,  5320,  5328,  5332,  5337,  5343,  5347,
    5351,  5355,  5359,  5363,  5367,  5371,  5375,  5379,  5383,  5387,
    5391,  5399,  5403,  5407,  5411,  5415,  5419,  5423,  5427,  5431,
    5435,  5439,  5443,  5447,  5451,  5455,  5459,  5463,  5467,  5471,
    5475,  5479,  5483,  5487,  5495,  5499,  5507,  5511,  5515,  5519,
    5523,  5531,  5536,  5542,  5546,  5550,  5554,  5558,  5562,  5566,
    5570,  5574,  5578,  5582,  5586,  5590,  5598,  5602,  5610,  5614,
    5618,  5622,  5628,  5634,  5640,  5646,  5652,  5658,  5664,  5674,
    5685,  5696,  5707,  5718,  5729,  5740,  5756,  5772,  5788,  5799,
    5815,  5826,  5842,  5857,  5861,  5869,  5874,  5880,  5888,  5892,
    5900,  5904,  5908,  5912,  5916,  5924,  5928,  5936,  5940,  5944,
    5948,  5956,  5960,  5964,  5968,  5972,  5976,  5980,  5984,  5988,
    5992,  5996,  6000,  6004,  6008,  6012,  6016,  6024,  6028,  6036,
    6040,  6048,  6053,  6059,  6063,  6071,  6079,  6087,  6091,  6099,
    6104,  6110,  6115,  6121,  6129,  6134,  6140,  6144,  6148,  6156,
    6160,  6164,  6172,  6176,  6180,  6184,  6192,  6200,  6205,  6211,
    6216,  6222,  6227,  6233,  6238,  6244,  6248,  6256,  6260,  6264,
    6272,  6277,  6283,  6287,  6292,  6298,  6302,  6307,  6313,  6317,
    6322,  6328,  6332,  6336,  6344,  6349,  6355,  6359,  6367,  6371,
    6379,  6383,  6391,  6395,  6403,  6407,  6411,  6415,  6419,  6427,
    6431,  6435,  6439,  6443,  6451,  6459,  6467,  6471,  6475,  6483,
    6487,  6491,  6499,  6503,  6511,  6515,  6519,  6523,  6527,  6531,
    6535,  6539,  6543,  6547,  6551,  6555,  6559,  6563,  6567,  6575,
    6579,  6583,  6587,  6595,  6599,  6607,  6612,  6618,  6626,  6630,
    6638,  6646,  6650,  6658,  6663,  6669,  6673,  6681,  6685,  6693,
    6697,  6705,  6709,  6713,  6717,  6725,  6729,  6737,  6745,  6749,
    6757,  6761,  6769,  6773,  6777,  6785,  6789,  6794,  6800,  6808,
    6813,  6819,  6823,  6827,  6835,  6839,  6847,  6852,  6858,  6862,
    6866,  6870,  6874,  6878,  6882,  6886,  6890,  6894,  6898,  6902,
    6906,  6910,  6914,  6918,  6922,  6926,  6930,  6934,  6938,  6942,
    6946,  6950,  6954,  6958,  6962,  6966,  6970,  6974,  6978,  6982,
    6986,  6990,  6994,  6998,  7002,  7006,  7010,  7014,  7018,  7022,
    7026,  7030,  7034,  7038,  7042,  7050,  7055,  7061,  7066,  7072,
    7076,  7080,  7084,  7088,  7092,  7096,  7100,  7104,  7108,  7112,
    7116,  7120,  7124,  7128,  7132,  7136,  7140,  7144,  7148,  7152,
    7156,  7160,  7164,  7172,  7176,  7180,  7184,  7188,  7192,  7196,
    7200,  7204,  7208,  7212,  7216,  7220,  7224,  7228,  7232,  7236,
    7240,  7244,  7252,  7260,  7264,  7268,  7276,  7280,  7288,  7292,
    7296,  7300,  7304,  7312,  7317,  7323,  7327,  7331,  7335,  7343,
    7347,  7352,  7358,  7362,  7370,  7378,  7383,  7389,  7397,  7401,
    7409,  7413,  7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,
    7449,  7453,  7457,  7461,  7469,  7473,  7478,  7484,  7488,  7492,
    7496,  7500,  7508,  7512,  7516,  7524,  7529,  7535,  7539,  7543,
    7547,  7555,  7560,  7565,  7571,  7577,  7585,  7593,  7598,  7604,
    7608,  7612,  7616,  7620,  7624,  7628,  7632,  7636,  7640,  7644,
    7648,  7652,  7656,  7660,  7664,  7672,  7677,  7683,  7687,  7695,
    7703,  7708,  7714,  7722,  7726,  7734,  7742,  7746,  7750,  7754,
    7758,  7762,  7766,  7774,  7779,  7785,  7793,  7797,  7801,  7805,
    7809,  7813,  7821,  7829,  7833,  7837,  7845,  7850,  7856,  7860,
    7864,  7868,  7872,  7880,  7884,  7892,  7896,  7900,  7904,  7912,
    7916,  7924,  7928,  7936,  7941,  7947,  7952,  7958,  7963,  7969,
    7974,  7980,  7984,  7988,  7992,  8000,  8004,  8008,  8012,  8016,
    8020,  8024,  8028,  8032,  8040,  8044,  8052,  8060,  8064,  8072,
    8076,  8081,  8087,  8093,  8103,  8108,  8114,  8118,  8122,  8126,
    8134,  8136,  8144,  8149,  8155,  8163,  8167,  8171,  8179,  8183,
    8191,  8199,  8204,  8210,  8218,  8223,  8229,  8237,  8242,  8248,
    8252,  8256,  8260,  8264,  8268,  8272,  8276,  8284,  8289,  8295,
    8303,  8307,  8315,  8319,  8327,  8335,  8343,  8351,  8355,  8363,
    8416,  8420,  8433,  8435,  8439,  8443,  8447,  8456,  8462,  8466,
    8474,  8478,  8486,  8490,  8498,  8502,  8506,  8510,  8514,  8518,
    8522,  8526,  8534,  8538,  8546,  8550,  8554,  8558,  8562,  8566,
    8574,  8578,  8586,  8590,  8598,  8606,  8611,  8617,  8622,  8624,
    8630,  8634,  8638,  8642,  8646,  8650,  8654,  8658,  8662,  8670,
    8675,  8681,  8685,  8690,  8696,  8700,  8704,  8709,  8715,  8720,
    8726,  8734,  8738,  8746,  8750,  8758,  8762,  8766,  8770,  8778,
    8783,  8789,  8793,  8798,  8806,  8810,  8818,  8822,  8830,  8838,
    8842,  8847,  8853,  8861,  8865,  8873,  8877,  8885,  8890,  8896,
    8901,  8907,  8911,  8919,  8924,  8930,  8934,  8942,  8950,  8954,
    8958,  8962,  8970,  8975,  8981,  8985,  8993,  8998,  9004,  9008,
    9016,  9020,  9024,  9028,  9035,  9042,  9046,  9054,  9058,  9062,
    9066,  9070,  9074,  9082,  9086,  9090,  9094,  9102,  9107,  9113,
    9117,  9121,  9125,  9130,  9136,  9140,  9144,  9148,  9156,  9161,
    9167,  9171,  9179,  9183,  9187,  9191,  9199,  9203,  9211,  9215,
    9219,  9227,  9235,  9240,  9246,  9250,  9256,  9262,  9267,  9273,
    9277,  9285,  9293,  9295,  9297,  9301,  9305,  9309,  9317,  9327,
    9338,  9347,  9351,  9355,  9359,  9363,  9367,  9371,  9379,  9383,
    9387,  9391,  9399,  9403,  9411,  9416,  9422,  9426,  9430,  9434,
    9438,  9442,  9446,  9450,  9454,  9458,  9462,  9470,  9475,  9481,
    9485,  9493,  9497,  9505,  9513,  9521,  9525,  9533,  9537,  9545,
    9553,  9561,  9565,  9569,  9573,  9577,  9581,  9589,  9594,  9600,
    9605,  9611,  9615,  9619,  9623,  9631,  9639,  9643,  9648,  9654,
    9658,  9662,  9666,  9670,  9674,  9678,  9682,  9686,  9690,  9694,
    9698,  9702,  9707,  9713,  9717,  9725,  9729,  9733,  9737,  9741,
    9745,  9749,  9753,  9757,  9761,  9765,  9769,  9773,  9777,  9781,
    9785,  9789,  9793,  9797,  9801,  9805,  9809,  9813,  9817,  9821,
    9825,  9829,  9833,  9837,  9841,  9845,  9849,  9853,  9857,  9861,
    9865,  9869,  9873,  9877,  9881,  9885,  9889,  9893,  9897,  9901,
    9905,  9909,  9913,  9917,  9921,  9925,  9929,  9933,  9937,  9941,
    9945,  9949,  9954,  9958,  9966,  9970,  9974,  9978,  9982,  9986,
    9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018, 10022, 10026,
   10030, 10034, 10038, 10042, 10046, 10050, 10058, 10062, 10066, 10070,
   10074, 10078, 10082, 10086, 10090, 10094, 10098, 10102, 10110, 10114,
   10118, 10122, 10126, 10130, 10134, 10138, 10142, 10146, 10150, 10154,
   10158, 10162, 10166, 10170, 10174, 10178, 10182, 10186, 10190, 10194,
   10198, 10202, 10206, 10210, 10214, 10218, 10222, 10226, 10230, 10234,
   10238, 10242, 10246, 10250, 10254, 10258, 10262, 10266, 10270, 10274,
   10278, 10282, 10286, 10290, 10294, 10298, 10302, 10306, 10314, 10318,
   10326, 10330, 10334, 10339, 10345, 10353, 10357, 10365, 10369, 10377,
   10381, 10389, 10393, 10398, 10404, 10408, 10412, 10416, 10424, 10429,
   10435, 10439, 10447, 10455, 10459, 10464, 10470, 10478, 10482, 10489,
   10494, 10500, 10505, 10510, 10516, 10520, 10528, 10532, 10536, 10540,
   10544, 10552, 10556, 10560, 10568, 10572, 10576, 10584, 10588, 10596,
   10600, 10604, 10608, 10612, 10616, 10620, 10624, 10628, 10636, 10640,
   10648, 10652, 10660, 10664, 10668, 10672, 10676, 10680, 10688, 10692,
   10700, 10704, 10712, 10716, 10724, 10728, 10736, 10740, 10744, 10752,
   10756, 10764, 10769, 10775, 10779, 10783, 10787, 10791, 10795, 10799,
   10803, 10811, 10815, 10823, 10831, 10836, 10842, 10846, 10850, 10854,
   10858, 10863, 10869, 10877, 10885, 10889, 10893, 10901, 10905, 10913,
   10921, 10925, 10933, 10941, 10946, 10952, 10957, 10963, 10967, 10975,
   10979, 10983, 10987, 10995, 10999, 11008, 11010, 11018, 11023, 11029,
   11033, 11041, 11045, 11053, 11061, 11065, 11073, 11077, 11081, 11085,
   11093, 11097, 11105, 11109, 11117, 11121, 11129, 11137, 11145, 11153,
   11161, 11169, 11177, 11181, 11189, 11193, 11197, 11201, 11205, 11209,
   11213, 11217, 11221, 11225, 11229, 11233, 11237, 11241, 11242, 11247,
   11253, 11261, 11265, 11266, 11270, 11278, 11282, 11286, 11290, 11298,
   11302, 11306, 11310, 11314, 11318, 11322, 11326, 11330, 11334, 11338,
   11342, 11346, 11350, 11354, 11358, 11362, 11366, 11370, 11374, 11378,
   11382, 11386, 11390, 11394, 11398, 11402, 11406, 11410, 11414, 11418,
   11422, 11426, 11430, 11434, 11438, 11442, 11446, 11450, 11454, 11458,
   11462, 11466, 11470, 11474, 11478, 11482, 11486, 11490, 11494, 11498,
   11502, 11506, 11510, 11514, 11518, 11522, 11526, 11530, 11534, 11538,
   11542, 11546, 11550, 11554, 11558, 11562, 11566, 11570, 11574, 11578,
   11582, 11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614, 11618,
   11622, 11626, 11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658,
   11662, 11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698,
   11702, 11706, 11710, 11714, 11718, 11722, 11726, 11730, 11734, 11738,
   11742, 11746, 11750, 11754, 11758, 11762, 11766, 11770, 11774, 11778,
   11782, 11786, 11790, 11794, 11798, 11802, 11806, 11810, 11814, 11818,
   11822, 11826, 11830, 11834, 11838, 11842, 11846, 11850, 11854, 11858,
   11862, 11866, 11870, 11874, 11878, 11882, 11886, 11890, 11894, 11898,
   11902, 11906, 11910, 11914, 11918, 11922, 11926, 11930, 11934, 11938,
   11942, 11946, 11950, 11954, 11958, 11962, 11966, 11970, 11974, 11978,
   11982, 11986, 11990, 11994, 11998, 12002, 12006, 12010, 12014, 12018,
   12022, 12026, 12030, 12034, 12038, 12042, 12046, 12050, 12054, 12058,
   12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090, 12094, 12098,
   12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130, 12134, 12138,
   12142, 12146, 12150, 12154, 12158, 12162, 12166, 12170, 12174, 12178,
   12182, 12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214, 12218,
   12222, 12226, 12230, 12234, 12238, 12242, 12246, 12250, 12254, 12258,
   12262, 12266, 12270, 12274, 12282, 12286, 12290, 12294, 12298, 12302,
   12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338, 12342,
   12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378, 12382,
   12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418, 12422,
   12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12462, 12466,
   12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498, 12502, 12506,
   12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538, 12542, 12546,
   12550, 12558, 12562, 12566, 12570, 12574, 12578, 12582, 12586, 12590,
   12594, 12598, 12602, 12606, 12610, 12614, 12618, 12622, 12626, 12630,
   12634, 12638, 12642, 12646, 12650, 12654, 12658, 12662, 12666, 12670,
   12674, 12678, 12682, 12686, 12690, 12694, 12698, 12702, 12706, 12710,
   12714, 12718, 12722, 12726, 12730, 12734, 12738, 12742, 12746, 12750,
   12754, 12758, 12762, 12766, 12770, 12774, 12778, 12782, 12786, 12790,
   12794, 12798, 12802, 12806, 12810, 12814, 12818, 12822, 12826, 12830,
   12834, 12838, 12842, 12846, 12850, 12854, 12864, 12865, 12868, 12869,
   12870, 12876, 12877, 12878, 12879, 12880, 12893, 12893, 12902, 12917,
   12919, 12922, 12924, 12928, 12940, 12956, 12960, 12971, 12972, 12975,
   12987, 12996, 12997, 13000, 13001, 13002, 13005, 13006, 13009, 13010,
   13013, 13014, 13017, 13019, 13021, 13023, 13027, 13034, 13041, 13057,
   13091, 13101, 13104, 13108, 13121, 13122, 13124, 13126, 13130, 13144,
   13151, 13212, 13221, 13223, 13224, 13227, 13229, 13230, 13233, 13234,
   13235, 13236, 13237, 13244, 13243, 13253, 13255, 13257, 13258, 13261,
   13262, 13263, 13264, 13267, 13268, 13272, 13271, 13288, 13286, 13302,
   13301, 13315, 13321, 13322, 13325, 13327, 13328, 13331, 13332, 13333,
   13334, 13337, 13338, 13341, 13349, 13366, 13374, 13397, 13503, 13537,
   13539, 13541, 13545, 13549, 13548, 13599, 13601, 13600, 13615, 13621,
   13628, 13633, 13639, 13640, 13643, 13644, 13645, 13646, 13647, 13648,
   13649, 13657, 13665, 13668, 13669, 13670, 13671, 13672, 13673, 13681,
   13689, 13690, 13691, 13694, 13695, 13698, 13700, 13709, 13797, 13798,
   13805, 13806, 13807, 13813, 13822, 13825, 13826, 13827, 13828, 13831,
   13832, 13833, 13836, 13838, 13846, 13847, 13853, 13861, 13862, 13865,
   13866, 13869, 13874, 13881, 13886, 13893, 13900, 13900, 13902, 13909,
   13910, 13913, 13914, 13915, 13916, 13917, 13918, 13919, 13920, 13921,
   13927, 13934, 13946, 13952, 13959, 13967, 13968, 13980, 13991, 14002,
   14006, 14007, 14010, 14015, 14019, 14020, 14023, 14029, 14037, 14043,
   14050, 14054, 14055, 14058, 14061, 14065, 14066, 14069, 14075, 14084,
   14089, 14099, 14109, 14121, 14122, 14123, 14124, 14125, 14126, 14127,
   14128, 14129, 14130, 14131, 14132, 14133, 14134, 14135, 14142, 14143,
   14146, 14147, 14154, 14155, 14156, 14163, 14162, 14179, 14180, 14187,
   14186, 14256, 14262, 14268, 14276, 14282, 14288, 14294, 14300, 14306,
   14312, 14318, 14324, 14335, 14336, 14339, 14340, 14341, 14342, 14343,
   14344, 14345, 14346, 14347, 14348, 14349, 14350, 14351, 14352, 14353,
   14354, 14355, 14356, 14357, 14358, 14359, 14360, 14361, 14362, 14365,
   14366, 14367, 14368, 14369, 14370, 14374, 14375, 14376, 14377, 14378,
   14379, 14380, 14383, 14386, 14387, 14388, 14389, 14390, 14391, 14392,
   14393, 14406, 14407, 14408, 14409, 14410, 14411, 14412, 14417, 14418,
   14419, 14420, 14421, 14422, 14428, 14429, 14430, 14431, 14432, 14433,
   14434, 14435, 14436, 14437, 14438, 14441, 14442, 14443, 14444, 14445,
   14448, 14449, 14450, 14451, 14454, 14455, 14456, 14457, 14458, 14459,
   14460, 14477, 14478, 14479, 14482, 14483, 14484, 14485, 14486, 14487,
   14491, 14491, 14494, 14500, 14501, 14504, 14506, 14511, 14521, 14532,
   14539, 14540, 14541, 14544, 14577, 14579, 14581, 14584, 14594, 14604,
   14614, 14615, 14618, 14620, 14621, 14622, 14625, 14627, 14635, 14636,
   14637, 14641, 14642, 14646, 14647, 14650, 14651, 14654, 14655, 14656,
   14657, 14658, 14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668,
   14669, 14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678,
   14679, 14680, 14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688,
   14689, 14690, 14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698,
   14699, 14700, 14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708,
   14709, 14710, 14711, 14712, 14713, 14714, 14715, 14716, 14719, 14720,
   14721, 14722, 14725, 14726, 14727, 14728, 14729, 14730, 14731, 14732,
   14733, 14736, 14737, 14738, 14739, 14740, 14743, 14744, 14747, 14748,
   14759, 14760
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4443

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4443)))

#define YYTABLE_NINF -2633

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2633)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4443,   356, 13230, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, 25257, -4443,
   -4443, -4443, -4443, -4443, 98267,   434, -4443, -4443, -4443,102672,
   -4443, -4443, -4443,   317, 65219, -4443, 68135,   913, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, 71537, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 54515,  1269, -4443,
     778, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  1496, 14480,
   -4443, -4443, 68621, -4443,   110, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 69107,   578, -4443, -4443,   927,  1245, -4443,   100,
   14011, -4443, -4443, 61817, 66191, -4443, -4443, 72023,   452,  2021,
    7527,  1496, 24768, 72509, -4443,   896, -4443, 51071, -4443, -4443,
   -4443, 65705, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 79313,  2598,  1074, 51566, -4443, -4443,
   -4443, -4443, 79313, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, 72995, -4443,  1295,  1100,  1011, 79799, 80285,
   63275, -4443,  1428, -4443, 79313,  1458,  1167, 53541, -4443, 80771,
   -4443, -4443,  1331, -4443, 73481, -4443, -4443, -4443, -4443,  1074,
   -4443, 54515, 50097,    70,  1277, -4443, -4443, 81257, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443,  1886,  1339, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,   578, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,   759, -4443,   685,   765,  1938,   642,  1394, -4443,
   -4443, -4443, 21866, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   23123,  1645, -4443, -4443, -4443,  1482, -4443,  1426, -4443, -4443,
   -4443,  1653, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   924,
   -4443, -4443, -4443, -4443,  1998, 98750, 71537, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 61331, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
     178, -4443, -4443, -4443, -4443, -4443, 71537, 71537, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 71537,  1576, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443,   309,  1844, -4443, -4443,
   54515,  2128,  2128,  2059, 23123, -4443, -4443, -4443, 55489, 79313,
   79313, 79313,  1791, 79313,  1719, 79313,   254, 55489,106437, 81743,
    1867,  1804, 45629, -4443,105601, 79313, 79313, 82229, 79313, 73967,
   79313,  1928, 79313, 79313,106855, 82715,  2002, -4443,  2293,  1674,
   -4443, -4443, -4443, 79313, 14856,  2598, -4443, -4443, 79313,  1851,
   55489, 79313,  1785, 79313,  1903, 79313, -4443, 79313,  1920, 83201,
     513,  1895,106437,  2025, 46128,  2023,106437, 83687, 79313, 79313,
   -4443, -4443,  1985, 79313, 79313, -4443,  2107,107273,  1982,  2115,
    2286,  2168,   724, -4443, -4443,  2372,  1959, -4443, -4443,  2405,
   71537, -4443, 69593, -4443, -4443, -4443,  2203, -4443, -4443, -4443,
   -4443, -4443,103929,  2021, -4443, -4443, 55976, 79313,  2237, -4443,
   -4443, 84173, -4443,  2054, -4443,   646, 56463, 84659,  2345,  2053,
   46627,  2374, 85145, 85631, -4443, -4443, 86117, -4443, 86603,  2148,
   87089, -4443, 87575, -4443,  2295, 88061, -4443, 16076, -4443,  2067,
    2138,  2080,  1091, 71537, 71537,    95,100552, -4443, -4443,   578,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   139,  1707,
   52061,   730, 52556, -4443, -4443,   817,   843,   911,   139,  2516,
    2516,   558, 71537, -4443, -4443,  1707, -4443,   530,   771,  2111,
    2111,  2111,  2299,   -75, -4443,  2111, -4443, -4443, -4443, -4443,
   73481, 52061, 52556, -4443,  2074,  2598,   182,  2517,  2162, 79313,
   -4443, 79313, -4443, 79313, 79313, -4443, -4443, -4443,  2507,  2142,
    2384, -4443,  2161, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    2329,  2339,  2366,   109,  2598,  2244, -4443,  2477, -4443,  2396,
   29729,   441, 71537,  2598, 53051, 74453, 95837,   273,103929,  2598,
   88547,  2240,  1563,  2415, -4443, -4443,   681, -4443,  2646,  2265,
    2495,    35,  1674, 43170, -4443,  2264,  1912, 73481, 99716, -4443,
   -4443, -4443, -4443,   189,  2551, 30233, -4443, 79313,  2275, -4443,
    2263,  2281,  2284,  1938, -4443, 79313,  1493,  1493,  2664,  1493,
    1968,  2004, -4443,  2123, -4443,  2566,  2530, 73481,  1277,  1496,
    2288, -4443, -4443, -4443,  2300, -4443,  2314,  2321, -4443,   882,
    2546, -4443, -4443, -4443, -4443,  2413,  2418,  2423,  2430,  2338,
    2443,   192, -4443, -4443, -4443, -4443,  2680, -4443, -4443, -4443,
   -4443, -4443, -4443,  2779,  2769,103093,103093,   723,   726,   154,
     242, -4443, -4443, -4443,  2653, -4443, -4443,  2672, 79313,  2493,
   79313, -4443, -4443, -4443, 89033, -4443, -4443,  2128,  2300,  2464,
   -4443,   313, -4443,  1912, -4443,   329,   348,   357,  1897,  2440,
    2001,  1543, -4443,   574, 79313,  2561,   302,   953,  2513, 74939,
    4641,  2476,   779,  2773,  3870,   192, 89519, -4443, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  2481,
   -4443, -4443,  2489,  2758,  1364,  2701,  1909,  2816,  5604,  1907,
    2821,  4351,  2259,   766,  2713,   933,  2825,  2077,  2839,  4524,
   79313,  2557, -4443,  2776,  2888,    13, -4443,   791, -4443,  2631,
    2764,  1088, 55489,  2583, -4443, -4443, 79313, -4443, -4443, -4443,
    2661, -4443,   665, 55489, -4443,  2786,  2632, 47126, -4443, 79313,
   -4443, -4443, -4443, -4443, -4443,  2718, 79313, -4443, -4443,  2840,
   79313, -4443,  2111,  2759,  2610,  2986, 58898,   296, 79313,  2650,
    3017, 79313,  2814,  2650,  2651, 90005, -4443, -4443,  2650, -4443,
   -4443, 79313, 79313,  2619,  1502,  2650,  2817,  3015,  3018,  2689,
    2797,   880,  1578,   102,  2914,  2650,  2670, 79313, 90491, 79313,
    2671, 79313,  2990, 55489, 79313, -4443,  2785, 75425, -4443,  2629,
    2372, -4443, -4443, -4443, -4443, -4443,  1157, -4443, -4443, -4443,
   -4443,  2938,  2464,   160,  2939,  2644,  2941, -4443, -4443,  2677,
   -4443,  2943,  2476,  2944,  2647, -4443, 90977, -4443, 91463, 91949,
    2947,  2481, 79313,  2951,  2647,  2955,  2842,  2957,   160,  2958,
   -4443,   912,  2959,  2847,  2962,  1797,  2647,104347,  2963,   114,
   -4443, 17198, 16076, -4443, 24225,  1054, -4443, -4443, -4443, -4443,
   -4443, -4443, 33761,   861,  2752, -4443, -4443, -4443,  1977, -4443,
  101825, -4443,    95,  1707, -4443, 71537,  1707, 71537,   558,  1707,
   71537,  1707, 71537,   558,  1707, 71537, 71537, 71537,  1707, -4443,
   -4443,  1756,  1991, -4443, -4443, -4443, -4443, -4443, 71537,  2669,
   79313, 79313, -4443, -4443, -4443, 66677, 79313, 67163, -4443, -4443,
      33, 71537, -4443, 71537, -4443,  2598, -4443, -4443,  2138, 58898,
    3073, 79313, 79313,  2960,  2960,  2960, -4443, -4443, -4443,  2897,
   79313,  2964,  2965, 66677, 79313, -4443, 92435,103929,  2857,  2678,
   -4443, -4443, -4443, -4443,  2003,  2658,   408,  2766, 33761,  2681,
     175,   175,  2682,  2968, -4443, -4443, -4443,   391,  2684,  2688,
   -4443,   435,   435,  2836,  2690,  2691, -4443,   445,  2693, -4443,
    2826,   488,  2694,  2697,  2705,  2068,   175, 33761, -4443,  2706,
     435,  2708,  2710,  2711,  2905,  2723, -4443,  2916,  2724,   286,
     299,  2725,  2727, -4443,  2690, -4443,   427,  2729,  2730,  2731,
    2733,  2735,  2736,  2737,  2738, 33761, 33761, -4443, 28721,  1912,
    2598, -4443, -4443, -4443, -4443, -4443, -4443, -4443,    93, -4443,
     514,  5570, -4443, -4443,  2861, 33761, -4443, -4443,    45, -4443,
     522, -4443, -4443,  1912, -4443, -4443,  1292, -4443, -4443, -4443,
   -4443,  1685,  1685,   196, -4443, 68621, 68621, -4443, -4443,   177,
    2704, -4443,   305, -4443, -4443, -4443, -4443, -4443, -4443,103511,
    3113, -4443,  1001,  2598,   791,  1040,  3071,100973,101399,  2981,
    2981,  2970, -4443, -4443, 79313, -4443, -4443, 33761, 49123, -4443,
    1912,    82,  2984, -4443, -4443, -4443,  2031, -4443, -4443, -4443,
     578, -4443, 13810, -4443,  2100,  2275, 79313, 79313,  3142, -4443,
   -4443,  2263, -4443, -4443,  1938,  1938, 33761,  1938,   676,  1777,
   30737, 33761,  3033,  2933,  1255,  1349,  3035, -4443,  2937,  1968,
    2004, 73481, 79313, 92921,  2859, -4443, -4443,  2300,  2765,  1794,
   -4443, 60845, 99233, 99233,  3002, -4443, -4443,  1627,  1425,  2875,
    2966,  2516,  1110,  1769, -4443, -4443,  2760, -4443,  3090, 68621,
    2818,103093, -4443, -4443, 79313, -4443, -4443, 75911, -4443, -4443,
   -4443,   828,  2761, -4443,  2782, 79313,  3260, -4443,  1769,  1769,
   -4443, -4443,  2768, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, 23123,  2772, 79313, -4443,  2778,  2781, -4443, 99716, 49610,
    2015,  1912,  2853,  2856,  2892, 54515,  2783,  2858,  2860,  2902,
    2862,  2863, 96323, -4443, -4443, -4443, -4443,  1546,  1220,  1391,
    2864,   345,   748,  3149, -4443,  1564,  2917, -4443, -4443, -4443,
    3775, 79313,  3091,  4602,  2982,   192,  2918, -4443, -4443,  3027,
    2876,  2878,  2996,   192,   169, 96809, -4443, -4443, -4443, -4443,
   -4443, -4443,  2542, 27235, -4443,  2880,  2869, 79313, 62303,  3171,
    2991,  1057,  1059,   141, 79313,  3065,  3004, 79313,  2820,  2895,
    2896,  2824,  1812,  3183,  2827, -4443, -4443,  3000,  3128,  5347,
    2885,  2887, 57924,  1271, 47625,  3174,  1670,  2919, -4443,  1670,
   79313,  2920,  2923, 79313,   192, -4443,  3227,   192,   192,  1960,
    3236,  2931,   301,  1878,  2650,  2827,  1279, -4443,  2932,  2934,
    1651, -4443,  3037, 73481,   304,  1918,  2827,  2936,  2940,  2824,
    2824, 79313, 79313, 79313, 79313, 79313,   127,  3258,  3259,  2942,
     180,  2988,  2867, -4443,104765,  2945, 95837, -4443, -4443, 79313,
    2946,  1940,  2827,  1929, -4443,  2008, -4443, -4443, -4443,  1674,
   -4443, 79313, -4443, 79313,  2464, 58898,  3055, -4443,  2907, -4443,
    2476,   192, -4443, 79313, 79313,  2481,   923,  1036,  3061, 79313,
    3119,  2915, -4443,  1124, 49610,  2619, -4443,  2882, -4443,  2930,
   -4443,  2930,  2930,  2890,  2890,  2894, -4443, -4443,  2068,  2930,
    2890, -4443, 59872, -4443,  1664,  1800, -4443,  3292,  3296, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,   986, -4443,
    2102, -4443, -4443, -4443, 79313, 54515, -4443,  3307, -4443, -4443,
   58898,  3081,  3199, -4443, 79313,  3100,  2908, -4443,  3233,  2961,
   -4443, -4443,   -13, -4443,  3206,106437,   210,  2598,  2952, 79313,
    3129, 79313, 79313, 79313, 79313, -4443, -4443,  3102,  1305,   190,
   -4443,104765, -4443, 79313,  1279,  3114,  3319,    -1,  2111, 79313,
    3208, -4443, 79313,  2921,  3324,  3159, -4443, -4443,  2926,  2516,
   -4443,  2629, -4443,  1954, -4443,  3047, -4443, 55489,   160, -4443,
   -4443, -4443, -4443, 58898, 79313, 93407, 55489,   160, 79313, 79313,
    3226,   114,  3228,  2983,  3229,  2987, 47625,   160,   148, 79313,
   79313, 79313, 79313, -4443, 79313, -4443, -4443, -4443, -4443, 79313,
   79313, 79313,104765,  3230,  3234,   160, 79313, 79313, -4443, -4443,
   18899,  1902, -4443, 16076, -4443, 13810,  2134,  2981, -4443,  1576,
   79313,  1479,    95,105183, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, 71537, -4443, 71537,   558, -4443, -4443, 71537, -4443,
   71537,   558, -4443, 71537, -4443, -4443, -4443, 71537, 79313,  3433,
    2949, -4443,  1292, -4443, 79313,  2145, -4443, -4443,  2156,   946,
   79313, 79313,   750, 55489, 79313,  3130, 79313, 79313, 79313, 79313,
   79313,  3016,  2704,  1111, -4443,   454, 73481,  3138, -4443, -4443,
   -4443, -4443, -4443,  2175,  1886,   842,  2995, -4443, -4443, -4443,
   -4443, -4443, -4443, 67163, 65705,  3238,   284, 79313, -4443, -4443,
    3593, 33761, 29225, -4443, -4443, -4443,  2967, 13810,  2985, 33761,
   -4443, -4443, 33761,  2969,  2516,  2516, 33761, -4443, -4443, -4443,
   -4443,  2497,  2516, -4443, 33761, 33761,  2516,  2516,  2930,  2930,
   -4443,  4329, 33761, -4443, 47625, 33761, 35273, 26730, 33761,  3039,
    2989,  2516, -4443,  2516, -4443, 33761, 28217, -4443, 33761,  3168,
   36281, 33761,  1040,  3169, 33761,  1040,  3386,  3386,  1277,  1869,
    7716,  2971,  1912, -4443,  3075,  2516, -4443,  2516,   999,   166,
   58898, 33761, 54515,  3046,   232, 79313, 33761,  2976,  1574, -4443,
   33761,   214, -4443,  2978, 33761,  3045, 33761, 33761, 33761, 33761,
   33761, 33761, 33761, 33761, 33761, -4443, 37261,   237, -4443,   606,
    1835, 67649, 29729,  3262, -4443, 26225, -4443,   208, 71537, -4443,
   -4443,  1912, -4443, -4443, -4443, -4443, -4443,   828,  2994, -4443,
    3003, -4443, -4443, -4443, -4443, -4443, 79313,  3113, -4443, -4443,
    3063, -4443, -4443, -4443, -4443,   635, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443,  2998, -4443, -4443, -4443, -4443,  2998,
   -4443, -4443,  2981,  2993,  5004, -4443, -4443, -4443, -4443,  3269,
    3270,   160, 23123, 79313,   189, 70079, -4443, 30233, -4443,  2184,
    3006, -4443,  3251, -4443,  3007, -4443, 10954,  3251, -4443, -4443,
     150,  3116,  3244,  3196, -4443, -4443, -4443,  3023, 13810, -4443,
    2079, 13810,  2118, -4443, -4443, -4443, -4443, -4443, -4443,  1742,
   -4443, 79313,  3138,  3033,  1349,  3079,   626, 79313, -4443, 43660,
    2024, -4443,  2300, -4443, -4443, 23726, -4443, 25740, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443,  3030, -4443, -4443,
   -4443, -4443,   192,  3031,  3502, -4443,103093, -4443, -4443, -4443,
    3433, -4443,  2405, -4443,  2405,  3532, -4443, 71537, -4443, -4443,
   -4443, -4443,   885, -4443, 16076, -4443, 16076, -4443,  3034,  2199,
    3110,  3112,  3160,106437, 79313, 79313, -4443, 54515,106437, 79313,
   79313,106437, 79313, 79313, -4443,  3400,   827, 65705,  3164, 63761,
   -4443, -4443,  3049, 79313,  3099,  3286,  3287,   940, -4443, -4443,
   93893, -4443,  3245,106437, 79313, 79313, 33761,  3246, 79313, 79313,
   -4443,   375,  3127,  3131, -4443, 79313,  3132, 55489,  3056, 79313,
   79313, 79313,  3134,   668, 55489,  3101, 48124, 79313, 79313, 79313,
   79313,  3176, 79313, 79313,  3295,  1247, 73481,   125,  2019,  2827,
    3257, -4443,   658, -4443,106437, 79313,  3249, -4443, -4443, -4443,
   64247,  3461,  3170, -4443, -4443, 97295, -4443, -4443,  3247, -4443,
   -4443, 59872, -4443, -4443,  2206, -4443, 59385, 56950, -4443, -4443,
     932,106437, 79313,  6919, 79313,  1070, -4443, -4443, 58898, -4443,
   79313, 79313, 79313, 70565, 94379, 94865,  1117,  1188, 79313, 71051,
   -4443, 79313, -4443, -4443, 55002,106437, 79313, 54515, -4443, 79313,
    3252,   831, -4443, 79313,  8592,  3145, 79313,   240,  2042,  2827,
   79313, 79313,  3074,  2249,  3152,  3200, -4443, 79313, -4443,106437,
    1503, -4443,  3218,106437, 79313,  6449, -4443, -4443,   192, -4443,
   -4443, -4443, -4443, -4443, 79313, 79313,   192, 79313,   192,  1024,
   -4443,106437, 79313, -4443, -4443, -4443,  6966, 79313, 79313, 79313,
   79313,106437, 79313, -4443, -4443,  1180,  1540,  1457,  1536,  3221,
   79313,  3351, 79313, 95351,106437, 79313, 79313, 79313,  1776, -4443,
   -4443,  3197, -4443,106437,  1503,  7083, 79313, 79313,  3162,  3163,
     128,  3237, -4443, -4443, -4443, -4443, -4443, -4443,  3330,  3492,
   79313, -4443,  3334,  3335,  3150,  3151,  3336,  2044, 79313, -4443,
   -4443, -4443, -4443, 79313,  3339,  2044,  3284,   499, -4443, -4443,
    2650, -4443,  2253, -4443,  3115, -4443, 33761,  3504, 58898,  3107,
    3108,  3181, -4443,  3184,  2516, -4443,  2262, -4443, -4443,  2276,
   -4443,  3122,  1305,  1733, -4443, 54515, 79313,   556,   775,  3407,
   62789,  3204,  3398, 79313,  3155, 79313,  3204, 79313, -4443,  1468,
   65705, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    3399, -4443,  2598,  2619,  2619,  2619,  2619, -4443, -4443, -4443,
   -4443,  3303,  1621, -4443,  3120,  2619, 79313,  3232,  3204,  3123,
   -4443,  1279,  3415,  3421, 79313, 62789,  2172,  3165,  3525,  2111,
    2598,  3310, -4443, 27726,  5018,  3311,103929, 75425, -4443,  3136,
    3401,  3404,  3417, -4443,  2464, -4443,  3537, -4443,  3434,   160,
    2476, -4443,  2647, -4443, 79313, -4443, 79313, 79313, 79313, 79313,
    2481, -4443, -4443,  2647,  3322,   160,   160, -4443,  3323,   160,
    2647,  3254,  3427,103929, -4443,   114, -4443, -4443, -4443, -4443,
   -4443, 33761, -4443, -4443,  2111,  1954, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 71537,  2405, -4443,
    2296, -4443, 79313, -4443,  3408,  3409,  3410,  2647,  3144,  3186,
   79313,  3154, -4443,  2647,   192,  2647,  2704,  2704,  2647,  3144,
  106019,  3564,  3432,   623, -4443,   845,   547,  3366, -4443, -4443,
   -4443, -4443, 58898, -4443, -4443, -4443, -4443, -4443, 79313,   973,
   -4443,   184,  3342,  3161,106019,  3548,   160, -4443, 55489, -4443,
   -4443, -4443,  3239,  3250, 55489,  3354,  3210, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443,  3405, 79313,  2297, -4443,  1963, -4443,
    1976, 33761, 33761,   333, -4443, 12479,  2306, 33761,  3173,  3175,
    2307, -4443, -4443, -4443, -4443, -4443, -4443,  3177,  3459, -4443,
   -4443,  3180,  2312,  2316,  3185,  3187, -4443, -4443,  6298,  3188,
   12516,  3189, 35273, 35273,  1614, -4443, -4443, 35273,  3190, -4443,
    2320, 11549,  3179,  3193,  3201, -4443,  3195,  3202, 12528, 31241,
   33761, 31241, 31241, 12823,  3179,  3203,  2327, 54515,  3352, 13086,
    2342, -4443, 33761, 54515,  7284, 33761, -4443, 33761, 79313,  3207,
    3209, -4443, -4443,  4329, -4443,  3214, -4443, 35273, 35273, -4443,
    2726, 28721, -4443, -4443,  3478, -4443, -4443,   996, -4443,  3205,
   -4443, -4443,  4108,   287, 33761,  2976, 33761,  3274, 47625,  2992,
   33761,  5527,  5019,  5019,  1006,  1006,   158,   158,   158,  1661,
    1835, -4443, -4443, -4443,  3213,  2723, 33761, -4443,  2429,  2433,
   79313,  9086, 10285, 10748, -4443, -4443, -4443, 38759,  3253, 33761,
   33761, 33761,  3217,  3374,  3620, 13810,   890, -4443,  3625, -4443,
   -4443, -4443,   236,  3532,   828, -4443,  1674,  2516,   999,101825,
   -4443, -4443, -4443, 33761, -4443, -4443, -4443, -4443,  2263, -4443,
   -4443, -4443, -4443, -4443,  1886, 33761, -4443, -4443,   621,  2158,
   33761,  2079, -4443, -4443,  3263, -4443, 33761, -4443, -4443, -4443,
    2704, -4443, -4443, -4443, 38759,  3256,  3266, 42680,  3343, -4443,
   -4443, 79313,   297, -4443, -4443, -4443,  3235, -4443, -4443, -4443,
     -92, -4443, -4443, -4443, -4443, -4443, -4443,  3222, -4443,  3224,
   -4443,  3241, -4443, -4443, -4443, -4443,   171,  3231,  3240,  3243,
    1600, -4443, -4443,106437, 79313, 79313, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443,  3450, -4443, 79313, 79313,
    3413, 79313,  3412,  3418, 33761,   794, 79313,  3242,  3261,  1233,
    3494, 79313, -4443,  3531,   160, -4443, -4443,  3312, -4443, 13810,
   -4443, -4443, -4443, -4443, -4443,106437, 79313, -4443,103929, -4443,
    2464, 58898, -4443, -4443, -4443, 79313,  3271, 79313, -4443, 79313,
   79313, 79313,  2481, -4443, -4443, -4443, -4443,  1142, -4443, -4443,
   79313, 79313,   607,  3313,  3315, 79313, -4443,   979,  3037,  8252,
   79313, 79313, 79313,  3495, -4443, -4443, -4443, -4443,  3436, -4443,
   -4443,  2102, -4443, 56950, 59385, -4443, 59385, -4443,  2102,  1633,
   -4443,  2647,  3321,  2827, -4443,  3428,  1300, -4443, -4443, -4443,
   -4443, -4443,  3545,   160,  3547,   160, 79313, 79313, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, 54515, 54515, 54515,  2352, -4443,
   -4443,  2598, -4443, -4443, -4443,  2367, -4443,   971, -4443, -4443,
   -4443, -4443, -4443, -4443,106437,  8378, 79313, 79313, 79313,  2260,
   -4443,   864, 58898, -4443, 58411,106437, 79313, -4443, -4443,  3477,
    3422, -4443,  2165,  3424, 79313,  3317, -4443, -4443,  3331, -4443,
   -4443,  3338,  2129,  2827,  1279, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,   253,  2131,  2827,  3340, -4443,  3344, -4443,
   -4443, -4443,  3484,  3485,  3486,  3348,  3349,  3384,  3350,  3353,
    3397, -4443,  3355,  3402,  3356,  3403,  3362,   160, 58898,  3482,
    2598,  3396,  3586,   160, -4443,  3367, -4443, -4443,  3686, -4443,
   79313, -4443,  3368,  2154,  2827, -4443, -4443,106437, 79313, -4443,
   -4443, -4443,  2044, 58898,  3534,  2044,  2044, 79313, 79313,  2044,
   -4443, -4443, -4443,  3535,  3536,  2044, -4443, -4443, -4443, -4443,
    2759,  3298, -4443,  2203, 45130,  7772,  3302,  3108,  3300,  2516,
   41210,  1384,  3508,  3305, -4443, -4443, 54515, 45130,  1751,  3524,
    3320,  3320,  3320,  3320,  3320,  3320,  3320, -4443,  1531,   111,
    2650,103929, 79313,103929, -4443,   775,  3428, 79313, 79313,  3316,
    3301, -4443, -4443, -4443, -4443, 79313,    99, 79313,  2516, -4443,
   -4443,  3379, -4443, 79313,  2111,  3709,  3018,   210,  3454,  2110,
    3656, -4443, -4443, -4443, -4443, -4443, 79313, 79313,  1305,  2598,
   -4443,  3325,  3326, -4443, 79313, 79313, 79313, 79313,  1886,  3327,
    3332, 58898,    22,  3505,  3506,  2824,  3723,  1886,  3165,  3406,
   79313, -4443,  2373,   116, -4443,  2598,103929, 57437, -4443,  4370,
   -4443, -4443,   703,  3596, -4443, 79313, -4443, -4443, 42190,   160,
   58898, 79313, -4443,   160,   114,  3380,   160,  3383,   160,   160,
   79313, -4443, -4443, 79313, -4443, 79313,104765,   160, -4443, 13810,
    3619, -4443, -4443, -4443, -4443,  3455,  3456,  3457, 79313,  2647,
   55489, -4443,  3337,106437,  1451, -4443, -4443,  3514, -4443, -4443,
   -4443, -4443, -4443,  3639,  3640, -4443, -4443, -4443, -4443,  3678,
   79313, 66677,   159,106437, -4443,  2464, -4443, -4443,  2476,   192,
   -4443, 79313,  3583, -4443, -4443, -4443,  3359,  2377, 13280, 33761,
   -4443,  3651, 58898, -4443,  7916, -4443, -4443, -4443, -4443, 33761,
   -4443, -4443, -4443, -4443, -4443, 33761, -4443, 33761,  3630, -4443,
    3778,  3778, 58898, 35273,  1773,  2708, 35273, 35273, 35273, 35273,
   35273, 35273, 35273, 35273, 35273, 37765,   507, -4443, -4443, 33761,
   33761,  3644,  3630, -4443, -4443,   410,   410, 58898,  3361,  3179,
    3363,  3365, 33761, -4443, -4443,  2382, 36771,  3370, 54515, -4443,
   33761, 12149,  2398,  3414, 13543,  1912,  8049, -4443,  3733,  2598,
   33761,  1566,  2280, 33761,  2403, 33761,  3643, -4443, -4443, -4443,
    3372, -4443, -4443, 58898, 33761, 35273, 35273,  6316, -4443,  6625,
   33761,  3373,  6695, 28721, -4443,  1074,  1074,  1074,  1074, -4443,
   79313, 79313, 79313, 39249, 38269, 76397,  3364,  2016, -4443, 76397,
   76883, -4443,  3375,  1912, 33761,  3648,   -23,   -23,  3377,  3374,
   44150, -4443, 33761,  1565, 31745,  3385, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  3378, -4443,  3381, -4443, -4443,   791,  3387, -4443, -4443,
   11030,   171, -4443,  3388, -4443,  3390, -4443,  2158, -4443, -4443,
   -4443,  8317,  3565, -4443, -4443,  3364, 32249,  3343, -4443,  2408,
   -4443, -4443, 29729, -4443, -4443,  2412, 43660,  3256, 30233,  1912,
    2516,  3416, -4443,  2405,   236, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  3320,  2647,  2647,   739,  2647,  3672,   739,
    8840, -4443, -4443, 39739, 79313, 79313, -4443, 79313,  2421,  1317,
   79313, -4443, 79313, -4443, -4443, -4443, -4443,  3791, -4443, 79313,
   -4443, -4443,  3445,  3446, -4443, 79313, 79313, 79313, 79313, -4443,
   -4443,  2440, -4443, -4443,106437, 79313, -4443, -4443, -4443,   263,
    2231,  2827, -4443,  3469, -4443, -4443,  3645,  1754, -4443, -4443,
   -4443,  3462, 79313,  3423, -4443,  1246,  2824,   929, -4443, -4443,
    3464, 79313, -4443, 79313, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, 55002, -4443, -4443, -4443, 54515, 45130, 54515,
   -4443,   331,  2255,  2827, -4443,  3474, -4443,  3475,  3480,  3523,
    1334,   124,  3481,  3483,  3527,  3426,  3429,  3437, -4443, -4443,
     139,  2598, -4443, -4443,  2598,  2647,  2598, 79313, 79313, 79313,
   79313, 79313, 79313, 79313, 79313,  3695,   781,  1919,106437, 79313,
   79313,106437, 79313, 79313, 79313, 79313, 79313, 79313, 79313, -4443,
    3782,  3721,  2137,  3748,  3498, 79313, -4443, 79313,  3037, 79313,
   79313, -4443, -4443, -4443,  3438,  2044, -4443, -4443,  3668,  3674,
   -4443,  2044,  2044, -4443,  1124, 54515, -4443,  1675, -4443,  3115,
    3390,  2516,  1769, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    2516,  2251,  3441, -4443, 41700, -4443, -4443, -4443,  2247,   999,
   -4443, -4443, 79313,  3320, -4443,  1899,  2447,  2518,  2539, 77369,
   77855, 78341,  3443, 79313, 79313, 35273, -4443,  1515,   163, -4443,
    3679, 79313,  3471, -4443, -4443, -4443,  3597, 79313, -4443, -4443,
   -4443, -4443, -4443,  3451, -4443,  3555, 62789,  2647, 79313, 79313,
    2647, -4443, 58898,  3452,  3165,106437,   210,  1569, 90491,  3487,
    3458,  3739, -4443,  3463,  3467, -4443, -4443, 79313,  3428,  2425,
     596,  2080,  2995, 64733,  2172,  3713, -4443, -4443, -4443,  3815,
    3542, -4443,  1886,  2995,  3542,  2598,  3099, -4443, 56950, 33761,
   33761, -4443,  3468, -4443,  3466,  5317, -4443,  2619, -4443, -4443,
   -4443, -4443, -4443, -4443,  3541, 79313,  3895, -4443, -4443, -4443,
    3476,   160, -4443, -4443, 79313, -4443, 79313, -4443, -4443,   160,
     160, -4443,  3585, -4443,  1886, 79313, 79313, 79313,  2647, -4443,
     192, -4443,  3751,106019, -4443, -4443, -4443, -4443, -4443,   284,
    3758, -4443, -4443,  3720,  3724,  3726,  3727,  2174, -4443, -4443,
   33761, 13810, -4443,  3488, -4443, 13810,  8980, 13810,  3644, -4443,
    1937,  3762, -4443,  1624,  3490,  1937,  2707,  2707,   243,   243,
     117,   117,   117,  3778,   507, 13810, 13810, -4443, -4443, -4443,
   -4443,  3493, -4443, -4443, -4443,  3179, -4443, 34265,  3626,  3874,
   -4443, -4443, -4443,  3538,  3543,  3497, -4443, 33761, 34769,  3496,
   59872, -4443, -4443,   999,  1143, 35273, 35273,  2564, -4443,   755,
   33761, 58898,  2442,  2564,  2371,  3360, 33761, 33761,  7132,   259,
   33761,  9114, 79313, 79313, 79313, 79313, -4443, -4443, -4443, 76397,
   76883, 40719,  2016,  3500, 79313, -4443, -4443,  3516, 38759,  3741,
    3680, -4443, 38759,  3680,  1802,  3680,  3744, -4443, 44640, -4443,
   -4443,  3517, 26225,  1753, 13810,  3901,  3789, 33761,  3519, -4443,
    3520,  3374, -4443, 97781, -4443, -4443, 13810, -4443, -4443, 33761,
   -4443,  3374,   236,   551,  2598, -4443, -4443, -4443, 47625, -4443,
   -4443, -4443,  3710, 13810, -4443,  1886, 79313,  1912,   620,  3539,
   79313, -4443,  3343, -4443, -4443, 16076, -4443, -4443, -4443,   139,
   -4443, -4443, -4443, -4443,  3599, 65705,  3803, -4443, 33761,  2445,
   -4443,  3561,  3894,    96,  2450,  2454,  1317, -4443,  3471, -4443,
    1527,  3785,   218, -4443,   160, -4443, 58898, -4443, 79313, 79313,
   -4443, -4443, -4443, -4443,  2783, -4443, -4443, 79313, 79313, 79313,
   79313, -4443,  3598, -4443, -4443, 54515,  1531,  3725, -4443, -4443,
    3728,   139, 79313, -4443, 58898,   160,   160, -4443, -4443, -4443,
    3549, 79313, 79313, 79313, 79313,106437, 79313, 79313,  2516,  2516,
   58898,  3529, -4443,  2516,  2516,  3540, -4443,106437, 79313, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  3609, -4443, -4443, -4443, 79313, 79313, 79313, 79313,  3834,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, 79313, -4443, -4443,  2598,  2598, 58898,   160,   160, -4443,
   -4443, -4443,  3779, -4443,  2044,  2044, -4443, -4443,   346,  2458,
   -4443,100134, -4443, -4443,  3017,  2598,  3017,  1548, -4443, -4443,
    3017, -4443,  3017, -4443,  1317,  3546,  1623,  3817, -4443,  2188,
   41700, 41700, 41700, 41700, 41700, -4443, -4443,  3821,   139, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, 33761, -4443,  1408,  1937, -4443, -4443,
   -4443, -4443,  3471,  2111,  3594, 55489,  1139, -4443,  3806,   556,
   62789,   966, 79313, -4443,  2647,  2647,  3600, 79313,  3949, -4443,
     858, 79313,  3860,  3589, -4443,  2598, -4443, -4443,  3165, 79313,
   62789,  2995, -4443,  2462, -4443, -4443, -4443,  3588,  3506,  3556,
    2172,  1447, 79313, -4443,  3595, -4443, -4443,  3835,  3563, -4443,
   13810, 13810,  2598, 60359,  4370, -4443, 79313,  3819, 79313, -4443,
     160, -4443,   160,   160, -4443, -4443, 79313,  2647,  2647,  2647,
   -4443,  3747, -4443,   160,106019,  2174,  2174,  2174,  2174, -4443,
   -4443, -4443, 13810, -4443, -4443, -4443, 35273,  3849, -4443,  3572,
   58898, -4443,  3573,  2491,  2494, 36281,  3717, -4443, -4443, -4443,
    9867,  3628, 13810,  3676,  3582,  3584, -4443,   969,   969,   755,
    2498, -4443, 35273, 35273,  2564,  2564, 33761,  2564, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, 76397,  3587, 79313,  2016, 38759,
   -4443, -4443,  1380, -4443, 38759,  3820, -4443, 38759, 79313,  3590,
   79313,  1012, 33761, 33761,  3624,  3374,  3374, -4443,  3757, -4443,
    3591, -4443, -4443,  1769, -4443, -4443, -4443, -4443,   999,  3592,
   71537, -4443, -4443, -4443,  1277, -4443, -4443, -4443, -4443,106019,
    3776,106019,  1317,  9937,  3471, 39739, 48623, 79313, 78827, 78827,
    3737,  3471,  3594, -4443, -4443, -4443, -4443, -4443, -4443,  3603,
   -4443, -4443, -4443,  3671, -4443, -4443, -4443,  2499, -4443, -4443,
   -4443, -4443, -4443,  3782, -4443, -4443, 45130, -4443,  3673, -4443,
   -4443, -4443, -4443, -4443, 40229, 47625, -4443,  1334,  3601,  3605,
     124, -4443, -4443, -4443, 79313,  1532,   -32,  3641,  2647,  3891,
   -4443, -4443, -4443,  3782, -4443, -4443,  2044, -4443, -4443, -4443,
    2650,  3930, -4443, 54515, -4443,102251, -4443, -4443, -4443,  2598,
   -4443,  2598,  3801, 50584,  2598,  2598, -4443, 55489,  4011,  4011,
   -4443,  2051,  2051, -4443, -4443, -4443, 79313, -4443, -4443, 10067,
    3805, -4443,  3594,  3831,  3879, -4443,  3631, 79313,  3771,  3632,
    3623,   361,   361,  3428, 79313,  2505,  1886,   210, 62789,  3428,
   -4443,  1526,  3633,  3922, -4443,  4026,  3327,  3627, -4443, -4443,
   64733,  3808,  3542, 79313,  3506,  3756, -4443,  3759, -4443,  1082,
   -4443, 79313, 39739, -4443, 59385, -4443,  2508, -4443, -4443,  3253,
   79313,   785, -4443,  3649, -4443, -4443, -4443, -4443, -4443, -4443,
     159, -4443, -4443, -4443, -4443,   669, 35273, 58898,  2511, 33761,
   -4443, 33761, -4443,  4018, -4443, -4443, -4443,   879, -4443, -4443,
   -4443,   969,   969,  2564, -4443, 79313,  2512, -4443, 33761,  3642,
   -4443, -4443, 38759,  1380,  2520, 79313,  2525, 58898,  3374,  3179,
   13810, 79313, -4443, -4443, -4443,  4022,  3816,  3374, -4443, -4443,
   -4443, -4443, -4443, -4443,  1451,   739,   159,  3894,  3594, -4443,
    3646, -4443, -4443, 79313, -4443,   768,   768, 79313,  3594, -4443,
   -4443, 79313, -4443, 54515,  3693, -4443, 79313, 58898,  2476,    75,
   -4443, 58898, 58898, -4443, -4443, 79313, 79313, 79313, 79313, 79313,
     160, -4443,  3298,  2598, -4443, -4443,  2531, -4443, -4443, -4443,
   79313, -4443,  3458, -4443, -4443,  4011,  1049, -4443, -4443, -4443,
    2047,  3841, -4443,  1436,  3826,  3729,  3647, -4443, 55489,  4071,
    3761, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,
    3939,  3165,  3595, -4443, -4443, -4443, -4443, 33761,  3804,  1886,
    2172,  3713, -4443, -4443, -4443,  2534,  3542, -4443, -4443,  4021,
    3837,  4023, -4443,  2535, -4443, -4443,  5317, 60359,  3975, -4443,
    3711, 79313, -4443, -4443,  2641,  4084, -4443,   669,  2538, -4443,
    2541,  2544,  3809,  3716, -4443,  2548, -4443, 13810, 79313, -4443,
   -4443, -4443,  2549, -4443,  3661, -4443,  4066, 33761,  1570, -4443,
   -4443,  3950, -4443, 78827,  3708, 47625, -4443,  2158,  2158,  2111,
   -4443,  1317, -4443, -4443, 33761, -4443, -4443,  2565, -4443,    40,
    3822,  3958,  2570,  2573,  3144,  3714,  3144, -4443,  2647, -4443,
   -4443, -4443, -4443,102251,  3458, -4443, -4443, -4443,  3985,  3931,
   -4443, -4443, -4443, -4443,   363, -4443,  3859,  3861, 79313, -4443,
    3682, -4443,  2574, 79313, 79313,  4083,  4087, -4443, 10432, 55489,
   -4443,  3506,  2172,  1531, -4443, -4443,  3868, -4443,  3872,  3165,
   39739,  4370, -4443,   213, -4443, -4443, -4443, -4443, -4443, 79313,
   -4443, -4443, -4443, -4443, -4443, -4443,  2577, -4443, 79313,  3694,
    3179, 32753, 32753,  3697,106019,   768,  3699, -4443,  3701, -4443,
   -4443,  3831,  1317, 13810, 55489,  4078, -4443, -4443, -4443,  3822,
   -4443, -4443, 79313, -4443,  3823, -4443,  1183,  1183,  4019, -4443,
    3763, -4443, -4443,  3702, -4443,  4130,  3428, -4443,  1334,  1886,
   -4443,  3706,  3542,  3506, -4443, -4443,  3542, -4443, -4443, -4443,
   -4443,  2057, -4443, -4443, -4443, -4443, 35777,  3839,   207, 11879,
   -4443, -4443, -4443, -4443,   159,  2158, 33761,  1317, -4443,  3826,
    2476, 79313, -4443, -4443,  3589, -4443,  4122, -4443,  1066, -4443,
   -4443, -4443, -4443, -4443,  3529, -4443, 54028, -4443,  3542,  3253,
   -4443,  2036, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  4114,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, 10548, -4443, -4443,
   -4443,  4014, -4443, -4443, -4443,  2584, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  1581, -4443, -4443,  1619,  2284, 33257, -4443,
    1317,  3869, -4443, 54028, -4443,  2036, -4443, 55489, -4443, -4443,
    3731, 54028,  2587, -4443
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2316,     0,     2,     1,  2746,  2750,  2754,  2755,  2672,  2756,
    2757,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,
    2731,  2732,  2733,  2735,  2734,  2736,  2737,  2738,  2739,  2740,
    2741,  2742,  2743,  2745,  2744,  2694,  2323,  2691,  2688,  2689,
    2690,  2695,  2693,  2686,  2687,  1919,  2759,  2747,  2760,  2748,
    2749,  2751,  2752,  2721,  2753,  2761,  2762,  2763,  2758,  2766,
    2717,  2718,  2716,  2719,  2720,  2764,  2765,  2708,  2709,  2710,
    2711,  2767,  2324,  2325,  2713,  2317,  2321,  2383,  2454,  2714,
    2715,  2712,  2322,  2707,  2454,     0,  2575,  2576,  2577,     0,
    2578,  2579,  2580,  2506,  2468,  2581,     0,     0,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,     0,  2590,  2591,  2592,
    2593,  2453,  2594,  2595,  2596,  2597,  2598,  2430,  2436,  2559,
       0,  2410,  2411,  2407,  2409,  2408,  2412,  2395,  1196,   544,
    1282,  1281,     0,  2218,  1196,  2174,  2175,  2219,  2176,  2177,
    2178,   256,     0,  1284,  2179,  2220,     0,  1196,  2221,   369,
     965,  2222,  2223,  2338,     0,  2180,  2181,     0,     0,     0,
     544,  1196,     0,     0,  2182,  1396,  2183,     0,  2184,  2224,
    2225,     0,  2185,  2226,  2227,  2186,  2187,  2188,  2228,  2229,
    2230,  2189,  2231,  2232,     0,     0,  1410,     0,  2190,  2233,
    2191,  2192,     0,  2234,  2193,  2194,  2195,  2235,  2236,  2237,
    2196,  2197,  2198,     0,  2199,     0,     0,     0,     0,     0,
       0,  2238,  1196,  2200,     0,     0,  1417,     0,  2201,     0,
    2239,  2202,     0,  2203,     0,  2204,  2205,  2206,  2207,  1410,
    2555,  2431,     0,  1286,     0,  2208,  2240,     0,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1284,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1383,  1370,  1419,  1382,  1395,     0,  1385,  2651,
    2652,    35,  1396,   118,   119,   124,  2320,  2372,  2373,  2374,
    2454,  2405,  2406,  2399,  2415,  2425,  2414,  2418,  2426,  2413,
    2432,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2653,  1602,
    2650,    61,  2390,  2389,     0,  2454,     0,  2683,  1929,  1930,
    1931,  1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,
    1941,  1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,
    1961,  1962,  1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,
    1971,  1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,
    1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2080,  2078,  2079,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,
    2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2338,  2143,  2144,  2145,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2356,  1920,  1926,  1927,  1928,  2331,
    2352,  2358,  2679,  2357,  1925,  2505,     0,     0,  2599,  2600,
    2601,  2602,  2603,  2604,  2654,  2655,  2656,  2657,  2658,  2660,
    2659,  2467,  2626,  2663,  2466,  2664,  2470,  2665,  2666,  2667,
    2668,  2627,  2669,  2469,  2661,  2623,  2471,  2464,  2465,  2624,
    2573,  2574,  1897,  2625,  2622,  2662,  2359,  2621,  2475,  2474,
    1360,  2678,  1896,  1361,     0,  2477,  2605,  2606,  2607,  2608,
    2610,  2609,  2611,  2241,  2242,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2251,  2252,  2636,  2253,  2254,  2255,  2649,
    2256,  2257,  2637,  2258,  2259,  2260,  2261,  2262,  2263,  2264,
    2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,
    2275,  2276,  2277,  2278,  2279,  2280,  2281,  2638,  2639,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,
    2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2640,  2306,  2307,  2641,  2308,  2309,  2310,
    2642,  2311,  2312,  2313,  2314,  2315,  2646,  2647,  2648,  2635,
    2428,  2612,  2634,  2645,  2643,  2644,  2438,  2434,  2442,  2437,
       0,     0,     0,     0,  2454,  1195,  1194,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,     0,  1206,
     341,   340,  1283,  1264,   544,     0,  1183,   368,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
     392,   391,     0,     0,     0,   937,   397,     0,     0,     0,
       0,     0,   532,  2337,  2332,  2342,     0,  2335,  2336,  2621,
       0,  2770,  2078,  2368,  2369,  2768,  2128,  1362,   257,   260,
     258,   259,     0,  1037,  1038,  1040,     0,     0,  1050,   770,
     771,     0,   769,     0,   773,     0,     0,     0,   765,     0,
       0,     0,     0,     0,   772,   762,     0,   761,     0,     0,
       0,   768,     0,   763,     0,     0,  1184,     0,  2420,  2421,
    2018,  1323,   398,     0,     0,  1396,     0,  1301,  1302,  1284,
    1291,  1303,  1296,  1298,  1297,  1299,  1295,  1300,  1930,   876,
    1944,   876,  2008,   873,   874,   876,   876,   876,  2095,     0,
       0,   848,     0,   859,  1921,   876,  1922,  2679,   881,   453,
     453,   453,     0,   880,   885,   453,  1177,  1215,  1901,  1409,
       0,  1944,  2008,   849,  1176,  2143,  1315,     0,     0,     0,
    1054,     0,  1055,     0,  2110,  1188,   241,  2619,  2119,  2204,
    2143,  2620,   237,  2614,  2615,  2617,   211,  2618,  2616,  2613,
    1934,     0,     0,   880,     0,  1185,  1186,   832,  1416,  1414,
       0,     0,     0,  1952,     0,  1964,  2044,   234,  2106,  2111,
    2119,  2204,  2143,  2171,   191,   196,     0,   250,  2119,  2204,
    2143,     0,  1206,     0,  1386,  1502,  1892,     0,     0,  2429,
    1179,  1178,  1285,     0,  1288,     0,  1464,  2091,  1390,  1392,
    1290,  1383,     0,     0,  2319,  1279,  1413,  1413,     0,  1413,
       0,  1375,  1383,  1378,  1382,     0,     0,     0,     0,  1196,
       0,  2397,  2425,  2404,  2460,  2401,     0,     0,  2450,  2446,
    2443,  2451,  2452,  2445,  2433,  1591,  1592,  1593,  1590,  1603,
    1589,     0,  2378,  1594,  2417,  2384,     0,  2392,  2391,  2696,
    2697,  2507,  2330,  2349,     0,     0,     0,     0,     0,     0,
       0,  2476,  2478,  2480,  2440,  2439,  2435,     0,     0,     0,
       0,  2565,  2566,  2564,     0,  2561,  2563,     0,  2460,     0,
    2630,  2624,  2633,     0,  1902,  2625,  2622,  2621,     0,   780,
       0,   139,   925,     0,     0,     0,     0,  1896,     0,     0,
       0,     0,     0,  2017,     0,     0,     0,  1797,  1956,  2004,
    1807,  1805,  1806,  1799,  1800,  1801,  1802,  1803,  1804,     0,
    1035,  1798,     0,   161,   139,     0,     0,  2017,     0,     0,
    2017,     0,     0,     0,     0,     0,  2047,   139,  2017,     0,
       0,     0,  1200,     0,     0,     0,  1202,  1205,  1181,  1267,
       0,  1892,     0,     0,   811,   801,     0,   812,   802,   807,
       0,   814,     0,     0,   804,     0,     0,     0,   815,     0,
     803,   805,   817,   806,   813,     0,     0,   808,   809,     0,
       0,  1192,   453,   347,     0,     0,     0,     0,     0,   139,
    1254,     0,  2017,   139,     0,     0,   396,   395,   139,   394,
     393,  1956,  2004,     0,   964,   139,  2017,     0,   184,   614,
     547,     0,     0,   692,  2047,   139,     0,     0,     0,     0,
       0,     0,   940,     0,     0,   531,   544,     0,  2341,  2347,
       0,  2339,  2508,  2771,  2769,  2463,     0,  1041,   235,   236,
    1039,  2017,     0,   319,     0,     0,  2017,  1243,   767,     0,
     766,  2017,     0,  2017,   175,  1894,     0,   764,  1956,  2004,
    2017,     0,     0,  2017,   167,  2017,     0,  2017,   319,  2017,
     548,     0,  2017,     0,  2017,  2047,   169,     0,  2017,   319,
     778,     0,     0,  2701,  2705,     0,  2703,  2698,  2419,  2473,
    2472,  2371,     0,  2781,     0,  1362,  1293,  1308,     0,  1304,
    1311,  1307,  1396,   876,   875,     0,   876,     0,  2790,   876,
       0,   876,     0,  2790,   876,     0,     0,     0,   876,  1923,
    1924,     0,     0,  2789,  2787,  2788,   850,   860,     0,   882,
       0,     0,   889,   888,   887,     0,     0,     0,   890,  1506,
    1338,     0,   857,     0,   855,     0,  1174,  1191,     0,     0,
       0,     0,     0,  1057,  1057,  1057,  1187,   240,   238,     0,
       0,     0,     0,     0,     0,  1193,     0,     0,     0,     0,
    2685,  1908,  1808,  2684,     0,  2175,  2176,  2177,  1866,     0,
    2626,  2178,  2179,  2220,  1720,  1707,  1716,  1721,  1708,  1710,
    1717,  2180,  2181,  1988,  2182,  2183,  1915,  2184,  2185,  1546,
    2187,  2188,  2189,  1712,  1714,  2190,  2191,     0,  1916,  2193,
    2194,  2066,  2196,  2197,  2199,  2200,  1718,  2202,  2203,  2204,
    2205,  2206,  2207,  1914,     0,  1719,  2208,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,     0,     0,  1889,     0,  1692,
       0,  1538,  1539,  1561,  1562,  1540,  1567,  1568,  1580,  1541,
       0,  1888,  1605,  1691,  1697,     0,  1690,  1686,  1399,  1884,
       0,  1687,  1904,  1867,  1918,  1917,  2679,  1875,  1907,  1905,
    1906,     0,     0,     0,   203,     0,     0,  2554,   252,     0,
     253,  1890,  2119,   192,   233,   205,   232,   206,   204,     0,
    1954,   193,     0,     0,   194,     0,     0,     0,     0,     0,
       0,     0,   246,  1182,     0,  1504,  1503,     0,     0,  1873,
    1893,   787,     0,  1277,  1278,  1276,     0,  1273,  1275,  1287,
    1284,  1880,  1879,  1881,     0,  1391,     0,     0,     0,  1373,
    1372,  1290,  1411,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,  1454,  1427,  1428,  1430,  1451,  1455,  1463,     0,
    1379,     0,     0,  1508,     0,  1465,  2318,  2460,  2461,     0,
    2455,     0,  2454,  2454,  2448,  2447,  2444,     0,     0,     0,
       0,     0,     0,     0,  2375,   526,  2377,   524,     0,     0,
    2351,     0,  2355,  2353,     0,  2500,  2503,     0,  2501,  2502,
    2504,     0,  2509,  2510,     0,     0,     0,  2692,     0,     0,
    2491,  2479,  2486,  2488,  2490,  2489,  2498,  2494,  2497,  2499,
    2441,  2454,  2572,     0,  2567,  2570,     0,  2562,     0,     0,
       0,  1903,     0,     0,     0,     0,   781,     0,     0,     0,
       0,     0,     0,   138,  1241,   243,  1239,     0,     0,     0,
       0,     0,     0,     0,  1246,     0,     0,   173,   174,   559,
     544,     0,  2017,     0,     0,     0,     0,   997,  1004,     0,
       0,     0,     0,     0,     0,     0,   998,   996,   999,   245,
    1008,  1021,  1024,     0,   915,     0,     0,     0,     0,  1106,
       0,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   263,   271,   314,     0,  2017,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   143,     0,
       0,     0,     0,     0,     0,   511,   523,     0,     0,     0,
       0,     0,   520,     0,   139,   265,   504,   508,     0,     0,
       0,   623,   622,     0,  1106,     0,   261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   333,   334,     0,     0,     0,   143,   166,     0,
       0,     0,   267,     0,  2385,     0,  1201,  1198,  1199,     0,
    1204,     0,  1263,     0,     0,     0,     0,   819,     0,   816,
       0,     0,   810,  1956,  2004,     0,     0,     0,     0,     0,
       0,   371,   346,     0,     0,     0,   689,     0,  1549,  1578,
    1556,  1578,  1578,  1545,  1545,  1558,  1547,  1585,     0,  1578,
    1545,  1550,     0,  1548,  1588,  1588,  1573,     0,  1530,  1531,
    1532,  1533,  1559,  1560,  1534,  1565,  1566,  1535,  1602,  2631,
    1545,  2632,  2629,  2628,     0,     0,   700,     0,  1218,  1253,
       0,     0,     0,   553,     0,  2017,     0,   141,   736,     0,
     690,   397,     0,   141,     0,     0,   178,     0,   618,     0,
       0,     0,     0,     0,     0,   638,   637,     0,     0,     0,
     691,     0,   141,     0,   507,  2017,     0,   453,   453,     0,
       0,   939,   942,     0,     0,     0,  2345,  2340,  2343,     0,
    2333,  2347,  1365,  1367,  1366,     0,  1364,     0,   319,   317,
     318,   687,  1049,     0,     0,     0,     0,   319,     0,     0,
    2017,   319,  2017,     0,  2017,     0,     0,   319,   319,     0,
       0,     0,     0,   619,     0,   777,   775,   774,   776,     0,
       0,     0,     0,     0,  2017,   319,     0,     0,   758,  2699,
       0,     0,  2702,     0,  2422,  1818,     0,  2784,  1320,  2785,
       0,     0,  1396,     0,   222,   223,   221,  1309,   224,  1310,
    1306,  1292,     0,   868,     0,  2790,  2791,   853,     0,   863,
       0,  2790,   851,     0,   864,   861,   862,     0,     0,     0,
    2786,  2670,  2676,   867,     0,     0,   454,   456,     0,     0,
    1974,  1987,     0,  2009,  2035,  2036,  2111,  2115,     0,  2138,
    2147,     0,   891,   920,   886,     0,     0,  1348,   858,   856,
    1175,  1313,  1824,     0,  1396,     0,   497,  1056,  1053,  1052,
    1051,   239,   212,     0,     0,     0,   922,  2110,  1190,   831,
     544,     0,     0,  1695,  1696,  1577,  1564,  1865,     0,     0,
    1572,  1571,     0,     0,     0,     0,     0,  1554,  1553,  1552,
    1694,  1832,     0,  1551,     0,     0,     0,     0,  1578,  1578,
    1576,  1625,     0,  1555,     0,     0,  1845,     0,  1851,     0,
       0,     0,  1584,     0,  1582,     0,     0,  1661,     0,     0,
       0,     0,     0,     0,     0,     0,  1609,  1610,  2627,  1692,
    1818,     0,  1693,  1911,     0,     0,  1570,     0,  1602,  1808,
       0,     0,     0,     0,  1878,     0,  1816,     0,     0,  1639,
    1814,     0,  1641,     0,     0,     0,  1807,  1805,  1806,  1799,
    1800,  1801,  1802,  1803,  1804,  1812,  1622,     0,  1887,     0,
    1621,     0,     0,  1467,  1398,     0,  1909,  1868,     0,  2677,
    2680,  1688,  2551,  2550,  2549,  2548,  2519,     0,  2513,  2514,
       0,  2552,  2553,   254,   255,   251,     0,     0,   208,   207,
       0,   230,   231,   202,   229,     0,   225,   226,   210,  1760,
    1759,   209,   201,   199,   197,   213,   215,   216,   200,   198,
     249,   247,     0,     0,     0,  1870,  1869,  1899,  1874,     0,
       0,   319,  2454,  1271,     0,  1268,  1883,     0,  1393,     0,
       0,  1280,  1389,  1388,  1420,  1421,   957,  1387,  1445,  1446,
    1441,     0,     0,     0,  1460,  1458,  1437,  1431,  1436,  1434,
       0,  1438,  1605,  1453,  1377,  1425,  1426,  1429,  1376,     0,
    1456,     0,  1348,  1454,  1430,  1335,     0,     0,  1509,     0,
       0,  2462,  2460,  2400,  1530,  2454,  2393,  2454,  2449,  2381,
    1596,  1597,  1598,  1599,  1600,  1601,  2382,     0,  2379,  1595,
    2380,   525,     0,     0,     0,  2348,     0,  2329,  2354,  2485,
    2594,  2517,     0,  2518,     0,     0,  2482,     0,  2492,  2495,
    2493,  2496,     0,  1530,  2673,  2568,  2673,  1530,     0,     0,
       0,     0,     0,     0,     0,     0,   782,     0,     0,     0,
       0,     0,     0,  2138,   242,  1237,     0,     0,     0,     0,
     924,   923,     0,     0,   944,     0,     0,     0,  1249,   442,
       0,   316,     0,     0,     0,     0,     0,     0,     0,     0,
     685,   682,     0,     0,   681,     0,   557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   593,     0,  1106,     0,   626,
       0,  1006,     0,  1005,     0,     0,     0,  1007,  1002,  1003,
    2111,  2119,  2143,   244,  1023,     0,  1022,  1020,   979,   981,
     980,     0,   983,   967,     0,   968,     0,     0,   978,   986,
     984,     0,     0,     0,     0,  1997,   273,   286,     0,  1105,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     306,     0,   309,   308,     0,     0,     0,     0,   313,     0,
       0,     0,   312,     0,     0,     0,     0,  1106,     0,   269,
       0,     0,     0,     0,     0,     0,  1036,     0,   164,     0,
     160,   163,     0,     0,     0,     0,   510,   522,     0,   514,
     515,   512,   516,   517,     0,     0,     0,     0,     0,     0,
     509,     0,     0,   616,   615,   621,     0,     0,     0,     0,
       0,     0,     0,  1098,  1097,     0,     0,     0,     0,     0,
       0,   726,     0,     0,     0,     0,     0,     0,     0,   629,
     630,     0,   631,     0,   165,     0,     0,     0,     0,     0,
       0,     0,   220,  1197,  1203,  1266,  1900,  1265,     0,     0,
       0,   818,     0,     0,     0,     0,     0,     0,     0,   820,
     821,   822,   823,     0,     0,     0,     0,     0,   349,   350,
     139,   348,     0,   715,  2628,   688,     0,  1530,     0,  1526,
    1522,  1591,  1590,  1589,     0,  1536,  1545,  1542,   701,     0,
     703,   706,     0,  1216,   415,     0,     0,   550,   593,     0,
     400,   171,     0,     0,     0,     0,   137,   182,   184,   398,
       0,   183,   185,   187,   188,   189,   186,   190,   613,   617,
       0,   546,     0,     0,     0,     0,     0,   639,   643,   642,
     646,   644,     0,   640,     0,     0,  1518,     0,   159,     0,
     503,   506,     0,  2326,     0,   400,   484,   326,     0,   453,
       0,     0,   941,     0,     0,     0,     0,     0,  2346,     0,
       0,     0,     0,  1363,     0,  1027,     0,  1244,  2017,   319,
       0,  1025,   176,  1895,     0,   759,     0,     0,     0,     0,
       0,  1029,   755,   168,     0,   319,   319,   549,     0,   319,
     170,     0,     0,     0,   541,   319,   779,  2700,  2706,  2704,
    1322,     0,  2782,  2783,   453,  1367,  1294,  1305,   865,   872,
     854,   871,   870,   852,   869,   866,  2484,     0,     0,  2675,
       0,   883,     0,   452,     0,     0,     0,   897,   898,     0,
       0,   896,   913,   899,     0,   901,   893,   892,   902,   903,
       0,     0,   922,     0,  1345,     0,  1343,     0,  1507,  1347,
    1336,  1314,     0,  1312,  1317,  1319,  1318,  1316,     0,     0,
     502,     0,     0,   880,     0,     0,   319,  1189,     0,   833,
     834,   840,     0,     0,     0,     0,     0,   841,   837,   838,
     839,   842,   843,   844,     0,     0,     0,  1828,     0,  1829,
       0,     0,     0,  1864,  1860,     0,     0,     0,     0,     0,
       0,  1836,  1837,  1838,  1835,  1839,  1834,     0,     0,  1840,
    1833,     0,     0,     0,     0,     0,  1575,  1574,     0,     0,
       0,     0,     0,     0,     0,  1664,  1697,     0,     0,  1792,
       0,  1818,  1850,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,  1818,  1856,     0,     0,     0,     0,  1758,
       0,  1755,     0,     0,     0,     0,  1875,     0,     0,     0,
       0,  1912,  1606,  1623,  1886,     0,  1877,     0,     0,  1607,
    1630,     0,  1857,  1657,     0,  1662,  1645,     0,  1638,     0,
    1643,  1647,  1626,  1878,  1817,     0,  1815,     0,     0,  1624,
       0,  1619,  1617,  1618,  1611,  1612,  1613,  1614,  1615,  1616,
    1620,  1796,  1794,  1795,     0,     0,     0,  1642,  2011,  2044,
       0,  1410,  1410,  1410,  1397,  1408,  1885,     0,  1513,     0,
       0,     0,     0,  1775,     0,  1822,     0,  1820,  1902,  2682,
    2681,  1876,     0,     0,     0,  1891,     0,     0,  1602,     0,
     248,  1505,  1871,     0,   785,   786,   784,  1530,  1290,  1274,
    1270,  1269,  1882,  1289,  1396,     0,   955,   956,     0,   960,
       0,     0,  1439,  1461,     0,  1452,     0,  1443,  1444,  1435,
    1462,  1457,  1381,  1380,     0,  1516,     0,     0,  1332,  1325,
    1510,     0,  1467,  1350,  1352,  1353,     0,  1875,  2398,  2456,
    2403,  2424,  2394,  2427,  1604,  2376,  2416,     0,  2350,  2520,
    2521,     0,  2511,  2512,  2481,  2487,  2558,     0,  2674,     0,
       0,   713,   712,     0,     0,     0,  1134,  1059,  1110,   783,
    1135,  1060,  1111,  1136,  1061,  1238,     0,  1240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   664,  2017,   319,  1247,  1137,     0,  1062,   315,
    1248,  1112,  1252,   684,   683,     0,     0,  1113,     0,   558,
       0,     0,   563,   564,   565,     0,     0,     0,   566,     0,
    1956,  2004,     0,   571,   578,   583,   573,     0,   584,   579,
       0,     0,     0,     0,     0,     0,   590,   592,     0,     0,
       0,     0,     0,     0,  1000,  1001,  1138,  1065,     0,  1114,
     982,  1545,   966,     0,     0,   977,     0,   976,  1545,  1545,
    1066,   172,     0,   264,   274,   599,  1108,   292,   305,   300,
     301,   299,  2017,   319,  2017,   319,     0,     0,     0,     0,
     302,   297,   298,   294,   307,  1933,  1989,  2120,     0,   603,
     605,     0,   610,   310,  1080,     0,   327,   330,   311,   290,
     293,   291,   287,   272,     0,     0,     0,     0,     0,     0,
    1898,     0,     0,  1031,     0,     0,     0,   162,  1094,     0,
       0,   148,     0,     0,     0,     0,   142,   152,     0,  1144,
    1070,     0,     0,   266,   505,   513,   518,  1074,   521,  1124,
     519,  1150,  1071,  1106,     0,   262,     0,  1072,     0,  1118,
    1146,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1255,     0,     0,     0,     0,     0,   319,     0,     0,
       0,  1108,  2017,   319,  1145,     0,  1103,  1132,     0,   335,
       0,  1095,     0,     0,   268,  1076,  1126,     0,     0,   218,
     217,   219,     0,     0,     0,     0,     0,     0,     0,     0,
     825,   794,   824,     0,     0,     0,   788,   370,   344,   345,
     347,   354,   714,     0,     0,     0,  1527,  1523,     0,     0,
       0,     0,     0,     0,  1543,   702,     0,     0,     0,     0,
    1236,  1236,  1236,  1236,  1236,  1236,  1236,  1217,  1245,     0,
     139,     0,     0,     0,   552,   592,   599,     0,     0,     0,
     399,   403,   407,   408,   409,     0,     0,     0,     0,   153,
     140,     0,   744,     0,   453,     0,   184,   177,     0,     0,
       0,   545,   699,   697,   696,   698,     0,     0,     0,   719,
     695,     0,  1517,  1519,     0,     0,     0,     0,     0,   402,
       0,   456,     0,     0,   488,     0,     0,     0,   326,     0,
       0,   971,     0,   989,   972,     0,     0,     0,  1011,  1016,
    1012,   992,     0,   529,  2344,  2338,  1368,  1369,     0,   319,
       0,     0,   594,   319,   319,     0,   319,     0,   319,   319,
       0,  1172,   620,     0,   672,     0,     0,   319,   757,  1819,
       0,  2483,  2671,   884,   455,     0,     0,     0,     0,   895,
       0,   527,   900,     0,   912,   907,   909,     0,   916,  1346,
    1339,  1341,  1340,     0,     0,  1337,  1825,   756,   495,     0,
       0,     0,   319,     0,   917,     0,   835,   836,     0,     0,
     845,     0,     0,  1415,  1826,  1827,     0,     0,     0,     0,
    1861,     0,     0,  1733,     0,  1709,  1711,  1544,  1723,     0,
    1557,  1734,  1735,  1713,  1715,     0,  1809,     0,     0,  1724,
    1666,  1667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1679,  1678,  1725,  1791,     0,
       0,  1848,  1849,  1726,  1587,  1588,  1588,     0,     0,  1855,
       0,     0,     0,  1731,  1736,     0,     0,     0,     0,  1742,
       0,  1763,     0,     0,     0,  1689,  1819,  1579,  1580,     0,
       0,     0,     0,     0,     0,     0,     0,  1663,  1646,  1640,
       0,  1644,  1648,     0,     0,     0,     0,  1632,  1658,  1628,
       0,     0,  1634,     0,  1659,  1410,  1410,  1410,  1410,  1407,
       0,     0,     0,     0,     0,  1488,  1466,  1468,  1475,  1488,
    1493,  1511,     0,  1892,     0,  1448,  1419,  1419,     0,  1775,
       0,  1698,     0,  1775,     0,     0,  2533,  2535,  2536,  2537,
    2538,  2539,  2541,  2542,  2544,  2545,  2546,  2534,  2540,  2543,
    2547,  2524,  2525,     0,  2515,  2516,   195,     0,   227,   214,
       0,  2558,  1272,     0,  1422,     0,  1810,   960,   958,   959,
    1424,     0,     0,  1459,  1432,  1334,     0,  1332,  1327,     0,
    1328,  1875,     0,  1324,  1357,     0,     0,  1516,     0,  1356,
       0,  2458,  2386,     0,     0,  2557,  2560,  2571,  2569,  2396,
    1133,  1058,  1109,  1236,   927,   928,     0,   926,     0,     0,
       0,   441,   943,     0,     0,     0,   664,     0,     0,   445,
       0,  1250,     0,  1151,  1093,   560,   561,     0,   572,     0,
     581,   580,     0,     0,   568,     0,     0,     0,     0,   567,
     586,   533,   587,   589,     0,     0,   588,   591,   596,  1106,
       0,   627,  1082,     0,  1130,   994,     0,  1545,   969,   974,
     975,     0,     0,     0,   415,     0,     0,     0,   275,   285,
       0,     0,   289,     0,   283,   303,   295,   304,   296,   607,
     608,   606,   602,     0,   609,   611,   324,     0,     0,     0,
    1140,  1106,     0,   270,  1078,     0,  1128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,  1115,
       0,     0,   145,   144,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   336,
     321,     0,   722,     0,     0,     0,   338,     0,     0,     0,
       0,  1139,  1067,   789,     0,     0,   790,   798,     0,     0,
     791,     0,     0,   800,     0,     0,   343,   351,   716,     0,
    2066,  1799,  1800,   710,   717,   707,   709,   708,   711,   664,
       0,     0,     0,  1528,     0,  2772,  2780,  2779,     0,  1602,
     704,   705,     0,  1236,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,     0,     0,   421,
       0,     0,  1016,   414,   417,   418,     0,     0,   553,   556,
     554,   555,   585,     0,   434,     0,     0,   155,     0,     0,
     156,   154,     0,     0,   326,     0,   180,   398,     0,     0,
     645,   648,   641,     0,   718,   720,   693,     0,   599,     0,
       0,  1323,   497,     0,   484,   480,   482,   481,   483,     0,
     490,   325,     0,   497,   490,     0,   944,   970,     0,     0,
       0,  1009,  1013,  1010,     0,     0,   985,     0,   993,   963,
    1167,  1168,  1165,  1166,     0,     0,  2361,  1359,  2370,  1028,
       0,   319,  1026,   760,     0,   751,     0,   753,  1030,   319,
     319,   632,     0,   542,     0,     0,     0,     0,   894,   914,
       0,   910,     0,     0,   877,   919,  1344,  1342,   496,   922,
       0,   878,   921,     0,     0,     0,     0,     0,  1830,  1563,
       0,  1863,  1859,     0,  1706,  1831,     0,  1843,  1842,  1665,
    1844,     0,  1684,     0,     0,  1676,  1674,  1675,  1668,  1669,
    1670,  1671,  1672,  1673,  1677,  1853,  1852,  1846,  1847,  1583,
    1581,     0,  1728,  1729,  1730,  1854,  1737,     0,  1947,  1764,
    1741,  1757,  1756,     0,     0,     0,  1744,     0,     0,  1753,
       0,  1793,  1569,  1602,  1608,     0,     0,  1631,  1858,  1649,
       0,     0,     0,  1627,     0,     0,     0,     0,  1636,  1809,
       0,     0,     0,     0,     0,     0,  1401,  1400,  1406,  1488,
    1493,  1383,     0,  1475,     0,  1487,  1473,  1486,     0,     0,
    1499,  1497,     0,  1499,     0,  1499,     0,  1470,     0,  1489,
    1471,  1486,     0,  1893,  1512,     0,  1450,     0,     0,  1418,
       0,  1775,  1705,  1778,  1773,  1774,  1823,  1699,  1910,     0,
    1821,  1775,     0,     0,     0,  1872,  2556,  1394,     0,  1423,
    1440,  1433,     0,  1514,  1333,     0,     0,  1330,     0,     0,
       0,  1351,  1332,  1354,  2402,     0,  2457,  2522,  2523,     0,
     933,   934,   932,   935,     0,     0,     0,   664,     0,     0,
     461,     0,   951,   951,     0,     0,   447,   493,  1016,   667,
       0,     0,     0,   665,   319,  1063,     0,   582,     0,     0,
     577,   575,   574,   576,   534,  1149,  1064,     0,     0,     0,
       0,   995,     0,   987,  1081,     0,   412,     0,   280,  1107,
       0,     0,     0,   279,     0,   319,   319,   604,   328,   329,
     332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   745,   728,     0,     0,   746,   747,     0,     0,     0,
    1033,  1034,  1032,   149,   146,   147,   150,  1091,  1075,  1125,
    1073,     0,  1119,  1088,  1084,     0,     0,     0,     0,     0,
    1148,  1102,  1123,  1147,  1100,  1121,  1099,  1120,  1101,  1122,
    1092,     0,  1521,   725,     0,     0,     0,   319,   319,   634,
    1077,  1127,     0,   792,     0,     0,   793,   795,   373,     0,
     376,   383,   355,   360,  1254,     0,  1254,     0,   357,   361,
    1254,   356,  1254,   353,   686,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,  1529,  1537,   663,     0,  1227,
    1226,  1225,  1229,  1228,  1231,  1230,  1222,  1221,  1234,  1233,
    1220,  1219,  1224,  1223,     0,   419,     0,   425,   429,   430,
     428,   420,  1016,   453,   492,     0,     0,   676,     0,   551,
     400,   431,     0,   404,   158,   157,     0,     0,     0,   184,
       0,     0,   650,   654,   694,     0,  1520,   628,   326,     0,
     400,   497,  2327,     0,   405,   410,   411,     0,   488,     0,
     484,     0,     0,   494,  1214,   498,   499,     0,     0,   973,
     990,   991,     0,     0,  1016,  1015,     0,   536,     0,  2334,
     319,   595,   319,   319,  1173,   673,     0,   906,   905,   904,
     528,     0,   908,   319,     0,     0,     0,     0,     0,   847,
     826,   846,  1862,  1722,  1732,  1841,     0,     0,  1685,     0,
       0,  1727,  2209,     0,     0,     0,     0,  1761,  1762,  1743,
       0,  2057,  1748,     0,     0,     0,  1913,  1655,  1653,  1650,
       0,  1651,     0,     0,  1633,  1629,     0,  1635,  1660,  1405,
    1404,  1403,  1402,  1474,  1472,  1477,  1484,     0,  1469,     0,
    1498,  1494,     0,  1495,     0,     0,  1496,     0,     0,  1484,
       0,     0,     0,     0,  1769,  1775,  1775,  1700,  1780,  1777,
       0,  1702,  2526,     0,  2529,  2527,  2528,  2532,  1602,     0,
       0,  1326,  1329,  1331,     0,  1358,  1349,  2459,  1242,     0,
       0,     0,   443,     0,  1016,     0,     0,     0,   954,   954,
       0,  1016,   492,   669,   668,   671,   666,   670,  1251,     0,
     569,   570,  1083,     0,  1131,  1089,   988,     0,   600,   276,
     277,   278,   281,   321,   288,   282,     0,  1079,     0,  1129,
    1086,  1142,  1068,  1116,     0,     0,   734,     0,     0,     0,
       0,  1143,  1069,  1117,     0,     0,     0,     0,  1260,     0,
     320,   724,   723,   321,   337,  1104,     0,   796,   797,   374,
     139,     0,   352,     0,   381,     0,   379,   378,   380,     0,
     367,     0,     0,     0,     0,     0,  1525,     0,  1047,  1047,
    2773,  2774,  2775,  2776,  2777,  2778,     0,   664,  1232,     0,
       0,   416,   492,   460,     0,   422,     0,     0,     0,     0,
       0,     0,     0,   599,     0,     0,     0,   179,   400,   599,
     649,     0,     0,     0,   721,     0,   402,     0,  1321,   401,
       0,     0,   490,     0,   488,     0,   485,     0,   489,     0,
    1207,     0,     0,  1014,     0,  1018,     0,   984,   961,  1513,
       0,   540,  2360,  2364,  1048,   752,   754,   633,   911,   918,
     319,   827,   828,   829,   830,  1680,     0,     0,     0,     0,
    1738,     0,  1739,  1766,  1765,  1745,  1749,     0,  1746,  1747,
    1652,  1656,  1654,  1637,  1476,     0,     0,  1478,     0,     0,
    1480,  1482,     0,     0,     0,     0,     0,  1896,  1775,  1447,
    1449,     0,  1384,  1703,  1704,     0,  1419,  1775,  2531,  2530,
     228,  1811,  1515,  1355,   912,     0,   319,   951,   492,   462,
    2066,   463,   950,     0,   952,   957,   957,     0,   492,   664,
     562,     0,   598,     0,   323,   331,     0,     0,     0,   741,
     729,     0,     0,   748,  1085,     0,     0,     0,     0,     0,
     319,   799,   354,     0,   377,   386,     0,   384,   358,   363,
       0,   365,   364,   359,   362,  1047,     0,  1044,  1043,   662,
       0,   451,   423,     0,   471,     0,     0,   677,     0,     0,
       0,   440,   439,   436,   435,   437,   438,   433,   432,   624,
     738,   326,  1214,   612,   651,   652,   647,     0,     0,     0,
     484,   480,   406,   415,   389,     0,   490,   486,   487,     0,
       0,     0,  1262,     0,   945,  1017,     0,     0,     0,   535,
       0,     0,   539,   530,     0,  2362,   879,  1681,     0,  1682,
       0,     0,     0,  1751,  1750,     0,  1485,  1501,     0,  1481,
    1479,  1490,     0,  1492,  1768,  1770,     0,     0,  1783,  1701,
     929,     0,   930,   954,   466,     0,   953,   960,   960,   453,
     664,   444,  1090,   601,     0,   284,  1087,     0,   732,     0,
     743,   741,     0,     0,  1256,     0,  1257,  1258,  1261,   339,
     342,   372,   382,     0,   366,  1042,  1046,  1045,     0,     0,
     424,   457,   458,   459,     0,   426,   467,   468,     0,   674,
       0,   679,     0,     0,     0,     0,     0,  1208,     0,     0,
    1209,   488,   484,   413,   479,   387,     0,  1211,     0,   326,
       0,  1016,  1019,  1171,   538,   537,  2365,  2367,  2366,     0,
    1683,  1754,  1740,  1767,  1752,  1483,     0,  1491,     0,     0,
    1779,     0,     0,     0,     0,   957,     0,   664,     0,   948,
     947,   460,   446,   322,     0,     0,   739,   742,   730,   743,
     750,   749,     0,   385,     0,   450,     0,     0,     0,   469,
       0,   470,   491,     0,   678,     0,   599,   737,     0,     0,
     653,     0,   490,   488,  1212,  1213,   490,   946,   962,  1170,
    1169,  1396,  2363,  1500,  1771,  1772,  2174,     0,  2149,     0,
    1781,  1784,  1782,  1776,   319,   960,     0,   448,   464,   471,
       0,     0,   731,  1259,   654,   476,     0,   475,     0,   473,
     472,   675,   680,   625,   727,  1210,   657,   390,   490,  1513,
    1153,  1396,  1152,  1154,  1162,  1159,  1161,  1160,  1158,     0,
    1788,  1787,  1786,  1790,  1789,   931,   949,     0,   664,   733,
     740,     0,   474,   478,   477,     0,   655,   658,   661,   659,
     660,   388,   936,     0,  1163,  1157,  1383,  1370,     0,   465,
     449,     0,   635,     0,  1155,  1396,  1785,     0,   656,  1156,
       0,   657,     0,   636
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4443, -4443,  3856, -4443, -1181,    65,  2375, -1116, -4443, -4443,
   -4443,  3005, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  3029,
   -4443, -4443,  1567, -2545, -4443, -4443,   -45, -1589,  1579,  2637,
    1238, -4443, -1395, -4443, -4443,  -890,    14, -1040, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -1060,  1716,  1065,  1636,
   -2841, -4443, -1655, -3273, -4443,   467, -4443, -4443,  1659, -4443,
   -4443, -4443,   928,   395,  -522, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443,  -340, -4443, -4443,  -648,   167,  -106, -2555,  -388,
   -4443, -4443,   343,  -390, -1603, -4443, -3599, -4443,   -85, -4443,
   -4443, -4443,  -370, -1704,  1168, -4443,  -991, -1379,  1483,  -707,
   -4443,  -257, -4443,  -760,  -647,  -644,  -714,  -546, -3774, -4198,
   -3785, -3145,  1177, -4443, -3734,   222, -4443, -4443,   324,   337,
   -4443, -4443, -1783, -1707, -4443,  -866, -4443, -4443, -4443, -3046,
   -4443, -4443, -4443, -4443,   -97, -4443, -4443, -4443, -4443,   369,
   -4443, -4443, -4443, -4443, -4443, -4443, -2806,  1622,  1625, -4443,
   -4443, -3265, -4443, -1197, -4443,   508, -3086,  1086, -4443, -4443,
   -4443,  2328, -4443, -4443, -4443, -4443, -4443, -4443, -1870, -4443,
   -4443,   350, -4443,  1635,   897, -4443, -4443, -4443,  -746,  -811,
    -802, -4443, -3565, -4443, -4443, -4443, -4443,  -333, -4443, -4443,
   -4443, -4443, -4443, -4443, -1264, -4443,   960, -3211, -1232, -4443,
   -4443,   974, -4443, -4443, -4443, -4443, -4443,  -700,  -267,  2353,
   -4443,  -589,  -676, -4443, -4443, -4443,  -266, -4443, -4443, -4443,
   -4443, -4443, -4443, -1342,  8981, -1842, -4443, -4443, -4443, -4443,
   -2542, -4443, -4443, -4443, -2114, -4443,  4118,    26,   145,   362,
   -4443,  -202,   -81,  2870, -1398, -2738,   303,  -426, -4443, -2060,
   -4443, -4443, -4443, -2662, -4443, -4443, -4443, -4443, -3538,   368,
   -4443, -4443, -4443,   353, -4443, -4382, -3994, -4268, -4281, -3539,
   -4443, -4443, -1337, -4443, -4443, -4443, -1648,  1823, -1733, -4443,
   -2429,   354, -3798, -1020, -3306, -4443, -3743,  -523, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443, -1354,  -884, -4443, -4443,  3382,
   -4443, -4271, -4443, -4443, -4443, -4443,  1298, -4443, -1703,  1035,
   -4443, -4443, -4443, -4443, -4443,  -693,  -775, -4443, -4443, -4443,
     376, -4443, -4443, -4443, -4443,  2436, -1202, -1005,  3248,   383,
    -491, -4443, -4443, -4443, -4443, -3111, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -1903, -4443, -4443, -4443, -4443, -4443, -4443,
   -4443,  2028,  2029,  -104,  -209, -4443, -4443, -1529, -4443,  -822,
   -4443,  2270, -4443, -4443, -4443, -4443,  1311,   415,   385,   -67,
   -4443, -4443,   172, -3473,   -57, -4443, -4443, -4443, -4443,  1995,
     -56, -4443,   656, -4443, -4443, -2891, -4443,   417,   -80,  2948,
    1571,   -65,   419,  -246,  -227,  -219,   -69,  3264,  2709, -4443,
   -4443, -4443,  -204,  1966, -4443, -1110,  -362, -4443,  1318,  -929,
    2000,  2695,  2698, -4443,  1319, -4443, -4443,  1316, -4443, -4443,
   -4443,  -928,  2011, -4443,  2700, -4443, -4443, -4443,  1306,  1313,
   -3452,   745, -3446, -3411,   250,   241, -1007,  -359,  -140,  3272,
    2712,   754, -4442,   674, -4443, -3506, -2448,  4677, -2167, -1859,
   -4443, -4443, -1432,  4651, -4443, -4443, -4443,  5627, 10677, -4443,
   -4443, 11044, 14829, -4443, -1257,   790, 16568,  3760, -1465, -1890,
   -1547, 17948, -1720,  2582, -2880, -4443, -4443, -4443,  -329,   806,
      12, -4443, -4443, -4443, -4443,  -591, -2894,  -587, -4443, -4443,
   -4443,  -594, -3408, -2073, -4443,  -823, -4443, 19790,  1352, -4443,
   -1320, -2822, -2832, -1402, -2016, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -1672, -3346,  -315,  1429, -4443, -4443,  1520, -4443,
   -4443, -4443, -1556, -1146, -2750,  1432, -2191, -4443, -1106,   704,
    2147, -1061,  5640,  3268, 16120,  -126, -2368, -1537, -1786, -4443,
    1894, -4443,  2122,  3696,  -139,  -926,  4951,  3877,  4551, -3191,
   -4443, -4443,   418, -4443, -4443, -4443,  3752,   955, -4443,  3053,
   -4443,  1669,  2397, -4443, -4443,  2026,  -952,   -59, -4443,  -562,
   -4443,  -123, -4443, -4443, -4443,   156, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443, -4443, -4443,  2732, -4443, -4443, -1476, -4443,
   -4443, -4443, -4443, -4443,  4008,  -305, -4443,  3430,  -282, -4443,
   -4443, -4443, -4443, -4443, -4443, -4443, -4443, -4443,  2739,  2048,
   -4443,  3215, -4443, -4443, -4443,   -51,  2950, -4443, -4443, -4443,
   -1220,  -597,  3267,  3273,  2018, -4443, -4443, -4443, -4443, -4443,
   -4443, -4443, -4443,  2030, -4443, -4443,  1404, -2144,  2027, -4443,
   -4443,   720, -4443, -4443,   264, -4443,   721, -4443,  2835, -4443,
   -4443, -4443,   757, -4443, -4443, -4443,  -502, 13348,   -48,   -94,
     149,  1194, -4443,  7795,  7690,   165,  2748,   -14, 10966, 18244,
     -17, -4443,  3996,  2032,  1634, -1030, -4443,  1568,  2333, 17250,
   -4443, -1022,   146,  1870, -4443,    -2,  -683, -1210,  3038,  -758,
   -1997, -4443,  4409, -4443, -3620, -4443, -1064,  3419, -1201
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1734,  2661,  2540,  3369,  3370,   250,
     251,  1806,   252,   253,   254,   255,   256,   257,   258,  1750,
     259,   260,  1307,  1956,  2671,   261,  2404,  1075,  1076,  2274,
    2275,  2603,  2276,  2263,  1585,  2058,  1769,  1736,  1770,   263,
     264,  1579,  2255,   265,   266,   267,  1794,  1795,  1744,  2001,
    4282,  4885,  2522,  3406,  3205,  3206,   268,  1852,  1853,   269,
     270,  3320,  1893,  2630,  3856,  3857,  4313,   878,  2627,  4590,
    4591,  4299,  4300,  4597,  4776,  4777,  2672,  1952,  3400,  3944,
    3360,  4383,  3361,  4384,  3362,  4385,  3348,  3903,  3904,  3905,
    3363,  4361,  4807,  3364,  2419,  4910,  2706,  2088,  2086,  4794,
    4179,  4180,  4967,  4915,  4916,  4917,  5039,  4390,  3404,  3950,
    4393,  4625,  3102,  1976,  2820,   977,  2708,   909,   978,  2673,
     275,  2700,  1826,  1827,  2548,  3863,  3462,   276,  1326,  3730,
    4671,  4842,  4843,   277,   866,   278,  1960,   279,   280,  2657,
    3354,   281,  2436,  3119,   282,   283,  3146,  3147,  3148,   284,
     285,  3754,  4547,  1796,  3198,  3199,  3200,  3201,  3774,   286,
    1958,  1832,  2680,   287,   288,   289,   290,   291,  2591,   292,
     293,  2674,  1968,  2692,  2693,  4373,  4641,  4816,  4643,  5075,
    5076,  4617,  3709,  4193,   295,   296,  4356,  4357,  4922,   297,
    2434,   298,   299,   300,  1936,  2649,  2650,  3864,  1720,  1896,
    2632,  2633,  3933,  3934,   301,  3280,   302,  4241,  4242,   910,
    4925,  4890,  4978,   303,   304,  4245,  4246,   305,   306,   307,
     308,   309,   965,  1379,  1380,  1726,   310,  2291,   311,  1280,
    3311,   312,  1468,  2845,  4430,   313,  1001,  1404,  1405,  2675,
     315,  1012,  2823,  1014,  2101,  3464,  3465,  4004,  2791,  1200,
     316,   317,  2802,  2826,   318,  1737,  2410,  2411,  4174,  2676,
     911,  1982,  2711,  3097,  4833,  4181,  4528,  4745,  3019,  3660,
     320,   912,  1774,  2484,  2714,  3412,  3413,  2486,  2984,  3965,
    2488,  3414,  3419,  3420,  3421,  3961,  3969,  4665,  4666,   321,
    1772,  2477,   322,   323,   324,  1803,  1219,   325,   933,   934,
     326,  4787,   327,  1345,   328,  1033,  2118,   329,  2500,  3760,
     330,   331,   332,  5052,  5083,  5084,  5085,  3974,  5011,   333,
    5054,  1446,   335,   336,   337,   869,  1246,  1247,  1248,  2677,
    4660,   339,   340,  2653,  3347,  3885,   341,   342,  2405,  3087,
     343,   344,   345,  1940,   346,   347,   348,   349,  1872,   350,
    1616,  1617,   351,   352,   873,  1094,  1620,  1628,   353,   980,
    1398,  1399,  1400,  2060,   354,  1450,  2813,   981,  1393,   982,
    3038,  3669,  3670,  3673,   983,  3035,   358,  2107,  2807,  2810,
     984,  3042,  3043,  3044,  3045,  3046,  3675,   985,  1003,  1336,
    2722,   986,  1539,   363,   364,   365,  1103,  1098,  1099,   367,
    2233,  2974,  1020,  1634,  1060,  1110,  4129,  2304,  2305,  2327,
    2328,  1643,  1644,  2317,  2319,  3021,  2320,  3029,  2310,  4126,
    4494,  2323,  2324,  1646,  1647,  1648,  2332,   368,  2978,  3606,
    3607,  3608,  4105,  4106,  4120,  4116,  4481,  4710,  3609,  1440,
    1654,  3610,  3615,  3667,  3391,  3392,  3393,  2489,  2640,  1918,
    1540,  1919,  2647,  1541,  2153,  1921,  1542,  1543,  1544,  1924,
    1545,  1546,  1547,  1548,  2136,  2196,  1549,  1550,  2172,  1142,
    1143,  2045,  2884,  1552,  1553,  4069,  4454,  4443,  2910,  2911,
    2271,  4065,  3557,  4722,  4864,  4865,  4137,  4134,  4498,  4726,
    4963,  5020,  5021,  1554,  2964,  2225,  1221,  1555,  3866,  2227,
    2904,  2986,  2987,  2389,  2134,  2850,  2867,  2868,  2881,  3518,
    2888,  2893,  3541,  3542,  2905,  2933,  1556,  2853,  2854,  3501,
    2138,  1557,  1609,  1610,  2241,  2928,  1623,  1624,  1096,  1558,
    1559,  2102,  1085,  4706,  1355,   703,  3219,  2286,  1250,  1017,
    1560,  1561,  1562,  3466,  1675,   665,   704,   705,  1180,   817,
       2,    75,   987,  3398,   372,   373,   914,   915,   916,  1328,
    1329,  1987,  1990,  1680,  2367,   669,   670,   721,  4409,  4672,
    4845,   971,   374,   375,   376,   377,  1676,  2363,  1144,    76,
      84,    77,  1145,   414,   415,  2345,   378,   834,   379,  1657,
    1124,  3681,   380,   381,   382,   383,   384,   968,   385,  1126,
     386,  1127,   387,   388,   389,   390,  1134,   391,  1659,  1660,
    4166,  1661,   392,   393,   707,   708,  1391,   394,   395,  1161,
    1162,  1423,  1424,  1686,  1701,  1702,  1703,   396,   677,   397,
     398,   399,  1692,  1693,   400,  2248,  2249,  2372,  2250,   401,
    3059,  3060,   402,  3641,  3642,  4505,  3643,   403,  2244,   404,
     405,  1088,  3686,   406,   830,   407,  1175,   709,   710,   711,
    1182,   820,  1046,   722,  1184,  3202,   822,   823,   713,   714,
     715,  2080,    78,  3067,  2081,  1564,   723,  1565,  2239,  1566,
    1567,  1568,  1569,  1570,  1709,   717,  1151,  1383,  1384,  3068,
    1386,    82,  1387,   411,  3878,  2048,  1425,  2066,  2067
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1102,  1111,  1649,  1580,  2057,  1338,  2017,  1052,   366,
    1303,   356,  1655,   361,  2011,  2007,   719,  1602,  1432,  1433,
    1434,   357,   359,   818,  1438,  1087,   725,   913,  1005,  1220,
     408,   925,  1831,  2792,  2418,   706,   408,  1721,  2645,  1950,
    2487,  1159,  1337,  1808,   908,  1870,  2759,  2113,  1005,  1970,
    1401,  2085,  1895,  2637,  2288,  2174,  1857,  3165,  3167,  2147,
    2148,   979,   871,   964,   409,  2125,  1361,  1594,   818,   408,
     409,  1220,  2046,   706,  2497,  1121,   410,   927,  2163,  2505,
    1026,   867,   410,  3316,  1084,  2605,  3482,   674,  2646,  3621,
    1013,  3912,   262,  2886,   917,   924,   366,  3611,  1122,  3736,
     825,  2697,  2301,  2992,   924,  3359,  3012,  2886,  1938,  3769,
    1998,  3771,  1943,  3968,   408,   410,  2849,  1947,  4149,  2560,
    2352,  2354,  2355,  3377,  1953,  2485,  3881,  1220,  1163,  1053,
    1704,  2569,  3277,  3867,  1972,  3954,  2518,   818,  1706,  1113,
    3468,  4186,  1338,  1105,   924,   825,  3867,  1114,    79,  3618,
    3674,   919,  4102,  1396,  3611,  4216,  2967,  3616,  3617,  4354,
     410,  4176,  2751,  3221,  4119,  2288,  3565,  4404,  1825,  4396,
    4388,  1836,  1074,  2047,  2042,  2496,  2473,  3050,  1587,  1862,
    1771,  1642,  1645,   408,  2573,  2574,  2346,  2346,  2396,  4529,
    4652,  2701,  1048,  1002,  4154,  4047,  2712,  1858,  4117,  1154,
    1048,  3685,  1048,  1682,  1683,  3522,  2246,  1049,  4382,  1385,
    1969,   417,  2072,  1002,   825,  1049,  3066,  1049,  2191,  4395,
    3070,   877,   417,  2140,  2141,    45,   417,  4838,  2194,   410,
    3886,  3887,  3888,  3889,  3890,  3891,    45,  1332,  2289,  4527,
     413,  2580,  1999,  2506,  3626,   271,  2200,  3627,  3628,  2160,
   -1578, -1578, -1578, -1578,  4319,   972,  1695, -1578,  3629,  3630,
    3631,  4746,  3632,  3633,   417, -1797,   819,  3634,  3635,  3636,
    2499,  2203, -1797,    43,   973,  1674,  1999,  3299,    45,  1696,
    4834,  2105,   821, -1903, -1903, -1903, -1903,  1999,  1999,   868,
   -1903,  1891,   130,   131,  2585,  3372,  3959,  3679,  4889,  1092,
     272,  2205,  1421,   366,  4314,   356,   974,   361,  2921,  1108,
   -1578,   819,  2231,  5009,   417,   357,   359,    37,    38,    39,
      40,  2704,  3906,    43,    44,  1470,  1697,   821,    45,  2049,
    1176,  3522,   408,  2943,  1164,  3918,  2961,  1464,  4788,  1797,
    1867,  3737,  4766,  2962,  2926,  4350,   675,  3946,    37,    38,
      39,    40,  2664,  2468,  4243,    44,     3,  1150, -1813,  1436,
    2253, -1588, -1588, -1588, -1588, -1813,   409,   408, -1588,  3436,
    2669,  3438,  4975,  -139, -1588, -1588, -1588, -1588,   410,  1573,
     819, -1588,  -139,  1885,  3128,  2499,   262,  -139, -2631, -2631,
   -2631, -2631,  1870,  2192,  2694, -2631,   821,  1747,  2499,  2926,
    4536,   409,   273, -2631, -2632, -2632, -2632, -2632,  2499,  3637,
    1448, -2632,  3480,   410,  3330,   274,  1613,  2237,  1614, -2632,
    1589,  3680,  2254, -2629, -2629, -2629, -2629,  1198,   294,  5061,
   -2629,  4976, -2628, -2628, -2628, -2628,  1437,  2469, -2629, -2628,
     314,  2257,  4767,  2670,  1220,  4532,   319, -2628,   416,  2499,
    2174,  1338,  4244,  1584,   334,  2665,  4826,  2567,  2944,  2290,
    4801,   338,  2945,   206,  4877,  4878, -2223, -2223, -2223, -2223,
    3327,  2147,  2148, -2223,  1338,  5010,  2499,  3113,  2163,  2009,
    4351, -2223,  3919, -1578, -1578, -1578, -1578,  2035,  4127,   216,
   -1578,  1868,  2000,   355,  2234,   360,   371,   362,  2424,  1748,
    2946, -2055, -1573, -1573, -1573, -1573,   913,  2705,  4802, -1573,
   -1545, -1545, -1545, -1545,  4905,  4803,  2507, -1545,  2825,   224,
   -1558, -1558, -1558, -1558,  1934,  2977,  2000, -1558,  2508,  1178,
    2517,  2616,  3499,  -375,  2059,  2280,  2281,  2000,  2000,   271,
    3638,  1338,  4804,  2612,  2106,  1460,   835,  2803,  4986,  3737,
    2695,   928,  1122,  1157,  1158,  5062,  2232,   234,  5007,  3150,
    1685,  1688, -1573, -1585, -1585, -1585, -1585,  4229,   879,   237,
   -1585,  1148,  1165,   917,  3300, -1797,   676,  2129,  1093,  2509,
    2061,  3907,  4169,  1802,   362,  3639,   836,  3867,  2581,    37,
      38,    39,    40,  2106,   272,  3522,    44,    37,    38,    39,
      40,  2195,  1607,   247,    44,  4965,  1608,  5082,   247,  4622,
    1935,  3960,  4522,  4805,  2586,  1691,  4654,   924,   924,  2947,
    1437,  3534,  2637,   417,  2041,  2037,    37,    38,    39,    40,
     919,  2635,    43,    44,  1155,  2565,  2288,    45,   999,  1000,
    2135,  2556,  2608,  2558,  2140,  2141,  2963,  4648,  3169,   999,
    1000,  4368,  2160,  2927,  4119,  1615,  4478,  2247,  3020,  2009,
    4482,  4668,  2224,  1338,  2804,  1150,  1101,  2604, -1813,  1738,
    4003,  1338,  1338,  4377,  3216,  1717,  4537,  3330,  1199,  3640,
    1156,  2288,  4435, -1578,  5025,  2991,  1294,  3810,  4473,  4516,
    1449,   999,  1673,  2459,  2755,  1437,   273,  4207,  2696,  2259,
    4611,  4612,  4613,  4614,  4615,  2780,  1207, -2055,  3585,   274,
      37,    38,    39,    40,  1607,  1191, -1903,    44,  1608,  1231,
    2333,  2334,   294,  3611,  3611,  4132,  2264,  3318,  3702,  2368,
    1102,  2277,  2277,  5002,   314,  3749,   818,  3750,  2568,  2529,
     319,  1698,  1699,  4873,  3531,  3532,  3533,  3534,   334,  2788,
    3114,  1650,  2476,  3164,  3151,   338,  1749,  3522,  2799,  1289,
    3843,  2169,  3244,  3846,  3847,  4231,  2538,  3850, -2055,  2541,
    1402,  1739,  4328,  3853,  2169,  1733,  3524,  1279,  4806,  2425,
    2170,  4738,   408, -2055,  3351,  1112,   408,   355,  4748,   360,
     371,   362,  4140,  2170,  2171,  2009,  1163, -2359,   929,  1334,
    -139,  -139,  4589,  2852,  1935,  5048,  3036,  2173,  3676,  2886,
    2886,  2846,  2848,   825,  2886,  1347,   831,  4987,   832,  1349,
     409, -2631,  2856,  4182,  3217,  1421,  2860,  1115,   410,  2763,
    2042,  3926,   410,  3469,  2872,  2873,  1187, -2632,  1878,  2805,
    3651,  3126,  3154,  2200,  3732,  1187,   674,  2890,  2892,  1403,
    3645,  1409,   674,  1414,  2886,  2886, -2629,  2806,  2906,  1418,
    3079,  1150,   674,   924,  2770, -2628,  1394,  4824,  2203,  3052,
    2773,  3052,  1397,  2135,  1747,  1571,  1113,  3016,  1187,   930,
    1439,   931,  1409,  1414,  1114,  2169,  2473,  1421,  3970,  2461,
     674,  3174,  1106,  1395,   674,  3865,  2308,  2467,  2205, -2223,
     417,  2876,  2877,  1116,  2170,   674,   366,  1664,  3865,  1596,
    1408,  1390,  1413,  1740,    45,   924, -1578,  1841,  4379, -1371,
    2536,  4157,  1427,  2789,  1335, -1374,  3155,   724,  2426,  4407,
     674,  2412,  3473,  3319,  1187, -1573,  1572,  1295, -2633,  3848,
    3849,  1442,  1444,  2146,  1187,  3352,  1741,  1439,  2546,  3655,
    1107,  2549,  2550,  2152,  1323,  1842,  3017,   417,   993,  3790,
      37,    38,    39,    40,  3971,    81,    43,    44,  1470,  1697,
    4170,    45,  3210,  1242,   674,  1742,  1748,  1653,   994,   819,
    2487,  1220,  4714,  2762,  4716,  2309, -2359,  2707,  3966,  1618,
    1684,  2965, -1371,  1687,  2560,  1167, -1585, -2005, -1374,   130,
     131,  3474,  2414,  1150,  4266,   706,  3529,  3530,  3531,  3532,
    3533,  3534,  3141,  1577,  1422,  2613,  1407,  1108,  1412,  2415,
     216,  1583,  2197,  3353, -2633,  1591,  3470,  4707,  1846,  4704,
    2235,  1961,  4711,  1743,  1847,  4713,  2796,  2797,  4941, -1545,
     408,  4935, -2359,  2192,   872,   993,  4931,  1441,  1443,  1048,
     224,  4503,  4790,  1048,  1472,  3471,   972,  3522,  1187,  1753,
    2427,  3791,  1243,  2025,  1049,   994,   674,  3733,  1049,  1962,
    1350,   993,    35,   417,  1612,   973,    37,    38,    39,    40,
      41,    42,    43,    44, -2037,  3142,   410,    45,   234,  1879,
     833,   994,  3127,  1187,  2200,  4840,  1117,  3972,  3968,  1135,
     237,  2026,  4219,  1244,  4380,  4645,  1843,   974,  3648,  2426,
   -2056,  1324, -1545,    79,  2966,  1597,  1210,  1211,  1212,  2203,
    1213,  1214,  1215,  1216,  1217,  1218,  1429,  1401,  1421,  4548,
    1848,  2232,  2740,  1109,  3037,  4171,  1410,  2428, -1371,   993,
    1415,  1416,  1417,  2997, -1374,  1665,  3478,  2416,  2790,  2205,
    1428,  1775,  1245,   674,   674,  4267,  3211,  3973,  5003,   994,
    4906,  2641,  3520,  3521,  4172,  1136,  1325,  3536,  3529,  3530,
    3531,  3532,  3533,  3534,  2641,  4631,  1598,  2784, -2081,  1422,
    2704,  2261,  1422,  4173,  4881,  1029, -2005,  2619,  3576,  4853,
    3577,  1460,  2617,  1220,  1844,  2269,  2551,  4871,  5008,    37,
      38,    39,    40,  3792,  2499,  1735,    44,  3571,  3572,  4862,
    3088,  4829,  2504,  3578,  3334,  4632,  3141,  5047,  3000,  4830,
    1963,  5049,  1108,  1137,  4933,  2620,  1138,  1136,  3611,  1985,
    2766,  2200,  3611, -1371,  2270,  3145,  3793,  4497,  3524, -1374,
    1136,  4220, -2005,  2417,  4627,  4841,  5073,  4501,  3472,  2618,
    1187,  1735,  2027,   874,  2219,  2220,  2221,  2222,  2223,  2224,
    4859,  1187,  1030,  5081,   206,  3794,  1058,  1907, -1371,  4515,
    3030, -1371,  1849, -2037, -1374,  3262,  2818, -1374,  1992,  1430,
    2879,  3263,  3089,  3479,  1933,  1137,  2205,  1677,  2642,  3142,
     216,  2262,  1102,  3725,   826,  4140,  4907,  3525,  1137, -2056,
    4491,  2642,  1869,  4293,   827,  1850,  1707,  4500,  1964,  4296,
    4297,  5035,  3271,  3579,  2238,  4972,  1139,  1160,  3580,  3747,
     224,  1187,  2552,   891,  2553,  2063,  3169,  2065,  1993, -2037,
    2069,  3726,  2071,   366,  1851,  2074,  2075,  2076,  4969,  4970,
    2028,  1220,  2785,  4221,  1108,  4755,  4222,  4423,  2083,  3865,
    4628,  1677,  1704,  2009,  -780, -2056,   969,  2412,   234,  1059,
    1706,  2108,   975,  2109,   417,  3867,  4638, -2081,  4809,  4854,
     237,  2786,  4831,  2413,  4813,   674,  2621,  3264,  1139,    81,
      81,   893,    81,  5074,  1698,  1699,  3439,  4749,  -501,  1390,
    1187,  1139,  3434,  3433,   362,  1101,  3100,  1028,   674,  3623,
    3999,  3624,  5027,   828,   976,  1814,  2383,  2302,  2303,  2358,
    2307,  2295,  2359,  1140, -1900,  1114,  1114,  1994,  1114,  3382,
    3383,  3384,  3385, -2081,  3236,  1089,  2421, -1545,  2414,  1122,
    2487,  3390,  1141,  3173,  1031,  1032,  3581,  2517, -1545,  3145,
    2146, -1545,  1725, -1545,  2502,  2415,  3582,  1933,  3101,  3321,
    2886,  1815,  1163,  2886,  2886,  2886,  2886,  2886,  2886,  2886,
    2886,  2886,  2886,  1725,  2622,   674,  3778,  1995,  3529,  3530,
    3531,  3532,  3533,  3534,  1638,  2643,  1187,  4792,  3236,  3652,
    4018,  3779,  3727,  2886,  3141,  3243,  5066,  4163,  2643,  4376,
    2688,  -597,  3429,  5036,  2644,  2503,  3055,  3755,  1019,  4189,
     999,  1673,  2360,  5090,  3186,  1187,  3255,  2221,  2222,  2223,
    2224,  1653,  2886,  2886,   818,  3748,   706,   706,   900,  3265,
     901,  4718,  1112,  3624,  2251,  2252,  3096,    79,    79,  1816,
      79,  3497,   829,  1187,  1187,  3294,  1187,  2560,  4926,  2628,
    2629,  4109,  1640,   906,  2420,  3892,  1677,  1996,  2062,  2228,
    3811,  2064,  3266,  1187,  2068,  3187,  2070,  3142,  4217,  2073,
     408,  5037,  3132,  2077,  4238,  2043,  2689,   818,  1638,  2044,
    3728,  2421,  4190,  2416,    35,  3188,  3992,  1817,  -944,  1818,
    3549,  3267,    41,    42,  5038,  2801,  3143,   674,  3895,  2559,
    2267,   825,  1632,  4874,  1607,   674,   674,   875,  1608,  3611,
    1992,  4723,  4724,  4880,  3611,  1187,   410,  3611,  5059,  4110,
    2534,  3574,  1805,   408,   408,   408,  4412,  1820,  4413,  3144,
     706,   884,  2009,  1220,  4839,  2350,  3189,  4191,  2365,  4192,
    1788,   818,  4655,  1027,  1187,  3968,  1640,  4111,  1187,  1187,
      37,    38,    39,    40,  4656,  4182,  2191,    44,   409,   409,
    2765,  1472,  4112,  2454,  3522,  3229,  1822,   671,  1128,   410,
     410,   410,  4239,   408,  4113,  4911,  5006,  4883,  3892,  2417,
     408,  4075,  2535,  1641,  3893,  1965,  3756,   408,  1129,   674,
    5096,   835,  3245,  2351,  3894,  1633,  4680,  4114,  1130,  3100,
    3248,  1824,  3250,  2566,  3064,  1966,   122,   409,  4348,  1472,
     891,  3757,  3522,  2422,  2387,  3230,  4708,  3145,   825,   410,
    4533,  3895,  4754,  3896,   126,  1048,   410,  1933,  3408,  -938,
    4620,   836,  3708,   410,  2353,  3899,    37,    38,    39,    40,
    1049,  5043,  1057,    44,   891,  1006,  1807,  3334,  1677,  1994,
    -161,  3705,  4770,  1677,  1677,  1242,  2690,  3947,  1048,  2200,
    3951,  4240,  4587,  4588,  2430,  1006,  3231,   819,   893,  2691,
    4349,  3900,  4115,  1049,  2431,  -161,  2934,  1082,  2935,  2406,
    2078,  1933,  4534,  2287,  2203,  3901,  1139,  4912,  3724,  2407,
    1054,  4734,  4182,  4736,  2352,  1095,  3897,  1131,  1042,  1995,
    1338,  2936,   893,  2079,  2408,  4945,  4302,  4657,  1081,  3378,
    1933,   891,  2349,  4030,  2205,  4630,  4035,  4036,  4037,  4038,
    4039,  4040,  4041,  4042,  4043,  4044,  4437,  1139,  4438,  2361,
    1735,   362,  2886,  1735,  4637,  4647,  3423,  1338,   417,  3272,
    4540,  4541,  3611,  4869,  1243,  3524,  4709,  4303,  1733,  1048,
    1967,   818,  4913,  3898,  2379,  2381,  4028,  3232,  3899,  1132,
      43,  1104,   674,  4607,  1049,    45,  1242,  3902,  3273,   893,
    4602,  4304,  3523,  3447,   835,  4084,  4085,  -398,  2350,  1996,
    4048,  3288,    80,  1933,   819,  1244,  4305,  1847,  2727,  3268,
    4306,  4608,  1730,  3524,  3900,  3339,  2937,   408,  3716,  4204,
    2287,  2938,  2634,  2133,  3525,   900,  2939,   901,  3901,  4307,
    3620,  1677,  4308,  2432,   836,  1118,   903,  4603,  3274,  1677,
    1933,  4814,  3269,  2150,  4309,  1731,  1133,   905,   825,   209,
    1951,  4187,  2822,  2200,  1245,  4002,  2351,  2409,  3461,   900,
    4961,   901,   835,   410,  3340,   993,  2433,  3275,  1933,  4815,
   -2423,  3270,  3525,  2177,  1732,  1243,  4439,  3387,  2203,  1397,
    3233,  3738,  3388,   674,  1951,   994,  4962,  2189,  3234,   673,
    1677,  3235,  4003,  1677,  1677,  4031,  2808,  4032,  2563,   674,
    -398,  1593,   836,  1848,    37,    38,    39,    40,  2205,  3759,
    3902,    44,  2768,   366,  2769,    45,  1244,  3007,  2771,  4326,
    2772,  3646,  4310,  2774,  1125,  1187,   900,  2775,   901,  4504,
    4311,  1933,  2886,  2886,  1187,  1695,  4765,  3930,  2242,  2991,
    1122,  2243,  3341,  3342,  2940,  2311,  3939,  1733,  2666,  1139,
    2032,  1951,  1472,   918,  2941,  3522,  3343,  1677,  1696,   935,
     674,  4110,  1160,  2844,  4312,  1245,  4208,  2698,    81,     8,
    2033,    81,  2821,  2009,  4771,   366,   209,  2814,  1935,  2817,
    2311,   674,  2312,  1112,  1112,  1018,  1112,  2815,  2816,  4111,
    4182,  3526,  3527,  3528,  3591,  3529,  3530,  3531,  3532,  3533,
    3534,  1856,  3344,  1338,  4484,  1177, -1383,  3882,  4232,  4329,
    4049,  4050,  3388,  4010,   819,  4033,  4113,  2312, -1383,  3741,
    5094,  1187, -1383,  5095,  3451,  4034,    37,    38,    39,    40,
    2651,  4218,  4223,    44,  2208,  2209,  3330,  1166,   818,  3526,
    3527,  3528,  3689,  3529,  3530,  3531,  3532,  3533,  3534,    37,
      38,    39,    40,  2991,    74,  1220,    44,  3865,  1629,  1187,
    1187, -1371,  2551,  2277, -1383,  1168,  3751,  1187,  2313,  2169,
    1187,  2146,  4268,  2397,  1187,  2314,  1192,  1169,  1170,  2870,
    2212,  4014,  1187,  1187,   408,  3783, -1383,  1194,  2170,  3345,
    1187,  3346,  4269,  1187,  1187,  1187,  1187,  1171,  4517,  3908,
    1172,  3022,  2171,  1187,  1187,  4347,  1187,  4109,  1187,  1187,
    2314,  4082,  1187,  4456,  4115,   825,    79,  1638,  1205,    79,
    1618,  1639,  1338, -1383,  2912,  3656,  2315,  2915,  1933,  1187,
     410, -1383,  2158,  2159,  1187,  3090,  3524,  3093,  1187,  1389,
     417,  4455,  1187,  2511,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187, -1418,  1187,  2487,  5024, -1418,  3715,  4189,
    1187,  2315,  4055,  1187,  4284,  4835,  1722,  1788,  2519,  4386,
      37,    38,    39,    40,   408,  4110,  1828,    44,  1811,    37,
      38,    39,    40,  4013,  4285,  1640,    44,  4212,  2552,  1607,
    2553, -1903,  2146,  1608,  2397,  3525,  4810,  2557,  2598,  1723,
    4908,  3039,  1206,  4111,    35,  2169,  3084,  1240,   409,  1829,
     216,  1812,    41,    42,  1173,  1283,  2520,  2521,  4112,  1004,
     410, -1418,  1641,  1286,  2170,  1187,   932,   408,  1724,   408,
    4113,  2599,  4190,   818,  2519,  2342,  2343,  2570,  2173,  1004,
     224,  4681,  4682,  4683,  4684,  3334,  3149, -1383,  1150,  1233,
    2517,  1174,  1296,  4114,  1297,  4184,  4185,  1241, -1418,  2597,
    1106,   409,   216,   409,  2219,  2220,  2221,  2222,  2223,  2224,
    1727,  1288, -1419,   410,  2519,   410, -1419,  1316,   234,   408,
     192,   819,  2520,  2521,  2390,  4457,  4458,  4191,  1291,  4192,
     237,  3310,   224,  2886,   674,  1472,  2519,  2924,  3522,  2600,
    5050,   192,  2886,  1728,  1830,  1607,  1311,  1317,  1629,  1608,
     825,  2601,    81,  3924,    81,  4076,  2517,  2391,  1107,  2886,
    2886,   674,  2520,  2521,   247,   410,   674,  1304,  4115,   674,
     234,  4599,  1729,  4601,  -500,  2602,  1318,  4604,  3152,  4605,
   -1419,  3227,  1320,  2043,  2520,  2521,  2392,  2758,  1607,  1322,
     818,   674,  1608,   818,  1187,  1338,  2517,  1338,  2720,  2721,
     216,  3218,  3526,  3527,  3528,  1187,  3529,  3530,  3531,  3532,
    3533,  3534,  1187,  1321,  1870,  2519,   247, -1419,  2517,  1855,
    1319,   216,  1299,   209,  1300,  1108,  1472,  1327,  1048,  3522,
     224,  3909,   674,  3911,  3027,  3028,   408,  4123,  2519,   408,
    3494,   362,  1330,  1049,  2761,  1316,  4462,   417,  1856,  1933,
    1344,   224,  3802,  3495,  1933,  1933,  2052,  3496,  2053,   674,
    1338,  4429,  1348,  2520,  2521,  1356,  1933,   825,   234,  1362,
     825,  3656,   918, -1442, -1442,  1317,  4128,  4130,  1677,  2132,
     237,   247,   410,   674,  3656,   410,  2520,  2521,  3809,   234,
    3812,  1357,    37,    38,    39,    40,  3963,  2517,  1707,    44,
      79,   237,    79,   362,  3928,  2342,  3048,   674,  3237,  1371,
    2293,   674,  2294,  3840,   247, -1164,   819,  4785, -1164,  3524,
    2517,  1733,  4322,  4323,  4324,  2519,  1006,  2519,  1006,   674,
    1006,   818,  2287,  3379,   837,  5051,  1006,  2288,    35,   674,
    1377,  1109,    37,    38,    39,    40,    41,    42,  1319,    44,
    2519,   967,   674,   876,  3548,  1445,  3550,  3551,  1392,  1006,
    1006,   674,  3237,    37,    38,    39,    40,   966,  1837,  3787,
      44,  2991,    45,  2520,  2521,  2520,  2521,   408,  3525,  2296,
    2146,  2297,  1725,  2886,    37,    38,    39,    40,  4730,  1431,
    4209,    44,  1457,  4015,  3625,  1435,  2932,  4332,  2520,  2521,
    1452,  1838,  3788,  1458,  1187,  1839,  1933,  2517,   825,  2517,
    3524,  4289,  1451,  2760,  4233,  2761,  3402,  3403,  1055,  2199,
    3658,  3659,  2200,   410,  2781,  1459,  2782,  2519,  1461,  3237,
    1840,  3789,  2517,   819,  3237,  2783,   819,  2782,  1462,  1754,
    4664,  1460,  2861,    37,    38,    39,    40,  2203,  1466,  4460,
      44,  2519,  3207,  2204,  2811,  1102,  2812,  4320,  4321,  4322,
    4323,  4324,  1463,  3013,  1677,  2009,  3237,  4610,  4334,  3525,
    1467,  1755,  1677,  4405,  1677,  2520,  2521,  2205,  3072,  1006,
    2812,  1933,    35,   417,   674,  3162,  4685,  3163,  1150,  4336,
      41,    42,  1469,   671,   671,  4316,  4317,    45,  1705,  2520,
    2521,  1592,  1179, -1549, -1549, -1549, -1549,  4444,  2862,  2517,
   -1549,  1201,  4701,  4702,  1595,  1281,  4320,  4321,  4322,  4323,
    4324,   674,  2119,  2120,  4325,   362,  1600,  1756,  3223,  1187,
    3224,  1599,  3322,  2517,  3323,  1606,  1601,  3600,  3601,  3602,
    2146,  1627,  2397,  1006,  1284,  3526,  3527,  3528,  1619,  3529,
    3530,  3531,  3532,  3533,  3534,  3335,  1626,  3336,  1757,  1636,
    1629,  1102,  1472,  1630,  1651,  3522,  2863,  1652,   674,  2864,
    1656,  1658,  1339,   935,   819,  3453,  3493,  2782,  2761,  1666,
    1933,  2199,  2207,   818,  2200,  3503,  3507,  2761,  2761,   818,
    3349,  3511,   674,  2761,  1758,  3512,  1187,  2761,  1662,  3538,
    1342,  2761,  1187,  2208,  2209,  1663,  3554,    80,  2761,  2203,
    1352, -1556, -1556, -1556, -1556,  2204,  1671,  1667, -1556,  1187,
    1187,  3559,  1668,  3560,  1759,  1187,  3595,  1669,  3596,   408,
    3597,  3772,  3598,  3773,  1670,   408,  3526,  3527,  3528,  2205,
    3529,  3530,  3531,  3532,  3533,  3534,  3776,  1672,  3777,  2212,
    1187,  1187,  3957,  1678,  3958,  1187,  4019,  1679,  2761,  2865,
     825,  4056,  2213,  4057,  1681,  1447,   825,  1187,  1187,  1187,
    1187, -1547, -1547, -1547, -1547,   410,  4596,  4066, -1547,  4067,
    1187,   410,  4078,  1187,  2761,  1187,  1710,  4155,   209,  4156,
    2474,  4159,  1762,  4160,  1465,  1187,  1187,  1713,  1763,  1187,
    4188,  3573,  2782,  1574,  4378,  1764,  2782,  1586,  1339,  1588,
    1677,  1711,  1187,  2475,  1187,   366,  4386,  2814,  1187,  2817,
    1725,  4461,  1766,  2812,  4524,  3656,  4525,  2815,  2816,  4530,
    1767,  2782,  1746,  4531,  1187,  2782,  4847,  4592,  1006,  4593,
   -2633,  4649,  1719,  4650,  2207,  1187,  3524,  1187,  1187,  1187,
   -1550, -1550, -1550, -1550,  1773,  1777,  2866, -1550,  4635,  1802,
    1751, -1548, -1548, -1548, -1548,  2208,  2209,   674, -1548,  1804,
    4690,  1187,  4691,  4692,  2023,  2761,  1805,  4700,  4752,  2812,
    4753,  1768, -2633,  1187,  4811,  2038,  2782,  4836,  1187,  4837,
    4849,  4856,  2812,  2009,  1187,   673,   673,  1810,  1813,  4861,
    1708,  3937,  1187,  1833,  4863,  3525,  3937,  1721,  4688,  1845,
    4902,  2212,  4903,  4934,  4939,  2256,  4940,  4950,  1854,  2812,
    4951,  1859,  3560,  4952,  2213,  2761,   819,  4955,  4957,  2009,
    3937,  1865,   819,  2219,  2220,  2221,  2222,  2223,  2224,  1864,
    1866,   674,  3555,  1635,  4974,  1637,  2812,  2199,  3562,  4980,
    2200,  2812,  4981,  4994,  2812,  4995,  5013,  1871,  2009,    74,
    1873,  1875,  1187,  5092,  4513,  5093,  5103,  2201,  5093,  1877,
    1882,   818,   818,   818,  4664,  2203,  4483,  1881,  4486,  1887,
    1004,  2204,  1004,   674,  1004,  1889,   674,  1892,  1894,  1933,
    1004,  1419,  1420,  1897,  1733,  1939,  1942,  1935,  1944,  1954,
    1955, -2633,  1957,  -181,  4420,  2205,  1959,  1971,  1973,  1979,
    1981,   853,  1989,  1004,  1004,  1677,  1874,   408,   408,   408,
    1997,  2002,  2003,  2004,  2005,  2006,  2008,  1880,  2009,  2016,
    1006,  1933,  1933,  2019,  1933,  1006,  1006,  2020,  2021,  2022,
    2024,  2029,  4719,  2030,  2031,  2036,  2050,  2084,   825,   825,
     825,  2114,  2121,  2130,  2117,  2149,  2131,  2123,  2124,  2139,
    2142,  2143,  2144,   410,   410,   410,  2145,  2229,   247,  2151,
    4775,  2154,  2155, -2633, -2633,  2156,  3529,  3530,  3531,  3532,
    3533,  3534,   674,  2157,  2162,  2256,  2164,  1983,  2165,  2166,
    1933,  2260,  1933,   674,  4782,  2219,  2220,  2221,  2222,  2223,
    2224,  2167,  2168,  2175,  2272,  2176,  2206,  2178,  2179,  2180,
    2207,  2181,   818,  2182,  2183,  2184,  2185,  1339,  1421,   671,
    2300,    80,    80,  2292,    80,  2282,  1639,  1641,  2329,  2331,
    2339,  2208,  2209,  1004,  4509,  2348,  2341,  1139,  2356,  2364,
    1339,  2362,  2374,  2366,  2377,    35,  1933,  2375,  2210,  2382,
    2384,  2395,  1700,    41,    42,  4848, -2575,  2393,   408,  2386,
    2394,  2400,  2398,  2397,  2399,   674,  2401,  2402,  2423,   913,
    3365,  1933,  2429,  2456,  2211,  3978,  2435,  2212,  2460,  2463,
    2464,  2462,  2465,  2466,  2491,  2110,  2499,  2501,  2511,   825,
    2213,  3859,  1933,  1006,  2492,  1220,  2512,  1004,  2514,  2515,
    2516,  1006,  2517,  3942,   410,  1933,  2523,  1339,  2524,  2525,
    2526,  2530,  3953,  2531,   819,   819,   819,  1102,  2537,   674,
    2189,   674,  2547,  2539,  2543,  4887,  3229,  2544,  1102,  4892,
    4893,  2554,  4623,  3977,  2932,  2555,  2561,  1788,  2562,   924,
    2571,  4851,  2582,  2583,  2572,  1338,  2584,  2587,  2588,  2593,
    2596,  2610,  1006,  3594,  2611,  1006,  1006,  2623,  2625,  2626,
    2636,  4092,  4093,  4094,  4095,  2135,  3605,  2215,  2146,  1933,
    2638,  4904,  2152,  2639,  2652,  4891,  3230,  2655,  4733,  4772,
    2193,  2656,  2659,   886,   674,  1933,  2660,  2663,  2667,  1830,
    2198,  4888,  2682,  4894,  2687,  4896,  2702,  2703,  1933,  2713,
    2236,  2710,  2715,   362,  2716,  4598,  2717,  2723,  2734,  2737,
    2736,  2738,  2752,  2739,   674,  1472,  2753,  2777,  3522,  1006,
    2800,  2794,  3366,  3605,  2809,  2852,  1101,  3231,  1187,  1339,
    2778,   674,  2266,  2268,   818,  4463,  2824,  1339,  1339,  2819,
    1677,  2894,  2907,  2913,  2200,  2851,  2918,  2857,  2925,  2950,
    2895,   674,  2917,  1677,  2931,   819,  2948,  2216,  2217,  2218,
    2977,  2219,  2220,  2221,  2222,  2223,  2224,  1187,  2994,  2996,
    1933,  2651,  3001,    74,    74,  2993,    74,  1187,  4775,  2999,
     408,  3004,  3005,  1187,  3014,  1187,  1107,  3024,  3015,  3023,
    1933,  1187,  1004,  3025,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  3026,  3034,  3057,  1187,  1187,  3054,
    3056,   825,  2246,  3071,  3073,  1933,  3074,  4960,  3232,  3075,
    1187,   673,  3086,  3091,  1187,  3096,   410,  3094,  1187,  3098,
    3099,  3115,  3105,  3110,  3121,  3116,  3118,  3137,  1187,  3129,
    3140,  1187,  3125,  1187,  3153,  3158,  1589,  3209,  1593,  3214,
    3160,  1933,  1187,  1187,  1187,  3222,  3225,  3367,  1187,  3226,
    3238,  1187,  4825,  3276,  3279,  3290,  3297,  3298,  3301,  3302,
    3303,  1187,  1187,  3305,  3306,  3309,  3307,  3308,  3315,  3317,
    3324,  3326,  1187,  3329,  3330,  3331,  4868,  3337,  3332,  3357,
    1187,  3371,  1187,  3373,  3380,  3386,  3368,  3396,  3389,  3524,
    3394,  3395,  3397,  3407,  2725,  1677,  3410,  3422,  3425,  3405,
    3428,  3426,  4741,  2731,  3427,  3430,  3431,  2735,  3440,  3443,
    3446,  3233,  3445,  2741,  2742,  2037,  3455,  3456,  3457,  3234,
    3467,  4253,  3235,  3458,  1187,  3460,  2825,  3475,  3481,  1338,
    1187,  2754,  1437,  3483,  3487,  3489,  1187,  3486,  3490,   818,
    3491,  4759,  3505,   818,  3506,   818,  3508,  3509,  3525,  3510,
    2761,  2828,  3544,  5069,  3513,  3556,  3514,  3516,  3519,  3537,
    2564,  1187,  3543,  1220,  3545,  3570,  3575,   819,  3590,  3620,
    3622,  3546,  3553,  3583,  1004,  -984,  3568,  3663,  3569,  1004,
    1004,  3593,  3672,  4061,  3614,   408,  3619,  3666,  3668,   408,
    3678,   408,   674,  3656,  3682,  3683,  3684,  3693,  2829,  3696,
    3687,  3698,  1220,  3710,  3699,  3707,  3712,  3734,  3719,  3735,
    3703,  2043,  3688,  3746,  3745,  3752,   825,  3761,  3753,  3763,
     825,   818,   825,  2631,  3800,  3807,  3801,  2830,  3804,  3704,
    3806,   410,  3808,  3820,  3813,   410,  1933,   410,  3814,  3815,
    3816,  3817,  3818,  3819,  3821,   664,  3823,  3822,  2831,  3824,
    3826,  3825,  3827,  2357,  3831,  1420,  3828,  3833,  3835,  2832,
    2580,  3837,  3839,  3845,  3851,  3852,  3855,   408,  3870,  3871,
    2359,  3883,  3916,  2371,  3879,  3884,   674,   362,  2833,   674,
    2378,  2380,  3922,  2834,  3925,  3915,   362,  2678,  3927,  3929,
    3948,  3952,  3949,  3975,  3936,  3943,  3984,  3937,   825,  3986,
    3955,  3945,  3994,  4005,  3995,  3996,  3997,   362,  4000,  4006,
    4007,  4008,  4017,   410,  4022,  3526,  3527,  3528,  3540,  3529,
    3530,  3531,  3532,  3533,  3534,  2132,  3522,  3539,  2194,  2835,
    4052,  4080,  4053,  2437,  4054,  4108,  4143,  1004,  1006,  4060,
    4081,  4068,  4089,  4122,  4125,  1004,  4131,  4394,  4971,  4142,
    2836,  2724,  4151,  1187,  4141,  4175,  4144,  4147,  4148,  4196,
    2730,  4198,  4199,  4210,  4211,  4213,  2438,  4224,  4234,  4235,
      80,  4165,  4237,    80,  4236,  4247,  4249,  4248,  4265,  2439,
    1933,  4219,   819,   674,  1677,  4281,   819,  3006,   819,  3977,
    1006,  4215,  2440,  4283,   671,  4250,  1004,  4294,  4251,  1004,
    1004,  4286,  3207,  4295,  4230,  3967,  4252,  4292,  4318,   853,
    1705,  4344,  4352,  4362,  4355,   369,  1933,  1187,  1187,  4360,
    4367,   369,  4372,  4391,  4371,  1778,   667,  4389,  4392,  2782,
    2441,  1779,  4374,  4520,  4403,  4406,  2837,  1338,  4375,  4402,
    4408,  2442,  2838,  4416,  4421,  4410,  4424,  1201,  2839,  4425,
    4436,  4968,  4445,  4426,   369,  4427,  4428,  4433,  4440,  4446,
    2443,   674,  4441,  1004,   819,  2444,  4449,  4453,  2361,  4475,
    4447,  1780,  2189,  4479,  4480,  4448,  4487,  2840,  1187,  2841,
    4301,  2869,  4099,  4101,  4477,  4490,  4492,  4493,  4495,  4496,
    4518,  4521,  4510,  4519,  4514,  4526,  2842,  4527,  4535,   369,
    4567,  4546,  4549,  4574,  4556,  4550,  4579,  4609,  4586,  4616,
    4624,  4570,  1220,  4606,  4629,  1187,  4634,  4636,  4640,  4642,
    1781,  2843,  4651,  4661,  4653,  1187,  1187,  1782,  1933,  4659,
    1783,  4662,  2445,  1187,  1187,  4670,  4678,  4686,  1187,  1933,
    4687,  4689,  4551,  4694,  1187,  1187,  1044,  4697,  1187,  4696,
    4511,  4698,  4712,  4699,  1044,  4705,  1044,  4721,  4715,  4725,
    4727,  4731,  4735,  2446,  4747,  4751,  1187,  4756,   369,  4761,
    1187,  2718,  4750,  4762,  4769,  4768,  1006,  4773,  4780,  4786,
    1187,   818,  4351,  1784,  1006,  1187,  1006,  4793,  4798,  3625,
    4795,   853,  4800,  4818,  4819,  2998,  4821,  1187,  4823,  4796,
    4799,  4817,  4827,  4852,  4844,  4828,  1677,  4867,  1108,  4884,
    4858,  4909,  4914,  4921,  4875,  4918,  4919,  4924,  4936,  4923,
    4938,  4929,    74,    81,  2447,    74,  4937,   408,  4943,  4949,
    2448,  4944,  4958,  2449,  4959,  4953,  1187,  4954,  4964,  4966,
    1785,  4889,  1786,  4984,  4985,  4988,  4977,  4990,  4982,  4618,
    4993,  4998,  1787,  2199,  1933,  4999,  2200,  5004,   825,  2450,
    1788,  5005,  4133,  5031,  4986,  2451,  5023,  5026,  5034,  1789,
    5028,  5041,  5042,   410,  5046,  1354,  5072,  4987,  2452,  5088,
    1364,  2203,  1933,  2322,  5060,  5091,  5097,  2204,  1120,  1809,
    1376,  1776,  2594,   674,  3375,  2279,   673,  3649,  1933,  5101,
    3213,  3758,  1790,  2453,  4228,   674,  1791,  3289,  3854,  4298,
    4900,  2205,  1708,  4774,    80,  4983,    80,   369,  4820,  4363,
    4822,  4621,  4808,  3701,  5029,  3454,  2858,  2859,  4739,  5068,
    4991,  1792,  4989,  5040,  2871,  4932,  3706,  4359,  2874,  2875,
    3355,  4227,  3770,  3356,  1933,  3932,  2679,  3338,  5071,  4506,
    5102,  5098,   369,  2896,  4797,  2897,  3880,  3858,  5044,   674,
    4760,  2662,  4979,  5032,  4763,  1023,  4422,  2104,  4870,  4398,
    3166,    79,  4399,  3584,  4942,  1340,  3834,  2919,  5053,  2920,
    5099,  4927,  3009,  2767,  3010,  3653,  4381,  3031,  4512,  1793,
    1603,  3120,  4161,  3654,  3033,  2298,  3450,  3662,  1201,  2326,
    1588,  2325,  1187,  2051,  3032,  3664,  2330,  3665,  3677,  4103,
    4474,  4162, -2633,  1187,  4860,  4485,  2207,  4100,  4072,  1611,
    4850,  1625,  1006,  2335,   819,  3432,  4062,  5014,  5022,  2371,
    3657,   362,  5015,  3500,  3588,  3586,  4158,  2208,  2209,  2976,
    3976,  3441,  3442,  1991,  1153,  3444,  3424,  5012,  2719,  1123,
    3049,  3448,  3058,  1718, -2633,  2347,  2340,  3644,  2111,  1388,
    3065,  1933,  3063,  4167,  3062,  4168,  4502,  2245,  4146,  2344,
    1146,    83,  3452,   362,  2199,  2779,     0,  2200,  3069,  2040,
    1426,     0,   674,  2212,     0,  1689,     0,     0,     0,     0,
    4732,  1690,  1004,     0,  1187,     0,  2213,     0,  1933,     0,
       0,     0,  2203,  1187,     0,     0,  1778,  1677,  2204,     0,
       0,     0,  1779,     0,     0,     0,     0,     0,     0,     0,
    1187,  1187,  3484,     0,  1187,     0,     0,     0,     0,     0,
       0,     0,  2205,     0,     0,     0,     0,  1187,  3415,     0,
       0,     0,  1187,     0,  1004,  1187,     0,  3312,     0,     0,
    1187,  1187,  1780,     0,     0,  3312,     0,  1754,     0,   818,
       0,     0,     0,     0,  1700,     0,    74,     0,    74,     0,
       0,     0,     0, -2633,     0,     0,     0,   674,     0,   674,
       0,     0,     0,  1187,     0,     0,     0,  3605,     0,  1755,
       0,  3605,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1781,     0,     0,  1202,   408,     0,     0,  1782,     0,
    1224,  1783,  3381,     0,  1933,     0,     0,     0,     0,     0,
    1237,     0,  1187,     0,     0,     0,     0,  1006,     0,     0,
       0,  4812,     0,  2206,   362,     0,   825,  2207,     0,     0,
    3409,     0,     0,     0,     0,  1756,  1339,     0,  1298,     0,
       0,   410,  1305,   674,     0,     0,     0,     0,  2208,  2209,
       0,     0,     0,  1315,  1784,  1187,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,  2210,  1757,     0,     0,  1778,
       0,     0,     0,  1339,     0,  1779,     0,     0,     0,   370,
    2018,     0,     0,     0,     0,   370,     0,     0,     0,     0,
     668,  2211,     0,     0,  2212,  3416,     0,     0,     0,  4729,
       0,     0,  1758,     0,     0,     0,     0,  2213,     0,   818,
    1187,  1785,  1933,  1786,     0,  1780,     0,     0,   370,     0,
    1004,     0,     0,  1787,     0,     0,     0,     0,  1004,     0,
    1004,  1788,  1759,     0,  1187,  1933,     0,  1187,     0,  1187,
    1789,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,  1677,  1779,  2103,   408,  1187,   369,     0,     0,
    1187,   369,     0,   370,  1781,  1933,     0,     0,     0,  2115,
       0,  1782,  3485,  1834,  1783,   667,     0,  1791,  3488,     0,
       0,   667,  2126,     0,  2215,     0,   825,     0,     0,     0,
    3711,   667,   819,  1780,     0,     0,   209,     0,  2885,     0,
    1762,   410,  1835,     0,  4930,  1933,  1763,     0,  4301,  1933,
    1933,     0,  2908,  1764,     0,     0,  3333,     0,  1754,   667,
       0,  2475,     0,   667,     0,     0,     0,  1784,     0,     0,
    1766,     0,   370,     0,   667,     0,     0,     0,  1767,     0,
       0,     0,  1781,     0,     0,     0,  1187,     0,     0,  1782,
    1755,     0,  1783,     0,     0,  5087,     0,     0,     0,   667,
    1793,     0,     0,     0,     0,  1187,     0,     0,     0,  3762,
       0,  3764,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,  1785,  1933,  1786,     0,     0,  1768,
       0,     0,  4948,  3418,  3967,     0,  1787,     0,     0,     0,
       0,   664,   664,   667,  1788,  1784,  1756,     0,     0,     0,
       0,     0,     0,  1789,     0,  1187,     0,     0,     0,  1339,
       0,  3612,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1187,     0,     0,     0,     0,  1757,     0,     0,
       0,     0,  1006,     0,     0,  2299,  1860,     0,  3605,     0,
    1791,   674,   819,  3605,     0,  1006,  3605,     0,     0,     0,
       0,     0,  1785,  3829,  1786,     0,  1004,     0,     0,  3836,
       0,     0,     0,  1758,  1787,  1861,     0,  1187,  3612,     0,
       0,   370,  1788,     0,  5045,     0,     0,     0,  1187,     0,
       0,  1789,   366,  1044,  5055,   667,  5058,  1044,     0,     0,
       0,     0,   818,  1759,  5056,  5057,     0,     0,     0,  1187,
    1187,     0,   674,     0,     0,   369,   370,     0,     0,     0,
       0,     0,  1187,     0,  2457,     0,     0,     0,  1791,     0,
    1760,     0,   366,  1793,  5055,     0,  5058,     0,  1339,     0,
       0,     0,     0,     0,  5056,  5057,     0,     0,   408,   818,
       0,     0,     0,  2458,     0,     0,     0,   818,     0,     0,
       0,     0,     0,  1761,  1187,     0,     0,   209,     0,     0,
       0,  1762,     0,     0,  1187,     0,   366,  1763,  5055,   825,
    5058,     0,   667,   667,  1764,     0,     0,     0,  5056,  5057,
     666,     0,  1765,     0,   410,   408,  1928,     0,     0,     0,
       0,  1766,     0,   408,     0,   362,     0,  1006,     0,  1767,
       0,  1793,     0,     0,     0,  3979,     0,     0,   816,  3982,
    3983,  3775,  3985,     0,  3987,  3988,   825,     0,     0,     0,
       0,     0,     0,  3993,   825,     0,  1187,     0,     0,  2199,
       0,   410,  2200,     0,     0,  1187,     0,     0,     0,   410,
       0,     0,  3803,     0,  2199,     0,     0,  2200,     0,  2201,
    1768,     0,     0,   816,     0,     0,  2371,  2203,  4011,  3647,
       0,  1004,     0,  2204,     0,     0,  3415,     0,     0,     0,
       0,  3605,  2203,     0,     0,     0,     0,     0,  2204,     0,
       0,     0,     0,     0,     0,  1754,     0,  2205,     0,     0,
    3832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1043,     0,  2205,     0,     0,     0,     0,     0,  1043,     0,
    1043,     0,  3312,     0,     0,  3312,  3312,  1755,     0,  3312,
       0,     0,   816,     0,     0,  3312,     0,     0,     0,     0,
       0,     0,  5079,     0,  3868,   819,     0,     0,     0,     0,
    3877,     0,     0,     0,     0,     0,     0,  3868,     0,  1928,
       0,  5078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1339,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1756,     0,     0,     0,     0,   362,  5079,
       0,     0,   819,     0,     0,     0,     0,  5079,  2206,     0,
     819,     0,  2207,     0,   667,     0,     0,     0,  5078,  3935,
       0,     0,     0,  2206,  1757,     0,  5078,  2207,     0,     0,
       0,     0,     0,  2208,  2209,     0,  2732,   667,     0,     0,
       0,     0,     0,     0,     0,  3962,  1339,  2743,  2208,  2209,
    2210,     0,     0,  3416,     0,     0,     0,     0,     0,  2750,
    1758,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1759,     0,  2213,     0,  2212,  2214,     0,     0,     0,     0,
       0,     0,     0,     0,   667,     0,  1006,  2213,     0,     0,
       0,     0,  2265,     0,  1201,     0,     0,     0,  2787,     0,
       0,     0,  2793,     0,  2795,     0,     0,  2798,  1006,     0,
       0,     0,     0,     0,     0,     0,     0,   664,     0,     0,
       0,   370,     0,     0,     0,   370,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,  3417,   668,
       0,     0,     0,     0,  1763,   668,     0,     0,     0,  2215,
       0,  1764,     0,     0,     0,   668,     0,     0,   362,  2475,
       0,     0,     0,     0,  2215,  3415,     0,     0,  1766,     0,
     362,     0,     0,     0,     0,     0,  1767,     0,     0,  4073,
       0,     0,  1778,   668,  1754,     0,  1004,   668,  1779,     0,
       0,  3872,  3875,     0,     0,     0,     0,     0,   668,  1004,
       0,     0,     0,     0,  2885,  2885,   667,     0,     0,  2885,
    5086,     0,     0,     0,   667,   667,  1755,     0,     0,  1928,
       0,     0,     0,   668,     0,   369,     0,  1768,  1780,     0,
    3921,  3418,     0,  4138,     0,     0,     0,  3612,  3612,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,  2885,
    2885,  3002,     0,     0,   362, -2633, -2633,  3003,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,   668,     0,     0,
       0,     0,  1756,  1928,     0,     0,     0,  1781,   369,   369,
     369,     0,     0,     0,  1782,     0,     0,  1783,     0,     0,
    2592,     0,     0,     0,     0,     0,     0,     0,   667,     0,
       0,     0,  1928,  1757,     0,     0,     0,     0,  1006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   369,     0,
       0,     0,  3416,     0,     0,   369,     0,  3612,     0,  1758,
    1784,     0,   369,     0,     0,     0,     0,     0,     0,  1044,
       0,  1004,  2199,     0,     0,  2200,     0,  4411,     0,   668,
       0,     0,     0,     0,     0,  4414,  4415,     0,     0,  1759,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,   370,
    2203,    35,  1044,     0,     0,     0,  2204,     0,  3868,    41,
      42,  2668,     0,     0,  1928,  2199,     0,  1785,  2200,  1786,
       0,     0,     0,     0,     0,     0,     0,  2592,     0,  1787,
    2205,  4254,  1928,     0,  4255,  2201,  4256,  1788,  2202,     0,
       0,     0,     0,  2203,     0,     0,  1789,     0,     0,  2204,
       0,     0,     0,   209,     0,     0,     0,  1762,     0,  1778,
    1928,     0,     0,  1763,     0,  1779,   668,   668,     0,     0,
    1764,     0,     0,  2205,     0,  3312,     0,     0,  2475,  2527,
       0,  3312,  3312,  1791,  2631,     0,     0,  1766,  2592,     0,
    1814,   667,     0,  1044,     0,  1767,     0,  1006,     0,     0,
       0,     0,     0,     0,  3877,  1780,     0,     0,  2528,     0,
       0,     0,     0,     0,     0,  4331,  4333,  4335,  4337,     0,
    3171,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,  1815,     0,     0,     0,
       0,   816,     0,     0,     0,     0,  1768,     0,     0,  1006,
    3418,     0,     0,     0,  1781,     0,  2208,  2209,     0,   666,
       0,  1782,  4164,     0,  1783,   666,  1793,     0,     0,     0,
       0,     0,   369,  2210,  2206,   666,     0,     0,  2207,     0,
       0,     0,     0,     0,     0,  4397,     0,     0,     0,     0,
    4538,     0,   667,     0,     0,     0,     0,     0,     0,  2208,
    2209,     0,  2212,   666,     0,     0,     0,   666,   667,     0,
       0,     0,     0,     0,  1816,  2213,  2210,  1784,   666,     0,
       0,  4554,  4555,     0,     0,     0,     0,     0,     0,  1006,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2211,   666,     0,  2212,     0,  4431,     0,     0,
       0,     0,     0,     0,     0,     0,  1006,     0,  2213,     0,
    1004,  2214,  1817,     0,  1818,     0,     0,     0,     0,   667,
       0,     0,     0,     0,  1819,     0,  1786,     0,     0,     0,
       0,     0,  1004,  4584,  4585,     0,  1787,   666,   668,     0,
     667,     0,  2215,     0,  1788,     0,     0,  1920,     0,     0,
       0,     0,  1820,  1789,     0,     0,     0,     0,     0,     0,
       0,   668,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,  1917,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,  1821,     0,     0,     0,
    1791,  1822,     0,  1419,  1420,     0,     0,     0,     0,     0,
       0,     0,  4315,     0,     0,     0,  3875,     0,     0,     0,
       0,     0,  3612,     0,     0,  1823,  3612,  4330,     0,     0,
       0,     0,     0,  4507,  4508,     0,  1824,  1043,   668,   666,
       0,  1043,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4674,     0,  4675,  4676,
       0,     0,     0,     0,     0,     0,     0,     0,  3459,  4679,
       0,     0,   664,  1793,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,   369,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3076,
       0,     0,     0,     0,  3080,     0,     0,  3083,     0,     0,
    1920,     0,     0,     0,     0,  2885,   666,   666,  2885,  2885,
    2885,  2885,  2885,  2885,  2885,  2885,  2885,  2885,     0,  3106,
       0,     0,  1004,     0,  1006,     0,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4059,     0,
     668,     0,     0,     0,     0,     0,     0,     0,   668,   668,
       0,     0,     0,     0,  4581,  4582,     0,     0,     0,   370,
    3156,     0,     0,     0,  3312,  3312,     0,  2885,  2885,   369,
       0,  1339,     0,     0,     0,  4600,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3170,     0,     0,
    3877,  3877,  3877,  3877,  3877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3203,   370,   370,   370,     0,     0,     0,     0,     0,
       0,     0,   369,     0,   369,     0,     0,     0,     0,     0,
       0,     0,   668,     0,     0,  3228,     0,     0,     0,  3239,
       0,  1928,     0,   667,     0,  4644,  1928,  1928,     0,  4626,
       0,     0,     0,     0,     0,     0,     0,  3251,  1928,     0,
       0,     0,   370,     0,     0,  2371,     0,  3260,     0,   370,
     667,     0,  4663,     0,   369,   667,   370,     0,   667,     0,
    3284,     0,     0,     0,     0,     0,     0,    74,     0,  3291,
       0,  1004,     0,     0,     0,  4431,  4431,  4431,  4431,     0,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4846,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   667,     0,  1004,     0,     0,     0,     0,     0,     0,
       0,   666,  1044,     0,     0,     0,  3694,  3695,     0,  3697,
    4564,  4565,     0,     0,     0,  4568,  4569,     0,   667,     0,
    1920,     0,  4872,  3612,     0,     0,     0,     0,  3612,     0,
       0,  3612,     0,  2199,     0,     0,  2200,     0,     0,     0,
       0,   369,   667,     0,   369,     0,  2112,     0,  1928,     0,
       0,  2199,     0,  2201,  2200,   668,  4899,     0,     0,     0,
       0,  2203,  4947,     0,     0,     0,   667,  2204,   666,  3612,
     667,     0,     0,  1004,  1920,     0,  3868,     0,     0,  2203,
       0,     0,     0,     0,     0,  2204,     0,     0,   667,     0,
       0,  2205,  3875,  3875,  3875,  3875,  3875,     0,   667,     0,
    1004,     0,     0,  1920,     0,     0,  3312,     0,  4758,  2205,
       0,   667,     0,     0,     0,  1339,     0,     0,     0,  4778,
     667,  4779,     0,  1928,  4783,  4784,     0,  2885,     0,  2533,
       0,     0,     0,     0,     0,     0,   370,     0,     0,  1204,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  1201,  3805,     0,     0,  1239,   668,     0,     0,     0,
       0,     0,     0,  1249,     0,     0,     0,     0,  1282,     0,
       0,  4086,   668,     0,     0,     0,  1920,     0,     0,     0,
       0,     0,   369,     0,     0,     0,     0,     0,     0,     0,
     666,     0,  2206,     0,  1778,  1920,  2207,     0,   666,   666,
    1779,     0,  2609,     0,     0,     0,  3612,     0,     0,   816,
   -2633,     0,     0,  1920,  2207,     0,     0,  2208,  2209,     0,
       0,  2112,  1928,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,   668,  2210,  2208,  2209,     0,     0,     0,
    1780,  1920,     0,   667,     0,     0,     0,     0,     0,     0,
       0,     0, -2633,     0,   668,     0,  3612,     0,     0,     0,
    2211,     0,   816,  2212,     0,     0,     0,  2654,     0,     0,
       0,  1815,     0,     0,     0,  4728,  2213,     0,     0,  2214,
     667,  2212,   666,  3917,     0,  3920,     0,     0,     0,  1781,
       0,     0,     0,  4901,  2213,     0,  1782,     0,     0,  1783,
       0,     0,     0,     0,  1920,     0,     0,  2885,  2885,     0,
    5065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,   816,   667,  1004,     0,
    2726,     0,     0,  1043,     0,     0,     0,     0,     0,     0,
       0,     0,  4920,     0,     0,     0,     0,     0,     0,  1816,
       0,   667,  1784,  2215,     0,  1581,     0,     0,     0,     0,
    2199,     0,     0,  2200,     0,     0,  1043,     0,     0,     0,
       0, -2633,     0,  1605,     0,     0,  3998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2203,     0,
       0,     0,     0,     0,  2204,  1631,     0,  1817,  4009,  1818,
       0,     0,     0,   370,     0,     0,     0,     0,     0,  1819,
       0,  1786,     0,     0,     0,     0,     0,     0,  2205,  3690,
       0,  1787,     0,  1339,     0,     0,     0,     0,     0,  1788,
    2199,     0,     0,  2200,   369,     0,     0,  1820,  1789,     0,
     369,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,   666,     0,  1043,  2203,  3515,
       0,  3713,     0,     0,  2204,  2219,  2220,  2221,  2222,  2223,
    2224,  3241,     0,  5001,     0,  1791,  1822,     0,     0,     0,
    4087,     0,     0,     0,  3612,     0,     0,     0,  2205,     0,
       0,     0,     0,   370,     0,     0,  1799,     0,     0,     0,
    3242,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1824,     0,     0,     0,     0,     0,     0,  5030, -2633,
       0,     0,     0,  2207,     0,     0,   667,  2922,     0,     0,
       0,  1928,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,     0,     0,  2208,  2209,   370,     0,   370,     0,
    4090,     0,     0,     0,     0,     0,   666,     0,  1793,     0,
    3780, -2633,     0,  1922,     0,     0,  5080,   668,     0,     0,
       0,  3798,   666,  1928,  1928,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,  1946,     0,     0,     0, -2633,
    2212,     0,     0,  2207,   668,     0,     0,     0,   370,   668,
     667,     0,   668,  2213,     0,     0,     0,  1974,  1977,  1978,
       0,     0,     0,  5080,  2208,  2209,  4946,     0,     0,     0,
       0,  5080,     0,     0,   668,     0,     0,     0,     0,     0,
       0, -2633,  1928,   666,  1928,     0,     0,     0,     0,     0,
       0,  5100,   667,  3841,     0,   667,     0,     0,     0,     0,
       0,     0,     0,     0,   666,     0,     0,     0,     0,     0,
    2212,     0,     0,     0,  1778,   668,     0,     0,  2885,     0,
    1779,     0,     0,  2213,     0,     0,     0,  4693,     0,     0,
   -2633,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,   668,     0,  2885,  2885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1780,  1778,     0,  1928,     0,   370,   668,  1779,   370,     0,
       0,     0,   369,   369,   369,  1581,  1922,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
     668,   667,  2116,     0,   668,     0,     0,  1928,     0,     0,
   -2633,     0,   667,  1581,     0,     0,     0,  1780,     0,  1781,
       0,     0,   668,     0,     0,     0,  1782,     0,     0,  1783,
       0,     0,   668,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,  1920,     0,     0,   668,     0,  1920,  1920,     0,
       0,     0,  2592,     0,   668,     0,     0,     0,     0,  1920,
       0,     0,     0,   816,     0,     0,  1781,     0,     0,  4001,
       0,  1928,     0,  1782,     0,     0,  1783,     0,  5077,     0,
       0,     0,  1784,     0,   667,  3175,     0,  1928,  1778,  4012,
       0,     0,     0,     0,  1779,     0,  4364,  4365,     0,     0,
    1928,     0,     0,     0,  2219,  2220,  2221,  2222,  2223,  2224,
       0,     0,     0,     0,     0,     0,   370,     0,     0,     0,
       0,     0,     0,   369,     0,  5077,     0,  2199,     0,  1784,
    2200,     0,     0,  5077,  1780,     0,     0,     0,   667,  1785,
     667,  1786,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1787,     0,     0,  2283,  2203,     0,     0,     0,  1788,
       0,  2204,     0,     0,     0,     0,     0,     0,  1789,     0,
       0,     0,  1928,  4417,  4418,  4419,     0,   668,  2885,     0,
       0,     0,     0,  1781,     0,  2205,  1785,     0,  1786,     0,
    1782,     0,  1928,  1783,     0,     0,     0,     0,  1787,  1920,
       0,  3172,  2336,   667,     0,  1791,  1788,     0,     0,     0,
       0,     0,     0,     0,   668,  1789,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,  3328,     0,   666,     0,     0,
    1792,     0,     0,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1784,  4466,  3253,     0,
     667,     0,  1791,  1928,   666,     0,  1922,     0,   816,   666,
       0,   668,   666,     0,     0,     0,     0,     0,     0,     0,
     667,     0,     0,     0,  1920,     0,     0,  3254,     0,  2199,
       0,     0,  2200,     0,   666,   668, -2633,     0,  1793,     0,
    2207,     0,     0,     0,     0,     0,     0,     0,     0,  2201,
       0,     0,     0,  1785,     0,  1786,     0,  2203,     0,     0,
    1922,  2208,  2209,  2204,     0,  1787,     0,     0,     0,     0,
       0,     0,     0,  1788,     0,   666,     0,  2493, -2633,     0,
       0,     0,  1789,     0,  2510,  1793,  1043,  2205,     0,  1922,
    4205,     0,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,   666,     0,     0,     0,     0,  2212,     0,     0,
    2542,     0,     0,  2545,     0,  3292,     0,     0,   370,  1791,
    2213,     0,     0,  1920,   370,   816,   666,     0,   816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3293,  2579,     0,     0,     0,  3476,
     666,     0,     0,     0,   666,     0,     0,     0,     0,  2595,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   666,  2607,  4270,     0,     0,  4273,     0,     0,
       0,  1922,   666,     0,     0,     0,     0,     0,  2206,     0,
       0,     0,  2207,  4575,  4576,   666,  4578, -2633,  1928,  1922,
       0,     0,  1793,     0,   666,     0,     0,     0,     0,     0,
     668,     0,     0,  2208,  2209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,   816,     0,     0,     0,
       0,   667,  2213,  2699,     0,  2214,     0,     0,     0,  2709,
       0,  4369,     0,     0,   668,   936,     0,     0,     0,     0,
    1922,  2219,  2220,  2221,  2222,  2223,  2224,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     369,     0,     0,     0,   369,     0,   369,     0,   938,     0,
       0,     0,     0,     0,     0,     0,   668,   666,     0,   668,
       0,   939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,   940,     0,     0,     0,     0,  2215,
    2764,     0,     0,     0,     0,   667,     0,     0,   667,     0,
       0,   941,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,   942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   369,   943,     0,     0,     0,  1581,  1581,     0,
       0,   944,     0,     0,     0,     0,   370,   370,   370,     0,
       0,   666,   945,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,   947,     0,   668,     0,     0,     0,     0,
       0,     0,  1920,     0,     0,   666,   668,     0,   948,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,     0,     0,     0,     0,  3563,     0,     0,  3717,     0,
       0,  2199,   667,     0,  2200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1920,  1920,     0,  1920,     0,     0,
       0,  2201,     0,     0,   949,     0,     0,  1922,     0,  2203,
    1928,     0,     0,     0,     0,  2204,     0,     0,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,   950,     0,  2199,   816,  2205,
    2200,     0,     0,     0,   816,   951,     0,     0,     0,     0,
       0,  2975,     0,  1920,     0,  1920,     0,  2201,     0,     0,
     667,     0,     0,   853,     0,  2203,     0,   370,     0,   712,
       0,  2204,     0,     0,     0,     0,  2995,     0,     0,  3795,
       0,  3797,   668,     0,   668,     0,     0,     0,     0,     0,
     952,     0,     0,     0,   953,  2205,   954,     0,     0,     0,
       0,     0,   955,     0,     0,   956,     0,   712,     0,  1920,
       0,  4561,     0,  3008,     0,  3011,     0,     0,     0,     0,
       0,     0,     0,  4571,     0,     0,     0,     0,   712,     0,
     666,   957,     0,   958,  1920,  3830,  1928,   959,     0,     0,
    2206,     0,     0,     0,  2207,   960,  1015,   668,     0,     0,
     961,  1581,     0,  4855,     0,  1920,     0,     0,     0,  1016,
    3844,     0,   962,  4855,  1928,  2208,  2209,  1024,  1920,     0,
       0,     0,     0,     0,     0,   963,     0,   668,     0,     0,
    1928,  2199,  2210,  1035,  2200,  1015,     0,     0,     0,  1056,
       0,     0,     0,     0,   668,     0,  2206,     0,     0,  1086,
    2207,  2201,     0,     0,   666,     0,     0,  1091,  2211,  2203,
       0,  2212,     0,     0,   668,  2204,     0,  4898,     0,     0,
       0,  2208,  2209,     0,  2213,     0,  1928,  2214,     0,     0,
       0,     0,  1920,     0,     0,     0,     0,     0,  2210,  2205,
       0,     0,     0,     0,     0,     0,   666,     0,  1920,   666,
       0,     0,     0,     0,     0,     0,     0,     0,  3175,     0,
       0,  1920,     0,     0,  2211,     0,     0,  2212,     0,     0,
       0,     0,   369,     0,     0,     0,     0,     0,     0,     0,
    2213,     0,     0,  2214,     0,     0,     0,  3980,  1922,   370,
       0,     0,   667,  1922,  1922,     0,     0,     0,     0,     0,
       0,  2215,     0,     0,   667,  1922,  4956,     0,     0,     0,
       0,     0,     0,     0,  2199,     0,     0,  2200,     0,     0,
       0,     0,     0,     0,     0,     0,   816,   816,   816,     0,
       0,  3194,     0,  1920,  2201,     0,     0,     0,     0,     0,
    2206,     0,  2203,     0,  2207,   666,  3215,     0,  2204,     0,
       0,     0,     0,  1920,     0,     0,   666,  2215,   667,  4023,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
       0,     0,  2205,     0,     0,     0,     0,     0,  1920,  4029,
    1928,     0,  2210,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,     0,  4051,  2916,     0,     0,  2211,     0,
       0,  2212,     0,     0,  1920,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2213,     0,     0,  2214,   666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2112,     0,     0,     0,     0,  1922,     0,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,     0,
       0,  3869,     0,     0,     0,   668,     0,   816,     0,     0,
       0,     0,     0,  2206,     0,     0,     0,  2207,     0,     0,
       0,   667,   666,     0,   666,  3374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,  2208,  2209,
       0,  2215,     0,     0,   370,     0,     0,     0,   370,     0,
     370,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,     0,  1779,     0,     0,     0,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,   666,     0,   668,
       0,     0,   668,     0,     0,     0,     0,  2213,     0,     0,
    2214,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1780,     0,     0,   667,   666,   667,     0,
       0,     0,  2199,     0,     0,  2200,   370,     0,     0,     0,
       0,  2216,  2217,  2218,   666,  2219,  2220,  2221,  2222,  2223,
    2224,     0,  2201,     0,  1928,  4024,     0,   712,     0,  1920,
    2203,     0,     0,     0,   666,     0,  2204,     0,     0,  1922,
       0,     0,  1781,     0,     0,     0,     0,  1928,     0,  1782,
       0,     0,  1783,     0,  2215,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     369,     0,   667,  1778,     0,     0,   668,  1928,     0,  1779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1784,     0,     0,     0,   816,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,  1780,
       0,  1928,  1928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,   668,     0,     0,     0,  4071,     0,
       0,  2206,  1785,     0,  1786,  2207,     0,     0,  1781,     0,
       0,     0,     0,  1920,  1787,  1782,     0,     0,  1783,     0,
       0,     0,  1788,     0,     0,     0,  2208,  2209,     0,     0,
       0,  1789,     0,     0,     0,     0,     0,     0,     0,  4366,
       0,     0,     0,  2210,     0,     0,     0,     0,     0,  1920,
    3599,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3739,     0,     0,     0,  1791,  2211,
     369,  1784,  2212,  1183,  1189,  1189,   712,     0,  1189,     0,
    1197,     0,  1183,     0,  1086,  2213,     0,  1222,  2214,     0,
       0,     0,  1086,  3740,  1086,     0,     0,     0,  1189,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,  1086,     0,  1183,     0,     0,  1189,     0,
     712,     0,  1189,     0,     0,   666,     0,  1778,  1785,  1222,
    1786,     0,  1308,  1779,     0,     0,     0,     0,     0,  1189,
    1787,     0,     0,     0,     0,     0,     0,     0,  1788,     0,
       0,  1793,     0,     0,     0,     0,     0,  1789,     0,     0,
       0,  1920,  2215,     0,   816,     0,     0,     0,   816,     0,
     816,  1183,  1920,  1780,     0,     0,   712,     0,     0,     0,
       0,  1183,     0,     0,     0,  1222,     0,     0,  1922,     0,
    3781,     0,     0,     0,  1791,     0,     0,     0,  2112,     0,
    1189,     0,     0,     0,     0,     0,   370,     0,     0,   666,
       0,     0,   666,     0,     0,     0,     0,     0,     0,  3782,
     667,     0,  1781,     0,     0,     0,   668,     0,     0,  1782,
    1922,  1922,  1783,  1922,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,  2216,  2217,  2218,  1086,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,     0,  4150,     0,  1086,  1456,
       0,     0,     0,     0,     0,     0,     0,  1793,     0,     0,
       0,   667,     0,     0,     0,  1784,     0,  1920,     0,  1922,
       0,  1922,   668,     0,     0,  1563,     0,     0,     0,   712,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4539,     0,  1920,   666,     0,  1086,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
    1563,  1920,     0,     0,     0,     0,     0,     0,     0,     0,
    1086,  4553,  1785,     0,  1786,  1922,     0,     0,     0,     0,
       0,     0,  1086,     0,  1787,     0,     0,  4566,     0,     0,
       0,     0,  1788,   369,     0,  2199,     0,     0,  2200,     0,
    1922,  1789,     0,     0,     0,     0,     0,  1920,     0,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
       0,  1922,     0,  2203,   666,     0,     0,     0,     0,  2204,
       0,     0,     0,  4583,  1922,     0,     0,     0,  1791,     0,
     369,     0,     0,     0,     0,   668,  1930,     0,   369,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1792,  1086,     0,     0,  3913,  3914,     0,
       0,  1086,     0,  1189,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,  3923,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3931,  1922,     0,
       0,     0,     0,     0,     0,     0,  3940,     0,     0,     0,
       0,     0,     0,     0,  1922,     0,     0,  1183,     0,     0,
    3956,  1793,     0,     0,     0,     0,     0,  1922,  1183,     0,
       0,     0,  1222,     0,     0,  2199,     0,     0,  2200,     0,
     668,     0,   668,     0,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,  2206,  2201,     0,     0,  2207,     0,
    1086,  1920,     0,  2203,     0,     0,  1189,  1189,     0,  2204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2208,
    2209,     0,  1086,  1086,  1086,     0,  1189,  2112,  1183,     0,
       0,  1581,  1988,  2205,     0,     0,  2210,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
       0,     0,     0,     0,   370,     0,   668,     0,     0,  1922,
       0,  1189,  2211,  1189,  1189,  2212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   816,     0,  2213,     0,
       0,  2214,     0,     0,  1922,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   666,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   666,  2199,
       0,     0,  2200,     0,     0,     0,     0,  1920,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,  2201,
       0,     0,     0,     0,  2206,  2087,  2087,  2203,  2207,     0,
    1086,     0,  1015,  2204,     0,     0,     0,     0,     0,     0,
    4096,  4097,  4098,     0,     0,  2215, -2139,  1086,     0,  2208,
    2209,     0,   666,     0,     0,  2122,     0,  2205,  1086,     0,
       0,  2128,     0,     0,     0,     0,  2210,     0,     0,     0,
       0,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2211, -2139,     0,  2212,     0,     0,     0,     0,
       0,     0,  1563,     0,   370, -2139,     0,     0,  2213, -2139,
       0,  2214,     0,     0, -2139,  1920,     0,     0,     0, -2139,
       0,     0, -2139,     0, -2139,     0,     0,     0,     0,     0,
    1563,  1563,     0,  1563,     0,  2216,  2217,  2218,  1920,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,  4177,
    1563, -2139,     0,     0,     0,     0,     0,     0,  2206,     0,
       0,     0,  2207,     0,  2112,     0,     0,     0,  1920,     0,
     712,   712,     0, -2139,     0,   666,     0,     0,     0,     0,
       0,     0,     0,  2208,  2209,  2215,     0,     0,     0,     0,
       0,     0,     0,     0,  3830,     0,     0,     0,     0,  1086,
    2210,     0,  1563,     0,     0,  1922,     0,     0,  1920,  1930,
   -2139,     0,  1920,  1920,     0,     0,     0,     0, -2139,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,  1563,     0,     0,  2112,  1563,  1563,     0,  2112,  2112,
       0,     0,  2213,     0,     0,  2214,  1086,  1086,  2338,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,     0, -2139,     0,     0,     0,     0,
     666,     0,   666,     0,   712,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,  4434,
       0,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,   668,     0,     0,     0,  2215,
       0,     0,  4327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2139,     0,     0,     0,     0,     0,
       0,  4353,     0,     0,   816,     0,   666,     0,     0,  1922,
       0,     0,     0,     0,     0,     0,     0, -2139,     0, -2139,
   -2139,     0,     0,     0,     0,  1930,     0,     0,  4370,     0,
       0,     0,  1086,  2498,     0,     0,     0,     0,     0,  1086,
       0,     0,  1189,     0,  1930,  1922,     0,     0,     0,     0,
       0,     0, -2139,     0,     0, -2139, -2139,   370, -2139,  1222,
       0,     0,  1930,     0,     0,  1086,     0,     0,  1086,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,     0,     0,  4468,     0,     0,     0,     0,  1086,     0,
    1930,     0,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
    1086,     0,     0,     0,   370,     0,     0,     0,     0,     0,
       0,     0,   370,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2606,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,  1189,
       0,     0,     0,     0,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,   816,     0,     0,     0,  1922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,  4469,  4470,  4471,  4472,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,  1189,  1189,  1189,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,  1086,     0,     0,  2606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,     0,   712,
       0,  1183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,     0,  1189,     0,     0,     0,
    1188,  1190,     0,  1922,  1193,  1189,  1195,     0,     0,     0,
       0,  1189,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1086,     0,     0,     0,     0,
       0,  1922,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1287,     0,     0,  1922,  1290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
       0,     0,     0,     0,     0,  1313,  1189,     0,  1183,     0,
    1930,     0,  1086,  1086,     0,  1189,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1922,     0,   666,     0,     0,  1015,  1015,
       0,     0,  2827,     0,     0,  2988,  1563,  1563,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,  1563,     0,     0,
       0,  1563,     0,     0,     0,     0,     0,     0,     0,  1563,
    1563,     0,  2199,     0,     0,  2200,     0,  1563,     0,  1222,
    1563,  1563,  1563,  1563,     0,     0,     0,     0,     0,     0,
    1563,  1563,  2201,  1563,     0,  1563,  1563,     0,     0,  1563,
    2203,     0,     0,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1563,   816,     0,     0,
    1189,  1563,     0,     0,     0,  1563,     0,     0,     0,  1563,
    2205,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
       0,  1563,  2199,     0,     0,  2200,  1086,  1563,     0,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,     0,   816,     0,  4669,     0,     0,     0,
    2203,  1086,   816,     0,     0,     0,  2204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
    1086,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2206,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,  3040,     0,  3047,     0,  2208,  2209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2199,  2210,     0,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3161,  2201,     0,     0,     0,  2490,  3168,     0,  2211,
    2203,  2206,  2212,  1922,     0,  2207,  2204,     0,  1930,  1800,
    1801,     0,     0,     0,     0,  2213,     0,   712,  2214,     0,
       0,     0,  1015,     0,  1015,     0,  2208,  2209,     0,     0,
    2205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1563,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,  1189,  1189,  1189,     0,     0,  1183,
       0,  1222,     0,  1189,     0,  1189,     0,  1189,  1189,  2211,
       0,  1086,  2212,     0,     0,     0,  4789,     0,     0,     0,
       0,  1890,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,  2215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1948,  1949,     0,     0,     0,     0,     0,  2498,
       0,  1922,     0,  1581,     0,  3176,     0,     0,     0,     0,
    3185,     0,  1980,     0,     0,     0,  1086,     0,     0,     0,
       0,  2206,     0,     0,  1922,  2207,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,  3220,  3220,     0,  1930,     0,
       0,     0,   712,     0,     0,     0,  2208,  2209,     0,  2013,
    2015,     0,  2215,     0,  1922,     0,     0,     0,     0,  1189,
       0,     0,     0,  2210,     0,     0,     0,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0,  3278,  4695,  3281,  3283,  2211,
       0,     0,  2212,     0,  1922,     0,     0,  4879,  1922,  1922,
       0,     0,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,     0,  2490,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,     0,     0,     0,  1189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1563,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224,     0,     0,     0, -2141,  4737,     0,     0,     0,
       0,     0,     0,     0,     0,  2498,     0,     0,  3220,     0,
    1086,     0,  3376,     0,     0,  1015,     0,     0,     0,     0,
       0,     0,  2215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3278, -2141,     0,     0,     0,     0,     0,     0,  1189,
    3401,     0,  1930,     0, -2141,     0,     0,     0, -2141,     0,
       0,     0,  1988, -2141,     0,     0,     0,  2199, -2141,     0,
    2200, -2141,     0, -2141,     0,     0,     0,     0,     0,  1189,
       0,  1189,  3220,  1189,  3220,     0,     0,  2201,     0,     0,
       0,     0,     0,     0,     0,  2203,     0,     0,     0,     0,
   -2141,  2204,     0,     0,     0,     0,  1563,     0,     0,     0,
       0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,
    2223,  2224, -2141,     0,     0,  2205,  4791,  2087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2141,
       0,     0,     0,     0,     0,     0,     0, -2141,     0,     0,
       0,     0,     0,  1183,     0,     0,     0,     0,     0,  1183,
       0,     0,     0,  2199,     0,     0,  2200,     0,     0,     0,
    1189,     0,     0,     0,     0,     0,  1563,  1563,     0,     0,
       0,     0,  1563,  2201,     0,     0,     0,     0,     0,     0,
       0,  2203,     0,     0, -2141,     0,     0,  2204,     0,  2988,
    2988,  2988,     0,     0,     0,     0,  2206,  1563,  1563,     0,
    2207,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,  2205,     0,     0,  1563,  1563,  1563,  1563,     0,     0,
       0,  2208,  2209,     0,     0,     0,     0,  1563,     0,  1019,
    1563,     0,  1563,  3567,     0,     0,     0,     0,  2210,     0,
       0,     0,  1563,  1563,     0,     0,  1563,     0,     0,     0,
       0,     0,     0, -2141,     0,     0,     0,     0,     0,  1563,
       0,  1563,     0,  1222,  2211,  1563,     0,  2212,     0,     0,
       0,     0,     0,     0,     0,     0, -2141,     0, -2141, -2141,
    2213,  1563,     0,  2214,     0,  1086,     0,     0,  2513,     0,
       0,     0,  3613,     0,  1563,  1563,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2141,  2206,     0, -2141, -2141,  2207, -2141,  1563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1563,  1930,     0,     0,     0,  1563,     0,  2208,  2209,     0,
       0,  1563,  2575,  2576,  2577,  2578,     0,     0,     0,  3613,
       0,     0,  3671,     0,  2210,     0,  3047,  2215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,  3168,     0,  3168,     0,     0,     0,
    2211,     0,     0,  2212,  2614,  2615,     0,     0,     0,     0,
    2624,     0,     0,     0,     0,     0,  2213,     0,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,  3220,     0,     0,     0,     0,  2087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2154,     0,
       0,     0,  1930,     0,  1930,  2648,     0,     0,     0,     0,
       0,     0,  1189,     0,  1189,  1189,  1189,  2216,  2217,  2218,
       0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,     0,
       0,  5000,  2683,  2684,  2685,  2686,     0,     0,     0,     0,
       0,     0,     0,  2215,     0, -2154,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2154,  1930,     0,
       0, -2154,     0,     0,     0,     0, -2154,     0,     0,     0,
       0, -2154,     0,     0, -2154,     0, -2154,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,  2745,     0,     0,     0,     0,     0,     0,     0,
       0,  2749,     0, -2154,  3168,     0,     0,     0,  2756,     0,
       0,     0,     0,     0,     0,     0,     0,  3168,     0,     0,
       0,     0,     0,     0,     0, -2154,     0,     0,     0,  2199,
       0,     0,  2200,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,     0,  5089,     0,  2201,
       0,     0,     0,  3016,     0,     0,     0,  2203,     0,     0,
       0,     0, -2154,  2204,     0,     0,     0,     0,     0,     0,
   -2154,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,  2205,     0,     0,
       0,     0,  3220,  3220,     0,     0,     0,  3168,     0,     0,
       0,     0,     0,     0,     0,  2199,     0,     0,  2200,     0,
    1930,     0,     0,     0,     0,  3876,     0, -2154,   824,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
       0,     0,  3017,  2203,     0,     0,     0,     0,     0,  2204,
       0,     0,  1086,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,  1019,  2205,     0,  1047,     0,     0,     0,     0,
       0,  2087,  1086,  1047,     0,  1047,  2929,     0,     0,     0,
    2087,  1086,  1930,     0,     0,     0, -2154,   824,  2206,     0,
       0,     0,  2207,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,     0, -2154,
     712, -2154, -2154,  2208,  2209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1189,     0,  1930,  1189,     0,
    2210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2154,  1183,     0, -2154, -2154,     0,
   -2154,     0,     0,     0,     0,     0,  2211,     0,     0,  2212,
       0,     0,     0,  1930,  2206,     0,  1086,     0,  2207,     0,
       0,     0,  2213,     0,     0,  2214,  1189,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,     0,     0,     0,  2208,
    2209,     0,     0,     0,  1563,     0,     0,     0,     0,     0,
    1563,     0,  1563,     0,  2988,     0,  2210,     0,  1563,     0,
       0,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,  1563,
    1563,     0,     0,     0,  1563,  1563,     0,     0,     0,     0,
       0,     0,  2211,     0,     0,  2212,     0,  1563,     0,     0,
       0,  1563,     0,     0,     0,  1563,     0,     0,  2213,  2215,
       0,  2214,     0,     0,     0,  1563,     0,     0,  1563,     0,
    1563,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
    1563,  1563,     0,     0,     0,  1563,     0,     0,  1563,     0,
       0,     0,     0,     0,     0,  1086,  1086,  1086,  1183,  3613,
    4107,     0,     0,     0,  4107,  4121,     0,     0,     0,  1563,
    3018,     0,     0,     0,     0,  4135,     0,  1563,     0,  1563,
    3122,  3123,  3124,     0,     0,     0,     0,     0,     0,  3134,
       0,  3136,     0,  3138,  3139,  2215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2216,
    2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,
       0,  1563,     0,     0,     0,     0,     0,  1563,  3168,     0,
       0,  3047,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4183,  2087,
    2087,     0,  2606,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1189,  1189,  1189,  1189,     0,  2216,  2217,  2218,     0,  2219,
    2220,  2221,  2222,  2223,  2224,  3246,     0,  4145,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4226,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3304,     0,     0,     0,     0,     0,     0,     0,  3313,
       0,     0,     0,     0,  3314,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4287,     0,     0,     0,  2199,     0,     0,  2200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2490,     0,
       0,     0,     0,     0,  2201,     0,     0,     0,     0,     0,
       0,     0,  2203,     0,     0,     0,     0,     0,  2204,  3876,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,  3399,     0,     0,  1189,     0,
    1563,     0,  2205,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,  4358,     0,     0,     0,     0,     0,     0,     0,
       0,  2498,     0,     0,     0,     0,     0,  3435,     0,  3437,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,  3278,     0,     0,     0,     0,     0,  4387,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,  1563,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1930,  3539,     0,     0,     0,     0,  3540,     0,  3220,
       0,  3220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,   824,  2207,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  2988,  1185,     0,  1563,     0,  2988,  2208,  2209,
       0,     0,     0,     0,     0,     0,  3492,     0,     0,  2988,
       0,     0,     0,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1563,     0,     0,     0,     0,     0,     0,     0,
       0,  2211,  1563,  1563,  2212,     0,     0,     0,     0,     0,
    1563,  1563,     0,     0,     0,  1563,     0,  2213,     0,     0,
    2214,  1563,  1563,     0,     0,  1563,  1930,  1086,  1086,  1086,
    1086,     0,     0,     0,  4107,  4121,  4107,     0,     0,  4476,
       0,     0,  1185,  3613,     0,     0,     0,  3613,     0,     0,
       0,     0,  1185,  4489,  1930,     0,     0,  1563,     0,     0,
       0,     0,  1563,     0,     0,     0,     0,     0,  4499,     0,
    1930,     0,     0,     0,  1563,     0,     0,     0,     0,     0,
       0,     0,     0,  1222,     0,     0,     0,     0,     0,     0,
       0,  3671,     0,     0,  2215,  3047,     0,     0,     0,     0,
       0,     0,     0,  1923,  2199,     0,     0,  2200,     0,     0,
    1015,     0,     0,  1563,     0,     0,  1930,     0,     0,     0,
       0,     0,     0,     0,  2201,     0,     0,     0,     0,     0,
       0,     0,  2203,  3220,  3220,     0,     0,     0,  2204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4552,     0,     0,
       0,     0,  2205,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1047,     0,     0,     0,  1047,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,     0,
       0,  1185,  1189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4667,     0,     0,     0,     0,     0,     0,
       0,  5063,     0,     0,     0,     0,     0,     0,  3720,     0,
    3721,  3722,  3723,     0,     0,  3876,  3876,  3876,  3876,  3876,
       0,     0,     0,  2206,     0,     0,  1923,  2207,     0,     0,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,     0,     0,     0,     0,     0,     0,     0,  2208,  2209,
    1183,     0,     0,     0,     0,  2498,     0,     0,     0,     0,
       0,     0,  2087,     0,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,  1189,  2498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,  1086,     0,  4673,     0,     0,     0,  2213,     0,     0,
    2214,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,  5064,     0,  1185,
       0,  1563,     0,     0,  2199,     0,     0,  2200,     0,     0,
    1563,     0,     0,     0,     0,     0,  3168,     0,     0,     0,
       0,     0,  1931,     0,  2201,     0,     0,  1563,  1563,     0,
       0,  1563,  2203,     0,     0,     0,     0,     0,  2204,     0,
    4107,     0,     0,     0,  3613,     0,     0,     0,     0,  3613,
       0,     0,  3613,  3278,  2215,  4717,     0,  1563,  1563,  1185,
       0,     0,  2205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4183,  1222,  1189,  1189,  1189,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3168,     0,     0,     0,  1185,  1183,
    1222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,  2217,  2218,  1930,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,  1923,  2207,  2087,     0,
       0,     0,  1183,     0,     0,     0,     0,  1930,     0,     0,
       0,  1086,     0,     0,     0,  1931,     0,     0,  2208,  2209,
       0,  3989,  4358,     0,  3990,     0,     0,     0,     0,  3220,
       0,     0,     0,  2498,     0,  2210,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,  4387,     0,  1930,  1086,     0,
    1923,  1930,  1930,     0,     0,     0,  1189,  4183,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,     0,  4016,  1185,     0,     0,     0,  2213,     0,  1923,
    2214,  1563,     0,     0,  1563,     0,  1563,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,  4063,
       0,  1185,  1185,  1563,  1185,     0,     0,  3613,     0,     0,
    4717,     0,     0,     0,     0,     0,  4866,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,  4667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1923,     0,  2215,     0,     0,     0,     0,     0,
    1189,  1189,  1189,  1189,  2199,     0,     0,  2200,  4064,     0,
       0,  1923,     0,  1185,   824,  2087,     0,     0,     0,     0,
       0,     0,     0,     0,  2201,     0,     0,  3502,     0,  1923,
       0,     0,  2203,  1183,     0,     0,     0,     0,  2204,     0,
       0,  2199,  1185,     0,  2200,     0,  1185,  1185,     0,     0,
       0,     0,  1563,  2199,     0,     0,  2200,  1923,     0,     0,
       0,  2201,  2205,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,     0,  2201,     0,  2204,  3547,     0,     0,     0,
       0,  2203,     0,     0,  2216,  2217,  2218,  2204,  2219,  2220,
    2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,  2205,
       0,     0,  1563,     0,     0,     0,     0,     0,  1189,     0,
    1222,  2205,     0,     0,     0,     0,     0,     0,     0,  1563,
    1923,     0,     0,     0,     0,  1931,     0,     0,     0,     0,
       0,   824,     0,     0,     0,     0,     0,     0,  1047,     0,
       0,     0,     0,     0,     0,     0,  4200,  4201,  4202,  4203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,  2206,  1183,     0,     0,  2207,     0,     0,
       0,  1047,     0,     0,     0,  4183,     0,     0,     0,  1931,
       0,     0,     0,     0,  4673,     0,     0,     0,  2208,  2209,
       0,     0,     0,  4866,     0,     0,  1563,  1563,     0,     0,
    2206,     0,     0,  1925,  2207,  2210,     0,     0,  1931,  1183,
       0,     0,  2206,     0,     0,     0,  2207,  1189,     0,     0,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
       0,  2211,     0,     0,  2212,     0,     0,  2208,  2209,     0,
       0,     0,  2210,     0,     0,     0,     0,  2213,     0,     0,
    2214,  1563,     0,     0,  2210,     0,     0,  1925,     0,     0,
       0,  1563,  1047,     0,     0,     0,  1189,     0,  2211,     0,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
    2211,  1931,     0,  2212,  2213,     0,  1925,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,  2213,     0,     0,  2214,
    1931,  3517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4345,     0,     0,  1923,  1931,     0,
       0,     0,     0,  1563,  2215,     0,     0,     0,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,     0,     0,
       0,   824,     0,     0,     0,     0,  1931,     0,  2199,     0,
       0,  2200,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,  2215,     0,     0,     0,     0,     0,     0,  2201,     0,
       0,     0,     0,  2215,     0,     0,  2203,     0,  1925,     0,
       0,     0,  2204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,  2205,     0,     0,  1931,
       0,     0,  1185,     0,  2216,  2217,  2218,     0,  2219,  2220,
    2221,  2222,  2223,  2224,  1925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,     0,  2216,  2217,  2218,     0,  2219,  2220,  2221,
    2222,  2223,  2224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,  3552,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,  2206,     0,     0,
       0,  2207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2208,  2209,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,  1185,  2210,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1185,  1185,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,  1185,  1185,  1185,  1185,  2211,     0,     0,  2212,     0,
       0,  1185,  1185,     0,  1185,     0,  1185,  1185,     0,     0,
    1185,  2213,     0,     0,  2214,     0,     0,     0,  1923,     0,
       0,     0,     0,  1923,  1923,     0,  1931,  1185,   824,     0,
       0,  2199,  1185,     0,  2200,  1923,  1185,     0,     0,     0,
    1185,     0,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  2201,  1185,     0,  3558,     0,     0,     0,  1185,  2203,
       0,  1185,     0,     0,     0,  2204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2215,  2205,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,  4577,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,     0,  4580,  1185,     0,     6,     7,     0,     0,     0,
       0,     8,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,    36,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1923,    45,     0,  2216,  2217,
    2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,
    2206,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2208,  2209,     0,     0,     0,
    4646,     0,     0,   824,    46,  2199,     0,     0,  2200,     0,
       0,     0,  2210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2201,     0,     0,     0,     0,
    1923,     0,  1185,  2203,     0,     0,     0,     0,  2211,  2204,
       0,  2212,     0,  1185,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,     0,     0,
       0,  1047,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,    48,  1931,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
     824,     0,     0,   824,     0,     0,     0,     0,     0,  1923,
       0,  2215,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4742,  4744,
    4744,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2206,  1925,     0,     0,  2207,    51,
    1925,  1925,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,    53,     0,  2208,
    2209,     0,     0,     0,     0,     0,     0,  1045,     0,     0,
       0,     0,     0,     0,     0,  1045,  2210,  1045,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,  2217,  2218,     0,  2219,  2220,  2221,  2222,  2223,
    2224,     0,  2211,     0,     0,  2212,     0,     0,     0,     0,
       0,     0,  1185,     0,  1931,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,    54,     0,     0,     0,     0,     0,  2199,     0,
       0,  2200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4832,     0,     0,     0,     0,     0,  2201,     0,
       0,  4070,     0,     0,     0,     0,  2203,     0,     0,     0,
       0,     0,  2204,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,  1931,
       0,     0,  1925,     0,     0,  2215,  2205,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4020,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,  4876,    59,     0,  1185,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,    67,    68,
       0,    69,    70,    71,    72,    73,     0,  4895,     0,  4897,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2216,  2217,  2218,  1931,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,  2206,     0,     0,
       0,  2207,     0,     0,  1185,     0,     0,     0,  1923,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2208,  2209,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,  2210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,  1923,     0,  1923,     0,     0,     0,     0,  1185,  1185,
       0,     0,     0,  1185,  4744,  2211,  1925,     0,  2212,     0,
       0,     0,     0,     0,     0,  1185,  1185,  1185,  1185,     0,
       0,  2213,     0,   824,  2214,     0,     0,     0,  1185,   824,
       0,  1185,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,  1185,  2199,     0,  1185,  2200,  1923,
       0,  1923,     0,     0,     0,  4997,     0,     0,     0,     0,
    1185,     0,  1185,     0,     0,  2201,  1185,     0,     0,     0,
       0,     0,     0,  2203,     0,     0,     0,     0,     0,  2204,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1185,  1185,  1185,  2215,     0,
       0,     0,     0,  2205,     0,  1923,     0,     0,     0,     0,
       0,     0,     0,  5033,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,  1185,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1185,  1923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5070,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2216,  2217,
    2218,     0,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,
       0,     0,     0,     0,  2206,     0,     0,     0,  2207,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1923,  2208,
    2209,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,  1923,     0,  2210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1923,     0,   880,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   881,  2211,     0,     0,  2212,     0,     0,     0,  1931,
    1931,     0,  1931,     0,     0,     0,     0,     0,  2213,     0,
       0,  2214,   882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   883,     0,     0,     0,     0,
       0,   824,   824,   824,   884,  1925,     0,     0,  -736,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1923,
       0,     0,     0,     0,     0,   885,  1181,     0,  1931,     0,
    1931,   886,     0,     0,     0,  1181,     0,     0,     0,  1923,
       0,     0,     0,     0,     0,     0,   887,  1925,  1925,     0,
    1925,     0,     0,     0,     0,  2215,     0,   888,     0,     0,
       0,     0,     0,     0,  1923,   889,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,     0,
       0,     0,     0,   891,  1931,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1923,     0,  -938,     0,     0,     0,  1925,     0,  1925,  1931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,   893,   824,  1931,     0,  2216,  2217,  2218,  -501,  2219,
    2220,  2221,  2222,  2223,  2224,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,     0,   895,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1931,  1925,     0,
       0,     0,     0,     0,     0,     0,  -398,     0,     0,     0,
       0,  1925,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   896,     0,  1931,     0,     0,     0,
     897,     0,     0,     0,     0,     0,  -398,     0,  1181,   898,
       0,     0,     0,     0,  1045,     0,     0,     0,  1045,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,  -398,     0,   899,   900,     0,
     901,   902,     0,  1181,     0,  1925,     0,     0,     0,   903,
       0,     0,     0,     0,   904,  1923,     0,     0,     0,     0,
     905,  1925,     0,   906,     0,  1185,   907,     0,  1931,     0,
       0,     0,     0,     0,  1925,  1185,     0,     0,     0,  -398,
       0,  1185,     0,  1185,     0,     0,     0,     0,  1931,  1185,
       0,     0,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,     0,     0,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,  1185,     0,
       0,     0,  1185,     0,   824,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,  1185,
       0,  1185,     0,     0,     0,     0,  1925,     0,     0,  1931,
    1185,  1185,  1185,     0,     0,     0,  1185,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,   838,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1185,  1925,     0,     0,     0,     0,     0,     0,     0,  1923,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   839,     0,     0,  1925,     0,     0,
       0,     0,  1185,     0,  1929,  1923,     0,   840,  1185,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   841,     0,     0,     0,     0,     0,
     842,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  1181,     0,     0,     0,   843,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   844,     0,     0,     0,
       0,     0,     0,     0,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   846,     0,     0,     0,     0,
     847,     0,     0,     0,     0,     0,   848,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   849,     0,     0,     0,     0,     0,     0,     0,   824,
    1181,     0,     0,   824,  1931,   824,     0,  1923,     0,     0,
       0,     0,     0,     0,     0,     0,   850,     0,  1923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,  1925,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1185,     0,   854,     0,     0,     0,   855,     0,   856,
       0,     0,     0,  1923,     0,   857,     0,     0,   858,     0,
       0,     0,     0,  1181,  1181,     0,  1181,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,  1181,   859,     0,   860,     0,     0,     0,
     861,     0,     0,     0,     0,     0,     0,  1923,   862,     0,
       0,     0,     0,   863,  1931,  1185,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,   864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   865,     0,
       0,     0,     0,     0,  1252,  1181,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,  1185,  1253,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1254,  1255,  1925,     0,     0,     0,     0,     0,     0,  1256,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1185,  1185,     0,  1931,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,  1185,  1931,     0,     0,
       0,  1259,  1185,  1185,     0,     0,  1185,     0,     0,     0,
       0,     0,  1260,     0,     0,     0,     0,  1929,     0,     0,
    1261,     0,     0,     0,  1185,     0,     0,     0,  1185,     0,
    1045,  1262,     0,     0,     0,     0,  1263,     0,  1185,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,  1264,     0,     0,
       0,     0,     0,  1045,  1925,     0,     0,  1923,     0,     0,
       0,  1929,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,  1265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
    1929,     0,     0,  1266,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   824,     0,     0,  1267,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1045,     0,  1931,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,     0,     0,     0,     0,  1268,
    1925,     0,  1929,  1269,     0,  1270,     0,     0,     0,     0,
       0,  1271,  1931,     0,  1272,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1273,     0,  1274,     0,  1925,     0,  1275,     0,  1929,     0,
       0,     0,     0,     0,  1276,     0,     0,     0,     0,  1277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,  1278,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1923,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,  1929,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,  1931,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1185,
       0,     0,  1185,     0,  1923,     0,     0,     0,  1923,  1923,
       0,  1181,     0,     0,     0,  1185,     0,     0,     0,     0,
    1185,     0,     0,  1185,     0,     0,     0,     0,  1185,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,  1925,     0,     0,  1181,     0,     0,
    1181,  1185,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,  1181,  1181,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,  1181,  1181,  1181,  1181,     0,     0,     0,
       0,     0,  1931,  1181,  1181,     0,  1181,     0,  1181,  1181,
    1185,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,  1181,
       0,     0,     0,     0,  1181,     0,     0,     0,  1181,   824,
       0,     0,  1181,     0,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1185,  1181,     0,     0,     0,     0,     0,
    1181,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,  1185,  1931,     0,  1185,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,  1185,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   824,
       0,     0,     0,  1931,     0,     0,     0,  1931,  1931,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1181,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,  1931,     0,  1925,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1045,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,  1185,  1929,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,  1181,     0,  1929,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,   824,
       0,  1929,     0,  1185,     0,     0,     0,   824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     6,     7,     0,     0,  1926,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
    1929,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,     0,     0,
    1181,  1181,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,  1181,  1181,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,   720,  1181,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,   923,  1181,  1181,   720,  1926,  1181,
      47,     0,     0,   923,     0,     0,     0,   720,     0,     0,
       0,     0,  1181,     0,  1181,     0,     0,    48,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,    49,     0,     0,
       0,     0,     0,   923,     0,  1181,     0,  1181,  1181,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,    51,     0,     0,    52,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    54,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      55,  1929,  1929,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1149,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,     0,  1926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
    1929,    59,  1929,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1381,     0,     0,     0,     0,    71,
    1382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1926,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   923,   923,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,  1181,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,  1181,     0,  1181,     0,     0,     0,     0,
    1929,  1181,     0,     0,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,     0,     0,     0,  1181,  1181,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,  1181,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,  1929,  1181,  1181,  1181,     0,     0,     0,  1181,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,  1196,     0,     0,     0,     0,
    1181,     0,  1181,     0,     0,  1225,  1226,     0,  1229,     0,
    1232,     0,  1234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1285,     0,     0,     0,     0,     0,     0,     0,  1293,
       0,     0,     0,     0,  1181,     0,     0,     0,  1309,  1310,
    1181,     0,     0,  1312,     0,     0,  1181,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,   923,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,  1368,     0,  1370,     0,
    1373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   720,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   720,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,   720,     0,     0,     0,     0,     0,     0,  1453,
       0,  1454,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1100,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,  1181,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    1929,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,  1712,     0,
    1714,     0,     0,     0,  1716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,  1181,  1181,     0,
    1926,     0,     0,     0,  1745,  1926,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,   716,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,  1876,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,   716,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,    47,   716,   716,  1181,     0,   716,  1937,     0,
       0,  1941,     0,   716,     0,  1181,  1181,  1007,  1929,    48,
       0,     0,     0,  1181,  1181,     0,     0,     0,  1181,  1929,
       0,     0,     0,     0,  1181,  1181,     0,  1007,  1181,    49,
       0,     0,     0,     0,  1984,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,  1181,     0,     0,     0,
    1181,    50,     0,     0,     0,     0,     0,  1926,     0,     0,
    1181,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    53,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,  1181,   720,     0,     0,
     720,     0,   720,     0,     0,   720,   720,   720,     0,     0,
       0,     0,  1926,     0,  1929,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   720,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    55,     0,  1929,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,  1181,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,  1181,    65,    66,  1381,  2039,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,  1929,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2369,     0,     0,  2369,     0,     0,
    1181,  1181,     0,     0,  1181,  2376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,  1181,  2385,     0,  1181,     0,     0,     0,     0,
    1181,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2455,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1926,  1926,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,  1929,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  1929,     0,  1181,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,  1926,     0,     0,  1181,     0,     0,     0,
    1181,     0,     0,     0,  2658,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,  1926,     0,  1929,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2729,     0,     0,     0,  2733,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
    2744,     0,  2746,     0,  2747,     0,  1181,     0,     0,  2748,
       0,     0,     0,  1926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,  1926,     0,     0,  1331,
     716,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   720,  1929,     0,     0,   720,     0,
     720,     0,     0,   720,     0,     0,     0,   720,  2776,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
     716,     0,     0,   716,   716,     0,     0,     0,     0,     0,
    1926,     0,  1181,     0,     0,     0,     0,     0,   672,     0,
    1007,     0,  1007,     0,     0,     0,  1926,     0,   672,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,  1007,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,   716,     0,   716,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,  2989,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,  1181,     0,  1926,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,   672,     0,     0,  1694,
       0,     0,  1926,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,  1927,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,  3077,  3078,     0,     0,     0,  3081,
    3082,     0,     0,  3085,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3095,     0,     0,     0,     0,     0,     0,
    3104,     0,     0,     0,  3107,  3108,     0,     0,  3111,  3112,
       0,     0,     0,     0,     0,  3117,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3133,     0,  3135,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3157,     0,     0,     0,     0,
    3159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3177,  3178,  3181,  3183,     0,     0,     0,  3190,  3193,
       0,     0,     0,     0,     0,     0,  3204,     0,     0,  3208,
       0,     0,     0,  3212,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,   716,     0,   716,     0,     0,
     716,     0,   716,     0,  3240,   716,   716,   716,     0,     0,
       0,  2082,     0,     0,     0,  3247,     0,  3249,   716,     0,
       0,     0,  3252,     0,     0,     0,     0,  3256,  3257,  3258,
    3259,   716,  3261,   716,     0,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,  3285,  3286,  3287,     0,     0,
       0,     0,     0,     0,     0,     0,  3295,  3296,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,  3350,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2240,     0,     0,     0,
       0,     0,     0,     0,     0,   716,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,   672,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,  1926,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
    1926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,   716,
       0,   672,     0,     0,     6,     7,     0,     0,  3477,     0,
       0,  2373,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,  1551,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,  1926,  1927,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  1927,   672,   672,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,     0,     0,     0,     0,
      48,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,  3691,  3692,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3714,     0,     0,     0,
       0,     0,     0,     0,     0,  3718,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3729,  3731,     0,     0,     0,  3731,     0,     0,     0,  1926,
    3742,  3743,  3744,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,  3765,  3766,  3767,  3768,
       0,     0,   716,     0,   716,     0,     0,     0,   716,     0,
     716,     0,     0,   716,     0,     0,     0,   716,     0,     0,
       0,     0,  2240,    55,     0,     0,  3784,  3785,  3786,  1186,
       0,     0,     0,     0,     0,     0,  3799,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,  1926,     0,     0,    58,     0,
       0,     0,     0,     0,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1381,  2757,     0,
    3838,     0,    71,     0,     0,     0,     0,     0,  3842,     0,
       0,     0,     0,     0,     0,     0,  2137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3910,     0,     0,     0,     0,     0,     0,     0,
       0,  2082,     0,  2186,  2187,     0,  2190,     0,  2990,     0,
       0,     0,     0,  1926,     0,     0,  1186,  2373,     0,     0,
       0,     0,     0,  2230,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,  3938,     0,  1926,  3941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1926,     0,   923,     0,
       0,  3981,     0,     0,     0,  2284,     0,     0,     0,     0,
     672,     0,     0,     0,     0,  3991,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2306,     0,  1926,     0,  2318,  2321,
    1926,  1926,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,   672,     0,     0,     0,
       0,     0,  3061,     0,  1694,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,  1932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,  1927,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
    1186,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,  1927,     0,     0,     0,     0,     0,   672,  1186,
       0,     0,     0,     0,     0,     0,   672,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4194,     0,  4195,     0,     0,     0,     0,     0,     0,  4197,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  1186,     0,     0,     0,  4206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,  4214,     0,     0,     0,     0,     0,     0,     0,
    1186,  4225,     0,     0,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4257,  4258,  4259,
    4260,  4261,  4262,  4263,  4264,     0,     0,     0,     0,  4271,
    4272,     0,  4274,  4275,  4276,  4277,  4278,  4279,  4280,     0,
       0,     0,     0,     0,     0,     0,     0,  4288,     0,  4290,
    4291,     0,     0,  1932,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4339,
    4341,  4343,     0,     0,  4346,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,  2082,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2855,     0,     0,
    1927,     0,     0,     0,     0,  3731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2878,     0,     0,  2880,     0,  1927,  2891,     0,     0,  1932,
       0,     0,     0,  2898,  2903,     0,     0,     0,     0,  2909,
       0,     0,  2914,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2923,
       0,  1927,     0,     0,  2930,     0,  1932,     0,  2942,     0,
       0,     0,  2949,     0,  2951,  2952,  2953,  2954,  2955,  2956,
    2957,  2958,  2959,     0,  2960,     0,     0,     0,     0,     0,
    1551,     0,     0,  2985,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,  2373,  1622,     0,  1932,     0,   672,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4542,  4543,  4544,
    4545,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  4557,  4558,  4559,  4560,     0,  4562,  4563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4572,  4573,
       0,     0,     0,     0,  3109,  1186,  1186,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  1186,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
    1186,  1186,  1186,     0,     0,     0,     0,     0,     0,  1186,
    1186,     0,  1186,     0,  1186,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,  1186,     0,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,  1186,     0,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,     0,
    1186,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
       0,     0,  4633,     0,     0,     0,     0,     0,     0,     0,
    1927,  4639,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4677,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3325,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  4764,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
    1932,  1932,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3731,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
    3498,     0,     0,     0,     0,  3504,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2903,     0,  2903,
    2903,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
    3561,     0,     0,  3564,     0,  3566,     0,     0,     0,     0,
       0,  4882,     0,     0,     0,     0,  4886,     0,     0,     0,
    1186,     0,  1932,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3587,     0,  3589,     0,     0,     0,  3592,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2985,  2985,  2985,
       0,     0,     0,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3650,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,  3731,     0,  2306,     0,     0,     0,     0,  3661,     0,
       0,     0,     0,     0,  2321,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4992,     0,
       0,     0,  3700,  4996,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1186,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,  1186,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,  1186,  1186,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,  1186,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1186,  1186,  1186,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
     672,     0,     0,     0,     0,  1927,     0,     0,     0,  1186,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,     0,  1927,
    1927,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1932,  1932,     0,
    1932,     0,  2226,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4025,     0,     0,
       0,     0,     0,  4026,     0,  4027,  1932,     0,  1932,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4045,  4046,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2909,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4074,     0,
       0,  4077,  1932,  4079,     0,     0,     0,     0,     0,     0,
       0,     0,  4083,     0,     0,     0,     0,     0,  4088,     0,
       0,  4091,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4124,     0,     0,     0,     0,     0,  1932,     0,
    4136,     0,  2985,     0,     0,     0,     0,     0,   672,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4153,     0,     0,     0,     0,     0,
    1551,     0,     0,     0,     0,     0,  1622,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1932,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,  1186,
     716,  1186,     0,     0,     0,     0,  1932,  1186,     0,     0,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
       0,     0,     0,  1186,  1186,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,  1186,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,   672,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,  1186,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,  1932,  1186,  1186,
    1186,     0,     0,     0,  1186,  2226,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,  1186,    85,
       0,     0,     0,     0,     0,    89,     0,     0,     0,    93,
       0,    94,     0,    96,    97,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   106,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4400,  4401,     0,
    1186,   119,   120,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,  2226,     0,     0,     0,     0,  2887,   128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   129,  4432,   130,
     131,     0,     0,     0,     0,     0,  2226,  2226,     0,     0,
    2226,     0,     0,     0,  1119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   141,     0,   142,   143,     0,     0,
       0,     0,   146,     0,   147,  4450,  4452,     0,     0,     0,
    2226,     0,  1932,     0,   149,     0,   150,     0,  4459,     0,
       0,     0,     0,     0,  4464,  4465,     0,     0,  4467,     0,
     153,     0,   154,     0,     0,   157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,   159,
       0,     0,     0,   160,     0,     0,     0,     0,     0,   161,
    2985,     0,     0,     0,  2226,  2985,     0,   163,     0,   165,
       0,     0,     0,     0,     0,   167,     0,  2985,     0,     0,
       0,     0,     0,     0,   672,     0,  2226,     0,     0,   171,
       0,     0,     0,     0,     0,     0,     0,     0,  2226,     0,
       0,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,   185,     0,     0,     0,     0,
     186,     0,     0,     0,     0,     0,  1932,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1932,  1186,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   205,
       0,     0,     0,     0,   206,   207,     0,   208,     0,     0,
       0,     0,   209,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,     0,  1186,     0,     0,   217,     0,     0,
     219,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,     0,  4619,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,   229,     0,   230,
       0,  1186,  1186,     0,  1932,     0,     0,   232,     0,  1186,
    1186,     0,     0,   233,  1186,  1932,     0,     0,   234,     0,
    1186,  1186,     0,     0,  1186,     0,     0,     0,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,  1186,     0,     0,   247,     0,     0,     0,  -136,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4703,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,  4720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1932,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2909,     0,     0,
       0,     0,     0,     0,     0,  2226,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,  4857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2226,     0,
    2226,     0,  2887,  2887,  3535,     0,     0,  2887,     0,     0,
    1186,  2226,     0,     0,  1932,     0,     0,     0,  2226,  1186,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,  2226,     0,  1186,  1186,     0,     0,
    1186,     0,     0,  2226,     0,     0,     0,  2887,  2887,     0,
    2226,     0,     0,  1186,     0,     0,     0,     0,  1186,     0,
       0,  1186,  2226,     0,     0,     0,  1186,  1186,     0,  2226,
       0,  2226,  2226,  2226,  2226,  2226,  2226,  2226,  2226,  2226,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4928,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,     0,     0,  1186,     0,  1932,  5019,
    5019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  1932,     0,  1186,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,  1186,     0,     0,     0,
       0,  1932,     0,     0,  5019,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,  1932,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5019,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,  1186,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,  2226,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
    1186,     0,     0,     0,     0,   144,     0,   145,     0,     0,
    1186,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,  2226,     0,
     152,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
    3535,  3535,     0,  2887,     0,     0,  2887,  2887,  2887,  2887,
    2887,  2887,  2887,  2887,  2887,  2887,  3535,   162,     0,     0,
       0,     0,  1186,     0,     0,   164,     0,     0,     0,   166,
       0,  1186,     0,     0,   168,     0,     0,     0,     0,     0,
     169,  2226,   170,     0,  2226,     0,  2226,     0,   172,     0,
       0,  3535,  3535,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,  2887,  2887,  2226,     0,  2226,
     174,   175,  2226,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
    2226,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,  2226,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  2226,     0,     0,     0,  2226,  2226,  2226,     0,     0,
    3535,     0,     0,     0,     0,  3535,  3535,  3535,  3535,  3535,
    3535,  3535,  3535,  3535,  3535,  2226,  2226,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,  2226,  2887,  2887,  2226,   144,  2226,
     145,     0,     0,  2226,  3535,  3535,   148,     0,  2226,     0,
       0,  2226,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,  2226,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,  3535,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
    2226,  2226,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,  2226,     0,     0,     0,  2887,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,  3051,  2226,     0,     0,     0,     0,  3535,  3535,  2226,
       5,     0,  2887,  2887,  2226,  2226,     0,  2226,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,  3535,  2887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,  3535,  3535,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,  2226,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1381,     0,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,  2226,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   733,   426,   427,
     428,   734,   735,   736,   737,   738,   739,   740,   429,   430,
     741,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,   742,   436,   437,   438,   439,   440,   743,   744,
     441,   442,   745,   140,   443,   746,   444,   445,   446,   447,
     144,   747,   145,   748,   448,   449,   450,   451,   148,   452,
     749,   750,   453,   454,   455,   456,   457,   458,   751,   151,
     459,   752,   753,   754,   755,   152,   756,   757,   758,   460,
     461,   462,   463,   695,   464,   155,   156,   465,   759,   466,
     760,   467,   468,   469,   470,   471,   761,   472,   473,   474,
     762,   763,   475,   476,   477,   478,   479,   764,   480,   481,
     482,   765,   483,   484,   485,   766,   486,   487,   488,   489,
     164,   490,   491,   492,   166,   767,   493,   768,   494,   168,
     495,   769,   496,   770,   497,   169,   771,   170,   498,   499,
     500,   772,   501,   172,   773,   502,   774,   503,   504,   697,
     505,   506,   173,   507,   508,   509,   775,   510,   511,   512,
     513,   514,   515,   776,   516,   174,   175,   777,   517,   518,
     519,   778,   176,   779,   177,   780,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,   781,   527,   528,   782,
     529,   181,   182,   530,   183,   783,   531,   532,   533,   784,
     785,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
     786,   547,   548,   193,   549,   787,   194,   550,   195,   551,
     552,   553,   788,   554,   789,   790,   555,   556,   557,   791,
     792,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,   793,   565,   201,   566,   202,   567,   568,
     569,   794,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,   795,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   796,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   797,   604,   605,   606,   607,   608,   798,   609,
     218,   610,   611,   220,   612,   221,   613,   799,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,   800,
     624,   625,   801,   626,   627,   628,   629,   630,   631,   802,
     225,   226,   803,   804,   633,   227,   634,   228,   805,   635,
     636,   637,   638,   639,   640,   641,   806,   807,   642,   643,
     644,   645,   646,   808,   809,   647,   648,   649,   650,   651,
     810,   235,   811,   652,   236,   653,   654,   655,   812,   813,
     656,   814,   815,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      85,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   967,   104,   105,   106,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,   119,   120,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,   133,     0,     0,   134,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,   141,     0,   142,   143,   144,
       0,   145,     0,   146,     0,   147,     0,   148,     0,     0,
       0,     0,     0,     0,     0,   149,     0,   150,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,   153,     0,   154,   155,   156,   157,     0,     0,     0,
       0,     0, -1396,     0,     0,     0,     0,     0,   158,     0,
     159,     0,     0,     0,   160,     0,     0,     0,     0,     0,
     161,   162,     0,     0,     0,     0,     0,     0,   163,   164,
     165,     0,     0,   166,     0,     0,   167,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0, -1396,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,   184,   185,     0,     0,     0,
       0,   186,     0,     0,     0,     0,     0,     0,     0,     0,
     187,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,   192,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
     205,     0,     0,     0,     0,   206,   207,     0,   208,     0,
       0,     0,     0,   209,     0,     0,     0,     0,   210,   211,
       0,   212,   213,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,     0,     0,     0,     0,   217,   218,
       0,   219,   220,     0,   221,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,   224,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,   229,     0,
     230,     0,     0,     0,     0,   231,     0,     0,   232,     0,
       0, -1396,     0,     0,   233,     0,     0,     0,     0,   234,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,   237,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   247,   104,   105,     0,  -136,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,  3053,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  2979,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,  2980,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,  2981,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,  2982,     0,     0,     0,
       0,     0,     0,  1538,  2983,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1474,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1475,   137,  1476,  1477,     0,   436,   437,   438,   439,   440,
    1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,   445,
     446,   447,  1482,     0,  1483,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,
    1490,   460,   461,   462,   463,   695,   464,  1491,  1492,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1494,   490,   491,   492,  1495,  1496,   493,     0,
     494,  1497,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1498,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1499,  1500,     0,  1501,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1502,   182,   530,   183,     0,   531,   532,
     533,  1503,  1504,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1505,   189,  1506,   545,
     546,   191,  1507,   547,   548,   193,   549,  1508,  1509,   550,
    1510,   551,   552,   553,     0,   554,     0,     0,  1511,   556,
     557,     0,     0,   196,   197,   198,   199,  1512,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1513,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1514,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1515,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1516,   609,   218,   610,   611,   220,   612,  1517,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1518,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,
    1523,   635,   636,   637,   638,   639,   640,   641,     0,  1524,
     642,   643,   644,   645,   646,  1525,     0,   647,   648,   649,
     650,   651,   701,  1526,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1535,
    1536,     0,     0,     0,     0,     0,     0,     0,  1538,  2889,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1898,   137,  1899,  1900,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1901,
    1902,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1903,  1904,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1905,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,  2478,   510,   511,   512,   513,   514,   515,
       0,   516,   174,  2479,     0,   517,   518,   519,  1499,  1906,
       0,  1907,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1908,   189,  1909,   545,   546,     0,     0,   547,   548,
     193,   549,     0,     0,   550,  1910,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,  2480,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1911,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2481,   610,   611,
     220,   612,  1913,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1914,  1915,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1916,  2482,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,     0,     0,     0,
       0,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,  2483,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1898,   137,  1899,  1900,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1901,  1902,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1903,  1904,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1493,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1905,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,  2478,   510,   511,   512,   513,   514,
     515,     0,   516,   174,  2479,     0,   517,   518,   519,  1499,
    1906,     0,  1907,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1908,   189,  1909,   545,   546,     0,     0,   547,
     548,   193,   549,     0,     0,   550,  1910,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,  2480,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1911,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  2481,   610,
     611,   220,   612,  1913,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1914,  1915,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1916,
    2482,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,     0,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  3411,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,  2899,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,  2900,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,  2901,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,  2902,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,   639,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,   216,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,   224,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,  2188,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,   237,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,  2132,  2847,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,   546,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
    1537,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,  1621,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,  1507,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,   639,   640,
     641,     0,  1524,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1535,  1536,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  2316,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,   639,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,  2900,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,  4139,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,  4152,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,   546,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
       0,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,  5016,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,  5017,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,  1507,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,  5018,   640,
     641,     0,  1524,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1535,  1536,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
    5017,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,   183,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,  1507,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,   220,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,  5018,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,  1507,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,   183,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,  1507,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
     220,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,  1524,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,  4442,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1535,  1536,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1470,  1471,  1472,    45,  1473,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1474,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1475,
     137,  1476,  1477,     0,   436,   437,   438,   439,   440,  1478,
    1479,   441,   442,  1480,  1481,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,  1491,  1492,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1493,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1494,   490,   491,   492,  1495,  1496,   493,     0,   494,
    1497,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1499,  1500,     0,  1501,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1505,   189,  1506,   545,  4451,
     191,  1507,   547,   548,   193,   549,  1508,  1509,   550,  1510,
     551,   552,   553,     0,   554,     0,     0,  1511,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1514,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1515,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,  1517,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1519,  1520,     0,     0,   633,  1521,   634,  1522,  1523,
     635,   636,   637,   638,   639,   640,   641,     0,  1524,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,  1526,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1535,  1536,
       0,     0,     0,     0,     0,     0,     0,  1538,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1470,  1471,  1472,    45,
    1473,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1474,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1475,   137,  1476,  1477,     0,   436,   437,
     438,   439,   440,  1478,  1479,   441,   442,  1480,  1481,   443,
       0,   444,   445,   446,   447,  1482,     0,  1483,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,   460,   461,   462,   463,   695,   464,
    1491,  1492,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1493,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1494,   490,   491,   492,  1495,
    1496,   493,     0,   494,  1497,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1498,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1499,  1500,     0,  1501,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1502,   182,   530,   183,
       0,   531,   532,   533,  1503,  1504,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1505,
     189,  1506,   545,   546,   191,     0,   547,   548,   193,   549,
    1508,  1509,   550,  1510,   551,   552,   553,     0,   554,     0,
       0,  1511,   556,   557,     0,     0,   196,   197,   198,   199,
    1512,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1513,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1514,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1515,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1516,   609,   218,   610,   611,   220,   612,
    1517,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1518,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1519,  1520,     0,     0,   633,
    1521,   634,  1522,  1523,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,  1525,     0,
     647,   648,   649,   650,   651,   701,  1526,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1527,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  2882,  2883,     0,     0,     0,     0,     0,     0,
       0,  1538,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1470,  1471,  1472,    45,  1473,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1474,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435, -2633,  1475,   137,  1476,
    1477,     0,   436,   437,   438,   439,   440,  1478,  1479,   441,
     442,  1480,  1481,   443,     0,   444,   445,   446,   447,  1482,
       0,  1483,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
    5017,  1484,  1485,  1486,  1487,  1488,  1489,  1490,   460,   461,
     462,   463,   695,   464,  1491,  1492,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1494,
     490,   491,   492,  1495,  1496,   493,     0,   494,  1497,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1498,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1499,  1500,     0,  1501,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1502,   182,   530,     0,     0,   531,   532,   533,  1503,  1504,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1505,   189,  1506,   545,   546,   191,     0,
     547,   548,   193,   549,  1508,  1509,   550,  1510,   551,   552,
     553,     0,   554,     0,     0,  1511,   556,   557,     0,     0,
     196,   197,   198,   199,  1512,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1513,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1514,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1515,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1516,   609,   218,
     610,   611,     0,   612,  1517,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1518,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1519,
    1520,     0,     0,   633,  1521,   634,  1522,  1523,   635,   636,
     637,   638,  5018,   640,   641,     0,  1524,   642,   643,   644,
     645,   646,  1525,     0,   647,   648,   649,   650,   651,   701,
    1526,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1527,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1535,  1536,     0,     0,
       0,     0,     0,     0,     0,  1538,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,     0,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1538,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,     0,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1475,   137,  1476,  1477,     0,  4058,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,   183,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,   220,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1538,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1470,  1471,  1472,    45,  1473,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1474,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1475,   137,  1476,  1477,     0,   436,   437,   438,   439,
     440,  1478,  1479,   441,   442,  1480,  1481,   443,     0,   444,
     445,   446,   447,  1482,     0,  1483,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1484,  1485,  1486,  1487,  1488,
    1489,  1490,   460,   461,   462,   463,   695,   464,  1491,  1492,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,     0,   485,     0,   486,
     487,   488,   489,  1494,   490,   491,   492,  1495,  1496,   493,
       0,   494,  1497,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1498,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1499,  1500,     0,  1501,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1502,   182,   530,     0,     0,   531,
     532,   533,  1503,  1504,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1505,   189,  1506,
     545,   546,   191,     0,   547,   548,   193,   549,  1508,  1509,
     550,  1510,   551,   552,   553,     0,   554,     0,     0,  1511,
     556,   557,     0,     0,   196,   197,   198,   199,  1512,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1513,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1514,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1515,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1516,   609,   218,   610,   611,     0,   612,  1517,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1518,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1519,  1520,     0,     0,   633,  1521,   634,
    1522,  1523,   635,   636,   637,   638,   639,   640,   641,     0,
    1524,   642,   643,   644,   645,   646,  1525,     0,   647,   648,
     649,   650,   651,   701,  1526,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1535,  1536,     0,     0,     0,     0,     0,     0,     0,  1538,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1470,  1471,
    1472,    45,  1473,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1474,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1475,   137,  1476,  1477,     0,
     436,   437,   438,   439,   440,  1478,  1479,   441,   442,  1480,
    1481,   443,     0,   444,   445,   446,   447,  1482,     0,  1483,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1484,
    1485,  1486,  1487,  1488,  1489,  1490,   460,   461,   462,   463,
     695,   464,  1491,  1492,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
       0,   485,     0,   486,   487,   488,   489,  1494,   490,   491,
     492,  1495,  1496,   493,     0,   494,  1497,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1498,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1499,  1500,
       0,  1501,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1502,   182,
     530,     0,     0,   531,   532,   533,  1503,  1504,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1505,   189,  1506,   545,   546,   191,     0,   547,   548,
     193,   549,  1508,  1509,   550,  1510,   551,   552,   553,     0,
     554,     0,     0,  1511,   556,   557,     0,     0,   196,   197,
     198,   199,  1512,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1513,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1514,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1515,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1516,   609,   218,   610,   611,
       0,   612,  1517,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1518,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1519,  1520,     0,
       0,   633,  1521,   634,  1522,  1523,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    1525,     0,   647,   648,   649,   650,   651,   701,  1526,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  2882,  2883,     0,     0,     0,     0,
       0,     0,     0,  1538,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,  3603,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,   216,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,   224,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,  2188,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,   237,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3604,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,  3603,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  3604,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,   247,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
    1479,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,  1482,     0,  1483,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1484,  1485,  1486,  1487,  1488,  1489,  1490,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,  1495,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1498,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1502,   182,   530,   183,     0,   531,   532,   533,
    1503,  1504,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,  1509,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1512,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1513,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1516,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1518,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,  1521,   634,  1522,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1525,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1527,  1528,  1529,  1530,  1531,  1532,  1533,  1534,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4178,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  4757,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,  4104,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
   -1488,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0, -1488,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516, -1488,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521, -1488,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181, -1488,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188, -1488,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594, -1488,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1629,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,  3873,  3874,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3874,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  2188,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,   247,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  2188,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,   247,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  1604,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3041,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4133,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4488,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,  1207,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   733,
     426,   427,   428,   734,   735,   736,   737,   738,   739,   740,
     429,   430,   741,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,   742,   436,   437,   438,   439,   440,
     743,   744,   441,   442,  1901,  1902,   443,   746,   444,   445,
     446,   447,     0,   747,   145,   748,   448,   449,   450,   451,
     148,   452,   693,   750,   453,   454,   455,   456,   457,   458,
     751,   151,   459,     0,   753,   754,   755,   152,   756,   757,
     758,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
     759,   466,   760,   467,   468,   469,   470,   471,   761,   472,
     473,   474,   762,   763,   475,   476,  1493,   478,   479,   764,
     480,   481,   482,   765,   483,   484,   485,   766,   486,   487,
     488,   489,     0,   490,   491,   492,     0,   767,   493,   768,
     494,  1905,   495,   769,   496,   770,   497,   169,   771,   170,
     498,   499,   500,   772,   501,     0,   773,   502,   774,   503,
     504,   697,   505,   506,   173,   507,   508,   509,   775,   510,
     511,   512,   513,   514,   515,   776,   516,   174,     0,     0,
     517,   518,   519,  1499,  1906,   779,  1907,   780,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,   781,   527,
     528,   782,   529,     0,   182,   530,   183,   783,   531,   532,
     533,   784,   785,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,   786,   547,   548,   193,   549,   787,     0,   550,
    1910,   551,   552,   553,   788,   554,   789,   790,  3860,   556,
     557,   791,   792,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,   793,   565,     0,   566,     0,
     567,   568,   569,   794,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,   795,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   796,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,   797,   604,   605,   606,   607,   608,
     798,   609,  2481,   610,   611,   220,   612,  1913,   613,   799,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,   800,   624,   625,   801,   626,   627,   628,   629,   630,
     631,   802,  1914,  1915,     0,   804,   633,     0,   634,     0,
     805,   635,   636,   637,   638,   639,   640,   641,     0,   807,
     642,   643,   644,   645,   646,   808,   809,   647,   648,   649,
     650,   651,     0,  1916,   811,   652,   236,   653,   654,   655,
     812,   813,   656,   814,   815,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,     0,     0,     0,  1210,  1211,  1212,     0,  3861,
    3862,  1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1207,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,  1208,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,  1209,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,
    1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1207,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,  1301,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,  1302,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,
    1216,  1217,  1218,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1207,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,  1358,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,  1359,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1360,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,
    1217,  1218,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1207,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,  1883,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,  1884,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,
    1218,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
    1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1207,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,  3130,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,  3131,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,  1210,
    1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1207,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,  4740,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,     0,     0,     0,  1210,  1211,
    1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   733,   426,   427,   428,   734,   735,   736,   737,
     738,   739,   740,   429,   430,   741,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,   742,   436,   437,
     438,   439,   440,   743,   744,   441,   442,   745,   140,   443,
     746,   444,   445,   446,   447,   144,   747,   145,   748,   448,
     449,   450,   451,   148,   452,   749,   750,   453,   454,   455,
     456,   457,   458,   751,   151,   459,   752,   753,   754,   755,
     152,   756,   757,   758,   460,   461,   462,   463,   695,   464,
     155,   156,   465,   759,   466,   760,   467,   468,   469,   470,
     471,   761,   472,   473,   474,   762,   763,   475,   476,   477,
     478,   479,   764,   480,   481,   482,   765,   483,   484,   485,
     766,   486,   487,   488,   489,   164,   490,   491,   492,   166,
     767,   493,   768,   494,   168,   495,   769,   496,   770,   497,
     169,   771,   170,   498,   499,   500,   772,   501,   172,   773,
     502,   774,   503,   504,   697,   505,   506,   173,   507,   508,
     509,   775,   510,   511,   512,   513,   514,   515,   776,   516,
     174,   175,   777,   517,   518,   519,   778,   176,   779,   177,
     780,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,   781,   527,   528,   782,   529,   181,   182,   530,   183,
     783,   531,   532,   533,   784,   785,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,   786,   547,   548,   193,   549,
     787,   194,   550,   195,   551,   552,   553,   788,   554,   789,
     790,   555,   556,   557,   791,   792,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,   793,   565,
     201,   566,   202,   567,   568,   569,   794,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
     795,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   796,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,   797,   604,   605,
     606,   607,   608,   798,   609,   218,   610,   611,   220,   612,
     221,   613,   799,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,   800,   624,   625,   801,   626,   627,
     628,   629,   630,   631,   802,   225,   226,   803,   804,   633,
     227,   634,   228,   805,   635,   636,   637,   638,   639,   640,
     641,   806,   807,   642,   643,   644,   645,   646,   808,   809,
     647,   648,   649,   650,   651,   810,   235,   811,   652,   236,
     653,   654,   655,   812,   813,   656,   814,   815,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,  2285,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1901,  1902,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1905,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,     0,     0,
     517,   518,   519,  1499,  1906,     0,  1907,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
    1910,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,  1912,   610,   611,   220,   612,  1913,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1914,  1915,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1916,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,     0,    86,    87,    88,   678,    90,    91,    92,
     679,  2388,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
      86,    87,    88,   678,    90,    91,    92,   679,  1090,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,    86,    87,    88,
     678,    90,    91,    92,   679,  4781,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   988,   420,   421,   422,   423,   424,   425,
     989,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   990,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   991,   168,   495,     0,   496,     0,   992,     0,   993,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,   994,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   995,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     996,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   997,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   998,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
     999,  1000,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   988,   420,
     421,   422,   423,   424,   425,   989,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,  1021,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   991,   168,   495,     0,
     496,     0,  1022,     0,   993,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,   994,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   995,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   996,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     997,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   998,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,   999,  1000,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1406,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,   993,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,   994,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
     999,  1000,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  1411,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,   993,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,   994,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,   999,  1000,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   696,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,  1575,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,  1061,  1576,    86,    87,    88,
     678,    90,    91,    92,   679,  1062,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,  1063,   442,  1037,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,  1064,     0,  1065,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,  1066,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,  1067,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,  1068,   596,   213,   597,   598,   599,
    1069,   601,   602,   700,   603,     0,   604,   605,   606,   607,
    1070,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1071,   226,     0,     0,  1072,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  1041,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
    1073,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   733,   426,   427,
     428,   734,   735,   736,   737,   738,   739,   740,   429,   430,
     741,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,   742,   436,   437,   438,   439,   440,   743,   744,
     441,   442,   745,   140,   443,   746,   444,   445,   446,   447,
     144,   747,   145,   748,   448,   449,   450,   451,   148,   452,
     749,   750,   453,   454,   455,   456,   457,   458,   751,   151,
     459,   752,   753,   754,   755,   152,   756,   757,   758,   460,
     461,   462,   463,   695,   464,   155,   156,   465,   759,   466,
     760,   467,   468,   469,   470,   471,   761,   472,   473,   474,
     762,   763,   475,   476,   477,   478,   479,   764,   480,   481,
     482,   765,   483,   484,   485,   766,   486,   487,   488,   489,
     164,   490,   491,   492,   166,   767,   493,   768,   494,   168,
     495,   769,   496,   770,   497,   169,   771,   170,   498,   499,
     500,   772,   501,   172,   773,   502,   774,   503,   504,   697,
     505,   506,   173,   507,   508,   509,   775,   510,   511,   512,
     513,   514,   515,   776,   516,   174,   175,   777,   517,   518,
     519,   778,   176,   779,   177,   780,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,   781,   527,   528,   782,
     529,   181,   182,   530,   183,   783,   531,   532,   533,   784,
     785,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,   189,   190,   545,   546,   191,
     786,   547,   548,   193,   549,   787,   194,   550,   195,   551,
     552,   553,   788,   554,   789,   790,   555,   556,   557,   791,
     792,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,   793,   565,   201,   566,   202,   567,   568,
     569,   794,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,   795,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   796,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   797,   604,   605,   606,   607,   608,   798,   609,
     218,   610,   611,   220,   612,   221,   613,   799,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,   800,
     624,   625,   801,   626,   627,   628,   629,   630,   631,   802,
     225,   226,   803,   804,   633,   227,   634,   228,   805,   635,
     636,   637,   638,   639,   640,   641,   806,   807,   642,   643,
     644,   645,   646,   808,   809,   647,   648,   649,   650,   651,
     810,   235,   811,   652,   236,   653,   654,   655,   812,   813,
     656,   814,   815,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   733,   426,   427,   428,   734,   735,
     736,   737,   738,   739,   740,   429,   430,   741,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,   742,
     436,   437,   438,   439,   440,   743,   744,   441,   442,   745,
     140,   443,   746,   444,   445,   446,   447,   144,   747,   145,
     748,   448,   449,   450,   451,   148,   452,   749,   750,   453,
     454,   455,   456,   457,   458,   751,   151,   459,   752,   753,
     754,   755,   152,   756,   757,   758,   460,   461,   462,   463,
     695,   464,   155,   156,   465,   759,   466,   760,   467,   468,
     469,   470,   471,   761,   472,   473,   474,   762,   763,   475,
     476,   477,   478,   479,   764,   480,   481,   482,   765,   483,
     484,   485,   766,   486,   487,   488,   489,   164,   490,   491,
     492,   166,   767,   493,   768,   494,   168,   495,   769,   496,
     770,   497,   169,   771,   170,   498,   499,   500,   772,   501,
     172,   773,   502,   774,   503,   504,   697,   505,   506,   173,
     507,   508,   509,   775,   510,   511,   512,   513,   514,   515,
     776,   516,   174,   175,   777,   517,   518,   519,   778,   176,
     779,   177,   780,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,   781,   527,   528,   782,   529,   181,   182,
     530,   183,   783,   531,   532,   533,   784,   785,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,   189,   190,   545,   546,   191,   786,   547,   548,
     193,   549,   787,   194,   550,   195,   551,   552,   553,   788,
     554,   789,   790,   555,   556,   557,   791,   792,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
     793,   565,   201,   566,   202,   567,   568,   569,   794,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,   795,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   796,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,   797,
     604,   605,   606,   607,   608,   798,   609,   218,   610,   611,
     220,   612,   221,   613,   799,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,   800,   624,   625,   801,
     626,   627,   628,   629,   630,   631,   802,   225,   226,   803,
     804,   633,   227,   634,   228,   805,   635,   636,   637,   638,
     639,   640,   641,   806,   807,   642,   643,   644,   645,   646,
     808,   809,   647,   648,   649,   650,   651,   810,   235,   811,
     652,   236,   653,   654,   655,   812,   813,   656,   814,   815,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,  3195,   423,   424,
     425,   733,   426,   427,   428,   734,   735,   736,   737,   738,
     739,   740,   429,   430,   741,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,   742,   436,   437,   438,
     439,   440,   743,   744,   441,   442,   745,   140,   443,   746,
     444,   445,   446,   447,   144,   747,   145,   748,   448,   449,
     450,   451,   148,   452,   749,   750,   453,   454,   455,   456,
     457,   458,   751,   151,   459,   752,   753,   754,   755,   152,
     756,   757,   758,   460,   461,   462,   463,   695,   464,   155,
     156,   465,   759,   466,   760,   467,   468,   469,   470,   471,
     761,   472,   473,   474,   762,   763,   475,   476,   477,  3196,
     479,   764,   480,   481,   482,   765,   483,   484,   485,   766,
     486,   487,   488,   489,   164,   490,   491,   492,   166,   767,
     493,   768,   494,   168,   495,   769,   496,   770,   497,   169,
     771,   170,   498,   499,   500,   772,   501,   172,   773,   502,
     774,   503,   504,   697,   505,   506,   173,   507,   508,   509,
     775,   510,   511,   512,   513,   514,   515,   776,   516,   174,
     175,   777,   517,   518,   519,   778,   176,   779,   177,   780,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
     781,   527,   528,   782,   529,   181,   182,   530,   183,   783,
     531,   532,   533,   784,   785,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,   189,
     190,   545,   546,   191,   786,   547,   548,   193,   549,   787,
     194,   550,   195,   551,   552,   553,   788,   554,   789,   790,
     555,   556,   557,   791,   792,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,   793,   565,   201,
     566,   202,   567,   568,   569,   794,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,   795,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   796,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,   797,   604,   605,   606,
     607,   608,   798,  3197,   218,   610,   611,   220,   612,   221,
     613,   799,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,   800,   624,   625,   801,   626,   627,   628,
     629,   630,   631,   802,   225,   226,   803,   804,   633,   227,
     634,   228,   805,   635,   636,   637,   638,   639,   640,   641,
     806,   807,   642,   643,   644,   645,   646,   808,   809,   647,
     648,   649,   650,   651,   810,   235,   811,   652,   236,   653,
     654,   655,   812,   813,   656,   814,   815,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1341,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,     0,   547,
     548,   193,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,   220,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1351,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1898,   137,  1899,  1900,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1901,  1902,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1903,  1904,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1493,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1905,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,  2478,   510,
     511,   512,   513,   514,   515,     0,   516,   174,  2479,     0,
     517,   518,   519,  1499,  1906,     0,  1907,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1908,   189,  1909,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
    1910,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,  2480,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1911,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,  2481,   610,   611,   220,   612,  1913,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1914,  1915,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1916,  2482,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,     0,  1898,   137,  1899,
    1900,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,  1901,  1902,   443,     0,   444,   445,   446,   447,     0,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,  1903,  1904,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1493,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,     0,
     490,   491,   492,     0,     0,   493,     0,   494,  1905,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,     0,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,     0,     0,   517,   518,   519,
    1499,  1906,     0,  1907,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
       0,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1908,   189,  1909,   545,   546,     0,     0,
     547,   548,   193,   549,  2466,     0,   550,  1910,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
       0,   197,   198,   199,     0,   558,   559,   560,   561,   562,
     563,   564,     0,   565,     0,   566,     0,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1911,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,     0,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,  2481,
     610,   611,   220,   612,  1913,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,     0,     0,   624,
     625,  3964,   626,   627,   628,   629,   630,   631,     0,  1914,
    1915,     0,     0,   633,     0,   634,     0,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
    1916,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1898,   137,  1899,  1900,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1901,  1902,
     443,     0,   444,   445,   446,   447,     0,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,  1903,  1904,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1493,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,     0,   490,   491,   492,
       0,     0,   493,     0,   494,  1905,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,     0,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,     0,     0,   517,   518,   519,  1499,  1906,     0,
    1907,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,     0,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1908,   189,  1909,   545,   546,  2532,     0,   547,   548,   193,
     549,     0,     0,   550,  1910,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,     0,   197,   198,
     199,     0,   558,   559,   560,   561,   562,   563,   564,     0,
     565,     0,   566,     0,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1911,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,     0,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,  1912,   610,   611,   220,
     612,  1913,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,     0,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1914,  1915,     0,     0,
     633,     0,   634,     0,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,  1916,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1898,   137,  1899,  1900,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1901,  1902,   443,     0,   444,
     445,   446,   447,     0,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,  1903,  1904,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1493,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,     0,   490,   491,   492,     0,     0,   493,
       0,   494,  1905,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,     0,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,     0,
       0,   517,   518,   519,  1499,  1906,     0,  1907,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,     0,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1908,   189,  1909,
     545,   546,  3796,     0,   547,   548,   193,   549,     0,     0,
     550,  1910,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,     0,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,     0,   565,     0,   566,
       0,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1911,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,  1912,   610,   611,   220,   612,  1913,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1914,  1915,     0,     0,   633,     0,   634,
       0,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,  1916,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,  1898,   137,
    1899,  1900,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,  1901,  1902,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,  1903,  1904,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1493,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,  1905,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,     0,     0,   517,   518,
     519,  1499,  1906,     0,  1907,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1908,   189,  1909,   545,   546,     0,
       0,   547,   548,   193,   549,     0,     0,   550,  1910,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1911,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
    1912,   610,   611,   220,   612,  1913,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1914,  1915,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,  1916,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1898,   137,  1899,  1900,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1901,
    1902,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1903,  1904,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1493,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1905,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,     0,     0,   517,   518,   519,  1499,  1906,
       0,  1907,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1908,   189,  1909,   545,   546,     0,     0,   547,   548,
     193,   549,     0,     0,   550,  1910,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,     0,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1911,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2481,   610,   611,
     220,   612,  1913,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1914,  1915,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1916,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,     0,  1898,   137,  1899,  1900,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,  1901,  1902,   443,     0,
     444,   445,   446,   447,     0,     0,   145,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,   695,   464,  1903,
    1904,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1493,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,     0,   490,   491,   492,     0,     0,
     493,     0,   494,  1905,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,     0,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
       0,     0,   517,   518,   519,  1499,  1906,     0,  1907,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,     0,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1908,   189,
    1909,   545,   546,     0,     0,   547,   548,   193,   549,     0,
       0,   550,  1910,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,     0,   197,   198,   199,     0,
     558,   559,   560,   561,   562,   563,   564,     0,   565,     0,
     566,     0,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1911,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,     0,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,     0,   610,   611,   220,   612,  1913,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,     0,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1914,  1915,     0,     0,   633,     0,
     634,     0,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,  1916,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,     0,
     137,     0,     0,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,     0,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,     0,     0,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
       0,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,     0,     0,   517,
     518,   519,     0,     0,     0,     0,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,     0,   189,     0,   545,   546,
       0,     0,   547,   548,   193,   549,     0,     0,   550,     0,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,     0,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,     0,   610,   611,   220,   612,     0,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,     0,     0,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,     0,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   733,   426,   427,   428,   734,   735,
     736,   737,   738,   739,   740,   429,   430,   741,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,   742,
     436,   437,   438,   439,   440,   743,   744,   441,   442,     0,
     140,   443,   746,   444,   445,   446,   447,   144,   747,   145,
     748,   448,   449,   450,   451,   148,   452,   749,   750,   453,
     454,   455,   456,   457,   458,   751,   151,   459,     0,   753,
     754,   755,   152,   756,   757,   758,   460,   461,   462,   463,
       0,   464,   155,   156,   465,   759,   466,   760,   467,   468,
     469,   470,   471,   761,   472,   473,   474,   762,   763,   475,
     476,   477,   478,   479,   764,   480,   481,   482,   765,   483,
     484,   485,   766,   486,   487,   488,   489,   164,   490,   491,
     492,   166,   767,   493,   768,   494,   168,   495,   769,   496,
     770,   497,   169,   771,   170,   498,   499,   500,   772,   501,
     172,   773,   502,   774,   503,   504,     0,   505,   506,   173,
     507,   508,   509,   775,   510,   511,   512,   513,   514,   515,
     776,   516,   174,   175,     0,   517,   518,   519,     0,   176,
     779,   177,   780,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,   781,   527,   528,   782,   529,   181,   182,
     530,   183,   783,   531,   532,   533,   784,   785,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,   786,   547,   548,
     193,   549,   787,   194,   550,   195,   551,   552,   553,   788,
     554,   789,   790,   555,   556,   557,   791,   792,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
     793,   565,   201,   566,   202,   567,   568,   569,   794,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,   795,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   796,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,   797,
     604,   605,   606,   607,   608,   798,   609,   218,   610,   611,
     220,   612,   221,   613,   799,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,   800,   624,   625,   801,
     626,   627,   628,   629,   630,   631,   802,   225,   226,     0,
     804,   633,   227,   634,   228,   805,   635,   636,   637,   638,
     639,   640,   641,     0,   807,   642,   643,   644,   645,   646,
     808,   809,   647,   648,   649,   650,   651,     0,   235,   811,
     652,   236,   653,   654,   655,   812,   813,   656,   814,   815,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,  1152,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
    2412,   444,   445,   446,   447,   144,     0,     0,  2494,   448,
     449,   450,   451,     0,   452,   693,  2413,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,  2495,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,  2415,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,  2416,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,  2417,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,  2412,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,  2413,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,  2495,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,  2415,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,  3358,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,  2416,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,  2417,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,  1050,   424,   425,  1008,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,  1009,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,  1051,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,  1010,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,  1011,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1008,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,  1009,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,  3092,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,  1010,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,  1011,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
    2412,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,  2413,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,  2495,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,  2415,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,  2416,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,  2417,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   691,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   694,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,   696,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1008,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,  1009,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,  1010,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,  1011,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,   920,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     921,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   922,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  2089,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,  2090,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,  2091,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,  2092,   497,     0,     0,     0,  2093,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,  2094,  2095,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,  2096,   601,   602,   700,
     603,     0,  2097,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,  2098,   626,  2099,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
    2100,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,  1009,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
    1010,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,  1011,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,  2078,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,  2370,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,  2968,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,  2969,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,  2970,   626,   627,  2971,   629,  2972,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,  2973,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   718,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   696,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   870,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1333,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,   130,   131,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  3179,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    3180,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    3191,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  3192,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   926,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   970,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,  1025,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,  1083,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1230,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,  1083,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1578,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1752,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,  1986,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,  2078,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,  2370,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,  4104,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,  4118,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,  4338,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,  4340,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,  4342,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,  4743,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,  1034,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1036,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1037,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,  1038,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1039,   226,     0,
       0,  1040,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,  1041,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1077,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1037,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
    1078,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1079,   226,     0,     0,  1080,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  1041,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,  1097,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1203,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1227,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1238,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1292,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1306,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1346,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1353,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1363,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1365,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1367,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1369,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1372,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1374,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
    1375,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1378,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,  1589,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,  1590,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1582,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,  1715,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1798,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1945,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1975,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2010,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  2012,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  2014,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,  2127,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,  2337,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,     0,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2728,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  3103,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  3182,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  3184,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  3282,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1582,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,  1063,   442,  1037,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,  1067,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,  1068,   596,   213,   597,
     598,   599,  1069,   601,   602,   700,   603,     0,   604,   605,
     606,   607,  1582,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,  2403,
     628,   629,   630,   631,     0,  1071,   226,     0,     0,  1072,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,  1041,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,  1073,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,  1063,   442,  1037,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,  1067,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,  1068,   596,   213,   597,   598,   599,  2470,   601,
     602,   700,   603,     0,   604,   605,   606,   607,  2471,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1071,   226,     0,     0,  2472,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  1041,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,  1073,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,  1063,   442,  1037,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
    1067,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,  1068,   596,
     213,   597,   598,   599,  1069,   601,   602,   700,   603,     0,
     604,   605,   606,   607,  2471,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1071,   226,     0,
       0,  2472,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,  1041,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,  1073,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,     0,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,     0,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,     0,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2387,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
     412,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,   231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2388,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1147,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,  2054,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
    2055,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,  2056,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,     0,     0,     0,
       0,    41,    42,   999,  1673,  4594,     0,     0,     0,     0,
       0,     0,  4595,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,   130,   131,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,   216,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,   224,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   234,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,   237,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
     247,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,  2273,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
    2054,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,  2055,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,  2056,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,     0,     0,     0,     0,     0,
      35,   417,   999,  1673,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,  2278,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,  2054,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,  2055,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,  2056,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   662,
     663,     0,     0,     0,     0,     0,    35,   417,   999,  1673,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,  2054,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,  2055,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,  2056,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,     0,     0,     0,
       0,     0,    35,     0,   999,  1673,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,  2054,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,  2055,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,  2056,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   662,   663,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,   632,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,  2258,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
    2034,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,  2589,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    2590,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,   130,   131,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1223,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,  3463,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
    1236,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,  1314,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663
};

static const yytype_int16 yycheck[] =
{
       2,   247,   364,  1113,  1065,  1400,   932,  1361,   210,    78,
     894,    78,  1118,    78,  1356,  1352,    96,  1081,  1009,  1010,
    1011,    78,    78,   117,  1015,   229,   106,   153,   167,   852,
      78,   154,  1229,  2093,  1738,    94,    84,  1183,  1928,  1303,
    1773,   724,   932,  1224,   150,  1247,  2043,  1449,   187,  1313,
     976,  1430,  1284,  1912,  1610,  1520,  1237,  2486,  2487,  1491,
    1492,   165,   142,   160,    78,  1463,   950,  1072,   162,   117,
      84,   894,  1392,   132,  1778,   380,    78,   157,  1510,  1782,
     203,   132,    84,  2625,   224,  1871,  2824,    89,  1930,  2983,
     171,  3356,    78,  2166,   153,   154,   165,  2977,   380,  3145,
     117,  1971,  1631,  2247,   163,  2660,  2297,  2180,  1289,  3195,
    1342,  3197,  1293,  3419,   162,   117,  2132,  1298,  3657,  1826,
    1667,  1668,  1669,  2668,  1305,  1773,  3337,   950,   725,   210,
    1160,  1834,  2580,  3324,  1315,  3408,  1791,   231,  1160,   366,
    2802,  3706,  1068,   352,   203,   162,  3337,   366,     2,  2981,
    3041,   153,  3604,   975,  3034,  3754,  2229,  2979,  2980,  3902,
     162,  3699,  2032,  2531,  3610,  1721,  2916,  3965,  1228,  3954,
    3944,  1231,   217,  1393,  1384,  1778,  1765,  2344,  1068,  1239,
    1200,  1110,  1110,   231,  1839,  1840,  1662,  1663,  1725,  4183,
    4388,  1974,   209,   167,  3667,  3541,  1982,  1237,  3609,    21,
     217,    30,   219,  1155,  1156,    88,    10,   209,  3942,   967,
     108,    72,  1413,   187,   231,   217,  2383,   219,  1538,  3953,
    2387,   121,    72,  1480,  1481,    86,    72,  4669,   135,   231,
    3341,  3342,  3343,  3344,  3345,  3346,    86,   920,   156,   143,
      84,   114,   128,   102,     8,    78,    88,    11,    12,  1506,
      75,    76,    77,    78,  3874,   160,    14,    82,    22,    23,
      24,  4529,    26,    27,    72,    99,   117,    31,    32,    33,
     145,   113,   106,    81,   179,  1141,   128,   149,    86,    37,
    4662,   248,   117,    75,    76,    77,    78,   128,   128,   179,
      82,  1282,   103,   104,   114,  2663,   180,  3047,   223,   229,
      78,   143,   267,   372,  3869,   372,   211,   372,  2198,   332,
     135,   162,   267,   100,    72,   372,   372,    75,    76,    77,
      78,   322,   211,    81,    82,    83,    84,   162,    86,  1393,
     832,    88,   380,   119,    25,   236,    99,   228,  4609,  1205,
     327,  3147,   374,   106,   112,   182,    29,   325,    75,    76,
      77,    78,   365,   184,   230,    82,     0,   416,    99,   434,
     183,    75,    76,    77,    78,   106,   380,   415,    82,  2737,
     160,  2739,   332,    72,    75,    76,    77,    78,   380,  1062,
     231,    82,    81,  1267,  2444,   145,   372,    86,    75,    76,
      77,    78,  1594,  1539,   204,    82,   231,    95,   145,   112,
     182,   415,    78,    90,    75,    76,    77,    78,   145,   173,
     228,    82,   228,   415,   506,    78,   227,  1563,   229,    90,
     115,   513,   245,    75,    76,    77,    78,   173,    78,   222,
      82,   391,    75,    76,    77,    78,   511,   268,    90,    82,
      78,   136,   474,   233,  1267,  4188,    78,    90,    14,   145,
    1915,  1377,   328,   180,    78,   468,  4654,   153,   244,   377,
      99,    78,   248,   368,  4745,  4746,    75,    76,    77,    78,
    2637,  1903,  1904,    82,  1400,   262,   145,   102,  1910,   511,
     317,    90,   383,    75,    76,    77,    78,  1377,   511,   394,
      82,   478,   378,    78,  1558,    78,    78,    78,   153,   197,
     286,   228,    75,    76,    77,    78,   632,   508,   147,    82,
      75,    76,    77,    78,  4785,   154,   375,    82,   234,   424,
      75,    76,    77,    78,   228,   228,   378,    82,   387,   834,
     508,  1885,   199,   187,  1400,  1599,  1600,   378,   378,   372,
     304,  1467,   181,  1880,   511,   510,   436,    93,   185,  3355,
     360,    99,   834,   676,   677,   348,   511,   462,  4940,   434,
    1157,  1158,   135,    75,    76,    77,    78,  3778,   149,   474,
      82,   415,   263,   632,   446,   409,   259,  1467,   508,   438,
    1402,   470,  3693,   508,   165,   349,   476,  3778,   461,    75,
      76,    77,    78,   511,   372,    88,    82,    75,    76,    77,
      78,   508,   506,   508,    82,  4873,   510,  5049,   508,  4352,
     508,   495,  4177,   252,   434,   461,  4390,   676,   677,   405,
     511,   504,  2481,    72,  1382,   511,    75,    76,    77,    78,
     632,  1895,    81,    82,   456,  1832,  2192,    86,   499,   500,
     465,  1822,  1874,  1824,  1901,  1902,   409,  4381,  2490,   499,
     500,  3924,  1909,   421,  4100,   466,  4108,   461,   508,   511,
    4112,  4404,   504,  1589,   210,   724,   247,  1869,   409,    95,
     511,  1597,  1598,  3938,   434,  1177,   458,   506,   424,   443,
     502,  2237,  4028,   508,  4965,  2241,   173,   434,  4099,  4162,
     508,   499,   500,  1753,  2036,   511,   372,   434,   508,  1589,
    4320,  4321,  4322,  4323,  4324,  2084,    85,   434,   421,   372,
      75,    76,    77,    78,   506,   841,   508,    82,   510,   859,
    1649,  1649,   372,  3603,  3604,  3619,  1592,   228,  3096,  1681,
     976,  1597,  1598,  4931,   372,  3164,   830,  3166,   434,  1799,
     372,   499,   500,  4737,   501,   502,   503,   504,   372,  2091,
     375,  1113,  1772,  2486,  2457,   372,   454,    88,  2100,   885,
    3302,   475,  2545,  3305,  3306,   434,  1806,  3309,   495,  1809,
     979,   197,  3883,  3315,   475,   474,   269,   874,   417,   434,
     494,  4524,   830,   510,   228,   366,   834,   372,  4531,   372,
     372,   372,  3624,   494,   508,   511,  1393,   267,   346,   922,
     499,   500,   456,   470,   508,  5003,   180,   508,   511,  2882,
    2883,  2131,  2132,   830,  2887,   941,    38,   454,    40,   173,
     834,   508,  2142,  3703,  2527,   267,  2146,   185,   830,  2049,
    2040,  3376,   834,   210,  2154,  2155,   838,   508,   173,   385,
    3007,   173,   184,    88,   237,   847,   848,  2167,  2168,   988,
    2994,   990,   854,   992,  2927,  2928,   508,   403,  2178,   998,
    2397,   920,   864,   922,  2065,   508,   972,  4652,   113,  2345,
    2071,  2347,   976,   465,    95,   434,  1103,   109,   880,   427,
    1020,   429,  1021,  1022,  1103,   475,  2475,   267,   185,  1755,
     892,  2494,   207,   973,   896,  3324,   220,  1763,   143,   508,
      72,  2158,  2159,   261,   494,   907,   975,    25,  3337,   228,
     990,   970,   992,   339,    86,   974,   508,   151,   322,   160,
    1804,  3671,  1002,   173,   926,   160,   268,    14,   180,  3975,
     932,   137,   385,   434,   936,   508,   495,   424,   269,  3307,
    3308,  1021,  1022,   508,   946,   389,   372,  1087,  1814,   328,
     265,  1817,  1818,   508,   230,   189,   188,    72,   228,    95,
      75,    76,    77,    78,   261,   967,    81,    82,    83,    84,
     231,    86,   141,   182,   976,   401,   197,  1117,   248,   830,
    2713,  1804,  4488,  2047,  4490,   309,   456,  1978,  3417,  1093,
     267,   385,   233,   267,  2701,   830,   508,   267,   233,   103,
     104,   454,   208,  1062,   223,  1064,   499,   500,   501,   502,
     503,   504,   237,  1064,   456,  1881,   990,   332,   992,   225,
     394,  1066,   508,   467,   269,  1070,   403,  4479,    95,  4475,
     508,   151,  4484,   459,   101,  4487,  2097,  2098,  4836,   107,
    1088,  4826,   512,  2189,   466,   228,  4820,  1021,  1022,  1066,
     424,   500,  4617,  1070,    85,   210,   160,    88,  1060,  1199,
     312,   197,   271,   151,  1066,   248,  1068,   460,  1070,   189,
     424,   228,    71,    72,  1088,   179,    75,    76,    77,    78,
      79,    80,    81,    82,   267,   310,  1088,    86,   462,   424,
     312,   248,   424,  1095,    88,   310,   454,   394,  4404,   175,
     474,   189,   173,   312,   508,  4378,   340,   211,  2998,   180,
     267,   387,   180,   967,   508,   434,   495,   496,   497,   113,
     499,   500,   501,   502,   503,   504,   355,  2053,   267,  4215,
     197,   511,  2016,   448,   508,   396,   991,   389,   379,   228,
     995,   996,   997,   508,   379,   263,   173,   353,   398,   143,
    1005,   372,   361,  1155,  1156,   374,   325,   454,  4932,   248,
     111,   175,  2882,  2883,   425,   241,   442,  2887,   499,   500,
     501,   502,   503,   504,   175,   209,   495,   231,   267,   456,
     322,   180,   456,   444,  4749,   174,   456,   151,   192,   310,
     194,   510,   269,  2016,   428,   155,   172,  4735,  4941,    75,
      76,    77,    78,   339,   145,  1191,    82,  2927,  2928,  4715,
     383,   129,   153,   217,  2646,   249,   237,  5002,  2282,   137,
     340,  5006,   332,   299,  4823,   189,   302,   241,  4108,  1326,
    2052,    88,  4112,   474,   194,   460,   372,  4131,   269,   474,
     241,   312,   512,   449,   105,   460,   180,  4141,   403,   326,
    1252,  1237,   340,   326,   499,   500,   501,   502,   503,   504,
    4712,  1263,   251,  5048,   368,   401,    99,   266,   509,  4160,
    2331,   512,   339,   456,   509,    95,   434,   512,   121,   508,
    2164,   101,   455,   310,  1286,   299,   143,  1141,   302,   310,
     394,   290,  1538,   151,    25,  4127,   247,   328,   299,   456,
    4122,   302,   511,  3845,    35,   372,  1160,  4139,   428,  3851,
    3852,   128,  2576,   317,    22,  4880,   392,   456,   322,  3161,
     424,  1323,   298,   232,   300,  1405,  3168,  1407,   171,   512,
    1410,   189,  1412,  1402,   401,  1415,  1416,  1417,  4877,  4878,
     428,  2164,   396,   414,   332,  4556,   417,  4009,  1428,  3778,
     211,  1205,  2382,   511,   401,   512,   162,   137,   462,   192,
    2382,  1441,   466,  1443,    72,  4556,   508,   456,  4633,   490,
     474,   425,   290,   153,  4639,  1377,   340,   197,   392,  1381,
    1382,   290,  1384,   317,   499,   500,  2740,  4532,   297,  1448,
    1392,   392,  2734,  2730,   975,   976,   456,   297,  1400,   509,
    3460,   511,  4967,   134,   508,   126,  1711,  1634,  1635,   299,
    1637,  1620,   302,   489,   326,  1634,  1635,   260,  1637,  2683,
    2684,  2685,  2686,   512,  2540,   231,   180,   495,   208,  1711,
    3163,  2695,   508,  2493,   423,   424,   440,   508,   506,   460,
     508,   509,   510,   511,   387,   225,   450,  1449,   508,  2630,
    3523,   172,  2049,  3526,  3527,  3528,  3529,  3530,  3531,  3532,
    3533,  3534,  3535,   510,   428,  1467,   495,   310,   499,   500,
     501,   502,   503,   504,   219,   489,  1478,  4622,  2594,  3008,
    3496,   510,   340,  3556,   237,  2545,  5025,  3678,   489,  3937,
     185,   512,  2724,   310,   508,   438,  2362,   197,   424,   182,
     499,   500,   392,  5068,   387,  1507,  2566,   501,   502,   503,
     504,  1651,  3585,  3586,  1608,  3163,  1575,  1576,   427,   339,
     429,   509,  1103,   511,  1575,  1576,   456,  1381,  1382,   250,
    1384,  2851,   263,  1535,  1536,  2595,  1538,  3244,  4811,   415,
     416,   161,   287,   452,   153,   137,  1400,   390,  1403,  1551,
    3253,  1406,   372,  1555,  1409,   438,  1411,   310,   312,  1414,
    1608,   378,  2446,  1418,   230,   511,   261,  1661,   219,   515,
     428,   180,   255,   353,    71,   387,  3446,   298,   508,   300,
    2900,   401,    79,    80,   401,   474,   339,  1589,   180,   310,
    1592,  1608,    99,  4738,   506,  1597,  1598,   352,   510,  4479,
     121,  4495,  4496,  4748,  4484,  1607,  1608,  4487,  5016,   229,
     339,  2931,   248,  1661,  1662,  1663,  3984,   338,  3986,   372,
    1679,   153,   511,  2446,  4670,   241,   438,   310,  1679,   312,
     330,  1725,   185,   338,  1636,  4941,   287,   257,  1640,  1641,
      75,    76,    77,    78,   197,  4525,  2966,    82,  1662,  1663,
     171,    85,   272,  1750,    88,   152,   377,    89,     5,  1661,
    1662,  1663,   328,  1711,   284,   229,  4939,  4753,   137,   449,
    1718,   105,   401,   324,   143,    97,   376,  1725,    25,  1681,
    5088,   436,  2548,   299,   153,   192,  4424,   307,    35,   456,
    2556,   412,  2558,  1833,  2377,   117,    51,  1711,   183,    85,
     232,   401,    88,   312,  1718,   202,   326,   460,  1725,  1711,
     183,   180,  4553,   182,    69,  1732,  1718,  1719,  2709,   251,
     312,   476,  3101,  1725,   299,   317,    75,    76,    77,    78,
    1732,  4996,   274,    82,   232,   167,   372,  3169,  1592,   260,
     376,   508,  4583,  1597,  1598,   182,   441,  3402,  1765,    88,
    3405,   417,  4294,  4295,   190,   187,   253,  1608,   290,   454,
     245,   353,   382,  1765,   200,   401,   192,   436,   194,   223,
      14,  1773,   245,  1608,   113,   367,   392,   341,  3132,   233,
     352,  4519,  4662,  4521,  3331,   508,   255,   134,   209,   310,
    2716,   217,   290,    37,   248,  4841,   121,   350,   219,   331,
    1802,   232,   175,  3523,   143,  4360,  3526,  3527,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,   192,   392,   194,  1673,
    1806,  1402,  3895,  1809,  4369,  4380,  2716,  2753,    72,   372,
    4198,  4199,  4712,  4727,   271,   269,   456,   162,   474,  1856,
     262,  1935,   406,   312,  1698,  1699,  3518,   344,   317,   196,
      81,   512,  1854,   230,  1856,    86,   182,   449,   401,   290,
     312,   186,   248,  2753,   436,  3585,  3586,   365,   241,   390,
    3542,    95,     2,  1875,  1725,   312,   201,   101,  2004,   339,
     205,   258,   339,   269,   353,   152,   312,  1935,  3120,  3731,
    1725,   317,  1894,  1474,   328,   427,   322,   429,   367,   224,
     335,  1755,   227,   339,   476,   511,   438,   359,   372,  1763,
    1912,   385,   372,  1494,   239,   372,   263,   449,  1935,   376,
     452,  3707,  2124,    88,   361,   474,   299,   381,  2794,   427,
     360,   429,   436,  1935,   201,   228,   372,   401,  1940,   413,
     514,   401,   328,  1524,   401,   271,   322,   326,   113,  2053,
     447,  3148,   331,  1955,   452,   248,   386,  1538,   455,    89,
    1814,   458,   511,  1817,  1818,   192,  2106,   194,   317,  1971,
     468,   408,   476,   197,    75,    76,    77,    78,   143,  3176,
     449,    82,  2062,  2052,  2064,    86,   312,  2292,  2068,  3879,
    2070,  2996,   317,  2073,   512,  1997,   427,  2077,   429,  4143,
     325,  2003,  4075,  4076,  2006,    14,   474,  3386,   323,  3565,
    2292,   326,   279,   280,   440,   273,  3395,   474,  1953,   392,
     223,   452,    85,   153,   450,    88,   293,  1881,    37,   159,
    2032,   229,   456,  2130,   359,   361,  3739,  1972,  2040,    41,
     243,  2043,  2123,   511,  4586,  2114,   376,  2114,   508,  2114,
     273,  2053,   310,  1634,  1635,   185,  1637,  2114,  2114,   257,
    4940,   495,   496,   497,  2948,   499,   500,   501,   502,   503,
     504,   401,   339,  2999,   272,    16,   207,   326,  3781,   180,
    3545,  3546,   331,  3481,  1935,   312,   284,   310,   219,  3149,
     509,  2093,   223,   512,  2777,   322,    75,    76,    77,    78,
    1935,  3756,  3757,    82,   269,   270,   506,   263,  2202,   495,
     496,   497,   512,   499,   500,   501,   502,   503,   504,    75,
      76,    77,    78,  3679,     2,  2948,    82,  4556,   509,  2131,
    2132,   512,   172,  2999,   265,     7,   503,  2139,   361,   475,
    2142,   508,   223,   510,  2146,   403,   355,    19,    20,  2151,
     315,  3488,  2154,  2155,  2202,  3215,   287,   438,   494,   426,
    2162,   428,   243,  2165,  2166,  2167,  2168,    39,  4165,  3350,
      42,  2310,   508,  2175,  2176,  3895,  2178,   161,  2180,  2181,
     403,  3583,  2184,  4073,   382,  2202,  2040,   219,   321,  2043,
    2294,   223,  3118,   324,  2182,  3018,   454,  2185,  2200,  2201,
    2202,   332,   134,   135,  2206,  2407,   269,  2409,  2210,    71,
      72,  4070,  2214,   253,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,   219,  2226,  3958,  4964,   223,  3118,   182,
    2232,   454,  3552,  2235,    97,  4664,   339,   330,   426,  3943,
      75,    76,    77,    78,  2292,   229,   339,    82,   339,    75,
      76,    77,    78,  3485,   117,   287,    82,   503,   298,   506,
     300,   508,   508,   510,   510,   328,  4634,   389,   339,   372,
     223,  2336,   468,   257,    71,   475,  2402,   275,  2292,   372,
     394,   372,    79,    80,   156,   434,   474,   475,   272,   167,
    2292,   287,   324,   508,   494,  2297,   275,  2345,   401,  2347,
     284,   372,   255,  2397,   426,   511,   512,   389,   508,   187,
     424,  4425,  4426,  4427,  4428,  3747,  2456,   448,  2377,   391,
     508,   193,   427,   307,   429,  3704,  3705,    34,   324,   389,
     207,  2345,   394,  2347,   499,   500,   501,   502,   503,   504,
     339,   438,   219,  2345,   426,  2347,   223,   365,   462,  2397,
     314,  2202,   474,   475,   339,  4075,  4076,   310,   438,   312,
     474,   317,   424,  4436,  2366,    85,   426,  2202,    88,   361,
     313,   314,  4445,   372,   467,   506,   391,   395,   509,   510,
    2397,   373,  2384,  3374,  2386,   105,   508,   372,   265,  4462,
    4463,  2393,   474,   475,   508,  2397,  2398,   374,   382,  2401,
     462,  4304,   401,  4306,   297,   397,   424,  4310,   389,  4312,
     287,  2537,   297,   511,   474,   475,   401,   515,   506,   251,
    2514,  2423,   510,  2517,  2426,  3351,   508,  3353,   474,   475,
     394,   389,   495,   496,   497,  2437,   499,   500,   501,   502,
     503,   504,  2444,   157,  3646,   426,   508,   324,   508,   372,
     468,   394,   427,   376,   429,   332,    85,    85,  2475,    88,
     424,  3351,  2464,  3353,   385,   386,  2514,  3613,   426,  2517,
     507,  2052,   513,  2475,   511,   365,   105,    72,   401,  2481,
     243,   424,   317,   507,  2486,  2487,   509,   511,   511,  2491,
    3416,   317,   438,   474,   475,   150,  2498,  2514,   462,   125,
    2517,  3324,   632,   385,   386,   395,  3616,  3617,  2362,   506,
     474,   508,  2514,  2515,  3337,  2517,   474,   475,   389,   462,
     389,   468,    75,    76,    77,    78,  3416,   508,  2382,    82,
    2384,   474,  2386,  2114,   424,   511,   512,  2539,  2540,   391,
     509,  2543,   511,   389,   508,   509,  2397,  4607,   512,   269,
     508,   474,   501,   502,   503,   426,   988,   426,   990,  2561,
     992,  2655,  2397,  2669,   128,   508,   998,  4123,    71,  2571,
     275,   448,    75,    76,    77,    78,    79,    80,   468,    82,
     426,   514,  2584,   147,  2899,   511,  2901,  2902,   508,  1021,
    1022,  2593,  2594,    75,    76,    77,    78,   161,   339,   339,
      82,  4157,    86,   474,   475,   474,   475,  2655,   328,   509,
     508,   511,   510,  4686,    75,    76,    77,    78,  4508,   508,
     389,    82,   115,  3489,  2986,   326,  2207,   180,   474,   475,
     468,   372,   372,   491,  2636,   376,  2638,   508,  2655,   508,
     269,  3838,   125,   509,   389,   511,   474,   475,   212,    85,
     492,   493,    88,  2655,   509,   271,   511,   426,   329,  2661,
     401,   401,   508,  2514,  2666,   509,  2517,   511,   329,   127,
    4403,   510,   175,    75,    76,    77,    78,   113,   434,  4081,
      82,   426,  2517,   119,   509,  2931,   511,   499,   500,   501,
     502,   503,   326,   509,  2548,   511,  2698,   509,   180,   328,
     223,   159,  2556,  3967,  2558,   474,   475,   143,   509,  1141,
     511,  2713,    71,    72,  2716,   509,  4436,   511,  2777,   180,
      79,    80,   326,  1155,  1156,   474,   475,    86,  1160,   474,
     475,   491,   838,    75,    76,    77,    78,  4057,   241,   508,
      82,   847,  4462,  4463,   329,   875,   499,   500,   501,   502,
     503,  2753,  1454,  1455,   507,  2336,   491,   215,   509,  2761,
     511,   115,   509,   508,   511,   501,   271,  2971,  2972,  2973,
     508,   508,   510,  1205,   880,   495,   496,   497,   227,   499,
     500,   501,   502,   503,   504,   509,   511,   511,   246,   125,
     509,  3037,    85,   509,   228,    88,   299,   267,  2800,   302,
     512,   501,   932,   933,  2655,   509,   509,   511,   511,   263,
    2812,    85,   248,  2907,    88,   509,   509,   511,   511,  2913,
    2655,   509,  2824,   511,   282,   509,  2828,   511,   514,   509,
     936,   511,  2834,   269,   270,   514,   509,   967,   511,   113,
     946,    75,    76,    77,    78,   119,   508,   434,    82,  2851,
    2852,   509,   434,   511,   312,  2857,   427,   434,   429,  2907,
     427,   509,   429,   511,   434,  2913,   495,   496,   497,   143,
     499,   500,   501,   502,   503,   504,   509,   434,   511,   315,
    2882,  2883,   509,   203,   511,  2887,   509,   108,   511,   392,
    2907,   509,   328,   511,   125,  1025,  2913,  2899,  2900,  2901,
    2902,    75,    76,    77,    78,  2907,  4301,   509,    82,   511,
    2912,  2913,   509,  2915,   511,  2917,   263,   509,   376,   511,
     378,   509,   380,   511,  1054,  2927,  2928,   434,   386,  2931,
     509,   205,   511,  1063,   509,   393,   511,  1067,  1068,  1069,
    2794,   269,  2944,   401,  2946,  3014,  4650,  3014,  2950,  3014,
     510,   509,   410,   511,   509,  3778,   511,  3014,  3014,   509,
     418,   511,   401,   509,  2966,   511,  4686,   509,  1400,   511,
     244,   509,   508,   511,   248,  2977,   269,  2979,  2980,  2981,
      75,    76,    77,    78,   508,   212,   489,    82,  4367,   508,
     477,    75,    76,    77,    78,   269,   270,  2999,    82,   510,
     509,  3003,   511,   509,  1368,   511,   248,   509,   509,   511,
     511,   469,   286,  3015,   509,  1379,   511,   509,  3020,   511,
     509,   509,   511,   511,  3026,  1155,  1156,   326,   212,   509,
    1160,   511,  3034,   212,   509,   328,   511,  4183,  4440,   326,
     509,   315,   511,   509,   509,   511,   511,   509,   223,   511,
     509,   212,   511,   509,   328,   511,  2907,   509,   509,   511,
     511,   285,  2913,   499,   500,   501,   502,   503,   504,   512,
     182,  3073,  2907,  1107,   509,  1109,   511,    85,  2913,   509,
      88,   511,   509,   509,   511,   511,   509,   456,   511,   967,
     326,   508,  3094,   509,  4158,   511,   509,   105,   511,   438,
     468,  3195,  3196,  3197,  4837,   113,  4113,   321,  4115,   391,
     988,   119,   990,  3115,   992,   275,  3118,   358,   508,  3121,
     998,   999,  1000,   137,   474,   108,   312,   508,   477,   312,
     115,   405,   443,   115,  4000,   143,   339,   223,   468,   468,
     150,   356,   513,  1021,  1022,  2999,  1252,  3195,  3196,  3197,
     212,   212,   508,   212,   477,   212,   212,  1263,   511,   212,
    1592,  3163,  3164,   212,  3166,  1597,  1598,   212,   326,   212,
     212,   212,  4492,   326,   212,   212,   424,   508,  3195,  3196,
    3197,   108,   285,   326,   224,   349,   508,   223,   223,   508,
     508,   223,   508,  3195,  3196,  3197,   508,   336,   508,   508,
    4595,   508,   508,   496,   497,   508,   499,   500,   501,   502,
     503,   504,  3214,   508,   508,   511,   508,  1323,   508,   508,
    3222,   108,  3224,  3225,  4603,   499,   500,   501,   502,   503,
     504,   508,   508,   508,   163,   508,   244,   508,   508,   508,
     248,   508,  3336,   508,   508,   508,   508,  1377,   267,  1681,
     108,  1381,  1382,   269,  1384,   285,   223,   324,   223,   322,
     401,   269,   270,  1141,  4148,   263,   501,   392,   302,   179,
    1400,   511,   511,   455,    14,    71,  3278,   495,   286,   511,
     508,   389,  1160,    79,    80,  4687,   508,   434,  3336,   508,
     434,   389,   434,   510,   434,  3297,   434,   434,   434,  3425,
      96,  3303,   153,   212,   312,  3428,   389,   315,   326,   282,
     434,   393,   434,   317,   434,  1445,   145,   326,   253,  3336,
     328,  3323,  3324,  1755,   455,  4148,   322,  1205,   508,   434,
     434,  1763,   508,  3398,  3336,  3337,   153,  1467,   511,   339,
     212,   456,  3407,   456,  3195,  3196,  3197,  3593,   174,  3351,
    2931,  3353,   125,   434,   434,  4757,   152,   434,  3604,  4761,
    4762,   125,  4353,  3428,  2945,   434,   434,   330,   434,  3428,
     434,  4691,   114,   114,   434,  4301,   434,   389,   511,   434,
     434,   326,  1814,  2964,   477,  1817,  1818,   326,   269,   474,
     508,  3595,  3596,  3597,  3598,   465,  2977,   405,   508,  3401,
     108,  4780,   508,   107,    97,  4759,   202,   326,  4514,  4590,
    1540,   212,   312,   180,  3416,  3417,   508,   456,   212,   467,
    1550,  4758,   293,  4765,   322,  4767,   312,   108,  3430,   508,
    1560,   223,   108,  3014,   275,  4301,   510,   390,   212,   456,
     212,   212,   212,   456,  3446,    85,   212,    14,    88,  1881,
     434,   321,   248,  3034,   316,   470,  3037,   253,  3460,  1589,
     511,  3463,  1592,  1593,  3558,   105,   228,  1597,  1598,   474,
    3324,   432,   304,   304,    88,   508,   401,   508,   432,   434,
     491,  3483,   511,  3337,   508,  3336,   508,   495,   496,   497,
     228,   499,   500,   501,   502,   503,   504,  3499,   495,   436,
    3502,  3336,   509,  1381,  1382,   511,  1384,  3509,  4903,   511,
    3558,   242,   242,  3515,   508,  3517,   265,   273,   511,   403,
    3522,  3523,  1400,   327,  3526,  3527,  3528,  3529,  3530,  3531,
    3532,  3533,  3534,  3535,   511,   456,    34,  3539,  3540,   509,
     509,  3558,    10,   509,   434,  3547,   434,  4867,   344,   389,
    3552,  1681,   152,   389,  3556,   456,  3558,   508,  3560,   273,
     273,   434,   317,   317,   508,   434,   434,   391,  3570,   468,
     275,  3573,   438,  3575,   317,   326,   115,   325,   408,   434,
     333,  3583,  3584,  3585,  3586,   511,   434,   383,  3590,   389,
     372,  3593,  4653,   372,   243,   398,   434,   434,   361,   269,
     108,  3603,  3604,   269,   269,   269,   456,   456,   269,   325,
     495,   107,  3614,   506,   506,   434,  4726,   495,   434,   212,
    3622,   223,  3624,   468,   225,   322,   422,   212,   508,   269,
     398,   508,   211,   108,  1998,  3489,   326,   326,   502,   474,
     223,   240,  4526,  2007,   240,   108,   212,  2011,   326,   326,
     223,   447,   398,  2017,  2018,   511,   248,   248,   248,   455,
      96,  3800,   458,   477,  3666,   511,   234,   301,   326,  4595,
    3672,  2035,   511,   125,   424,   321,  3678,   438,   468,  3773,
     275,  4565,   509,  3777,   509,  3779,   509,   228,   328,   509,
     511,    98,   491,  5030,   509,   343,   509,   509,   509,   509,
    1830,  3703,   509,  4526,   509,   491,   228,  3558,   434,   335,
      90,   509,   509,   508,  1592,    90,   509,   454,   509,  1597,
    1598,   508,   379,  3558,   471,  3773,   509,   471,   462,  3777,
     495,  3779,  3734,  4556,   512,   511,   495,   287,   145,   326,
     509,   329,  4565,   212,   326,   251,   434,   434,   477,   434,
     508,   511,   509,   317,   259,   434,  3773,   212,   330,   212,
    3777,  3855,  3779,  1893,   287,   434,   344,   174,   344,   508,
     453,  3773,   434,   389,   434,  3777,  3778,  3779,   434,   295,
     295,   295,   434,   434,   434,    89,   389,   434,   195,   434,
     434,   389,   389,  1671,   312,  1673,   434,   401,   212,   206,
     114,   434,   434,   269,   269,   269,   508,  3855,   506,   509,
     302,   287,   511,  1691,   509,   495,  3818,  3398,   225,  3821,
    1698,  1699,   443,   230,   115,   509,  3407,  1957,   374,   173,
     325,   108,   326,   237,   509,   508,   456,   511,  3855,   456,
     434,   509,   223,   329,   389,   389,   389,  3428,   511,   210,
     210,   173,   269,  3855,   203,   495,   496,   497,   228,   499,
     500,   501,   502,   503,   504,   506,    88,   223,   135,   276,
     509,   228,   509,    98,   509,   511,   495,  1755,  2310,   509,
     508,   467,   509,   508,   236,  1763,   509,  3952,  4879,   511,
     297,  1997,   327,  3895,   509,   223,   509,   509,   508,   108,
    2006,   456,   456,   434,   259,   443,   131,   443,   434,   434,
    2040,   495,   389,  2043,   434,   434,   389,   434,   223,   144,
    3922,   173,  3773,  3925,  3778,   143,  3777,  2291,  3779,  3994,
    2362,   508,   157,   212,  2366,   509,  1814,   269,   509,  1817,
    1818,   443,  3777,   269,  3779,   474,   509,   509,   507,   356,
    2382,   508,   273,   398,   357,    78,  3958,  3959,  3960,   508,
     508,    84,   223,   148,   477,    95,    89,   254,   426,   511,
     195,   101,   509,  4175,   508,   434,   383,  4903,   511,   511,
      85,   206,   389,   398,   233,   509,   228,  2093,   395,   269,
     228,  4875,   366,   269,   117,   269,   269,   509,   508,   125,
     225,  4003,   509,  1881,  3855,   230,   509,   511,  3862,   509,
     472,   141,  3593,   272,   334,   472,   272,   424,  4020,   426,
    3855,  2151,  3603,  3604,   508,   508,   125,   238,   509,   509,
    4169,   228,   322,   434,   495,   474,   443,   143,   253,   162,
     511,   443,   317,   434,   495,   317,   212,   230,   269,   228,
     456,   511,  4875,   507,   248,  4057,   456,   108,   198,   470,
     190,   468,   474,   228,   508,  4067,  4068,   197,  4070,   474,
     200,   508,   297,  4075,  4076,   256,   329,   228,  4080,  4081,
     508,   508,  4221,   366,  4086,  4087,   209,   411,  4090,   461,
    4155,   509,   272,   509,   217,   508,   219,   473,   508,   342,
     509,   509,   326,   328,   367,   434,  4108,   434,   231,   508,
    4112,  1989,   509,   508,   223,   474,  2548,   187,   317,   108,
    4122,  4215,   317,   253,  2556,  4127,  2558,   296,   357,  4491,
     251,   356,   509,   211,   108,  2265,   509,  4139,   330,   508,
     508,   508,   386,   125,   495,   386,  4000,   125,   332,   456,
     508,   310,   326,    82,   508,   426,   509,   218,   137,   398,
     137,   357,  2040,  4165,   389,  2043,   329,  4215,   193,    85,
     395,   460,   511,   398,   108,   366,  4178,   461,   228,   471,
     310,   223,   312,   198,   253,   326,   364,   326,   474,  4328,
     508,   108,   322,    85,  4196,   108,    88,   329,  4215,   424,
     330,   329,   508,   125,   185,   430,   509,   508,   385,   339,
     509,   509,    82,  4215,   508,   947,    94,   454,   443,   105,
     952,   113,  4224,  1641,   385,   211,   357,   119,   372,  1224,
     962,  1202,  1857,  4235,  2667,  1598,  2366,  2999,  4240,   508,
    2524,  3176,   372,   468,  3777,  4247,   376,  2588,  3320,  3854,
    4772,   143,  2382,  4593,  2384,  4903,  2386,   380,  4646,  3916,
    4650,  4346,  4632,  3095,  4971,  2782,  2144,  2145,  4525,  5029,
    4917,   401,  4916,  4987,  2152,  4821,  3099,  3908,  2156,  2157,
    2658,  3773,  3196,  2658,  4286,  3388,  1958,  2652,  5034,  4143,
    5101,  5093,   415,  2171,  4627,  2173,  3336,  3323,  4998,  4301,
    4567,  1948,  4891,  4979,  4570,   187,  4003,  1437,  4734,  3956,
    2487,  4165,  3958,   205,  4837,   933,  3281,  2195,  5011,  2197,
    5095,  4812,  2294,  2053,  2295,  3014,  3941,  2332,  4156,   459,
    1082,  2437,  3676,  3015,  2334,  1626,  2765,  3021,  2444,  1644,
    2470,  1643,  4344,  1395,  2333,  3026,  1646,  3034,  3042,  3604,
    4100,  3677,   244,  4355,  4713,  4114,   248,  3603,  3568,  1087,
    4689,  1097,  2794,  1651,  4215,  2729,  3560,  4958,  4962,  2247,
    3018,  3952,  4959,  2853,  2945,  2943,  3672,   269,   270,  2232,
    3425,  2745,  2746,  1330,   632,  2749,  2717,  4949,  1991,   381,
    2342,  2755,  2366,  1178,   286,  1663,  1657,  2993,  1448,   969,
    2382,  4403,  2375,  3683,  2374,  3684,  4142,  1572,  3651,  1661,
     414,     2,  2778,  3994,    85,  2082,    -1,    88,  2386,  1381,
    1001,    -1,  4424,   315,    -1,  1158,    -1,    -1,    -1,    -1,
    4510,  1158,  2310,    -1,  4436,    -1,   328,    -1,  4440,    -1,
      -1,    -1,   113,  4445,    -1,    -1,    95,  4301,   119,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4462,  4463,  2826,    -1,  4466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,  4479,   108,    -1,
      -1,    -1,  4484,    -1,  2362,  4487,    -1,  2617,    -1,    -1,
    4492,  4493,   141,    -1,    -1,  2625,    -1,   127,    -1,  4593,
      -1,    -1,    -1,    -1,  2382,    -1,  2384,    -1,  2386,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,  4519,    -1,  4521,
      -1,    -1,    -1,  4525,    -1,    -1,    -1,  4108,    -1,   159,
      -1,  4112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,   848,  4593,    -1,    -1,   197,    -1,
     854,   200,  2682,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
     864,    -1,  4564,    -1,    -1,    -1,    -1,  2999,    -1,    -1,
      -1,  4636,    -1,   244,  4155,    -1,  4593,   248,    -1,    -1,
    2710,    -1,    -1,    -1,    -1,   215,  2716,    -1,   892,    -1,
      -1,  4593,   896,  4595,    -1,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,   907,   253,  4607,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,   286,   246,    -1,    -1,    95,
      -1,    -1,    -1,  2753,    -1,   101,    -1,    -1,    -1,    78,
    1362,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      89,   312,    -1,    -1,   315,   275,    -1,    -1,    -1,  4503,
      -1,    -1,   282,    -1,    -1,    -1,    -1,   328,    -1,  4753,
    4662,   310,  4664,   312,    -1,   141,    -1,    -1,   117,    -1,
    2548,    -1,    -1,   322,    -1,    -1,    -1,    -1,  2556,    -1,
    2558,   330,   312,    -1,  4686,  4687,    -1,  4689,    -1,  4691,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,  4556,   101,  1436,  4753,  4708,   830,    -1,    -1,
    4712,   834,    -1,   162,   190,  4717,    -1,    -1,    -1,  1451,
      -1,   197,  2828,   372,   200,   848,    -1,   376,  2834,    -1,
      -1,   854,  1464,    -1,   405,    -1,  4753,    -1,    -1,    -1,
    3104,   864,  4593,   141,    -1,    -1,   376,    -1,  2166,    -1,
     380,  4753,   401,    -1,  4819,  4757,   386,    -1,  4593,  4761,
    4762,    -1,  2180,   393,    -1,    -1,  2644,    -1,   127,   892,
      -1,   401,    -1,   896,    -1,    -1,    -1,   253,    -1,    -1,
     410,    -1,   231,    -1,   907,    -1,    -1,    -1,   418,    -1,
      -1,    -1,   190,    -1,    -1,    -1,  4798,    -1,    -1,   197,
     159,    -1,   200,    -1,    -1,  5051,    -1,    -1,    -1,   932,
     459,    -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,  3183,
      -1,  3185,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,   310,  4837,   312,    -1,    -1,   469,
      -1,    -1,  4844,   473,   474,    -1,   322,    -1,    -1,    -1,
      -1,  1155,  1156,   976,   330,   253,   215,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,  4867,    -1,    -1,    -1,  2999,
      -1,  2977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4884,    -1,    -1,    -1,    -1,   246,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,  1627,   372,    -1,  4479,    -1,
     376,  4903,  4753,  4484,    -1,  3337,  4487,    -1,    -1,    -1,
      -1,    -1,   310,  3277,   312,    -1,  2794,    -1,    -1,  3283,
      -1,    -1,    -1,   282,   322,   401,    -1,  4929,  3034,    -1,
      -1,   380,   330,    -1,  4999,    -1,    -1,    -1,  4940,    -1,
      -1,   339,  5011,  1066,  5011,  1068,  5011,  1070,    -1,    -1,
      -1,    -1,  5046,   312,  5011,  5011,    -1,    -1,    -1,  4961,
    4962,    -1,  4964,    -1,    -1,  1088,   415,    -1,    -1,    -1,
      -1,    -1,  4974,    -1,   372,    -1,    -1,    -1,   376,    -1,
     339,    -1,  5051,   459,  5051,    -1,  5051,    -1,  3118,    -1,
      -1,    -1,    -1,    -1,  5051,  5051,    -1,    -1,  5046,  5093,
      -1,    -1,    -1,   401,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,   372,  5016,    -1,    -1,   376,    -1,    -1,
      -1,   380,    -1,    -1,  5026,    -1,  5095,   386,  5095,  5046,
    5095,    -1,  1155,  1156,   393,    -1,    -1,    -1,  5095,  5095,
      89,    -1,   401,    -1,  5046,  5093,  1286,    -1,    -1,    -1,
      -1,   410,    -1,  5101,    -1,  4636,    -1,  3489,    -1,   418,
      -1,   459,    -1,    -1,    -1,  3429,    -1,    -1,   117,  3433,
    3434,  3201,  3436,    -1,  3438,  3439,  5093,    -1,    -1,    -1,
      -1,    -1,    -1,  3447,  5101,    -1,  5088,    -1,    -1,    85,
      -1,  5093,    88,    -1,    -1,  5097,    -1,    -1,    -1,  5101,
      -1,    -1,  3232,    -1,    85,    -1,    -1,    88,    -1,   105,
     469,    -1,    -1,   162,    -1,    -1,  2994,   113,  3482,  2997,
      -1,  2999,    -1,   119,    -1,    -1,   108,    -1,    -1,    -1,
      -1,  4712,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,   127,    -1,   143,    -1,    -1,
    3280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,   143,    -1,    -1,    -1,    -1,    -1,   217,    -1,
     219,    -1,  3302,    -1,    -1,  3305,  3306,   159,    -1,  3309,
      -1,    -1,   231,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,  5046,    -1,  3324,  5046,    -1,    -1,    -1,    -1,
    3330,    -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,  1449,
      -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3351,    -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,  4819,  5093,
      -1,    -1,  5093,    -1,    -1,    -1,    -1,  5101,   244,    -1,
    5101,    -1,   248,    -1,  1377,    -1,    -1,    -1,  5093,  3389,
      -1,    -1,    -1,   244,   246,    -1,  5101,   248,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,  2008,  1400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3415,  3416,  2019,   269,   270,
     286,    -1,    -1,   275,    -1,    -1,    -1,    -1,    -1,  2031,
     282,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,   328,    -1,   315,   331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1467,    -1,  3778,   328,    -1,    -1,
      -1,    -1,  1592,    -1,  3460,    -1,    -1,    -1,  2090,    -1,
      -1,    -1,  2094,    -1,  2096,    -1,    -1,  2099,  3800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,
      -1,   830,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,   380,   848,
      -1,    -1,    -1,    -1,   386,   854,    -1,    -1,    -1,   405,
      -1,   393,    -1,    -1,    -1,   864,    -1,    -1,  4999,   401,
      -1,    -1,    -1,    -1,   405,   108,    -1,    -1,   410,    -1,
    5011,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,  3569,
      -1,    -1,    95,   892,   127,    -1,  3324,   896,   101,    -1,
      -1,  3329,  3330,    -1,    -1,    -1,    -1,    -1,   907,  3337,
      -1,    -1,    -1,    -1,  2882,  2883,  1589,    -1,    -1,  2887,
    5051,    -1,    -1,    -1,  1597,  1598,   159,    -1,    -1,  1719,
      -1,    -1,    -1,   932,    -1,  1608,    -1,   469,   141,    -1,
    3368,   473,    -1,  3623,    -1,    -1,    -1,  3603,  3604,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,  2927,
    2928,   507,    -1,    -1,  5095,   496,   497,   513,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,   976,    -1,    -1,
      -1,    -1,   215,  1773,    -1,    -1,    -1,   190,  1661,  1662,
    1663,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
    1854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,
      -1,    -1,  1802,   246,    -1,    -1,    -1,    -1,  4000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1711,    -1,
      -1,    -1,   275,    -1,    -1,  1718,    -1,  3703,    -1,   282,
     253,    -1,  1725,    -1,    -1,    -1,    -1,    -1,    -1,  1732,
      -1,  3489,    85,    -1,    -1,    88,    -1,  3981,    -1,  1068,
      -1,    -1,    -1,    -1,    -1,  3989,  3990,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,  1088,
     113,    71,  1765,    -1,    -1,    -1,   119,    -1,  3778,    79,
      80,  1955,    -1,    -1,  1894,    85,    -1,   310,    88,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1971,    -1,   322,
     143,  3801,  1912,    -1,  3804,   105,  3806,   330,   108,    -1,
      -1,    -1,    -1,   113,    -1,    -1,   339,    -1,    -1,   119,
      -1,    -1,    -1,   376,    -1,    -1,    -1,   380,    -1,    95,
    1940,    -1,    -1,   386,    -1,   101,  1155,  1156,    -1,    -1,
     393,    -1,    -1,   143,    -1,  3845,    -1,    -1,   401,   372,
      -1,  3851,  3852,   376,  3854,    -1,    -1,   410,  2032,    -1,
     126,  1854,    -1,  1856,    -1,   418,    -1,  4169,    -1,    -1,
      -1,    -1,    -1,    -1,  3874,   141,    -1,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,  3885,  3886,  3887,  3888,    -1,
    2492,    -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,   172,    -1,    -1,    -1,
      -1,   830,    -1,    -1,    -1,    -1,   469,    -1,    -1,  4221,
     473,    -1,    -1,    -1,   190,    -1,   269,   270,    -1,   848,
      -1,   197,  3680,    -1,   200,   854,   459,    -1,    -1,    -1,
      -1,    -1,  1935,   286,   244,   864,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,
    4194,    -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,   269,
     270,    -1,   315,   892,    -1,    -1,    -1,   896,  1971,    -1,
      -1,    -1,    -1,    -1,   250,   328,   286,   253,   907,    -1,
      -1,  4225,  4226,    -1,    -1,    -1,    -1,    -1,    -1,  4301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,   932,    -1,   315,    -1,  4017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4328,    -1,   328,    -1,
    3778,   331,   298,    -1,   300,    -1,    -1,    -1,    -1,  2032,
      -1,    -1,    -1,    -1,   310,    -1,   312,    -1,    -1,    -1,
      -1,    -1,  3800,  4287,  4288,    -1,   322,   976,  1377,    -1,
    2053,    -1,   405,    -1,   330,    -1,    -1,  1286,    -1,    -1,
      -1,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2200,    -1,    -1,  1286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,   372,    -1,    -1,    -1,
     376,   377,    -1,  3861,  3862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3870,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
      -1,    -1,  4108,    -1,    -1,   401,  4112,  3885,    -1,    -1,
      -1,    -1,    -1,  4143,  4144,    -1,   412,  1066,  1467,  1068,
      -1,  1070,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4410,    -1,  4412,  4413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,  4423,
      -1,    -1,  2366,   459,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,  2202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,
      -1,    -1,    -1,    -1,  2398,    -1,    -1,  2401,    -1,    -1,
    1449,    -1,    -1,    -1,    -1,  3523,  1155,  1156,  3526,  3527,
    3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,    -1,  2423,
      -1,    -1,  4000,    -1,  4556,    -1,  1449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,
    1589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1597,  1598,
      -1,    -1,    -1,    -1,  4284,  4285,    -1,    -1,    -1,  1608,
    2464,    -1,    -1,    -1,  4294,  4295,    -1,  3585,  3586,  2292,
      -1,  4301,    -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2491,    -1,    -1,
    4320,  4321,  4322,  4323,  4324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2515,  1661,  1662,  1663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2345,    -1,  2347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1681,    -1,    -1,  2539,    -1,    -1,    -1,  2543,
      -1,  2481,    -1,  2366,    -1,  4375,  2486,  2487,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2561,  2498,    -1,
      -1,    -1,  1711,    -1,    -1,  4143,    -1,  2571,    -1,  1718,
    2393,    -1,  4402,    -1,  2397,  2398,  1725,    -1,  2401,    -1,
    2584,    -1,    -1,    -1,    -1,    -1,    -1,  4165,    -1,  2593,
      -1,  4169,    -1,    -1,    -1,  4425,  4426,  4427,  4428,    -1,
    2423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4680,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2464,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1400,  2475,    -1,    -1,    -1,  3088,  3089,    -1,  3091,
    4238,  4239,    -1,    -1,    -1,  4243,  4244,    -1,  2491,    -1,
    1719,    -1,  4736,  4479,    -1,    -1,    -1,    -1,  4484,    -1,
      -1,  4487,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,  2514,  2515,    -1,  2517,    -1,  1719,    -1,  2638,    -1,
      -1,    85,    -1,   105,    88,  1854,  4770,    -1,    -1,    -1,
      -1,   113,  4844,    -1,    -1,    -1,  2539,   119,  1467,  4525,
    2543,    -1,    -1,  4301,  1773,    -1,  4556,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,  2561,    -1,
      -1,   143,  4320,  4321,  4322,  4323,  4324,    -1,  2571,    -1,
    4328,    -1,    -1,  1802,    -1,    -1,  4586,    -1,  4564,   143,
      -1,  2584,    -1,    -1,    -1,  4595,    -1,    -1,    -1,  4599,
    2593,  4601,    -1,  2713,  4604,  4605,    -1,  3895,    -1,  1802,
      -1,    -1,    -1,    -1,    -1,    -1,  1935,    -1,    -1,   849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   857,    -1,    -1,
      -1,  4607,  3234,    -1,    -1,   865,  1955,    -1,    -1,    -1,
      -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,   878,    -1,
      -1,   205,  1971,    -1,    -1,    -1,  1875,    -1,    -1,    -1,
      -1,    -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1589,    -1,   244,    -1,    95,  1894,   248,    -1,  1597,  1598,
     101,    -1,  1875,    -1,    -1,    -1,  4662,    -1,    -1,  1608,
     244,    -1,    -1,  1912,   248,    -1,    -1,   269,   270,    -1,
      -1,  1894,  2812,    -1,    -1,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2032,   286,   269,   270,    -1,    -1,    -1,
     141,  1940,    -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,  2053,    -1,  4712,    -1,    -1,    -1,
     312,    -1,  1661,   315,    -1,    -1,    -1,  1940,    -1,    -1,
      -1,   172,    -1,    -1,    -1,  4503,   328,    -1,    -1,   331,
    2753,   315,  1681,  3365,    -1,  3367,    -1,    -1,    -1,   190,
      -1,    -1,    -1,  4773,   328,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,  2003,    -1,    -1,  4075,  4076,    -1,
    5024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1033,    -1,    -1,  1725,  2800,  4556,    -1,
    2003,    -1,    -1,  1732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,   250,
      -1,  2824,   253,   405,    -1,  1065,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,  1765,    -1,    -1,    -1,
      -1,   405,    -1,  1083,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,  1105,    -1,   298,  3480,   300,
      -1,    -1,    -1,  2202,    -1,    -1,    -1,    -1,    -1,   310,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,   143,  3073,
      -1,   322,    -1,  4903,    -1,    -1,    -1,    -1,    -1,   330,
      85,    -1,    -1,    88,  2907,    -1,    -1,   338,   339,    -1,
    2913,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,  1854,    -1,  1856,   113,   511,
      -1,  3115,    -1,    -1,   119,   499,   500,   501,   502,   503,
     504,   372,    -1,  4929,    -1,   376,   377,    -1,    -1,    -1,
     205,    -1,    -1,    -1,  4940,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,  2292,    -1,    -1,  1206,    -1,    -1,    -1,
     401,  2200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,  4974,   244,
      -1,    -1,    -1,   248,    -1,    -1,  2999,  2200,    -1,    -1,
      -1,  3121,    -1,    -1,    -1,    -1,  1935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,  2345,    -1,  2347,    -1,
     205,    -1,    -1,    -1,    -1,    -1,  1955,    -1,   459,    -1,
    3214,   286,    -1,  1286,    -1,    -1,  5046,  2366,    -1,    -1,
      -1,  3225,  1971,  3163,  3164,    -1,  3166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1295,    -1,    -1,    -1,   244,
     315,    -1,    -1,   248,  2393,    -1,    -1,    -1,  2397,  2398,
    3073,    -1,  2401,   328,    -1,    -1,    -1,  1317,  1318,  1319,
      -1,    -1,    -1,  5093,   269,   270,  4844,    -1,    -1,    -1,
      -1,  5101,    -1,    -1,  2423,    -1,    -1,    -1,    -1,    -1,
      -1,   286,  3222,  2032,  3224,    -1,    -1,    -1,    -1,    -1,
      -1,  5097,  3115,  3297,    -1,  3118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2053,    -1,    -1,    -1,    -1,    -1,
     315,    -1,    -1,    -1,    95,  2464,    -1,    -1,  4436,    -1,
     101,    -1,    -1,   328,    -1,    -1,    -1,  4445,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,
      -1,    -1,  2491,    -1,  4462,  4463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    95,    -1,  3303,    -1,  2514,  2515,   101,  2517,    -1,
      -1,    -1,  3195,  3196,  3197,  1435,  1449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,
    2539,  3214,  1452,    -1,  2543,    -1,    -1,  3337,    -1,    -1,
     405,    -1,  3225,  1463,    -1,    -1,    -1,   141,    -1,   190,
      -1,    -1,  2561,    -1,    -1,    -1,   197,    -1,    -1,   200,
      -1,    -1,  2571,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,  2481,    -1,    -1,  2584,    -1,  2486,  2487,    -1,
      -1,    -1,  3446,    -1,  2593,    -1,    -1,    -1,    -1,  2498,
      -1,    -1,    -1,  2202,    -1,    -1,   190,    -1,    -1,  3463,
      -1,  3401,    -1,   197,    -1,    -1,   200,    -1,  5046,    -1,
      -1,    -1,   253,    -1,  3297,  2498,    -1,  3417,    95,  3483,
      -1,    -1,    -1,    -1,   101,    -1,  3918,  3919,    -1,    -1,
    3430,    -1,    -1,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,  5093,    -1,    85,    -1,   253,
      88,    -1,    -1,  5101,   141,    -1,    -1,    -1,  3351,   310,
    3353,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,  1604,   113,    -1,    -1,    -1,   330,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,
      -1,    -1,  3502,  3995,  3996,  3997,    -1,  2716,  4686,    -1,
      -1,    -1,    -1,   190,    -1,   143,   310,    -1,   312,    -1,
     197,    -1,  3522,   200,    -1,    -1,    -1,    -1,   322,  2638,
      -1,   372,  1652,  3416,    -1,   376,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,   339,    -1,  3547,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2638,    -1,  2366,    -1,    -1,
     401,    -1,    -1,  3446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,   205,   372,    -1,
    3463,    -1,   376,  3583,  2393,    -1,  1719,    -1,  2397,  2398,
      -1,  2800,  2401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3483,    -1,    -1,    -1,  2713,    -1,    -1,   401,    -1,    85,
      -1,    -1,    88,    -1,  2423,  2824,   244,    -1,   459,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   310,    -1,   312,    -1,   113,    -1,    -1,
    1773,   269,   270,   119,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,  2464,    -1,  1777,   286,    -1,
      -1,    -1,   339,    -1,  1784,   459,  2475,   143,    -1,  1802,
    3734,    -1,    -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,    -1,  2491,    -1,    -1,    -1,    -1,   315,    -1,    -1,
    1810,    -1,    -1,  1813,    -1,   372,    -1,    -1,  2907,   376,
     328,    -1,    -1,  2812,  2913,  2514,  2515,    -1,  2517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   401,  1845,    -1,    -1,    -1,  2812,
    2539,    -1,    -1,    -1,  2543,    -1,    -1,    -1,    -1,  1859,
      -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2561,  1873,  3818,    -1,    -1,  3821,    -1,    -1,
      -1,  1894,  2571,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,  4265,  4266,  2584,  4268,   405,  3778,  1912,
      -1,    -1,   459,    -1,  2593,    -1,    -1,    -1,    -1,    -1,
    2999,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,    -1,    -1,
      -1,  3734,   328,  1973,    -1,   331,    -1,    -1,    -1,  1979,
      -1,  3925,    -1,    -1,  3073,    98,    -1,    -1,    -1,    -1,
    2003,   499,   500,   501,   502,   503,   504,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3773,    -1,    -1,    -1,  3777,    -1,  3779,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,  2716,    -1,  3118,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,   157,    -1,    -1,    -1,    -1,   405,
    2050,    -1,    -1,    -1,    -1,  3818,    -1,    -1,  3821,    -1,
      -1,   174,    -1,    -1,  2753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3855,   206,    -1,    -1,    -1,  2097,  2098,    -1,
      -1,   214,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,
      -1,  2800,   225,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,  3214,    -1,    -1,    -1,    -1,
      -1,    -1,  3121,    -1,    -1,  2824,  3225,    -1,   251,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,   511,    -1,    -1,  3121,    -1,
      -1,    85,  3925,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,
      -1,   105,    -1,    -1,   297,    -1,    -1,  2200,    -1,   113,
    4070,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,  4081,    -1,    -1,    -1,    -1,    -1,    -1,  3297,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    85,  2907,   143,
      88,    -1,    -1,    -1,  2913,   338,    -1,    -1,    -1,    -1,
      -1,  2231,    -1,  3222,    -1,  3224,    -1,   105,    -1,    -1,
    4003,    -1,    -1,   356,    -1,   113,    -1,  3336,    -1,    94,
      -1,   119,    -1,    -1,    -1,    -1,  2256,    -1,    -1,  3222,
      -1,  3224,  3351,    -1,  3353,    -1,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,   387,   143,   389,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,   398,    -1,   132,    -1,  3278,
      -1,  4235,    -1,  2293,    -1,  2295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4247,    -1,    -1,    -1,    -1,   153,    -1,
    2999,   424,    -1,   426,  3303,  3278,  4196,   430,    -1,    -1,
     244,    -1,    -1,    -1,   248,   438,   171,  3416,    -1,    -1,
     443,  2331,    -1,  4705,    -1,  3324,    -1,    -1,    -1,   184,
    3303,    -1,   455,  4715,  4224,   269,   270,   192,  3337,    -1,
      -1,    -1,    -1,    -1,    -1,   468,    -1,  3446,    -1,    -1,
    4240,    85,   286,   208,    88,   210,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,  3463,    -1,   244,    -1,    -1,   224,
     248,   105,    -1,    -1,  3073,    -1,    -1,   232,   312,   113,
      -1,   315,    -1,    -1,  3483,   119,    -1,  4769,    -1,    -1,
      -1,   269,   270,    -1,   328,    -1,  4286,   331,    -1,    -1,
      -1,    -1,  3401,    -1,    -1,    -1,    -1,    -1,   286,   143,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,    -1,  3417,  3118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,
      -1,  3430,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   331,    -1,    -1,    -1,  3430,  2481,  3558,
      -1,    -1,  4235,  2486,  2487,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,    -1,  4247,  2498,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,
      -1,  2511,    -1,  3502,   105,    -1,    -1,    -1,    -1,    -1,
     244,    -1,   113,    -1,   248,  3214,  2526,    -1,   119,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,  3225,   405,  4301,  3502,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  3547,  3522,
    4440,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,  3547,   509,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,  3583,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,  3297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3583,    -1,    -1,    -1,    -1,  2638,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   509,    -1,    -1,    -1,  3734,    -1,  3336,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,
      -1,  4424,  3351,    -1,  3353,  2665,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,   269,   270,
      -1,   405,    -1,    -1,  3773,    -1,    -1,    -1,  3777,    -1,
    3779,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
    2713,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,  3416,    -1,  3818,
      -1,    -1,  3821,    -1,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,  4519,  3446,  4521,    -1,
      -1,    -1,    85,    -1,    -1,    88,  3855,    -1,    -1,    -1,
      -1,   495,   496,   497,  3463,   499,   500,   501,   502,   503,
     504,    -1,   105,    -1,  4664,   509,    -1,   632,    -1,  3778,
     113,    -1,    -1,    -1,  3483,    -1,   119,    -1,    -1,  2812,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  4687,    -1,   197,
      -1,    -1,   200,    -1,   405,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4593,    -1,  4595,    95,    -1,    -1,  3925,  4717,    -1,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,  3558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,   141,
      -1,  4761,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,  4003,    -1,    -1,    -1,   509,    -1,
      -1,   244,   310,    -1,   312,   248,    -1,    -1,   190,    -1,
      -1,    -1,    -1,  3922,   322,   197,    -1,    -1,   200,    -1,
      -1,    -1,   330,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3922,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,  3958,
    2970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   312,
    4753,   253,   315,   838,   839,   840,   841,    -1,   843,    -1,
     845,    -1,   847,    -1,   849,   328,    -1,   852,   331,    -1,
      -1,    -1,   857,   401,   859,    -1,    -1,    -1,   863,    -1,
     865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   873,    -1,
      -1,    -1,    -1,   878,    -1,   880,    -1,    -1,   883,    -1,
     885,    -1,   887,    -1,    -1,  3734,    -1,    95,   310,   894,
     312,    -1,   897,   101,    -1,    -1,    -1,    -1,    -1,   904,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      -1,  4070,   405,    -1,  3773,    -1,    -1,    -1,  3777,    -1,
    3779,   936,  4081,   141,    -1,    -1,   941,    -1,    -1,    -1,
      -1,   946,    -1,    -1,    -1,   950,    -1,    -1,  3121,    -1,
     372,    -1,    -1,    -1,   376,    -1,    -1,    -1,  4081,    -1,
     965,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,  3818,
      -1,    -1,  3821,    -1,    -1,    -1,    -1,    -1,    -1,   401,
    4903,    -1,   190,    -1,    -1,    -1,  4235,    -1,    -1,   197,
    3163,  3164,   200,  3166,    -1,    -1,    -1,    -1,  4247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3855,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,  1020,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,   509,    -1,  1033,  1034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,  4964,    -1,    -1,    -1,   253,    -1,  4196,    -1,  3222,
      -1,  3224,  4301,    -1,    -1,  1060,    -1,    -1,    -1,  1064,
    1065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4196,    -1,  4224,  3925,    -1,  1083,    -1,
      -1,    -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1095,  4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1105,  4224,   310,    -1,   312,  3278,    -1,    -1,    -1,    -1,
      -1,    -1,  1117,    -1,   322,    -1,    -1,  4240,    -1,    -1,
      -1,    -1,   330,  5046,    -1,    85,    -1,    -1,    88,    -1,
    3303,   339,    -1,    -1,    -1,    -1,    -1,  4286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,  3324,    -1,   113,  4003,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,  4286,  3337,    -1,    -1,    -1,   376,    -1,
    5093,    -1,    -1,    -1,    -1,  4424,  1286,    -1,  5101,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   401,  1199,    -1,    -1,  3357,  3358,    -1,
      -1,  1206,    -1,  1208,  1209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,  3401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,    -1,  1252,    -1,    -1,
    3410,   459,    -1,    -1,    -1,    -1,    -1,  3430,  1263,    -1,
      -1,    -1,  1267,    -1,    -1,    85,    -1,    -1,    88,    -1,
    4519,    -1,  4521,    -1,    -1,  1280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,   105,    -1,    -1,   248,    -1,
    1295,  4440,    -1,   113,    -1,    -1,  1301,  1302,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,
     270,    -1,  1317,  1318,  1319,    -1,  1321,  4440,  1323,    -1,
      -1,  3481,  1327,   143,    -1,    -1,   286,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,
      -1,    -1,    -1,    -1,  4593,    -1,  4595,    -1,    -1,  3522,
      -1,  1356,   312,  1358,  1359,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,   328,    -1,
      -1,   331,    -1,    -1,  3547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4235,  1392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4247,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
    3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,   244,  1430,  1431,   113,   248,    -1,
    1435,    -1,  1437,   119,    -1,    -1,    -1,    -1,    -1,    -1,
    3600,  3601,  3602,    -1,    -1,   405,   160,  1452,    -1,   269,
     270,    -1,  4301,    -1,    -1,  1460,    -1,   143,  1463,    -1,
      -1,  1466,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  1478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   312,   207,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,  1507,    -1,  4753,   219,    -1,    -1,   328,   223,
      -1,   331,    -1,    -1,   228,  4664,    -1,    -1,    -1,   233,
      -1,    -1,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,
    1535,  1536,    -1,  1538,    -1,   495,   496,   497,  4687,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
    1555,   265,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,   248,    -1,  4687,    -1,    -1,    -1,  4717,    -1,
    1575,  1576,    -1,   287,    -1,  4424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,  1604,
     286,    -1,  1607,    -1,    -1,  3778,    -1,    -1,  4757,  1719,
     324,    -1,  4761,  4762,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,  1636,    -1,    -1,  4757,  1640,  1641,    -1,  4761,  4762,
      -1,    -1,   328,    -1,    -1,   331,  1651,  1652,  1653,    -1,
      -1,    -1,    -1,    -1,  4903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,    -1,   379,    -1,    -1,    -1,    -1,
    4519,    -1,  4521,    -1,  1679,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
      -1,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,   405,
      -1,    -1,  3882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,  3901,    -1,    -1,  4593,    -1,  4595,    -1,    -1,  3922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,   473,
     474,    -1,    -1,    -1,    -1,  1875,    -1,    -1,  3928,    -1,
      -1,    -1,  1777,  1778,    -1,    -1,    -1,    -1,    -1,  1784,
      -1,    -1,  1787,    -1,  1894,  3958,    -1,    -1,    -1,    -1,
      -1,    -1,   506,    -1,    -1,   509,   510,  5046,   512,  1804,
      -1,    -1,  1912,    -1,    -1,  1810,    -1,    -1,  1813,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,   509,    -1,    -1,    -1,    -1,  1833,    -1,
    1940,    -1,    -1,    -1,    -1,    -1,  1841,  1842,  1843,  1844,
    1845,    -1,    -1,    -1,  5093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5101,    -1,  1859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,  1873,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,  1884,
      -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2003,    -1,    -1,    -1,  4070,    -1,    -1,
      -1,    -1,    -1,    -1,  4753,    -1,    -1,    -1,  4081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1934,
      -1,    -1,  4092,  4093,  4094,  4095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1961,  1962,  1963,  1964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1973,    -1,
      -1,    -1,    -1,    -1,  1979,    -1,    -1,  1982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1997,    -1,    -1,    -1,    -1,    -1,    -1,  2004,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,  2021,    -1,    -1,    -1,
     839,   840,    -1,  4196,   843,  2030,   845,    -1,    -1,    -1,
      -1,  2036,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   863,  2050,    -1,    -1,    -1,    -1,
      -1,  4224,    -1,    -1,  4903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   883,    -1,    -1,  4240,   887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,
      -1,    -1,    -1,    -1,    -1,   904,  2091,    -1,  2093,    -1,
    2200,    -1,  2097,  2098,    -1,  2100,    -1,    -1,    -1,    -1,
      -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4286,    -1,  4964,    -1,    -1,  2123,  2124,
      -1,    -1,  2127,    -1,    -1,  2235,  2131,  2132,    -1,    -1,
      -1,    -1,    -1,    -1,  2139,    -1,    -1,  2142,    -1,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2154,
    2155,    -1,    85,    -1,    -1,    88,    -1,  2162,    -1,  2164,
    2165,  2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,
    2175,  2176,   105,  2178,    -1,  2180,  2181,    -1,    -1,  2184,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2201,  5046,    -1,    -1,
    2205,  2206,    -1,    -1,    -1,  2210,    -1,    -1,    -1,  2214,
     143,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
      -1,  2226,    85,    -1,    -1,    88,  2231,  2232,    -1,    -1,
    2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,  5093,    -1,  4406,    -1,    -1,    -1,
     113,  2256,  5101,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
    2295,    -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,
      -1,    -1,  2337,    -1,  2339,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,   286,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2481,   105,    -1,    -1,    -1,  2486,  2487,    -1,   312,
     113,   244,   315,  4556,    -1,   248,   119,    -1,  2498,  1208,
    1209,    -1,    -1,    -1,    -1,   328,    -1,  2402,   331,    -1,
      -1,    -1,  2407,    -1,  2409,    -1,   269,   270,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2426,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2437,    -1,  2439,  2440,  2441,    -1,    -1,  2444,
      -1,  2446,    -1,  2448,    -1,  2450,    -1,  2452,  2453,   312,
      -1,  2456,   315,    -1,    -1,    -1,  4616,    -1,    -1,    -1,
      -1,  1280,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1301,  1302,    -1,    -1,    -1,    -1,    -1,  2494,
      -1,  4664,    -1,  4653,    -1,  2500,    -1,    -1,    -1,    -1,
    2505,    -1,  1321,    -1,    -1,    -1,  2511,    -1,    -1,    -1,
      -1,   244,    -1,    -1,  4687,   248,    -1,    -1,    -1,    -1,
      -1,  2526,    -1,    -1,    -1,  2530,  2531,    -1,  2638,    -1,
      -1,    -1,  2537,    -1,    -1,    -1,   269,   270,    -1,  1358,
    1359,    -1,   405,    -1,  4717,    -1,    -1,    -1,    -1,  2554,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,  2580,   509,  2582,  2583,   312,
      -1,    -1,   315,    -1,  4757,    -1,    -1,  4747,  4761,  4762,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,  2713,    -1,  2610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2618,    -1,    -1,    -1,    -1,  2623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2636,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,   160,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2660,    -1,    -1,  2663,    -1,
    2665,    -1,  2667,    -1,    -1,  2670,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2696,   207,    -1,    -1,    -1,    -1,    -1,    -1,  2704,
    2705,    -1,  2812,    -1,   219,    -1,    -1,    -1,   223,    -1,
      -1,    -1,  2717,   228,    -1,    -1,    -1,    85,   233,    -1,
      88,   236,    -1,   238,    -1,    -1,    -1,    -1,    -1,  2734,
      -1,  2736,  2737,  2738,  2739,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
     265,   119,    -1,    -1,    -1,    -1,  2761,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,   287,    -1,    -1,   143,   509,  2782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,  2828,    -1,    -1,    -1,    -1,    -1,  2834,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    2845,    -1,    -1,    -1,    -1,    -1,  2851,  2852,    -1,    -1,
      -1,    -1,  2857,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   379,    -1,    -1,   119,    -1,  2979,
    2980,  2981,    -1,    -1,    -1,    -1,   244,  2882,  2883,    -1,
     248,    -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,  2899,  2900,  2901,  2902,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,    -1,  2912,    -1,   424,
    2915,    -1,  2917,  2918,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,  2927,  2928,    -1,    -1,  2931,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,  2944,
      -1,  2946,    -1,  2948,   312,  2950,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,   473,   474,
     328,  2966,    -1,   331,    -1,  2970,    -1,    -1,  1787,    -1,
      -1,    -1,  2977,    -1,  2979,  2980,  2981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   244,    -1,   509,   510,   248,   512,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3015,  3121,    -1,    -1,    -1,  3020,    -1,   269,   270,    -1,
      -1,  3026,  1841,  1842,  1843,  1844,    -1,    -1,    -1,  3034,
      -1,    -1,  3037,    -1,   286,    -1,  3041,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,
     312,    -1,    -1,   315,  1883,  1884,    -1,    -1,    -1,    -1,
    1889,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,
      -1,  3096,    -1,    -1,    -1,    -1,  3101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,  3222,    -1,  3224,  1934,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,  3129,  3130,  3131,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   509,  1961,  1962,  1963,  1964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,  3278,    -1,
      -1,   223,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,   233,    -1,    -1,   236,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,   265,  3324,    -1,    -1,    -1,  2037,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    85,
      -1,    -1,    88,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,   509,    -1,   105,
      -1,    -1,    -1,   109,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,   324,   119,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3401,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,    -1,  3307,  3308,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
    3430,    -1,    -1,    -1,    -1,  3330,    -1,   379,   162,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,   188,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,  3357,  3358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3373,    -1,
      -1,    -1,   424,   143,    -1,   209,    -1,    -1,    -1,    -1,
      -1,  3386,  3387,   217,    -1,   219,  2205,    -1,    -1,    -1,
    3395,  3396,  3502,    -1,    -1,    -1,   448,   231,   244,    -1,
      -1,    -1,   248,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,   471,
    3425,   473,   474,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3440,    -1,  3547,  3443,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,  3460,    -1,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,  3583,   244,    -1,  3481,    -1,   248,    -1,
      -1,    -1,   328,    -1,    -1,   331,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,    -1,   269,
     270,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,
    3515,    -1,  3517,    -1,  3624,    -1,   286,    -1,  3523,    -1,
      -1,  3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,
    3535,    -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,  3552,    -1,    -1,
      -1,  3556,    -1,    -1,    -1,  3560,    -1,    -1,   328,   405,
      -1,   331,    -1,    -1,    -1,  3570,    -1,    -1,  3573,    -1,
    3575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,
    3585,  3586,    -1,    -1,    -1,  3590,    -1,    -1,  3593,    -1,
      -1,    -1,    -1,    -1,    -1,  3600,  3601,  3602,  3603,  3604,
    3605,    -1,    -1,    -1,  3609,  3610,    -1,    -1,    -1,  3614,
     456,    -1,    -1,    -1,    -1,  3620,    -1,  3622,    -1,  3624,
    2439,  2440,  2441,    -1,    -1,    -1,    -1,    -1,    -1,  2448,
      -1,  2450,    -1,  2452,  2453,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,  3666,    -1,    -1,    -1,    -1,    -1,  3672,  3778,    -1,
      -1,  3676,    -1,  3678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,  3704,
    3705,    -1,  3707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3725,  3726,  3727,  3728,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,  2554,    -1,   507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2618,
      -1,    -1,    -1,    -1,  2623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3835,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,  3874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,  3893,    -1,
    3895,    -1,   143,    -1,    -1,    -1,  3901,    -1,    -1,    -1,
      -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3916,    -1,    -1,    -1,    -1,    -1,  2736,    -1,  2738,
      -1,    -1,    -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3959,  3960,    -1,    -1,    -1,    -1,
    4070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4081,   223,    -1,    -1,    -1,    -1,   228,    -1,  3984,
      -1,  3986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,   830,   248,    -1,    -1,
      -1,    -1,    -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,   847,    -1,  4020,    -1,  4127,   269,   270,
      -1,    -1,    -1,    -1,    -1,    -1,  2845,    -1,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,    -1,
      -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,  4067,  4068,   315,    -1,    -1,    -1,    -1,    -1,
    4075,  4076,    -1,    -1,    -1,  4080,    -1,   328,    -1,    -1,
     331,  4086,  4087,    -1,    -1,  4090,  4196,  4092,  4093,  4094,
    4095,    -1,    -1,    -1,  4099,  4100,  4101,    -1,    -1,  4104,
      -1,    -1,   936,  4108,    -1,    -1,    -1,  4112,    -1,    -1,
      -1,    -1,   946,  4118,  4224,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,  4133,    -1,
    4240,    -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4156,    -1,    -1,   405,  4160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1286,    85,    -1,    -1,    88,    -1,    -1,
    4175,    -1,    -1,  4178,    -1,    -1,  4286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,  4198,  4199,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
      -1,    -1,  1066,    -1,    -1,    -1,  1070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,  4267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,
    3129,  3130,  3131,    -1,    -1,  4320,  4321,  4322,  4323,  4324,
      -1,    -1,    -1,   244,    -1,    -1,  1449,   248,    -1,    -1,
    4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,
    4355,    -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,
      -1,    -1,  4367,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4379,  4380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,  4406,    -1,  4408,    -1,    -1,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,  1263,
      -1,  4436,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
    4445,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,
      -1,    -1,  1286,    -1,   105,    -1,    -1,  4462,  4463,    -1,
      -1,  4466,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    4475,    -1,    -1,    -1,  4479,    -1,    -1,    -1,    -1,  4484,
      -1,    -1,  4487,  4488,   405,  4490,    -1,  4492,  4493,  1323,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4525,  4526,  4527,  4528,  4529,    -1,    -1,    -1,    -1,    -1,
    1286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4664,    -1,    -1,    -1,  1392,  4564,
    4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   495,   496,   497,  4687,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,  1719,   248,  4603,    -1,
      -1,    -1,  4607,    -1,    -1,    -1,    -1,  4717,    -1,    -1,
      -1,  4616,    -1,    -1,    -1,  1449,    -1,    -1,   269,   270,
      -1,  3440,  4627,    -1,  3443,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,  4638,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1478,  4650,    -1,  4757,  4653,    -1,
    1773,  4761,  4762,    -1,    -1,    -1,  4661,  4662,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3491,  1507,    -1,    -1,    -1,   328,    -1,  1802,
     331,  4686,    -1,    -1,  4689,    -1,  4691,    -1,    -1,    -1,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,    -1,   350,
      -1,  1535,  1536,  4708,  1538,    -1,    -1,  4712,    -1,    -1,
    4715,    -1,    -1,    -1,    -1,    -1,  4721,    -1,    -1,    -1,
      -1,  1555,    -1,    -1,    -1,    -1,    -1,  4837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4743,    -1,
      -1,    -1,  4747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1875,    -1,   405,    -1,    -1,    -1,    -1,    -1,
    4765,  4766,  4767,  4768,    85,    -1,    -1,    88,   419,    -1,
      -1,  1894,    -1,  1607,  1608,  4780,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,  1912,
      -1,    -1,   113,  4798,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    85,  1636,    -1,    88,    -1,  1640,  1641,    -1,    -1,
      -1,    -1,  4817,    85,    -1,    -1,    88,  1940,    -1,    -1,
      -1,   105,   143,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,   105,    -1,   119,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   495,   496,   497,   119,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,  4867,    -1,    -1,    -1,    -1,    -1,  4873,    -1,
    4875,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4884,
    2003,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,  1725,    -1,    -1,    -1,    -1,    -1,    -1,  1732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3725,  3726,  3727,  3728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4924,
      -1,    -1,    -1,   244,  4929,    -1,    -1,   248,    -1,    -1,
      -1,  1765,    -1,    -1,    -1,  4940,    -1,    -1,    -1,  1773,
      -1,    -1,    -1,    -1,  4949,    -1,    -1,    -1,   269,   270,
      -1,    -1,    -1,  4958,    -1,    -1,  4961,  4962,    -1,    -1,
     244,    -1,    -1,  1719,   248,   286,    -1,    -1,  1802,  4974,
      -1,    -1,   244,    -1,    -1,    -1,   248,  4982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,   312,    -1,    -1,   315,    -1,    -1,   269,   270,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,   328,    -1,    -1,
     331,  5016,    -1,    -1,   286,    -1,    -1,  1773,    -1,    -1,
      -1,  5026,  1856,    -1,    -1,    -1,  5031,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,  1875,    -1,   315,   328,    -1,  1802,   331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
    1894,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3893,    -1,    -1,  2200,  1912,    -1,
      -1,    -1,    -1,  5088,   405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1935,    -1,    -1,    -1,    -1,  1940,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1875,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,   405,    -1,    -1,   113,    -1,  1894,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,
      -1,    -1,    -1,  1997,    -1,    -1,   143,    -1,    -1,  2003,
      -1,    -1,  2006,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,  1940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2003,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,  2131,  2132,    -1,
      -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,  2142,   286,
      -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2154,  2155,    -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,
      -1,  2165,  2166,  2167,  2168,   312,    -1,    -1,   315,    -1,
      -1,  2175,  2176,    -1,  2178,    -1,  2180,  2181,    -1,    -1,
    2184,   328,    -1,    -1,   331,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,    -1,  2486,  2487,    -1,  2200,  2201,  2202,    -1,
      -1,    85,  2206,    -1,    88,  2498,  2210,    -1,    -1,    -1,
    2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,   105,  2226,    -1,   108,    -1,    -1,    -1,  2232,   113,
      -1,  2235,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,   143,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2200,    -1,    -1,    -1,  4267,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,  4281,  2297,    -1,    35,    36,    -1,    -1,    -1,
      -1,    41,    -1,    43,    44,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,  2638,    86,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
     244,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
    4379,    -1,    -1,  2397,   134,    85,    -1,    -1,    88,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
    2713,    -1,  2426,   113,    -1,    -1,    -1,    -1,   312,   119,
      -1,   315,    -1,  2437,    -1,    -1,    -1,    -1,    -1,    -1,
    2444,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,  2475,    -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,
      -1,   221,  2486,  2487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2514,    -1,    -1,  2517,    -1,    -1,    -1,    -1,    -1,  2812,
      -1,   405,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4527,  4528,
    4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,  2481,    -1,    -1,   248,   299,
    2486,  2487,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,   317,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,   286,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,  2636,    -1,  2638,    -1,    -1,    -1,   328,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,   392,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,  2713,
      -1,    -1,  2638,    -1,    -1,   405,   143,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,    -1,    -1,  4743,   495,    -1,  2761,    -1,   499,
     500,   501,   502,   503,    -1,    -1,   506,   507,   508,   509,
      -1,   511,   512,   513,   514,   515,    -1,  4766,    -1,  4768,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   495,   496,   497,  2812,   499,
     500,   501,   502,   503,   504,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,    -1,  2828,    -1,    -1,    -1,  3121,    -1,
    2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,  2851,  2852,    -1,
      -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,  2882,  2883,
      -1,    -1,    -1,  2887,  4873,   312,  2812,    -1,   315,    -1,
      -1,    -1,    -1,    -1,    -1,  2899,  2900,  2901,  2902,    -1,
      -1,   328,    -1,  2907,   331,    -1,    -1,    -1,  2912,  2913,
      -1,  2915,    -1,  2917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2927,  2928,    85,    -1,  2931,    88,  3222,
      -1,  3224,    -1,    -1,    -1,  4924,    -1,    -1,    -1,    -1,
    2944,    -1,  2946,    -1,    -1,   105,  2950,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,  2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2977,    -1,  2979,  2980,  2981,   405,    -1,
      -1,    -1,    -1,   143,    -1,  3278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4982,    -1,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3303,  3015,    -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,
      -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3034,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5031,    -1,  3337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,   248,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   312,    -1,    -1,   315,    -1,    -1,    -1,  3163,
    3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,   331,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
      -1,  3195,  3196,  3197,   153,  3121,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,   174,   838,    -1,  3222,    -1,
    3224,   180,    -1,    -1,    -1,   847,    -1,    -1,    -1,  3522,
      -1,    -1,    -1,    -1,    -1,    -1,   195,  3163,  3164,    -1,
    3166,    -1,    -1,    -1,    -1,   405,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,  3547,   214,    -1,    -1,   880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,  3278,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3583,    -1,   251,    -1,    -1,    -1,  3222,    -1,  3224,  3303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   936,    -1,    -1,    -1,    -1,    -1,
    3324,    -1,    -1,    -1,   946,    -1,    -1,    -1,    -1,    -1,
      -1,   290,  3336,  3337,    -1,   495,   496,   497,   297,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,  3303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,  3324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,  3337,    -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,  3430,    -1,    -1,    -1,
     389,    -1,    -1,    -1,    -1,    -1,   395,    -1,  1060,   398,
      -1,    -1,    -1,    -1,  1066,    -1,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,    -1,   426,   427,    -1,
     429,   430,    -1,  1095,    -1,  3401,    -1,    -1,    -1,   438,
      -1,    -1,    -1,    -1,   443,  3778,    -1,    -1,    -1,    -1,
     449,  3417,    -1,   452,    -1,  3499,   455,    -1,  3502,    -1,
      -1,    -1,    -1,    -1,  3430,  3509,    -1,    -1,    -1,   468,
      -1,  3515,    -1,  3517,    -1,    -1,    -1,    -1,  3522,  3523,
      -1,    -1,  3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,
    3534,  3535,    -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,
      -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,  3552,    -1,
      -1,    -1,  3556,    -1,  3558,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,  3573,
      -1,  3575,    -1,    -1,    -1,    -1,  3502,    -1,    -1,  3583,
    3584,  3585,  3586,    -1,    -1,    -1,  3590,    -1,    -1,  3593,
      -1,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,  3603,
    3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
    3614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,
    3624,  3547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3922,
    1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   144,    -1,    -1,  3583,    -1,    -1,
      -1,    -1,  3666,    -1,  1286,  3958,    -1,   157,  3672,    -1,
      -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,
      -1,  1323,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3773,
    1392,    -1,    -1,  3777,  3778,  3779,    -1,  4070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,  4081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3855,  3778,    -1,    -1,    -1,  1478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,    -1,    -1,    -1,
      -1,  3895,    -1,   383,    -1,    -1,    -1,   387,    -1,   389,
      -1,    -1,    -1,  4196,    -1,   395,    -1,    -1,   398,    -1,
      -1,    -1,    -1,  1535,  1536,    -1,  1538,    -1,  3922,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4224,    -1,  1555,   424,    -1,   426,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,  4240,   438,    -1,
      -1,    -1,    -1,   443,  3958,  3959,  3960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    98,  1607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4286,    -1,    -1,  3922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1636,    -1,  4020,   131,  1640,  1641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,   145,  3958,    -1,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4057,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,  4067,  4068,    -1,  4070,    -1,    -1,    -1,
      -1,  4075,  4076,    -1,    -1,    -1,  4080,  4081,    -1,    -1,
      -1,   195,  4086,  4087,    -1,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,  1719,    -1,    -1,
     214,    -1,    -1,    -1,  4108,    -1,    -1,    -1,  4112,    -1,
    1732,   225,    -1,    -1,    -1,    -1,   230,    -1,  4122,    -1,
      -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4139,    -1,   251,    -1,    -1,
      -1,    -1,    -1,  1765,  4070,    -1,    -1,  4440,    -1,    -1,
      -1,  1773,    -1,    -1,    -1,  4081,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4215,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
    4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1856,    -1,  4240,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,   383,
    4196,    -1,  1894,   387,    -1,   389,    -1,    -1,    -1,    -1,
      -1,   395,  4286,    -1,   398,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,   426,    -1,  4240,    -1,   430,    -1,  1940,    -1,
      -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4355,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4664,    -1,    -1,    -1,  1997,    -1,    -1,    -1,    -1,
      -1,  2003,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,    -1,  4403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4436,    -1,    -1,    -1,  4440,    -1,    -1,    -1,
      -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,  4463,
      -1,    -1,  4466,    -1,  4757,    -1,    -1,    -1,  4761,  4762,
      -1,  2093,    -1,    -1,    -1,  4479,    -1,    -1,    -1,    -1,
    4484,    -1,    -1,  4487,    -1,    -1,    -1,    -1,  4492,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2131,
    2132,    -1,    -1,    -1,  4440,    -1,    -1,  2139,    -1,    -1,
    2142,  4525,    -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,  2155,    -1,    -1,    -1,    -1,    -1,    -1,
    2162,    -1,    -1,  2165,  2166,  2167,  2168,    -1,    -1,    -1,
      -1,    -1,  4556,  2175,  2176,    -1,  2178,    -1,  2180,  2181,
    4564,    -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,  2201,
      -1,    -1,    -1,    -1,  2206,    -1,    -1,    -1,  2210,  4593,
      -1,    -1,  2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  4607,  2226,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4662,    -1,
    4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,    -1,
      -1,    -1,  4686,  4687,    -1,  4689,    -1,  4691,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,  4712,    -1,
      -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4753,
      -1,    -1,    -1,  4757,    -1,    -1,    -1,  4761,  4762,    -1,
      -1,  4687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4817,    -1,  2437,    -1,    -1,    -1,    -1,
      -1,    -1,  2444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4757,    -1,  4837,    -1,  4761,  4762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2475,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,  4867,  2486,  2487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,
    4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4940,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,  4962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5016,    -1,  2636,    -1,  2638,    -1,    -1,    -1,
      -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,    -1,  5093,
      -1,  2713,    -1,  5097,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2761,
      -1,    35,    36,    -1,    -1,  1286,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
    2812,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,    -1,    -1,
      -1,    -1,  2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2851,
    2852,    -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
    2882,  2883,    -1,    -1,    -1,  2887,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,  2900,  2901,
    2902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,   142,  2915,    -1,  2917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   154,  2927,  2928,   157,  1449,  2931,
     204,    -1,    -1,   163,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,  2944,    -1,  2946,    -1,    -1,   221,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,  2966,    -1,    -1,   241,    -1,    -1,
      -1,    -1,    -1,   203,    -1,  2977,    -1,  2979,  2980,  2981,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,
      -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,  3020,    -1,
      -1,    -1,    -1,    -1,  3026,   299,    -1,    -1,   302,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,  3121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,
    3222,   495,  3224,    -1,    -1,   499,   500,   501,   502,   503,
      -1,    -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,    -1,
      -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,  1940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   676,   677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   724,    -1,    -1,  3499,    -1,    -1,
    3502,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,  3515,    -1,  3517,    -1,    -1,    -1,    -1,
    3522,  3523,    -1,    -1,  3526,  3527,  3528,  3529,  3530,  3531,
    3532,  3533,  3534,  3535,    -1,    -1,    -1,  3539,  3540,    -1,
      -1,    -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,
    3552,    -1,    -1,    -1,  3556,    -1,    -1,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
      -1,  3573,    -1,  3575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3583,  3584,  3585,  3586,    -1,    -1,    -1,  3590,    -1,
      -1,  3593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3603,  3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3614,    -1,    -1,   845,    -1,    -1,    -1,    -1,
    3622,    -1,  3624,    -1,    -1,   855,   856,    -1,   858,    -1,
     860,    -1,   862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   889,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,   898,   899,
    3672,    -1,    -1,   903,    -1,    -1,  3678,    -1,    -1,  2200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     920,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3703,    -1,    -1,    -1,    -1,    -1,   937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   953,    -1,    -1,   956,    -1,   958,    -1,
     960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   973,   974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     990,    -1,   992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,  1022,    -1,    -1,    -1,    -1,    -1,    -1,  1029,
      -1,  1031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1097,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,  3895,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
    3922,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,  1168,    -1,
    1170,    -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3958,  3959,  3960,    -1,
    2481,    -1,    -1,    -1,  1194,  2486,  2487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,
      -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
    1240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
      -1,    -1,   132,    -1,    -1,    -1,    -1,    -1,    -1,  1269,
      -1,    -1,   142,    -1,    -1,    -1,  1276,    -1,    -1,    -1,
      -1,    -1,   204,   153,   154,  4057,    -1,   157,  1288,    -1,
      -1,  1291,    -1,   163,    -1,  4067,  4068,   167,  4070,   221,
      -1,    -1,    -1,  4075,  4076,    -1,    -1,    -1,  4080,  4081,
      -1,    -1,    -1,    -1,  4086,  4087,    -1,   187,  4090,   241,
      -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,  4108,    -1,    -1,    -1,
    4112,   263,    -1,    -1,    -1,    -1,    -1,  2638,    -1,    -1,
    4122,    -1,    -1,    -1,    -1,  4127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1405,  4178,  1407,    -1,    -1,
    1410,    -1,  1412,    -1,    -1,  1415,  1416,  1417,    -1,    -1,
      -1,    -1,  2713,    -1,  4196,    -1,    -1,    -1,  1428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1441,    -1,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,  4286,    -1,    -1,    -1,    -1,    -1,
      -1,  2812,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,
      -1,    -1,  4344,   495,    -1,    -1,    -1,   499,   500,   501,
     502,   503,    -1,  4355,   506,   507,   508,   509,    -1,    -1,
      -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,
      -1,  4403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4436,    -1,    -1,    -1,  4440,    -1,
      -1,    -1,    -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1684,    -1,    -1,  1687,    -1,    -1,
    4462,  4463,    -1,    -1,  4466,  1695,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4479,    -1,    -1,
      -1,    -1,  4484,  1713,    -1,  4487,    -1,    -1,    -1,    -1,
    4492,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1751,    -1,  4525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   676,   677,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3121,    -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4662,    -1,  4664,    -1,    -1,    -1,    -1,  1449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4686,  4687,    -1,  4689,    -1,  4691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3222,    -1,  3224,    -1,    -1,  4708,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,  1944,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1959,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4757,    -1,  3278,    -1,  4761,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,    -1,  2009,
      -1,    -1,  3303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2020,    -1,  2022,    -1,  2024,    -1,  4798,    -1,    -1,  2029,
      -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4817,  3337,    -1,    -1,   919,
     920,    -1,   922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2062,    -1,  2064,  4837,    -1,    -1,  2068,    -1,
    2070,    -1,    -1,  2073,    -1,    -1,    -1,  2077,  2078,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,    -1,
     970,    -1,    -1,   973,   974,    -1,    -1,    -1,    -1,    -1,
    3401,    -1,  4884,    -1,    -1,    -1,    -1,    -1,   988,    -1,
     990,    -1,   992,    -1,    -1,    -1,  3417,    -1,   998,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,  3430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,  1022,    -1,    -1,    -1,    -1,  4929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,  4940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,
    4962,    -1,  1062,    -1,  1064,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,
      -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,    -1,  5026,    -1,  3547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1155,  1156,    -1,    -1,  1159,
      -1,    -1,  3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,  5097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1205,    -1,    -1,    -1,    -1,
      -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,
      -1,    -1,    -1,    -1,  2394,  2395,    -1,    -1,    -1,  2399,
    2400,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2413,    -1,    -1,    -1,    -1,    -1,    -1,
    2420,    -1,    -1,    -1,  2424,  2425,    -1,    -1,  2428,  2429,
      -1,    -1,    -1,    -1,    -1,  2435,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2447,    -1,  2449,
      -1,  2003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2465,    -1,    -1,    -1,    -1,
    2470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2501,  2502,  2503,  2504,    -1,    -1,    -1,  2508,  2509,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,  2519,
      -1,    -1,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,
    1400,    -1,    -1,    -1,    -1,  1405,    -1,  1407,    -1,    -1,
    1410,    -1,  1412,    -1,  2544,  1415,  1416,  1417,    -1,    -1,
      -1,  1421,    -1,    -1,    -1,  2555,    -1,  2557,  1428,    -1,
      -1,    -1,  2562,    -1,    -1,    -1,    -1,  2567,  2568,  2569,
    2570,  1441,  2572,  1443,    -1,    -1,    -1,    -1,  1448,    -1,
      -1,    -1,    -1,    -1,    -1,  2585,  2586,  2587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2596,  2597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1575,  1576,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1592,    -1,    -1,    -1,    -1,  1597,  1598,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,  4070,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
    4081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,  1679,
      -1,  1681,    -1,    -1,    35,    36,    -1,    -1,  2818,    -1,
      -1,  1691,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1755,    -1,    -1,  1060,    -1,
      -1,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,  2481,
      -1,    -1,    -1,  4224,  2486,  2487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1814,    -1,  2498,  1817,  1818,  4240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4286,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   880,    -1,    -1,    -1,    -1,    -1,
      -1,  1881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     946,    -1,    -1,    -1,  3074,  3075,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,  2638,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3116,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3140,  3141,    -1,    -1,    -1,  3145,    -1,    -1,    -1,  4440,
    3150,  3151,  3152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1060,    -1,  3186,  3187,  3188,  3189,
      -1,    -1,  2062,    -1,  2064,    -1,    -1,    -1,  2068,    -1,
    2070,    -1,    -1,  2073,    -1,    -1,    -1,  2077,    -1,    -1,
      -1,    -1,  2082,   434,    -1,    -1,  3216,  3217,  3218,  1095,
      -1,    -1,    -1,    -1,    -1,    -1,  3226,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2812,    -1,    -1,    -1,    -1,  4556,    -1,    -1,   489,    -1,
      -1,    -1,    -1,    -1,   495,    -1,    -1,    -1,   499,   500,
     501,   502,   503,    -1,    -1,   506,   507,   508,   509,    -1,
    3290,    -1,   513,    -1,    -1,    -1,    -1,    -1,  3298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2231,    -1,  1535,  1536,    -1,  1538,    -1,  2238,    -1,
      -1,    -1,    -1,  4664,    -1,    -1,  1252,  2247,    -1,    -1,
      -1,    -1,    -1,  1555,    -1,    -1,    -1,  1263,    -1,    -1,
      -1,    -1,    -1,    -1,  3394,    -1,  4687,  3397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4717,    -1,  3428,    -1,
      -1,  3431,    -1,    -1,    -1,  1607,    -1,    -1,    -1,    -1,
    2310,    -1,    -1,    -1,    -1,  3445,    -1,  1323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1636,    -1,  4757,    -1,  1640,  1641,
    4761,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2362,    -1,    -1,    -1,  2366,    -1,    -1,    -1,
      -1,    -1,  2372,    -1,  2374,    -1,    -1,  2377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3121,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3163,  3164,    -1,  3166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1535,
    1536,    -1,  1538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3222,    -1,  3224,    -1,    -1,    -1,    -1,    -1,  2548,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,  2556,    -1,  2558,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3710,    -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,  3719,
      -1,    -1,    -1,    -1,    -1,    -1,  3278,    -1,    -1,    -1,
      -1,  1607,    -1,    -1,    -1,  3735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3303,  3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1636,  3761,    -1,    -1,  1640,  1641,    -1,    -1,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,  3808,  3809,
    3810,  3811,  3812,  3813,  3814,    -1,    -1,    -1,    -1,  3819,
    3820,    -1,  3822,  3823,  3824,  3825,  3826,  3827,  3828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,  3839,
    3840,    -1,    -1,  1719,    -1,    -1,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,
    3890,  3891,    -1,    -1,  3894,    -1,    -1,  1773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2777,  2778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2794,    -1,  1802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,
    3522,    -1,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2162,    -1,    -1,  2165,    -1,  3547,  2168,    -1,    -1,  1875,
      -1,    -1,    -1,  2175,  2176,    -1,    -1,    -1,    -1,  2181,
      -1,    -1,  2184,    -1,    -1,    -1,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2201,
      -1,  3583,    -1,    -1,  2206,    -1,  1912,    -1,  2210,    -1,
      -1,    -1,  2214,    -1,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,    -1,  2226,    -1,    -1,    -1,    -1,    -1,
    2232,    -1,    -1,  2235,  1940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1997,    -1,    -1,  2994,  2297,    -1,  2003,    -1,  2999,
    2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,  4208,  4209,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,  2093,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,  4231,  4232,  4233,  4234,    -1,  4236,  4237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4248,  4249,
      -1,    -1,    -1,    -1,  2426,  2131,  2132,    -1,    -1,    -1,
      -1,    -1,    -1,  2139,    -1,    -1,  2142,    -1,    -1,    -1,
    2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2154,  2155,
      -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,    -1,  2165,
    2166,  2167,  2168,    -1,    -1,    -1,    -1,    -1,    -1,  2175,
    2176,    -1,  2178,    -1,  2180,  2181,    -1,    -1,  2184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2200,  2201,    -1,    -1,    -1,    -1,
    2206,    -1,    -1,    -1,  2210,    -1,    -1,    -1,  2214,    -1,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,    -1,
    2226,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,  2235,
      -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3922,  4371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,
      -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2636,    -1,    -1,  3337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3428,    -1,
      -1,  2437,    -1,    -1,    -1,    -1,    -1,    -1,  2444,    -1,
      -1,    -1,    -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,    -1,    -1,
    2486,  2487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4670,    -1,  4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2852,    -1,    -1,    -1,    -1,  2857,    -1,    -1,  4240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,    -1,  2901,
    2902,    -1,    -1,    -1,  4286,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,    -1,  2915,    -1,  2917,    -1,    -1,    -1,    -1,
      -1,  4751,    -1,    -1,    -1,    -1,  4756,    -1,    -1,    -1,
    2636,    -1,  2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2944,    -1,  2946,    -1,    -1,    -1,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2979,  2980,  2981,
      -1,    -1,    -1,  3683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,    -1,  2713,    -1,    -1,
      -1,  4841,    -1,  3015,    -1,    -1,    -1,    -1,  3020,    -1,
      -1,    -1,    -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2761,    -1,    -1,  4440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4918,    -1,
      -1,    -1,  3094,  4923,    -1,    -1,    -1,    -1,    -1,    -1,
    3800,    -1,    -1,    -1,    -1,    -1,  2812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2828,    -1,    -1,    -1,    -1,    -1,  2834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2851,  2852,    -1,    -1,    -1,
      -1,  2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4556,    -1,  2882,  2883,    -1,    -1,
      -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2899,  2900,  2901,  2902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,    -1,  2915,
      -1,  2917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2927,  2928,    -1,    -1,  2931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2944,    -1,
    2946,    -1,    -1,    -1,  2950,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2977,    -1,  2979,  2980,  2981,    -1,    -1,    -1,    -1,
      -1,    -1,  4664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
    4000,    -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,  3015,
      -1,    -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,
    3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,    -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,  4761,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
      -1,  1551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,  3164,    -1,
    3166,    -1,  1622,    -1,    -1,    -1,    -1,    -1,    -1,  4169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,  3515,    -1,  3517,  3222,    -1,  3224,    -1,
      -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3539,  3540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
      -1,  3573,  3278,  3575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3584,    -1,    -1,    -1,    -1,    -1,  3590,    -1,
      -1,  3593,    -1,    -1,    -1,    -1,    -1,  3303,    -1,    -1,
      -1,  4301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3614,    -1,    -1,    -1,    -1,    -1,  3324,    -1,
    3622,    -1,  3624,    -1,    -1,    -1,    -1,    -1,  4328,    -1,
      -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3666,    -1,    -1,    -1,    -1,    -1,
    3672,    -1,    -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3499,    -1,    -1,  3502,    -1,    -1,    -1,
      -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    -1,  3515,
    4510,  3517,    -1,    -1,    -1,    -1,  3522,  3523,    -1,    -1,
    3526,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,
      -1,    -1,    -1,  3539,  3540,    -1,    -1,    -1,    -1,    -1,
      -1,  3547,    -1,    -1,    -1,    -1,  3552,    -1,    -1,    -1,
    3556,    -1,    -1,    -1,  3560,    -1,  4556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3570,    -1,    -1,  3573,    -1,  3575,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3583,  3584,  3585,
    3586,    -1,    -1,    -1,  3590,  2045,    -1,  3593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3603,  3604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3614,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,  3624,     3,
      -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,
      -1,    15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3959,  3960,    -1,
    3666,    45,    46,    -1,    -1,    -1,  3672,    -1,    -1,    -1,
      -1,    -1,  3678,    -1,    -1,    -1,    -1,  2137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3703,    -1,    -1,
      -1,  2161,    -1,    -1,    -1,    -1,  2166,    91,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,  4020,   103,
     104,    -1,    -1,    -1,    -1,    -1,  2186,  2187,    -1,    -1,
    2190,    -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,   140,   141,    -1,    -1,
      -1,    -1,   146,    -1,   148,  4067,  4068,    -1,    -1,    -1,
    2230,    -1,  3778,    -1,   158,    -1,   160,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,  4086,  4087,    -1,    -1,  4090,    -1,
     174,    -1,   176,    -1,    -1,   179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,
      -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,
    4122,    -1,    -1,    -1,  2284,  4127,    -1,   211,    -1,   213,
      -1,    -1,    -1,    -1,    -1,   219,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,  4844,    -1,  2306,    -1,    -1,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2318,    -1,
      -1,  2321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,   289,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,  3922,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3958,  3959,  3960,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,
      -1,    -1,    -1,    -1,   368,   369,    -1,   371,    -1,    -1,
      -1,    -1,   376,    -1,    -1,    -1,    -1,   381,    -1,    -1,
     384,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,   393,
     394,    -1,    -1,    -1,  4020,    -1,    -1,   401,    -1,    -1,
     404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,  4344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4057,    -1,    -1,    -1,    -1,    -1,   441,    -1,   443,
      -1,  4067,  4068,    -1,  4070,    -1,    -1,   451,    -1,  4075,
    4076,    -1,    -1,   457,  4080,  4081,    -1,    -1,   462,    -1,
    4086,  4087,    -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4108,    -1,    -1,    -1,  4112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,    -1,    -1,
      -1,  4127,    -1,    -1,   508,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4196,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2855,    -1,  4403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2878,    -1,
    2880,    -1,  2882,  2883,  2884,    -1,    -1,  2887,    -1,    -1,
    4436,  2891,    -1,    -1,  4440,    -1,    -1,    -1,  2898,  4445,
      -1,    -1,    -1,  2903,    -1,    -1,    -1,    -1,    -1,  2909,
      -1,    -1,    -1,    -1,  2914,    -1,  4462,  4463,    -1,    -1,
    4466,    -1,    -1,  2923,    -1,    -1,    -1,  2927,  2928,    -1,
    2930,    -1,    -1,  4479,    -1,    -1,    -1,    -1,  4484,    -1,
      -1,  4487,  2942,    -1,    -1,    -1,  4492,  4493,    -1,  2949,
      -1,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,
    2960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,  4525,
      -1,    -1,    -1,    -1,    -1,  2985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3109,
      -1,    -1,    -1,    -1,    -1,    -1,  4662,    -1,  4664,  4961,
    4962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4686,  4687,    -1,  4689,    -1,  4691,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4708,    -1,    -1,    -1,  4712,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,  5016,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4757,    -1,    -1,    -1,  4761,  4762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4867,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4884,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,  4961,  4962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4974,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,  3449,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
    5016,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
    5026,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,  3498,    -1,
     167,    -1,    -1,    -1,  3504,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3520,  3521,    -1,  3523,    -1,    -1,  3526,  3527,  3528,  3529,
    3530,  3531,  3532,  3533,  3534,  3535,  3536,   204,    -1,    -1,
      -1,    -1,  5088,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,  5097,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,  3561,   229,    -1,  3564,    -1,  3566,    -1,   235,    -1,
      -1,  3571,  3572,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3585,  3586,  3587,    -1,  3589,
     257,   258,  3592,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
    3650,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3661,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
    3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,  4021,    -1,    -1,    -1,  4025,  4026,  4027,    -1,    -1,
    4030,    -1,    -1,    -1,    -1,  4035,  4036,  4037,  4038,  4039,
    4040,  4041,  4042,  4043,  4044,  4045,  4046,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,  4074,  4075,  4076,  4077,   142,  4079,
     144,    -1,    -1,  4083,  4084,  4085,   150,    -1,  4088,    -1,
      -1,  4091,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4136,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,  4153,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,  4347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
    4400,  4401,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4432,    -1,    -1,    -1,  4436,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4450,   515,  4452,    -1,    -1,    -1,    -1,  4457,  4458,  4459,
      25,    -1,  4462,  4463,  4464,  4465,    -1,  4467,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4619,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4685,  4686,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,
      -1,  4701,  4702,  4703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,  4928,    -1,
     495,    -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,  5019,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5067,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,   514,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,   115,    -1,    -1,   118,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,   138,    -1,   140,   141,   142,
      -1,   144,    -1,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,   160,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,   176,   177,   178,   179,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,   191,    -1,
     193,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,
     203,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,    -1,    -1,   219,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,   261,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,   288,   289,    -1,    -1,    -1,
      -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,   314,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
     363,    -1,    -1,    -1,    -1,   368,   369,    -1,   371,    -1,
      -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,   381,   382,
      -1,   384,   385,    -1,    -1,   388,    -1,    -1,    -1,    -1,
     393,   394,    -1,    -1,    -1,    -1,    -1,    -1,   401,   402,
      -1,   404,   405,    -1,   407,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,   441,    -1,
     443,    -1,    -1,    -1,    -1,   448,    -1,    -1,   451,    -1,
      -1,   454,    -1,    -1,   457,    -1,    -1,    -1,    -1,   462,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,   508,    26,    27,    -1,   512,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,   515,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,   501,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   509,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,    -1,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   509,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,   506,   507,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
     501,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   509,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,   507,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,   435,   436,    -1,   438,    -1,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,   501,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   501,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   501,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   501,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,   228,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,   228,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,     4,   495,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
      -1,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,    -1,
     348,    -1,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,    -1,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,    -1,
     121,    -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,    -1,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,    -1,    -1,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
      -1,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,    -1,    -1,    -1,    -1,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,    -1,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,    -1,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,    -1,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,    -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,   145,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,   225,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,   225,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,   233,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,   233,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,   225,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,    -1,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
     326,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,
      -1,    79,    80,   499,   500,   501,    -1,    -1,    -1,    -1,
      -1,    -1,   508,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
     508,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,   326,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,    -1,    -1,    -1,    -1,    -1,
      71,    72,   499,   500,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,   326,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,   490,
     491,    -1,    -1,    -1,    -1,    -1,    71,    72,   499,   500,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,   326,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,    -1,    71,    -1,   499,   500,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      -1,   490,   491,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1066,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1067,  1095,  1097,  1188,  1198,
    1199,  1201,  1207,  1208,  1096,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1063,
    1064,  1068,  1070,  1071,  1088,  1089,  1090,  1091,  1102,  1104,
    1108,  1109,  1110,  1111,  1112,  1114,  1116,  1118,  1119,  1120,
    1121,  1123,  1128,  1129,  1133,  1134,  1143,  1145,  1146,  1147,
    1150,  1155,  1158,  1163,  1165,  1166,  1169,  1171,  1174,  1183,
    1201,  1209,    73,  1091,  1099,  1100,    14,    72,    91,    92,
      93,    94,    95,    96,    97,    98,   100,   101,   102,   110,
     111,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   132,   133,   136,   138,   139,   140,   141,   146,   147,
     148,   149,   151,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   206,   208,   209,   210,   211,
     213,   214,   215,   218,   220,   222,   224,   226,   230,   231,
     232,   234,   237,   239,   240,   242,   243,   245,   246,   247,
     249,   250,   251,   252,   253,   254,   256,   260,   261,   262,
     268,   271,   273,   274,   275,   276,   277,   279,   280,   282,
     285,   288,   289,   290,   293,   294,   295,   296,   297,   298,
     300,   301,   303,   304,   305,   309,   310,   313,   314,   316,
     319,   321,   322,   323,   325,   328,   329,   330,   338,   339,
     340,   341,   342,   343,   344,   346,   348,   350,   351,   352,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   380,   381,   383,   384,   386,   387,   388,
     389,   390,   391,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   465,   467,   468,   469,   472,   475,   476,   477,
     478,   479,   490,   491,  1059,  1061,  1062,  1063,  1064,  1081,
    1082,  1193,  1195,  1199,  1201,    29,   259,  1144,     9,    13,
      15,    28,    45,    46,    50,    51,    56,    65,    67,    69,
      70,    99,   134,   152,   163,   175,   180,   241,   299,   302,
     392,   462,   489,  1051,  1062,  1063,  1083,  1130,  1131,  1173,
    1174,  1175,  1179,  1184,  1185,  1186,  1195,  1201,    99,   904,
    1050,  1083,  1179,  1192,    14,   904,     5,    25,    29,    35,
      36,    43,    44,    99,   103,   104,   105,   106,   107,   108,
     109,   112,   124,   130,   131,   134,   137,   143,   145,   152,
     153,   160,   163,   164,   165,   166,   168,   169,   170,   180,
     182,   188,   192,   193,   199,   203,   207,   217,   219,   223,
     225,   228,   233,   236,   238,   248,   255,   259,   263,   265,
     267,   278,   281,   287,   291,   292,   312,   317,   324,   326,
     327,   331,   332,   345,   353,   367,   379,   394,   400,   409,
     421,   424,   431,   434,   435,   440,   448,   449,   455,   456,
     462,   464,   470,   471,   473,   474,  1062,  1065,  1175,  1176,
    1177,  1181,  1182,  1183,  1184,  1186,    25,    35,   134,   263,
    1170,    38,    40,   312,  1103,   436,   476,   841,    98,   144,
     157,   174,   180,   195,   206,   214,   225,   230,   236,   251,
     276,   297,   328,   356,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   455,   468,   650,  1131,   179,   841,
      99,   904,   466,   870,   326,   352,   841,   121,   583,   908,
      98,   110,   131,   144,   153,   174,   180,   195,   206,   214,
     225,   232,   236,   290,   328,   331,   383,   389,   398,   426,
     427,   429,   430,   438,   443,   449,   452,   455,   593,   633,
     725,   776,   787,  1051,  1072,  1073,  1074,  1083,  1199,  1201,
      14,    99,   351,  1050,  1083,  1087,   413,   904,    99,   346,
     427,   429,   275,   814,   815,  1199,    98,   110,   131,   144,
     157,   174,   195,   206,   214,   225,   230,   236,   251,   297,
     328,   338,   383,   387,   389,   395,   398,   424,   426,   430,
     438,   443,   455,   468,   650,   738,   841,   514,  1113,  1177,
     245,  1087,   160,   179,   211,   466,   508,   631,   634,   869,
     875,   883,   885,   890,   896,   903,   907,  1068,    92,    99,
     116,   220,   226,   228,   248,   277,   309,   354,   370,   499,
     500,   752,   753,   904,  1058,  1060,  1193,  1195,    99,   160,
     367,   394,   757,   758,   759,  1179,  1179,  1055,  1199,   424,
     918,   116,   226,   752,  1179,   436,  1087,   338,   297,   174,
     251,   423,   424,   821,   388,  1179,    99,   134,   399,   432,
     436,   462,   544,  1062,  1063,  1173,  1178,  1184,  1186,  1201,
      96,   233,   757,   758,   352,   841,  1179,   274,    99,   192,
     920,     4,    14,   132,   152,   154,   290,   305,   383,   389,
     399,   432,   436,   479,   542,   543,   544,    99,   399,   432,
     436,   544,   436,   327,   954,  1048,  1179,   918,  1167,  1177,
     501,  1179,   229,   508,   871,   508,  1044,   365,   913,   914,
    1050,   908,   909,   912,   512,   870,   207,   265,   332,   448,
     921,   922,   908,   910,   911,   185,   261,   454,   511,   118,
     518,  1111,  1114,  1110,  1106,   512,  1115,  1117,     5,    25,
      35,   134,   196,   263,  1122,   175,   241,   299,   302,   392,
     489,   508,   985,   986,  1094,  1098,  1188,    73,  1091,  1050,
    1083,  1202,   180,  1072,    21,   456,   502,  1087,  1087,  1202,
     456,  1135,  1136,  1137,    25,   263,   263,  1181,     7,    19,
      20,    39,    42,   156,   193,  1172,  1172,    16,  1111,  1056,
    1064,  1173,  1176,  1179,  1180,  1184,  1185,  1201,   740,  1179,
     740,  1051,   355,   740,   438,   740,  1050,  1179,   173,   424,
     765,  1056,  1059,   243,  1048,   321,   468,    85,   139,   218,
     495,   496,   497,   499,   500,   501,   502,   503,   504,   812,
    1011,  1012,  1179,    99,  1059,  1050,  1050,   243,  1048,  1050,
     243,   954,  1050,   391,  1050,   740,   295,  1059,   243,  1048,
     275,    34,   182,   271,   312,   361,   842,   843,   844,  1048,
    1054,  1179,    98,   131,   144,   145,   153,   157,   174,   195,
     206,   214,   225,   230,   251,   276,   297,   328,   383,   387,
     389,   395,   398,   424,   426,   430,   438,   443,   468,   650,
     745,  1199,  1048,   434,  1056,  1050,   508,   740,   438,  1051,
     740,   438,   243,  1050,   173,   424,   427,   429,  1059,   427,
     429,   139,   218,   812,   374,  1059,   243,   538,  1179,  1050,
    1050,   391,  1050,   740,   295,  1059,   365,   395,   424,   468,
     297,   157,   251,   230,   387,   442,   644,    85,  1075,  1076,
     513,  1195,  1202,    99,  1087,  1201,   905,   551,  1061,  1199,
     815,   243,  1056,  1050,   243,   819,   243,  1051,   438,   173,
     424,   243,  1056,   243,  1049,  1050,   150,   468,   139,   218,
     243,   812,   125,   243,  1049,   243,  1050,   243,  1050,   243,
    1050,   391,   243,  1050,   243,   295,  1049,   275,   243,   739,
     740,   508,   514,  1203,  1204,  1205,  1206,  1208,  1113,    71,
    1083,  1132,   508,   884,   593,   904,   875,   869,   876,   877,
     878,  1061,   870,  1060,   753,   754,    99,   753,   904,  1060,
     754,    99,   753,   904,  1060,   754,   754,   754,  1060,  1058,
    1058,   267,   456,  1137,  1138,  1212,  1213,   904,   754,   355,
     508,   508,   612,   612,   612,   326,   434,   511,   612,   954,
     955,   753,   904,   753,   904,   511,   837,  1199,   228,   508,
     881,   125,   468,  1050,  1050,  1048,  1179,   115,   491,   271,
     510,   329,   329,   326,   228,  1199,   434,   223,   748,   326,
      83,    84,    85,    87,   107,   120,   122,   123,   130,   131,
     134,   135,   142,   144,   164,   165,   166,   167,   168,   169,
     170,   177,   178,   196,   212,   216,   217,   221,   235,   263,
     264,   266,   283,   291,   292,   306,   308,   312,   317,   318,
     320,   328,   337,   347,   362,   385,   400,   407,   420,   432,
     433,   437,   439,   440,   449,   455,   463,   481,   482,   483,
     484,   485,   486,   487,   488,   499,   500,   501,   508,   908,
     966,   969,   972,   973,   974,   976,   977,   978,   979,   982,
     983,   987,   989,   990,  1009,  1013,  1032,  1037,  1045,  1046,
    1056,  1057,  1058,  1179,  1191,  1193,  1195,  1196,  1197,  1198,
    1199,   434,   495,  1202,  1199,   434,   495,  1131,    99,   557,
    1047,  1048,   399,   542,   180,   550,  1199,   551,  1199,   115,
     136,   542,   491,   408,   843,   329,   228,   434,   495,   115,
     491,   271,  1212,   844,   508,  1048,   501,   506,   510,  1038,
    1039,   955,  1183,   227,   229,   466,   866,   867,   869,   227,
     872,   180,   987,  1042,  1043,   913,   511,   508,   873,   509,
     509,  1048,    99,   192,   919,   919,   125,   919,   219,   223,
     287,   324,   925,   927,   928,   937,   939,   940,   941,   921,
     922,   228,   267,   954,   956,  1044,   512,  1105,   501,  1124,
    1125,  1127,   514,   514,    25,   263,   263,   434,   434,   434,
     434,   508,   434,   500,   641,  1060,  1092,  1198,   203,   108,
    1079,   125,  1082,  1082,   267,  1137,  1139,   267,  1137,  1138,
    1139,   461,  1148,  1149,  1195,    14,    37,    84,   499,   500,
    1058,  1140,  1141,  1142,  1191,  1193,  1197,  1198,  1199,  1200,
     263,   269,  1050,   434,  1050,     6,  1050,  1172,  1127,   508,
     714,  1039,   339,   372,   401,   510,   741,   339,   372,   401,
     339,   372,   401,   474,   520,   552,   553,   771,    95,   197,
     339,   372,   401,   459,   564,  1050,   401,    95,   197,   454,
     535,   477,   243,   954,   127,   159,   215,   246,   282,   312,
     339,   372,   380,   386,   393,   401,   410,   418,   469,   552,
     554,   799,   806,   508,   788,   372,   535,   212,    95,   101,
     141,   190,   197,   200,   253,   310,   312,   322,   330,   339,
     372,   376,   401,   459,   562,   563,   669,   641,   243,  1048,
     740,   740,   508,   811,   510,   248,   527,   372,   520,   527,
     326,   339,   372,   212,   126,   172,   250,   298,   300,   310,
     338,   372,   377,   401,   412,   562,   638,   639,   339,   372,
     467,   669,   677,   212,   372,   401,   562,   339,   372,   376,
     401,   151,   189,   340,   428,   326,    95,   101,   197,   339,
     372,   401,   573,   574,   223,   372,   401,   520,   553,   212,
     372,   401,   562,  1050,   512,   285,   182,   327,   478,   511,
     842,   456,   864,   326,  1056,   508,  1050,   438,   173,   424,
    1056,   321,   468,   139,   218,   812,  1050,   391,  1050,   275,
     740,   612,   358,   578,   508,   714,   715,   137,   120,   122,
     123,   134,   135,   177,   178,   221,   264,   266,   306,   308,
     320,   362,   402,   407,   432,   433,   463,   963,   965,   967,
     969,   971,   973,   974,   975,   977,   978,   982,   983,  1173,
    1180,  1184,  1185,  1201,   228,   508,   710,  1050,   520,   108,
     859,  1050,   312,   520,   477,   243,  1048,   520,   740,   740,
     710,   452,   593,   520,   312,   115,   539,   443,   676,   339,
     652,   151,   189,   340,   428,    97,   117,   262,   688,   108,
     710,   223,   520,   468,  1048,   243,   629,  1048,  1048,   468,
     740,   150,   777,  1056,  1050,   650,    74,  1077,  1179,   513,
    1078,  1075,   121,   171,   260,   310,   390,   212,   714,   128,
     378,   565,   212,   508,   212,   477,   212,   788,   212,   511,
     243,   739,   243,   740,   243,   740,   212,   811,  1049,   212,
     212,   326,   212,   565,   212,   151,   189,   340,   428,   212,
     326,   212,   223,   243,   243,   551,   212,   511,   565,   509,
    1204,  1205,  1203,   511,   515,   987,  1016,  1136,  1211,  1212,
     424,   905,   509,   511,   217,   326,   440,   548,   551,   641,
     879,   875,   754,   904,   754,   904,  1213,  1214,   754,   904,
     754,   904,  1214,   754,   904,   904,   904,   754,    14,    37,
    1187,  1190,  1195,   904,   508,   613,   614,  1179,   613,    99,
     174,   195,   225,   230,   275,   276,   389,   395,   424,   426,
     443,   760,  1047,  1049,   759,   248,   511,   893,   904,   904,
    1199,  1132,   963,  1019,   108,  1049,  1048,   224,   822,   822,
     822,   285,  1179,   223,   223,   760,  1049,   388,  1179,   551,
     326,   508,   506,   908,  1020,   465,   980,   987,  1036,   508,
     980,   980,   508,   223,   508,   508,   508,   968,   968,   349,
     908,   508,   508,   970,   508,   508,   508,   508,   134,   135,
     980,   987,   508,   968,   508,   508,   508,   508,   508,   475,
     494,   508,   984,   508,   984,   508,   508,   908,   508,   508,
     508,   508,   508,   508,   508,   508,   987,   987,   462,   908,
     987,  1016,  1039,  1199,   135,   508,   981,   508,  1199,    85,
      88,   105,   108,   113,   119,   143,   244,   248,   269,   270,
     286,   312,   315,   328,   331,   405,   495,   496,   497,   499,
     500,   501,   502,   503,   504,  1011,  1013,  1015,  1201,   336,
     987,   267,   511,   916,  1212,   508,  1199,  1039,    22,  1194,
    1195,  1040,   323,   326,  1164,  1164,    10,   461,  1151,  1152,
    1154,  1131,  1131,   183,   245,   558,   511,   136,   180,   551,
     108,   180,   290,   549,   641,   983,  1199,  1201,  1199,   155,
     194,   996,   163,   180,   545,   546,   548,   641,   180,   545,
    1212,  1212,   285,  1048,   987,   501,  1053,  1181,  1038,   156,
     377,   743,   269,   509,   511,   870,   509,   511,   914,  1049,
     108,   873,   910,   910,   923,   924,   987,   910,   220,   309,
     934,   273,   310,   361,   403,   454,    99,   929,   987,   930,
     932,   987,   989,   937,   938,   928,   927,   925,   926,   223,
     940,   322,   942,   925,   937,   956,  1048,   108,  1179,   401,
    1124,   501,   511,   512,  1182,  1101,  1104,  1101,   263,   175,
     241,   299,   986,   299,   986,   986,   302,  1058,   299,   302,
     392,  1198,   511,  1093,   179,  1131,   455,  1080,  1082,  1050,
      37,  1058,  1153,  1195,   511,   495,  1050,    14,  1058,  1198,
    1058,  1198,   511,  1111,   508,  1050,   508,  1183,   501,  1019,
     339,   372,   401,   434,   434,   389,  1053,   510,   434,   434,
     389,   434,   434,   426,   542,   854,   223,   233,   248,   381,
     772,   773,   137,   153,   208,   225,   353,   449,   609,   610,
     153,   180,   312,   434,   153,   434,   180,   312,   389,   153,
     190,   200,   339,   372,   706,   389,   658,    98,   131,   144,
     157,   195,   206,   225,   230,   297,   328,   389,   395,   398,
     424,   430,   443,   468,   650,  1050,   212,   372,   401,   562,
     326,   641,   393,   282,   434,   434,   317,   641,   184,   268,
     389,   399,   436,   543,   378,   401,   799,   807,   248,   258,
     333,   402,   464,   509,   789,   792,   793,   794,   796,   963,
    1180,   434,   455,  1048,   145,   208,   600,   609,  1179,   145,
     824,   326,   387,   438,   153,   824,   102,   375,   387,   438,
    1048,   253,   322,   740,   508,   434,   434,   508,   568,   426,
     474,   475,   568,   153,   511,   339,   212,   372,   401,   562,
     456,   456,   311,   963,   339,   401,   812,   174,   553,   434,
     522,   553,  1048,   434,   434,  1048,   641,   125,   640,   641,
     641,   172,   298,   300,   125,   434,   520,   389,   520,   310,
     639,   434,   434,   317,  1199,   669,   954,   153,   434,   824,
     389,   434,   434,   568,   568,   740,   740,   740,   740,  1048,
     114,   461,   114,   114,   434,   114,   434,   389,   511,   170,
     455,   684,  1059,   434,   522,  1048,   434,   389,   339,   372,
     361,   373,   397,   547,   842,  1054,  1179,  1048,   714,   963,
     326,   477,   788,   641,   740,   740,   811,   269,   326,   151,
     189,   340,   428,   326,   740,   269,   474,   584,   415,   416,
     579,  1199,   716,   717,  1201,   710,   508,   965,   108,   107,
     964,   175,   302,   489,   508,   985,   741,   968,   740,   711,
     712,  1181,    97,   849,   963,   326,   212,   655,  1050,   312,
     508,   521,   725,   456,   365,   468,   521,   212,  1059,   160,
     233,   540,   592,   635,   687,   755,   775,   845,  1199,   677,
     678,  1050,   293,   740,   740,   740,   740,   322,   185,   261,
     441,   454,   689,   690,   204,   360,   508,   684,   521,  1048,
     637,   638,   312,   108,   322,   508,   612,   612,   632,  1048,
     223,   778,  1054,   508,   790,   108,   275,   510,  1058,  1078,
     474,   475,   906,   390,  1056,   565,   963,  1051,   243,  1050,
    1056,   565,  1049,  1050,   212,   565,   212,   456,   212,   456,
     812,   565,   565,  1049,  1050,   740,  1050,  1050,  1050,   740,
    1049,   684,   212,   212,   565,   739,   740,   509,   515,  1206,
     509,   511,  1212,  1136,  1048,   171,   875,   877,   904,   904,
    1214,   904,   904,  1214,   904,   904,  1050,    14,   511,  1194,
     613,   509,   511,   509,   231,   396,   425,  1049,   739,   173,
     398,   764,   765,  1049,   321,  1049,  1047,  1047,  1049,   739,
     434,   474,   768,    93,   210,   385,   403,   894,   954,   316,
     895,   509,   511,   882,   885,   890,   896,   907,   434,   474,
     630,   758,   757,   758,   228,   234,   769,  1179,    98,   145,
     174,   195,   206,   225,   230,   276,   297,   383,   389,   395,
     424,   426,   443,   468,   650,   749,  1016,   507,  1016,  1020,
    1021,   508,   470,  1033,  1034,   987,  1016,   508,  1058,  1058,
    1016,   175,   241,   299,   302,   392,   489,  1022,  1023,  1199,
    1201,  1058,  1016,  1016,  1058,  1058,   980,   980,   987,   812,
     987,  1024,   499,   500,   988,   989,  1009,  1013,  1026,   509,
    1016,   987,  1016,  1027,   432,   491,  1058,  1058,   987,   124,
     228,   281,   435,   987,  1016,  1030,  1016,   304,   989,   987,
     994,   995,   996,   304,   987,   996,   509,   511,   401,  1058,
    1058,   985,   963,   987,  1181,   432,   112,   421,  1041,   740,
     987,   508,   908,  1031,   192,   194,   217,   312,   317,   322,
     440,   450,   987,   119,   244,   248,   286,   405,   508,   987,
     434,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,    99,   106,   409,  1010,   385,   508,  1009,   232,   290,
     424,   427,   429,   452,   917,  1048,  1046,   228,   944,    99,
     192,   464,   501,   509,   794,   987,  1017,  1018,  1180,  1050,
    1195,  1038,  1153,   511,   495,  1048,   436,   508,  1199,   511,
    1212,   509,   507,   513,   242,   242,   565,  1111,  1048,   867,
     868,  1048,  1042,   509,   508,   511,   109,   188,   456,   784,
     508,   931,  1060,   403,   273,   327,   511,   385,   386,   933,
    1047,   895,   938,   926,   456,   891,   180,   508,   886,   907,
    1179,   508,   897,   898,   899,   900,   901,  1179,   512,  1125,
     964,   515,  1104,   515,   509,   641,   509,    34,  1081,  1156,
    1157,  1195,  1149,  1154,  1202,  1140,   964,  1189,  1205,  1189,
     964,   509,   509,   434,   434,   389,  1059,  1050,  1050,  1053,
    1059,  1050,  1050,  1059,  1051,  1050,   152,   855,   383,   455,
     757,   389,   233,   757,   508,  1050,   456,   779,   273,   273,
     456,   508,   628,   243,  1050,   317,  1059,  1050,  1050,   987,
     317,  1050,  1050,   102,   375,   434,   434,  1050,   434,   659,
    1056,   508,   740,   740,   740,   438,   173,   424,   765,   468,
     139,   218,   812,  1050,   740,  1050,   740,   391,   740,   740,
     275,   237,   310,   339,   372,   460,   662,   663,   664,   954,
     434,   824,   389,   317,   184,   268,  1059,  1050,   326,  1050,
     333,  1180,   509,   511,   794,   796,   793,   796,  1180,   741,
    1059,  1049,   372,   562,   600,   963,  1179,  1050,  1050,    99,
     455,  1050,   243,  1050,   243,  1179,   387,   438,   387,   438,
    1050,    99,   455,  1050,  1048,    95,   197,   401,   670,   671,
     672,   673,  1181,  1059,  1050,   570,   571,  1181,  1050,   325,
     141,   325,  1050,   563,   434,  1048,   434,   824,   389,  1052,
    1179,  1052,   511,   509,   511,   434,   389,  1051,  1059,   152,
     202,   253,   344,   447,   455,   458,   523,  1201,   372,  1059,
    1050,   372,   401,   562,   638,   641,   740,  1050,   641,  1050,
     641,  1059,  1050,   372,   401,   562,  1050,  1050,  1050,  1050,
    1059,  1050,    95,   101,   197,   339,   372,   401,   339,   372,
     401,   710,   372,   401,   372,   401,   372,   962,  1179,   243,
     721,  1179,   243,  1179,  1059,  1050,  1050,  1050,    95,   574,
     398,  1059,   372,   401,   562,  1050,  1050,   434,   434,   149,
     446,   361,   269,   108,   740,   269,   269,   456,   456,   269,
     317,   746,  1199,   740,   740,   269,   746,   325,   228,   434,
     577,   520,   509,   511,   495,   987,   107,   964,   963,   506,
     506,   434,   434,  1058,   968,   509,   511,   495,   689,   152,
     201,   279,   280,   293,   339,   426,   428,   850,   602,  1181,
    1050,   228,   389,   467,   656,   663,   664,   212,   286,   594,
     596,   598,   600,   606,   609,    96,   248,   383,   422,   523,
     524,   223,  1052,   468,  1048,   538,  1179,   539,   331,   593,
     225,  1199,   710,   710,   710,   710,   322,   326,   331,   508,
     710,   960,   961,   962,   398,   508,   212,   211,  1069,   740,
     594,  1179,   474,   475,   624,   474,   569,   108,   612,  1199,
     326,   509,   791,   792,   797,   108,   275,   380,   473,   798,
     799,   800,   326,   551,  1077,   502,   240,   240,   223,   714,
     108,   212,   565,   788,   739,   740,  1052,   740,  1052,   811,
     326,   565,   565,   326,   565,   398,   223,   551,   565,   987,
     906,  1202,  1190,   509,   614,   248,   248,   248,   477,  1049,
     511,   641,   642,   236,   761,   762,  1059,    96,   769,   210,
     403,   210,   403,   385,   454,   301,   963,  1050,   173,   310,
     228,   326,   761,   125,   565,  1056,   438,   424,  1056,   321,
     468,   275,   740,   509,   507,   507,   511,  1016,   987,   199,
    1034,  1035,   108,   509,   987,   509,   509,   509,   509,   228,
     509,   509,   509,   509,   509,   511,   509,   345,  1025,   509,
     988,   988,    88,   248,   269,   328,   495,   496,   497,   499,
     500,   501,   502,   503,   504,  1013,   988,   509,   509,   223,
     228,  1028,  1029,   509,   491,   509,   509,   108,  1030,  1016,
    1030,  1030,   228,   509,   509,  1181,   343,   998,   108,   509,
     511,   987,  1181,   511,   987,  1040,   987,  1179,   509,   509,
     491,   988,   988,   205,  1016,   228,   192,   194,   217,   317,
     322,   440,   450,   508,   205,   421,  1041,   987,  1031,   987,
     434,   812,   987,   508,   908,   427,   429,   427,   429,  1048,
     918,   918,   918,   278,   508,   908,   945,   946,   947,   954,
     957,   990,  1056,  1179,   471,   958,  1017,  1017,  1018,   509,
     335,  1002,    90,   509,   511,   922,     8,    11,    12,    22,
      23,    24,    26,    27,    31,    32,    33,   173,   304,   349,
     443,  1159,  1160,  1162,  1152,  1153,   843,  1058,   985,   546,
     987,   964,   873,   882,   924,   328,  1011,  1014,   492,   493,
     785,   987,   933,   454,   930,   945,   471,   959,   462,   887,
     888,  1179,   379,   889,   901,   902,   511,   944,   495,  1040,
     513,  1107,   512,   511,   495,    30,  1168,   509,   509,   512,
    1059,  1050,  1050,   287,  1049,  1049,   326,  1049,   329,   326,
     987,   610,  1052,   508,   508,   508,   628,   251,   613,   698,
     212,   565,   434,  1059,  1050,   551,   714,   963,  1050,   477,
     740,   740,   740,   740,   811,   151,   189,   340,   428,  1050,
     645,  1050,   237,   460,   434,   434,   645,   662,   669,   372,
     401,   562,  1050,  1050,  1050,   259,   317,   741,   792,   796,
     796,   503,   434,   330,   667,   197,   376,   401,   564,   669,
     825,   212,   565,   212,   565,  1050,  1050,  1050,  1050,   672,
     673,   672,   509,   511,   674,  1199,   509,   511,   495,   510,
    1059,   372,   401,   562,  1050,  1050,  1050,   339,   372,   401,
      95,   197,   339,   372,   401,   963,   311,   963,  1059,  1050,
     287,   344,   317,  1199,   344,  1049,   453,   434,   434,   389,
     434,   824,   389,   434,   434,   295,   295,   295,   434,   434,
     389,   434,   434,   389,   434,   389,   434,   389,   434,   565,
     963,   312,  1199,   401,   825,   212,   565,   434,  1050,   434,
     389,  1059,  1050,   746,   963,   269,   746,   746,  1052,  1052,
     746,   269,   269,   746,   578,   508,   580,   581,   717,  1201,
     328,   499,   500,   641,   713,   796,  1014,  1065,  1199,   509,
     506,   509,  1058,   507,   508,  1058,  1179,  1199,  1210,   509,
     712,   713,   326,   287,   495,   851,   851,   851,   851,   851,
     851,   851,   137,   143,   153,   180,   182,   255,   312,   317,
     353,   367,   449,   603,   604,   605,   211,   470,   520,   551,
    1050,   551,   667,  1048,  1048,   509,   511,  1049,   236,   383,
    1049,  1058,   443,  1048,   612,   115,   539,   374,   424,   173,
     613,  1048,   690,   718,   719,  1199,   509,   511,  1050,   613,
    1048,  1050,   907,   508,   595,   509,   325,   568,   325,   326,
     625,   568,   108,   907,   569,   434,  1048,   509,   511,   180,
     495,   801,  1199,   551,   424,   795,   796,   474,   800,   802,
     185,   261,   394,   454,   833,   237,  1073,   907,  1087,   565,
     963,  1050,   565,   565,   456,   565,   456,   565,   565,   740,
     740,  1050,   684,   565,   223,   389,   389,   389,  1049,   765,
     511,  1059,   474,   511,   763,   329,   210,   210,   173,  1049,
     760,   565,  1059,   714,   788,   641,   740,   269,  1020,   509,
     431,   987,   203,   963,   509,   987,   987,   987,  1028,   963,
     988,   192,   194,   312,   322,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   987,   987,  1029,  1028,   984,
     984,   963,   509,   509,   509,  1016,   509,   511,   125,   989,
     509,  1181,   995,   350,   419,   997,   509,   511,   467,   991,
     108,   509,   981,  1199,   987,   105,   105,   987,   509,   987,
     228,   508,  1019,   987,   988,   988,   205,   205,   987,   509,
     205,   987,   918,   918,   918,   918,  1048,  1048,  1048,   908,
     957,   908,   946,   947,   108,   948,   949,  1179,   511,   161,
     229,   257,   272,   284,   307,   382,   951,   949,   108,   948,
     950,  1179,   508,  1039,   987,   236,   935,   511,   921,   922,
     921,   509,  1002,   508,  1003,  1179,   987,  1002,  1199,   464,
    1018,   509,   511,   495,   509,   507,  1168,   509,   508,   785,
     509,   327,   163,   987,   889,   509,   511,  1040,  1045,   509,
     511,   898,   959,  1042,  1058,   495,  1126,  1157,  1162,   851,
     231,   396,   425,   444,   774,   223,   774,   509,   508,   616,
     617,   781,   990,  1179,   613,   613,   698,  1054,   509,   182,
     255,   310,   312,   699,  1050,  1050,   108,  1050,   456,   456,
     740,   740,   740,   740,   741,  1059,  1050,   434,   824,   389,
     434,   259,   503,   443,  1050,   508,   602,   312,   568,   173,
     312,   414,   417,   568,   443,  1050,  1179,   671,   571,   713,
    1181,   434,   824,   389,   434,   434,   434,   389,   230,   328,
     417,   723,   724,   230,   328,   731,   732,   434,   434,   389,
     509,   509,   509,  1060,  1199,  1199,  1199,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,   223,   223,   374,   223,   243,
    1059,  1050,  1050,  1059,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,   143,   566,   212,    97,   117,   443,  1179,  1050,   669,
    1050,  1050,   509,   746,   269,   269,   746,   746,   579,   587,
     588,  1181,   121,   162,   186,   201,   205,   224,   227,   239,
     317,   325,   359,   582,   698,  1058,   474,   475,   507,  1210,
     499,   500,   501,   502,   503,   507,   985,  1048,   851,   180,
    1058,  1199,   180,  1199,   180,  1199,   180,  1199,   180,  1050,
     180,  1050,   180,  1050,   508,   740,  1050,   988,   183,   245,
     182,   317,   273,  1048,   802,   357,   702,   703,  1179,   655,
     508,   607,   398,   598,  1049,  1049,   963,   508,   569,  1059,
    1048,   477,   223,   691,   509,   511,   962,   667,   509,   322,
     508,   884,   630,   597,   599,   601,   609,  1179,   624,   254,
     623,   148,   426,   626,   907,   630,   626,  1199,   779,   797,
     987,   987,   511,   508,   798,   710,   434,   645,    85,  1084,
     509,   565,  1052,  1052,   565,   565,   398,  1049,  1049,  1049,
     641,   233,   762,   769,   228,   269,   269,   269,   269,   317,
     750,  1199,   987,   509,   509,  1029,   228,   192,   194,   322,
     508,   509,   480,   993,  1016,   366,   125,   472,   472,   509,
     987,   310,   987,   511,   992,   965,   985,   988,   988,   987,
    1019,   509,   105,   105,   987,   987,   205,   987,   509,  1048,
    1048,  1048,  1048,   949,   950,   509,  1179,   508,   946,   272,
     334,   952,   946,   952,   272,   951,   952,   272,   508,  1179,
     508,  1017,   125,   238,   936,   509,   509,  1002,  1004,  1179,
    1018,  1002,  1160,   500,  1153,  1161,  1198,  1199,  1199,   812,
     322,   907,   888,  1212,   495,   901,   889,  1206,  1060,   434,
     757,   228,   698,   987,   509,   511,   474,   143,   782,   782,
     509,   509,   802,   183,   245,   253,   182,   458,   565,   963,
    1052,  1052,  1050,  1050,  1050,  1050,   443,   668,   672,   317,
     317,  1060,  1179,   963,   565,   565,   495,  1050,  1050,  1050,
    1050,  1059,  1050,  1050,  1058,  1058,   963,   511,  1058,  1058,
     511,  1059,  1050,  1050,   434,  1049,  1049,   740,  1049,   212,
     740,  1199,  1199,   963,   565,   565,   269,   746,   746,   456,
     585,   586,   509,   511,   501,   508,   548,   589,   641,   859,
    1199,   859,   312,   359,   859,   859,   507,   230,   258,   230,
     509,  1210,  1210,  1210,  1210,  1210,   228,   697,  1060,   987,
     312,   604,   802,   612,   456,   627,  1056,   105,   211,   248,
     594,   209,   249,  1050,   456,   613,   108,   539,   508,  1050,
     198,   692,   470,   694,  1199,   569,   740,   594,   630,   509,
     511,   474,   625,   508,   624,   185,   197,   350,  1050,   474,
     846,   228,   508,  1199,   794,   803,   804,  1180,   802,  1048,
     256,   646,  1085,  1179,   565,   565,   565,  1050,   329,   565,
     761,   750,   750,   750,   750,   988,   228,   508,  1019,   508,
     509,   511,   509,   989,   366,   509,   461,   411,   509,   509,
     509,   988,   988,   987,   948,   508,  1049,   946,   326,   456,
     953,   946,   272,   946,   961,   508,   961,  1179,   509,  1016,
     987,   473,   999,  1002,  1002,   342,  1005,   509,  1058,  1198,
     985,   509,   904,  1044,   761,   326,   761,   509,   802,   617,
     328,   812,   740,   456,   740,   783,   783,   367,   802,   627,
     509,   434,   509,   511,   566,   713,   434,   508,  1056,   812,
     724,   508,   508,   732,  1050,   474,   374,   474,   474,   223,
     566,   746,   520,   187,   588,   548,   590,   591,  1199,  1199,
     317,   501,   613,  1199,  1199,   765,   108,   817,   817,  1048,
     698,   509,   627,   296,   615,   251,   508,   703,   357,   508,
     509,    99,   147,   154,   181,   252,   417,   608,   608,   667,
    1052,   509,   907,   667,   385,   413,   693,   508,   211,   108,
     595,   509,   599,   330,   626,  1047,   625,   386,   386,   129,
     137,   290,   740,   780,   781,   796,   509,   511,   958,   645,
     310,   460,   647,   648,   495,  1086,   565,   988,  1019,   509,
     994,  1016,   125,   310,   490,  1049,   509,   987,   508,   946,
     953,   509,   961,   509,  1000,  1001,  1179,   125,   921,  1002,
     763,   774,   565,   782,   627,   508,   740,   784,   784,  1048,
     627,   698,  1050,   672,   456,   567,  1050,  1019,   788,   223,
     727,   811,  1019,  1019,   739,   740,   739,   740,  1049,   565,
     580,  1199,   509,   511,   613,   817,   111,   247,   223,   310,
     611,   229,   341,   406,   326,   619,   620,   621,   426,   509,
    1056,    82,   704,   398,   218,   726,   569,   846,   987,   357,
     907,   624,   623,   602,   509,   626,   137,   329,   137,   509,
     511,   798,   803,   193,   460,   645,  1058,  1193,  1201,    85,
     509,   509,   509,   366,   461,   509,  1049,   509,   511,   108,
    1016,   360,   386,  1006,   228,   783,   471,   618,   812,   785,
     785,   612,   698,   987,   509,   332,   391,   364,   728,   727,
     509,   509,   474,   591,   198,   253,   185,   454,   326,   621,
     326,   620,  1050,   508,   509,   511,  1050,   740,   108,   108,
     509,  1056,   625,   624,   329,   329,   569,   781,   802,   100,
     262,   834,  1085,   509,  1001,  1003,   119,   163,   445,   987,
    1007,  1008,  1007,   509,   761,   784,   508,   698,   509,   615,
    1056,   125,   728,   740,   385,   128,   310,   378,   401,   622,
     622,   509,    82,   667,   723,   907,   508,   626,   625,   626,
     313,   508,   829,   831,   836,   885,   890,   896,   907,  1008,
     385,   222,   348,   222,   348,   565,   785,   987,   619,   788,
     740,   694,    94,   180,   317,   695,   696,  1058,  1181,  1198,
    1199,   626,   958,   830,   831,   832,   908,   909,   105,   509,
     698,   211,   509,   511,   509,   512,  1008,   357,   696,   832,
    1056,   508,   695,   509
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   531,   531,   532,
     532,   533,   534,   535,   535,   536,   536,   537,   537,   537,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   540,
     540,   541,   541,   541,   542,   542,   542,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   544,   544,   545,   545,   546,   546,   547,   547,   547,
     547,   548,   548,   548,   548,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     555,   556,   557,   557,   558,   558,   559,   560,   560,   560,
     560,   561,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   562,   562,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   564,   564,   565,   565,   565,
     566,   566,   567,   567,   568,   569,   569,   570,   570,   571,
     571,   571,   571,   572,   573,   573,   574,   574,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   580,   580,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   589,   589,   590,   590,   591,   592,   592,   592,
     592,   593,   593,   593,   593,   593,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   598,
     599,   599,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   604,   604,   604,   604,   604,   604,   605,   605,   605,
     605,   606,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   609,   609,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   612,   612,   613,   613,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   619,   619,
     619,   619,   620,   621,   622,   622,   622,   622,   622,   623,
     623,   624,   624,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   629,   630,   630,   630,   631,   632,
     633,   633,   634,   635,   636,   636,   637,   637,   638,   638,
     639,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   640,   640,   641,   641,   641,   642,   642,   643,
     643,   644,   644,   645,   645,   646,   646,   647,   647,   648,
     648,   649,   649,   650,   650,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   656,   657,   658,   658,
     659,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   661,   662,   662,   662,   662,
     663,   663,   664,   664,   665,   665,   666,   666,   667,   667,
     668,   668,   669,   670,   670,   671,   671,   671,   671,   672,
     673,   674,   675,   676,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   682,   683,   684,
     684,   684,   685,   685,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   696,   697,   697,   698,   698,   699,   699,   699,   699,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   704,
     704,   705,   706,   706,   706,   706,   707,   708,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   710,   711,   711,   712,   712,   713,   713,   713,
     713,   713,   714,   714,   715,   716,   716,   717,   718,   718,
     719,   719,   720,   720,   720,   721,   721,   722,   723,   723,
     724,   724,   724,   724,   724,   725,   725,   726,   726,   727,
     727,   727,   728,   728,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   736,   737,   737,   737,
     737,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   739,   739,
     740,   740,   741,   741,   742,   743,   743,   743,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   748,   748,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   750,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   754,   754,   755,   756,   756,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   761,   761,   762,
     762,   763,   763,   764,   764,   765,   766,   767,   767,   768,
     768,   769,   769,   770,   771,   771,   772,   772,   772,   773,
     773,   773,   774,   774,   774,   774,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   781,   781,   781,
     782,   782,   783,   783,   783,   784,   784,   784,   785,   785,
     785,   786,   786,   786,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   792,   792,   793,
     793,   793,   793,   793,   794,   795,   796,   796,   796,   797,
     797,   797,   798,   798,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   800,
     800,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   816,   816,   816,   817,   817,   817,   818,   819,
     819,   820,   820,   820,   821,   821,   822,   822,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   828,   829,   829,   829,   830,   830,   831,   831,
     831,   831,   831,   832,   832,   833,   833,   833,   833,   834,
     834,   834,   835,   835,   836,   837,   837,   838,   839,   839,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   841,   841,   841,   842,   842,   842,
     842,   842,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   846,   846,   847,   848,   849,   849,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   851,   851,   852,   852,   853,
     854,   854,   855,   856,   856,   857,   858,   858,   858,   858,
     858,   858,   858,   859,   859,   860,   861,   861,   861,   861,
     861,   861,   862,   863,   863,   863,   864,   864,   865,   865,
     865,   865,   865,   866,   866,   867,   867,   867,   867,   868,
     868,   869,   869,   870,   870,   871,   871,   872,   872,   873,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   876,   877,   878,   878,   879,
     879,   879,   880,   880,   881,   881,   882,   882,   882,   882,
     883,   883,   884,   884,   885,   886,   886,   886,   887,   887,
     888,   889,   889,   890,   891,   891,   892,   893,   893,   894,
     894,   894,   894,   894,   894,   894,   894,   895,   895,   896,
     897,   897,   898,   898,   899,   900,   901,   902,   902,   903,
     904,   904,   905,   905,   905,   905,   905,   906,   906,   906,
     907,   907,   908,   908,   909,   909,   909,   909,   909,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   911,   911,
     912,   912,   913,   913,   914,   915,   915,   916,   916,   916,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   918,
     918,   919,   919,   919,   920,   920,   920,   920,   921,   921,
     922,   923,   923,   924,   924,   925,   925,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   931,
     931,   931,   932,   933,   933,   934,   934,   935,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   940,   941,   941,
     941,   941,   942,   942,   943,   943,   944,   944,   945,   945,
     946,   946,   946,   946,   946,   946,   946,   947,   947,   947,
     947,   947,   947,   948,   948,   948,   948,   949,   949,   950,
     950,   950,   950,   950,   951,   951,   951,   951,   952,   952,
     953,   953,   954,   954,   954,   954,   955,   955,   956,   956,
     956,   957,   958,   958,   959,   959,   959,   960,   960,   961,
     961,   962,   963,   963,   963,   963,   963,   963,   964,   964,
     964,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     966,   966,   967,   967,   968,   968,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   970,   971,
     971,   972,   972,   973,   974,   975,   975,   976,   976,   977,
     978,   979,   979,   979,   979,   979,   979,   980,   980,   981,
     981,   982,   982,   982,   982,   983,   984,   984,   984,   985,
     985,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   986,   986,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   991,   991,
     992,   992,   992,   992,   993,   994,   994,   995,   995,   996,
     996,   997,   997,   997,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,  1013,
    1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,
    1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1020,  1021,
    1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,  1027,  1027,
    1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,  1031,  1032,
    1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1037,  1038,
    1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,  1046,  1046,
    1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,  1052,  1053,
    1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1058,
    1059,  1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1069,  1068,  1070,  1071,
    1071,  1071,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,
    1075,  1076,  1076,  1077,  1077,  1077,  1078,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1081,  1081,  1082,  1082,  1082,  1083,
    1084,  1084,  1085,  1085,  1086,  1086,  1086,  1086,  1087,  1087,
    1088,  1089,  1090,  1091,  1091,  1092,  1093,  1093,  1094,  1094,
    1094,  1094,  1094,  1096,  1095,  1097,  1098,  1099,  1099,  1100,
    1100,  1100,  1100,  1101,  1101,  1103,  1102,  1105,  1104,  1106,
    1104,  1104,  1107,  1107,  1108,  1108,  1108,  1109,  1109,  1109,
    1109,  1110,  1110,  1111,  1111,  1111,  1111,  1111,  1111,  1112,
    1112,  1112,  1113,  1115,  1114,  1116,  1117,  1116,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1123,  1123,  1124,  1124,  1125,  1126,  1126,
    1127,  1127,  1127,  1128,  1129,  1130,  1130,  1130,  1130,  1131,
    1131,  1131,  1132,  1132,  1133,  1133,  1134,  1135,  1135,  1136,
    1136,  1137,  1137,  1138,  1138,  1139,  1140,  1140,  1141,  1141,
    1141,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,
    1143,  1143,  1143,  1143,  1143,  1144,  1144,  1145,  1146,  1147,
    1148,  1148,  1149,  1150,  1151,  1151,  1152,  1153,  1153,  1154,
    1155,  1156,  1156,  1157,  1158,  1159,  1159,  1160,  1161,  1161,
    1161,  1161,  1161,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1163,  1163,
    1164,  1164,  1165,  1165,  1165,  1167,  1166,  1168,  1168,  1170,
    1169,  1171,  1171,  1171,  1172,  1172,  1172,  1172,  1172,  1172,
    1172,  1172,  1172,  1173,  1173,  1174,  1174,  1174,  1174,  1174,
    1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,
    1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1175,
    1175,  1175,  1175,  1175,  1175,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1177,  1178,  1178,  1178,  1178,  1178,  1178,  1178,
    1178,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1180,  1180,
    1180,  1180,  1180,  1180,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,  1182,  1182,  1182,  1182,  1182,
    1183,  1183,  1183,  1183,  1184,  1184,  1184,  1184,  1184,  1184,
    1184,  1185,  1185,  1185,  1186,  1186,  1186,  1186,  1186,  1186,
    1187,  1187,  1188,  1189,  1189,  1190,  1190,  1191,  1192,  1193,
    1194,  1194,  1194,  1195,  1196,  1197,  1198,  1199,  1199,  1199,
    1199,  1199,  1200,  1201,  1201,  1201,  1202,  1202,  1203,  1203,
    1203,  1204,  1204,  1205,  1205,  1206,  1206,  1207,  1207,  1207,
    1207,  1207,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1209,  1209,
    1209,  1209,  1210,  1210,  1210,  1210,  1210,  1210,  1210,  1210,
    1210,  1211,  1211,  1211,  1211,  1211,  1212,  1212,  1213,  1213,
    1214,  1214
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     2,     1,     3,     4,     5,     4,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     4,     6,     4,     6,     4,     6,     4,     6,     5,
       7,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     3,     6,     4,
       3,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     1,     3,     2,     1,     1,     0,
       2,     0,     2,     0,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     7,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     5,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     6,     7,     2,     2,     2,     2,
       1,     2,     1,     0,     6,     8,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,     2,     0,     2,     2,     1,     0,     4,
       6,     5,     4,     4,    10,    13,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     3,     0,    13,     1,     3,
       5,     6,     4,     7,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     3,     2,
       3,     3,     3,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     2,
       3,     4,     5,     4,     5,     3,     4,     3,     4,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     4,
       4,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     2,     0,     1,     1,     0,     1,     1,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     1,     2,
       2,     1,     1,     1,     3,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     5,     7,     5,     7,     5,
       7,     3,     5,     5,     5,     1,     3,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,     4,     4,     4,     1,     1,     1,     0,     7,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,     9,
      11,     8,     8,     7,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    11,
      13,     3,     4,     4,     0,     2,     5,     2,     0,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     1,     0,     5,     6,     4,
       2,     0,     4,     3,     5,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     4,     3,     0,     1,     1,     1,     1,
       4,     9,     3,     0,     6,     1,     4,     2,     1,     3,
       2,     3,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     8,
       1,     3,     1,     1,     3,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     1,     2,     4,     4,     4,
       2,     3,     1,     3,     6,     1,     0,     2,     1,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     7,     7,     5,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     1,     2,     1,     2,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     1,     2,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       2,     3,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1481 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26804 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1483 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26810 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1485 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26816 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1487 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26822 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1489 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26828 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1491 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26834 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1493 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26840 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1495 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26846 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1497 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26852 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1499 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26858 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1501 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26864 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1503 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26870 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1505 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26876 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1507 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26882 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1509 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26888 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1511 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26894 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1513 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26900 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1515 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26906 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1517 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26912 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1519 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26918 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1521 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26924 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1523 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26930 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1525 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26936 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1527 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26942 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1529 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26948 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1531 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26954 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1533 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26960 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1535 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 26982 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1553 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26988 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1555 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 26994 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1557 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27000 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27006 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27012 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27018 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27024 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27030 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27036 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27042 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27048 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27054 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27060 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27066 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27072 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27078 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27084 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27090 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27096 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27102 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27108 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27114 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27120 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27126 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27132 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27138 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27144 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27150 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27156 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27162 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1613 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 27170 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 27176 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27182 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27188 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27194 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27200 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27206 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27212 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27218 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27224 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27230 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27236 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27242 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27248 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27254 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27260 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27266 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27272 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27278 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27284 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27290 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27296 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27302 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 27308 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27314 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27320 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27326 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27332 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27338 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27344 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27350 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27356 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27362 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27368 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27374 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1685 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 27385 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27391 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27397 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27403 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27409 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27415 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27421 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27427 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27433 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27439 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27445 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27451 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1714 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27461 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27467 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27473 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27479 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27485 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27491 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27497 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27503 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27509 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1736 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27519 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1742 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27533 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1752 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27541 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1756 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27551 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1762 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27559 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1766 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 27573 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1776 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27587 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 27593 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1787 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27611 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1801 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27622 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1808 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27632 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1814 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 27647 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1825 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27657 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1831 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27670 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1840 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27681 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27691 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 27704 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1862 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27715 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1869 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27726 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27732 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27740 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 27748 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27755 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27763 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27770 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27778 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27785 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 27793 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 27801 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 27809 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 27817 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 27825 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 27833 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 27841 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 27849 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27857 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 27865 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 27873 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 27881 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 27889 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 27897 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 27905 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27913 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27921 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 27928 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 27936 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27944 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27952 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 27968 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 27976 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 27984 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 27992 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28000 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28008 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28016 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28024 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28032 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 28040 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 28048 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28056 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28064 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2118 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28073 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2123 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28082 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28090 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28097 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28105 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28112 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28120 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28128 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28136 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28144 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28152 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28160 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28168 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 28176 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 28184 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 28192 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 28200 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28208 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 28216 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28224 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 28232 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 28240 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 28248 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 28256 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2238 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 28265 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 28273 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 28281 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28289 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 28297 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 28305 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 28313 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 28321 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28329 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 28337 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28345 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28353 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28361 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2303 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 28375 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 28383 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 28391 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 28399 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 28407 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 28415 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 28423 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 28431 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28439 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28447 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28455 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28463 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28471 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28479 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28487 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 28495 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28503 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28511 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28518 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28526 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28534 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28542 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 28550 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 28558 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 28566 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 28574 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28582 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28590 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28598 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28606 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 28614 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 28622 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 28630 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 28638 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2480 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 28647 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28655 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28663 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28671 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 28679 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 28687 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 28695 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 28703 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 28711 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 28719 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 28727 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28735 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28743 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28751 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28759 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28767 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28775 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28783 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28791 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28799 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28807 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28815 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28823 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28831 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 28839 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28847 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 28855 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 28863 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 28871 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 28879 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 28887 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 28895 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28903 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28911 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28919 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28927 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 28935 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 28943 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28951 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28959 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 28967 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 28975 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 28983 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 28991 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 28999 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 29007 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 29015 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 29023 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 29031 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 29039 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 29047 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 29055 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 29063 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 29071 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 29079 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 29087 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 29095 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 29103 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 29111 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 29119 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 29127 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 29135 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29143 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29151 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29159 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 29167 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 29175 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 29183 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 29191 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29198 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29206 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29213 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 29221 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29228 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29236 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 29244 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29251 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29259 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29267 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29275 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29283 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29291 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29299 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29307 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29315 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29323 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29331 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29339 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29347 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29355 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2917 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 29364 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 29372 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29384 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29392 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 29400 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 29408 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 29416 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29423 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29431 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 29439 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 29447 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29455 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29463 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29471 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29478 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29486 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 29494 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 29502 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29510 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29518 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 29526 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 29534 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29542 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29550 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 29558 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 29566 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 29574 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 29582 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29590 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29597 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 29605 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29612 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 29620 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29627 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 29635 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29642 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29650 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29658 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29666 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29674 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29682 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 29690 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29698 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29705 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29713 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29721 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29729 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29737 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29745 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29753 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29761 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 29769 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 29777 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 29785 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 29793 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 29801 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 29809 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 29817 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29824 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29832 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29839 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29847 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29854 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29862 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29870 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29878 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29886 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29894 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29902 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29910 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29918 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29926 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29934 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 29942 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29950 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29957 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29965 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29973 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29981 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29989 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 29997 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 30005 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30013 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30021 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30029 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 30037 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30045 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 30053 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 30061 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 30069 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 30077 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30085 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 30093 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 30101 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30108 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 30116 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 30124 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 30132 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 30140 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 30148 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 30156 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30164 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30172 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30180 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30188 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30196 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30204 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30212 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30220 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30228 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 30236 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30243 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30251 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30258 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30266 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30274 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30282 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 30290 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 30299 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 30307 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30314 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30322 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30330 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 30338 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30346 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30354 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30361 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30369 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30377 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30385 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30393 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30400 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 30408 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 30416 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 30424 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30432 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30440 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 30448 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 30456 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30464 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30471 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30479 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30487 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 30495 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30502 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 30510 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 30518 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 30526 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30533 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 30541 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30548 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 30556 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30563 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30571 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30579 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 30587 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 30595 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30602 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30610 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30618 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30626 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30633 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30641 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30649 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30657 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30665 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30673 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30680 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30688 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30696 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 30704 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 30712 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 30720 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30728 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 30736 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 30744 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 30752 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 30760 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 30768 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30776 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 30784 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30792 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 30800 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30807 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30815 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 30823 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30831 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30839 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30847 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 30855 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30863 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 30871 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30878 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30886 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30894 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 30902 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30909 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 30917 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 30925 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30933 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30940 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30948 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30956 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 30964 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30971 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 30979 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 30987 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30994 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 31002 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 31010 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31018 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31026 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31034 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31041 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31049 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31057 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31065 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 31073 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31081 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31088 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 31096 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31104 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31112 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 31120 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 31128 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 31136 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 31144 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31152 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31160 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31168 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31176 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 31184 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 31192 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 31200 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 31208 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 31216 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 31224 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 31232 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 31240 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 31248 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 31256 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 31264 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 31272 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31280 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 31288 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31296 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 31304 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 31312 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31320 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31328 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31336 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31344 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31352 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31359 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31367 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31375 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31383 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31391 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31399 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31406 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31414 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31422 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31430 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31438 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31446 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31454 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 31470 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 31478 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31486 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31494 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31502 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31510 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 31518 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31525 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31533 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 31541 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31549 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31556 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31564 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31572 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31580 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31588 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31596 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31604 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31612 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31620 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31628 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31636 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 31644 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 31652 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31660 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31668 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31676 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31684 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31692 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31700 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 31708 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 31716 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 31724 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31732 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 31740 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 31748 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 31756 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 31764 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 31772 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 31780 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31788 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31795 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 31803 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31810 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 31818 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 31826 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31834 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31841 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31849 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31857 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31864 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31872 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31880 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31888 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31896 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31904 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31911 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31918 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31926 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31934 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31942 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31950 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31958 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 31966 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31974 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31982 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31990 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 31998 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32006 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32014 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 32022 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32030 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 32038 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 32046 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32054 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 32062 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 32070 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 32078 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 32086 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32095 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32104 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32112 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32120 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32128 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32136 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 32144 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32152 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32160 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 32168 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32176 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32184 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32192 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32200 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32208 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 32216 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32224 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32232 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32240 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32248 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32256 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32264 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32272 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32280 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32288 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32296 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32304 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 32312 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32320 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32328 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32336 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32344 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32352 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32359 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32367 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32375 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32383 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 32391 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 32399 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 32407 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32414 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 32422 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32430 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32438 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32446 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32454 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32462 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32470 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 32478 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32486 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32493 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 32501 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32508 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 32516 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 32524 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32531 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 32540 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32547 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32555 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 32563 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 32571 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32587 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32595 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32611 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32619 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32627 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32635 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32643 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32651 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32659 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32667 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32675 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32683 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32691 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32699 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32707 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 32715 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 32723 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 32731 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 32739 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 32747 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 32755 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 32763 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 32771 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 32779 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 32787 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 32795 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 32803 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 32811 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 32819 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32835 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32843 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32851 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 32859 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32867 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 32883 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 32891 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32898 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32906 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32914 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32922 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32930 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32938 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32946 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32954 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32962 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32970 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32978 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 32986 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 32994 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33002 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33010 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33018 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33026 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33034 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33042 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33050 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33058 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33066 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33074 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33082 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33090 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33098 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33106 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33114 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33122 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 33146 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33257 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33265 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33273 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33281 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33289 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33297 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33305 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33313 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33321 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33329 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33337 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33345 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33353 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33361 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33369 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33377 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 33385 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5619 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 33401 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5623 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 33411 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5629 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 33421 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5635 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 33431 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5641 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 33441 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5647 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 33451 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5653 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 33461 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5659 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 33471 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5665 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5675 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5686 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33511 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5697 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33526 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5708 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33541 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33556 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33571 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5741 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33591 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5757 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33611 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5773 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33631 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5789 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33646 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5800 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33666 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5816 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33681 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5827 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33701 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5843 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33716 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33724 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 33732 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33740 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33747 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33755 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33763 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33771 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33779 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 33787 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 33795 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33803 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33811 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33819 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33827 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 33835 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 33843 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 33851 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33859 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33867 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 33875 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 33883 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 33891 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 33899 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 33907 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 33915 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 33923 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 33931 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 33939 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33947 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 33955 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 33963 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 33971 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 33979 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 33987 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33995 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34003 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34011 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 34027 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34034 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34042 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34050 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34058 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34066 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34074 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34082 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 34090 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34097 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 34105 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34112 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34120 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34128 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 34151 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 34159 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34167 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34175 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34183 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 34191 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 34199 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 34207 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 34215 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34223 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 34231 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 34246 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34253 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34261 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34276 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34283 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34338 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34346 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34354 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34361 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 34369 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 34377 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34384 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 34392 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 34400 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34407 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34415 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34423 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34431 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 34439 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34446 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34454 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34462 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34470 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34478 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34486 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34494 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34502 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34518 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34526 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34550 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34558 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 34566 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 34574 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 34582 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 34590 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34598 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34606 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34614 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34622 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34630 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34638 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 34646 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34654 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34662 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34670 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 34678 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 34686 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 34694 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 34702 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 34710 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 34718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 34726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 34734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 34742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 34750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 34758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 34766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 34782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 34798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 34814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 34996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 35068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 35115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 35154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 35162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 35170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 35561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 35576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 35927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 35967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 36070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 36078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 36117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 36132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 36140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 36148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 36156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 36172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 36180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 36188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 36196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 36204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 36212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 36220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 36228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 36244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 36252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 36260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 36291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 36299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 36403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7561 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 36412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7566 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 36421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 36436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 36657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 36665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 36689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 36697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 36737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 36792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 36800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 36919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 36959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 36967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 36975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 37035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 37051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8088 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 37204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8094 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 37214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 37267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 37322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 37354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 37400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 37415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 37423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 37431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 37439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 37447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 37455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 37463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 37471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 37479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 37542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8364 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 37619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8421 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 37639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 37654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 37662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 37670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 37678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8456 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 37689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 37697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 37705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 37841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 37873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 37881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8618 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 37929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 37935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 38193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8794 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 38202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 38210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 38218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 38297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 38305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 38313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 38321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 38359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 38406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 38430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 38438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 38453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9029 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9036 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 38570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 38594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 38602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 38696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 38704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 38712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 38720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 38728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 38751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 38767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 38775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9251 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 38863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9294 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9296 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 38921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 38937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 38945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 38953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9318 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 38967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9328 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 38981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9338 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 38991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 39261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 39325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 39333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 39349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 39357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 39365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 39403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 39427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 39435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 39443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 39466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 39474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 39482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 39490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 39506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 39514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 39530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 39554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 39569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 39593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 39601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 39609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 39633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 39641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 39649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 39665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 39673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 39689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 39737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 39745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 39753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 39881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 39889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 39897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 39905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 39913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 39921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 39929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 39937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 39945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 40001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 40009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9950 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 40034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 9999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 40298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 40330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 40386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 40402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 40410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 40426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 40442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 40458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 40474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 40482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 40490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 40498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 40506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 40514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 40730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 40738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 40746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 40754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 40762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 40856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 40872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 40880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 40888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 40935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 40973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 40989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 40997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 41028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 41036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 41060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 41076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 41092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 41100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 41132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 41140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 41156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 41164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 41172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 41180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 41188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 41252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 41260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 41268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 41276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 41324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 41411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 41419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 41427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 41435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 41609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 41633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 41641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 41687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 41695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 41750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 42045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 42053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11241 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 42079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 42109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 42117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 42157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 42165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 42173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 42181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 42189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 42197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 42205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 42213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 42221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 42229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 42245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 42253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 42261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 42269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 42277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 42285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 42293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 42301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 42309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 42317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 42325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 42333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 42341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 42349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 42357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 42365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 42373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 42381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 42389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 42397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 42405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 42413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 42421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 42429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 42437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 42453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 42461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 42469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 42477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 42501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 42509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 42525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 42533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 42541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 42549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 42557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 42565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 42573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 42581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 42589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 42597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 42605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 42621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 42629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 42637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 42645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 42653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 42661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 42669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 42677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 42685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 42693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 42701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 42709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 42725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 42733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 42741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 42749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 42757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 42765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 42773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 42781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 42789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 42797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 42813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 42821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 42829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 42845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 42853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 42861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 42869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 42877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 42885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 42893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 42901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 42933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 42941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 42949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 42957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 42965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 42973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 42981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 42989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 42997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 43005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 43021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 43029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 43037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 43053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 43061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 43069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 43077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 43093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 43101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 43109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 43117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 43125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 43133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 43141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 43149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 43157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 43165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 43181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 43197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 43205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 43213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 43221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 43229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 43237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 43245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 43253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 43261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 43277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 43293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 43301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 43309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 43317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 43325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 43333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 43341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 43349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 43357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 43365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 43373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 43381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 43389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 43397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 43405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 43413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 43429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 43461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 43469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 43477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 43485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 43493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 43501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 43509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 43517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 43525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 43533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 11995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 11999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 43557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 43565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 43573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 43581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 43597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 43605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 43621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 43629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 43637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 43645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 43653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 43661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 43669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 43677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 43685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 43693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 43701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 43709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 43717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 43725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 43733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 43741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 43749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 43757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 43765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 43773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 43781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 43789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 43797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 43805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 43813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 43821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 43837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 43853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 43861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 43877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 43885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 43893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 43901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 43909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 43917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 43925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 43933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 43941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 43949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 43957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 43965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 43981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 43989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 43997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 44005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 44013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 44029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 44037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 44045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 44053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 44061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 44069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 44077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 44085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 44093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 44117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 44133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 44149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 44157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 44165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 44173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 44181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 44189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 44197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 44205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 44213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 44237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 44245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 44253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 44261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 44269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 44277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 44285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 44293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 44301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 44309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 44325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 44333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 44349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 44357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 44365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 44373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 44381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 44397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 44405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 44413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 44421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 44429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 44437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 44445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 44453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 44461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 44469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 44477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 44485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 44493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 44501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 44509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 44533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 44541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 44549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 44557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 44565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 44573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 44581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 44589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 44597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 44605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 44621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 44629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 44637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 44677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 44685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 44693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 44701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 44773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 44781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 44789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 44797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 44805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 44813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 44821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 44829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 44837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 44845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 44853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 44861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 44869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 44877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 44885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 44893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 44901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 44909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 44917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 44925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 44957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 44973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 44981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 44997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 45251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12871 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12879 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 45279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12881 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 45294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12893 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 45300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12894 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 45311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 12903 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 45331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 45337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 12923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 45343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 12925 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 12929 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 45365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 12941 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 45385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 12957 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 45393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 12961 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 45406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 12971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 12976 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 45432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 12988 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 45443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 12996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 12997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 45467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 45497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 45515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13028 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13035 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13042 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13058 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 45609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13092 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 45623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13105 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13109 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13131 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13152 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13213 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 45772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13229 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 45814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 45820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 45832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 45838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13246 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 45848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13253 "preproc.y" /* yacc.c:1646  */
    {}
#line 45854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13255 "preproc.y" /* yacc.c:1646  */
    {}
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13261 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 45908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13272 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 45918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13278 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13288 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 45944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13298 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 45952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13302 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 45966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13312 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 45974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13316 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13326 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13327 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13328 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 46018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 46024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 46030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 46036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 46042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 46048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13342 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13350 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 46081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13367 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13375 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13398 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 46230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13504 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 46266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 46272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 46290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13549 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13556 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13601 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 46363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13607 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13616 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 46384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13622 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 46393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13629 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 46402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13634 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 46410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13639 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13640 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13643 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13647 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13650 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13658 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 46488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13671 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13674 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13682 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13689 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 46548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 46554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13691 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 46560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13701 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 46577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13710 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13799 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 46681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 46693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 46699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13814 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 46708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 46732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 46744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 46750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 46768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 46780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13854 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13870 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13875 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13882 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13887 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13894 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 46859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13903 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 46870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13916 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13917 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 46918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13928 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13935 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13947 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13953 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 46984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13960 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13967 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13981 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13992 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14003 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 47030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14011 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 47042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14024 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14030 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14038 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14043 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14051 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14062 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14070 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14076 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14085 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14090 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14100 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14110 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 47168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 47174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14123 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 47180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14124 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 47186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 47192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 47198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14127 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 47210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 47216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 47222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14131 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 47228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14132 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14133 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 47240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 47246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14135 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 47270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 47276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14163 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14169 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-1].index).str), mm_strdup((yyvsp[-4].str)), mm_strdup(";"));
		}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 47323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14187 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14193 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14257 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14263 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14269 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14277 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 47441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14283 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 47451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14289 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14295 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14301 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14307 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 47491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14313 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14319 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14325 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14339 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 47539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14340 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 47545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14341 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 47551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 47563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 47569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 47575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 47587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14348 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 47593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14349 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 47599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 47611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 47617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 47623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 47635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 47641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 47647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 47653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 47659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 47665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 47671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 47677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 47683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 47689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 47695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 47701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 47707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 47713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 47719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 47737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 47743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 47749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 47755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 47905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 47917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 47923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 47929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 47935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 47983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 48073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14494 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 48112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14505 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 48130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14507 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 48136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14512 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14522 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14533 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 48170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14539 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14540 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14541 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14545 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 48223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14585 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 48255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14595 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14605 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 48331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 48343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 48361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 48373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 48385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 48397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 48403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 48409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 48415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 48451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 48457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 48463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 48475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 48481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 48487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 48511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 48523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 48529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 48541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 48547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 48553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 48559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 48565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 48571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 48577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 48583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 48595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 48607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 48631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 48673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 48679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 48685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 48691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 48715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 48721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 48739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 48745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 48751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 48793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 48799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 48805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 48811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 48817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14749 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 48890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;


#line 48906 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14763 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"
